# -*- coding: UTF-8 -*-
# Code automatically generated by pycrate_asn1c

from pycrate_asn1rt.utils            import *
from pycrate_asn1rt.err              import *
from pycrate_asn1rt.glob             import make_GLOBAL, GLOBAL
from pycrate_asn1rt.dictobj          import ASN1Dict
from pycrate_asn1rt.refobj           import *
from pycrate_asn1rt.setobj           import *
from pycrate_asn1rt.asnobj_basic     import *
from pycrate_asn1rt.asnobj_str       import *
from pycrate_asn1rt.asnobj_construct import *
from pycrate_asn1rt.asnobj_class     import *
from pycrate_asn1rt.asnobj_ext       import *
from pycrate_asn1rt.init             import init_modules

class XnAP_CommonDataTypes:

    _name_  = 'XnAP-CommonDataTypes'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 3]
    
    _obj_ = [
        'maxPrivateIEs',
        'maxProtocolExtensions',
        'maxProtocolIEs',
        'Criticality',
        'Presence',
        'PrivateIE-ID',
        'ProcedureCode',
        'ProtocolIE-ID',
        'TriggeringMessage',
        ]
    _type_ = [
        'Criticality',
        'Presence',
        'PrivateIE-ID',
        'ProcedureCode',
        'ProtocolIE-ID',
        'TriggeringMessage',
        ]
    _set_ = [
        ]
    _val_ = [
        'maxPrivateIEs',
        'maxProtocolExtensions',
        'maxProtocolIEs',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< maxPrivateIEs >-----#
    maxPrivateIEs = INT(name='maxPrivateIEs', mode=MODE_VALUE)
    maxPrivateIEs._val = 65535
    
    #-----< maxProtocolExtensions >-----#
    maxProtocolExtensions = INT(name='maxProtocolExtensions', mode=MODE_VALUE)
    maxProtocolExtensions._val = 65535
    
    #-----< maxProtocolIEs >-----#
    maxProtocolIEs = INT(name='maxProtocolIEs', mode=MODE_VALUE)
    maxProtocolIEs._val = 65535
    
    #-----< Criticality >-----#
    Criticality = ENUM(name='Criticality', mode=MODE_TYPE)
    Criticality._cont = ASN1Dict([('reject', 0), ('ignore', 1), ('notify', 2)])
    Criticality._ext = None
    
    #-----< Presence >-----#
    Presence = ENUM(name='Presence', mode=MODE_TYPE)
    Presence._cont = ASN1Dict([('optional', 0), ('conditional', 1), ('mandatory', 2)])
    Presence._ext = None
    
    #-----< PrivateIE-ID >-----#
    PrivateIE_ID = CHOICE(name='PrivateIE-ID', mode=MODE_TYPE)
    _PrivateIE_ID_local = INT(name='local', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PrivateIE_ID_local._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _PrivateIE_ID_global_ = OID(name='global', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    PrivateIE_ID._cont = ASN1Dict([
        ('local', _PrivateIE_ID_local),
        ('global', _PrivateIE_ID_global_),
        ])
    PrivateIE_ID._ext = None
    
    #-----< ProcedureCode >-----#
    ProcedureCode = INT(name='ProcedureCode', mode=MODE_TYPE)
    ProcedureCode._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< ProtocolIE-ID >-----#
    ProtocolIE_ID = INT(name='ProtocolIE-ID', mode=MODE_TYPE)
    ProtocolIE_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    
    #-----< TriggeringMessage >-----#
    TriggeringMessage = ENUM(name='TriggeringMessage', mode=MODE_TYPE)
    TriggeringMessage._cont = ASN1Dict([('initiating-message', 0), ('successful-outcome', 1), ('unsuccessful-outcome', 2)])
    TriggeringMessage._ext = None
    
    _all_ = [
        maxPrivateIEs,
        maxProtocolExtensions,
        maxProtocolIEs,
        Criticality,
        Presence,
        _PrivateIE_ID_local,
        _PrivateIE_ID_global_,
        PrivateIE_ID,
        ProcedureCode,
        ProtocolIE_ID,
        TriggeringMessage,
    ]

class XnAP_Constants:

    _name_  = 'XnAP-Constants'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 4]
    
    _obj_ = [
        'id-handoverPreparation',
        'id-sNStatusTransfer',
        'id-handoverCancel',
        'id-retrieveUEContext',
        'id-rANPaging',
        'id-xnUAddressIndication',
        'id-uEContextRelease',
        'id-sNGRANnodeAdditionPreparation',
        'id-sNGRANnodeReconfigurationCompletion',
        'id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'id-mNGRANnodeinitiatedSNGRANnodeRelease',
        'id-sNGRANnodeinitiatedSNGRANnodeRelease',
        'id-sNGRANnodeCounterCheck',
        'id-sNGRANnodeChange',
        'id-rRCTransfer',
        'id-xnRemoval',
        'id-xnSetup',
        'id-nGRANnodeConfigurationUpdate',
        'id-cellActivation',
        'id-reset',
        'id-errorIndication',
        'id-privateMessage',
        'id-notificationControl',
        'id-activityNotification',
        'id-e-UTRA-NR-CellResourceCoordination',
        'id-secondaryRATDataUsageReport',
        'id-deactivateTrace',
        'id-traceStart',
        'id-handoverSuccess',
        'id-conditionalHandoverCancel',
        'id-earlyStatusTransfer',
        'id-failureIndication',
        'id-handoverReport',
        'id-resourceStatusReportingInitiation',
        'id-resourceStatusReporting',
        'id-mobilitySettingsChange',
        'id-accessAndMobilityIndication',
        'maxEARFCN',
        'maxnoofAllowedAreas',
        'maxnoofAMFRegions',
        'maxnoofAoIs',
        'maxnoofBluetoothName',
        'maxnoofBPLMNs',
        'maxnoofCAGs',
        'maxnoofCAGsperPLMN',
        'maxnoofCellIDforMDT',
        'maxnoofCellsinAoI',
        'maxnoofCellsinUEHistoryInfo',
        'maxnoofCellsinNG-RANnode',
        'maxnoofCellsinRNA',
        'maxnoofCellsUEMovingTrajectory',
        'maxnoofDRBs',
        'maxnoofEUTRABands',
        'maxnoofEUTRABPLMNs',
        'maxnoofEPLMNs',
        'maxnoofExtSliceItems',
        'maxnoofEPLMNsplus1',
        'maxnoofForbiddenTACs',
        'maxnoofFreqforMDT',
        'maxnoofMBSFNEUTRA',
        'maxnoofMDTPLMNs',
        'maxnoofMultiConnectivityMinusOne',
        'maxnoofNeighbours',
        'maxnoofNeighPCIforMDT',
        'maxnoofNIDs',
        'maxnoofNRCellBands',
        'maxnoofPLMNs',
        'maxnoofPDUSessions',
        'maxnoofProtectedResourcePatterns',
        'maxnoofQoSFlows',
        'maxnoofQoSParaSets',
        'maxnoofRANAreaCodes',
        'maxnoofRANAreasinRNA',
        'maxnoofRANNodesinAoI',
        'maxnoofSCellGroups',
        'maxnoofSCellGroupsplus1',
        'maxnoofSensorName',
        'maxnoofSliceItems',
        'maxnoofSNPNIDs',
        'maxnoofsupportedPLMNs',
        'maxnoofsupportedTACs',
        'maxnoofTAforMDT',
        'maxnoofTAI',
        'maxnoofTAIsinAoI',
        'maxnooftimeperiods',
        'maxnoofTNLAssociations',
        'maxnoofUEContexts',
        'maxNRARFCN',
        'maxNrOfErrors',
        'maxnoofslots',
        'maxnoofExtTLAs',
        'maxnoofGTPTLAs',
        'maxnoofCHOcells',
        'maxnoofPC5QoSFlows',
        'maxnoofSSBAreas',
        'maxnoofRACHReports',
        'maxnoofNRSCSs',
        'maxnoofPhysicalResourceBlocks',
        'maxnoofAdditionalPDCPDuplicationTNL',
        'maxnoofRLCDuplicationstate',
        'maxnoofWLANName',
        'maxnoofNonAnchorCarrierFreqConfig',
        'maxnoofDataForwardingTunneltoE-UTRAN',
        'id-ActivatedServedCells',
        'id-ActivationIDforCellActivation',
        'id-admittedSplitSRB',
        'id-admittedSplitSRBrelease',
        'id-AMF-Region-Information',
        'id-AssistanceDataForRANPaging',
        'id-BearersSubjectToCounterCheck',
        'id-Cause',
        'id-cellAssistanceInfo-NR',
        'id-ConfigurationUpdateInitiatingNodeChoice',
        'id-CriticalityDiagnostics',
        'id-XnUAddressInfoperPDUSession-List',
        'id-DRBsSubjectToStatusTransfer-List',
        'id-ExpectedUEBehaviour',
        'id-GlobalNG-RAN-node-ID',
        'id-GUAMI',
        'id-indexToRatFrequSelectionPriority',
        'id-initiatingNodeType-ResourceCoordRequest',
        'id-List-of-served-cells-E-UTRA',
        'id-List-of-served-cells-NR',
        'id-LocationReportingInformation',
        'id-MAC-I',
        'id-MaskedIMEISV',
        'id-M-NG-RANnodeUEXnAPID',
        'id-MN-to-SN-Container',
        'id-MobilityRestrictionList',
        'id-new-NG-RAN-Cell-Identity',
        'id-newNG-RANnodeUEXnAPID',
        'id-UEReportRRCTransfer',
        'id-oldNG-RANnodeUEXnAPID',
        'id-OldtoNewNG-RANnodeResumeContainer',
        'id-PagingDRX',
        'id-PCellID',
        'id-PDCPChangeIndication',
        'id-PDUSessionAdmittedAddedAddReqAck',
        'id-PDUSessionAdmittedModSNModConfirm',
        'id-PDUSessionAdmitted-SNModResponse',
        'id-PDUSessionNotAdmittedAddReqAck',
        'id-PDUSessionNotAdmitted-SNModResponse',
        'id-PDUSessionReleasedList-RelConf',
        'id-PDUSessionReleasedSNModConfirm',
        'id-PDUSessionResourcesActivityNotifyList',
        'id-PDUSessionResourcesAdmitted-List',
        'id-PDUSessionResourcesNotAdmitted-List',
        'id-PDUSessionResourcesNotifyList',
        'id-PDUSession-SNChangeConfirm-List',
        'id-PDUSession-SNChangeRequired-List',
        'id-PDUSessionToBeAddedAddReq',
        'id-PDUSessionToBeModifiedSNModRequired',
        'id-PDUSessionToBeReleasedList-RelRqd',
        'id-PDUSessionToBeReleased-RelReq',
        'id-PDUSessionToBeReleasedSNModRequired',
        'id-RANPagingArea',
        'id-PagingPriority',
        'id-requestedSplitSRB',
        'id-requestedSplitSRBrelease',
        'id-ResetRequestTypeInfo',
        'id-ResetResponseTypeInfo',
        'id-RespondingNodeTypeConfigUpdateAck',
        'id-respondingNodeType-ResourceCoordResponse',
        'id-ResponseInfo-ReconfCompl',
        'id-RRCConfigIndication',
        'id-RRCResumeCause',
        'id-SCGConfigurationQuery',
        'id-selectedPLMN',
        'id-ServedCellsToActivate',
        'id-servedCellsToUpdate-E-UTRA',
        'id-ServedCellsToUpdateInitiatingNodeChoice',
        'id-servedCellsToUpdate-NR',
        'id-s-ng-RANnode-SecurityKey',
        'id-S-NG-RANnodeUE-AMBR',
        'id-S-NG-RANnodeUEXnAPID',
        'id-SN-to-MN-Container',
        'id-sourceNG-RANnodeUEXnAPID',
        'id-SplitSRB-RRCTransfer',
        'id-TAISupport-list',
        'id-TimeToWait',
        'id-Target2SourceNG-RANnodeTranspContainer',
        'id-targetCellGlobalID',
        'id-targetNG-RANnodeUEXnAPID',
        'id-target-S-NG-RANnodeID',
        'id-TraceActivation',
        'id-UEContextID',
        'id-UEContextInfoHORequest',
        'id-UEContextInfoRetrUECtxtResp',
        'id-UEContextInfo-SNModRequest',
        'id-UEContextKeptIndicator',
        'id-UEContextRefAtSN-HORequest',
        'id-UEHistoryInformation',
        'id-UEIdentityIndexValue',
        'id-UERANPagingIdentity',
        'id-UESecurityCapabilities',
        'id-UserPlaneTrafficActivityReport',
        'id-XnRemovalThreshold',
        'id-DesiredActNotificationLevel',
        'id-AvailableDRBIDs',
        'id-AdditionalDRBIDs',
        'id-SpareDRBIDs',
        'id-RequiredNumberOfDRBIDs',
        'id-TNLA-To-Add-List',
        'id-TNLA-To-Update-List',
        'id-TNLA-To-Remove-List',
        'id-TNLA-Setup-List',
        'id-TNLA-Failed-To-Setup-List',
        'id-PDUSessionToBeReleased-RelReqAck',
        'id-S-NG-RANnodeMaxIPDataRate-UL',
        'id-PDUSessionResourceSecondaryRATUsageList',
        'id-Additional-UL-NG-U-TNLatUPF-List',
        'id-SecondarydataForwardingInfoFromTarget-List',
        'id-LocationInformationSNReporting',
        'id-LocationInformationSN',
        'id-LastE-UTRANPLMNIdentity',
        'id-S-NG-RANnodeMaxIPDataRate-DL',
        'id-MaxIPrate-DL',
        'id-SecurityResult',
        'id-S-NSSAI',
        'id-MR-DC-ResourceCoordinationInfo',
        'id-AMF-Region-Information-To-Add',
        'id-AMF-Region-Information-To-Delete',
        'id-OldQoSFlowMap-ULendmarkerexpected',
        'id-RANPagingFailure',
        'id-UERadioCapabilityForPaging',
        'id-PDUSessionDataForwarding-SNModResponse',
        'id-DRBsNotAdmittedSetupModifyList',
        'id-Secondary-MN-Xn-U-TNLInfoatM',
        'id-NE-DC-TDM-Pattern',
        'id-PDUSessionCommonNetworkInstance',
        'id-BPLMN-ID-Info-EUTRA',
        'id-BPLMN-ID-Info-NR',
        'id-InterfaceInstanceIndication',
        'id-S-NG-RANnode-Addition-Trigger-Ind',
        'id-DefaultDRB-Allowed',
        'id-DRB-IDs-takenintouse',
        'id-SplitSessionIndicator',
        'id-CNTypeRestrictionsForEquivalent',
        'id-CNTypeRestrictionsForServing',
        'id-DRBs-transferred-to-MN',
        'id-ULForwardingProposal',
        'id-EndpointIPAddressAndPort',
        'id-IntendedTDD-DL-ULConfiguration-NR',
        'id-TNLConfigurationInfo',
        'id-PartialListIndicator-NR',
        'id-MessageOversizeNotification',
        'id-CellAndCapacityAssistanceInfo-NR',
        'id-NG-RANTraceID',
        'id-NonGBRResources-Offered',
        'id-FastMCGRecoveryRRCTransfer-SN-to-MN',
        'id-RequestedFastMCGRecoveryViaSRB3',
        'id-AvailableFastMCGRecoveryViaSRB3',
        'id-RequestedFastMCGRecoveryViaSRB3Release',
        'id-ReleaseFastMCGRecoveryViaSRB3',
        'id-FastMCGRecoveryRRCTransfer-MN-to-SN',
        'id-ExtendedRATRestrictionInformation',
        'id-QoSMonitoringRequest',
        'id-FiveGCMobilityRestrictionListContainer',
        'id-PartialListIndicator-EUTRA',
        'id-CellAndCapacityAssistanceInfo-EUTRA',
        'id-CHOinformation-Req',
        'id-CHOinformation-Ack',
        'id-targetCellsToCancel',
        'id-requestedTargetCellGlobalID',
        'id-procedureStage',
        'id-DAPSRequestInfo',
        'id-DAPSResponseInfo-List',
        'id-CHO-MRDC-Indicator',
        'id-OffsetOfNbiotChannelNumberToDL-EARFCN',
        'id-OffsetOfNbiotChannelNumberToUL-EARFCN',
        'id-NBIoT-UL-DL-AlignmentOffset',
        'id-LTEV2XServicesAuthorized',
        'id-NRV2XServicesAuthorized',
        'id-LTEUESidelinkAggregateMaximumBitRate',
        'id-NRUESidelinkAggregateMaximumBitRate',
        'id-PC5QoSParameters',
        'id-AlternativeQoSParaSetList',
        'id-CurrentQoSParaSetIndex',
        'id-MobilityInformation',
        'id-InitiatingCondition-FailureIndication',
        'id-UEHistoryInformationFromTheUE',
        'id-HandoverReportType',
        'id-HandoverCause',
        'id-SourceCellCGI',
        'id-TargetCellCGI',
        'id-ReEstablishmentCellCGI',
        'id-TargetCellinEUTRAN',
        'id-SourceCellCRNTI',
        'id-UERLFReportContainer',
        'id-NGRAN-Node1-Measurement-ID',
        'id-NGRAN-Node2-Measurement-ID',
        'id-RegistrationRequest',
        'id-ReportCharacteristics',
        'id-CellToReport',
        'id-ReportingPeriodicity',
        'id-CellMeasurementResult',
        'id-NG-RANnode1CellID',
        'id-NG-RANnode2CellID',
        'id-NG-RANnode1MobilityParameters',
        'id-NG-RANnode2ProposedMobilityParameters',
        'id-MobilityParametersModificationRange',
        'id-TDDULDLConfigurationCommonNR',
        'id-CarrierList',
        'id-ULCarrierList',
        'id-FrequencyShift7p5khz',
        'id-SSB-PositionsInBurst',
        'id-NRCellPRACHConfig',
        'id-RACHReportInformation',
        'id-IABNodeIndication',
        'id-Redundant-UL-NG-U-TNLatUPF',
        'id-CNPacketDelayBudgetDownlink',
        'id-CNPacketDelayBudgetUplink',
        'id-Additional-Redundant-UL-NG-U-TNLatUPF-List',
        'id-RedundantCommonNetworkInstance',
        'id-TSCTrafficCharacteristics',
        'id-RedundantQoSFlowIndicator',
        'id-Redundant-DL-NG-U-TNLatNG-RAN',
        'id-ExtendedPacketDelayBudget',
        'id-Additional-PDCP-Duplication-TNL-List',
        'id-RedundantPDUSessionInformation',
        'id-UsedRSNInformation',
        'id-RLCDuplicationInformation',
        'id-NPN-Broadcast-Information',
        'id-NPNPagingAssistanceInformation',
        'id-NPNMobilityInformation',
        'id-NPN-Support',
        'id-MDT-Configuration',
        'id-MDTPLMNList',
        'id-TraceCollectionEntityURI',
        'id-UERadioCapabilityID',
        'id-CSI-RSTransmissionIndication',
        'id-SNTriggered',
        'id-DLCarrierList',
        'id-ExtendedTAISliceSupportList',
        'id-cellAssistanceInfo-EUTRA',
        'id-ConfiguredTACIndication',
        'id-secondary-SN-UL-PDCP-UP-TNLInfo',
        'id-pdcpDuplicationConfiguration',
        'id-duplicationActivation',
        'id-NPRACHConfiguration',
        'id-QosMonitoringReportingFrequency',
        'id-QoSFlowsMappedtoDRB-SetupResponse-MNterminated',
        'id-DL-scheduling-PDCCH-CCE-usage',
        'id-UL-scheduling-PDCCH-CCE-usage',
        'id-SFN-Offset',
        'id-QoSMonitoringDisabled',
        'id-ExtendedUEIdentityIndexValue',
        'id-PagingeDRXInformation',
        'id-CHO-MRDC-EarlyDataForwarding',
        'id-SCGIndicator',
        'id-UESpecificDRX',
        'id-PDUSessionExpectedUEActivityBehaviour',
        'id-QoS-Mapping-Information',
        'id-AdditionLocationInformation',
        'id-dataForwardingInfoFromTargetE-UTRANnode',
        'id-DirectForwardingPathAvailability',
        'id-SourceNG-RAN-node-ID',
        'id-SourceDLForwardingIPAddress',
        'id-SourceNodeDLForwardingIPAddress',
        'id-ExtendedReportIntervalMDT',
        'id-SecurityIndication',
        'id-RRCConnReestab-Indicator',
        'id-TargetNodeID',
        ]
    _type_ = [
        ]
    _set_ = [
        ]
    _val_ = [
        'id-handoverPreparation',
        'id-sNStatusTransfer',
        'id-handoverCancel',
        'id-retrieveUEContext',
        'id-rANPaging',
        'id-xnUAddressIndication',
        'id-uEContextRelease',
        'id-sNGRANnodeAdditionPreparation',
        'id-sNGRANnodeReconfigurationCompletion',
        'id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'id-mNGRANnodeinitiatedSNGRANnodeRelease',
        'id-sNGRANnodeinitiatedSNGRANnodeRelease',
        'id-sNGRANnodeCounterCheck',
        'id-sNGRANnodeChange',
        'id-rRCTransfer',
        'id-xnRemoval',
        'id-xnSetup',
        'id-nGRANnodeConfigurationUpdate',
        'id-cellActivation',
        'id-reset',
        'id-errorIndication',
        'id-privateMessage',
        'id-notificationControl',
        'id-activityNotification',
        'id-e-UTRA-NR-CellResourceCoordination',
        'id-secondaryRATDataUsageReport',
        'id-deactivateTrace',
        'id-traceStart',
        'id-handoverSuccess',
        'id-conditionalHandoverCancel',
        'id-earlyStatusTransfer',
        'id-failureIndication',
        'id-handoverReport',
        'id-resourceStatusReportingInitiation',
        'id-resourceStatusReporting',
        'id-mobilitySettingsChange',
        'id-accessAndMobilityIndication',
        'maxEARFCN',
        'maxnoofAllowedAreas',
        'maxnoofAMFRegions',
        'maxnoofAoIs',
        'maxnoofBluetoothName',
        'maxnoofBPLMNs',
        'maxnoofCAGs',
        'maxnoofCAGsperPLMN',
        'maxnoofCellIDforMDT',
        'maxnoofCellsinAoI',
        'maxnoofCellsinUEHistoryInfo',
        'maxnoofCellsinNG-RANnode',
        'maxnoofCellsinRNA',
        'maxnoofCellsUEMovingTrajectory',
        'maxnoofDRBs',
        'maxnoofEUTRABands',
        'maxnoofEUTRABPLMNs',
        'maxnoofEPLMNs',
        'maxnoofExtSliceItems',
        'maxnoofEPLMNsplus1',
        'maxnoofForbiddenTACs',
        'maxnoofFreqforMDT',
        'maxnoofMBSFNEUTRA',
        'maxnoofMDTPLMNs',
        'maxnoofMultiConnectivityMinusOne',
        'maxnoofNeighbours',
        'maxnoofNeighPCIforMDT',
        'maxnoofNIDs',
        'maxnoofNRCellBands',
        'maxnoofPLMNs',
        'maxnoofPDUSessions',
        'maxnoofProtectedResourcePatterns',
        'maxnoofQoSFlows',
        'maxnoofQoSParaSets',
        'maxnoofRANAreaCodes',
        'maxnoofRANAreasinRNA',
        'maxnoofRANNodesinAoI',
        'maxnoofSCellGroups',
        'maxnoofSCellGroupsplus1',
        'maxnoofSensorName',
        'maxnoofSliceItems',
        'maxnoofSNPNIDs',
        'maxnoofsupportedPLMNs',
        'maxnoofsupportedTACs',
        'maxnoofTAforMDT',
        'maxnoofTAI',
        'maxnoofTAIsinAoI',
        'maxnooftimeperiods',
        'maxnoofTNLAssociations',
        'maxnoofUEContexts',
        'maxNRARFCN',
        'maxNrOfErrors',
        'maxnoofslots',
        'maxnoofExtTLAs',
        'maxnoofGTPTLAs',
        'maxnoofCHOcells',
        'maxnoofPC5QoSFlows',
        'maxnoofSSBAreas',
        'maxnoofRACHReports',
        'maxnoofNRSCSs',
        'maxnoofPhysicalResourceBlocks',
        'maxnoofAdditionalPDCPDuplicationTNL',
        'maxnoofRLCDuplicationstate',
        'maxnoofWLANName',
        'maxnoofNonAnchorCarrierFreqConfig',
        'maxnoofDataForwardingTunneltoE-UTRAN',
        'id-ActivatedServedCells',
        'id-ActivationIDforCellActivation',
        'id-admittedSplitSRB',
        'id-admittedSplitSRBrelease',
        'id-AMF-Region-Information',
        'id-AssistanceDataForRANPaging',
        'id-BearersSubjectToCounterCheck',
        'id-Cause',
        'id-cellAssistanceInfo-NR',
        'id-ConfigurationUpdateInitiatingNodeChoice',
        'id-CriticalityDiagnostics',
        'id-XnUAddressInfoperPDUSession-List',
        'id-DRBsSubjectToStatusTransfer-List',
        'id-ExpectedUEBehaviour',
        'id-GlobalNG-RAN-node-ID',
        'id-GUAMI',
        'id-indexToRatFrequSelectionPriority',
        'id-initiatingNodeType-ResourceCoordRequest',
        'id-List-of-served-cells-E-UTRA',
        'id-List-of-served-cells-NR',
        'id-LocationReportingInformation',
        'id-MAC-I',
        'id-MaskedIMEISV',
        'id-M-NG-RANnodeUEXnAPID',
        'id-MN-to-SN-Container',
        'id-MobilityRestrictionList',
        'id-new-NG-RAN-Cell-Identity',
        'id-newNG-RANnodeUEXnAPID',
        'id-UEReportRRCTransfer',
        'id-oldNG-RANnodeUEXnAPID',
        'id-OldtoNewNG-RANnodeResumeContainer',
        'id-PagingDRX',
        'id-PCellID',
        'id-PDCPChangeIndication',
        'id-PDUSessionAdmittedAddedAddReqAck',
        'id-PDUSessionAdmittedModSNModConfirm',
        'id-PDUSessionAdmitted-SNModResponse',
        'id-PDUSessionNotAdmittedAddReqAck',
        'id-PDUSessionNotAdmitted-SNModResponse',
        'id-PDUSessionReleasedList-RelConf',
        'id-PDUSessionReleasedSNModConfirm',
        'id-PDUSessionResourcesActivityNotifyList',
        'id-PDUSessionResourcesAdmitted-List',
        'id-PDUSessionResourcesNotAdmitted-List',
        'id-PDUSessionResourcesNotifyList',
        'id-PDUSession-SNChangeConfirm-List',
        'id-PDUSession-SNChangeRequired-List',
        'id-PDUSessionToBeAddedAddReq',
        'id-PDUSessionToBeModifiedSNModRequired',
        'id-PDUSessionToBeReleasedList-RelRqd',
        'id-PDUSessionToBeReleased-RelReq',
        'id-PDUSessionToBeReleasedSNModRequired',
        'id-RANPagingArea',
        'id-PagingPriority',
        'id-requestedSplitSRB',
        'id-requestedSplitSRBrelease',
        'id-ResetRequestTypeInfo',
        'id-ResetResponseTypeInfo',
        'id-RespondingNodeTypeConfigUpdateAck',
        'id-respondingNodeType-ResourceCoordResponse',
        'id-ResponseInfo-ReconfCompl',
        'id-RRCConfigIndication',
        'id-RRCResumeCause',
        'id-SCGConfigurationQuery',
        'id-selectedPLMN',
        'id-ServedCellsToActivate',
        'id-servedCellsToUpdate-E-UTRA',
        'id-ServedCellsToUpdateInitiatingNodeChoice',
        'id-servedCellsToUpdate-NR',
        'id-s-ng-RANnode-SecurityKey',
        'id-S-NG-RANnodeUE-AMBR',
        'id-S-NG-RANnodeUEXnAPID',
        'id-SN-to-MN-Container',
        'id-sourceNG-RANnodeUEXnAPID',
        'id-SplitSRB-RRCTransfer',
        'id-TAISupport-list',
        'id-TimeToWait',
        'id-Target2SourceNG-RANnodeTranspContainer',
        'id-targetCellGlobalID',
        'id-targetNG-RANnodeUEXnAPID',
        'id-target-S-NG-RANnodeID',
        'id-TraceActivation',
        'id-UEContextID',
        'id-UEContextInfoHORequest',
        'id-UEContextInfoRetrUECtxtResp',
        'id-UEContextInfo-SNModRequest',
        'id-UEContextKeptIndicator',
        'id-UEContextRefAtSN-HORequest',
        'id-UEHistoryInformation',
        'id-UEIdentityIndexValue',
        'id-UERANPagingIdentity',
        'id-UESecurityCapabilities',
        'id-UserPlaneTrafficActivityReport',
        'id-XnRemovalThreshold',
        'id-DesiredActNotificationLevel',
        'id-AvailableDRBIDs',
        'id-AdditionalDRBIDs',
        'id-SpareDRBIDs',
        'id-RequiredNumberOfDRBIDs',
        'id-TNLA-To-Add-List',
        'id-TNLA-To-Update-List',
        'id-TNLA-To-Remove-List',
        'id-TNLA-Setup-List',
        'id-TNLA-Failed-To-Setup-List',
        'id-PDUSessionToBeReleased-RelReqAck',
        'id-S-NG-RANnodeMaxIPDataRate-UL',
        'id-PDUSessionResourceSecondaryRATUsageList',
        'id-Additional-UL-NG-U-TNLatUPF-List',
        'id-SecondarydataForwardingInfoFromTarget-List',
        'id-LocationInformationSNReporting',
        'id-LocationInformationSN',
        'id-LastE-UTRANPLMNIdentity',
        'id-S-NG-RANnodeMaxIPDataRate-DL',
        'id-MaxIPrate-DL',
        'id-SecurityResult',
        'id-S-NSSAI',
        'id-MR-DC-ResourceCoordinationInfo',
        'id-AMF-Region-Information-To-Add',
        'id-AMF-Region-Information-To-Delete',
        'id-OldQoSFlowMap-ULendmarkerexpected',
        'id-RANPagingFailure',
        'id-UERadioCapabilityForPaging',
        'id-PDUSessionDataForwarding-SNModResponse',
        'id-DRBsNotAdmittedSetupModifyList',
        'id-Secondary-MN-Xn-U-TNLInfoatM',
        'id-NE-DC-TDM-Pattern',
        'id-PDUSessionCommonNetworkInstance',
        'id-BPLMN-ID-Info-EUTRA',
        'id-BPLMN-ID-Info-NR',
        'id-InterfaceInstanceIndication',
        'id-S-NG-RANnode-Addition-Trigger-Ind',
        'id-DefaultDRB-Allowed',
        'id-DRB-IDs-takenintouse',
        'id-SplitSessionIndicator',
        'id-CNTypeRestrictionsForEquivalent',
        'id-CNTypeRestrictionsForServing',
        'id-DRBs-transferred-to-MN',
        'id-ULForwardingProposal',
        'id-EndpointIPAddressAndPort',
        'id-IntendedTDD-DL-ULConfiguration-NR',
        'id-TNLConfigurationInfo',
        'id-PartialListIndicator-NR',
        'id-MessageOversizeNotification',
        'id-CellAndCapacityAssistanceInfo-NR',
        'id-NG-RANTraceID',
        'id-NonGBRResources-Offered',
        'id-FastMCGRecoveryRRCTransfer-SN-to-MN',
        'id-RequestedFastMCGRecoveryViaSRB3',
        'id-AvailableFastMCGRecoveryViaSRB3',
        'id-RequestedFastMCGRecoveryViaSRB3Release',
        'id-ReleaseFastMCGRecoveryViaSRB3',
        'id-FastMCGRecoveryRRCTransfer-MN-to-SN',
        'id-ExtendedRATRestrictionInformation',
        'id-QoSMonitoringRequest',
        'id-FiveGCMobilityRestrictionListContainer',
        'id-PartialListIndicator-EUTRA',
        'id-CellAndCapacityAssistanceInfo-EUTRA',
        'id-CHOinformation-Req',
        'id-CHOinformation-Ack',
        'id-targetCellsToCancel',
        'id-requestedTargetCellGlobalID',
        'id-procedureStage',
        'id-DAPSRequestInfo',
        'id-DAPSResponseInfo-List',
        'id-CHO-MRDC-Indicator',
        'id-OffsetOfNbiotChannelNumberToDL-EARFCN',
        'id-OffsetOfNbiotChannelNumberToUL-EARFCN',
        'id-NBIoT-UL-DL-AlignmentOffset',
        'id-LTEV2XServicesAuthorized',
        'id-NRV2XServicesAuthorized',
        'id-LTEUESidelinkAggregateMaximumBitRate',
        'id-NRUESidelinkAggregateMaximumBitRate',
        'id-PC5QoSParameters',
        'id-AlternativeQoSParaSetList',
        'id-CurrentQoSParaSetIndex',
        'id-MobilityInformation',
        'id-InitiatingCondition-FailureIndication',
        'id-UEHistoryInformationFromTheUE',
        'id-HandoverReportType',
        'id-HandoverCause',
        'id-SourceCellCGI',
        'id-TargetCellCGI',
        'id-ReEstablishmentCellCGI',
        'id-TargetCellinEUTRAN',
        'id-SourceCellCRNTI',
        'id-UERLFReportContainer',
        'id-NGRAN-Node1-Measurement-ID',
        'id-NGRAN-Node2-Measurement-ID',
        'id-RegistrationRequest',
        'id-ReportCharacteristics',
        'id-CellToReport',
        'id-ReportingPeriodicity',
        'id-CellMeasurementResult',
        'id-NG-RANnode1CellID',
        'id-NG-RANnode2CellID',
        'id-NG-RANnode1MobilityParameters',
        'id-NG-RANnode2ProposedMobilityParameters',
        'id-MobilityParametersModificationRange',
        'id-TDDULDLConfigurationCommonNR',
        'id-CarrierList',
        'id-ULCarrierList',
        'id-FrequencyShift7p5khz',
        'id-SSB-PositionsInBurst',
        'id-NRCellPRACHConfig',
        'id-RACHReportInformation',
        'id-IABNodeIndication',
        'id-Redundant-UL-NG-U-TNLatUPF',
        'id-CNPacketDelayBudgetDownlink',
        'id-CNPacketDelayBudgetUplink',
        'id-Additional-Redundant-UL-NG-U-TNLatUPF-List',
        'id-RedundantCommonNetworkInstance',
        'id-TSCTrafficCharacteristics',
        'id-RedundantQoSFlowIndicator',
        'id-Redundant-DL-NG-U-TNLatNG-RAN',
        'id-ExtendedPacketDelayBudget',
        'id-Additional-PDCP-Duplication-TNL-List',
        'id-RedundantPDUSessionInformation',
        'id-UsedRSNInformation',
        'id-RLCDuplicationInformation',
        'id-NPN-Broadcast-Information',
        'id-NPNPagingAssistanceInformation',
        'id-NPNMobilityInformation',
        'id-NPN-Support',
        'id-MDT-Configuration',
        'id-MDTPLMNList',
        'id-TraceCollectionEntityURI',
        'id-UERadioCapabilityID',
        'id-CSI-RSTransmissionIndication',
        'id-SNTriggered',
        'id-DLCarrierList',
        'id-ExtendedTAISliceSupportList',
        'id-cellAssistanceInfo-EUTRA',
        'id-ConfiguredTACIndication',
        'id-secondary-SN-UL-PDCP-UP-TNLInfo',
        'id-pdcpDuplicationConfiguration',
        'id-duplicationActivation',
        'id-NPRACHConfiguration',
        'id-QosMonitoringReportingFrequency',
        'id-QoSFlowsMappedtoDRB-SetupResponse-MNterminated',
        'id-DL-scheduling-PDCCH-CCE-usage',
        'id-UL-scheduling-PDCCH-CCE-usage',
        'id-SFN-Offset',
        'id-QoSMonitoringDisabled',
        'id-ExtendedUEIdentityIndexValue',
        'id-PagingeDRXInformation',
        'id-CHO-MRDC-EarlyDataForwarding',
        'id-SCGIndicator',
        'id-UESpecificDRX',
        'id-PDUSessionExpectedUEActivityBehaviour',
        'id-QoS-Mapping-Information',
        'id-AdditionLocationInformation',
        'id-dataForwardingInfoFromTargetE-UTRANnode',
        'id-DirectForwardingPathAvailability',
        'id-SourceNG-RAN-node-ID',
        'id-SourceDLForwardingIPAddress',
        'id-SourceNodeDLForwardingIPAddress',
        'id-ExtendedReportIntervalMDT',
        'id-SecurityIndication',
        'id-RRCConnReestab-Indicator',
        'id-TargetNodeID',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< id-handoverPreparation >-----#
    id_handoverPreparation = INT(name='id-handoverPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverPreparation._val = 0
    
    #-----< id-sNStatusTransfer >-----#
    id_sNStatusTransfer = INT(name='id-sNStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNStatusTransfer._val = 1
    
    #-----< id-handoverCancel >-----#
    id_handoverCancel = INT(name='id-handoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverCancel._val = 2
    
    #-----< id-retrieveUEContext >-----#
    id_retrieveUEContext = INT(name='id-retrieveUEContext', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_retrieveUEContext._val = 3
    
    #-----< id-rANPaging >-----#
    id_rANPaging = INT(name='id-rANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_rANPaging._val = 4
    
    #-----< id-xnUAddressIndication >-----#
    id_xnUAddressIndication = INT(name='id-xnUAddressIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnUAddressIndication._val = 5
    
    #-----< id-uEContextRelease >-----#
    id_uEContextRelease = INT(name='id-uEContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_uEContextRelease._val = 6
    
    #-----< id-sNGRANnodeAdditionPreparation >-----#
    id_sNGRANnodeAdditionPreparation = INT(name='id-sNGRANnodeAdditionPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeAdditionPreparation._val = 7
    
    #-----< id-sNGRANnodeReconfigurationCompletion >-----#
    id_sNGRANnodeReconfigurationCompletion = INT(name='id-sNGRANnodeReconfigurationCompletion', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeReconfigurationCompletion._val = 8
    
    #-----< id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation = INT(name='id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = 9
    
    #-----< id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation = INT(name='id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = 10
    
    #-----< id-mNGRANnodeinitiatedSNGRANnodeRelease >-----#
    id_mNGRANnodeinitiatedSNGRANnodeRelease = INT(name='id-mNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_mNGRANnodeinitiatedSNGRANnodeRelease._val = 11
    
    #-----< id-sNGRANnodeinitiatedSNGRANnodeRelease >-----#
    id_sNGRANnodeinitiatedSNGRANnodeRelease = INT(name='id-sNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeinitiatedSNGRANnodeRelease._val = 12
    
    #-----< id-sNGRANnodeCounterCheck >-----#
    id_sNGRANnodeCounterCheck = INT(name='id-sNGRANnodeCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeCounterCheck._val = 13
    
    #-----< id-sNGRANnodeChange >-----#
    id_sNGRANnodeChange = INT(name='id-sNGRANnodeChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeChange._val = 14
    
    #-----< id-rRCTransfer >-----#
    id_rRCTransfer = INT(name='id-rRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_rRCTransfer._val = 15
    
    #-----< id-xnRemoval >-----#
    id_xnRemoval = INT(name='id-xnRemoval', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnRemoval._val = 16
    
    #-----< id-xnSetup >-----#
    id_xnSetup = INT(name='id-xnSetup', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnSetup._val = 17
    
    #-----< id-nGRANnodeConfigurationUpdate >-----#
    id_nGRANnodeConfigurationUpdate = INT(name='id-nGRANnodeConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_nGRANnodeConfigurationUpdate._val = 18
    
    #-----< id-cellActivation >-----#
    id_cellActivation = INT(name='id-cellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_cellActivation._val = 19
    
    #-----< id-reset >-----#
    id_reset = INT(name='id-reset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_reset._val = 20
    
    #-----< id-errorIndication >-----#
    id_errorIndication = INT(name='id-errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_errorIndication._val = 21
    
    #-----< id-privateMessage >-----#
    id_privateMessage = INT(name='id-privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_privateMessage._val = 22
    
    #-----< id-notificationControl >-----#
    id_notificationControl = INT(name='id-notificationControl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_notificationControl._val = 23
    
    #-----< id-activityNotification >-----#
    id_activityNotification = INT(name='id-activityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_activityNotification._val = 24
    
    #-----< id-e-UTRA-NR-CellResourceCoordination >-----#
    id_e_UTRA_NR_CellResourceCoordination = INT(name='id-e-UTRA-NR-CellResourceCoordination', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_e_UTRA_NR_CellResourceCoordination._val = 25
    
    #-----< id-secondaryRATDataUsageReport >-----#
    id_secondaryRATDataUsageReport = INT(name='id-secondaryRATDataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_secondaryRATDataUsageReport._val = 26
    
    #-----< id-deactivateTrace >-----#
    id_deactivateTrace = INT(name='id-deactivateTrace', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_deactivateTrace._val = 27
    
    #-----< id-traceStart >-----#
    id_traceStart = INT(name='id-traceStart', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_traceStart._val = 28
    
    #-----< id-handoverSuccess >-----#
    id_handoverSuccess = INT(name='id-handoverSuccess', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverSuccess._val = 29
    
    #-----< id-conditionalHandoverCancel >-----#
    id_conditionalHandoverCancel = INT(name='id-conditionalHandoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_conditionalHandoverCancel._val = 30
    
    #-----< id-earlyStatusTransfer >-----#
    id_earlyStatusTransfer = INT(name='id-earlyStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_earlyStatusTransfer._val = 31
    
    #-----< id-failureIndication >-----#
    id_failureIndication = INT(name='id-failureIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_failureIndication._val = 32
    
    #-----< id-handoverReport >-----#
    id_handoverReport = INT(name='id-handoverReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverReport._val = 33
    
    #-----< id-resourceStatusReportingInitiation >-----#
    id_resourceStatusReportingInitiation = INT(name='id-resourceStatusReportingInitiation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_resourceStatusReportingInitiation._val = 34
    
    #-----< id-resourceStatusReporting >-----#
    id_resourceStatusReporting = INT(name='id-resourceStatusReporting', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_resourceStatusReporting._val = 35
    
    #-----< id-mobilitySettingsChange >-----#
    id_mobilitySettingsChange = INT(name='id-mobilitySettingsChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_mobilitySettingsChange._val = 36
    
    #-----< id-accessAndMobilityIndication >-----#
    id_accessAndMobilityIndication = INT(name='id-accessAndMobilityIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_accessAndMobilityIndication._val = 37
    
    #-----< maxEARFCN >-----#
    maxEARFCN = INT(name='maxEARFCN', mode=MODE_VALUE)
    maxEARFCN._val = 262143
    
    #-----< maxnoofAllowedAreas >-----#
    maxnoofAllowedAreas = INT(name='maxnoofAllowedAreas', mode=MODE_VALUE)
    maxnoofAllowedAreas._val = 16
    
    #-----< maxnoofAMFRegions >-----#
    maxnoofAMFRegions = INT(name='maxnoofAMFRegions', mode=MODE_VALUE)
    maxnoofAMFRegions._val = 16
    
    #-----< maxnoofAoIs >-----#
    maxnoofAoIs = INT(name='maxnoofAoIs', mode=MODE_VALUE)
    maxnoofAoIs._val = 64
    
    #-----< maxnoofBluetoothName >-----#
    maxnoofBluetoothName = INT(name='maxnoofBluetoothName', mode=MODE_VALUE)
    maxnoofBluetoothName._val = 4
    
    #-----< maxnoofBPLMNs >-----#
    maxnoofBPLMNs = INT(name='maxnoofBPLMNs', mode=MODE_VALUE)
    maxnoofBPLMNs._val = 12
    
    #-----< maxnoofCAGs >-----#
    maxnoofCAGs = INT(name='maxnoofCAGs', mode=MODE_VALUE)
    maxnoofCAGs._val = 12
    
    #-----< maxnoofCAGsperPLMN >-----#
    maxnoofCAGsperPLMN = INT(name='maxnoofCAGsperPLMN', mode=MODE_VALUE)
    maxnoofCAGsperPLMN._val = 256
    
    #-----< maxnoofCellIDforMDT >-----#
    maxnoofCellIDforMDT = INT(name='maxnoofCellIDforMDT', mode=MODE_VALUE)
    maxnoofCellIDforMDT._val = 32
    
    #-----< maxnoofCellsinAoI >-----#
    maxnoofCellsinAoI = INT(name='maxnoofCellsinAoI', mode=MODE_VALUE)
    maxnoofCellsinAoI._val = 256
    
    #-----< maxnoofCellsinUEHistoryInfo >-----#
    maxnoofCellsinUEHistoryInfo = INT(name='maxnoofCellsinUEHistoryInfo', mode=MODE_VALUE)
    maxnoofCellsinUEHistoryInfo._val = 16
    
    #-----< maxnoofCellsinNG-RANnode >-----#
    maxnoofCellsinNG_RANnode = INT(name='maxnoofCellsinNG-RANnode', mode=MODE_VALUE)
    maxnoofCellsinNG_RANnode._val = 16384
    
    #-----< maxnoofCellsinRNA >-----#
    maxnoofCellsinRNA = INT(name='maxnoofCellsinRNA', mode=MODE_VALUE)
    maxnoofCellsinRNA._val = 32
    
    #-----< maxnoofCellsUEMovingTrajectory >-----#
    maxnoofCellsUEMovingTrajectory = INT(name='maxnoofCellsUEMovingTrajectory', mode=MODE_VALUE)
    maxnoofCellsUEMovingTrajectory._val = 16
    
    #-----< maxnoofDRBs >-----#
    maxnoofDRBs = INT(name='maxnoofDRBs', mode=MODE_VALUE)
    maxnoofDRBs._val = 32
    
    #-----< maxnoofEUTRABands >-----#
    maxnoofEUTRABands = INT(name='maxnoofEUTRABands', mode=MODE_VALUE)
    maxnoofEUTRABands._val = 16
    
    #-----< maxnoofEUTRABPLMNs >-----#
    maxnoofEUTRABPLMNs = INT(name='maxnoofEUTRABPLMNs', mode=MODE_VALUE)
    maxnoofEUTRABPLMNs._val = 6
    
    #-----< maxnoofEPLMNs >-----#
    maxnoofEPLMNs = INT(name='maxnoofEPLMNs', mode=MODE_VALUE)
    maxnoofEPLMNs._val = 15
    
    #-----< maxnoofExtSliceItems >-----#
    maxnoofExtSliceItems = INT(name='maxnoofExtSliceItems', mode=MODE_VALUE)
    maxnoofExtSliceItems._val = 65535
    
    #-----< maxnoofEPLMNsplus1 >-----#
    maxnoofEPLMNsplus1 = INT(name='maxnoofEPLMNsplus1', mode=MODE_VALUE)
    maxnoofEPLMNsplus1._val = 16
    
    #-----< maxnoofForbiddenTACs >-----#
    maxnoofForbiddenTACs = INT(name='maxnoofForbiddenTACs', mode=MODE_VALUE)
    maxnoofForbiddenTACs._val = 4096
    
    #-----< maxnoofFreqforMDT >-----#
    maxnoofFreqforMDT = INT(name='maxnoofFreqforMDT', mode=MODE_VALUE)
    maxnoofFreqforMDT._val = 8
    
    #-----< maxnoofMBSFNEUTRA >-----#
    maxnoofMBSFNEUTRA = INT(name='maxnoofMBSFNEUTRA', mode=MODE_VALUE)
    maxnoofMBSFNEUTRA._val = 8
    
    #-----< maxnoofMDTPLMNs >-----#
    maxnoofMDTPLMNs = INT(name='maxnoofMDTPLMNs', mode=MODE_VALUE)
    maxnoofMDTPLMNs._val = 16
    
    #-----< maxnoofMultiConnectivityMinusOne >-----#
    maxnoofMultiConnectivityMinusOne = INT(name='maxnoofMultiConnectivityMinusOne', mode=MODE_VALUE)
    maxnoofMultiConnectivityMinusOne._val = 3
    
    #-----< maxnoofNeighbours >-----#
    maxnoofNeighbours = INT(name='maxnoofNeighbours', mode=MODE_VALUE)
    maxnoofNeighbours._val = 1024
    
    #-----< maxnoofNeighPCIforMDT >-----#
    maxnoofNeighPCIforMDT = INT(name='maxnoofNeighPCIforMDT', mode=MODE_VALUE)
    maxnoofNeighPCIforMDT._val = 32
    
    #-----< maxnoofNIDs >-----#
    maxnoofNIDs = INT(name='maxnoofNIDs', mode=MODE_VALUE)
    maxnoofNIDs._val = 12
    
    #-----< maxnoofNRCellBands >-----#
    maxnoofNRCellBands = INT(name='maxnoofNRCellBands', mode=MODE_VALUE)
    maxnoofNRCellBands._val = 32
    
    #-----< maxnoofPLMNs >-----#
    maxnoofPLMNs = INT(name='maxnoofPLMNs', mode=MODE_VALUE)
    maxnoofPLMNs._val = 16
    
    #-----< maxnoofPDUSessions >-----#
    maxnoofPDUSessions = INT(name='maxnoofPDUSessions', mode=MODE_VALUE)
    maxnoofPDUSessions._val = 256
    
    #-----< maxnoofProtectedResourcePatterns >-----#
    maxnoofProtectedResourcePatterns = INT(name='maxnoofProtectedResourcePatterns', mode=MODE_VALUE)
    maxnoofProtectedResourcePatterns._val = 16
    
    #-----< maxnoofQoSFlows >-----#
    maxnoofQoSFlows = INT(name='maxnoofQoSFlows', mode=MODE_VALUE)
    maxnoofQoSFlows._val = 64
    
    #-----< maxnoofQoSParaSets >-----#
    maxnoofQoSParaSets = INT(name='maxnoofQoSParaSets', mode=MODE_VALUE)
    maxnoofQoSParaSets._val = 8
    
    #-----< maxnoofRANAreaCodes >-----#
    maxnoofRANAreaCodes = INT(name='maxnoofRANAreaCodes', mode=MODE_VALUE)
    maxnoofRANAreaCodes._val = 32
    
    #-----< maxnoofRANAreasinRNA >-----#
    maxnoofRANAreasinRNA = INT(name='maxnoofRANAreasinRNA', mode=MODE_VALUE)
    maxnoofRANAreasinRNA._val = 16
    
    #-----< maxnoofRANNodesinAoI >-----#
    maxnoofRANNodesinAoI = INT(name='maxnoofRANNodesinAoI', mode=MODE_VALUE)
    maxnoofRANNodesinAoI._val = 64
    
    #-----< maxnoofSCellGroups >-----#
    maxnoofSCellGroups = INT(name='maxnoofSCellGroups', mode=MODE_VALUE)
    maxnoofSCellGroups._val = 3
    
    #-----< maxnoofSCellGroupsplus1 >-----#
    maxnoofSCellGroupsplus1 = INT(name='maxnoofSCellGroupsplus1', mode=MODE_VALUE)
    maxnoofSCellGroupsplus1._val = 4
    
    #-----< maxnoofSensorName >-----#
    maxnoofSensorName = INT(name='maxnoofSensorName', mode=MODE_VALUE)
    maxnoofSensorName._val = 3
    
    #-----< maxnoofSliceItems >-----#
    maxnoofSliceItems = INT(name='maxnoofSliceItems', mode=MODE_VALUE)
    maxnoofSliceItems._val = 1024
    
    #-----< maxnoofSNPNIDs >-----#
    maxnoofSNPNIDs = INT(name='maxnoofSNPNIDs', mode=MODE_VALUE)
    maxnoofSNPNIDs._val = 12
    
    #-----< maxnoofsupportedPLMNs >-----#
    maxnoofsupportedPLMNs = INT(name='maxnoofsupportedPLMNs', mode=MODE_VALUE)
    maxnoofsupportedPLMNs._val = 12
    
    #-----< maxnoofsupportedTACs >-----#
    maxnoofsupportedTACs = INT(name='maxnoofsupportedTACs', mode=MODE_VALUE)
    maxnoofsupportedTACs._val = 256
    
    #-----< maxnoofTAforMDT >-----#
    maxnoofTAforMDT = INT(name='maxnoofTAforMDT', mode=MODE_VALUE)
    maxnoofTAforMDT._val = 8
    
    #-----< maxnoofTAI >-----#
    maxnoofTAI = INT(name='maxnoofTAI', mode=MODE_VALUE)
    maxnoofTAI._val = 16
    
    #-----< maxnoofTAIsinAoI >-----#
    maxnoofTAIsinAoI = INT(name='maxnoofTAIsinAoI', mode=MODE_VALUE)
    maxnoofTAIsinAoI._val = 16
    
    #-----< maxnooftimeperiods >-----#
    maxnooftimeperiods = INT(name='maxnooftimeperiods', mode=MODE_VALUE)
    maxnooftimeperiods._val = 2
    
    #-----< maxnoofTNLAssociations >-----#
    maxnoofTNLAssociations = INT(name='maxnoofTNLAssociations', mode=MODE_VALUE)
    maxnoofTNLAssociations._val = 32
    
    #-----< maxnoofUEContexts >-----#
    maxnoofUEContexts = INT(name='maxnoofUEContexts', mode=MODE_VALUE)
    maxnoofUEContexts._val = 8192
    
    #-----< maxNRARFCN >-----#
    maxNRARFCN = INT(name='maxNRARFCN', mode=MODE_VALUE)
    maxNRARFCN._val = 3279165
    
    #-----< maxNrOfErrors >-----#
    maxNrOfErrors = INT(name='maxNrOfErrors', mode=MODE_VALUE)
    maxNrOfErrors._val = 256
    
    #-----< maxnoofslots >-----#
    maxnoofslots = INT(name='maxnoofslots', mode=MODE_VALUE)
    maxnoofslots._val = 5120
    
    #-----< maxnoofExtTLAs >-----#
    maxnoofExtTLAs = INT(name='maxnoofExtTLAs', mode=MODE_VALUE)
    maxnoofExtTLAs._val = 16
    
    #-----< maxnoofGTPTLAs >-----#
    maxnoofGTPTLAs = INT(name='maxnoofGTPTLAs', mode=MODE_VALUE)
    maxnoofGTPTLAs._val = 16
    
    #-----< maxnoofCHOcells >-----#
    maxnoofCHOcells = INT(name='maxnoofCHOcells', mode=MODE_VALUE)
    maxnoofCHOcells._val = 8
    
    #-----< maxnoofPC5QoSFlows >-----#
    maxnoofPC5QoSFlows = INT(name='maxnoofPC5QoSFlows', mode=MODE_VALUE)
    maxnoofPC5QoSFlows._val = 2064
    
    #-----< maxnoofSSBAreas >-----#
    maxnoofSSBAreas = INT(name='maxnoofSSBAreas', mode=MODE_VALUE)
    maxnoofSSBAreas._val = 64
    
    #-----< maxnoofRACHReports >-----#
    maxnoofRACHReports = INT(name='maxnoofRACHReports', mode=MODE_VALUE)
    maxnoofRACHReports._val = 64
    
    #-----< maxnoofNRSCSs >-----#
    maxnoofNRSCSs = INT(name='maxnoofNRSCSs', mode=MODE_VALUE)
    maxnoofNRSCSs._val = 5
    
    #-----< maxnoofPhysicalResourceBlocks >-----#
    maxnoofPhysicalResourceBlocks = INT(name='maxnoofPhysicalResourceBlocks', mode=MODE_VALUE)
    maxnoofPhysicalResourceBlocks._val = 275
    
    #-----< maxnoofAdditionalPDCPDuplicationTNL >-----#
    maxnoofAdditionalPDCPDuplicationTNL = INT(name='maxnoofAdditionalPDCPDuplicationTNL', mode=MODE_VALUE)
    maxnoofAdditionalPDCPDuplicationTNL._val = 2
    
    #-----< maxnoofRLCDuplicationstate >-----#
    maxnoofRLCDuplicationstate = INT(name='maxnoofRLCDuplicationstate', mode=MODE_VALUE)
    maxnoofRLCDuplicationstate._val = 3
    
    #-----< maxnoofWLANName >-----#
    maxnoofWLANName = INT(name='maxnoofWLANName', mode=MODE_VALUE)
    maxnoofWLANName._val = 4
    
    #-----< maxnoofNonAnchorCarrierFreqConfig >-----#
    maxnoofNonAnchorCarrierFreqConfig = INT(name='maxnoofNonAnchorCarrierFreqConfig', mode=MODE_VALUE)
    maxnoofNonAnchorCarrierFreqConfig._val = 15
    
    #-----< maxnoofDataForwardingTunneltoE-UTRAN >-----#
    maxnoofDataForwardingTunneltoE_UTRAN = INT(name='maxnoofDataForwardingTunneltoE-UTRAN', mode=MODE_VALUE)
    maxnoofDataForwardingTunneltoE_UTRAN._val = 256
    
    #-----< id-ActivatedServedCells >-----#
    id_ActivatedServedCells = INT(name='id-ActivatedServedCells', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivatedServedCells._val = 0
    
    #-----< id-ActivationIDforCellActivation >-----#
    id_ActivationIDforCellActivation = INT(name='id-ActivationIDforCellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivationIDforCellActivation._val = 1
    
    #-----< id-admittedSplitSRB >-----#
    id_admittedSplitSRB = INT(name='id-admittedSplitSRB', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_admittedSplitSRB._val = 2
    
    #-----< id-admittedSplitSRBrelease >-----#
    id_admittedSplitSRBrelease = INT(name='id-admittedSplitSRBrelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_admittedSplitSRBrelease._val = 3
    
    #-----< id-AMF-Region-Information >-----#
    id_AMF_Region_Information = INT(name='id-AMF-Region-Information', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information._val = 4
    
    #-----< id-AssistanceDataForRANPaging >-----#
    id_AssistanceDataForRANPaging = INT(name='id-AssistanceDataForRANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AssistanceDataForRANPaging._val = 5
    
    #-----< id-BearersSubjectToCounterCheck >-----#
    id_BearersSubjectToCounterCheck = INT(name='id-BearersSubjectToCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BearersSubjectToCounterCheck._val = 6
    
    #-----< id-Cause >-----#
    id_Cause = INT(name='id-Cause', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Cause._val = 7
    
    #-----< id-cellAssistanceInfo-NR >-----#
    id_cellAssistanceInfo_NR = INT(name='id-cellAssistanceInfo-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_cellAssistanceInfo_NR._val = 8
    
    #-----< id-ConfigurationUpdateInitiatingNodeChoice >-----#
    id_ConfigurationUpdateInitiatingNodeChoice = INT(name='id-ConfigurationUpdateInitiatingNodeChoice', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ConfigurationUpdateInitiatingNodeChoice._val = 9
    
    #-----< id-CriticalityDiagnostics >-----#
    id_CriticalityDiagnostics = INT(name='id-CriticalityDiagnostics', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CriticalityDiagnostics._val = 10
    
    #-----< id-XnUAddressInfoperPDUSession-List >-----#
    id_XnUAddressInfoperPDUSession_List = INT(name='id-XnUAddressInfoperPDUSession-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_XnUAddressInfoperPDUSession_List._val = 11
    
    #-----< id-DRBsSubjectToStatusTransfer-List >-----#
    id_DRBsSubjectToStatusTransfer_List = INT(name='id-DRBsSubjectToStatusTransfer-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBsSubjectToStatusTransfer_List._val = 12
    
    #-----< id-ExpectedUEBehaviour >-----#
    id_ExpectedUEBehaviour = INT(name='id-ExpectedUEBehaviour', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExpectedUEBehaviour._val = 13
    
    #-----< id-GlobalNG-RAN-node-ID >-----#
    id_GlobalNG_RAN_node_ID = INT(name='id-GlobalNG-RAN-node-ID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GlobalNG_RAN_node_ID._val = 14
    
    #-----< id-GUAMI >-----#
    id_GUAMI = INT(name='id-GUAMI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GUAMI._val = 15
    
    #-----< id-indexToRatFrequSelectionPriority >-----#
    id_indexToRatFrequSelectionPriority = INT(name='id-indexToRatFrequSelectionPriority', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_indexToRatFrequSelectionPriority._val = 16
    
    #-----< id-initiatingNodeType-ResourceCoordRequest >-----#
    id_initiatingNodeType_ResourceCoordRequest = INT(name='id-initiatingNodeType-ResourceCoordRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_initiatingNodeType_ResourceCoordRequest._val = 17
    
    #-----< id-List-of-served-cells-E-UTRA >-----#
    id_List_of_served_cells_E_UTRA = INT(name='id-List-of-served-cells-E-UTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_List_of_served_cells_E_UTRA._val = 18
    
    #-----< id-List-of-served-cells-NR >-----#
    id_List_of_served_cells_NR = INT(name='id-List-of-served-cells-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_List_of_served_cells_NR._val = 19
    
    #-----< id-LocationReportingInformation >-----#
    id_LocationReportingInformation = INT(name='id-LocationReportingInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationReportingInformation._val = 20
    
    #-----< id-MAC-I >-----#
    id_MAC_I = INT(name='id-MAC-I', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MAC_I._val = 21
    
    #-----< id-MaskedIMEISV >-----#
    id_MaskedIMEISV = INT(name='id-MaskedIMEISV', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MaskedIMEISV._val = 22
    
    #-----< id-M-NG-RANnodeUEXnAPID >-----#
    id_M_NG_RANnodeUEXnAPID = INT(name='id-M-NG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_M_NG_RANnodeUEXnAPID._val = 23
    
    #-----< id-MN-to-SN-Container >-----#
    id_MN_to_SN_Container = INT(name='id-MN-to-SN-Container', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MN_to_SN_Container._val = 24
    
    #-----< id-MobilityRestrictionList >-----#
    id_MobilityRestrictionList = INT(name='id-MobilityRestrictionList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MobilityRestrictionList._val = 25
    
    #-----< id-new-NG-RAN-Cell-Identity >-----#
    id_new_NG_RAN_Cell_Identity = INT(name='id-new-NG-RAN-Cell-Identity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_new_NG_RAN_Cell_Identity._val = 26
    
    #-----< id-newNG-RANnodeUEXnAPID >-----#
    id_newNG_RANnodeUEXnAPID = INT(name='id-newNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_newNG_RANnodeUEXnAPID._val = 27
    
    #-----< id-UEReportRRCTransfer >-----#
    id_UEReportRRCTransfer = INT(name='id-UEReportRRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEReportRRCTransfer._val = 28
    
    #-----< id-oldNG-RANnodeUEXnAPID >-----#
    id_oldNG_RANnodeUEXnAPID = INT(name='id-oldNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_oldNG_RANnodeUEXnAPID._val = 29
    
    #-----< id-OldtoNewNG-RANnodeResumeContainer >-----#
    id_OldtoNewNG_RANnodeResumeContainer = INT(name='id-OldtoNewNG-RANnodeResumeContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OldtoNewNG_RANnodeResumeContainer._val = 30
    
    #-----< id-PagingDRX >-----#
    id_PagingDRX = INT(name='id-PagingDRX', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PagingDRX._val = 31
    
    #-----< id-PCellID >-----#
    id_PCellID = INT(name='id-PCellID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PCellID._val = 32
    
    #-----< id-PDCPChangeIndication >-----#
    id_PDCPChangeIndication = INT(name='id-PDCPChangeIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDCPChangeIndication._val = 33
    
    #-----< id-PDUSessionAdmittedAddedAddReqAck >-----#
    id_PDUSessionAdmittedAddedAddReqAck = INT(name='id-PDUSessionAdmittedAddedAddReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmittedAddedAddReqAck._val = 34
    
    #-----< id-PDUSessionAdmittedModSNModConfirm >-----#
    id_PDUSessionAdmittedModSNModConfirm = INT(name='id-PDUSessionAdmittedModSNModConfirm', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmittedModSNModConfirm._val = 35
    
    #-----< id-PDUSessionAdmitted-SNModResponse >-----#
    id_PDUSessionAdmitted_SNModResponse = INT(name='id-PDUSessionAdmitted-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmitted_SNModResponse._val = 36
    
    #-----< id-PDUSessionNotAdmittedAddReqAck >-----#
    id_PDUSessionNotAdmittedAddReqAck = INT(name='id-PDUSessionNotAdmittedAddReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionNotAdmittedAddReqAck._val = 37
    
    #-----< id-PDUSessionNotAdmitted-SNModResponse >-----#
    id_PDUSessionNotAdmitted_SNModResponse = INT(name='id-PDUSessionNotAdmitted-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionNotAdmitted_SNModResponse._val = 38
    
    #-----< id-PDUSessionReleasedList-RelConf >-----#
    id_PDUSessionReleasedList_RelConf = INT(name='id-PDUSessionReleasedList-RelConf', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionReleasedList_RelConf._val = 39
    
    #-----< id-PDUSessionReleasedSNModConfirm >-----#
    id_PDUSessionReleasedSNModConfirm = INT(name='id-PDUSessionReleasedSNModConfirm', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionReleasedSNModConfirm._val = 40
    
    #-----< id-PDUSessionResourcesActivityNotifyList >-----#
    id_PDUSessionResourcesActivityNotifyList = INT(name='id-PDUSessionResourcesActivityNotifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesActivityNotifyList._val = 41
    
    #-----< id-PDUSessionResourcesAdmitted-List >-----#
    id_PDUSessionResourcesAdmitted_List = INT(name='id-PDUSessionResourcesAdmitted-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesAdmitted_List._val = 42
    
    #-----< id-PDUSessionResourcesNotAdmitted-List >-----#
    id_PDUSessionResourcesNotAdmitted_List = INT(name='id-PDUSessionResourcesNotAdmitted-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesNotAdmitted_List._val = 43
    
    #-----< id-PDUSessionResourcesNotifyList >-----#
    id_PDUSessionResourcesNotifyList = INT(name='id-PDUSessionResourcesNotifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesNotifyList._val = 44
    
    #-----< id-PDUSession-SNChangeConfirm-List >-----#
    id_PDUSession_SNChangeConfirm_List = INT(name='id-PDUSession-SNChangeConfirm-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSession_SNChangeConfirm_List._val = 45
    
    #-----< id-PDUSession-SNChangeRequired-List >-----#
    id_PDUSession_SNChangeRequired_List = INT(name='id-PDUSession-SNChangeRequired-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSession_SNChangeRequired_List._val = 46
    
    #-----< id-PDUSessionToBeAddedAddReq >-----#
    id_PDUSessionToBeAddedAddReq = INT(name='id-PDUSessionToBeAddedAddReq', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeAddedAddReq._val = 47
    
    #-----< id-PDUSessionToBeModifiedSNModRequired >-----#
    id_PDUSessionToBeModifiedSNModRequired = INT(name='id-PDUSessionToBeModifiedSNModRequired', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeModifiedSNModRequired._val = 48
    
    #-----< id-PDUSessionToBeReleasedList-RelRqd >-----#
    id_PDUSessionToBeReleasedList_RelRqd = INT(name='id-PDUSessionToBeReleasedList-RelRqd', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleasedList_RelRqd._val = 49
    
    #-----< id-PDUSessionToBeReleased-RelReq >-----#
    id_PDUSessionToBeReleased_RelReq = INT(name='id-PDUSessionToBeReleased-RelReq', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleased_RelReq._val = 50
    
    #-----< id-PDUSessionToBeReleasedSNModRequired >-----#
    id_PDUSessionToBeReleasedSNModRequired = INT(name='id-PDUSessionToBeReleasedSNModRequired', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleasedSNModRequired._val = 51
    
    #-----< id-RANPagingArea >-----#
    id_RANPagingArea = INT(name='id-RANPagingArea', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RANPagingArea._val = 52
    
    #-----< id-PagingPriority >-----#
    id_PagingPriority = INT(name='id-PagingPriority', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PagingPriority._val = 53
    
    #-----< id-requestedSplitSRB >-----#
    id_requestedSplitSRB = INT(name='id-requestedSplitSRB', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_requestedSplitSRB._val = 54
    
    #-----< id-requestedSplitSRBrelease >-----#
    id_requestedSplitSRBrelease = INT(name='id-requestedSplitSRBrelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_requestedSplitSRBrelease._val = 55
    
    #-----< id-ResetRequestTypeInfo >-----#
    id_ResetRequestTypeInfo = INT(name='id-ResetRequestTypeInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResetRequestTypeInfo._val = 56
    
    #-----< id-ResetResponseTypeInfo >-----#
    id_ResetResponseTypeInfo = INT(name='id-ResetResponseTypeInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResetResponseTypeInfo._val = 57
    
    #-----< id-RespondingNodeTypeConfigUpdateAck >-----#
    id_RespondingNodeTypeConfigUpdateAck = INT(name='id-RespondingNodeTypeConfigUpdateAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RespondingNodeTypeConfigUpdateAck._val = 58
    
    #-----< id-respondingNodeType-ResourceCoordResponse >-----#
    id_respondingNodeType_ResourceCoordResponse = INT(name='id-respondingNodeType-ResourceCoordResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_respondingNodeType_ResourceCoordResponse._val = 59
    
    #-----< id-ResponseInfo-ReconfCompl >-----#
    id_ResponseInfo_ReconfCompl = INT(name='id-ResponseInfo-ReconfCompl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResponseInfo_ReconfCompl._val = 60
    
    #-----< id-RRCConfigIndication >-----#
    id_RRCConfigIndication = INT(name='id-RRCConfigIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RRCConfigIndication._val = 61
    
    #-----< id-RRCResumeCause >-----#
    id_RRCResumeCause = INT(name='id-RRCResumeCause', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RRCResumeCause._val = 62
    
    #-----< id-SCGConfigurationQuery >-----#
    id_SCGConfigurationQuery = INT(name='id-SCGConfigurationQuery', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SCGConfigurationQuery._val = 63
    
    #-----< id-selectedPLMN >-----#
    id_selectedPLMN = INT(name='id-selectedPLMN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_selectedPLMN._val = 64
    
    #-----< id-ServedCellsToActivate >-----#
    id_ServedCellsToActivate = INT(name='id-ServedCellsToActivate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ServedCellsToActivate._val = 65
    
    #-----< id-servedCellsToUpdate-E-UTRA >-----#
    id_servedCellsToUpdate_E_UTRA = INT(name='id-servedCellsToUpdate-E-UTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_servedCellsToUpdate_E_UTRA._val = 66
    
    #-----< id-ServedCellsToUpdateInitiatingNodeChoice >-----#
    id_ServedCellsToUpdateInitiatingNodeChoice = INT(name='id-ServedCellsToUpdateInitiatingNodeChoice', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ServedCellsToUpdateInitiatingNodeChoice._val = 67
    
    #-----< id-servedCellsToUpdate-NR >-----#
    id_servedCellsToUpdate_NR = INT(name='id-servedCellsToUpdate-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_servedCellsToUpdate_NR._val = 68
    
    #-----< id-s-ng-RANnode-SecurityKey >-----#
    id_s_ng_RANnode_SecurityKey = INT(name='id-s-ng-RANnode-SecurityKey', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_s_ng_RANnode_SecurityKey._val = 69
    
    #-----< id-S-NG-RANnodeUE-AMBR >-----#
    id_S_NG_RANnodeUE_AMBR = INT(name='id-S-NG-RANnodeUE-AMBR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeUE_AMBR._val = 70
    
    #-----< id-S-NG-RANnodeUEXnAPID >-----#
    id_S_NG_RANnodeUEXnAPID = INT(name='id-S-NG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeUEXnAPID._val = 71
    
    #-----< id-SN-to-MN-Container >-----#
    id_SN_to_MN_Container = INT(name='id-SN-to-MN-Container', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SN_to_MN_Container._val = 72
    
    #-----< id-sourceNG-RANnodeUEXnAPID >-----#
    id_sourceNG_RANnodeUEXnAPID = INT(name='id-sourceNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_sourceNG_RANnodeUEXnAPID._val = 73
    
    #-----< id-SplitSRB-RRCTransfer >-----#
    id_SplitSRB_RRCTransfer = INT(name='id-SplitSRB-RRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SplitSRB_RRCTransfer._val = 74
    
    #-----< id-TAISupport-list >-----#
    id_TAISupport_list = INT(name='id-TAISupport-list', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TAISupport_list._val = 75
    
    #-----< id-TimeToWait >-----#
    id_TimeToWait = INT(name='id-TimeToWait', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TimeToWait._val = 76
    
    #-----< id-Target2SourceNG-RANnodeTranspContainer >-----#
    id_Target2SourceNG_RANnodeTranspContainer = INT(name='id-Target2SourceNG-RANnodeTranspContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Target2SourceNG_RANnodeTranspContainer._val = 77
    
    #-----< id-targetCellGlobalID >-----#
    id_targetCellGlobalID = INT(name='id-targetCellGlobalID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_targetCellGlobalID._val = 78
    
    #-----< id-targetNG-RANnodeUEXnAPID >-----#
    id_targetNG_RANnodeUEXnAPID = INT(name='id-targetNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_targetNG_RANnodeUEXnAPID._val = 79
    
    #-----< id-target-S-NG-RANnodeID >-----#
    id_target_S_NG_RANnodeID = INT(name='id-target-S-NG-RANnodeID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_target_S_NG_RANnodeID._val = 80
    
    #-----< id-TraceActivation >-----#
    id_TraceActivation = INT(name='id-TraceActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TraceActivation._val = 81
    
    #-----< id-UEContextID >-----#
    id_UEContextID = INT(name='id-UEContextID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextID._val = 82
    
    #-----< id-UEContextInfoHORequest >-----#
    id_UEContextInfoHORequest = INT(name='id-UEContextInfoHORequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfoHORequest._val = 83
    
    #-----< id-UEContextInfoRetrUECtxtResp >-----#
    id_UEContextInfoRetrUECtxtResp = INT(name='id-UEContextInfoRetrUECtxtResp', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfoRetrUECtxtResp._val = 84
    
    #-----< id-UEContextInfo-SNModRequest >-----#
    id_UEContextInfo_SNModRequest = INT(name='id-UEContextInfo-SNModRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfo_SNModRequest._val = 85
    
    #-----< id-UEContextKeptIndicator >-----#
    id_UEContextKeptIndicator = INT(name='id-UEContextKeptIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextKeptIndicator._val = 86
    
    #-----< id-UEContextRefAtSN-HORequest >-----#
    id_UEContextRefAtSN_HORequest = INT(name='id-UEContextRefAtSN-HORequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextRefAtSN_HORequest._val = 87
    
    #-----< id-UEHistoryInformation >-----#
    id_UEHistoryInformation = INT(name='id-UEHistoryInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEHistoryInformation._val = 88
    
    #-----< id-UEIdentityIndexValue >-----#
    id_UEIdentityIndexValue = INT(name='id-UEIdentityIndexValue', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEIdentityIndexValue._val = 89
    
    #-----< id-UERANPagingIdentity >-----#
    id_UERANPagingIdentity = INT(name='id-UERANPagingIdentity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERANPagingIdentity._val = 90
    
    #-----< id-UESecurityCapabilities >-----#
    id_UESecurityCapabilities = INT(name='id-UESecurityCapabilities', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UESecurityCapabilities._val = 91
    
    #-----< id-UserPlaneTrafficActivityReport >-----#
    id_UserPlaneTrafficActivityReport = INT(name='id-UserPlaneTrafficActivityReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UserPlaneTrafficActivityReport._val = 92
    
    #-----< id-XnRemovalThreshold >-----#
    id_XnRemovalThreshold = INT(name='id-XnRemovalThreshold', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_XnRemovalThreshold._val = 93
    
    #-----< id-DesiredActNotificationLevel >-----#
    id_DesiredActNotificationLevel = INT(name='id-DesiredActNotificationLevel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DesiredActNotificationLevel._val = 94
    
    #-----< id-AvailableDRBIDs >-----#
    id_AvailableDRBIDs = INT(name='id-AvailableDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AvailableDRBIDs._val = 95
    
    #-----< id-AdditionalDRBIDs >-----#
    id_AdditionalDRBIDs = INT(name='id-AdditionalDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AdditionalDRBIDs._val = 96
    
    #-----< id-SpareDRBIDs >-----#
    id_SpareDRBIDs = INT(name='id-SpareDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SpareDRBIDs._val = 97
    
    #-----< id-RequiredNumberOfDRBIDs >-----#
    id_RequiredNumberOfDRBIDs = INT(name='id-RequiredNumberOfDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RequiredNumberOfDRBIDs._val = 98
    
    #-----< id-TNLA-To-Add-List >-----#
    id_TNLA_To_Add_List = INT(name='id-TNLA-To-Add-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Add_List._val = 99
    
    #-----< id-TNLA-To-Update-List >-----#
    id_TNLA_To_Update_List = INT(name='id-TNLA-To-Update-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Update_List._val = 100
    
    #-----< id-TNLA-To-Remove-List >-----#
    id_TNLA_To_Remove_List = INT(name='id-TNLA-To-Remove-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Remove_List._val = 101
    
    #-----< id-TNLA-Setup-List >-----#
    id_TNLA_Setup_List = INT(name='id-TNLA-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_Setup_List._val = 102
    
    #-----< id-TNLA-Failed-To-Setup-List >-----#
    id_TNLA_Failed_To_Setup_List = INT(name='id-TNLA-Failed-To-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_Failed_To_Setup_List._val = 103
    
    #-----< id-PDUSessionToBeReleased-RelReqAck >-----#
    id_PDUSessionToBeReleased_RelReqAck = INT(name='id-PDUSessionToBeReleased-RelReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleased_RelReqAck._val = 104
    
    #-----< id-S-NG-RANnodeMaxIPDataRate-UL >-----#
    id_S_NG_RANnodeMaxIPDataRate_UL = INT(name='id-S-NG-RANnodeMaxIPDataRate-UL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeMaxIPDataRate_UL._val = 105
    
    #-----< id-PDUSessionResourceSecondaryRATUsageList >-----#
    id_PDUSessionResourceSecondaryRATUsageList = INT(name='id-PDUSessionResourceSecondaryRATUsageList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourceSecondaryRATUsageList._val = 107
    
    #-----< id-Additional-UL-NG-U-TNLatUPF-List >-----#
    id_Additional_UL_NG_U_TNLatUPF_List = INT(name='id-Additional-UL-NG-U-TNLatUPF-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Additional_UL_NG_U_TNLatUPF_List._val = 108
    
    #-----< id-SecondarydataForwardingInfoFromTarget-List >-----#
    id_SecondarydataForwardingInfoFromTarget_List = INT(name='id-SecondarydataForwardingInfoFromTarget-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecondarydataForwardingInfoFromTarget_List._val = 109
    
    #-----< id-LocationInformationSNReporting >-----#
    id_LocationInformationSNReporting = INT(name='id-LocationInformationSNReporting', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationInformationSNReporting._val = 110
    
    #-----< id-LocationInformationSN >-----#
    id_LocationInformationSN = INT(name='id-LocationInformationSN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationInformationSN._val = 111
    
    #-----< id-LastE-UTRANPLMNIdentity >-----#
    id_LastE_UTRANPLMNIdentity = INT(name='id-LastE-UTRANPLMNIdentity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LastE_UTRANPLMNIdentity._val = 112
    
    #-----< id-S-NG-RANnodeMaxIPDataRate-DL >-----#
    id_S_NG_RANnodeMaxIPDataRate_DL = INT(name='id-S-NG-RANnodeMaxIPDataRate-DL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeMaxIPDataRate_DL._val = 113
    
    #-----< id-MaxIPrate-DL >-----#
    id_MaxIPrate_DL = INT(name='id-MaxIPrate-DL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MaxIPrate_DL._val = 114
    
    #-----< id-SecurityResult >-----#
    id_SecurityResult = INT(name='id-SecurityResult', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecurityResult._val = 115
    
    #-----< id-S-NSSAI >-----#
    id_S_NSSAI = INT(name='id-S-NSSAI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NSSAI._val = 116
    
    #-----< id-MR-DC-ResourceCoordinationInfo >-----#
    id_MR_DC_ResourceCoordinationInfo = INT(name='id-MR-DC-ResourceCoordinationInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MR_DC_ResourceCoordinationInfo._val = 117
    
    #-----< id-AMF-Region-Information-To-Add >-----#
    id_AMF_Region_Information_To_Add = INT(name='id-AMF-Region-Information-To-Add', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information_To_Add._val = 118
    
    #-----< id-AMF-Region-Information-To-Delete >-----#
    id_AMF_Region_Information_To_Delete = INT(name='id-AMF-Region-Information-To-Delete', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information_To_Delete._val = 119
    
    #-----< id-OldQoSFlowMap-ULendmarkerexpected >-----#
    id_OldQoSFlowMap_ULendmarkerexpected = INT(name='id-OldQoSFlowMap-ULendmarkerexpected', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OldQoSFlowMap_ULendmarkerexpected._val = 120
    
    #-----< id-RANPagingFailure >-----#
    id_RANPagingFailure = INT(name='id-RANPagingFailure', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RANPagingFailure._val = 121
    
    #-----< id-UERadioCapabilityForPaging >-----#
    id_UERadioCapabilityForPaging = INT(name='id-UERadioCapabilityForPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERadioCapabilityForPaging._val = 122
    
    #-----< id-PDUSessionDataForwarding-SNModResponse >-----#
    id_PDUSessionDataForwarding_SNModResponse = INT(name='id-PDUSessionDataForwarding-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionDataForwarding_SNModResponse._val = 123
    
    #-----< id-DRBsNotAdmittedSetupModifyList >-----#
    id_DRBsNotAdmittedSetupModifyList = INT(name='id-DRBsNotAdmittedSetupModifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBsNotAdmittedSetupModifyList._val = 124
    
    #-----< id-Secondary-MN-Xn-U-TNLInfoatM >-----#
    id_Secondary_MN_Xn_U_TNLInfoatM = INT(name='id-Secondary-MN-Xn-U-TNLInfoatM', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Secondary_MN_Xn_U_TNLInfoatM._val = 125
    
    #-----< id-NE-DC-TDM-Pattern >-----#
    id_NE_DC_TDM_Pattern = INT(name='id-NE-DC-TDM-Pattern', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NE_DC_TDM_Pattern._val = 126
    
    #-----< id-PDUSessionCommonNetworkInstance >-----#
    id_PDUSessionCommonNetworkInstance = INT(name='id-PDUSessionCommonNetworkInstance', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionCommonNetworkInstance._val = 127
    
    #-----< id-BPLMN-ID-Info-EUTRA >-----#
    id_BPLMN_ID_Info_EUTRA = INT(name='id-BPLMN-ID-Info-EUTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BPLMN_ID_Info_EUTRA._val = 128
    
    #-----< id-BPLMN-ID-Info-NR >-----#
    id_BPLMN_ID_Info_NR = INT(name='id-BPLMN-ID-Info-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BPLMN_ID_Info_NR._val = 129
    
    #-----< id-InterfaceInstanceIndication >-----#
    id_InterfaceInstanceIndication = INT(name='id-InterfaceInstanceIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_InterfaceInstanceIndication._val = 130
    
    #-----< id-S-NG-RANnode-Addition-Trigger-Ind >-----#
    id_S_NG_RANnode_Addition_Trigger_Ind = INT(name='id-S-NG-RANnode-Addition-Trigger-Ind', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnode_Addition_Trigger_Ind._val = 131
    
    #-----< id-DefaultDRB-Allowed >-----#
    id_DefaultDRB_Allowed = INT(name='id-DefaultDRB-Allowed', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DefaultDRB_Allowed._val = 132
    
    #-----< id-DRB-IDs-takenintouse >-----#
    id_DRB_IDs_takenintouse = INT(name='id-DRB-IDs-takenintouse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_IDs_takenintouse._val = 133
    
    #-----< id-SplitSessionIndicator >-----#
    id_SplitSessionIndicator = INT(name='id-SplitSessionIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SplitSessionIndicator._val = 134
    
    #-----< id-CNTypeRestrictionsForEquivalent >-----#
    id_CNTypeRestrictionsForEquivalent = INT(name='id-CNTypeRestrictionsForEquivalent', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNTypeRestrictionsForEquivalent._val = 135
    
    #-----< id-CNTypeRestrictionsForServing >-----#
    id_CNTypeRestrictionsForServing = INT(name='id-CNTypeRestrictionsForServing', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNTypeRestrictionsForServing._val = 136
    
    #-----< id-DRBs-transferred-to-MN >-----#
    id_DRBs_transferred_to_MN = INT(name='id-DRBs-transferred-to-MN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBs_transferred_to_MN._val = 137
    
    #-----< id-ULForwardingProposal >-----#
    id_ULForwardingProposal = INT(name='id-ULForwardingProposal', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ULForwardingProposal._val = 138
    
    #-----< id-EndpointIPAddressAndPort >-----#
    id_EndpointIPAddressAndPort = INT(name='id-EndpointIPAddressAndPort', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_EndpointIPAddressAndPort._val = 139
    
    #-----< id-IntendedTDD-DL-ULConfiguration-NR >-----#
    id_IntendedTDD_DL_ULConfiguration_NR = INT(name='id-IntendedTDD-DL-ULConfiguration-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_IntendedTDD_DL_ULConfiguration_NR._val = 140
    
    #-----< id-TNLConfigurationInfo >-----#
    id_TNLConfigurationInfo = INT(name='id-TNLConfigurationInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLConfigurationInfo._val = 141
    
    #-----< id-PartialListIndicator-NR >-----#
    id_PartialListIndicator_NR = INT(name='id-PartialListIndicator-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PartialListIndicator_NR._val = 142
    
    #-----< id-MessageOversizeNotification >-----#
    id_MessageOversizeNotification = INT(name='id-MessageOversizeNotification', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MessageOversizeNotification._val = 143
    
    #-----< id-CellAndCapacityAssistanceInfo-NR >-----#
    id_CellAndCapacityAssistanceInfo_NR = INT(name='id-CellAndCapacityAssistanceInfo-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CellAndCapacityAssistanceInfo_NR._val = 144
    
    #-----< id-NG-RANTraceID >-----#
    id_NG_RANTraceID = INT(name='id-NG-RANTraceID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NG_RANTraceID._val = 145
    
    #-----< id-NonGBRResources-Offered >-----#
    id_NonGBRResources_Offered = INT(name='id-NonGBRResources-Offered', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NonGBRResources_Offered._val = 146
    
    #-----< id-FastMCGRecoveryRRCTransfer-SN-to-MN >-----#
    id_FastMCGRecoveryRRCTransfer_SN_to_MN = INT(name='id-FastMCGRecoveryRRCTransfer-SN-to-MN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_FastMCGRecoveryRRCTransfer_SN_to_MN._val = 147
    
    #-----< id-RequestedFastMCGRecoveryViaSRB3 >-----#
    id_RequestedFastMCGRecoveryViaSRB3 = INT(name='id-RequestedFastMCGRecoveryViaSRB3', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RequestedFastMCGRecoveryViaSRB3._val = 148
    
    #-----< id-AvailableFastMCGRecoveryViaSRB3 >-----#
    id_AvailableFastMCGRecoveryViaSRB3 = INT(name='id-AvailableFastMCGRecoveryViaSRB3', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AvailableFastMCGRecoveryViaSRB3._val = 149
    
    #-----< id-RequestedFastMCGRecoveryViaSRB3Release >-----#
    id_RequestedFastMCGRecoveryViaSRB3Release = INT(name='id-RequestedFastMCGRecoveryViaSRB3Release', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RequestedFastMCGRecoveryViaSRB3Release._val = 150
    
    #-----< id-ReleaseFastMCGRecoveryViaSRB3 >-----#
    id_ReleaseFastMCGRecoveryViaSRB3 = INT(name='id-ReleaseFastMCGRecoveryViaSRB3', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ReleaseFastMCGRecoveryViaSRB3._val = 151
    
    #-----< id-FastMCGRecoveryRRCTransfer-MN-to-SN >-----#
    id_FastMCGRecoveryRRCTransfer_MN_to_SN = INT(name='id-FastMCGRecoveryRRCTransfer-MN-to-SN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_FastMCGRecoveryRRCTransfer_MN_to_SN._val = 152
    
    #-----< id-ExtendedRATRestrictionInformation >-----#
    id_ExtendedRATRestrictionInformation = INT(name='id-ExtendedRATRestrictionInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExtendedRATRestrictionInformation._val = 153
    
    #-----< id-QoSMonitoringRequest >-----#
    id_QoSMonitoringRequest = INT(name='id-QoSMonitoringRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QoSMonitoringRequest._val = 154
    
    #-----< id-FiveGCMobilityRestrictionListContainer >-----#
    id_FiveGCMobilityRestrictionListContainer = INT(name='id-FiveGCMobilityRestrictionListContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_FiveGCMobilityRestrictionListContainer._val = 155
    
    #-----< id-PartialListIndicator-EUTRA >-----#
    id_PartialListIndicator_EUTRA = INT(name='id-PartialListIndicator-EUTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PartialListIndicator_EUTRA._val = 156
    
    #-----< id-CellAndCapacityAssistanceInfo-EUTRA >-----#
    id_CellAndCapacityAssistanceInfo_EUTRA = INT(name='id-CellAndCapacityAssistanceInfo-EUTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CellAndCapacityAssistanceInfo_EUTRA._val = 157
    
    #-----< id-CHOinformation-Req >-----#
    id_CHOinformation_Req = INT(name='id-CHOinformation-Req', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CHOinformation_Req._val = 158
    
    #-----< id-CHOinformation-Ack >-----#
    id_CHOinformation_Ack = INT(name='id-CHOinformation-Ack', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CHOinformation_Ack._val = 159
    
    #-----< id-targetCellsToCancel >-----#
    id_targetCellsToCancel = INT(name='id-targetCellsToCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_targetCellsToCancel._val = 160
    
    #-----< id-requestedTargetCellGlobalID >-----#
    id_requestedTargetCellGlobalID = INT(name='id-requestedTargetCellGlobalID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_requestedTargetCellGlobalID._val = 161
    
    #-----< id-procedureStage >-----#
    id_procedureStage = INT(name='id-procedureStage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_procedureStage._val = 162
    
    #-----< id-DAPSRequestInfo >-----#
    id_DAPSRequestInfo = INT(name='id-DAPSRequestInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DAPSRequestInfo._val = 163
    
    #-----< id-DAPSResponseInfo-List >-----#
    id_DAPSResponseInfo_List = INT(name='id-DAPSResponseInfo-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DAPSResponseInfo_List._val = 164
    
    #-----< id-CHO-MRDC-Indicator >-----#
    id_CHO_MRDC_Indicator = INT(name='id-CHO-MRDC-Indicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CHO_MRDC_Indicator._val = 165
    
    #-----< id-OffsetOfNbiotChannelNumberToDL-EARFCN >-----#
    id_OffsetOfNbiotChannelNumberToDL_EARFCN = INT(name='id-OffsetOfNbiotChannelNumberToDL-EARFCN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OffsetOfNbiotChannelNumberToDL_EARFCN._val = 166
    
    #-----< id-OffsetOfNbiotChannelNumberToUL-EARFCN >-----#
    id_OffsetOfNbiotChannelNumberToUL_EARFCN = INT(name='id-OffsetOfNbiotChannelNumberToUL-EARFCN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OffsetOfNbiotChannelNumberToUL_EARFCN._val = 167
    
    #-----< id-NBIoT-UL-DL-AlignmentOffset >-----#
    id_NBIoT_UL_DL_AlignmentOffset = INT(name='id-NBIoT-UL-DL-AlignmentOffset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NBIoT_UL_DL_AlignmentOffset._val = 168
    
    #-----< id-LTEV2XServicesAuthorized >-----#
    id_LTEV2XServicesAuthorized = INT(name='id-LTEV2XServicesAuthorized', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LTEV2XServicesAuthorized._val = 169
    
    #-----< id-NRV2XServicesAuthorized >-----#
    id_NRV2XServicesAuthorized = INT(name='id-NRV2XServicesAuthorized', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NRV2XServicesAuthorized._val = 170
    
    #-----< id-LTEUESidelinkAggregateMaximumBitRate >-----#
    id_LTEUESidelinkAggregateMaximumBitRate = INT(name='id-LTEUESidelinkAggregateMaximumBitRate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LTEUESidelinkAggregateMaximumBitRate._val = 171
    
    #-----< id-NRUESidelinkAggregateMaximumBitRate >-----#
    id_NRUESidelinkAggregateMaximumBitRate = INT(name='id-NRUESidelinkAggregateMaximumBitRate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NRUESidelinkAggregateMaximumBitRate._val = 172
    
    #-----< id-PC5QoSParameters >-----#
    id_PC5QoSParameters = INT(name='id-PC5QoSParameters', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PC5QoSParameters._val = 173
    
    #-----< id-AlternativeQoSParaSetList >-----#
    id_AlternativeQoSParaSetList = INT(name='id-AlternativeQoSParaSetList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AlternativeQoSParaSetList._val = 174
    
    #-----< id-CurrentQoSParaSetIndex >-----#
    id_CurrentQoSParaSetIndex = INT(name='id-CurrentQoSParaSetIndex', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CurrentQoSParaSetIndex._val = 175
    
    #-----< id-MobilityInformation >-----#
    id_MobilityInformation = INT(name='id-MobilityInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MobilityInformation._val = 176
    
    #-----< id-InitiatingCondition-FailureIndication >-----#
    id_InitiatingCondition_FailureIndication = INT(name='id-InitiatingCondition-FailureIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_InitiatingCondition_FailureIndication._val = 177
    
    #-----< id-UEHistoryInformationFromTheUE >-----#
    id_UEHistoryInformationFromTheUE = INT(name='id-UEHistoryInformationFromTheUE', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEHistoryInformationFromTheUE._val = 178
    
    #-----< id-HandoverReportType >-----#
    id_HandoverReportType = INT(name='id-HandoverReportType', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_HandoverReportType._val = 179
    
    #-----< id-HandoverCause >-----#
    id_HandoverCause = INT(name='id-HandoverCause', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_HandoverCause._val = 180
    
    #-----< id-SourceCellCGI >-----#
    id_SourceCellCGI = INT(name='id-SourceCellCGI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SourceCellCGI._val = 181
    
    #-----< id-TargetCellCGI >-----#
    id_TargetCellCGI = INT(name='id-TargetCellCGI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TargetCellCGI._val = 182
    
    #-----< id-ReEstablishmentCellCGI >-----#
    id_ReEstablishmentCellCGI = INT(name='id-ReEstablishmentCellCGI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ReEstablishmentCellCGI._val = 183
    
    #-----< id-TargetCellinEUTRAN >-----#
    id_TargetCellinEUTRAN = INT(name='id-TargetCellinEUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TargetCellinEUTRAN._val = 184
    
    #-----< id-SourceCellCRNTI >-----#
    id_SourceCellCRNTI = INT(name='id-SourceCellCRNTI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SourceCellCRNTI._val = 185
    
    #-----< id-UERLFReportContainer >-----#
    id_UERLFReportContainer = INT(name='id-UERLFReportContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERLFReportContainer._val = 186
    
    #-----< id-NGRAN-Node1-Measurement-ID >-----#
    id_NGRAN_Node1_Measurement_ID = INT(name='id-NGRAN-Node1-Measurement-ID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NGRAN_Node1_Measurement_ID._val = 187
    
    #-----< id-NGRAN-Node2-Measurement-ID >-----#
    id_NGRAN_Node2_Measurement_ID = INT(name='id-NGRAN-Node2-Measurement-ID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NGRAN_Node2_Measurement_ID._val = 188
    
    #-----< id-RegistrationRequest >-----#
    id_RegistrationRequest = INT(name='id-RegistrationRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RegistrationRequest._val = 189
    
    #-----< id-ReportCharacteristics >-----#
    id_ReportCharacteristics = INT(name='id-ReportCharacteristics', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ReportCharacteristics._val = 190
    
    #-----< id-CellToReport >-----#
    id_CellToReport = INT(name='id-CellToReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CellToReport._val = 191
    
    #-----< id-ReportingPeriodicity >-----#
    id_ReportingPeriodicity = INT(name='id-ReportingPeriodicity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ReportingPeriodicity._val = 192
    
    #-----< id-CellMeasurementResult >-----#
    id_CellMeasurementResult = INT(name='id-CellMeasurementResult', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CellMeasurementResult._val = 193
    
    #-----< id-NG-RANnode1CellID >-----#
    id_NG_RANnode1CellID = INT(name='id-NG-RANnode1CellID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NG_RANnode1CellID._val = 194
    
    #-----< id-NG-RANnode2CellID >-----#
    id_NG_RANnode2CellID = INT(name='id-NG-RANnode2CellID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NG_RANnode2CellID._val = 195
    
    #-----< id-NG-RANnode1MobilityParameters >-----#
    id_NG_RANnode1MobilityParameters = INT(name='id-NG-RANnode1MobilityParameters', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NG_RANnode1MobilityParameters._val = 196
    
    #-----< id-NG-RANnode2ProposedMobilityParameters >-----#
    id_NG_RANnode2ProposedMobilityParameters = INT(name='id-NG-RANnode2ProposedMobilityParameters', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NG_RANnode2ProposedMobilityParameters._val = 197
    
    #-----< id-MobilityParametersModificationRange >-----#
    id_MobilityParametersModificationRange = INT(name='id-MobilityParametersModificationRange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MobilityParametersModificationRange._val = 198
    
    #-----< id-TDDULDLConfigurationCommonNR >-----#
    id_TDDULDLConfigurationCommonNR = INT(name='id-TDDULDLConfigurationCommonNR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TDDULDLConfigurationCommonNR._val = 199
    
    #-----< id-CarrierList >-----#
    id_CarrierList = INT(name='id-CarrierList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CarrierList._val = 200
    
    #-----< id-ULCarrierList >-----#
    id_ULCarrierList = INT(name='id-ULCarrierList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ULCarrierList._val = 201
    
    #-----< id-FrequencyShift7p5khz >-----#
    id_FrequencyShift7p5khz = INT(name='id-FrequencyShift7p5khz', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_FrequencyShift7p5khz._val = 202
    
    #-----< id-SSB-PositionsInBurst >-----#
    id_SSB_PositionsInBurst = INT(name='id-SSB-PositionsInBurst', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SSB_PositionsInBurst._val = 203
    
    #-----< id-NRCellPRACHConfig >-----#
    id_NRCellPRACHConfig = INT(name='id-NRCellPRACHConfig', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NRCellPRACHConfig._val = 204
    
    #-----< id-RACHReportInformation >-----#
    id_RACHReportInformation = INT(name='id-RACHReportInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RACHReportInformation._val = 205
    
    #-----< id-IABNodeIndication >-----#
    id_IABNodeIndication = INT(name='id-IABNodeIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_IABNodeIndication._val = 206
    
    #-----< id-Redundant-UL-NG-U-TNLatUPF >-----#
    id_Redundant_UL_NG_U_TNLatUPF = INT(name='id-Redundant-UL-NG-U-TNLatUPF', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Redundant_UL_NG_U_TNLatUPF._val = 207
    
    #-----< id-CNPacketDelayBudgetDownlink >-----#
    id_CNPacketDelayBudgetDownlink = INT(name='id-CNPacketDelayBudgetDownlink', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNPacketDelayBudgetDownlink._val = 208
    
    #-----< id-CNPacketDelayBudgetUplink >-----#
    id_CNPacketDelayBudgetUplink = INT(name='id-CNPacketDelayBudgetUplink', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNPacketDelayBudgetUplink._val = 209
    
    #-----< id-Additional-Redundant-UL-NG-U-TNLatUPF-List >-----#
    id_Additional_Redundant_UL_NG_U_TNLatUPF_List = INT(name='id-Additional-Redundant-UL-NG-U-TNLatUPF-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Additional_Redundant_UL_NG_U_TNLatUPF_List._val = 210
    
    #-----< id-RedundantCommonNetworkInstance >-----#
    id_RedundantCommonNetworkInstance = INT(name='id-RedundantCommonNetworkInstance', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RedundantCommonNetworkInstance._val = 211
    
    #-----< id-TSCTrafficCharacteristics >-----#
    id_TSCTrafficCharacteristics = INT(name='id-TSCTrafficCharacteristics', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TSCTrafficCharacteristics._val = 212
    
    #-----< id-RedundantQoSFlowIndicator >-----#
    id_RedundantQoSFlowIndicator = INT(name='id-RedundantQoSFlowIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RedundantQoSFlowIndicator._val = 213
    
    #-----< id-Redundant-DL-NG-U-TNLatNG-RAN >-----#
    id_Redundant_DL_NG_U_TNLatNG_RAN = INT(name='id-Redundant-DL-NG-U-TNLatNG-RAN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Redundant_DL_NG_U_TNLatNG_RAN._val = 214
    
    #-----< id-ExtendedPacketDelayBudget >-----#
    id_ExtendedPacketDelayBudget = INT(name='id-ExtendedPacketDelayBudget', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExtendedPacketDelayBudget._val = 215
    
    #-----< id-Additional-PDCP-Duplication-TNL-List >-----#
    id_Additional_PDCP_Duplication_TNL_List = INT(name='id-Additional-PDCP-Duplication-TNL-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Additional_PDCP_Duplication_TNL_List._val = 216
    
    #-----< id-RedundantPDUSessionInformation >-----#
    id_RedundantPDUSessionInformation = INT(name='id-RedundantPDUSessionInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RedundantPDUSessionInformation._val = 217
    
    #-----< id-UsedRSNInformation >-----#
    id_UsedRSNInformation = INT(name='id-UsedRSNInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UsedRSNInformation._val = 218
    
    #-----< id-RLCDuplicationInformation >-----#
    id_RLCDuplicationInformation = INT(name='id-RLCDuplicationInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RLCDuplicationInformation._val = 219
    
    #-----< id-NPN-Broadcast-Information >-----#
    id_NPN_Broadcast_Information = INT(name='id-NPN-Broadcast-Information', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NPN_Broadcast_Information._val = 220
    
    #-----< id-NPNPagingAssistanceInformation >-----#
    id_NPNPagingAssistanceInformation = INT(name='id-NPNPagingAssistanceInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NPNPagingAssistanceInformation._val = 221
    
    #-----< id-NPNMobilityInformation >-----#
    id_NPNMobilityInformation = INT(name='id-NPNMobilityInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NPNMobilityInformation._val = 222
    
    #-----< id-NPN-Support >-----#
    id_NPN_Support = INT(name='id-NPN-Support', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NPN_Support._val = 223
    
    #-----< id-MDT-Configuration >-----#
    id_MDT_Configuration = INT(name='id-MDT-Configuration', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MDT_Configuration._val = 224
    
    #-----< id-MDTPLMNList >-----#
    id_MDTPLMNList = INT(name='id-MDTPLMNList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MDTPLMNList._val = 225
    
    #-----< id-TraceCollectionEntityURI >-----#
    id_TraceCollectionEntityURI = INT(name='id-TraceCollectionEntityURI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TraceCollectionEntityURI._val = 226
    
    #-----< id-UERadioCapabilityID >-----#
    id_UERadioCapabilityID = INT(name='id-UERadioCapabilityID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERadioCapabilityID._val = 227
    
    #-----< id-CSI-RSTransmissionIndication >-----#
    id_CSI_RSTransmissionIndication = INT(name='id-CSI-RSTransmissionIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CSI_RSTransmissionIndication._val = 228
    
    #-----< id-SNTriggered >-----#
    id_SNTriggered = INT(name='id-SNTriggered', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SNTriggered._val = 229
    
    #-----< id-DLCarrierList >-----#
    id_DLCarrierList = INT(name='id-DLCarrierList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DLCarrierList._val = 230
    
    #-----< id-ExtendedTAISliceSupportList >-----#
    id_ExtendedTAISliceSupportList = INT(name='id-ExtendedTAISliceSupportList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExtendedTAISliceSupportList._val = 231
    
    #-----< id-cellAssistanceInfo-EUTRA >-----#
    id_cellAssistanceInfo_EUTRA = INT(name='id-cellAssistanceInfo-EUTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_cellAssistanceInfo_EUTRA._val = 232
    
    #-----< id-ConfiguredTACIndication >-----#
    id_ConfiguredTACIndication = INT(name='id-ConfiguredTACIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ConfiguredTACIndication._val = 233
    
    #-----< id-secondary-SN-UL-PDCP-UP-TNLInfo >-----#
    id_secondary_SN_UL_PDCP_UP_TNLInfo = INT(name='id-secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_secondary_SN_UL_PDCP_UP_TNLInfo._val = 234
    
    #-----< id-pdcpDuplicationConfiguration >-----#
    id_pdcpDuplicationConfiguration = INT(name='id-pdcpDuplicationConfiguration', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_pdcpDuplicationConfiguration._val = 235
    
    #-----< id-duplicationActivation >-----#
    id_duplicationActivation = INT(name='id-duplicationActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_duplicationActivation._val = 236
    
    #-----< id-NPRACHConfiguration >-----#
    id_NPRACHConfiguration = INT(name='id-NPRACHConfiguration', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NPRACHConfiguration._val = 237
    
    #-----< id-QosMonitoringReportingFrequency >-----#
    id_QosMonitoringReportingFrequency = INT(name='id-QosMonitoringReportingFrequency', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QosMonitoringReportingFrequency._val = 238
    
    #-----< id-QoSFlowsMappedtoDRB-SetupResponse-MNterminated >-----#
    id_QoSFlowsMappedtoDRB_SetupResponse_MNterminated = INT(name='id-QoSFlowsMappedtoDRB-SetupResponse-MNterminated', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QoSFlowsMappedtoDRB_SetupResponse_MNterminated._val = 239
    
    #-----< id-DL-scheduling-PDCCH-CCE-usage >-----#
    id_DL_scheduling_PDCCH_CCE_usage = INT(name='id-DL-scheduling-PDCCH-CCE-usage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DL_scheduling_PDCCH_CCE_usage._val = 240
    
    #-----< id-UL-scheduling-PDCCH-CCE-usage >-----#
    id_UL_scheduling_PDCCH_CCE_usage = INT(name='id-UL-scheduling-PDCCH-CCE-usage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UL_scheduling_PDCCH_CCE_usage._val = 241
    
    #-----< id-SFN-Offset >-----#
    id_SFN_Offset = INT(name='id-SFN-Offset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SFN_Offset._val = 242
    
    #-----< id-QoSMonitoringDisabled >-----#
    id_QoSMonitoringDisabled = INT(name='id-QoSMonitoringDisabled', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QoSMonitoringDisabled._val = 243
    
    #-----< id-ExtendedUEIdentityIndexValue >-----#
    id_ExtendedUEIdentityIndexValue = INT(name='id-ExtendedUEIdentityIndexValue', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExtendedUEIdentityIndexValue._val = 244
    
    #-----< id-PagingeDRXInformation >-----#
    id_PagingeDRXInformation = INT(name='id-PagingeDRXInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PagingeDRXInformation._val = 245
    
    #-----< id-CHO-MRDC-EarlyDataForwarding >-----#
    id_CHO_MRDC_EarlyDataForwarding = INT(name='id-CHO-MRDC-EarlyDataForwarding', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CHO_MRDC_EarlyDataForwarding._val = 246
    
    #-----< id-SCGIndicator >-----#
    id_SCGIndicator = INT(name='id-SCGIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SCGIndicator._val = 247
    
    #-----< id-UESpecificDRX >-----#
    id_UESpecificDRX = INT(name='id-UESpecificDRX', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UESpecificDRX._val = 248
    
    #-----< id-PDUSessionExpectedUEActivityBehaviour >-----#
    id_PDUSessionExpectedUEActivityBehaviour = INT(name='id-PDUSessionExpectedUEActivityBehaviour', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionExpectedUEActivityBehaviour._val = 249
    
    #-----< id-QoS-Mapping-Information >-----#
    id_QoS_Mapping_Information = INT(name='id-QoS-Mapping-Information', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QoS_Mapping_Information._val = 250
    
    #-----< id-AdditionLocationInformation >-----#
    id_AdditionLocationInformation = INT(name='id-AdditionLocationInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AdditionLocationInformation._val = 251
    
    #-----< id-dataForwardingInfoFromTargetE-UTRANnode >-----#
    id_dataForwardingInfoFromTargetE_UTRANnode = INT(name='id-dataForwardingInfoFromTargetE-UTRANnode', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_dataForwardingInfoFromTargetE_UTRANnode._val = 252
    
    #-----< id-DirectForwardingPathAvailability >-----#
    id_DirectForwardingPathAvailability = INT(name='id-DirectForwardingPathAvailability', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DirectForwardingPathAvailability._val = 253
    
    #-----< id-SourceNG-RAN-node-ID >-----#
    id_SourceNG_RAN_node_ID = INT(name='id-SourceNG-RAN-node-ID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SourceNG_RAN_node_ID._val = 254
    
    #-----< id-SourceDLForwardingIPAddress >-----#
    id_SourceDLForwardingIPAddress = INT(name='id-SourceDLForwardingIPAddress', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SourceDLForwardingIPAddress._val = 255
    
    #-----< id-SourceNodeDLForwardingIPAddress >-----#
    id_SourceNodeDLForwardingIPAddress = INT(name='id-SourceNodeDLForwardingIPAddress', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SourceNodeDLForwardingIPAddress._val = 256
    
    #-----< id-ExtendedReportIntervalMDT >-----#
    id_ExtendedReportIntervalMDT = INT(name='id-ExtendedReportIntervalMDT', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExtendedReportIntervalMDT._val = 257
    
    #-----< id-SecurityIndication >-----#
    id_SecurityIndication = INT(name='id-SecurityIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecurityIndication._val = 258
    
    #-----< id-RRCConnReestab-Indicator >-----#
    id_RRCConnReestab_Indicator = INT(name='id-RRCConnReestab-Indicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RRCConnReestab_Indicator._val = 259
    
    #-----< id-TargetNodeID >-----#
    id_TargetNodeID = INT(name='id-TargetNodeID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TargetNodeID._val = 260
    
    _all_ = [
        id_handoverPreparation,
        id_sNStatusTransfer,
        id_handoverCancel,
        id_retrieveUEContext,
        id_rANPaging,
        id_xnUAddressIndication,
        id_uEContextRelease,
        id_sNGRANnodeAdditionPreparation,
        id_sNGRANnodeReconfigurationCompletion,
        id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        id_mNGRANnodeinitiatedSNGRANnodeRelease,
        id_sNGRANnodeinitiatedSNGRANnodeRelease,
        id_sNGRANnodeCounterCheck,
        id_sNGRANnodeChange,
        id_rRCTransfer,
        id_xnRemoval,
        id_xnSetup,
        id_nGRANnodeConfigurationUpdate,
        id_cellActivation,
        id_reset,
        id_errorIndication,
        id_privateMessage,
        id_notificationControl,
        id_activityNotification,
        id_e_UTRA_NR_CellResourceCoordination,
        id_secondaryRATDataUsageReport,
        id_deactivateTrace,
        id_traceStart,
        id_handoverSuccess,
        id_conditionalHandoverCancel,
        id_earlyStatusTransfer,
        id_failureIndication,
        id_handoverReport,
        id_resourceStatusReportingInitiation,
        id_resourceStatusReporting,
        id_mobilitySettingsChange,
        id_accessAndMobilityIndication,
        maxEARFCN,
        maxnoofAllowedAreas,
        maxnoofAMFRegions,
        maxnoofAoIs,
        maxnoofBluetoothName,
        maxnoofBPLMNs,
        maxnoofCAGs,
        maxnoofCAGsperPLMN,
        maxnoofCellIDforMDT,
        maxnoofCellsinAoI,
        maxnoofCellsinUEHistoryInfo,
        maxnoofCellsinNG_RANnode,
        maxnoofCellsinRNA,
        maxnoofCellsUEMovingTrajectory,
        maxnoofDRBs,
        maxnoofEUTRABands,
        maxnoofEUTRABPLMNs,
        maxnoofEPLMNs,
        maxnoofExtSliceItems,
        maxnoofEPLMNsplus1,
        maxnoofForbiddenTACs,
        maxnoofFreqforMDT,
        maxnoofMBSFNEUTRA,
        maxnoofMDTPLMNs,
        maxnoofMultiConnectivityMinusOne,
        maxnoofNeighbours,
        maxnoofNeighPCIforMDT,
        maxnoofNIDs,
        maxnoofNRCellBands,
        maxnoofPLMNs,
        maxnoofPDUSessions,
        maxnoofProtectedResourcePatterns,
        maxnoofQoSFlows,
        maxnoofQoSParaSets,
        maxnoofRANAreaCodes,
        maxnoofRANAreasinRNA,
        maxnoofRANNodesinAoI,
        maxnoofSCellGroups,
        maxnoofSCellGroupsplus1,
        maxnoofSensorName,
        maxnoofSliceItems,
        maxnoofSNPNIDs,
        maxnoofsupportedPLMNs,
        maxnoofsupportedTACs,
        maxnoofTAforMDT,
        maxnoofTAI,
        maxnoofTAIsinAoI,
        maxnooftimeperiods,
        maxnoofTNLAssociations,
        maxnoofUEContexts,
        maxNRARFCN,
        maxNrOfErrors,
        maxnoofslots,
        maxnoofExtTLAs,
        maxnoofGTPTLAs,
        maxnoofCHOcells,
        maxnoofPC5QoSFlows,
        maxnoofSSBAreas,
        maxnoofRACHReports,
        maxnoofNRSCSs,
        maxnoofPhysicalResourceBlocks,
        maxnoofAdditionalPDCPDuplicationTNL,
        maxnoofRLCDuplicationstate,
        maxnoofWLANName,
        maxnoofNonAnchorCarrierFreqConfig,
        maxnoofDataForwardingTunneltoE_UTRAN,
        id_ActivatedServedCells,
        id_ActivationIDforCellActivation,
        id_admittedSplitSRB,
        id_admittedSplitSRBrelease,
        id_AMF_Region_Information,
        id_AssistanceDataForRANPaging,
        id_BearersSubjectToCounterCheck,
        id_Cause,
        id_cellAssistanceInfo_NR,
        id_ConfigurationUpdateInitiatingNodeChoice,
        id_CriticalityDiagnostics,
        id_XnUAddressInfoperPDUSession_List,
        id_DRBsSubjectToStatusTransfer_List,
        id_ExpectedUEBehaviour,
        id_GlobalNG_RAN_node_ID,
        id_GUAMI,
        id_indexToRatFrequSelectionPriority,
        id_initiatingNodeType_ResourceCoordRequest,
        id_List_of_served_cells_E_UTRA,
        id_List_of_served_cells_NR,
        id_LocationReportingInformation,
        id_MAC_I,
        id_MaskedIMEISV,
        id_M_NG_RANnodeUEXnAPID,
        id_MN_to_SN_Container,
        id_MobilityRestrictionList,
        id_new_NG_RAN_Cell_Identity,
        id_newNG_RANnodeUEXnAPID,
        id_UEReportRRCTransfer,
        id_oldNG_RANnodeUEXnAPID,
        id_OldtoNewNG_RANnodeResumeContainer,
        id_PagingDRX,
        id_PCellID,
        id_PDCPChangeIndication,
        id_PDUSessionAdmittedAddedAddReqAck,
        id_PDUSessionAdmittedModSNModConfirm,
        id_PDUSessionAdmitted_SNModResponse,
        id_PDUSessionNotAdmittedAddReqAck,
        id_PDUSessionNotAdmitted_SNModResponse,
        id_PDUSessionReleasedList_RelConf,
        id_PDUSessionReleasedSNModConfirm,
        id_PDUSessionResourcesActivityNotifyList,
        id_PDUSessionResourcesAdmitted_List,
        id_PDUSessionResourcesNotAdmitted_List,
        id_PDUSessionResourcesNotifyList,
        id_PDUSession_SNChangeConfirm_List,
        id_PDUSession_SNChangeRequired_List,
        id_PDUSessionToBeAddedAddReq,
        id_PDUSessionToBeModifiedSNModRequired,
        id_PDUSessionToBeReleasedList_RelRqd,
        id_PDUSessionToBeReleased_RelReq,
        id_PDUSessionToBeReleasedSNModRequired,
        id_RANPagingArea,
        id_PagingPriority,
        id_requestedSplitSRB,
        id_requestedSplitSRBrelease,
        id_ResetRequestTypeInfo,
        id_ResetResponseTypeInfo,
        id_RespondingNodeTypeConfigUpdateAck,
        id_respondingNodeType_ResourceCoordResponse,
        id_ResponseInfo_ReconfCompl,
        id_RRCConfigIndication,
        id_RRCResumeCause,
        id_SCGConfigurationQuery,
        id_selectedPLMN,
        id_ServedCellsToActivate,
        id_servedCellsToUpdate_E_UTRA,
        id_ServedCellsToUpdateInitiatingNodeChoice,
        id_servedCellsToUpdate_NR,
        id_s_ng_RANnode_SecurityKey,
        id_S_NG_RANnodeUE_AMBR,
        id_S_NG_RANnodeUEXnAPID,
        id_SN_to_MN_Container,
        id_sourceNG_RANnodeUEXnAPID,
        id_SplitSRB_RRCTransfer,
        id_TAISupport_list,
        id_TimeToWait,
        id_Target2SourceNG_RANnodeTranspContainer,
        id_targetCellGlobalID,
        id_targetNG_RANnodeUEXnAPID,
        id_target_S_NG_RANnodeID,
        id_TraceActivation,
        id_UEContextID,
        id_UEContextInfoHORequest,
        id_UEContextInfoRetrUECtxtResp,
        id_UEContextInfo_SNModRequest,
        id_UEContextKeptIndicator,
        id_UEContextRefAtSN_HORequest,
        id_UEHistoryInformation,
        id_UEIdentityIndexValue,
        id_UERANPagingIdentity,
        id_UESecurityCapabilities,
        id_UserPlaneTrafficActivityReport,
        id_XnRemovalThreshold,
        id_DesiredActNotificationLevel,
        id_AvailableDRBIDs,
        id_AdditionalDRBIDs,
        id_SpareDRBIDs,
        id_RequiredNumberOfDRBIDs,
        id_TNLA_To_Add_List,
        id_TNLA_To_Update_List,
        id_TNLA_To_Remove_List,
        id_TNLA_Setup_List,
        id_TNLA_Failed_To_Setup_List,
        id_PDUSessionToBeReleased_RelReqAck,
        id_S_NG_RANnodeMaxIPDataRate_UL,
        id_PDUSessionResourceSecondaryRATUsageList,
        id_Additional_UL_NG_U_TNLatUPF_List,
        id_SecondarydataForwardingInfoFromTarget_List,
        id_LocationInformationSNReporting,
        id_LocationInformationSN,
        id_LastE_UTRANPLMNIdentity,
        id_S_NG_RANnodeMaxIPDataRate_DL,
        id_MaxIPrate_DL,
        id_SecurityResult,
        id_S_NSSAI,
        id_MR_DC_ResourceCoordinationInfo,
        id_AMF_Region_Information_To_Add,
        id_AMF_Region_Information_To_Delete,
        id_OldQoSFlowMap_ULendmarkerexpected,
        id_RANPagingFailure,
        id_UERadioCapabilityForPaging,
        id_PDUSessionDataForwarding_SNModResponse,
        id_DRBsNotAdmittedSetupModifyList,
        id_Secondary_MN_Xn_U_TNLInfoatM,
        id_NE_DC_TDM_Pattern,
        id_PDUSessionCommonNetworkInstance,
        id_BPLMN_ID_Info_EUTRA,
        id_BPLMN_ID_Info_NR,
        id_InterfaceInstanceIndication,
        id_S_NG_RANnode_Addition_Trigger_Ind,
        id_DefaultDRB_Allowed,
        id_DRB_IDs_takenintouse,
        id_SplitSessionIndicator,
        id_CNTypeRestrictionsForEquivalent,
        id_CNTypeRestrictionsForServing,
        id_DRBs_transferred_to_MN,
        id_ULForwardingProposal,
        id_EndpointIPAddressAndPort,
        id_IntendedTDD_DL_ULConfiguration_NR,
        id_TNLConfigurationInfo,
        id_PartialListIndicator_NR,
        id_MessageOversizeNotification,
        id_CellAndCapacityAssistanceInfo_NR,
        id_NG_RANTraceID,
        id_NonGBRResources_Offered,
        id_FastMCGRecoveryRRCTransfer_SN_to_MN,
        id_RequestedFastMCGRecoveryViaSRB3,
        id_AvailableFastMCGRecoveryViaSRB3,
        id_RequestedFastMCGRecoveryViaSRB3Release,
        id_ReleaseFastMCGRecoveryViaSRB3,
        id_FastMCGRecoveryRRCTransfer_MN_to_SN,
        id_ExtendedRATRestrictionInformation,
        id_QoSMonitoringRequest,
        id_FiveGCMobilityRestrictionListContainer,
        id_PartialListIndicator_EUTRA,
        id_CellAndCapacityAssistanceInfo_EUTRA,
        id_CHOinformation_Req,
        id_CHOinformation_Ack,
        id_targetCellsToCancel,
        id_requestedTargetCellGlobalID,
        id_procedureStage,
        id_DAPSRequestInfo,
        id_DAPSResponseInfo_List,
        id_CHO_MRDC_Indicator,
        id_OffsetOfNbiotChannelNumberToDL_EARFCN,
        id_OffsetOfNbiotChannelNumberToUL_EARFCN,
        id_NBIoT_UL_DL_AlignmentOffset,
        id_LTEV2XServicesAuthorized,
        id_NRV2XServicesAuthorized,
        id_LTEUESidelinkAggregateMaximumBitRate,
        id_NRUESidelinkAggregateMaximumBitRate,
        id_PC5QoSParameters,
        id_AlternativeQoSParaSetList,
        id_CurrentQoSParaSetIndex,
        id_MobilityInformation,
        id_InitiatingCondition_FailureIndication,
        id_UEHistoryInformationFromTheUE,
        id_HandoverReportType,
        id_HandoverCause,
        id_SourceCellCGI,
        id_TargetCellCGI,
        id_ReEstablishmentCellCGI,
        id_TargetCellinEUTRAN,
        id_SourceCellCRNTI,
        id_UERLFReportContainer,
        id_NGRAN_Node1_Measurement_ID,
        id_NGRAN_Node2_Measurement_ID,
        id_RegistrationRequest,
        id_ReportCharacteristics,
        id_CellToReport,
        id_ReportingPeriodicity,
        id_CellMeasurementResult,
        id_NG_RANnode1CellID,
        id_NG_RANnode2CellID,
        id_NG_RANnode1MobilityParameters,
        id_NG_RANnode2ProposedMobilityParameters,
        id_MobilityParametersModificationRange,
        id_TDDULDLConfigurationCommonNR,
        id_CarrierList,
        id_ULCarrierList,
        id_FrequencyShift7p5khz,
        id_SSB_PositionsInBurst,
        id_NRCellPRACHConfig,
        id_RACHReportInformation,
        id_IABNodeIndication,
        id_Redundant_UL_NG_U_TNLatUPF,
        id_CNPacketDelayBudgetDownlink,
        id_CNPacketDelayBudgetUplink,
        id_Additional_Redundant_UL_NG_U_TNLatUPF_List,
        id_RedundantCommonNetworkInstance,
        id_TSCTrafficCharacteristics,
        id_RedundantQoSFlowIndicator,
        id_Redundant_DL_NG_U_TNLatNG_RAN,
        id_ExtendedPacketDelayBudget,
        id_Additional_PDCP_Duplication_TNL_List,
        id_RedundantPDUSessionInformation,
        id_UsedRSNInformation,
        id_RLCDuplicationInformation,
        id_NPN_Broadcast_Information,
        id_NPNPagingAssistanceInformation,
        id_NPNMobilityInformation,
        id_NPN_Support,
        id_MDT_Configuration,
        id_MDTPLMNList,
        id_TraceCollectionEntityURI,
        id_UERadioCapabilityID,
        id_CSI_RSTransmissionIndication,
        id_SNTriggered,
        id_DLCarrierList,
        id_ExtendedTAISliceSupportList,
        id_cellAssistanceInfo_EUTRA,
        id_ConfiguredTACIndication,
        id_secondary_SN_UL_PDCP_UP_TNLInfo,
        id_pdcpDuplicationConfiguration,
        id_duplicationActivation,
        id_NPRACHConfiguration,
        id_QosMonitoringReportingFrequency,
        id_QoSFlowsMappedtoDRB_SetupResponse_MNterminated,
        id_DL_scheduling_PDCCH_CCE_usage,
        id_UL_scheduling_PDCCH_CCE_usage,
        id_SFN_Offset,
        id_QoSMonitoringDisabled,
        id_ExtendedUEIdentityIndexValue,
        id_PagingeDRXInformation,
        id_CHO_MRDC_EarlyDataForwarding,
        id_SCGIndicator,
        id_UESpecificDRX,
        id_PDUSessionExpectedUEActivityBehaviour,
        id_QoS_Mapping_Information,
        id_AdditionLocationInformation,
        id_dataForwardingInfoFromTargetE_UTRANnode,
        id_DirectForwardingPathAvailability,
        id_SourceNG_RAN_node_ID,
        id_SourceDLForwardingIPAddress,
        id_SourceNodeDLForwardingIPAddress,
        id_ExtendedReportIntervalMDT,
        id_SecurityIndication,
        id_RRCConnReestab_Indicator,
        id_TargetNodeID,
    ]

class XnAP_Containers:

    _name_  = 'XnAP-Containers'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 5]
    
    _obj_ = [
        'XNAP-PROTOCOL-IES',
        'XNAP-PROTOCOL-IES-PAIR',
        'XNAP-PROTOCOL-EXTENSION',
        'XNAP-PRIVATE-IES',
        'ProtocolIE-Container',
        'ProtocolIE-Single-Container',
        'ProtocolIE-Field',
        'ProtocolIE-ContainerPair',
        'ProtocolIE-FieldPair',
        'ProtocolIE-ContainerList',
        'ProtocolIE-ContainerPairList',
        'ProtocolExtensionContainer',
        'ProtocolExtensionField',
        'PrivateIE-Container',
        'PrivateIE-Field',
        ]
    _type_ = [
        'XNAP-PROTOCOL-IES',
        'XNAP-PROTOCOL-IES-PAIR',
        'XNAP-PROTOCOL-EXTENSION',
        'XNAP-PRIVATE-IES',
        'ProtocolIE-Container',
        'ProtocolIE-Single-Container',
        'ProtocolIE-Field',
        'ProtocolIE-ContainerPair',
        'ProtocolIE-FieldPair',
        'ProtocolIE-ContainerList',
        'ProtocolIE-ContainerPairList',
        'ProtocolExtensionContainer',
        'ProtocolExtensionField',
        'PrivateIE-Container',
        'PrivateIE-Field',
        ]
    _set_ = [
        ]
    _val_ = [
        ]
    _class_ = [
        'XNAP-PROTOCOL-IES',
        'XNAP-PROTOCOL-IES-PAIR',
        'XNAP-PROTOCOL-EXTENSION',
        'XNAP-PRIVATE-IES',
        ]
    _param_ = [
        'ProtocolIE-Container',
        'ProtocolIE-Single-Container',
        'ProtocolIE-Field',
        'ProtocolIE-ContainerPair',
        'ProtocolIE-FieldPair',
        'ProtocolIE-ContainerList',
        'ProtocolIE-ContainerPairList',
        'ProtocolExtensionContainer',
        'ProtocolExtensionField',
        'PrivateIE-Container',
        'PrivateIE-Field',
        ]
    
    #-----< XNAP-PROTOCOL-IES >-----#
    XNAP_PROTOCOL_IES = CLASS(name='XNAP-PROTOCOL-IES', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_id = INT(name='id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_IES_criticality = ENUM(name='criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_Value = OPEN(name='Value', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_presence = ENUM(name='presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_IES._cont = ASN1Dict([
        ('id', _XNAP_PROTOCOL_IES_id),
        ('criticality', _XNAP_PROTOCOL_IES_criticality),
        ('Value', _XNAP_PROTOCOL_IES_Value),
        ('presence', _XNAP_PROTOCOL_IES_presence),
        ])
    
    #-----< XNAP-PROTOCOL-IES-PAIR >-----#
    XNAP_PROTOCOL_IES_PAIR = CLASS(name='XNAP-PROTOCOL-IES-PAIR', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_id = INT(name='id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_IES_PAIR_firstCriticality = ENUM(name='firstCriticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_PAIR_FirstValue = OPEN(name='FirstValue', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_secondCriticality = ENUM(name='secondCriticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_PAIR_SecondValue = OPEN(name='SecondValue', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_presence = ENUM(name='presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_IES_PAIR._cont = ASN1Dict([
        ('id', _XNAP_PROTOCOL_IES_PAIR_id),
        ('firstCriticality', _XNAP_PROTOCOL_IES_PAIR_firstCriticality),
        ('FirstValue', _XNAP_PROTOCOL_IES_PAIR_FirstValue),
        ('secondCriticality', _XNAP_PROTOCOL_IES_PAIR_secondCriticality),
        ('SecondValue', _XNAP_PROTOCOL_IES_PAIR_SecondValue),
        ('presence', _XNAP_PROTOCOL_IES_PAIR_presence),
        ])
    
    #-----< XNAP-PROTOCOL-EXTENSION >-----#
    XNAP_PROTOCOL_EXTENSION = CLASS(name='XNAP-PROTOCOL-EXTENSION', mode=MODE_TYPE)
    _XNAP_PROTOCOL_EXTENSION_id = INT(name='id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_EXTENSION_criticality = ENUM(name='criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_EXTENSION_Extension = OPEN(name='Extension', mode=MODE_TYPE)
    _XNAP_PROTOCOL_EXTENSION_presence = ENUM(name='presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_EXTENSION._cont = ASN1Dict([
        ('id', _XNAP_PROTOCOL_EXTENSION_id),
        ('criticality', _XNAP_PROTOCOL_EXTENSION_criticality),
        ('Extension', _XNAP_PROTOCOL_EXTENSION_Extension),
        ('presence', _XNAP_PROTOCOL_EXTENSION_presence),
        ])
    
    #-----< XNAP-PRIVATE-IES >-----#
    XNAP_PRIVATE_IES = CLASS(name='XNAP-PRIVATE-IES', mode=MODE_TYPE)
    _XNAP_PRIVATE_IES_id = CHOICE(name='id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'PrivateIE-ID')))
    _XNAP_PRIVATE_IES_criticality = ENUM(name='criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PRIVATE_IES_Value = OPEN(name='Value', mode=MODE_TYPE)
    _XNAP_PRIVATE_IES_presence = ENUM(name='presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PRIVATE_IES._cont = ASN1Dict([
        ('id', _XNAP_PRIVATE_IES_id),
        ('criticality', _XNAP_PRIVATE_IES_criticality),
        ('Value', _XNAP_PRIVATE_IES_Value),
        ('presence', _XNAP_PRIVATE_IES_presence),
        ])
    
    #-----< ProtocolIE-Container >-----#
    ProtocolIE_Container = SEQ_OF(name='ProtocolIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-Single-Container >-----#
    ProtocolIE_Single_Container = SEQ(name='ProtocolIE-Single-Container', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')), param=True)
    
    #-----< ProtocolIE-Field >-----#
    ProtocolIE_Field = SEQ(name='ProtocolIE-Field', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerPair >-----#
    ProtocolIE_ContainerPair = SEQ_OF(name='ProtocolIE-ContainerPair', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-FieldPair >-----#
    ProtocolIE_FieldPair = SEQ(name='ProtocolIE-FieldPair', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerList >-----#
    ProtocolIE_ContainerList = SEQ_OF(name='ProtocolIE-ContainerList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerPairList >-----#
    ProtocolIE_ContainerPairList = SEQ_OF(name='ProtocolIE-ContainerPairList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionContainer >-----#
    ProtocolExtensionContainer = SEQ_OF(name='ProtocolExtensionContainer', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionField >-----#
    ProtocolExtensionField = SEQ(name='ProtocolExtensionField', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Container >-----#
    PrivateIE_Container = SEQ_OF(name='PrivateIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Field >-----#
    PrivateIE_Field = SEQ(name='PrivateIE-Field', mode=MODE_TYPE, param=True)
    
    _all_ = [
        _XNAP_PROTOCOL_IES_id,
        _XNAP_PROTOCOL_IES_criticality,
        _XNAP_PROTOCOL_IES_Value,
        _XNAP_PROTOCOL_IES_presence,
        XNAP_PROTOCOL_IES,
        _XNAP_PROTOCOL_IES_PAIR_id,
        _XNAP_PROTOCOL_IES_PAIR_firstCriticality,
        _XNAP_PROTOCOL_IES_PAIR_FirstValue,
        _XNAP_PROTOCOL_IES_PAIR_secondCriticality,
        _XNAP_PROTOCOL_IES_PAIR_SecondValue,
        _XNAP_PROTOCOL_IES_PAIR_presence,
        XNAP_PROTOCOL_IES_PAIR,
        _XNAP_PROTOCOL_EXTENSION_id,
        _XNAP_PROTOCOL_EXTENSION_criticality,
        _XNAP_PROTOCOL_EXTENSION_Extension,
        _XNAP_PROTOCOL_EXTENSION_presence,
        XNAP_PROTOCOL_EXTENSION,
        _XNAP_PRIVATE_IES_id,
        _XNAP_PRIVATE_IES_criticality,
        _XNAP_PRIVATE_IES_Value,
        _XNAP_PRIVATE_IES_presence,
        XNAP_PRIVATE_IES,
    ]

class XnAP_IEs:

    _name_  = 'XnAP-IEs'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 2]
    
    _obj_ = [
        'AdditionLocationInformation',
        'Additional-PDCP-Duplication-TNL-List',
        'Additional-PDCP-Duplication-TNL-Item',
        'Additional-PDCP-Duplication-TNL-ExtIEs',
        'Additional-UL-NG-U-TNLatUPF-Item',
        'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        'Additional-UL-NG-U-TNLatUPF-List',
        'ActivationIDforCellActivation',
        'AllocationandRetentionPriority',
        'AllocationandRetentionPriority-ExtIEs',
        'ActivationSFN',
        'AllowedCAG-ID-List-perPLMN',
        'AllowedPNI-NPN-ID-List',
        'AllowedPNI-NPN-ID-Item',
        'AllowedPNI-NPN-ID-Item-ExtIEs',
        'AlternativeQoSParaSetList',
        'AlternativeQoSParaSetItem',
        'AlternativeQoSParaSetItem-ExtIEs',
        'AMF-Region-Information',
        'GlobalAMF-Region-Information',
        'GlobalAMF-Region-Information-ExtIEs',
        'AMF-UE-NGAP-ID',
        'AreaOfInterestInformation',
        'AreaOfInterest-Item',
        'AreaOfInterest-Item-ExtIEs',
        'AreaScopeOfMDT-NR',
        'AreaScopeOfMDT-EUTRA',
        'AreaScopeOfNeighCellsList',
        'AreaScopeOfNeighCellsItem',
        'AreaScopeOfNeighCellsItem-ExtIEs',
        'AS-SecurityInformation',
        'AS-SecurityInformation-ExtIEs',
        'AssistanceDataForRANPaging',
        'AssistanceDataForRANPaging-ExtIEs',
        'AvailableCapacity',
        'AvailableRRCConnectionCapacityValue',
        'AveragingWindow',
        'BluetoothMeasurementConfiguration',
        'BluetoothMeasurementConfiguration-ExtIEs',
        'BluetoothMeasConfigNameList',
        'BluetoothMeasConfig',
        'BluetoothName',
        'BPLMN-ID-Info-EUTRA',
        'BPLMN-ID-Info-EUTRA-Item',
        'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        'BPLMN-ID-Info-NR',
        'BPLMN-ID-Info-NR-Item',
        'BPLMN-ID-Info-NR-Item-ExtIEs',
        'BitRate',
        'BroadcastCAG-Identifier-List',
        'BroadcastCAG-Identifier-Item',
        'BroadcastCAG-Identifier-Item-ExtIEs',
        'BroadcastNID-List',
        'BroadcastNID-Item',
        'BroadcastNID-Item-ExtIEs',
        'BroadcastPLMNs',
        'BroadcastEUTRAPLMNs',
        'BroadcastPLMNinTAISupport-Item',
        'BroadcastPLMNinTAISupport-Item-ExtIEs',
        'BroadcastPNI-NPN-ID-Information',
        'BroadcastPNI-NPN-ID-Information-Item',
        'BroadcastPNI-NPN-ID-Information-Item-ExtIEs',
        'BroadcastSNPNID-List',
        'BroadcastSNPNID',
        'BroadcastSNPNID-ExtIEs',
        'CAG-Identifier',
        'CapacityValue',
        'CapacityValueInfo',
        'CapacityValueInfo-ExtIEs',
        'Cause',
        'Cause-ExtIEs',
        'CauseRadioNetworkLayer',
        'CauseTransportLayer',
        'CauseProtocol',
        'CauseMisc',
        'CellAssistanceInfo-NR',
        'CellAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-NR',
        'CellAndCapacityAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-EUTRA',
        'CellAndCapacityAssistanceInfo-EUTRA-ExtIEs',
        'CellAssistanceInfo-EUTRA',
        'CellAssistanceInfo-EUTRA-ExtIEs',
        'CellBasedMDT-NR',
        'CellBasedMDT-NR-ExtIEs',
        'CellIdListforMDT-NR',
        'CellBasedMDT-EUTRA',
        'CellBasedMDT-EUTRA-ExtIEs',
        'CellIdListforMDT-EUTRA',
        'CellCapacityClassValue',
        'CellGroupID',
        'CellMeasurementResult',
        'CellMeasurementResult-Item',
        'CellMeasurementResult-Item-ExtIEs',
        'CellToReport',
        'CellToReport-Item',
        'CellToReport-Item-ExtIEs',
        'Cell-Type-Choice',
        'Cell-Type-Choice-ExtIEs',
        'CompositeAvailableCapacityGroup',
        'CompositeAvailableCapacityGroup-ExtIEs',
        'CompositeAvailableCapacity',
        'CompositeAvailableCapacity-ExtIEs',
        'CHO-MRDC-EarlyDataForwarding',
        'CHO-MRDC-Indicator',
        'CHOtrigger',
        'CHOinformation-Req',
        'CHOinformation-Req-ExtIEs',
        'CHOinformation-Ack',
        'CHOinformation-Ack-ExtIEs',
        'CHO-Probability',
        'ConfiguredTACIndication',
        'Connectivity-Support',
        'Connectivity-Support-ExtIEs',
        'COUNT-PDCP-SN12',
        'COUNT-PDCP-SN12-ExtIEs',
        'COUNT-PDCP-SN18',
        'COUNT-PDCP-SN18-ExtIEs',
        'CPTransportLayerInformation',
        'CPTransportLayerInformation-ExtIEs',
        'CriticalityDiagnostics',
        'CriticalityDiagnostics-ExtIEs',
        'CriticalityDiagnostics-IE-List',
        'CriticalityDiagnostics-IE-List-ExtIEs',
        'C-RNTI',
        'CyclicPrefix-E-UTRA-DL',
        'CyclicPrefix-E-UTRA-UL',
        'CSI-RSTransmissionIndication',
        'XnUAddressInfoperPDUSession-List',
        'XnUAddressInfoperPDUSession-Item',
        'XnUAddressInfoperPDUSession-Item-ExtIEs',
        'DataForwardingAccepted',
        'DataForwardingInfoFromTargetE-UTRANnode',
        'DataForwardingInfoFromTargetE-UTRANnode-ExtIEs',
        'DataForwardingInfoFromTargetE-UTRANnode-List',
        'DataForwardingInfoFromTargetE-UTRANnode-Item',
        'DataForwardingInfoFromTargetE-UTRANnode-Item-ExtIEs',
        'QoSFlowsToBeForwarded-List',
        'QoSFlowsToBeForwarded-Item',
        'QoSFlowsToBeForwarded-Item-ExtIEs',
        'DataForwardingInfoFromTargetNGRANnode',
        'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        'QoSFLowsAcceptedToBeForwarded-List',
        'QoSFLowsAcceptedToBeForwarded-Item',
        'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        'DataforwardingandOffloadingInfofromSource',
        'DataforwardingandOffloadingInfofromSource-ExtIEs',
        'QoSFLowsToBeForwarded-List',
        'QoSFLowsToBeForwarded-Item',
        'QoSFLowsToBeForwarded-Item-ExtIEs',
        'DataForwardingResponseDRBItemList',
        'DataForwardingResponseDRBItem',
        'DataForwardingResponseDRBItem-ExtIEs',
        'DataTrafficResources',
        'DataTrafficResourceIndication',
        'DataTrafficResourceIndication-ExtIEs',
        'DAPSRequestInfo',
        'DAPSRequestInfo-ExtIEs',
        'DAPSResponseInfo-List',
        'DAPSResponseInfo-Item',
        'DAPSResponseInfo-Item-ExtIEs',
        'DeliveryStatus',
        'DesiredActNotificationLevel',
        'DefaultDRB-Allowed',
        'DirectForwardingPathAvailability',
        'DLCountChoice',
        'DLCountChoice-ExtIEs',
        'DLForwarding',
        'DL-GBR-PRB-usage',
        'DL-non-GBR-PRB-usage',
        'DL-Total-PRB-usage',
        'DRB-ID',
        'DRB-List',
        'DRB-List-withCause',
        'DRB-List-withCause-Item',
        'DRB-List-withCause-Item-ExtIEs',
        'DRB-Number',
        'DRBsSubjectToDLDiscarding-List',
        'DRBsSubjectToDLDiscarding-Item',
        'DRBsSubjectToDLDiscarding-Item-ExtIEs',
        'DRBsSubjectToEarlyStatusTransfer-List',
        'DRBsSubjectToEarlyStatusTransfer-Item',
        'DRBsSubjectToEarlyStatusTransfer-Item-ExtIEs',
        'DRBsSubjectToStatusTransfer-List',
        'DRBsSubjectToStatusTransfer-Item',
        'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        'DRBBStatusTransferChoice',
        'DRBBStatusTransferChoice-ExtIEs',
        'DRBBStatusTransfer12bitsSN',
        'DRBBStatusTransfer12bitsSN-ExtIEs',
        'DRBBStatusTransfer18bitsSN',
        'DRBBStatusTransfer18bitsSN-ExtIEs',
        'DRBToQoSFlowMapping-List',
        'DRBToQoSFlowMapping-Item',
        'DRBToQoSFlowMapping-Item-ExtIEs',
        'DuplicationActivation',
        'Dynamic5QIDescriptor',
        'Dynamic5QIDescriptor-ExtIEs',
        'E-RAB-ID',
        'E-UTRAARFCN',
        'E-UTRA-Cell-Identity',
        'E-UTRA-CGI',
        'E-UTRA-CGI-ExtIEs',
        'E-UTRAFrequencyBandIndicator',
        'E-UTRAMultibandInfoList',
        'E-UTRAPCI',
        'E-UTRAPRACHConfiguration',
        'E-UTRAPRACHConfiguration-ExtIEs',
        'E-UTRATransmissionBandwidth',
        'EndpointIPAddressAndPort',
        'EndpointIPAddressAndPort-ExtIEs',
        'EventTriggered',
        'EventTriggered-ExtIEs',
        'EventType',
        'EventTypeTrigger',
        'EventTypeTrigger-ExtIEs',
        'EventL1',
        'EventL1-ExtIEs',
        'MeasurementThresholdL1LoggedMDT',
        'ExpectedActivityPeriod',
        'ExpectedHOInterval',
        'ExpectedIdlePeriod',
        'ExpectedUEActivityBehaviour',
        'ExpectedUEActivityBehaviour-ExtIEs',
        'ExpectedUEBehaviour',
        'ExpectedUEBehaviour-ExtIEs',
        'ExpectedUEMobility',
        'ExpectedUEMovingTrajectory',
        'ExpectedUEMovingTrajectoryItem',
        'ExpectedUEMovingTrajectoryItem-ExtIEs',
        'SourceOfUEActivityBehaviourInformation',
        'ExtendedRATRestrictionInformation',
        'ExtendedRATRestrictionInformation-ExtIEs',
        'ExtendedPacketDelayBudget',
        'ExtendedSliceSupportList',
        'ExtendedUEIdentityIndexValue',
        'ExtTLAs',
        'ExtTLA-Item',
        'ExtTLA-Item-ExtIEs',
        'GTPTLAs',
        'GTPTLA-Item',
        'GTPTLA-Item-ExtIEs',
        'FiveGCMobilityRestrictionListContainer',
        'FiveQI',
        'FrequencyShift7p5khz',
        'GBRQoSFlowInfo',
        'GBRQoSFlowInfo-ExtIEs',
        'GlobalgNB-ID',
        'GlobalgNB-ID-ExtIEs',
        'GNB-ID-Choice',
        'GNB-ID-Choice-ExtIEs',
        'GNB-RadioResourceStatus',
        'GNB-RadioResourceStatus-ExtIEs',
        'GlobalCell-ID',
        'GlobalCell-ID-ExtIEs',
        'GlobalngeNB-ID',
        'GlobaleNB-ID-ExtIEs',
        'ENB-ID-Choice',
        'ENB-ID-Choice-ExtIEs',
        'GlobalNG-RANCell-ID',
        'GlobalNG-RANCell-ID-ExtIEs',
        'GlobalNG-RANNode-ID',
        'GlobalNG-RANNode-ID-ExtIEs',
        'GTP-TEID',
        'GTPtunnelTransportLayerInformation',
        'GTPtunnelTransportLayerInformation-ExtIEs',
        'GUAMI',
        'GUAMI-ExtIEs',
        'HandoverReportType',
        'Hysteresis',
        'IABNodeIndication',
        'ImmediateMDT-EUTRA',
        'ImmediateMDT-NR',
        'ImmediateMDT-NR-ExtIEs',
        'InitiatingCondition-FailureIndication',
        'InitiatingCondition-FailureIndication-ExtIEs',
        'IntendedTDD-DL-ULConfiguration-NR',
        'IntendedTDD-DL-ULConfiguration-NR-ExtIEs',
        'InterfaceInstanceIndication',
        'InterfacesToTrace',
        'I-RNTI',
        'I-RNTI-ExtIEs',
        'LastVisitedCell-Item',
        'LastVisitedCell-Item-ExtIEs',
        'LastVisitedEUTRANCellInformation',
        'LastVisitedGERANCellInformation',
        'LastVisitedNGRANCellInformation',
        'LastVisitedUTRANCellInformation',
        'LCID',
        'Links-to-log',
        'ListOfCells',
        'CellsinAoI-Item',
        'CellsinAoI-Item-ExtIEs',
        'ListOfRANNodesinAoI',
        'GlobalNG-RANNodesinAoI-Item',
        'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        'ListOfTAIsinAoI',
        'TAIsinAoI-Item',
        'TAIsinAoI-Item-ExtIEs',
        'LocationInformationSNReporting',
        'LocationReportingInformation',
        'LocationReportingInformation-ExtIEs',
        'LoggedMDT-EUTRA',
        'LoggedMDT-EUTRA-ExtIEs',
        'LoggedEventTriggeredConfig',
        'LoggedEventTriggeredConfig-ExtIEs',
        'LoggedMDT-NR',
        'LoggedMDT-NR-ExtIEs',
        'LoggingInterval',
        'LoggingDuration',
        'LowerLayerPresenceStatusChange',
        'LTEV2XServicesAuthorized',
        'LTEV2XServicesAuthorized-ExtIEs',
        'LTEUESidelinkAggregateMaximumBitRate',
        'LTEUESidelinkAggregateMaximumBitRate-ExtIEs',
        'M1Configuration',
        'M1Configuration-ExtIEs',
        'M1PeriodicReporting',
        'M1PeriodicReporting-ExtIEs',
        'M1ReportingTrigger',
        'M1ThresholdEventA2',
        'M1ThresholdEventA2-ExtIEs',
        'M4Configuration',
        'M4Configuration-ExtIEs',
        'M4period',
        'M5Configuration',
        'M5Configuration-ExtIEs',
        'M5period',
        'M6Configuration',
        'M6Configuration-ExtIEs',
        'M6report-Interval',
        'M7Configuration',
        'M7Configuration-ExtIEs',
        'M7period',
        'MAC-I',
        'MaskedIMEISV',
        'MaxCHOpreparations',
        'MaximumDataBurstVolume',
        'MaximumIPdatarate',
        'MaximumIPdatarate-ExtIEs',
        'MaxIPrate',
        'MBSFNControlRegionLength',
        'MBSFNSubframeAllocation-E-UTRA',
        'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        'MBSFNSubframeInfo-E-UTRA',
        'MBSFNSubframeInfo-E-UTRA-Item',
        'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        'MDT-Activation',
        'MDT-Configuration',
        'MDT-Configuration-ExtIEs',
        'MDT-Configuration-NR',
        'MDT-Configuration-NR-ExtIEs',
        'MDT-Configuration-EUTRA',
        'MDT-Configuration-EUTRA-ExtIEs',
        'MDT-Location-Info',
        'MDTPLMNList',
        'MDTMode-NR',
        'MDTMode-NR-Extension',
        'MDTMode-NR-ExtensionIE',
        'MDTMode-EUTRA',
        'MDTMode-EUTRA-Extension',
        'MDTMode-EUTRA-ExtensionIE',
        'MeasurementsToActivate',
        'MeasurementThresholdA2',
        'MeasurementThresholdA2-ExtIEs',
        'Measurement-ID',
        'MobilityInformation',
        'MobilityParametersModificationRange',
        'MobilityParametersInformation',
        'MobilityRestrictionList',
        'MobilityRestrictionList-ExtIEs',
        'CNTypeRestrictionsForEquivalent',
        'CNTypeRestrictionsForEquivalentItem',
        'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        'CNTypeRestrictionsForServing',
        'RAT-RestrictionsList',
        'RAT-RestrictionsItem',
        'RAT-RestrictionsItem-ExtIEs',
        'RAT-RestrictionInformation',
        'ForbiddenAreaList',
        'ForbiddenAreaItem',
        'ForbiddenAreaItem-ExtIEs',
        'ServiceAreaList',
        'ServiceAreaItem',
        'ServiceAreaItem-ExtIEs',
        'MR-DC-ResourceCoordinationInfo',
        'MR-DC-ResourceCoordinationInfo-ExtIEs',
        'NG-RAN-Node-ResourceCoordinationInfo',
        'E-UTRA-ResourceCoordinationInfo',
        'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        'E-UTRA-CoordinationAssistanceInfo',
        'NR-ResourceCoordinationInfo',
        'NR-ResourceCoordinationInfo-ExtIEs',
        'NR-CoordinationAssistanceInfo',
        'MessageOversizeNotification',
        'MessageOversizeNotification-ExtIEs',
        'MaximumCellListSize',
        'NBIoT-UL-DL-AlignmentOffset',
        'NE-DC-TDM-Pattern',
        'NE-DC-TDM-Pattern-ExtIEs',
        'NeighbourInformation-E-UTRA',
        'NeighbourInformation-E-UTRA-Item',
        'NeighbourInformation-E-UTRA-Item-ExtIEs',
        'NeighbourInformation-NR',
        'NeighbourInformation-NR-Item',
        'NeighbourInformation-NR-Item-ExtIEs',
        'NeighbourInformation-NR-ModeInfo',
        'NeighbourInformation-NR-ModeInfo-ExtIEs',
        'NeighbourInformation-NR-ModeFDDInfo',
        'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        'NeighbourInformation-NR-ModeTDDInfo',
        'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        'NID',
        'NRCarrierList',
        'NRCarrierItem',
        'NRCarrierItem-ExtIEs',
        'NRCellPRACHConfig',
        'NG-RAN-Cell-Identity',
        'NG-RAN-Cell-Identity-ExtIEs',
        'NG-RAN-CellPCI',
        'NG-RAN-CellPCI-ExtIEs',
        'NG-RANnodeUEXnAPID',
        'NumberofActiveUEs',
        'NoofRRCConnections',
        'NonDynamic5QIDescriptor',
        'NonDynamic5QIDescriptor-ExtIEs',
        'NRARFCN',
        'NG-eNB-RadioResourceStatus',
        'NG-eNB-RadioResourceStatus-ExtIEs',
        'DL-scheduling-PDCCH-CCE-usage',
        'UL-scheduling-PDCCH-CCE-usage',
        'TNLCapacityIndicator',
        'TNLCapacityIndicator-ExtIEs',
        'NPN-Broadcast-Information',
        'NPN-Broadcast-Information-ExtIEs',
        'NPN-Broadcast-Information-SNPN',
        'NPN-Broadcast-Information-SNPN-ExtIEs',
        'NPN-Broadcast-Information-PNI-NPN',
        'NPN-Broadcast-Information-PNI-NPN-ExtIEs',
        'NPNMobilityInformation',
        'NPNMobilityInformation-ExtIEs',
        'NPNMobilityInformation-SNPN',
        'NPNMobilityInformation-SNPN-ExtIEs',
        'NPNMobilityInformation-PNI-NPN',
        'NPNMobilityInformation-PNI-NPN-ExtIEs',
        'NPNPagingAssistanceInformation',
        'NPNPagingAssistanceInformation-ExtIEs',
        'NPNPagingAssistanceInformation-PNI-NPN',
        'NPNPagingAssistanceInformation-PNI-NPN-ExtIEs',
        'NPN-Support',
        'NPN-Support-ExtIEs',
        'NPN-Support-SNPN',
        'NPN-Support-SNPN-ExtIEs',
        'NPRACHConfiguration',
        'NPRACHConfiguration-ExtIEs',
        'FDD-or-TDD-in-NPRACHConfiguration-Choice-ExtIEs',
        'NPRACHConfiguration-FDD',
        'NPRACHConfiguration-FDD-ExtIEs',
        'NPRACHConfiguration-TDD',
        'NPRACHConfiguration-TDD-ExtIEs',
        'NPRACH-CP-Length',
        'NPRACH-preambleFormat',
        'Non-AnchorCarrierFrequencylist',
        'Non-AnchorCarrierFrequencylist-ExtIEs',
        'NR-Cell-Identity',
        'NG-RAN-Cell-Identity-ListinRANPagingArea',
        'NR-CGI',
        'NR-CGI-ExtIEs',
        'NRCyclicPrefix',
        'NRDL-ULTransmissionPeriodicity',
        'NRFrequencyBand',
        'NRFrequencyBand-List',
        'NRFrequencyBandItem',
        'NRFrequencyBandItem-ExtIEs',
        'NRFrequencyInfo',
        'NRFrequencyInfo-ExtIEs',
        'NRMobilityHistoryReport',
        'NRModeInfo',
        'NRModeInfo-ExtIEs',
        'NRModeInfoFDD',
        'NRModeInfoFDD-ExtIEs',
        'NRModeInfoTDD',
        'NRModeInfoTDD-ExtIEs',
        'NRNRB',
        'NRPCI',
        'NRSCS',
        'NRTransmissionBandwidth',
        'NRTransmissionBandwidth-ExtIEs',
        'NumberOfAntennaPorts-E-UTRA',
        'NG-RANTraceID',
        'NonGBRResources-Offered',
        'NRV2XServicesAuthorized',
        'NRV2XServicesAuthorized-ExtIEs',
        'NRUESidelinkAggregateMaximumBitRate',
        'NRUESidelinkAggregateMaximumBitRate-ExtIEs',
        'OfferedCapacity',
        'OffsetOfNbiotChannelNumberToEARFCN',
        'PacketDelayBudget',
        'PacketErrorRate',
        'PacketErrorRate-ExtIEs',
        'PedestrianUE',
        'PER-Scalar',
        'PER-Exponent',
        'PacketLossRate',
        'PagingDRX',
        'PagingeDRXInformation',
        'PagingeDRXInformation-ExtIEs',
        'Paging-eDRX-Cycle',
        'Paging-Time-Window',
        'PagingPriority',
        'PartialListIndicator',
        'PC5QoSParameters',
        'PC5QoSParameters-ExtIEs',
        'PC5QoSFlowList',
        'PC5QoSFlowItem',
        'PC5QoSFlowItem-ExtIEs',
        'PC5FlowBitRates',
        'PC5FlowBitRates-ExtIEs',
        'PDCPChangeIndication',
        'PDCPChangeIndication-ExtIEs',
        'PDCPDuplicationConfiguration',
        'PDCPSNLength',
        'PDCPSNLength-ExtIEs',
        'PDUSessionAggregateMaximumBitRate',
        'PDUSessionAggregateMaximumBitRate-ExtIEs',
        'PDUSession-List',
        'PDUSession-List-withCause',
        'PDUSession-List-withCause-Item',
        'PDUSession-List-withCause-Item-ExtIEs',
        'PDUSession-List-withDataForwardingFromTarget',
        'PDUSession-List-withDataForwardingFromTarget-Item',
        'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        'PDUSession-List-withDataForwardingRequest',
        'PDUSession-List-withDataForwardingRequest-Item',
        'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        'PDUSessionResourcesAdmitted-List',
        'PDUSessionResourcesAdmitted-Item',
        'PDUSessionResourcesAdmitted-Item-ExtIEs',
        'PDUSessionResourceAdmittedInfo',
        'PDUSessionResourceAdmittedInfo-ExtIEs',
        'PDUSessionResourcesNotAdmitted-List',
        'PDUSessionResourcesNotAdmitted-Item',
        'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        'PDUSessionResourcesToBeSetup-List',
        'PDUSessionResourcesToBeSetup-Item',
        'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-SNterminated',
        'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Setup-SNterminated',
        'QoSFlowsToBeSetup-List-Setup-SNterminated-Item',
        'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-SNterminated',
        'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-SetupResponse-SNterminated',
        'DRBsToBeSetupList-SetupResponse-SNterminated-Item',
        'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-MNterminated',
        'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        'DRBsToBeSetupList-Setup-MNterminated',
        'DRBsToBeSetupList-Setup-MNterminated-Item',
        'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-Setup-MNterminated',
        'QoSFlowsMappedtoDRB-Setup-MNterminated-Item',
        'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-MNterminated',
        'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-SetupResponse-MNterminated',
        'DRBsAdmittedList-SetupResponse-MNterminated-Item',
        'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-SNterminated',
        'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Modified-SNterminated',
        'QoSFlowsToBeSetup-List-Modified-SNterminated-Item',
        'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-Modified-SNterminated',
        'DRBsToBeModified-List-Modified-SNterminated-Item',
        'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-SNterminated',
        'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-MNterminated',
        'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        'DRBsToBeModifiedList-Modification-MNterminated',
        'DRBsToBeModifiedList-Modification-MNterminated-Item',
        'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-MNterminated',
        'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-ModificationResponse-MNterminated',
        'DRBsAdmittedList-ModificationResponse-MNterminated-Item',
        'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-SNterminated',
        'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-SNterminated',
        'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-MNterminated',
        'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-MNterminated',
        'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceModRqdInfo-SNterminated',
        'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        'DRBsToBeSetup-List-ModRqd-SNterminated',
        'DRBsToBeSetup-List-ModRqd-SNterminated-Item',
        'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-ModRqd-SNterminated',
        'DRBsToBeModified-List-ModRqd-SNterminated-Item',
        'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-SNterminated',
        'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        'DRBsAdmittedList-ModConfirm-SNterminated',
        'DRBsAdmittedList-ModConfirm-SNterminated-Item',
        'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModRqdInfo-MNterminated',
        'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        'DRBsToBeModified-List-ModRqd-MNterminated',
        'DRBsToBeModified-List-ModRqd-MNterminated-Item',
        'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-MNterminated',
        'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceBearerSetupCompleteInfo-SNterminated',
        'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item',
        'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSecondaryRATUsageList',
        'PDUSessionResourceSecondaryRATUsageItem',
        'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        'PDUSessionUsageReport',
        'PDUSessionUsageReport-ExtIEs',
        'PDUSessionType',
        'PDUSession-ID',
        'PDUSessionNetworkInstance',
        'PDUSessionCommonNetworkInstance',
        'Periodical',
        'Periodical-ExtIEs',
        'PLMN-Identity',
        'PCIListForMDT',
        'PNI-NPN-Restricted-Information',
        'PortNumber',
        'PriorityLevelQoS',
        'ProtectedE-UTRAResourceIndication',
        'ProtectedE-UTRAResourceIndication-ExtIEs',
        'ProtectedE-UTRAResourceList',
        'ProtectedE-UTRAResource-Item',
        'ProtectedE-UTRAResource-Item-ExtIEs',
        'ProtectedE-UTRAFootprintTimePattern',
        'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        'QoSCharacteristics',
        'QoSCharacteristics-ExtIEs',
        'QoSFlowIdentifier',
        'QoSFlowLevelQoSParameters',
        'QoSFlowLevelQoSParameters-ExtIEs',
        'QoSFlowMappingIndication',
        'QoSFlowNotificationControlIndicationInfo',
        'QoSFlowNotify-Item',
        'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        'QoSFlows-List',
        'QoSFlow-Item',
        'QoSFlow-Item-ExtIEs',
        'QoSFlows-List-withCause',
        'QoSFlowwithCause-Item',
        'QoSFlowwithCause-Item-ExtIEs',
        'QoS-Mapping-Information',
        'QoS-Mapping-Information-ExtIEs',
        'QoSParaSetIndex',
        'QoSParaSetNotifyIndex',
        'QoSFlowsAdmitted-List',
        'QoSFlowsAdmitted-Item',
        'QoSFlowsAdmitted-Item-ExtIEs',
        'QoSFlowsToBeSetup-List',
        'QoSFlowsToBeSetup-Item',
        'QoSFlowsToBeSetup-Item-ExtIEs',
        'QoSFlowsUsageReportList',
        'QoSFlowsUsageReport-Item',
        'QoSFlowsUsageReport-Item-ExtIEs',
        'QosMonitoringRequest',
        'QoSMonitoringDisabled',
        'QosMonitoringReportingFrequency',
        'RACHReportInformation',
        'RACHReportList-Item',
        'RACHReportList-Item-ExtIEs',
        'RACHReportContainer',
        'RadioResourceStatus',
        'RadioResourceStatus-ExtIEs',
        'RANAC',
        'RANAreaID',
        'RANAreaID-ExtIEs',
        'RANAreaID-List',
        'Range',
        'RANPagingArea',
        'RANPagingArea-ExtIEs',
        'RANPagingAreaChoice',
        'RANPagingAreaChoice-ExtIEs',
        'RANPagingAttemptInfo',
        'RANPagingAttemptInfo-ExtIEs',
        'RANPagingFailure',
        'RedundantQoSFlowIndicator',
        'RedundantPDUSessionInformation',
        'RedundantPDUSessionInformation-ExtIEs',
        'RSN',
        'ReferenceID',
        'ReflectiveQoSAttribute',
        'ReportAmountMDT',
        'ReportArea',
        'ReportIntervalMDT',
        'ReportType',
        'ExtendedReportIntervalMDT',
        'ReportCharacteristics',
        'ReportingPeriodicity',
        'RegistrationRequest',
        'RequestReferenceID',
        'ReservedSubframePattern',
        'ReservedSubframePattern-ExtIEs',
        'ResetRequestTypeInfo',
        'ResetRequestTypeInfo-ExtIEs',
        'ResetRequestTypeInfo-Full',
        'ResetRequestTypeInfo-Full-ExtIEs',
        'ResetRequestTypeInfo-Partial',
        'ResetRequestTypeInfo-Partial-ExtIEs',
        'ResetRequestPartialReleaseList',
        'ResetRequestPartialReleaseItem',
        'ResetRequestPartialReleaseItem-ExtIEs',
        'ResetResponseTypeInfo',
        'ResetResponseTypeInfo-ExtIEs',
        'ResetResponseTypeInfo-Full',
        'ResetResponseTypeInfo-Full-ExtIEs',
        'ResetResponseTypeInfo-Partial',
        'ResetResponseTypeInfo-Partial-ExtIEs',
        'ResetResponsePartialReleaseList',
        'ResetResponsePartialReleaseItem',
        'ResetResponsePartialReleaseItem-ExtIEs',
        'RLCMode',
        'RLC-Status',
        'RLC-Status-ExtIEs',
        'RLCDuplicationInformation',
        'RLCDuplicationInformation-ItemExtIEs',
        'RLCDuplicationStateList',
        'RLCDuplicationState-Item',
        'RLCDuplicationState-ItemExtIEs',
        'Reestablishment-Indication',
        'RFSP-Index',
        'RRCConfigIndication',
        'RRCConnections',
        'RRCConnections-ExtIEs',
        'RRCConnReestab-Indicator',
        'RRCReestab-initiated',
        'RRCReestab-initiated-ExtIEs',
        'RRCReestab-Initiated-Reporting',
        'RRCReestab-Initiated-Reporting-ExtIEs',
        'RRCReestab-Initiated-Reporting-wo-UERLFReport',
        'RRCReestab-Initiated-Reporting-wo-UERLFReport-ExtIEs',
        'RRCReestab-Initiated-Reporting-with-UERLFReport',
        'RRCReestab-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'RRCSetup-initiated',
        'RRCSetup-initiated-ExtIEs',
        'RRCSetup-Initiated-Reporting',
        'RRCSetup-Initiated-Reporting-ExtIEs',
        'RRCSetup-Initiated-Reporting-with-UERLFReport',
        'RRCSetup-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'RRCResumeCause',
        'SecondarydataForwardingInfoFromTarget-Item',
        'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        'SecondarydataForwardingInfoFromTarget-List',
        'SCGConfigurationQuery',
        'SCGIndicator',
        'SecondaryRATUsageInformation',
        'SecondaryRATUsageInformation-ExtIEs',
        'SecurityIndication',
        'SecurityIndication-ExtIEs',
        'SecurityResult',
        'SecurityResult-ExtIEs',
        'SensorMeasurementConfiguration',
        'SensorMeasurementConfiguration-ExtIEs',
        'SensorMeasConfigNameList',
        'SensorMeasConfig',
        'SensorName',
        'SensorNameConfig-ExtIEs',
        'ServedCellInformation-E-UTRA',
        'ServedCellInformation-E-UTRA-ExtIEs',
        'ServedCellInformation-E-UTRA-perBPLMN',
        'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        'ServedCellInformation-E-UTRA-ModeInfo',
        'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-FDDInfo',
        'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-TDDInfo',
        'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        'ServedCells-E-UTRA',
        'ServedCells-E-UTRA-Item',
        'ServedCells-E-UTRA-Item-ExtIEs',
        'ServedCellsToUpdate-E-UTRA',
        'ServedCellsToUpdate-E-UTRA-ExtIEs',
        'ServedCells-ToModify-E-UTRA',
        'ServedCells-ToModify-E-UTRA-Item',
        'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        'ServedCellInformation-NR',
        'ServedCellInformation-NR-ExtIEs',
        'SFN-Offset',
        'SFN-Offset-ExtIEs',
        'ServedCells-NR',
        'ServedCells-NR-Item',
        'ServedCells-NR-Item-ExtIEs',
        'ServedCells-ToModify-NR',
        'ServedCells-ToModify-NR-Item',
        'Served-cells-ToModify-NR-Item-ExtIEs',
        'ServedCellsToUpdate-NR',
        'ServedCellsToUpdate-NR-ExtIEs',
        'SharedResourceType',
        'SharedResourceType-ExtIEs',
        'SharedResourceType-UL-OnlySharing',
        'SharedResourceType-UL-OnlySharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing',
        'SharedResourceType-ULDL-Sharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-Resources',
        'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged',
        'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-Resources',
        'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged',
        'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        'SliceAvailableCapacity',
        'SliceAvailableCapacity-Item',
        'SliceAvailableCapacity-Item-ExtIEs',
        'SNSSAIAvailableCapacity-List',
        'SNSSAIAvailableCapacity-Item',
        'SNSSAIAvailableCapacity-Item-ExtIEs',
        'SliceSupport-List',
        'SliceToReport-List',
        'SliceToReport-List-Item',
        'SliceToReport-List-Item-ExtIEs',
        'SNSSAI-list',
        'SNSSAI-Item',
        'SNSSAI-Item-ExtIEs',
        'SlotConfiguration-List',
        'SlotConfiguration-List-Item',
        'SlotConfiguration-List-Item-ExtIEs',
        'S-NG-RANnode-SecurityKey',
        'S-NG-RANnode-Addition-Trigger-Ind',
        'S-NSSAI',
        'S-NSSAI-ExtIEs',
        'SNTriggered',
        'SpecialSubframeInfo-E-UTRA',
        'SpecialSubframeInfo-E-UTRA-ExtIEs',
        'SpecialSubframePatterns-E-UTRA',
        'SpectrumSharingGroupID',
        'SplitSessionIndicator',
        'SplitSRBsTypes',
        'SSBAreaCapacityValue-List',
        'SSBAreaCapacityValue-List-Item',
        'SSBAreaCapacityValue-List-Item-ExtIEs',
        'SSBAreaRadioResourceStatus-List',
        'SSBAreaRadioResourceStatus-List-Item',
        'SSBAreaRadioResourceStatus-List-Item-ExtIEs',
        'SSB-PositionsInBurst',
        'SSB-PositionsInBurst-ExtIEs',
        'SSBToReport-List',
        'SSBToReport-List-Item',
        'SSBToReport-List-Item-ExtIEs',
        'SUL-FrequencyBand',
        'SUL-Information',
        'SUL-Information-ExtIEs',
        'SupportedSULBandList',
        'SupportedSULBandItem',
        'SupportedSULBandItem-ExtIEs',
        'SymbolAllocation-in-Slot',
        'SymbolAllocation-in-Slot-ExtIEs',
        'SymbolAllocation-in-Slot-AllDL',
        'SymbolAllocation-in-Slot-AllDL-ExtIEs',
        'SymbolAllocation-in-Slot-AllUL',
        'SymbolAllocation-in-Slot-AllUL-ExtIEs',
        'SymbolAllocation-in-Slot-BothDLandUL',
        'SymbolAllocation-in-Slot-BothDLandUL-ExtIEs',
        'TABasedMDT',
        'TABasedMDT-ExtIEs',
        'TAIBasedMDT',
        'TAIBasedMDT-ExtIEs',
        'TAIListforMDT',
        'TAIforMDT-Item',
        'TAIforMDT-Item-ExtIEs',
        'TAC',
        'TAISupport-List',
        'TAISupport-Item',
        'TAISupport-Item-ExtIEs',
        'TAListforMDT',
        'TargetCellinEUTRAN',
        'Target-CGI',
        'TargetCGI-ExtIEs',
        'TDDULDLConfigurationCommonNR',
        'TargetCellList',
        'TargetCellList-Item',
        'TargetCellList-Item-ExtIEs',
        'Threshold-RSRQ',
        'Threshold-RSRP',
        'Threshold-SINR',
        'TimeToTrigger',
        'TimeToWait',
        'TNLConfigurationInfo',
        'TNLConfigurationInfo-ExtIEs',
        'TNLA-To-Add-List',
        'TNLA-To-Add-Item',
        'TNLA-To-Add-Item-ExtIEs',
        'TNLA-To-Update-List',
        'TNLA-To-Update-Item',
        'TNLA-To-Update-Item-ExtIEs',
        'TNLA-To-Remove-List',
        'TNLA-To-Remove-Item',
        'TNLA-To-Remove-Item-ExtIEs',
        'TNLA-Setup-List',
        'TNLA-Setup-Item',
        'TNLA-Setup-Item-ExtIEs',
        'TNLA-Failed-To-Setup-List',
        'TNLA-Failed-To-Setup-Item',
        'TNLA-Failed-To-Setup-Item-ExtIEs',
        'TNLAssociationUsage',
        'TransportLayerAddress',
        'TraceActivation',
        'TraceActivation-ExtIEs',
        'Trace-Depth',
        'TSCTrafficCharacteristics',
        'TSCTrafficCharacteristics-ExtIEs',
        'TSCAssistanceInformation',
        'TSCAssistanceInformation-ExtIEs',
        'TypeOfError',
        'UEAggregateMaximumBitRate',
        'UEAggregateMaximumBitRate-ExtIEs',
        'UEContextKeptIndicator',
        'UEContextID',
        'UEContextID-ExtIEs',
        'UEContextIDforRRCResume',
        'UEContextIDforRRCResume-ExtIEs',
        'UEContextIDforRRCReestablishment',
        'UEContextIDforRRCReestablishment-ExtIEs',
        'UEContextInfoRetrUECtxtResp',
        'UEContextInfoRetrUECtxtResp-ExtIEs',
        'UEHistoryInformation',
        'UEHistoryInformationFromTheUE',
        'UEHistoryInformationFromTheUE-ExtIEs',
        'UEIdentityIndexValue',
        'UEIdentityIndexValue-ExtIEs',
        'UERadioCapabilityForPaging',
        'UERadioCapabilityForPaging-ExtIEs',
        'UERadioCapabilityForPagingOfNR',
        'UERadioCapabilityForPagingOfEUTRA',
        'UERadioCapabilityID',
        'UERANPagingIdentity',
        'UERANPagingIdentity-ExtIEs',
        'UERLFReportContainer',
        'UERLFReportContainer-ExtIEs',
        'UERLFReportContainerLTE',
        'UERLFReportContainerNR',
        'UESecurityCapabilities',
        'UESecurityCapabilities-ExtIEs',
        'UESpecificDRX',
        'ULConfiguration',
        'ULConfiguration-ExtIEs',
        'UL-UE-Configuration',
        'ULForwarding',
        'ULForwardingProposal',
        'UL-GBR-PRB-usage',
        'UL-non-GBR-PRB-usage',
        'UL-Total-PRB-usage',
        'UPTransportLayerInformation',
        'UPTransportLayerInformation-ExtIEs',
        'UPTransportParameters',
        'UPTransportParametersItem',
        'UPTransportParametersItem-ExtIEs',
        'UserPlaneTrafficActivityReport',
        'URIaddress',
        'VehicleUE',
        'VolumeTimedReportList',
        'VolumeTimedReport-Item',
        'VolumeTimedReport-Item-ExtIEs',
        'WLANMeasurementConfiguration',
        'WLANMeasurementConfiguration-ExtIEs',
        'WLANMeasConfigNameList',
        'WLANMeasConfig',
        'WLANName',
        'XnBenefitValue',
        ]
    _type_ = [
        'AdditionLocationInformation',
        'Additional-PDCP-Duplication-TNL-List',
        'Additional-PDCP-Duplication-TNL-Item',
        'Additional-UL-NG-U-TNLatUPF-Item',
        'Additional-UL-NG-U-TNLatUPF-List',
        'ActivationIDforCellActivation',
        'AllocationandRetentionPriority',
        'ActivationSFN',
        'AllowedCAG-ID-List-perPLMN',
        'AllowedPNI-NPN-ID-List',
        'AllowedPNI-NPN-ID-Item',
        'AlternativeQoSParaSetList',
        'AlternativeQoSParaSetItem',
        'AMF-Region-Information',
        'GlobalAMF-Region-Information',
        'AMF-UE-NGAP-ID',
        'AreaOfInterestInformation',
        'AreaOfInterest-Item',
        'AreaScopeOfMDT-NR',
        'AreaScopeOfMDT-EUTRA',
        'AreaScopeOfNeighCellsList',
        'AreaScopeOfNeighCellsItem',
        'AS-SecurityInformation',
        'AssistanceDataForRANPaging',
        'AvailableCapacity',
        'AvailableRRCConnectionCapacityValue',
        'AveragingWindow',
        'BluetoothMeasurementConfiguration',
        'BluetoothMeasConfigNameList',
        'BluetoothMeasConfig',
        'BluetoothName',
        'BPLMN-ID-Info-EUTRA',
        'BPLMN-ID-Info-EUTRA-Item',
        'BPLMN-ID-Info-NR',
        'BPLMN-ID-Info-NR-Item',
        'BitRate',
        'BroadcastCAG-Identifier-List',
        'BroadcastCAG-Identifier-Item',
        'BroadcastNID-List',
        'BroadcastNID-Item',
        'BroadcastPLMNs',
        'BroadcastEUTRAPLMNs',
        'BroadcastPLMNinTAISupport-Item',
        'BroadcastPNI-NPN-ID-Information',
        'BroadcastPNI-NPN-ID-Information-Item',
        'BroadcastSNPNID-List',
        'BroadcastSNPNID',
        'CAG-Identifier',
        'CapacityValue',
        'CapacityValueInfo',
        'Cause',
        'CauseRadioNetworkLayer',
        'CauseTransportLayer',
        'CauseProtocol',
        'CauseMisc',
        'CellAssistanceInfo-NR',
        'CellAndCapacityAssistanceInfo-NR',
        'CellAndCapacityAssistanceInfo-EUTRA',
        'CellAssistanceInfo-EUTRA',
        'CellBasedMDT-NR',
        'CellIdListforMDT-NR',
        'CellBasedMDT-EUTRA',
        'CellIdListforMDT-EUTRA',
        'CellCapacityClassValue',
        'CellGroupID',
        'CellMeasurementResult',
        'CellMeasurementResult-Item',
        'CellToReport',
        'CellToReport-Item',
        'Cell-Type-Choice',
        'CompositeAvailableCapacityGroup',
        'CompositeAvailableCapacity',
        'CHO-MRDC-EarlyDataForwarding',
        'CHO-MRDC-Indicator',
        'CHOtrigger',
        'CHOinformation-Req',
        'CHOinformation-Ack',
        'CHO-Probability',
        'ConfiguredTACIndication',
        'Connectivity-Support',
        'COUNT-PDCP-SN12',
        'COUNT-PDCP-SN18',
        'CPTransportLayerInformation',
        'CriticalityDiagnostics',
        'CriticalityDiagnostics-IE-List',
        'C-RNTI',
        'CyclicPrefix-E-UTRA-DL',
        'CyclicPrefix-E-UTRA-UL',
        'CSI-RSTransmissionIndication',
        'XnUAddressInfoperPDUSession-List',
        'XnUAddressInfoperPDUSession-Item',
        'DataForwardingAccepted',
        'DataForwardingInfoFromTargetE-UTRANnode',
        'DataForwardingInfoFromTargetE-UTRANnode-List',
        'DataForwardingInfoFromTargetE-UTRANnode-Item',
        'QoSFlowsToBeForwarded-List',
        'QoSFlowsToBeForwarded-Item',
        'DataForwardingInfoFromTargetNGRANnode',
        'QoSFLowsAcceptedToBeForwarded-List',
        'QoSFLowsAcceptedToBeForwarded-Item',
        'DataforwardingandOffloadingInfofromSource',
        'QoSFLowsToBeForwarded-List',
        'QoSFLowsToBeForwarded-Item',
        'DataForwardingResponseDRBItemList',
        'DataForwardingResponseDRBItem',
        'DataTrafficResources',
        'DataTrafficResourceIndication',
        'DAPSRequestInfo',
        'DAPSResponseInfo-List',
        'DAPSResponseInfo-Item',
        'DeliveryStatus',
        'DesiredActNotificationLevel',
        'DefaultDRB-Allowed',
        'DirectForwardingPathAvailability',
        'DLCountChoice',
        'DLForwarding',
        'DL-GBR-PRB-usage',
        'DL-non-GBR-PRB-usage',
        'DL-Total-PRB-usage',
        'DRB-ID',
        'DRB-List',
        'DRB-List-withCause',
        'DRB-List-withCause-Item',
        'DRB-Number',
        'DRBsSubjectToDLDiscarding-List',
        'DRBsSubjectToDLDiscarding-Item',
        'DRBsSubjectToEarlyStatusTransfer-List',
        'DRBsSubjectToEarlyStatusTransfer-Item',
        'DRBsSubjectToStatusTransfer-List',
        'DRBsSubjectToStatusTransfer-Item',
        'DRBBStatusTransferChoice',
        'DRBBStatusTransfer12bitsSN',
        'DRBBStatusTransfer18bitsSN',
        'DRBToQoSFlowMapping-List',
        'DRBToQoSFlowMapping-Item',
        'DuplicationActivation',
        'Dynamic5QIDescriptor',
        'E-RAB-ID',
        'E-UTRAARFCN',
        'E-UTRA-Cell-Identity',
        'E-UTRA-CGI',
        'E-UTRAFrequencyBandIndicator',
        'E-UTRAMultibandInfoList',
        'E-UTRAPCI',
        'E-UTRAPRACHConfiguration',
        'E-UTRATransmissionBandwidth',
        'EndpointIPAddressAndPort',
        'EventTriggered',
        'EventType',
        'EventTypeTrigger',
        'EventL1',
        'MeasurementThresholdL1LoggedMDT',
        'ExpectedActivityPeriod',
        'ExpectedHOInterval',
        'ExpectedIdlePeriod',
        'ExpectedUEActivityBehaviour',
        'ExpectedUEBehaviour',
        'ExpectedUEMobility',
        'ExpectedUEMovingTrajectory',
        'ExpectedUEMovingTrajectoryItem',
        'SourceOfUEActivityBehaviourInformation',
        'ExtendedRATRestrictionInformation',
        'ExtendedPacketDelayBudget',
        'ExtendedSliceSupportList',
        'ExtendedUEIdentityIndexValue',
        'ExtTLAs',
        'ExtTLA-Item',
        'GTPTLAs',
        'GTPTLA-Item',
        'FiveGCMobilityRestrictionListContainer',
        'FiveQI',
        'FrequencyShift7p5khz',
        'GBRQoSFlowInfo',
        'GlobalgNB-ID',
        'GNB-ID-Choice',
        'GNB-RadioResourceStatus',
        'GlobalCell-ID',
        'GlobalngeNB-ID',
        'ENB-ID-Choice',
        'GlobalNG-RANCell-ID',
        'GlobalNG-RANNode-ID',
        'GTP-TEID',
        'GTPtunnelTransportLayerInformation',
        'GUAMI',
        'HandoverReportType',
        'Hysteresis',
        'IABNodeIndication',
        'ImmediateMDT-EUTRA',
        'ImmediateMDT-NR',
        'InitiatingCondition-FailureIndication',
        'IntendedTDD-DL-ULConfiguration-NR',
        'InterfaceInstanceIndication',
        'InterfacesToTrace',
        'I-RNTI',
        'LastVisitedCell-Item',
        'LastVisitedEUTRANCellInformation',
        'LastVisitedGERANCellInformation',
        'LastVisitedNGRANCellInformation',
        'LastVisitedUTRANCellInformation',
        'LCID',
        'Links-to-log',
        'ListOfCells',
        'CellsinAoI-Item',
        'ListOfRANNodesinAoI',
        'GlobalNG-RANNodesinAoI-Item',
        'ListOfTAIsinAoI',
        'TAIsinAoI-Item',
        'LocationInformationSNReporting',
        'LocationReportingInformation',
        'LoggedMDT-EUTRA',
        'LoggedEventTriggeredConfig',
        'LoggedMDT-NR',
        'LoggingInterval',
        'LoggingDuration',
        'LowerLayerPresenceStatusChange',
        'LTEV2XServicesAuthorized',
        'LTEUESidelinkAggregateMaximumBitRate',
        'M1Configuration',
        'M1PeriodicReporting',
        'M1ReportingTrigger',
        'M1ThresholdEventA2',
        'M4Configuration',
        'M4period',
        'M5Configuration',
        'M5period',
        'M6Configuration',
        'M6report-Interval',
        'M7Configuration',
        'M7period',
        'MAC-I',
        'MaskedIMEISV',
        'MaxCHOpreparations',
        'MaximumDataBurstVolume',
        'MaximumIPdatarate',
        'MaxIPrate',
        'MBSFNControlRegionLength',
        'MBSFNSubframeAllocation-E-UTRA',
        'MBSFNSubframeInfo-E-UTRA',
        'MBSFNSubframeInfo-E-UTRA-Item',
        'MDT-Activation',
        'MDT-Configuration',
        'MDT-Configuration-NR',
        'MDT-Configuration-EUTRA',
        'MDT-Location-Info',
        'MDTPLMNList',
        'MDTMode-NR',
        'MDTMode-NR-Extension',
        'MDTMode-EUTRA',
        'MDTMode-EUTRA-Extension',
        'MeasurementsToActivate',
        'MeasurementThresholdA2',
        'Measurement-ID',
        'MobilityInformation',
        'MobilityParametersModificationRange',
        'MobilityParametersInformation',
        'MobilityRestrictionList',
        'CNTypeRestrictionsForEquivalent',
        'CNTypeRestrictionsForEquivalentItem',
        'CNTypeRestrictionsForServing',
        'RAT-RestrictionsList',
        'RAT-RestrictionsItem',
        'RAT-RestrictionInformation',
        'ForbiddenAreaList',
        'ForbiddenAreaItem',
        'ServiceAreaList',
        'ServiceAreaItem',
        'MR-DC-ResourceCoordinationInfo',
        'NG-RAN-Node-ResourceCoordinationInfo',
        'E-UTRA-ResourceCoordinationInfo',
        'E-UTRA-CoordinationAssistanceInfo',
        'NR-ResourceCoordinationInfo',
        'NR-CoordinationAssistanceInfo',
        'MessageOversizeNotification',
        'MaximumCellListSize',
        'NBIoT-UL-DL-AlignmentOffset',
        'NE-DC-TDM-Pattern',
        'NeighbourInformation-E-UTRA',
        'NeighbourInformation-E-UTRA-Item',
        'NeighbourInformation-NR',
        'NeighbourInformation-NR-Item',
        'NeighbourInformation-NR-ModeInfo',
        'NeighbourInformation-NR-ModeFDDInfo',
        'NeighbourInformation-NR-ModeTDDInfo',
        'NID',
        'NRCarrierList',
        'NRCarrierItem',
        'NRCellPRACHConfig',
        'NG-RAN-Cell-Identity',
        'NG-RAN-CellPCI',
        'NG-RANnodeUEXnAPID',
        'NumberofActiveUEs',
        'NoofRRCConnections',
        'NonDynamic5QIDescriptor',
        'NRARFCN',
        'NG-eNB-RadioResourceStatus',
        'DL-scheduling-PDCCH-CCE-usage',
        'UL-scheduling-PDCCH-CCE-usage',
        'TNLCapacityIndicator',
        'NPN-Broadcast-Information',
        'NPN-Broadcast-Information-SNPN',
        'NPN-Broadcast-Information-PNI-NPN',
        'NPNMobilityInformation',
        'NPNMobilityInformation-SNPN',
        'NPNMobilityInformation-PNI-NPN',
        'NPNPagingAssistanceInformation',
        'NPNPagingAssistanceInformation-PNI-NPN',
        'NPN-Support',
        'NPN-Support-SNPN',
        'NPRACHConfiguration',
        'NPRACHConfiguration-FDD',
        'NPRACHConfiguration-TDD',
        'NPRACH-CP-Length',
        'NPRACH-preambleFormat',
        'Non-AnchorCarrierFrequencylist',
        'NR-Cell-Identity',
        'NG-RAN-Cell-Identity-ListinRANPagingArea',
        'NR-CGI',
        'NRCyclicPrefix',
        'NRDL-ULTransmissionPeriodicity',
        'NRFrequencyBand',
        'NRFrequencyBand-List',
        'NRFrequencyBandItem',
        'NRFrequencyInfo',
        'NRMobilityHistoryReport',
        'NRModeInfo',
        'NRModeInfoFDD',
        'NRModeInfoTDD',
        'NRNRB',
        'NRPCI',
        'NRSCS',
        'NRTransmissionBandwidth',
        'NumberOfAntennaPorts-E-UTRA',
        'NG-RANTraceID',
        'NonGBRResources-Offered',
        'NRV2XServicesAuthorized',
        'NRUESidelinkAggregateMaximumBitRate',
        'OfferedCapacity',
        'OffsetOfNbiotChannelNumberToEARFCN',
        'PacketDelayBudget',
        'PacketErrorRate',
        'PedestrianUE',
        'PER-Scalar',
        'PER-Exponent',
        'PacketLossRate',
        'PagingDRX',
        'PagingeDRXInformation',
        'Paging-eDRX-Cycle',
        'Paging-Time-Window',
        'PagingPriority',
        'PartialListIndicator',
        'PC5QoSParameters',
        'PC5QoSFlowList',
        'PC5QoSFlowItem',
        'PC5FlowBitRates',
        'PDCPChangeIndication',
        'PDCPDuplicationConfiguration',
        'PDCPSNLength',
        'PDUSessionAggregateMaximumBitRate',
        'PDUSession-List',
        'PDUSession-List-withCause',
        'PDUSession-List-withCause-Item',
        'PDUSession-List-withDataForwardingFromTarget',
        'PDUSession-List-withDataForwardingFromTarget-Item',
        'PDUSession-List-withDataForwardingRequest',
        'PDUSession-List-withDataForwardingRequest-Item',
        'PDUSessionResourcesAdmitted-List',
        'PDUSessionResourcesAdmitted-Item',
        'PDUSessionResourceAdmittedInfo',
        'PDUSessionResourcesNotAdmitted-List',
        'PDUSessionResourcesNotAdmitted-Item',
        'PDUSessionResourcesToBeSetup-List',
        'PDUSessionResourcesToBeSetup-Item',
        'PDUSessionResourceSetupInfo-SNterminated',
        'QoSFlowsToBeSetup-List-Setup-SNterminated',
        'QoSFlowsToBeSetup-List-Setup-SNterminated-Item',
        'PDUSessionResourceSetupResponseInfo-SNterminated',
        'DRBsToBeSetupList-SetupResponse-SNterminated',
        'DRBsToBeSetupList-SetupResponse-SNterminated-Item',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item',
        'PDUSessionResourceSetupInfo-MNterminated',
        'DRBsToBeSetupList-Setup-MNterminated',
        'DRBsToBeSetupList-Setup-MNterminated-Item',
        'QoSFlowsMappedtoDRB-Setup-MNterminated',
        'QoSFlowsMappedtoDRB-Setup-MNterminated-Item',
        'PDUSessionResourceSetupResponseInfo-MNterminated',
        'DRBsAdmittedList-SetupResponse-MNterminated',
        'DRBsAdmittedList-SetupResponse-MNterminated-Item',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item',
        'PDUSessionResourceModificationInfo-SNterminated',
        'QoSFlowsToBeSetup-List-Modified-SNterminated',
        'QoSFlowsToBeSetup-List-Modified-SNterminated-Item',
        'DRBsToBeModified-List-Modified-SNterminated',
        'DRBsToBeModified-List-Modified-SNterminated-Item',
        'PDUSessionResourceModificationResponseInfo-SNterminated',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item',
        'PDUSessionResourceModificationInfo-MNterminated',
        'DRBsToBeModifiedList-Modification-MNterminated',
        'DRBsToBeModifiedList-Modification-MNterminated-Item',
        'PDUSessionResourceModificationResponseInfo-MNterminated',
        'DRBsAdmittedList-ModificationResponse-MNterminated',
        'DRBsAdmittedList-ModificationResponse-MNterminated-Item',
        'PDUSessionResourceChangeRequiredInfo-SNterminated',
        'PDUSessionResourceChangeConfirmInfo-SNterminated',
        'PDUSessionResourceChangeRequiredInfo-MNterminated',
        'PDUSessionResourceChangeConfirmInfo-MNterminated',
        'PDUSessionResourceModRqdInfo-SNterminated',
        'DRBsToBeSetup-List-ModRqd-SNterminated',
        'DRBsToBeSetup-List-ModRqd-SNterminated-Item',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item',
        'DRBsToBeModified-List-ModRqd-SNterminated',
        'DRBsToBeModified-List-ModRqd-SNterminated-Item',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item',
        'PDUSessionResourceModConfirmInfo-SNterminated',
        'DRBsAdmittedList-ModConfirm-SNterminated',
        'DRBsAdmittedList-ModConfirm-SNterminated-Item',
        'PDUSessionResourceModRqdInfo-MNterminated',
        'DRBsToBeModified-List-ModRqd-MNterminated',
        'DRBsToBeModified-List-ModRqd-MNterminated-Item',
        'PDUSessionResourceModConfirmInfo-MNterminated',
        'PDUSessionResourceBearerSetupCompleteInfo-SNterminated',
        'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item',
        'PDUSessionResourceSecondaryRATUsageList',
        'PDUSessionResourceSecondaryRATUsageItem',
        'PDUSessionUsageReport',
        'PDUSessionType',
        'PDUSession-ID',
        'PDUSessionNetworkInstance',
        'PDUSessionCommonNetworkInstance',
        'Periodical',
        'PLMN-Identity',
        'PCIListForMDT',
        'PNI-NPN-Restricted-Information',
        'PortNumber',
        'PriorityLevelQoS',
        'ProtectedE-UTRAResourceIndication',
        'ProtectedE-UTRAResourceList',
        'ProtectedE-UTRAResource-Item',
        'ProtectedE-UTRAFootprintTimePattern',
        'QoSCharacteristics',
        'QoSFlowIdentifier',
        'QoSFlowLevelQoSParameters',
        'QoSFlowMappingIndication',
        'QoSFlowNotificationControlIndicationInfo',
        'QoSFlowNotify-Item',
        'QoSFlows-List',
        'QoSFlow-Item',
        'QoSFlows-List-withCause',
        'QoSFlowwithCause-Item',
        'QoS-Mapping-Information',
        'QoSParaSetIndex',
        'QoSParaSetNotifyIndex',
        'QoSFlowsAdmitted-List',
        'QoSFlowsAdmitted-Item',
        'QoSFlowsToBeSetup-List',
        'QoSFlowsToBeSetup-Item',
        'QoSFlowsUsageReportList',
        'QoSFlowsUsageReport-Item',
        'QosMonitoringRequest',
        'QoSMonitoringDisabled',
        'QosMonitoringReportingFrequency',
        'RACHReportInformation',
        'RACHReportList-Item',
        'RACHReportContainer',
        'RadioResourceStatus',
        'RANAC',
        'RANAreaID',
        'RANAreaID-List',
        'Range',
        'RANPagingArea',
        'RANPagingAreaChoice',
        'RANPagingAttemptInfo',
        'RANPagingFailure',
        'RedundantQoSFlowIndicator',
        'RedundantPDUSessionInformation',
        'RSN',
        'ReferenceID',
        'ReflectiveQoSAttribute',
        'ReportAmountMDT',
        'ReportArea',
        'ReportIntervalMDT',
        'ReportType',
        'ExtendedReportIntervalMDT',
        'ReportCharacteristics',
        'ReportingPeriodicity',
        'RegistrationRequest',
        'RequestReferenceID',
        'ReservedSubframePattern',
        'ResetRequestTypeInfo',
        'ResetRequestTypeInfo-Full',
        'ResetRequestTypeInfo-Partial',
        'ResetRequestPartialReleaseList',
        'ResetRequestPartialReleaseItem',
        'ResetResponseTypeInfo',
        'ResetResponseTypeInfo-Full',
        'ResetResponseTypeInfo-Partial',
        'ResetResponsePartialReleaseList',
        'ResetResponsePartialReleaseItem',
        'RLCMode',
        'RLC-Status',
        'RLCDuplicationInformation',
        'RLCDuplicationStateList',
        'RLCDuplicationState-Item',
        'Reestablishment-Indication',
        'RFSP-Index',
        'RRCConfigIndication',
        'RRCConnections',
        'RRCConnReestab-Indicator',
        'RRCReestab-initiated',
        'RRCReestab-Initiated-Reporting',
        'RRCReestab-Initiated-Reporting-wo-UERLFReport',
        'RRCReestab-Initiated-Reporting-with-UERLFReport',
        'RRCSetup-initiated',
        'RRCSetup-Initiated-Reporting',
        'RRCSetup-Initiated-Reporting-with-UERLFReport',
        'RRCResumeCause',
        'SecondarydataForwardingInfoFromTarget-Item',
        'SecondarydataForwardingInfoFromTarget-List',
        'SCGConfigurationQuery',
        'SCGIndicator',
        'SecondaryRATUsageInformation',
        'SecurityIndication',
        'SecurityResult',
        'SensorMeasurementConfiguration',
        'SensorMeasConfigNameList',
        'SensorMeasConfig',
        'SensorName',
        'ServedCellInformation-E-UTRA',
        'ServedCellInformation-E-UTRA-perBPLMN',
        'ServedCellInformation-E-UTRA-ModeInfo',
        'ServedCellInformation-E-UTRA-FDDInfo',
        'ServedCellInformation-E-UTRA-TDDInfo',
        'ServedCells-E-UTRA',
        'ServedCells-E-UTRA-Item',
        'ServedCellsToUpdate-E-UTRA',
        'ServedCells-ToModify-E-UTRA',
        'ServedCells-ToModify-E-UTRA-Item',
        'ServedCellInformation-NR',
        'SFN-Offset',
        'ServedCells-NR',
        'ServedCells-NR-Item',
        'ServedCells-ToModify-NR',
        'ServedCells-ToModify-NR-Item',
        'ServedCellsToUpdate-NR',
        'SharedResourceType',
        'SharedResourceType-UL-OnlySharing',
        'SharedResourceType-ULDL-Sharing',
        'SharedResourceType-ULDL-Sharing-UL-Resources',
        'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged',
        'SharedResourceType-ULDL-Sharing-DL-Resources',
        'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged',
        'SliceAvailableCapacity',
        'SliceAvailableCapacity-Item',
        'SNSSAIAvailableCapacity-List',
        'SNSSAIAvailableCapacity-Item',
        'SliceSupport-List',
        'SliceToReport-List',
        'SliceToReport-List-Item',
        'SNSSAI-list',
        'SNSSAI-Item',
        'SlotConfiguration-List',
        'SlotConfiguration-List-Item',
        'S-NG-RANnode-SecurityKey',
        'S-NG-RANnode-Addition-Trigger-Ind',
        'S-NSSAI',
        'SNTriggered',
        'SpecialSubframeInfo-E-UTRA',
        'SpecialSubframePatterns-E-UTRA',
        'SpectrumSharingGroupID',
        'SplitSessionIndicator',
        'SplitSRBsTypes',
        'SSBAreaCapacityValue-List',
        'SSBAreaCapacityValue-List-Item',
        'SSBAreaRadioResourceStatus-List',
        'SSBAreaRadioResourceStatus-List-Item',
        'SSB-PositionsInBurst',
        'SSBToReport-List',
        'SSBToReport-List-Item',
        'SUL-FrequencyBand',
        'SUL-Information',
        'SupportedSULBandList',
        'SupportedSULBandItem',
        'SymbolAllocation-in-Slot',
        'SymbolAllocation-in-Slot-AllDL',
        'SymbolAllocation-in-Slot-AllUL',
        'SymbolAllocation-in-Slot-BothDLandUL',
        'TABasedMDT',
        'TAIBasedMDT',
        'TAIListforMDT',
        'TAIforMDT-Item',
        'TAC',
        'TAISupport-List',
        'TAISupport-Item',
        'TAListforMDT',
        'TargetCellinEUTRAN',
        'Target-CGI',
        'TDDULDLConfigurationCommonNR',
        'TargetCellList',
        'TargetCellList-Item',
        'Threshold-RSRQ',
        'Threshold-RSRP',
        'Threshold-SINR',
        'TimeToTrigger',
        'TimeToWait',
        'TNLConfigurationInfo',
        'TNLA-To-Add-List',
        'TNLA-To-Add-Item',
        'TNLA-To-Update-List',
        'TNLA-To-Update-Item',
        'TNLA-To-Remove-List',
        'TNLA-To-Remove-Item',
        'TNLA-Setup-List',
        'TNLA-Setup-Item',
        'TNLA-Failed-To-Setup-List',
        'TNLA-Failed-To-Setup-Item',
        'TNLAssociationUsage',
        'TransportLayerAddress',
        'TraceActivation',
        'Trace-Depth',
        'TSCTrafficCharacteristics',
        'TSCAssistanceInformation',
        'TypeOfError',
        'UEAggregateMaximumBitRate',
        'UEContextKeptIndicator',
        'UEContextID',
        'UEContextIDforRRCResume',
        'UEContextIDforRRCReestablishment',
        'UEContextInfoRetrUECtxtResp',
        'UEHistoryInformation',
        'UEHistoryInformationFromTheUE',
        'UEIdentityIndexValue',
        'UERadioCapabilityForPaging',
        'UERadioCapabilityForPagingOfNR',
        'UERadioCapabilityForPagingOfEUTRA',
        'UERadioCapabilityID',
        'UERANPagingIdentity',
        'UERLFReportContainer',
        'UERLFReportContainerLTE',
        'UERLFReportContainerNR',
        'UESecurityCapabilities',
        'UESpecificDRX',
        'ULConfiguration',
        'UL-UE-Configuration',
        'ULForwarding',
        'ULForwardingProposal',
        'UL-GBR-PRB-usage',
        'UL-non-GBR-PRB-usage',
        'UL-Total-PRB-usage',
        'UPTransportLayerInformation',
        'UPTransportParameters',
        'UPTransportParametersItem',
        'UserPlaneTrafficActivityReport',
        'URIaddress',
        'VehicleUE',
        'VolumeTimedReportList',
        'VolumeTimedReport-Item',
        'WLANMeasurementConfiguration',
        'WLANMeasConfigNameList',
        'WLANMeasConfig',
        'WLANName',
        'XnBenefitValue',
        ]
    _set_ = [
        'Additional-PDCP-Duplication-TNL-ExtIEs',
        'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        'AllocationandRetentionPriority-ExtIEs',
        'AllowedPNI-NPN-ID-Item-ExtIEs',
        'AlternativeQoSParaSetItem-ExtIEs',
        'GlobalAMF-Region-Information-ExtIEs',
        'AreaOfInterest-Item-ExtIEs',
        'AreaScopeOfNeighCellsItem-ExtIEs',
        'AS-SecurityInformation-ExtIEs',
        'AssistanceDataForRANPaging-ExtIEs',
        'BluetoothMeasurementConfiguration-ExtIEs',
        'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        'BPLMN-ID-Info-NR-Item-ExtIEs',
        'BroadcastCAG-Identifier-Item-ExtIEs',
        'BroadcastNID-Item-ExtIEs',
        'BroadcastPLMNinTAISupport-Item-ExtIEs',
        'BroadcastPNI-NPN-ID-Information-Item-ExtIEs',
        'BroadcastSNPNID-ExtIEs',
        'CapacityValueInfo-ExtIEs',
        'Cause-ExtIEs',
        'CellAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-EUTRA-ExtIEs',
        'CellAssistanceInfo-EUTRA-ExtIEs',
        'CellBasedMDT-NR-ExtIEs',
        'CellBasedMDT-EUTRA-ExtIEs',
        'CellMeasurementResult-Item-ExtIEs',
        'CellToReport-Item-ExtIEs',
        'Cell-Type-Choice-ExtIEs',
        'CompositeAvailableCapacityGroup-ExtIEs',
        'CompositeAvailableCapacity-ExtIEs',
        'CHOinformation-Req-ExtIEs',
        'CHOinformation-Ack-ExtIEs',
        'Connectivity-Support-ExtIEs',
        'COUNT-PDCP-SN12-ExtIEs',
        'COUNT-PDCP-SN18-ExtIEs',
        'CPTransportLayerInformation-ExtIEs',
        'CriticalityDiagnostics-ExtIEs',
        'CriticalityDiagnostics-IE-List-ExtIEs',
        'XnUAddressInfoperPDUSession-Item-ExtIEs',
        'DataForwardingInfoFromTargetE-UTRANnode-ExtIEs',
        'DataForwardingInfoFromTargetE-UTRANnode-Item-ExtIEs',
        'QoSFlowsToBeForwarded-Item-ExtIEs',
        'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        'DataforwardingandOffloadingInfofromSource-ExtIEs',
        'QoSFLowsToBeForwarded-Item-ExtIEs',
        'DataForwardingResponseDRBItem-ExtIEs',
        'DataTrafficResourceIndication-ExtIEs',
        'DAPSRequestInfo-ExtIEs',
        'DAPSResponseInfo-Item-ExtIEs',
        'DLCountChoice-ExtIEs',
        'DRB-List-withCause-Item-ExtIEs',
        'DRBsSubjectToDLDiscarding-Item-ExtIEs',
        'DRBsSubjectToEarlyStatusTransfer-Item-ExtIEs',
        'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        'DRBBStatusTransferChoice-ExtIEs',
        'DRBBStatusTransfer12bitsSN-ExtIEs',
        'DRBBStatusTransfer18bitsSN-ExtIEs',
        'DRBToQoSFlowMapping-Item-ExtIEs',
        'Dynamic5QIDescriptor-ExtIEs',
        'E-UTRA-CGI-ExtIEs',
        'E-UTRAPRACHConfiguration-ExtIEs',
        'EndpointIPAddressAndPort-ExtIEs',
        'EventTriggered-ExtIEs',
        'EventTypeTrigger-ExtIEs',
        'EventL1-ExtIEs',
        'ExpectedUEActivityBehaviour-ExtIEs',
        'ExpectedUEBehaviour-ExtIEs',
        'ExpectedUEMovingTrajectoryItem-ExtIEs',
        'ExtendedRATRestrictionInformation-ExtIEs',
        'ExtTLA-Item-ExtIEs',
        'GTPTLA-Item-ExtIEs',
        'GBRQoSFlowInfo-ExtIEs',
        'GlobalgNB-ID-ExtIEs',
        'GNB-ID-Choice-ExtIEs',
        'GNB-RadioResourceStatus-ExtIEs',
        'GlobalCell-ID-ExtIEs',
        'GlobaleNB-ID-ExtIEs',
        'ENB-ID-Choice-ExtIEs',
        'GlobalNG-RANCell-ID-ExtIEs',
        'GlobalNG-RANNode-ID-ExtIEs',
        'GTPtunnelTransportLayerInformation-ExtIEs',
        'GUAMI-ExtIEs',
        'ImmediateMDT-NR-ExtIEs',
        'InitiatingCondition-FailureIndication-ExtIEs',
        'IntendedTDD-DL-ULConfiguration-NR-ExtIEs',
        'I-RNTI-ExtIEs',
        'LastVisitedCell-Item-ExtIEs',
        'CellsinAoI-Item-ExtIEs',
        'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        'TAIsinAoI-Item-ExtIEs',
        'LocationReportingInformation-ExtIEs',
        'LoggedMDT-EUTRA-ExtIEs',
        'LoggedEventTriggeredConfig-ExtIEs',
        'LoggedMDT-NR-ExtIEs',
        'LTEV2XServicesAuthorized-ExtIEs',
        'LTEUESidelinkAggregateMaximumBitRate-ExtIEs',
        'M1Configuration-ExtIEs',
        'M1PeriodicReporting-ExtIEs',
        'M1ThresholdEventA2-ExtIEs',
        'M4Configuration-ExtIEs',
        'M5Configuration-ExtIEs',
        'M6Configuration-ExtIEs',
        'M7Configuration-ExtIEs',
        'MaximumIPdatarate-ExtIEs',
        'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        'MDT-Configuration-ExtIEs',
        'MDT-Configuration-NR-ExtIEs',
        'MDT-Configuration-EUTRA-ExtIEs',
        'MDTMode-NR-ExtensionIE',
        'MDTMode-EUTRA-ExtensionIE',
        'MeasurementThresholdA2-ExtIEs',
        'MobilityRestrictionList-ExtIEs',
        'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        'RAT-RestrictionsItem-ExtIEs',
        'ForbiddenAreaItem-ExtIEs',
        'ServiceAreaItem-ExtIEs',
        'MR-DC-ResourceCoordinationInfo-ExtIEs',
        'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        'NR-ResourceCoordinationInfo-ExtIEs',
        'MessageOversizeNotification-ExtIEs',
        'NE-DC-TDM-Pattern-ExtIEs',
        'NeighbourInformation-E-UTRA-Item-ExtIEs',
        'NeighbourInformation-NR-Item-ExtIEs',
        'NeighbourInformation-NR-ModeInfo-ExtIEs',
        'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        'NRCarrierItem-ExtIEs',
        'NG-RAN-Cell-Identity-ExtIEs',
        'NG-RAN-CellPCI-ExtIEs',
        'NonDynamic5QIDescriptor-ExtIEs',
        'NG-eNB-RadioResourceStatus-ExtIEs',
        'TNLCapacityIndicator-ExtIEs',
        'NPN-Broadcast-Information-ExtIEs',
        'NPN-Broadcast-Information-SNPN-ExtIEs',
        'NPN-Broadcast-Information-PNI-NPN-ExtIEs',
        'NPNMobilityInformation-ExtIEs',
        'NPNMobilityInformation-SNPN-ExtIEs',
        'NPNMobilityInformation-PNI-NPN-ExtIEs',
        'NPNPagingAssistanceInformation-ExtIEs',
        'NPNPagingAssistanceInformation-PNI-NPN-ExtIEs',
        'NPN-Support-ExtIEs',
        'NPN-Support-SNPN-ExtIEs',
        'NPRACHConfiguration-ExtIEs',
        'FDD-or-TDD-in-NPRACHConfiguration-Choice-ExtIEs',
        'NPRACHConfiguration-FDD-ExtIEs',
        'NPRACHConfiguration-TDD-ExtIEs',
        'Non-AnchorCarrierFrequencylist-ExtIEs',
        'NR-CGI-ExtIEs',
        'NRFrequencyBandItem-ExtIEs',
        'NRFrequencyInfo-ExtIEs',
        'NRModeInfo-ExtIEs',
        'NRModeInfoFDD-ExtIEs',
        'NRModeInfoTDD-ExtIEs',
        'NRTransmissionBandwidth-ExtIEs',
        'NRV2XServicesAuthorized-ExtIEs',
        'NRUESidelinkAggregateMaximumBitRate-ExtIEs',
        'PacketErrorRate-ExtIEs',
        'PagingeDRXInformation-ExtIEs',
        'PC5QoSParameters-ExtIEs',
        'PC5QoSFlowItem-ExtIEs',
        'PC5FlowBitRates-ExtIEs',
        'PDCPChangeIndication-ExtIEs',
        'PDCPSNLength-ExtIEs',
        'PDUSessionAggregateMaximumBitRate-ExtIEs',
        'PDUSession-List-withCause-Item-ExtIEs',
        'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        'PDUSessionResourcesAdmitted-Item-ExtIEs',
        'PDUSessionResourceAdmittedInfo-ExtIEs',
        'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        'PDUSessionUsageReport-ExtIEs',
        'Periodical-ExtIEs',
        'ProtectedE-UTRAResourceIndication-ExtIEs',
        'ProtectedE-UTRAResource-Item-ExtIEs',
        'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        'QoSCharacteristics-ExtIEs',
        'QoSFlowLevelQoSParameters-ExtIEs',
        'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        'QoSFlow-Item-ExtIEs',
        'QoSFlowwithCause-Item-ExtIEs',
        'QoS-Mapping-Information-ExtIEs',
        'QoSFlowsAdmitted-Item-ExtIEs',
        'QoSFlowsToBeSetup-Item-ExtIEs',
        'QoSFlowsUsageReport-Item-ExtIEs',
        'RACHReportList-Item-ExtIEs',
        'RadioResourceStatus-ExtIEs',
        'RANAreaID-ExtIEs',
        'RANPagingArea-ExtIEs',
        'RANPagingAreaChoice-ExtIEs',
        'RANPagingAttemptInfo-ExtIEs',
        'RedundantPDUSessionInformation-ExtIEs',
        'ReservedSubframePattern-ExtIEs',
        'ResetRequestTypeInfo-ExtIEs',
        'ResetRequestTypeInfo-Full-ExtIEs',
        'ResetRequestTypeInfo-Partial-ExtIEs',
        'ResetRequestPartialReleaseItem-ExtIEs',
        'ResetResponseTypeInfo-ExtIEs',
        'ResetResponseTypeInfo-Full-ExtIEs',
        'ResetResponseTypeInfo-Partial-ExtIEs',
        'ResetResponsePartialReleaseItem-ExtIEs',
        'RLC-Status-ExtIEs',
        'RLCDuplicationInformation-ItemExtIEs',
        'RLCDuplicationState-ItemExtIEs',
        'RRCConnections-ExtIEs',
        'RRCReestab-initiated-ExtIEs',
        'RRCReestab-Initiated-Reporting-ExtIEs',
        'RRCReestab-Initiated-Reporting-wo-UERLFReport-ExtIEs',
        'RRCReestab-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'RRCSetup-initiated-ExtIEs',
        'RRCSetup-Initiated-Reporting-ExtIEs',
        'RRCSetup-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        'SecondaryRATUsageInformation-ExtIEs',
        'SecurityIndication-ExtIEs',
        'SecurityResult-ExtIEs',
        'SensorMeasurementConfiguration-ExtIEs',
        'SensorNameConfig-ExtIEs',
        'ServedCellInformation-E-UTRA-ExtIEs',
        'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        'ServedCells-E-UTRA-Item-ExtIEs',
        'ServedCellsToUpdate-E-UTRA-ExtIEs',
        'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        'ServedCellInformation-NR-ExtIEs',
        'SFN-Offset-ExtIEs',
        'ServedCells-NR-Item-ExtIEs',
        'Served-cells-ToModify-NR-Item-ExtIEs',
        'ServedCellsToUpdate-NR-ExtIEs',
        'SharedResourceType-ExtIEs',
        'SharedResourceType-UL-OnlySharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        'SliceAvailableCapacity-Item-ExtIEs',
        'SNSSAIAvailableCapacity-Item-ExtIEs',
        'SliceToReport-List-Item-ExtIEs',
        'SNSSAI-Item-ExtIEs',
        'SlotConfiguration-List-Item-ExtIEs',
        'S-NSSAI-ExtIEs',
        'SpecialSubframeInfo-E-UTRA-ExtIEs',
        'SSBAreaCapacityValue-List-Item-ExtIEs',
        'SSBAreaRadioResourceStatus-List-Item-ExtIEs',
        'SSB-PositionsInBurst-ExtIEs',
        'SSBToReport-List-Item-ExtIEs',
        'SUL-Information-ExtIEs',
        'SupportedSULBandItem-ExtIEs',
        'SymbolAllocation-in-Slot-ExtIEs',
        'SymbolAllocation-in-Slot-AllDL-ExtIEs',
        'SymbolAllocation-in-Slot-AllUL-ExtIEs',
        'SymbolAllocation-in-Slot-BothDLandUL-ExtIEs',
        'TABasedMDT-ExtIEs',
        'TAIBasedMDT-ExtIEs',
        'TAIforMDT-Item-ExtIEs',
        'TAISupport-Item-ExtIEs',
        'TargetCGI-ExtIEs',
        'TargetCellList-Item-ExtIEs',
        'TNLConfigurationInfo-ExtIEs',
        'TNLA-To-Add-Item-ExtIEs',
        'TNLA-To-Update-Item-ExtIEs',
        'TNLA-To-Remove-Item-ExtIEs',
        'TNLA-Setup-Item-ExtIEs',
        'TNLA-Failed-To-Setup-Item-ExtIEs',
        'TraceActivation-ExtIEs',
        'TSCTrafficCharacteristics-ExtIEs',
        'TSCAssistanceInformation-ExtIEs',
        'UEAggregateMaximumBitRate-ExtIEs',
        'UEContextID-ExtIEs',
        'UEContextIDforRRCResume-ExtIEs',
        'UEContextIDforRRCReestablishment-ExtIEs',
        'UEContextInfoRetrUECtxtResp-ExtIEs',
        'UEHistoryInformationFromTheUE-ExtIEs',
        'UEIdentityIndexValue-ExtIEs',
        'UERadioCapabilityForPaging-ExtIEs',
        'UERANPagingIdentity-ExtIEs',
        'UERLFReportContainer-ExtIEs',
        'UESecurityCapabilities-ExtIEs',
        'ULConfiguration-ExtIEs',
        'UPTransportLayerInformation-ExtIEs',
        'UPTransportParametersItem-ExtIEs',
        'VolumeTimedReport-Item-ExtIEs',
        'WLANMeasurementConfiguration-ExtIEs',
        ]
    _val_ = [
        ]
    _class_ = [
        'Additional-PDCP-Duplication-TNL-ExtIEs',
        'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        'AllocationandRetentionPriority-ExtIEs',
        'AllowedPNI-NPN-ID-Item-ExtIEs',
        'AlternativeQoSParaSetItem-ExtIEs',
        'GlobalAMF-Region-Information-ExtIEs',
        'AreaOfInterest-Item-ExtIEs',
        'AreaScopeOfNeighCellsItem-ExtIEs',
        'AS-SecurityInformation-ExtIEs',
        'AssistanceDataForRANPaging-ExtIEs',
        'BluetoothMeasurementConfiguration-ExtIEs',
        'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        'BPLMN-ID-Info-NR-Item-ExtIEs',
        'BroadcastCAG-Identifier-Item-ExtIEs',
        'BroadcastNID-Item-ExtIEs',
        'BroadcastPLMNinTAISupport-Item-ExtIEs',
        'BroadcastPNI-NPN-ID-Information-Item-ExtIEs',
        'BroadcastSNPNID-ExtIEs',
        'CapacityValueInfo-ExtIEs',
        'Cause-ExtIEs',
        'CellAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-NR-ExtIEs',
        'CellAndCapacityAssistanceInfo-EUTRA-ExtIEs',
        'CellAssistanceInfo-EUTRA-ExtIEs',
        'CellBasedMDT-NR-ExtIEs',
        'CellBasedMDT-EUTRA-ExtIEs',
        'CellMeasurementResult-Item-ExtIEs',
        'CellToReport-Item-ExtIEs',
        'Cell-Type-Choice-ExtIEs',
        'CompositeAvailableCapacityGroup-ExtIEs',
        'CompositeAvailableCapacity-ExtIEs',
        'CHOinformation-Req-ExtIEs',
        'CHOinformation-Ack-ExtIEs',
        'Connectivity-Support-ExtIEs',
        'COUNT-PDCP-SN12-ExtIEs',
        'COUNT-PDCP-SN18-ExtIEs',
        'CPTransportLayerInformation-ExtIEs',
        'CriticalityDiagnostics-ExtIEs',
        'CriticalityDiagnostics-IE-List-ExtIEs',
        'XnUAddressInfoperPDUSession-Item-ExtIEs',
        'DataForwardingInfoFromTargetE-UTRANnode-ExtIEs',
        'DataForwardingInfoFromTargetE-UTRANnode-Item-ExtIEs',
        'QoSFlowsToBeForwarded-Item-ExtIEs',
        'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        'DataforwardingandOffloadingInfofromSource-ExtIEs',
        'QoSFLowsToBeForwarded-Item-ExtIEs',
        'DataForwardingResponseDRBItem-ExtIEs',
        'DataTrafficResourceIndication-ExtIEs',
        'DAPSRequestInfo-ExtIEs',
        'DAPSResponseInfo-Item-ExtIEs',
        'DLCountChoice-ExtIEs',
        'DRB-List-withCause-Item-ExtIEs',
        'DRBsSubjectToDLDiscarding-Item-ExtIEs',
        'DRBsSubjectToEarlyStatusTransfer-Item-ExtIEs',
        'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        'DRBBStatusTransferChoice-ExtIEs',
        'DRBBStatusTransfer12bitsSN-ExtIEs',
        'DRBBStatusTransfer18bitsSN-ExtIEs',
        'DRBToQoSFlowMapping-Item-ExtIEs',
        'Dynamic5QIDescriptor-ExtIEs',
        'E-UTRA-CGI-ExtIEs',
        'E-UTRAPRACHConfiguration-ExtIEs',
        'EndpointIPAddressAndPort-ExtIEs',
        'EventTriggered-ExtIEs',
        'EventTypeTrigger-ExtIEs',
        'EventL1-ExtIEs',
        'ExpectedUEActivityBehaviour-ExtIEs',
        'ExpectedUEBehaviour-ExtIEs',
        'ExpectedUEMovingTrajectoryItem-ExtIEs',
        'ExtendedRATRestrictionInformation-ExtIEs',
        'ExtTLA-Item-ExtIEs',
        'GTPTLA-Item-ExtIEs',
        'GBRQoSFlowInfo-ExtIEs',
        'GlobalgNB-ID-ExtIEs',
        'GNB-ID-Choice-ExtIEs',
        'GNB-RadioResourceStatus-ExtIEs',
        'GlobalCell-ID-ExtIEs',
        'GlobaleNB-ID-ExtIEs',
        'ENB-ID-Choice-ExtIEs',
        'GlobalNG-RANCell-ID-ExtIEs',
        'GlobalNG-RANNode-ID-ExtIEs',
        'GTPtunnelTransportLayerInformation-ExtIEs',
        'GUAMI-ExtIEs',
        'ImmediateMDT-NR-ExtIEs',
        'InitiatingCondition-FailureIndication-ExtIEs',
        'IntendedTDD-DL-ULConfiguration-NR-ExtIEs',
        'I-RNTI-ExtIEs',
        'LastVisitedCell-Item-ExtIEs',
        'CellsinAoI-Item-ExtIEs',
        'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        'TAIsinAoI-Item-ExtIEs',
        'LocationReportingInformation-ExtIEs',
        'LoggedMDT-EUTRA-ExtIEs',
        'LoggedEventTriggeredConfig-ExtIEs',
        'LoggedMDT-NR-ExtIEs',
        'LTEV2XServicesAuthorized-ExtIEs',
        'LTEUESidelinkAggregateMaximumBitRate-ExtIEs',
        'M1Configuration-ExtIEs',
        'M1PeriodicReporting-ExtIEs',
        'M1ThresholdEventA2-ExtIEs',
        'M4Configuration-ExtIEs',
        'M5Configuration-ExtIEs',
        'M6Configuration-ExtIEs',
        'M7Configuration-ExtIEs',
        'MaximumIPdatarate-ExtIEs',
        'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        'MDT-Configuration-ExtIEs',
        'MDT-Configuration-NR-ExtIEs',
        'MDT-Configuration-EUTRA-ExtIEs',
        'MDTMode-NR-ExtensionIE',
        'MDTMode-EUTRA-ExtensionIE',
        'MeasurementThresholdA2-ExtIEs',
        'MobilityRestrictionList-ExtIEs',
        'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        'RAT-RestrictionsItem-ExtIEs',
        'ForbiddenAreaItem-ExtIEs',
        'ServiceAreaItem-ExtIEs',
        'MR-DC-ResourceCoordinationInfo-ExtIEs',
        'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        'NR-ResourceCoordinationInfo-ExtIEs',
        'MessageOversizeNotification-ExtIEs',
        'NE-DC-TDM-Pattern-ExtIEs',
        'NeighbourInformation-E-UTRA-Item-ExtIEs',
        'NeighbourInformation-NR-Item-ExtIEs',
        'NeighbourInformation-NR-ModeInfo-ExtIEs',
        'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        'NRCarrierItem-ExtIEs',
        'NG-RAN-Cell-Identity-ExtIEs',
        'NG-RAN-CellPCI-ExtIEs',
        'NonDynamic5QIDescriptor-ExtIEs',
        'NG-eNB-RadioResourceStatus-ExtIEs',
        'TNLCapacityIndicator-ExtIEs',
        'NPN-Broadcast-Information-ExtIEs',
        'NPN-Broadcast-Information-SNPN-ExtIEs',
        'NPN-Broadcast-Information-PNI-NPN-ExtIEs',
        'NPNMobilityInformation-ExtIEs',
        'NPNMobilityInformation-SNPN-ExtIEs',
        'NPNMobilityInformation-PNI-NPN-ExtIEs',
        'NPNPagingAssistanceInformation-ExtIEs',
        'NPNPagingAssistanceInformation-PNI-NPN-ExtIEs',
        'NPN-Support-ExtIEs',
        'NPN-Support-SNPN-ExtIEs',
        'NPRACHConfiguration-ExtIEs',
        'FDD-or-TDD-in-NPRACHConfiguration-Choice-ExtIEs',
        'NPRACHConfiguration-FDD-ExtIEs',
        'NPRACHConfiguration-TDD-ExtIEs',
        'Non-AnchorCarrierFrequencylist-ExtIEs',
        'NR-CGI-ExtIEs',
        'NRFrequencyBandItem-ExtIEs',
        'NRFrequencyInfo-ExtIEs',
        'NRModeInfo-ExtIEs',
        'NRModeInfoFDD-ExtIEs',
        'NRModeInfoTDD-ExtIEs',
        'NRTransmissionBandwidth-ExtIEs',
        'NRV2XServicesAuthorized-ExtIEs',
        'NRUESidelinkAggregateMaximumBitRate-ExtIEs',
        'PacketErrorRate-ExtIEs',
        'PagingeDRXInformation-ExtIEs',
        'PC5QoSParameters-ExtIEs',
        'PC5QoSFlowItem-ExtIEs',
        'PC5FlowBitRates-ExtIEs',
        'PDCPChangeIndication-ExtIEs',
        'PDCPSNLength-ExtIEs',
        'PDUSessionAggregateMaximumBitRate-ExtIEs',
        'PDUSession-List-withCause-Item-ExtIEs',
        'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        'PDUSessionResourcesAdmitted-Item-ExtIEs',
        'PDUSessionResourceAdmittedInfo-ExtIEs',
        'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        'PDUSessionUsageReport-ExtIEs',
        'Periodical-ExtIEs',
        'ProtectedE-UTRAResourceIndication-ExtIEs',
        'ProtectedE-UTRAResource-Item-ExtIEs',
        'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        'QoSCharacteristics-ExtIEs',
        'QoSFlowLevelQoSParameters-ExtIEs',
        'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        'QoSFlow-Item-ExtIEs',
        'QoSFlowwithCause-Item-ExtIEs',
        'QoS-Mapping-Information-ExtIEs',
        'QoSFlowsAdmitted-Item-ExtIEs',
        'QoSFlowsToBeSetup-Item-ExtIEs',
        'QoSFlowsUsageReport-Item-ExtIEs',
        'RACHReportList-Item-ExtIEs',
        'RadioResourceStatus-ExtIEs',
        'RANAreaID-ExtIEs',
        'RANPagingArea-ExtIEs',
        'RANPagingAreaChoice-ExtIEs',
        'RANPagingAttemptInfo-ExtIEs',
        'RedundantPDUSessionInformation-ExtIEs',
        'ReservedSubframePattern-ExtIEs',
        'ResetRequestTypeInfo-ExtIEs',
        'ResetRequestTypeInfo-Full-ExtIEs',
        'ResetRequestTypeInfo-Partial-ExtIEs',
        'ResetRequestPartialReleaseItem-ExtIEs',
        'ResetResponseTypeInfo-ExtIEs',
        'ResetResponseTypeInfo-Full-ExtIEs',
        'ResetResponseTypeInfo-Partial-ExtIEs',
        'ResetResponsePartialReleaseItem-ExtIEs',
        'RLC-Status-ExtIEs',
        'RLCDuplicationInformation-ItemExtIEs',
        'RLCDuplicationState-ItemExtIEs',
        'RRCConnections-ExtIEs',
        'RRCReestab-initiated-ExtIEs',
        'RRCReestab-Initiated-Reporting-ExtIEs',
        'RRCReestab-Initiated-Reporting-wo-UERLFReport-ExtIEs',
        'RRCReestab-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'RRCSetup-initiated-ExtIEs',
        'RRCSetup-Initiated-Reporting-ExtIEs',
        'RRCSetup-Initiated-Reporting-with-UERLFReport-ExtIEs',
        'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        'SecondaryRATUsageInformation-ExtIEs',
        'SecurityIndication-ExtIEs',
        'SecurityResult-ExtIEs',
        'SensorMeasurementConfiguration-ExtIEs',
        'SensorNameConfig-ExtIEs',
        'ServedCellInformation-E-UTRA-ExtIEs',
        'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        'ServedCells-E-UTRA-Item-ExtIEs',
        'ServedCellsToUpdate-E-UTRA-ExtIEs',
        'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        'ServedCellInformation-NR-ExtIEs',
        'SFN-Offset-ExtIEs',
        'ServedCells-NR-Item-ExtIEs',
        'Served-cells-ToModify-NR-Item-ExtIEs',
        'ServedCellsToUpdate-NR-ExtIEs',
        'SharedResourceType-ExtIEs',
        'SharedResourceType-UL-OnlySharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        'SliceAvailableCapacity-Item-ExtIEs',
        'SNSSAIAvailableCapacity-Item-ExtIEs',
        'SliceToReport-List-Item-ExtIEs',
        'SNSSAI-Item-ExtIEs',
        'SlotConfiguration-List-Item-ExtIEs',
        'S-NSSAI-ExtIEs',
        'SpecialSubframeInfo-E-UTRA-ExtIEs',
        'SSBAreaCapacityValue-List-Item-ExtIEs',
        'SSBAreaRadioResourceStatus-List-Item-ExtIEs',
        'SSB-PositionsInBurst-ExtIEs',
        'SSBToReport-List-Item-ExtIEs',
        'SUL-Information-ExtIEs',
        'SupportedSULBandItem-ExtIEs',
        'SymbolAllocation-in-Slot-ExtIEs',
        'SymbolAllocation-in-Slot-AllDL-ExtIEs',
        'SymbolAllocation-in-Slot-AllUL-ExtIEs',
        'SymbolAllocation-in-Slot-BothDLandUL-ExtIEs',
        'TABasedMDT-ExtIEs',
        'TAIBasedMDT-ExtIEs',
        'TAIforMDT-Item-ExtIEs',
        'TAISupport-Item-ExtIEs',
        'TargetCGI-ExtIEs',
        'TargetCellList-Item-ExtIEs',
        'TNLConfigurationInfo-ExtIEs',
        'TNLA-To-Add-Item-ExtIEs',
        'TNLA-To-Update-Item-ExtIEs',
        'TNLA-To-Remove-Item-ExtIEs',
        'TNLA-Setup-Item-ExtIEs',
        'TNLA-Failed-To-Setup-Item-ExtIEs',
        'TraceActivation-ExtIEs',
        'TSCTrafficCharacteristics-ExtIEs',
        'TSCAssistanceInformation-ExtIEs',
        'UEAggregateMaximumBitRate-ExtIEs',
        'UEContextID-ExtIEs',
        'UEContextIDforRRCResume-ExtIEs',
        'UEContextIDforRRCReestablishment-ExtIEs',
        'UEContextInfoRetrUECtxtResp-ExtIEs',
        'UEHistoryInformationFromTheUE-ExtIEs',
        'UEIdentityIndexValue-ExtIEs',
        'UERadioCapabilityForPaging-ExtIEs',
        'UERANPagingIdentity-ExtIEs',
        'UERLFReportContainer-ExtIEs',
        'UESecurityCapabilities-ExtIEs',
        'ULConfiguration-ExtIEs',
        'UPTransportLayerInformation-ExtIEs',
        'UPTransportParametersItem-ExtIEs',
        'VolumeTimedReport-Item-ExtIEs',
        'WLANMeasurementConfiguration-ExtIEs',
        ]
    _param_ = [
        ]
    
    #-----< AdditionLocationInformation >-----#
    AdditionLocationInformation = ENUM(name='AdditionLocationInformation', mode=MODE_TYPE)
    AdditionLocationInformation._cont = ASN1Dict([('includePSCell', 0)])
    AdditionLocationInformation._ext = []
    
    #-----< Additional-PDCP-Duplication-TNL-List >-----#
    Additional_PDCP_Duplication_TNL_List = SEQ_OF(name='Additional-PDCP-Duplication-TNL-List', mode=MODE_TYPE)
    _Additional_PDCP_Duplication_TNL_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-Item')))
    Additional_PDCP_Duplication_TNL_List._cont = _Additional_PDCP_Duplication_TNL_List__item_
    Additional_PDCP_Duplication_TNL_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    
    #-----< Additional-PDCP-Duplication-TNL-Item >-----#
    Additional_PDCP_Duplication_TNL_Item = SEQ(name='Additional-PDCP-Duplication-TNL-Item', mode=MODE_TYPE)
    _Additional_PDCP_Duplication_TNL_Item_additional_PDCP_Duplication_UP_TNL_Information = CHOICE(name='additional-PDCP-Duplication-UP-TNL-Information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _Additional_PDCP_Duplication_TNL_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id._const_tab = ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id_tab
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id._const_tab_at = None
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality._const_tab = ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality_tab
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue._const_tab = ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue_tab
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id),
        ('criticality', ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue),
        ])
    __Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item_._ext = None
    _Additional_PDCP_Duplication_TNL_Item_iE_Extensions._cont = __Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item_
    _Additional_PDCP_Duplication_TNL_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Additional_PDCP_Duplication_TNL_Item._cont = ASN1Dict([
        ('additional-PDCP-Duplication-UP-TNL-Information', _Additional_PDCP_Duplication_TNL_Item_additional_PDCP_Duplication_UP_TNL_Information),
        ('iE-Extensions', _Additional_PDCP_Duplication_TNL_Item_iE_Extensions),
        ])
    Additional_PDCP_Duplication_TNL_Item._ext = []
    
    #-----< Additional-PDCP-Duplication-TNL-ExtIEs >-----#
    Additional_PDCP_Duplication_TNL_ExtIEs = CLASS(name='Additional-PDCP-Duplication-TNL-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Additional_PDCP_Duplication_TNL_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Additional-UL-NG-U-TNLatUPF-Item >-----#
    Additional_UL_NG_U_TNLatUPF_Item = SEQ(name='Additional-UL-NG-U-TNLatUPF-Item', mode=MODE_TYPE)
    _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF = CHOICE(name='additional-UL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 127), ('criticality', 'ignore'), ('Extension', _____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab_at = None
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id),
        ('criticality', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue),
        ])
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_._ext = None
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions._cont = __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Additional_UL_NG_U_TNLatUPF_Item._cont = ASN1Dict([
        ('additional-UL-NG-U-TNLatUPF', _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF),
        ('iE-Extensions', _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions),
        ])
    Additional_UL_NG_U_TNLatUPF_Item._ext = []
    
    #-----< Additional-UL-NG-U-TNLatUPF-Item-ExtIEs >-----#
    Additional_UL_NG_U_TNLatUPF_Item_ExtIEs = CLASS(name='Additional-UL-NG-U-TNLatUPF-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _Additional_UL_NG_U_TNLatUPF_Item_ExtIEs_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    Additional_UL_NG_U_TNLatUPF_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 127), ('criticality', 'ignore'), ('Extension', _Additional_UL_NG_U_TNLatUPF_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< Additional-UL-NG-U-TNLatUPF-List >-----#
    Additional_UL_NG_U_TNLatUPF_List = SEQ_OF(name='Additional-UL-NG-U-TNLatUPF-List', mode=MODE_TYPE)
    _Additional_UL_NG_U_TNLatUPF_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-Item')))
    Additional_UL_NG_U_TNLatUPF_List._cont = _Additional_UL_NG_U_TNLatUPF_List__item_
    Additional_UL_NG_U_TNLatUPF_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< ActivationIDforCellActivation >-----#
    ActivationIDforCellActivation = INT(name='ActivationIDforCellActivation', mode=MODE_TYPE)
    ActivationIDforCellActivation._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< AllocationandRetentionPriority >-----#
    AllocationandRetentionPriority = SEQ(name='AllocationandRetentionPriority', mode=MODE_TYPE)
    _AllocationandRetentionPriority_priorityLevel = INT(name='priorityLevel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_priorityLevel._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=[], er=[])
    _AllocationandRetentionPriority_pre_emption_capability = ENUM(name='pre-emption-capability', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_pre_emption_capability._cont = ASN1Dict([('shall-not-trigger-preemptdatDion', 0), ('may-trigger-preemption', 1)])
    _AllocationandRetentionPriority_pre_emption_capability._ext = []
    _AllocationandRetentionPriority_pre_emption_vulnerability = ENUM(name='pre-emption-vulnerability', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_pre_emption_vulnerability._cont = ASN1Dict([('not-preemptable', 0), ('preemptable', 1)])
    _AllocationandRetentionPriority_pre_emption_vulnerability._ext = []
    _AllocationandRetentionPriority_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AllocationandRetentionPriority_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AllocationandRetentionPriority_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AllocationandRetentionPriority_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__id_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab_at = None
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab_id = 'id'
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AllocationandRetentionPriority_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AllocationandRetentionPriority_iE_Extensions__item__id),
        ('criticality', ___AllocationandRetentionPriority_iE_Extensions__item__criticality),
        ('extensionValue', ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue),
        ])
    __AllocationandRetentionPriority_iE_Extensions__item_._ext = None
    _AllocationandRetentionPriority_iE_Extensions._cont = __AllocationandRetentionPriority_iE_Extensions__item_
    _AllocationandRetentionPriority_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AllocationandRetentionPriority._cont = ASN1Dict([
        ('priorityLevel', _AllocationandRetentionPriority_priorityLevel),
        ('pre-emption-capability', _AllocationandRetentionPriority_pre_emption_capability),
        ('pre-emption-vulnerability', _AllocationandRetentionPriority_pre_emption_vulnerability),
        ('iE-Extensions', _AllocationandRetentionPriority_iE_Extensions),
        ])
    AllocationandRetentionPriority._ext = []
    
    #-----< AllocationandRetentionPriority-ExtIEs >-----#
    AllocationandRetentionPriority_ExtIEs = CLASS(name='AllocationandRetentionPriority-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AllocationandRetentionPriority_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ActivationSFN >-----#
    ActivationSFN = INT(name='ActivationSFN', mode=MODE_TYPE)
    ActivationSFN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=None, er=[])
    
    #-----< AllowedCAG-ID-List-perPLMN >-----#
    AllowedCAG_ID_List_perPLMN = SEQ_OF(name='AllowedCAG-ID-List-perPLMN', mode=MODE_TYPE)
    _AllowedCAG_ID_List_perPLMN__item_ = BIT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CAG-Identifier')))
    AllowedCAG_ID_List_perPLMN._cont = _AllowedCAG_ID_List_perPLMN__item_
    AllowedCAG_ID_List_perPLMN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< AllowedPNI-NPN-ID-List >-----#
    AllowedPNI_NPN_ID_List = SEQ_OF(name='AllowedPNI-NPN-ID-List', mode=MODE_TYPE)
    _AllowedPNI_NPN_ID_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AllowedPNI-NPN-ID-Item')))
    AllowedPNI_NPN_ID_List._cont = _AllowedPNI_NPN_ID_List__item_
    AllowedPNI_NPN_ID_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< AllowedPNI-NPN-ID-Item >-----#
    AllowedPNI_NPN_ID_Item = SEQ(name='AllowedPNI-NPN-ID-Item', mode=MODE_TYPE)
    _AllowedPNI_NPN_ID_Item_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _AllowedPNI_NPN_ID_Item_pni_npn_restricted_information = ENUM(name='pni-npn-restricted-information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PNI-NPN-Restricted-Information')))
    _AllowedPNI_NPN_ID_Item_allowed_CAG_id_list_per_plmn = SEQ_OF(name='allowed-CAG-id-list-per-plmn', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AllowedCAG-ID-List-perPLMN')))
    _AllowedPNI_NPN_ID_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AllowedPNI_NPN_ID_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id._const_tab = ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__id_tab
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id._const_tab_at = None
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality._const_tab = ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality_tab
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue._const_tab = ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue_tab
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AllowedPNI_NPN_ID_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id),
        ('criticality', ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue),
        ])
    __AllowedPNI_NPN_ID_Item_iE_Extensions__item_._ext = None
    _AllowedPNI_NPN_ID_Item_iE_Extensions._cont = __AllowedPNI_NPN_ID_Item_iE_Extensions__item_
    _AllowedPNI_NPN_ID_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AllowedPNI_NPN_ID_Item._cont = ASN1Dict([
        ('plmn-id', _AllowedPNI_NPN_ID_Item_plmn_id),
        ('pni-npn-restricted-information', _AllowedPNI_NPN_ID_Item_pni_npn_restricted_information),
        ('allowed-CAG-id-list-per-plmn', _AllowedPNI_NPN_ID_Item_allowed_CAG_id_list_per_plmn),
        ('iE-Extensions', _AllowedPNI_NPN_ID_Item_iE_Extensions),
        ])
    AllowedPNI_NPN_ID_Item._ext = []
    
    #-----< AllowedPNI-NPN-ID-Item-ExtIEs >-----#
    AllowedPNI_NPN_ID_Item_ExtIEs = CLASS(name='AllowedPNI-NPN-ID-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AllowedPNI_NPN_ID_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AlternativeQoSParaSetList >-----#
    AlternativeQoSParaSetList = SEQ_OF(name='AlternativeQoSParaSetList', mode=MODE_TYPE)
    _AlternativeQoSParaSetList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AlternativeQoSParaSetItem')))
    AlternativeQoSParaSetList._cont = _AlternativeQoSParaSetList__item_
    AlternativeQoSParaSetList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< AlternativeQoSParaSetItem >-----#
    AlternativeQoSParaSetItem = SEQ(name='AlternativeQoSParaSetItem', mode=MODE_TYPE)
    _AlternativeQoSParaSetItem_alternativeQoSParaSetIndex = INT(name='alternativeQoSParaSetIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    _AlternativeQoSParaSetItem_guaranteedFlowBitRateDL = INT(name='guaranteedFlowBitRateDL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')), opt=True)
    _AlternativeQoSParaSetItem_guaranteedFlowBitRateUL = INT(name='guaranteedFlowBitRateUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')), opt=True)
    _AlternativeQoSParaSetItem_packetDelayBudget = INT(name='packetDelayBudget', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketDelayBudget')), opt=True)
    _AlternativeQoSParaSetItem_packetErrorRate = SEQ(name='packetErrorRate', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketErrorRate')), opt=True)
    _AlternativeQoSParaSetItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AlternativeQoSParaSetItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AlternativeQoSParaSetItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AlternativeQoSParaSetItem_iE_Extensions__item__id._const_tab = ____AlternativeQoSParaSetItem_iE_Extensions__item__id_tab
    ___AlternativeQoSParaSetItem_iE_Extensions__item__id._const_tab_at = None
    ___AlternativeQoSParaSetItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality._const_tab = ____AlternativeQoSParaSetItem_iE_Extensions__item__criticality_tab
    ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue._const_tab = ____AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue_tab
    ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AlternativeQoSParaSetItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AlternativeQoSParaSetItem_iE_Extensions__item__id),
        ('criticality', ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality),
        ('extensionValue', ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue),
        ])
    __AlternativeQoSParaSetItem_iE_Extensions__item_._ext = None
    _AlternativeQoSParaSetItem_iE_Extensions._cont = __AlternativeQoSParaSetItem_iE_Extensions__item_
    _AlternativeQoSParaSetItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AlternativeQoSParaSetItem._cont = ASN1Dict([
        ('alternativeQoSParaSetIndex', _AlternativeQoSParaSetItem_alternativeQoSParaSetIndex),
        ('guaranteedFlowBitRateDL', _AlternativeQoSParaSetItem_guaranteedFlowBitRateDL),
        ('guaranteedFlowBitRateUL', _AlternativeQoSParaSetItem_guaranteedFlowBitRateUL),
        ('packetDelayBudget', _AlternativeQoSParaSetItem_packetDelayBudget),
        ('packetErrorRate', _AlternativeQoSParaSetItem_packetErrorRate),
        ('iE-Extensions', _AlternativeQoSParaSetItem_iE_Extensions),
        ])
    AlternativeQoSParaSetItem._ext = []
    
    #-----< AlternativeQoSParaSetItem-ExtIEs >-----#
    AlternativeQoSParaSetItem_ExtIEs = CLASS(name='AlternativeQoSParaSetItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AlternativeQoSParaSetItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AMF-Region-Information >-----#
    AMF_Region_Information = SEQ_OF(name='AMF-Region-Information', mode=MODE_TYPE)
    _AMF_Region_Information__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalAMF-Region-Information')))
    AMF_Region_Information._cont = _AMF_Region_Information__item_
    AMF_Region_Information._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< GlobalAMF-Region-Information >-----#
    GlobalAMF_Region_Information = SEQ(name='GlobalAMF-Region-Information', mode=MODE_TYPE)
    _GlobalAMF_Region_Information_plmn_ID = OCT_STR(name='plmn-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalAMF_Region_Information_amf_region_id = BIT_STR(name='amf-region-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GlobalAMF_Region_Information_amf_region_id._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _GlobalAMF_Region_Information_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalAMF_Region_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalAMF_Region_Information_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab_at = None
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalAMF_Region_Information_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalAMF_Region_Information_iE_Extensions__item__id),
        ('criticality', ___GlobalAMF_Region_Information_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue),
        ])
    __GlobalAMF_Region_Information_iE_Extensions__item_._ext = None
    _GlobalAMF_Region_Information_iE_Extensions._cont = __GlobalAMF_Region_Information_iE_Extensions__item_
    _GlobalAMF_Region_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalAMF_Region_Information._cont = ASN1Dict([
        ('plmn-ID', _GlobalAMF_Region_Information_plmn_ID),
        ('amf-region-id', _GlobalAMF_Region_Information_amf_region_id),
        ('iE-Extensions', _GlobalAMF_Region_Information_iE_Extensions),
        ])
    GlobalAMF_Region_Information._ext = []
    
    #-----< GlobalAMF-Region-Information-ExtIEs >-----#
    GlobalAMF_Region_Information_ExtIEs = CLASS(name='GlobalAMF-Region-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalAMF_Region_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AMF-UE-NGAP-ID >-----#
    AMF_UE_NGAP_ID = INT(name='AMF-UE-NGAP-ID', mode=MODE_TYPE)
    AMF_UE_NGAP_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1099511627775)], ev=None, er=[])
    
    #-----< AreaOfInterestInformation >-----#
    AreaOfInterestInformation = SEQ_OF(name='AreaOfInterestInformation', mode=MODE_TYPE)
    _AreaOfInterestInformation__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AreaOfInterest-Item')))
    AreaOfInterestInformation._cont = _AreaOfInterestInformation__item_
    AreaOfInterestInformation._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< AreaOfInterest-Item >-----#
    AreaOfInterest_Item = SEQ(name='AreaOfInterest-Item', mode=MODE_TYPE)
    _AreaOfInterest_Item_listOfTAIsinAoI = SEQ_OF(name='listOfTAIsinAoI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfTAIsinAoI')), opt=True)
    _AreaOfInterest_Item_listOfCellsinAoI = SEQ_OF(name='listOfCellsinAoI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfCells')), opt=True)
    _AreaOfInterest_Item_listOfRANNodesinAoI = SEQ_OF(name='listOfRANNodesinAoI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfRANNodesinAoI')), opt=True)
    _AreaOfInterest_Item_requestReferenceID = INT(name='requestReferenceID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RequestReferenceID')))
    _AreaOfInterest_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AreaOfInterest_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AreaOfInterest_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AreaOfInterest_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__id_tab
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab_at = None
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___AreaOfInterest_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AreaOfInterest_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AreaOfInterest_Item_iE_Extensions__item__id),
        ('criticality', ___AreaOfInterest_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___AreaOfInterest_Item_iE_Extensions__item__extensionValue),
        ])
    __AreaOfInterest_Item_iE_Extensions__item_._ext = None
    _AreaOfInterest_Item_iE_Extensions._cont = __AreaOfInterest_Item_iE_Extensions__item_
    _AreaOfInterest_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AreaOfInterest_Item._cont = ASN1Dict([
        ('listOfTAIsinAoI', _AreaOfInterest_Item_listOfTAIsinAoI),
        ('listOfCellsinAoI', _AreaOfInterest_Item_listOfCellsinAoI),
        ('listOfRANNodesinAoI', _AreaOfInterest_Item_listOfRANNodesinAoI),
        ('requestReferenceID', _AreaOfInterest_Item_requestReferenceID),
        ('iE-Extensions', _AreaOfInterest_Item_iE_Extensions),
        ])
    AreaOfInterest_Item._ext = []
    
    #-----< AreaOfInterest-Item-ExtIEs >-----#
    AreaOfInterest_Item_ExtIEs = CLASS(name='AreaOfInterest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AreaOfInterest_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AreaScopeOfMDT-NR >-----#
    AreaScopeOfMDT_NR = CHOICE(name='AreaScopeOfMDT-NR', mode=MODE_TYPE)
    _AreaScopeOfMDT_NR_cellBased = SEQ(name='cellBased', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellBasedMDT-NR')))
    _AreaScopeOfMDT_NR_tABased = SEQ(name='tABased', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TABasedMDT')))
    _AreaScopeOfMDT_NR_tAIBased = SEQ(name='tAIBased', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAIBasedMDT')))
    AreaScopeOfMDT_NR._cont = ASN1Dict([
        ('cellBased', _AreaScopeOfMDT_NR_cellBased),
        ('tABased', _AreaScopeOfMDT_NR_tABased),
        ('tAIBased', _AreaScopeOfMDT_NR_tAIBased),
        ])
    AreaScopeOfMDT_NR._ext = []
    
    #-----< AreaScopeOfMDT-EUTRA >-----#
    AreaScopeOfMDT_EUTRA = CHOICE(name='AreaScopeOfMDT-EUTRA', mode=MODE_TYPE)
    _AreaScopeOfMDT_EUTRA_cellBased = SEQ(name='cellBased', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellBasedMDT-EUTRA')))
    _AreaScopeOfMDT_EUTRA_tABased = SEQ(name='tABased', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TABasedMDT')))
    _AreaScopeOfMDT_EUTRA_tAIBased = SEQ(name='tAIBased', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAIBasedMDT')))
    AreaScopeOfMDT_EUTRA._cont = ASN1Dict([
        ('cellBased', _AreaScopeOfMDT_EUTRA_cellBased),
        ('tABased', _AreaScopeOfMDT_EUTRA_tABased),
        ('tAIBased', _AreaScopeOfMDT_EUTRA_tAIBased),
        ])
    AreaScopeOfMDT_EUTRA._ext = []
    
    #-----< AreaScopeOfNeighCellsList >-----#
    AreaScopeOfNeighCellsList = SEQ_OF(name='AreaScopeOfNeighCellsList', mode=MODE_TYPE)
    _AreaScopeOfNeighCellsList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AreaScopeOfNeighCellsItem')))
    AreaScopeOfNeighCellsList._cont = _AreaScopeOfNeighCellsList__item_
    AreaScopeOfNeighCellsList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< AreaScopeOfNeighCellsItem >-----#
    AreaScopeOfNeighCellsItem = SEQ(name='AreaScopeOfNeighCellsItem', mode=MODE_TYPE)
    _AreaScopeOfNeighCellsItem_nrFrequencyInfo = SEQ(name='nrFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _AreaScopeOfNeighCellsItem_pciListForMDT = SEQ_OF(name='pciListForMDT', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PCIListForMDT')), opt=True)
    _AreaScopeOfNeighCellsItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AreaScopeOfNeighCellsItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id._const_tab = ____AreaScopeOfNeighCellsItem_iE_Extensions__item__id_tab
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id._const_tab_at = None
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality._const_tab = ____AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality_tab
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue._const_tab = ____AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue_tab
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AreaScopeOfNeighCellsItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id),
        ('criticality', ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality),
        ('extensionValue', ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue),
        ])
    __AreaScopeOfNeighCellsItem_iE_Extensions__item_._ext = None
    _AreaScopeOfNeighCellsItem_iE_Extensions._cont = __AreaScopeOfNeighCellsItem_iE_Extensions__item_
    _AreaScopeOfNeighCellsItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AreaScopeOfNeighCellsItem._cont = ASN1Dict([
        ('nrFrequencyInfo', _AreaScopeOfNeighCellsItem_nrFrequencyInfo),
        ('pciListForMDT', _AreaScopeOfNeighCellsItem_pciListForMDT),
        ('iE-Extensions', _AreaScopeOfNeighCellsItem_iE_Extensions),
        ])
    AreaScopeOfNeighCellsItem._ext = []
    
    #-----< AreaScopeOfNeighCellsItem-ExtIEs >-----#
    AreaScopeOfNeighCellsItem_ExtIEs = CLASS(name='AreaScopeOfNeighCellsItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AreaScopeOfNeighCellsItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AS-SecurityInformation >-----#
    AS_SecurityInformation = SEQ(name='AS-SecurityInformation', mode=MODE_TYPE)
    _AS_SecurityInformation_key_NG_RAN_Star = BIT_STR(name='key-NG-RAN-Star', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AS_SecurityInformation_key_NG_RAN_Star._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    _AS_SecurityInformation_ncc = INT(name='ncc', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AS_SecurityInformation_ncc._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7)], ev=None, er=[])
    _AS_SecurityInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AS_SecurityInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AS_SecurityInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AS_SecurityInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab = ____AS_SecurityInformation_iE_Extensions__item__id_tab
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab_at = None
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___AS_SecurityInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____AS_SecurityInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab = ____AS_SecurityInformation_iE_Extensions__item__criticality_tab
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab = ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AS_SecurityInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AS_SecurityInformation_iE_Extensions__item__id),
        ('criticality', ___AS_SecurityInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___AS_SecurityInformation_iE_Extensions__item__extensionValue),
        ])
    __AS_SecurityInformation_iE_Extensions__item_._ext = None
    _AS_SecurityInformation_iE_Extensions._cont = __AS_SecurityInformation_iE_Extensions__item_
    _AS_SecurityInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AS_SecurityInformation._cont = ASN1Dict([
        ('key-NG-RAN-Star', _AS_SecurityInformation_key_NG_RAN_Star),
        ('ncc', _AS_SecurityInformation_ncc),
        ('iE-Extensions', _AS_SecurityInformation_iE_Extensions),
        ])
    AS_SecurityInformation._ext = []
    
    #-----< AS-SecurityInformation-ExtIEs >-----#
    AS_SecurityInformation_ExtIEs = CLASS(name='AS-SecurityInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AS_SecurityInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AssistanceDataForRANPaging >-----#
    AssistanceDataForRANPaging = SEQ(name='AssistanceDataForRANPaging', mode=MODE_TYPE)
    _AssistanceDataForRANPaging_ran_paging_attempt_info = SEQ(name='ran-paging-attempt-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANPagingAttemptInfo')), opt=True)
    _AssistanceDataForRANPaging_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AssistanceDataForRANPaging_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AssistanceDataForRANPaging_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____AssistanceDataForRANPaging_iE_Extensions__item__id_tab_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPNPagingAssistanceInformation')))
    ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 221), ('criticality', 'ignore'), ('Extension', _____AssistanceDataForRANPaging_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab_at = None
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab_id = 'id'
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __AssistanceDataForRANPaging_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___AssistanceDataForRANPaging_iE_Extensions__item__id),
        ('criticality', ___AssistanceDataForRANPaging_iE_Extensions__item__criticality),
        ('extensionValue', ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue),
        ])
    __AssistanceDataForRANPaging_iE_Extensions__item_._ext = None
    _AssistanceDataForRANPaging_iE_Extensions._cont = __AssistanceDataForRANPaging_iE_Extensions__item_
    _AssistanceDataForRANPaging_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AssistanceDataForRANPaging._cont = ASN1Dict([
        ('ran-paging-attempt-info', _AssistanceDataForRANPaging_ran_paging_attempt_info),
        ('iE-Extensions', _AssistanceDataForRANPaging_iE_Extensions),
        ])
    AssistanceDataForRANPaging._ext = []
    
    #-----< AssistanceDataForRANPaging-ExtIEs >-----#
    AssistanceDataForRANPaging_ExtIEs = CLASS(name='AssistanceDataForRANPaging-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _AssistanceDataForRANPaging_ExtIEs_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPNPagingAssistanceInformation')))
    AssistanceDataForRANPaging_ExtIEs._val = ASN1Set(rv=[dict([('id', 221), ('criticality', 'ignore'), ('Extension', _AssistanceDataForRANPaging_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< AvailableCapacity >-----#
    AvailableCapacity = INT(name='AvailableCapacity', mode=MODE_TYPE)
    AvailableCapacity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=100)], ev=[], er=[])
    
    #-----< AvailableRRCConnectionCapacityValue >-----#
    AvailableRRCConnectionCapacityValue = INT(name='AvailableRRCConnectionCapacityValue', mode=MODE_TYPE)
    AvailableRRCConnectionCapacityValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< AveragingWindow >-----#
    AveragingWindow = INT(name='AveragingWindow', mode=MODE_TYPE)
    AveragingWindow._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< BluetoothMeasurementConfiguration >-----#
    BluetoothMeasurementConfiguration = SEQ(name='BluetoothMeasurementConfiguration', mode=MODE_TYPE)
    _BluetoothMeasurementConfiguration_bluetoothMeasConfig = ENUM(name='bluetoothMeasConfig', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BluetoothMeasConfig')))
    _BluetoothMeasurementConfiguration_bluetoothMeasConfigNameList = SEQ_OF(name='bluetoothMeasConfigNameList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BluetoothMeasConfigNameList')), opt=True)
    _BluetoothMeasurementConfiguration_bt_rssi = ENUM(name='bt-rssi', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _BluetoothMeasurementConfiguration_bt_rssi._cont = ASN1Dict([('true', 0)])
    _BluetoothMeasurementConfiguration_bt_rssi._ext = []
    _BluetoothMeasurementConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BluetoothMeasurementConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__id._const_tab = ____BluetoothMeasurementConfiguration_iE_Extensions__item__id_tab
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality._const_tab = ____BluetoothMeasurementConfiguration_iE_Extensions__item__criticality_tab
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab = ____BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue_tab
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __BluetoothMeasurementConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___BluetoothMeasurementConfiguration_iE_Extensions__item__id),
        ('criticality', ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue),
        ])
    __BluetoothMeasurementConfiguration_iE_Extensions__item_._ext = None
    _BluetoothMeasurementConfiguration_iE_Extensions._cont = __BluetoothMeasurementConfiguration_iE_Extensions__item_
    _BluetoothMeasurementConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BluetoothMeasurementConfiguration._cont = ASN1Dict([
        ('bluetoothMeasConfig', _BluetoothMeasurementConfiguration_bluetoothMeasConfig),
        ('bluetoothMeasConfigNameList', _BluetoothMeasurementConfiguration_bluetoothMeasConfigNameList),
        ('bt-rssi', _BluetoothMeasurementConfiguration_bt_rssi),
        ('iE-Extensions', _BluetoothMeasurementConfiguration_iE_Extensions),
        ])
    BluetoothMeasurementConfiguration._ext = []
    
    #-----< BluetoothMeasurementConfiguration-ExtIEs >-----#
    BluetoothMeasurementConfiguration_ExtIEs = CLASS(name='BluetoothMeasurementConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BluetoothMeasurementConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BluetoothMeasConfigNameList >-----#
    BluetoothMeasConfigNameList = SEQ_OF(name='BluetoothMeasConfigNameList', mode=MODE_TYPE)
    _BluetoothMeasConfigNameList__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BluetoothName')))
    BluetoothMeasConfigNameList._cont = _BluetoothMeasConfigNameList__item_
    BluetoothMeasConfigNameList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4)], ev=None, er=[])
    
    #-----< BluetoothMeasConfig >-----#
    BluetoothMeasConfig = ENUM(name='BluetoothMeasConfig', mode=MODE_TYPE)
    BluetoothMeasConfig._cont = ASN1Dict([('setup', 0)])
    BluetoothMeasConfig._ext = []
    
    #-----< BluetoothName >-----#
    BluetoothName = OCT_STR(name='BluetoothName', mode=MODE_TYPE)
    BluetoothName._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=248)], ev=None, er=[])
    
    #-----< BPLMN-ID-Info-EUTRA >-----#
    BPLMN_ID_Info_EUTRA = SEQ_OF(name='BPLMN-ID-Info-EUTRA', mode=MODE_TYPE)
    _BPLMN_ID_Info_EUTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA-Item')))
    BPLMN_ID_Info_EUTRA._cont = _BPLMN_ID_Info_EUTRA__item_
    BPLMN_ID_Info_EUTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=6)], ev=None, er=[])
    
    #-----< BPLMN-ID-Info-EUTRA-Item >-----#
    BPLMN_ID_Info_EUTRA_Item = SEQ(name='BPLMN-ID-Info-EUTRA-Item', mode=MODE_TYPE)
    _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs = SEQ_OF(name='broadcastPLMNs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastEUTRAPLMNs')))
    _BPLMN_ID_Info_EUTRA_Item_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _BPLMN_ID_Info_EUTRA_Item_e_utraCI = BIT_STR(name='e-utraCI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _BPLMN_ID_Info_EUTRA_Item_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab_at = None
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id),
        ('criticality', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue),
        ])
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_._ext = None
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension._cont = __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BPLMN_ID_Info_EUTRA_Item._cont = ASN1Dict([
        ('broadcastPLMNs', _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs),
        ('tac', _BPLMN_ID_Info_EUTRA_Item_tac),
        ('e-utraCI', _BPLMN_ID_Info_EUTRA_Item_e_utraCI),
        ('ranac', _BPLMN_ID_Info_EUTRA_Item_ranac),
        ('iE-Extension', _BPLMN_ID_Info_EUTRA_Item_iE_Extension),
        ])
    BPLMN_ID_Info_EUTRA_Item._ext = []
    
    #-----< BPLMN-ID-Info-EUTRA-Item-ExtIEs >-----#
    BPLMN_ID_Info_EUTRA_Item_ExtIEs = CLASS(name='BPLMN-ID-Info-EUTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BPLMN_ID_Info_EUTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BPLMN-ID-Info-NR >-----#
    BPLMN_ID_Info_NR = SEQ_OF(name='BPLMN-ID-Info-NR', mode=MODE_TYPE)
    _BPLMN_ID_Info_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR-Item')))
    BPLMN_ID_Info_NR._cont = _BPLMN_ID_Info_NR__item_
    BPLMN_ID_Info_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BPLMN-ID-Info-NR-Item >-----#
    BPLMN_ID_Info_NR_Item = SEQ(name='BPLMN-ID-Info-NR-Item', mode=MODE_TYPE)
    _BPLMN_ID_Info_NR_Item_broadcastPLMNs = SEQ_OF(name='broadcastPLMNs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNs')))
    _BPLMN_ID_Info_NR_Item_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _BPLMN_ID_Info_NR_Item_nr_CI = BIT_STR(name='nr-CI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _BPLMN_ID_Info_NR_Item_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _BPLMN_ID_Info_NR_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ConfiguredTACIndication')))
    _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information')))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 233), ('criticality', 'ignore'), ('Extension', _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 220), ('criticality', 'reject'), ('Extension', _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab_at = None
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id),
        ('criticality', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue),
        ])
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_._ext = None
    _BPLMN_ID_Info_NR_Item_iE_Extension._cont = __BPLMN_ID_Info_NR_Item_iE_Extension__item_
    _BPLMN_ID_Info_NR_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BPLMN_ID_Info_NR_Item._cont = ASN1Dict([
        ('broadcastPLMNs', _BPLMN_ID_Info_NR_Item_broadcastPLMNs),
        ('tac', _BPLMN_ID_Info_NR_Item_tac),
        ('nr-CI', _BPLMN_ID_Info_NR_Item_nr_CI),
        ('ranac', _BPLMN_ID_Info_NR_Item_ranac),
        ('iE-Extension', _BPLMN_ID_Info_NR_Item_iE_Extension),
        ])
    BPLMN_ID_Info_NR_Item._ext = []
    
    #-----< BPLMN-ID-Info-NR-Item-ExtIEs >-----#
    BPLMN_ID_Info_NR_Item_ExtIEs = CLASS(name='BPLMN-ID-Info-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ConfiguredTACIndication')))
    _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information')))
    BPLMN_ID_Info_NR_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 233), ('criticality', 'ignore'), ('Extension', _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 220), ('criticality', 'reject'), ('Extension', _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< BitRate >-----#
    BitRate = INT(name='BitRate', mode=MODE_TYPE)
    BitRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4000000000000)], ev=[], er=[])
    
    #-----< BroadcastCAG-Identifier-List >-----#
    BroadcastCAG_Identifier_List = SEQ_OF(name='BroadcastCAG-Identifier-List', mode=MODE_TYPE)
    _BroadcastCAG_Identifier_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastCAG-Identifier-Item')))
    BroadcastCAG_Identifier_List._cont = _BroadcastCAG_Identifier_List__item_
    BroadcastCAG_Identifier_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastCAG-Identifier-Item >-----#
    BroadcastCAG_Identifier_Item = SEQ(name='BroadcastCAG-Identifier-Item', mode=MODE_TYPE)
    _BroadcastCAG_Identifier_Item_cag_Identifier = BIT_STR(name='cag-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CAG-Identifier')))
    _BroadcastCAG_Identifier_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastCAG_Identifier_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__id._const_tab = ____BroadcastCAG_Identifier_Item_iE_Extension__item__id_tab
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__id._const_tab_at = None
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality._const_tab = ____BroadcastCAG_Identifier_Item_iE_Extension__item__criticality_tab
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue._const_tab = ____BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue_tab
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BroadcastCAG_Identifier_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BroadcastCAG_Identifier_Item_iE_Extension__item__id),
        ('criticality', ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue),
        ])
    __BroadcastCAG_Identifier_Item_iE_Extension__item_._ext = None
    _BroadcastCAG_Identifier_Item_iE_Extension._cont = __BroadcastCAG_Identifier_Item_iE_Extension__item_
    _BroadcastCAG_Identifier_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastCAG_Identifier_Item._cont = ASN1Dict([
        ('cag-Identifier', _BroadcastCAG_Identifier_Item_cag_Identifier),
        ('iE-Extension', _BroadcastCAG_Identifier_Item_iE_Extension),
        ])
    BroadcastCAG_Identifier_Item._ext = []
    
    #-----< BroadcastCAG-Identifier-Item-ExtIEs >-----#
    BroadcastCAG_Identifier_Item_ExtIEs = CLASS(name='BroadcastCAG-Identifier-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BroadcastCAG_Identifier_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BroadcastNID-List >-----#
    BroadcastNID_List = SEQ_OF(name='BroadcastNID-List', mode=MODE_TYPE)
    _BroadcastNID_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastNID-Item')))
    BroadcastNID_List._cont = _BroadcastNID_List__item_
    BroadcastNID_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastNID-Item >-----#
    BroadcastNID_Item = SEQ(name='BroadcastNID-Item', mode=MODE_TYPE)
    _BroadcastNID_Item_nid = BIT_STR(name='nid', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NID')))
    _BroadcastNID_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastNID_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastNID_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BroadcastNID_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastNID_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastNID_Item_iE_Extension__item__id._const_tab = ____BroadcastNID_Item_iE_Extension__item__id_tab
    ___BroadcastNID_Item_iE_Extension__item__id._const_tab_at = None
    ___BroadcastNID_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BroadcastNID_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BroadcastNID_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastNID_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastNID_Item_iE_Extension__item__criticality._const_tab = ____BroadcastNID_Item_iE_Extension__item__criticality_tab
    ___BroadcastNID_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BroadcastNID_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BroadcastNID_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BroadcastNID_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastNID_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastNID_Item_iE_Extension__item__extensionValue._const_tab = ____BroadcastNID_Item_iE_Extension__item__extensionValue_tab
    ___BroadcastNID_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BroadcastNID_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BroadcastNID_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BroadcastNID_Item_iE_Extension__item__id),
        ('criticality', ___BroadcastNID_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BroadcastNID_Item_iE_Extension__item__extensionValue),
        ])
    __BroadcastNID_Item_iE_Extension__item_._ext = None
    _BroadcastNID_Item_iE_Extension._cont = __BroadcastNID_Item_iE_Extension__item_
    _BroadcastNID_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastNID_Item._cont = ASN1Dict([
        ('nid', _BroadcastNID_Item_nid),
        ('iE-Extension', _BroadcastNID_Item_iE_Extension),
        ])
    BroadcastNID_Item._ext = []
    
    #-----< BroadcastNID-Item-ExtIEs >-----#
    BroadcastNID_Item_ExtIEs = CLASS(name='BroadcastNID-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BroadcastNID_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BroadcastPLMNs >-----#
    BroadcastPLMNs = SEQ_OF(name='BroadcastPLMNs', mode=MODE_TYPE)
    _BroadcastPLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    BroadcastPLMNs._cont = _BroadcastPLMNs__item_
    BroadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastEUTRAPLMNs >-----#
    BroadcastEUTRAPLMNs = SEQ_OF(name='BroadcastEUTRAPLMNs', mode=MODE_TYPE)
    _BroadcastEUTRAPLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    BroadcastEUTRAPLMNs._cont = _BroadcastEUTRAPLMNs__item_
    BroadcastEUTRAPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=6)], ev=None, er=[])
    
    #-----< BroadcastPLMNinTAISupport-Item >-----#
    BroadcastPLMNinTAISupport_Item = SEQ(name='BroadcastPLMNinTAISupport-Item', mode=MODE_TYPE)
    _BroadcastPLMNinTAISupport_Item_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List = SEQ_OF(name='tAISliceSupport-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SliceSupport-List')))
    _BroadcastPLMNinTAISupport_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Support')))
    _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedSliceSupportList')))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 223), ('criticality', 'reject'), ('Extension', _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 231), ('criticality', 'reject'), ('Extension', _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab_at = None
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id),
        ('criticality', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue),
        ])
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_._ext = None
    _BroadcastPLMNinTAISupport_Item_iE_Extension._cont = __BroadcastPLMNinTAISupport_Item_iE_Extension__item_
    _BroadcastPLMNinTAISupport_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastPLMNinTAISupport_Item._cont = ASN1Dict([
        ('plmn-id', _BroadcastPLMNinTAISupport_Item_plmn_id),
        ('tAISliceSupport-List', _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List),
        ('iE-Extension', _BroadcastPLMNinTAISupport_Item_iE_Extension),
        ])
    BroadcastPLMNinTAISupport_Item._ext = []
    
    #-----< BroadcastPLMNinTAISupport-Item-ExtIEs >-----#
    BroadcastPLMNinTAISupport_Item_ExtIEs = CLASS(name='BroadcastPLMNinTAISupport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Support')))
    _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedSliceSupportList')))
    BroadcastPLMNinTAISupport_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 223), ('criticality', 'reject'), ('Extension', _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 231), ('criticality', 'reject'), ('Extension', _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< BroadcastPNI-NPN-ID-Information >-----#
    BroadcastPNI_NPN_ID_Information = SEQ_OF(name='BroadcastPNI-NPN-ID-Information', mode=MODE_TYPE)
    _BroadcastPNI_NPN_ID_Information__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPNI-NPN-ID-Information-Item')))
    BroadcastPNI_NPN_ID_Information._cont = _BroadcastPNI_NPN_ID_Information__item_
    BroadcastPNI_NPN_ID_Information._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastPNI-NPN-ID-Information-Item >-----#
    BroadcastPNI_NPN_ID_Information_Item = SEQ(name='BroadcastPNI-NPN-ID-Information-Item', mode=MODE_TYPE)
    _BroadcastPNI_NPN_ID_Information_Item_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _BroadcastPNI_NPN_ID_Information_Item_broadcastCAG_Identifier_List = SEQ_OF(name='broadcastCAG-Identifier-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastCAG-Identifier-List')))
    _BroadcastPNI_NPN_ID_Information_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id._const_tab = ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id_tab
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id._const_tab_at = None
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality._const_tab = ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality_tab
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue._const_tab = ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue_tab
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id),
        ('criticality', ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality),
        ('extensionValue', ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue),
        ])
    __BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item_._ext = None
    _BroadcastPNI_NPN_ID_Information_Item_iE_Extension._cont = __BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item_
    _BroadcastPNI_NPN_ID_Information_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastPNI_NPN_ID_Information_Item._cont = ASN1Dict([
        ('plmn-id', _BroadcastPNI_NPN_ID_Information_Item_plmn_id),
        ('broadcastCAG-Identifier-List', _BroadcastPNI_NPN_ID_Information_Item_broadcastCAG_Identifier_List),
        ('iE-Extension', _BroadcastPNI_NPN_ID_Information_Item_iE_Extension),
        ])
    BroadcastPNI_NPN_ID_Information_Item._ext = []
    
    #-----< BroadcastPNI-NPN-ID-Information-Item-ExtIEs >-----#
    BroadcastPNI_NPN_ID_Information_Item_ExtIEs = CLASS(name='BroadcastPNI-NPN-ID-Information-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BroadcastPNI_NPN_ID_Information_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BroadcastSNPNID-List >-----#
    BroadcastSNPNID_List = SEQ_OF(name='BroadcastSNPNID-List', mode=MODE_TYPE)
    _BroadcastSNPNID_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastSNPNID')))
    BroadcastSNPNID_List._cont = _BroadcastSNPNID_List__item_
    BroadcastSNPNID_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastSNPNID >-----#
    BroadcastSNPNID = SEQ(name='BroadcastSNPNID', mode=MODE_TYPE)
    _BroadcastSNPNID_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _BroadcastSNPNID_broadcastNID_List = SEQ_OF(name='broadcastNID-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastNID-List')))
    _BroadcastSNPNID_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastSNPNID_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastSNPNID_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BroadcastSNPNID_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastSNPNID_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastSNPNID_iE_Extension__item__id._const_tab = ____BroadcastSNPNID_iE_Extension__item__id_tab
    ___BroadcastSNPNID_iE_Extension__item__id._const_tab_at = None
    ___BroadcastSNPNID_iE_Extension__item__id._const_tab_id = 'id'
    ___BroadcastSNPNID_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BroadcastSNPNID_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastSNPNID_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastSNPNID_iE_Extension__item__criticality._const_tab = ____BroadcastSNPNID_iE_Extension__item__criticality_tab
    ___BroadcastSNPNID_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___BroadcastSNPNID_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___BroadcastSNPNID_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BroadcastSNPNID_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastSNPNID_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastSNPNID_iE_Extension__item__extensionValue._const_tab = ____BroadcastSNPNID_iE_Extension__item__extensionValue_tab
    ___BroadcastSNPNID_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___BroadcastSNPNID_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __BroadcastSNPNID_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___BroadcastSNPNID_iE_Extension__item__id),
        ('criticality', ___BroadcastSNPNID_iE_Extension__item__criticality),
        ('extensionValue', ___BroadcastSNPNID_iE_Extension__item__extensionValue),
        ])
    __BroadcastSNPNID_iE_Extension__item_._ext = None
    _BroadcastSNPNID_iE_Extension._cont = __BroadcastSNPNID_iE_Extension__item_
    _BroadcastSNPNID_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastSNPNID._cont = ASN1Dict([
        ('plmn-id', _BroadcastSNPNID_plmn_id),
        ('broadcastNID-List', _BroadcastSNPNID_broadcastNID_List),
        ('iE-Extension', _BroadcastSNPNID_iE_Extension),
        ])
    BroadcastSNPNID._ext = []
    
    #-----< BroadcastSNPNID-ExtIEs >-----#
    BroadcastSNPNID_ExtIEs = CLASS(name='BroadcastSNPNID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BroadcastSNPNID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CAG-Identifier >-----#
    CAG_Identifier = BIT_STR(name='CAG-Identifier', mode=MODE_TYPE)
    CAG_Identifier._const_sz = ASN1Set(rv=[32], rr=[], ev=None, er=[])
    
    #-----< CapacityValue >-----#
    CapacityValue = INT(name='CapacityValue', mode=MODE_TYPE)
    CapacityValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< CapacityValueInfo >-----#
    CapacityValueInfo = SEQ(name='CapacityValueInfo', mode=MODE_TYPE)
    _CapacityValueInfo_capacityValue = INT(name='capacityValue', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CapacityValue')))
    _CapacityValueInfo_ssbAreaCapacityValueList = SEQ_OF(name='ssbAreaCapacityValueList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SSBAreaCapacityValue-List')), opt=True)
    _CapacityValueInfo_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CapacityValueInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CapacityValueInfo_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CapacityValueInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CapacityValueInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CapacityValueInfo_iE_Extension__item__id._const_tab = ____CapacityValueInfo_iE_Extension__item__id_tab
    ___CapacityValueInfo_iE_Extension__item__id._const_tab_at = None
    ___CapacityValueInfo_iE_Extension__item__id._const_tab_id = 'id'
    ___CapacityValueInfo_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CapacityValueInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CapacityValueInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CapacityValueInfo_iE_Extension__item__criticality._const_tab = ____CapacityValueInfo_iE_Extension__item__criticality_tab
    ___CapacityValueInfo_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___CapacityValueInfo_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___CapacityValueInfo_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CapacityValueInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CapacityValueInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CapacityValueInfo_iE_Extension__item__extensionValue._const_tab = ____CapacityValueInfo_iE_Extension__item__extensionValue_tab
    ___CapacityValueInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___CapacityValueInfo_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __CapacityValueInfo_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___CapacityValueInfo_iE_Extension__item__id),
        ('criticality', ___CapacityValueInfo_iE_Extension__item__criticality),
        ('extensionValue', ___CapacityValueInfo_iE_Extension__item__extensionValue),
        ])
    __CapacityValueInfo_iE_Extension__item_._ext = None
    _CapacityValueInfo_iE_Extension._cont = __CapacityValueInfo_iE_Extension__item_
    _CapacityValueInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CapacityValueInfo._cont = ASN1Dict([
        ('capacityValue', _CapacityValueInfo_capacityValue),
        ('ssbAreaCapacityValueList', _CapacityValueInfo_ssbAreaCapacityValueList),
        ('iE-Extension', _CapacityValueInfo_iE_Extension),
        ])
    CapacityValueInfo._ext = []
    
    #-----< CapacityValueInfo-ExtIEs >-----#
    CapacityValueInfo_ExtIEs = CLASS(name='CapacityValueInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CapacityValueInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Cause >-----#
    Cause = CHOICE(name='Cause', mode=MODE_TYPE)
    _Cause_radioNetwork = ENUM(name='radioNetwork', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseRadioNetworkLayer')))
    _Cause_transport = ENUM(name='transport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseTransportLayer')))
    _Cause_protocol = ENUM(name='protocol', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseProtocol')))
    _Cause_misc = ENUM(name='misc', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseMisc')))
    _Cause_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __Cause_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___Cause_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_id._const_tab = ___Cause_choice_extension_id_tab
    __Cause_choice_extension_id._const_tab_at = None
    __Cause_choice_extension_id._const_tab_id = 'id'
    __Cause_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___Cause_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_criticality._const_tab = ___Cause_choice_extension_criticality_tab
    __Cause_choice_extension_criticality._const_tab_at = ('..', 'id')
    __Cause_choice_extension_criticality._const_tab_id = 'criticality'
    __Cause_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___Cause_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_value._const_tab = ___Cause_choice_extension_value_tab
    __Cause_choice_extension_value._const_tab_at = ('..', 'id')
    __Cause_choice_extension_value._const_tab_id = 'Value'
    _Cause_choice_extension._cont = ASN1Dict([
        ('id', __Cause_choice_extension_id),
        ('criticality', __Cause_choice_extension_criticality),
        ('value', __Cause_choice_extension_value),
        ])
    _Cause_choice_extension._ext = None
    Cause._cont = ASN1Dict([
        ('radioNetwork', _Cause_radioNetwork),
        ('transport', _Cause_transport),
        ('protocol', _Cause_protocol),
        ('misc', _Cause_misc),
        ('choice-extension', _Cause_choice_extension),
        ])
    Cause._ext = None
    
    #-----< Cause-ExtIEs >-----#
    Cause_ExtIEs = CLASS(name='Cause-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    Cause_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CauseRadioNetworkLayer >-----#
    CauseRadioNetworkLayer = ENUM(name='CauseRadioNetworkLayer', mode=MODE_TYPE)
    CauseRadioNetworkLayer._cont = ASN1Dict([('cell-not-available', 0), ('handover-desirable-for-radio-reasons', 1), ('handover-target-not-allowed', 2), ('invalid-AMF-Set-ID', 3), ('no-radio-resources-available-in-target-cell', 4), ('partial-handover', 5), ('reduce-load-in-serving-cell', 6), ('resource-optimisation-handover', 7), ('time-critical-handover', 8), ('tXnRELOCoverall-expiry', 9), ('tXnRELOCprep-expiry', 10), ('unknown-GUAMI-ID', 11), ('unknown-local-NG-RAN-node-UE-XnAP-ID', 12), ('inconsistent-remote-NG-RAN-node-UE-XnAP-ID', 13), ('encryption-and-or-integrity-protection-algorithms-not-supported', 14), ('protection-algorithms-not-supported', 15), ('multiple-PDU-session-ID-instances', 16), ('unknown-PDU-session-ID', 17), ('unknown-QoS-Flow-ID', 18), ('multiple-QoS-Flow-ID-instances', 19), ('switch-off-ongoing', 20), ('not-supported-5QI-value', 21), ('tXnDCoverall-expiry', 22), ('tXnDCprep-expiry', 23), ('action-desirable-for-radio-reasons', 24), ('reduce-load', 25), ('resource-optimisation', 26), ('time-critical-action', 27), ('target-not-allowed', 28), ('no-radio-resources-available', 29), ('invalid-QoS-combination', 30), ('encryption-algorithms-not-supported', 31), ('procedure-cancelled', 32), ('rRM-purpose', 33), ('improve-user-bit-rate', 34), ('user-inactivity', 35), ('radio-connection-with-UE-lost', 36), ('failure-in-the-radio-interface-procedure', 37), ('bearer-option-not-supported', 38), ('up-integrity-protection-not-possible', 39), ('up-confidentiality-protection-not-possible', 40), ('resources-not-available-for-the-slice-s', 41), ('ue-max-IP-data-rate-reason', 42), ('cP-integrity-protection-failure', 43), ('uP-integrity-protection-failure', 44), ('slice-not-supported-by-NG-RAN', 45), ('mN-Mobility', 46), ('sN-Mobility', 47), ('count-reaches-max-value', 48), ('unknown-old-NG-RAN-node-UE-XnAP-ID', 49), ('pDCP-Overload', 50), ('drb-id-not-available', 51), ('unspecified', 52), ('ue-context-id-not-known', 53), ('non-relocation-of-context', 54), ('cho-cpc-resources-tobechanged', 55), ('rSN-not-available-for-the-UP', 56), ('npn-access-denied', 57), ('report-characteristics-empty', 58), ('existing-measurement-ID', 59), ('measurement-temporarily-not-available', 60), ('measurement-not-supported-for-the-object', 61), ('ue-power-saving', 62), ('unknown-NG-RAN-node2-Measurement-ID', 63), ('insufficient-ue-capabilities', 64), ('normal-release', 65), ('value-out-of-allowed-range', 66)])
    CauseRadioNetworkLayer._ext = ['ue-context-id-not-known', 'non-relocation-of-context', 'cho-cpc-resources-tobechanged', 'rSN-not-available-for-the-UP', 'npn-access-denied', 'report-characteristics-empty', 'existing-measurement-ID', 'measurement-temporarily-not-available', 'measurement-not-supported-for-the-object', 'ue-power-saving', 'unknown-NG-RAN-node2-Measurement-ID', 'insufficient-ue-capabilities', 'normal-release', 'value-out-of-allowed-range']
    
    #-----< CauseTransportLayer >-----#
    CauseTransportLayer = ENUM(name='CauseTransportLayer', mode=MODE_TYPE)
    CauseTransportLayer._cont = ASN1Dict([('transport-resource-unavailable', 0), ('unspecified', 1)])
    CauseTransportLayer._ext = []
    
    #-----< CauseProtocol >-----#
    CauseProtocol = ENUM(name='CauseProtocol', mode=MODE_TYPE)
    CauseProtocol._cont = ASN1Dict([('transfer-syntax-error', 0), ('abstract-syntax-error-reject', 1), ('abstract-syntax-error-ignore-and-notify', 2), ('message-not-compatible-with-receiver-state', 3), ('semantic-error', 4), ('abstract-syntax-error-falsely-constructed-message', 5), ('unspecified', 6)])
    CauseProtocol._ext = []
    
    #-----< CauseMisc >-----#
    CauseMisc = ENUM(name='CauseMisc', mode=MODE_TYPE)
    CauseMisc._cont = ASN1Dict([('control-processing-overload', 0), ('hardware-failure', 1), ('o-and-M-intervention', 2), ('not-enough-user-plane-processing-resources', 3), ('unspecified', 4)])
    CauseMisc._ext = []
    
    #-----< CellAssistanceInfo-NR >-----#
    CellAssistanceInfo_NR = CHOICE(name='CellAssistanceInfo-NR', mode=MODE_TYPE)
    _CellAssistanceInfo_NR_limitedNR_List = SEQ_OF(name='limitedNR-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __CellAssistanceInfo_NR_limitedNR_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _CellAssistanceInfo_NR_limitedNR_List._cont = __CellAssistanceInfo_NR_limitedNR_List__item_
    _CellAssistanceInfo_NR_limitedNR_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _CellAssistanceInfo_NR_full_List = ENUM(name='full-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _CellAssistanceInfo_NR_full_List._cont = ASN1Dict([('all-served-cells-NR', 0)])
    _CellAssistanceInfo_NR_full_List._ext = []
    _CellAssistanceInfo_NR_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __CellAssistanceInfo_NR_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___CellAssistanceInfo_NR_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_id._const_tab = ___CellAssistanceInfo_NR_choice_extension_id_tab
    __CellAssistanceInfo_NR_choice_extension_id._const_tab_at = None
    __CellAssistanceInfo_NR_choice_extension_id._const_tab_id = 'id'
    __CellAssistanceInfo_NR_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___CellAssistanceInfo_NR_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab = ___CellAssistanceInfo_NR_choice_extension_criticality_tab
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab_at = ('..', 'id')
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab_id = 'criticality'
    __CellAssistanceInfo_NR_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___CellAssistanceInfo_NR_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_value._const_tab = ___CellAssistanceInfo_NR_choice_extension_value_tab
    __CellAssistanceInfo_NR_choice_extension_value._const_tab_at = ('..', 'id')
    __CellAssistanceInfo_NR_choice_extension_value._const_tab_id = 'Value'
    _CellAssistanceInfo_NR_choice_extension._cont = ASN1Dict([
        ('id', __CellAssistanceInfo_NR_choice_extension_id),
        ('criticality', __CellAssistanceInfo_NR_choice_extension_criticality),
        ('value', __CellAssistanceInfo_NR_choice_extension_value),
        ])
    _CellAssistanceInfo_NR_choice_extension._ext = None
    CellAssistanceInfo_NR._cont = ASN1Dict([
        ('limitedNR-List', _CellAssistanceInfo_NR_limitedNR_List),
        ('full-List', _CellAssistanceInfo_NR_full_List),
        ('choice-extension', _CellAssistanceInfo_NR_choice_extension),
        ])
    CellAssistanceInfo_NR._ext = None
    
    #-----< CellAssistanceInfo-NR-ExtIEs >-----#
    CellAssistanceInfo_NR_ExtIEs = CLASS(name='CellAssistanceInfo-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    CellAssistanceInfo_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellAndCapacityAssistanceInfo-NR >-----#
    CellAndCapacityAssistanceInfo_NR = SEQ(name='CellAndCapacityAssistanceInfo-NR', mode=MODE_TYPE)
    _CellAndCapacityAssistanceInfo_NR_maximumCellListSize = INT(name='maximumCellListSize', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumCellListSize')), opt=True)
    _CellAndCapacityAssistanceInfo_NR_cellAssistanceInfo_NR = CHOICE(name='cellAssistanceInfo-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')), opt=True)
    _CellAndCapacityAssistanceInfo_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellAndCapacityAssistanceInfo_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id._const_tab = ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id_tab
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id._const_tab_at = None
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality._const_tab = ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality_tab
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue._const_tab = ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue_tab
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellAndCapacityAssistanceInfo_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id),
        ('criticality', ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue),
        ])
    __CellAndCapacityAssistanceInfo_NR_iE_Extensions__item_._ext = None
    _CellAndCapacityAssistanceInfo_NR_iE_Extensions._cont = __CellAndCapacityAssistanceInfo_NR_iE_Extensions__item_
    _CellAndCapacityAssistanceInfo_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellAndCapacityAssistanceInfo_NR._cont = ASN1Dict([
        ('maximumCellListSize', _CellAndCapacityAssistanceInfo_NR_maximumCellListSize),
        ('cellAssistanceInfo-NR', _CellAndCapacityAssistanceInfo_NR_cellAssistanceInfo_NR),
        ('iE-Extensions', _CellAndCapacityAssistanceInfo_NR_iE_Extensions),
        ])
    CellAndCapacityAssistanceInfo_NR._ext = []
    
    #-----< CellAndCapacityAssistanceInfo-NR-ExtIEs >-----#
    CellAndCapacityAssistanceInfo_NR_ExtIEs = CLASS(name='CellAndCapacityAssistanceInfo-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellAndCapacityAssistanceInfo_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellAndCapacityAssistanceInfo-EUTRA >-----#
    CellAndCapacityAssistanceInfo_EUTRA = SEQ(name='CellAndCapacityAssistanceInfo-EUTRA', mode=MODE_TYPE)
    _CellAndCapacityAssistanceInfo_EUTRA_maximumCellListSize = INT(name='maximumCellListSize', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumCellListSize')), opt=True)
    _CellAndCapacityAssistanceInfo_EUTRA_cellAssistanceInfo_EUTRA = CHOICE(name='cellAssistanceInfo-EUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-EUTRA')), opt=True)
    _CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id._const_tab = ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id_tab
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality._const_tab = ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality_tab
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue_tab
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id),
        ('criticality', ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item_._ext = None
    _CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions._cont = __CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item_
    _CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellAndCapacityAssistanceInfo_EUTRA._cont = ASN1Dict([
        ('maximumCellListSize', _CellAndCapacityAssistanceInfo_EUTRA_maximumCellListSize),
        ('cellAssistanceInfo-EUTRA', _CellAndCapacityAssistanceInfo_EUTRA_cellAssistanceInfo_EUTRA),
        ('iE-Extensions', _CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions),
        ])
    CellAndCapacityAssistanceInfo_EUTRA._ext = []
    
    #-----< CellAndCapacityAssistanceInfo-EUTRA-ExtIEs >-----#
    CellAndCapacityAssistanceInfo_EUTRA_ExtIEs = CLASS(name='CellAndCapacityAssistanceInfo-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellAndCapacityAssistanceInfo_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellAssistanceInfo-EUTRA >-----#
    CellAssistanceInfo_EUTRA = CHOICE(name='CellAssistanceInfo-EUTRA', mode=MODE_TYPE)
    _CellAssistanceInfo_EUTRA_limitedEUTRA_List = SEQ_OF(name='limitedEUTRA-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __CellAssistanceInfo_EUTRA_limitedEUTRA_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _CellAssistanceInfo_EUTRA_limitedEUTRA_List._cont = __CellAssistanceInfo_EUTRA_limitedEUTRA_List__item_
    _CellAssistanceInfo_EUTRA_limitedEUTRA_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _CellAssistanceInfo_EUTRA_full_List = ENUM(name='full-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _CellAssistanceInfo_EUTRA_full_List._cont = ASN1Dict([('all-served-cells-E-UTRA', 0)])
    _CellAssistanceInfo_EUTRA_full_List._ext = []
    _CellAssistanceInfo_EUTRA_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __CellAssistanceInfo_EUTRA_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___CellAssistanceInfo_EUTRA_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_EUTRA_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_EUTRA_choice_extension_id._const_tab = ___CellAssistanceInfo_EUTRA_choice_extension_id_tab
    __CellAssistanceInfo_EUTRA_choice_extension_id._const_tab_at = None
    __CellAssistanceInfo_EUTRA_choice_extension_id._const_tab_id = 'id'
    __CellAssistanceInfo_EUTRA_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___CellAssistanceInfo_EUTRA_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_EUTRA_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_EUTRA_choice_extension_criticality._const_tab = ___CellAssistanceInfo_EUTRA_choice_extension_criticality_tab
    __CellAssistanceInfo_EUTRA_choice_extension_criticality._const_tab_at = ('..', 'id')
    __CellAssistanceInfo_EUTRA_choice_extension_criticality._const_tab_id = 'criticality'
    __CellAssistanceInfo_EUTRA_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___CellAssistanceInfo_EUTRA_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_EUTRA_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_EUTRA_choice_extension_value._const_tab = ___CellAssistanceInfo_EUTRA_choice_extension_value_tab
    __CellAssistanceInfo_EUTRA_choice_extension_value._const_tab_at = ('..', 'id')
    __CellAssistanceInfo_EUTRA_choice_extension_value._const_tab_id = 'Value'
    _CellAssistanceInfo_EUTRA_choice_extension._cont = ASN1Dict([
        ('id', __CellAssistanceInfo_EUTRA_choice_extension_id),
        ('criticality', __CellAssistanceInfo_EUTRA_choice_extension_criticality),
        ('value', __CellAssistanceInfo_EUTRA_choice_extension_value),
        ])
    _CellAssistanceInfo_EUTRA_choice_extension._ext = None
    CellAssistanceInfo_EUTRA._cont = ASN1Dict([
        ('limitedEUTRA-List', _CellAssistanceInfo_EUTRA_limitedEUTRA_List),
        ('full-List', _CellAssistanceInfo_EUTRA_full_List),
        ('choice-extension', _CellAssistanceInfo_EUTRA_choice_extension),
        ])
    CellAssistanceInfo_EUTRA._ext = None
    
    #-----< CellAssistanceInfo-EUTRA-ExtIEs >-----#
    CellAssistanceInfo_EUTRA_ExtIEs = CLASS(name='CellAssistanceInfo-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    CellAssistanceInfo_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellBasedMDT-NR >-----#
    CellBasedMDT_NR = SEQ(name='CellBasedMDT-NR', mode=MODE_TYPE)
    _CellBasedMDT_NR_cellIdListforMDT_NR = SEQ_OF(name='cellIdListforMDT-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellIdListforMDT-NR')))
    _CellBasedMDT_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellBasedMDT_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellBasedMDT_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellBasedMDT_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_NR_iE_Extensions__item__id._const_tab = ____CellBasedMDT_NR_iE_Extensions__item__id_tab
    ___CellBasedMDT_NR_iE_Extensions__item__id._const_tab_at = None
    ___CellBasedMDT_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellBasedMDT_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellBasedMDT_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_NR_iE_Extensions__item__criticality._const_tab = ____CellBasedMDT_NR_iE_Extensions__item__criticality_tab
    ___CellBasedMDT_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellBasedMDT_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellBasedMDT_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellBasedMDT_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_NR_iE_Extensions__item__extensionValue._const_tab = ____CellBasedMDT_NR_iE_Extensions__item__extensionValue_tab
    ___CellBasedMDT_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellBasedMDT_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellBasedMDT_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellBasedMDT_NR_iE_Extensions__item__id),
        ('criticality', ___CellBasedMDT_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___CellBasedMDT_NR_iE_Extensions__item__extensionValue),
        ])
    __CellBasedMDT_NR_iE_Extensions__item_._ext = None
    _CellBasedMDT_NR_iE_Extensions._cont = __CellBasedMDT_NR_iE_Extensions__item_
    _CellBasedMDT_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellBasedMDT_NR._cont = ASN1Dict([
        ('cellIdListforMDT-NR', _CellBasedMDT_NR_cellIdListforMDT_NR),
        ('iE-Extensions', _CellBasedMDT_NR_iE_Extensions),
        ])
    CellBasedMDT_NR._ext = []
    
    #-----< CellBasedMDT-NR-ExtIEs >-----#
    CellBasedMDT_NR_ExtIEs = CLASS(name='CellBasedMDT-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellBasedMDT_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellIdListforMDT-NR >-----#
    CellIdListforMDT_NR = SEQ_OF(name='CellIdListforMDT-NR', mode=MODE_TYPE)
    _CellIdListforMDT_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    CellIdListforMDT_NR._cont = _CellIdListforMDT_NR__item_
    CellIdListforMDT_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< CellBasedMDT-EUTRA >-----#
    CellBasedMDT_EUTRA = SEQ(name='CellBasedMDT-EUTRA', mode=MODE_TYPE)
    _CellBasedMDT_EUTRA_cellIdListforMDT_EUTRA = SEQ_OF(name='cellIdListforMDT-EUTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellIdListforMDT-EUTRA')))
    _CellBasedMDT_EUTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellBasedMDT_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellBasedMDT_EUTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_EUTRA_iE_Extensions__item__id._const_tab = ____CellBasedMDT_EUTRA_iE_Extensions__item__id_tab
    ___CellBasedMDT_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___CellBasedMDT_EUTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality._const_tab = ____CellBasedMDT_EUTRA_iE_Extensions__item__criticality_tab
    ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue_tab
    ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellBasedMDT_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellBasedMDT_EUTRA_iE_Extensions__item__id),
        ('criticality', ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __CellBasedMDT_EUTRA_iE_Extensions__item_._ext = None
    _CellBasedMDT_EUTRA_iE_Extensions._cont = __CellBasedMDT_EUTRA_iE_Extensions__item_
    _CellBasedMDT_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellBasedMDT_EUTRA._cont = ASN1Dict([
        ('cellIdListforMDT-EUTRA', _CellBasedMDT_EUTRA_cellIdListforMDT_EUTRA),
        ('iE-Extensions', _CellBasedMDT_EUTRA_iE_Extensions),
        ])
    CellBasedMDT_EUTRA._ext = []
    
    #-----< CellBasedMDT-EUTRA-ExtIEs >-----#
    CellBasedMDT_EUTRA_ExtIEs = CLASS(name='CellBasedMDT-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellBasedMDT_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellIdListforMDT-EUTRA >-----#
    CellIdListforMDT_EUTRA = SEQ_OF(name='CellIdListforMDT-EUTRA', mode=MODE_TYPE)
    _CellIdListforMDT_EUTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    CellIdListforMDT_EUTRA._cont = _CellIdListforMDT_EUTRA__item_
    CellIdListforMDT_EUTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< CellCapacityClassValue >-----#
    CellCapacityClassValue = INT(name='CellCapacityClassValue', mode=MODE_TYPE)
    CellCapacityClassValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=100)], ev=[], er=[])
    
    #-----< CellGroupID >-----#
    CellGroupID = INT(name='CellGroupID', mode=MODE_TYPE)
    CellGroupID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3)], ev=None, er=[])
    
    #-----< CellMeasurementResult >-----#
    CellMeasurementResult = SEQ_OF(name='CellMeasurementResult', mode=MODE_TYPE)
    _CellMeasurementResult__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellMeasurementResult-Item')))
    CellMeasurementResult._cont = _CellMeasurementResult__item_
    CellMeasurementResult._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< CellMeasurementResult-Item >-----#
    CellMeasurementResult_Item = SEQ(name='CellMeasurementResult-Item', mode=MODE_TYPE)
    _CellMeasurementResult_Item_cell_ID = SEQ(name='cell-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _CellMeasurementResult_Item_radioResourceStatus = CHOICE(name='radioResourceStatus', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RadioResourceStatus')), opt=True)
    _CellMeasurementResult_Item_tNLCapacityIndicator = SEQ(name='tNLCapacityIndicator', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TNLCapacityIndicator')), opt=True)
    _CellMeasurementResult_Item_compositeAvailableCapacityGroup = SEQ(name='compositeAvailableCapacityGroup', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CompositeAvailableCapacityGroup')), opt=True)
    _CellMeasurementResult_Item_sliceAvailableCapacity = SEQ_OF(name='sliceAvailableCapacity', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SliceAvailableCapacity')), opt=True)
    _CellMeasurementResult_Item_numberofActiveUEs = INT(name='numberofActiveUEs', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NumberofActiveUEs')), opt=True)
    _CellMeasurementResult_Item_rRCConnections = SEQ(name='rRCConnections', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCConnections')), opt=True)
    _CellMeasurementResult_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellMeasurementResult_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellMeasurementResult_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellMeasurementResult_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellMeasurementResult_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellMeasurementResult_Item_iE_Extensions__item__id._const_tab = ____CellMeasurementResult_Item_iE_Extensions__item__id_tab
    ___CellMeasurementResult_Item_iE_Extensions__item__id._const_tab_at = None
    ___CellMeasurementResult_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellMeasurementResult_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellMeasurementResult_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellMeasurementResult_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellMeasurementResult_Item_iE_Extensions__item__criticality._const_tab = ____CellMeasurementResult_Item_iE_Extensions__item__criticality_tab
    ___CellMeasurementResult_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellMeasurementResult_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellMeasurementResult_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellMeasurementResult_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab = ____CellMeasurementResult_Item_iE_Extensions__item__extensionValue_tab
    ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellMeasurementResult_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellMeasurementResult_Item_iE_Extensions__item__id),
        ('criticality', ___CellMeasurementResult_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue),
        ])
    __CellMeasurementResult_Item_iE_Extensions__item_._ext = None
    _CellMeasurementResult_Item_iE_Extensions._cont = __CellMeasurementResult_Item_iE_Extensions__item_
    _CellMeasurementResult_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellMeasurementResult_Item._cont = ASN1Dict([
        ('cell-ID', _CellMeasurementResult_Item_cell_ID),
        ('radioResourceStatus', _CellMeasurementResult_Item_radioResourceStatus),
        ('tNLCapacityIndicator', _CellMeasurementResult_Item_tNLCapacityIndicator),
        ('compositeAvailableCapacityGroup', _CellMeasurementResult_Item_compositeAvailableCapacityGroup),
        ('sliceAvailableCapacity', _CellMeasurementResult_Item_sliceAvailableCapacity),
        ('numberofActiveUEs', _CellMeasurementResult_Item_numberofActiveUEs),
        ('rRCConnections', _CellMeasurementResult_Item_rRCConnections),
        ('iE-Extensions', _CellMeasurementResult_Item_iE_Extensions),
        ])
    CellMeasurementResult_Item._ext = []
    
    #-----< CellMeasurementResult-Item-ExtIEs >-----#
    CellMeasurementResult_Item_ExtIEs = CLASS(name='CellMeasurementResult-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellMeasurementResult_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellToReport >-----#
    CellToReport = SEQ_OF(name='CellToReport', mode=MODE_TYPE)
    _CellToReport__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellToReport-Item')))
    CellToReport._cont = _CellToReport__item_
    CellToReport._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< CellToReport-Item >-----#
    CellToReport_Item = SEQ(name='CellToReport-Item', mode=MODE_TYPE)
    _CellToReport_Item_cell_ID = SEQ(name='cell-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _CellToReport_Item_sSBToReport_List = SEQ_OF(name='sSBToReport-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SSBToReport-List')), opt=True)
    _CellToReport_Item_sliceToReport_List = SEQ_OF(name='sliceToReport-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SliceToReport-List')), opt=True)
    _CellToReport_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellToReport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellToReport_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellToReport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellToReport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellToReport_Item_iE_Extensions__item__id._const_tab = ____CellToReport_Item_iE_Extensions__item__id_tab
    ___CellToReport_Item_iE_Extensions__item__id._const_tab_at = None
    ___CellToReport_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellToReport_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellToReport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellToReport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellToReport_Item_iE_Extensions__item__criticality._const_tab = ____CellToReport_Item_iE_Extensions__item__criticality_tab
    ___CellToReport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellToReport_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellToReport_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellToReport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellToReport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellToReport_Item_iE_Extensions__item__extensionValue._const_tab = ____CellToReport_Item_iE_Extensions__item__extensionValue_tab
    ___CellToReport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellToReport_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellToReport_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellToReport_Item_iE_Extensions__item__id),
        ('criticality', ___CellToReport_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___CellToReport_Item_iE_Extensions__item__extensionValue),
        ])
    __CellToReport_Item_iE_Extensions__item_._ext = None
    _CellToReport_Item_iE_Extensions._cont = __CellToReport_Item_iE_Extensions__item_
    _CellToReport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellToReport_Item._cont = ASN1Dict([
        ('cell-ID', _CellToReport_Item_cell_ID),
        ('sSBToReport-List', _CellToReport_Item_sSBToReport_List),
        ('sliceToReport-List', _CellToReport_Item_sliceToReport_List),
        ('iE-Extensions', _CellToReport_Item_iE_Extensions),
        ])
    CellToReport_Item._ext = []
    
    #-----< CellToReport-Item-ExtIEs >-----#
    CellToReport_Item_ExtIEs = CLASS(name='CellToReport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellToReport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Cell-Type-Choice >-----#
    Cell_Type_Choice = CHOICE(name='Cell-Type-Choice', mode=MODE_TYPE)
    _Cell_Type_Choice_ng_ran_e_utra = BIT_STR(name='ng-ran-e-utra', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _Cell_Type_Choice_ng_ran_nr = BIT_STR(name='ng-ran-nr', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _Cell_Type_Choice_e_utran = BIT_STR(name='e-utran', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _Cell_Type_Choice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __Cell_Type_Choice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___Cell_Type_Choice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cell_Type_Choice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cell_Type_Choice_choice_extension_id._const_tab = ___Cell_Type_Choice_choice_extension_id_tab
    __Cell_Type_Choice_choice_extension_id._const_tab_at = None
    __Cell_Type_Choice_choice_extension_id._const_tab_id = 'id'
    __Cell_Type_Choice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___Cell_Type_Choice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cell_Type_Choice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cell_Type_Choice_choice_extension_criticality._const_tab = ___Cell_Type_Choice_choice_extension_criticality_tab
    __Cell_Type_Choice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __Cell_Type_Choice_choice_extension_criticality._const_tab_id = 'criticality'
    __Cell_Type_Choice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___Cell_Type_Choice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cell_Type_Choice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cell_Type_Choice_choice_extension_value._const_tab = ___Cell_Type_Choice_choice_extension_value_tab
    __Cell_Type_Choice_choice_extension_value._const_tab_at = ('..', 'id')
    __Cell_Type_Choice_choice_extension_value._const_tab_id = 'Value'
    _Cell_Type_Choice_choice_extension._cont = ASN1Dict([
        ('id', __Cell_Type_Choice_choice_extension_id),
        ('criticality', __Cell_Type_Choice_choice_extension_criticality),
        ('value', __Cell_Type_Choice_choice_extension_value),
        ])
    _Cell_Type_Choice_choice_extension._ext = None
    Cell_Type_Choice._cont = ASN1Dict([
        ('ng-ran-e-utra', _Cell_Type_Choice_ng_ran_e_utra),
        ('ng-ran-nr', _Cell_Type_Choice_ng_ran_nr),
        ('e-utran', _Cell_Type_Choice_e_utran),
        ('choice-extension', _Cell_Type_Choice_choice_extension),
        ])
    Cell_Type_Choice._ext = None
    
    #-----< Cell-Type-Choice-ExtIEs >-----#
    Cell_Type_Choice_ExtIEs = CLASS(name='Cell-Type-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    Cell_Type_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CompositeAvailableCapacityGroup >-----#
    CompositeAvailableCapacityGroup = SEQ(name='CompositeAvailableCapacityGroup', mode=MODE_TYPE)
    _CompositeAvailableCapacityGroup_compositeAvailableCapacityDownlink = SEQ(name='compositeAvailableCapacityDownlink', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CompositeAvailableCapacity')))
    _CompositeAvailableCapacityGroup_compositeAvailableCapacityUplink = SEQ(name='compositeAvailableCapacityUplink', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CompositeAvailableCapacity')))
    _CompositeAvailableCapacityGroup_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CompositeAvailableCapacityGroup_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__id._const_tab = ____CompositeAvailableCapacityGroup_iE_Extensions__item__id_tab
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__id._const_tab_at = None
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__id._const_tab_id = 'id'
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality._const_tab = ____CompositeAvailableCapacityGroup_iE_Extensions__item__criticality_tab
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue._const_tab = ____CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue_tab
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CompositeAvailableCapacityGroup_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CompositeAvailableCapacityGroup_iE_Extensions__item__id),
        ('criticality', ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality),
        ('extensionValue', ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue),
        ])
    __CompositeAvailableCapacityGroup_iE_Extensions__item_._ext = None
    _CompositeAvailableCapacityGroup_iE_Extensions._cont = __CompositeAvailableCapacityGroup_iE_Extensions__item_
    _CompositeAvailableCapacityGroup_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CompositeAvailableCapacityGroup._cont = ASN1Dict([
        ('compositeAvailableCapacityDownlink', _CompositeAvailableCapacityGroup_compositeAvailableCapacityDownlink),
        ('compositeAvailableCapacityUplink', _CompositeAvailableCapacityGroup_compositeAvailableCapacityUplink),
        ('iE-Extensions', _CompositeAvailableCapacityGroup_iE_Extensions),
        ])
    CompositeAvailableCapacityGroup._ext = []
    
    #-----< CompositeAvailableCapacityGroup-ExtIEs >-----#
    CompositeAvailableCapacityGroup_ExtIEs = CLASS(name='CompositeAvailableCapacityGroup-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CompositeAvailableCapacityGroup_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CompositeAvailableCapacity >-----#
    CompositeAvailableCapacity = SEQ(name='CompositeAvailableCapacity', mode=MODE_TYPE)
    _CompositeAvailableCapacity_cellCapacityClassValue = INT(name='cellCapacityClassValue', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellCapacityClassValue')), opt=True)
    _CompositeAvailableCapacity_capacityValueInfo = SEQ(name='capacityValueInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CapacityValueInfo')))
    _CompositeAvailableCapacity_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CompositeAvailableCapacity_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CompositeAvailableCapacity_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CompositeAvailableCapacity_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacity_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacity_iE_Extensions__item__id._const_tab = ____CompositeAvailableCapacity_iE_Extensions__item__id_tab
    ___CompositeAvailableCapacity_iE_Extensions__item__id._const_tab_at = None
    ___CompositeAvailableCapacity_iE_Extensions__item__id._const_tab_id = 'id'
    ___CompositeAvailableCapacity_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CompositeAvailableCapacity_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacity_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacity_iE_Extensions__item__criticality._const_tab = ____CompositeAvailableCapacity_iE_Extensions__item__criticality_tab
    ___CompositeAvailableCapacity_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CompositeAvailableCapacity_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CompositeAvailableCapacity_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CompositeAvailableCapacity_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue._const_tab = ____CompositeAvailableCapacity_iE_Extensions__item__extensionValue_tab
    ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CompositeAvailableCapacity_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CompositeAvailableCapacity_iE_Extensions__item__id),
        ('criticality', ___CompositeAvailableCapacity_iE_Extensions__item__criticality),
        ('extensionValue', ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue),
        ])
    __CompositeAvailableCapacity_iE_Extensions__item_._ext = None
    _CompositeAvailableCapacity_iE_Extensions._cont = __CompositeAvailableCapacity_iE_Extensions__item_
    _CompositeAvailableCapacity_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CompositeAvailableCapacity._cont = ASN1Dict([
        ('cellCapacityClassValue', _CompositeAvailableCapacity_cellCapacityClassValue),
        ('capacityValueInfo', _CompositeAvailableCapacity_capacityValueInfo),
        ('iE-Extensions', _CompositeAvailableCapacity_iE_Extensions),
        ])
    CompositeAvailableCapacity._ext = []
    
    #-----< CompositeAvailableCapacity-ExtIEs >-----#
    CompositeAvailableCapacity_ExtIEs = CLASS(name='CompositeAvailableCapacity-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CompositeAvailableCapacity_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CHO-MRDC-EarlyDataForwarding >-----#
    CHO_MRDC_EarlyDataForwarding = ENUM(name='CHO-MRDC-EarlyDataForwarding', mode=MODE_TYPE)
    CHO_MRDC_EarlyDataForwarding._cont = ASN1Dict([('stop', 0)])
    CHO_MRDC_EarlyDataForwarding._ext = []
    
    #-----< CHO-MRDC-Indicator >-----#
    CHO_MRDC_Indicator = ENUM(name='CHO-MRDC-Indicator', mode=MODE_TYPE)
    CHO_MRDC_Indicator._cont = ASN1Dict([('true', 0)])
    CHO_MRDC_Indicator._ext = []
    
    #-----< CHOtrigger >-----#
    CHOtrigger = ENUM(name='CHOtrigger', mode=MODE_TYPE)
    CHOtrigger._cont = ASN1Dict([('cho-initiation', 0), ('cho-replace', 1)])
    CHOtrigger._ext = []
    
    #-----< CHOinformation-Req >-----#
    CHOinformation_Req = SEQ(name='CHOinformation-Req', mode=MODE_TYPE)
    _CHOinformation_Req_cho_trigger = ENUM(name='cho-trigger', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CHOtrigger')))
    _CHOinformation_Req_targetNG_RANnodeUEXnAPID = INT(name='targetNG-RANnodeUEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _CHOinformation_Req_cHO_EstimatedArrivalProbability = INT(name='cHO-EstimatedArrivalProbability', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CHO-Probability')), opt=True)
    _CHOinformation_Req_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CHOinformation_Req_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CHOinformation_Req_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CHOinformation_Req_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Req_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Req_iE_Extensions__item__id._const_tab = ____CHOinformation_Req_iE_Extensions__item__id_tab
    ___CHOinformation_Req_iE_Extensions__item__id._const_tab_at = None
    ___CHOinformation_Req_iE_Extensions__item__id._const_tab_id = 'id'
    ___CHOinformation_Req_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CHOinformation_Req_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Req_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Req_iE_Extensions__item__criticality._const_tab = ____CHOinformation_Req_iE_Extensions__item__criticality_tab
    ___CHOinformation_Req_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CHOinformation_Req_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CHOinformation_Req_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CHOinformation_Req_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Req_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Req_iE_Extensions__item__extensionValue._const_tab = ____CHOinformation_Req_iE_Extensions__item__extensionValue_tab
    ___CHOinformation_Req_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CHOinformation_Req_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CHOinformation_Req_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CHOinformation_Req_iE_Extensions__item__id),
        ('criticality', ___CHOinformation_Req_iE_Extensions__item__criticality),
        ('extensionValue', ___CHOinformation_Req_iE_Extensions__item__extensionValue),
        ])
    __CHOinformation_Req_iE_Extensions__item_._ext = None
    _CHOinformation_Req_iE_Extensions._cont = __CHOinformation_Req_iE_Extensions__item_
    _CHOinformation_Req_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CHOinformation_Req._cont = ASN1Dict([
        ('cho-trigger', _CHOinformation_Req_cho_trigger),
        ('targetNG-RANnodeUEXnAPID', _CHOinformation_Req_targetNG_RANnodeUEXnAPID),
        ('cHO-EstimatedArrivalProbability', _CHOinformation_Req_cHO_EstimatedArrivalProbability),
        ('iE-Extensions', _CHOinformation_Req_iE_Extensions),
        ])
    CHOinformation_Req._ext = []
    
    #-----< CHOinformation-Req-ExtIEs >-----#
    CHOinformation_Req_ExtIEs = CLASS(name='CHOinformation-Req-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CHOinformation_Req_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CHOinformation-Ack >-----#
    CHOinformation_Ack = SEQ(name='CHOinformation-Ack', mode=MODE_TYPE)
    _CHOinformation_Ack_requestedTargetCellGlobalID = CHOICE(name='requestedTargetCellGlobalID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _CHOinformation_Ack_maxCHOoperations = INT(name='maxCHOoperations', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaxCHOpreparations')), opt=True)
    _CHOinformation_Ack_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CHOinformation_Ack_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CHOinformation_Ack_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CHOinformation_Ack_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Ack_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Ack_iE_Extensions__item__id._const_tab = ____CHOinformation_Ack_iE_Extensions__item__id_tab
    ___CHOinformation_Ack_iE_Extensions__item__id._const_tab_at = None
    ___CHOinformation_Ack_iE_Extensions__item__id._const_tab_id = 'id'
    ___CHOinformation_Ack_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CHOinformation_Ack_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Ack_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Ack_iE_Extensions__item__criticality._const_tab = ____CHOinformation_Ack_iE_Extensions__item__criticality_tab
    ___CHOinformation_Ack_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CHOinformation_Ack_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CHOinformation_Ack_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CHOinformation_Ack_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CHOinformation_Ack_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CHOinformation_Ack_iE_Extensions__item__extensionValue._const_tab = ____CHOinformation_Ack_iE_Extensions__item__extensionValue_tab
    ___CHOinformation_Ack_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CHOinformation_Ack_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CHOinformation_Ack_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CHOinformation_Ack_iE_Extensions__item__id),
        ('criticality', ___CHOinformation_Ack_iE_Extensions__item__criticality),
        ('extensionValue', ___CHOinformation_Ack_iE_Extensions__item__extensionValue),
        ])
    __CHOinformation_Ack_iE_Extensions__item_._ext = None
    _CHOinformation_Ack_iE_Extensions._cont = __CHOinformation_Ack_iE_Extensions__item_
    _CHOinformation_Ack_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CHOinformation_Ack._cont = ASN1Dict([
        ('requestedTargetCellGlobalID', _CHOinformation_Ack_requestedTargetCellGlobalID),
        ('maxCHOoperations', _CHOinformation_Ack_maxCHOoperations),
        ('iE-Extensions', _CHOinformation_Ack_iE_Extensions),
        ])
    CHOinformation_Ack._ext = []
    
    #-----< CHOinformation-Ack-ExtIEs >-----#
    CHOinformation_Ack_ExtIEs = CLASS(name='CHOinformation-Ack-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CHOinformation_Ack_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CHO-Probability >-----#
    CHO_Probability = INT(name='CHO-Probability', mode=MODE_TYPE)
    CHO_Probability._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=100)], ev=None, er=[])
    
    #-----< ConfiguredTACIndication >-----#
    ConfiguredTACIndication = ENUM(name='ConfiguredTACIndication', mode=MODE_TYPE)
    ConfiguredTACIndication._cont = ASN1Dict([('true', 0)])
    ConfiguredTACIndication._ext = []
    
    #-----< Connectivity-Support >-----#
    Connectivity_Support = SEQ(name='Connectivity-Support', mode=MODE_TYPE)
    _Connectivity_Support_eNDC_Support = ENUM(name='eNDC-Support', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _Connectivity_Support_eNDC_Support._cont = ASN1Dict([('supported', 0), ('not-supported', 1)])
    _Connectivity_Support_eNDC_Support._ext = []
    _Connectivity_Support_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Connectivity_Support_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Connectivity_Support_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Connectivity_Support_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__id._const_tab = ____Connectivity_Support_iE_Extensions__item__id_tab
    ___Connectivity_Support_iE_Extensions__item__id._const_tab_at = None
    ___Connectivity_Support_iE_Extensions__item__id._const_tab_id = 'id'
    ___Connectivity_Support_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____Connectivity_Support_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab = ____Connectivity_Support_iE_Extensions__item__criticality_tab
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Connectivity_Support_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____Connectivity_Support_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab = ____Connectivity_Support_iE_Extensions__item__extensionValue_tab
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Connectivity_Support_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Connectivity_Support_iE_Extensions__item__id),
        ('criticality', ___Connectivity_Support_iE_Extensions__item__criticality),
        ('extensionValue', ___Connectivity_Support_iE_Extensions__item__extensionValue),
        ])
    __Connectivity_Support_iE_Extensions__item_._ext = None
    _Connectivity_Support_iE_Extensions._cont = __Connectivity_Support_iE_Extensions__item_
    _Connectivity_Support_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Connectivity_Support._cont = ASN1Dict([
        ('eNDC-Support', _Connectivity_Support_eNDC_Support),
        ('iE-Extensions', _Connectivity_Support_iE_Extensions),
        ])
    Connectivity_Support._ext = []
    
    #-----< Connectivity-Support-ExtIEs >-----#
    Connectivity_Support_ExtIEs = CLASS(name='Connectivity-Support-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Connectivity_Support_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< COUNT-PDCP-SN12 >-----#
    COUNT_PDCP_SN12 = SEQ(name='COUNT-PDCP-SN12', mode=MODE_TYPE)
    _COUNT_PDCP_SN12_pdcp_SN12 = INT(name='pdcp-SN12', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN12_pdcp_SN12._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=None, er=[])
    _COUNT_PDCP_SN12_hfn_PDCP_SN12 = INT(name='hfn-PDCP-SN12', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN12_hfn_PDCP_SN12._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1048575)], ev=None, er=[])
    _COUNT_PDCP_SN12_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __COUNT_PDCP_SN12_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___COUNT_PDCP_SN12_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab_at = None
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab_id = 'id'
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __COUNT_PDCP_SN12_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___COUNT_PDCP_SN12_iE_Extensions__item__id),
        ('criticality', ___COUNT_PDCP_SN12_iE_Extensions__item__criticality),
        ('extensionValue', ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue),
        ])
    __COUNT_PDCP_SN12_iE_Extensions__item_._ext = None
    _COUNT_PDCP_SN12_iE_Extensions._cont = __COUNT_PDCP_SN12_iE_Extensions__item_
    _COUNT_PDCP_SN12_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    COUNT_PDCP_SN12._cont = ASN1Dict([
        ('pdcp-SN12', _COUNT_PDCP_SN12_pdcp_SN12),
        ('hfn-PDCP-SN12', _COUNT_PDCP_SN12_hfn_PDCP_SN12),
        ('iE-Extensions', _COUNT_PDCP_SN12_iE_Extensions),
        ])
    COUNT_PDCP_SN12._ext = []
    
    #-----< COUNT-PDCP-SN12-ExtIEs >-----#
    COUNT_PDCP_SN12_ExtIEs = CLASS(name='COUNT-PDCP-SN12-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    COUNT_PDCP_SN12_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< COUNT-PDCP-SN18 >-----#
    COUNT_PDCP_SN18 = SEQ(name='COUNT-PDCP-SN18', mode=MODE_TYPE)
    _COUNT_PDCP_SN18_pdcp_SN18 = INT(name='pdcp-SN18', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN18_pdcp_SN18._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=None, er=[])
    _COUNT_PDCP_SN18_hfn_PDCP_SN18 = INT(name='hfn-PDCP-SN18', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN18_hfn_PDCP_SN18._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16383)], ev=None, er=[])
    _COUNT_PDCP_SN18_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __COUNT_PDCP_SN18_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___COUNT_PDCP_SN18_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab_at = None
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab_id = 'id'
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __COUNT_PDCP_SN18_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___COUNT_PDCP_SN18_iE_Extensions__item__id),
        ('criticality', ___COUNT_PDCP_SN18_iE_Extensions__item__criticality),
        ('extensionValue', ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue),
        ])
    __COUNT_PDCP_SN18_iE_Extensions__item_._ext = None
    _COUNT_PDCP_SN18_iE_Extensions._cont = __COUNT_PDCP_SN18_iE_Extensions__item_
    _COUNT_PDCP_SN18_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    COUNT_PDCP_SN18._cont = ASN1Dict([
        ('pdcp-SN18', _COUNT_PDCP_SN18_pdcp_SN18),
        ('hfn-PDCP-SN18', _COUNT_PDCP_SN18_hfn_PDCP_SN18),
        ('iE-Extensions', _COUNT_PDCP_SN18_iE_Extensions),
        ])
    COUNT_PDCP_SN18._ext = []
    
    #-----< COUNT-PDCP-SN18-ExtIEs >-----#
    COUNT_PDCP_SN18_ExtIEs = CLASS(name='COUNT-PDCP-SN18-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    COUNT_PDCP_SN18_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CPTransportLayerInformation >-----#
    CPTransportLayerInformation = CHOICE(name='CPTransportLayerInformation', mode=MODE_TYPE)
    _CPTransportLayerInformation_endpointIPAddress = BIT_STR(name='endpointIPAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _CPTransportLayerInformation_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __CPTransportLayerInformation_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___CPTransportLayerInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'EndpointIPAddressAndPort')))
    ___CPTransportLayerInformation_choice_extension_id_tab._val = ASN1Set(rv=[dict([('id', 139), ('criticality', 'reject'), ('Value', ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    __CPTransportLayerInformation_choice_extension_id._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_id._const_tab_at = None
    __CPTransportLayerInformation_choice_extension_id._const_tab_id = 'id'
    __CPTransportLayerInformation_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    __CPTransportLayerInformation_choice_extension_criticality._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_criticality._const_tab_at = ('..', 'id')
    __CPTransportLayerInformation_choice_extension_criticality._const_tab_id = 'criticality'
    __CPTransportLayerInformation_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    __CPTransportLayerInformation_choice_extension_value._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_value._const_tab_at = ('..', 'id')
    __CPTransportLayerInformation_choice_extension_value._const_tab_id = 'Value'
    _CPTransportLayerInformation_choice_extension._cont = ASN1Dict([
        ('id', __CPTransportLayerInformation_choice_extension_id),
        ('criticality', __CPTransportLayerInformation_choice_extension_criticality),
        ('value', __CPTransportLayerInformation_choice_extension_value),
        ])
    _CPTransportLayerInformation_choice_extension._ext = None
    CPTransportLayerInformation._cont = ASN1Dict([
        ('endpointIPAddress', _CPTransportLayerInformation_endpointIPAddress),
        ('choice-extension', _CPTransportLayerInformation_choice_extension),
        ])
    CPTransportLayerInformation._ext = None
    
    #-----< CPTransportLayerInformation-ExtIEs >-----#
    CPTransportLayerInformation_ExtIEs = CLASS(name='CPTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CPTransportLayerInformation_ExtIEs_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'EndpointIPAddressAndPort')))
    CPTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[dict([('id', 139), ('criticality', 'reject'), ('Value', _CPTransportLayerInformation_ExtIEs_val_Value_0), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics >-----#
    CriticalityDiagnostics = SEQ(name='CriticalityDiagnostics', mode=MODE_TYPE)
    _CriticalityDiagnostics_procedureCode = INT(name='procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')), opt=True)
    _CriticalityDiagnostics_triggeringMessage = ENUM(name='triggeringMessage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'TriggeringMessage')), opt=True)
    _CriticalityDiagnostics_procedureCriticality = ENUM(name='procedureCriticality', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')), opt=True)
    _CriticalityDiagnostics_iEsCriticalityDiagnostics = SEQ_OF(name='iEsCriticalityDiagnostics', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics-IE-List')), opt=True)
    _CriticalityDiagnostics_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CriticalityDiagnostics_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CriticalityDiagnostics_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__id_tab
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_at = None
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_id = 'id'
    ___CriticalityDiagnostics_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CriticalityDiagnostics_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CriticalityDiagnostics_iE_Extensions__item__id),
        ('criticality', ___CriticalityDiagnostics_iE_Extensions__item__criticality),
        ('extensionValue', ___CriticalityDiagnostics_iE_Extensions__item__extensionValue),
        ])
    __CriticalityDiagnostics_iE_Extensions__item_._ext = None
    _CriticalityDiagnostics_iE_Extensions._cont = __CriticalityDiagnostics_iE_Extensions__item_
    _CriticalityDiagnostics_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CriticalityDiagnostics._cont = ASN1Dict([
        ('procedureCode', _CriticalityDiagnostics_procedureCode),
        ('triggeringMessage', _CriticalityDiagnostics_triggeringMessage),
        ('procedureCriticality', _CriticalityDiagnostics_procedureCriticality),
        ('iEsCriticalityDiagnostics', _CriticalityDiagnostics_iEsCriticalityDiagnostics),
        ('iE-Extensions', _CriticalityDiagnostics_iE_Extensions),
        ])
    CriticalityDiagnostics._ext = []
    
    #-----< CriticalityDiagnostics-ExtIEs >-----#
    CriticalityDiagnostics_ExtIEs = CLASS(name='CriticalityDiagnostics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics-IE-List >-----#
    CriticalityDiagnostics_IE_List = SEQ_OF(name='CriticalityDiagnostics-IE-List', mode=MODE_TYPE)
    _CriticalityDiagnostics_IE_List__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __CriticalityDiagnostics_IE_List__item__iECriticality = ENUM(name='iECriticality', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    __CriticalityDiagnostics_IE_List__item__iE_ID = INT(name='iE-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    __CriticalityDiagnostics_IE_List__item__typeOfError = ENUM(name='typeOfError', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TypeOfError')))
    __CriticalityDiagnostics_IE_List__item__iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_at = None
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_id = 'id'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._cont = ASN1Dict([
        ('id', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id),
        ('criticality', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality),
        ('extensionValue', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue),
        ])
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._ext = None
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._cont = ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _CriticalityDiagnostics_IE_List__item_._cont = ASN1Dict([
        ('iECriticality', __CriticalityDiagnostics_IE_List__item__iECriticality),
        ('iE-ID', __CriticalityDiagnostics_IE_List__item__iE_ID),
        ('typeOfError', __CriticalityDiagnostics_IE_List__item__typeOfError),
        ('iE-Extensions', __CriticalityDiagnostics_IE_List__item__iE_Extensions),
        ])
    _CriticalityDiagnostics_IE_List__item_._ext = []
    CriticalityDiagnostics_IE_List._cont = _CriticalityDiagnostics_IE_List__item_
    CriticalityDiagnostics_IE_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CriticalityDiagnostics-IE-List-ExtIEs >-----#
    CriticalityDiagnostics_IE_List_ExtIEs = CLASS(name='CriticalityDiagnostics-IE-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_IE_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< C-RNTI >-----#
    C_RNTI = BIT_STR(name='C-RNTI', mode=MODE_TYPE)
    C_RNTI._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< CyclicPrefix-E-UTRA-DL >-----#
    CyclicPrefix_E_UTRA_DL = ENUM(name='CyclicPrefix-E-UTRA-DL', mode=MODE_TYPE)
    CyclicPrefix_E_UTRA_DL._cont = ASN1Dict([('normal', 0), ('extended', 1)])
    CyclicPrefix_E_UTRA_DL._ext = []
    
    #-----< CyclicPrefix-E-UTRA-UL >-----#
    CyclicPrefix_E_UTRA_UL = ENUM(name='CyclicPrefix-E-UTRA-UL', mode=MODE_TYPE)
    CyclicPrefix_E_UTRA_UL._cont = ASN1Dict([('normal', 0), ('extended', 1)])
    CyclicPrefix_E_UTRA_UL._ext = []
    
    #-----< CSI-RSTransmissionIndication >-----#
    CSI_RSTransmissionIndication = ENUM(name='CSI-RSTransmissionIndication', mode=MODE_TYPE)
    CSI_RSTransmissionIndication._cont = ASN1Dict([('activated', 0), ('deactivated', 1)])
    CSI_RSTransmissionIndication._ext = []
    
    #-----< XnUAddressInfoperPDUSession-List >-----#
    XnUAddressInfoperPDUSession_List = SEQ_OF(name='XnUAddressInfoperPDUSession-List', mode=MODE_TYPE)
    _XnUAddressInfoperPDUSession_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-Item')))
    XnUAddressInfoperPDUSession_List._cont = _XnUAddressInfoperPDUSession_List__item_
    XnUAddressInfoperPDUSession_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< XnUAddressInfoperPDUSession-Item >-----#
    XnUAddressInfoperPDUSession_Item = SEQ(name='XnUAddressInfoperPDUSession-Item', mode=MODE_TYPE)
    _XnUAddressInfoperPDUSession_Item_pduSession_ID = INT(name='pduSession-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode = SEQ(name='dataForwardingInfoFromTargetNGRANnode', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm = SEQ(name='pduSessionResourceSetupCompleteInfo-SNterm', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceBearerSetupCompleteInfo-SNterminated')), opt=True)
    _XnUAddressInfoperPDUSession_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetE-UTRANnode')))
    ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 109), ('criticality', 'ignore'), ('Extension', _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 133), ('criticality', 'reject'), ('Extension', _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 252), ('criticality', 'ignore'), ('Extension', _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab_at = None
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id),
        ('criticality', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality),
        ('extensionValue', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue),
        ])
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_._ext = None
    _XnUAddressInfoperPDUSession_Item_iE_Extension._cont = __XnUAddressInfoperPDUSession_Item_iE_Extension__item_
    _XnUAddressInfoperPDUSession_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    XnUAddressInfoperPDUSession_Item._cont = ASN1Dict([
        ('pduSession-ID', _XnUAddressInfoperPDUSession_Item_pduSession_ID),
        ('dataForwardingInfoFromTargetNGRANnode', _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode),
        ('pduSessionResourceSetupCompleteInfo-SNterm', _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm),
        ('iE-Extension', _XnUAddressInfoperPDUSession_Item_iE_Extension),
        ])
    XnUAddressInfoperPDUSession_Item._ext = []
    
    #-----< XnUAddressInfoperPDUSession-Item-ExtIEs >-----#
    XnUAddressInfoperPDUSession_Item_ExtIEs = CLASS(name='XnUAddressInfoperPDUSession-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetE-UTRANnode')))
    XnUAddressInfoperPDUSession_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 109), ('criticality', 'ignore'), ('Extension', _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 133), ('criticality', 'reject'), ('Extension', _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 252), ('criticality', 'ignore'), ('Extension', _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DataForwardingAccepted >-----#
    DataForwardingAccepted = ENUM(name='DataForwardingAccepted', mode=MODE_TYPE)
    DataForwardingAccepted._cont = ASN1Dict([('data-forwarding-accepted', 0)])
    DataForwardingAccepted._ext = []
    
    #-----< DataForwardingInfoFromTargetE-UTRANnode >-----#
    DataForwardingInfoFromTargetE_UTRANnode = SEQ(name='DataForwardingInfoFromTargetE-UTRANnode', mode=MODE_TYPE)
    _DataForwardingInfoFromTargetE_UTRANnode_dataForwardingInfoFromTargetE_UTRANnode_List = SEQ_OF(name='dataForwardingInfoFromTargetE-UTRANnode-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetE-UTRANnode-List')))
    _DataForwardingInfoFromTargetE_UTRANnode_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id._const_tab_id = 'id'
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id),
        ('criticality', ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality),
        ('extensionValue', ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue),
        ])
    __DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item_._ext = None
    _DataForwardingInfoFromTargetE_UTRANnode_iE_Extension._cont = __DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item_
    _DataForwardingInfoFromTargetE_UTRANnode_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingInfoFromTargetE_UTRANnode._cont = ASN1Dict([
        ('dataForwardingInfoFromTargetE-UTRANnode-List', _DataForwardingInfoFromTargetE_UTRANnode_dataForwardingInfoFromTargetE_UTRANnode_List),
        ('iE-Extension', _DataForwardingInfoFromTargetE_UTRANnode_iE_Extension),
        ])
    DataForwardingInfoFromTargetE_UTRANnode._ext = []
    
    #-----< DataForwardingInfoFromTargetE-UTRANnode-ExtIEs >-----#
    DataForwardingInfoFromTargetE_UTRANnode_ExtIEs = CLASS(name='DataForwardingInfoFromTargetE-UTRANnode-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingInfoFromTargetE_UTRANnode_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataForwardingInfoFromTargetE-UTRANnode-List >-----#
    DataForwardingInfoFromTargetE_UTRANnode_List = SEQ_OF(name='DataForwardingInfoFromTargetE-UTRANnode-List', mode=MODE_TYPE)
    _DataForwardingInfoFromTargetE_UTRANnode_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetE-UTRANnode-Item')))
    DataForwardingInfoFromTargetE_UTRANnode_List._cont = _DataForwardingInfoFromTargetE_UTRANnode_List__item_
    DataForwardingInfoFromTargetE_UTRANnode_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< DataForwardingInfoFromTargetE-UTRANnode-Item >-----#
    DataForwardingInfoFromTargetE_UTRANnode_Item = SEQ(name='DataForwardingInfoFromTargetE-UTRANnode-Item', mode=MODE_TYPE)
    _DataForwardingInfoFromTargetE_UTRANnode_Item_dlForwardingUPTNLInformation = CHOICE(name='dlForwardingUPTNLInformation', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _DataForwardingInfoFromTargetE_UTRANnode_Item_qosFlowsToBeForwarded_List = SEQ_OF(name='qosFlowsToBeForwarded-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeForwarded-List')))
    _DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue._const_tab = ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue_tab
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id),
        ('criticality', ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue),
        ])
    __DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item_._ext = None
    _DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension._cont = __DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item_
    _DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingInfoFromTargetE_UTRANnode_Item._cont = ASN1Dict([
        ('dlForwardingUPTNLInformation', _DataForwardingInfoFromTargetE_UTRANnode_Item_dlForwardingUPTNLInformation),
        ('qosFlowsToBeForwarded-List', _DataForwardingInfoFromTargetE_UTRANnode_Item_qosFlowsToBeForwarded_List),
        ('iE-Extension', _DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension),
        ])
    DataForwardingInfoFromTargetE_UTRANnode_Item._ext = []
    
    #-----< DataForwardingInfoFromTargetE-UTRANnode-Item-ExtIEs >-----#
    DataForwardingInfoFromTargetE_UTRANnode_Item_ExtIEs = CLASS(name='DataForwardingInfoFromTargetE-UTRANnode-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingInfoFromTargetE_UTRANnode_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeForwarded-List >-----#
    QoSFlowsToBeForwarded_List = SEQ_OF(name='QoSFlowsToBeForwarded-List', mode=MODE_TYPE)
    _QoSFlowsToBeForwarded_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeForwarded-Item')))
    QoSFlowsToBeForwarded_List._cont = _QoSFlowsToBeForwarded_List__item_
    QoSFlowsToBeForwarded_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeForwarded-Item >-----#
    QoSFlowsToBeForwarded_Item = SEQ(name='QoSFlowsToBeForwarded-Item', mode=MODE_TYPE)
    _QoSFlowsToBeForwarded_Item_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeForwarded_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeForwarded_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id._const_tab = ____QoSFlowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality_tab
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsToBeForwarded_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id),
        ('criticality', ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowsToBeForwarded_Item_iE_Extension__item_._ext = None
    _QoSFlowsToBeForwarded_Item_iE_Extension._cont = __QoSFlowsToBeForwarded_Item_iE_Extension__item_
    _QoSFlowsToBeForwarded_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeForwarded_Item._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFlowsToBeForwarded_Item_qosFlowIdentifier),
        ('iE-Extension', _QoSFlowsToBeForwarded_Item_iE_Extension),
        ])
    QoSFlowsToBeForwarded_Item._ext = []
    
    #-----< QoSFlowsToBeForwarded-Item-ExtIEs >-----#
    QoSFlowsToBeForwarded_Item_ExtIEs = CLASS(name='QoSFlowsToBeForwarded-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsToBeForwarded_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataForwardingInfoFromTargetNGRANnode >-----#
    DataForwardingInfoFromTargetNGRANnode = SEQ(name='DataForwardingInfoFromTargetNGRANnode', mode=MODE_TYPE)
    _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List = SEQ_OF(name='qosFlowsAcceptedForDataForwarding-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsAcceptedToBeForwarded-List')))
    _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo = CHOICE(name='pduSessionLevelDLDataForwardingInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo = CHOICE(name='pduSessionLevelULDataForwardingInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList = SEQ_OF(name='dataForwardingResponseDRBItemList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingResponseDRBItemList')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab_id = 'id'
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id),
        ('criticality', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality),
        ('extensionValue', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue),
        ])
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_._ext = None
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension._cont = __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingInfoFromTargetNGRANnode._cont = ASN1Dict([
        ('qosFlowsAcceptedForDataForwarding-List', _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List),
        ('pduSessionLevelDLDataForwardingInfo', _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo),
        ('pduSessionLevelULDataForwardingInfo', _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo),
        ('dataForwardingResponseDRBItemList', _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList),
        ('iE-Extension', _DataForwardingInfoFromTargetNGRANnode_iE_Extension),
        ])
    DataForwardingInfoFromTargetNGRANnode._ext = []
    
    #-----< DataForwardingInfoFromTargetNGRANnode-ExtIEs >-----#
    DataForwardingInfoFromTargetNGRANnode_ExtIEs = CLASS(name='DataForwardingInfoFromTargetNGRANnode-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingInfoFromTargetNGRANnode_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFLowsAcceptedToBeForwarded-List >-----#
    QoSFLowsAcceptedToBeForwarded_List = SEQ_OF(name='QoSFLowsAcceptedToBeForwarded-List', mode=MODE_TYPE)
    _QoSFLowsAcceptedToBeForwarded_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsAcceptedToBeForwarded-Item')))
    QoSFLowsAcceptedToBeForwarded_List._cont = _QoSFLowsAcceptedToBeForwarded_List__item_
    QoSFLowsAcceptedToBeForwarded_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFLowsAcceptedToBeForwarded-Item >-----#
    QoSFLowsAcceptedToBeForwarded_Item = SEQ(name='QoSFLowsAcceptedToBeForwarded-Item', mode=MODE_TYPE)
    _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id),
        ('criticality', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_._ext = None
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension._cont = __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFLowsAcceptedToBeForwarded_Item._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier),
        ('iE-Extension', _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension),
        ])
    QoSFLowsAcceptedToBeForwarded_Item._ext = []
    
    #-----< QoSFLowsAcceptedToBeForwarded-Item-ExtIEs >-----#
    QoSFLowsAcceptedToBeForwarded_Item_ExtIEs = CLASS(name='QoSFLowsAcceptedToBeForwarded-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFLowsAcceptedToBeForwarded_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataforwardingandOffloadingInfofromSource >-----#
    DataforwardingandOffloadingInfofromSource = SEQ(name='DataforwardingandOffloadingInfofromSource', mode=MODE_TYPE)
    _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded = SEQ_OF(name='qosFlowsToBeForwarded', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsToBeForwarded-List')))
    _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping = SEQ_OF(name='sourceDRBtoQoSFlowMapping', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-List')), opt=True)
    _DataforwardingandOffloadingInfofromSource_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab_at = None
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab_id = 'id'
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id),
        ('criticality', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality),
        ('extensionValue', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue),
        ])
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_._ext = None
    _DataforwardingandOffloadingInfofromSource_iE_Extension._cont = __DataforwardingandOffloadingInfofromSource_iE_Extension__item_
    _DataforwardingandOffloadingInfofromSource_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataforwardingandOffloadingInfofromSource._cont = ASN1Dict([
        ('qosFlowsToBeForwarded', _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded),
        ('sourceDRBtoQoSFlowMapping', _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping),
        ('iE-Extension', _DataforwardingandOffloadingInfofromSource_iE_Extension),
        ])
    DataforwardingandOffloadingInfofromSource._ext = []
    
    #-----< DataforwardingandOffloadingInfofromSource-ExtIEs >-----#
    DataforwardingandOffloadingInfofromSource_ExtIEs = CLASS(name='DataforwardingandOffloadingInfofromSource-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataforwardingandOffloadingInfofromSource_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFLowsToBeForwarded-List >-----#
    QoSFLowsToBeForwarded_List = SEQ_OF(name='QoSFLowsToBeForwarded-List', mode=MODE_TYPE)
    _QoSFLowsToBeForwarded_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsToBeForwarded-Item')))
    QoSFLowsToBeForwarded_List._cont = _QoSFLowsToBeForwarded_List__item_
    QoSFLowsToBeForwarded_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFLowsToBeForwarded-Item >-----#
    QoSFLowsToBeForwarded_Item = SEQ(name='QoSFLowsToBeForwarded-Item', mode=MODE_TYPE)
    _QoSFLowsToBeForwarded_Item_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFLowsToBeForwarded_Item_dl_dataforwarding = ENUM(name='dl-dataforwarding', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DLForwarding')))
    _QoSFLowsToBeForwarded_Item_ul_dataforwarding = ENUM(name='ul-dataforwarding', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULForwarding')))
    _QoSFLowsToBeForwarded_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ULForwardingProposal')))
    _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_1 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_2 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 138), ('criticality', 'ignore'), ('Extension', _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 255), ('criticality', 'ignore'), ('Extension', _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 256), ('criticality', 'ignore'), ('Extension', _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id),
        ('criticality', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_._ext = None
    _QoSFLowsToBeForwarded_Item_iE_Extension._cont = __QoSFLowsToBeForwarded_Item_iE_Extension__item_
    _QoSFLowsToBeForwarded_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFLowsToBeForwarded_Item._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFLowsToBeForwarded_Item_qosFlowIdentifier),
        ('dl-dataforwarding', _QoSFLowsToBeForwarded_Item_dl_dataforwarding),
        ('ul-dataforwarding', _QoSFLowsToBeForwarded_Item_ul_dataforwarding),
        ('iE-Extension', _QoSFLowsToBeForwarded_Item_iE_Extension),
        ])
    QoSFLowsToBeForwarded_Item._ext = []
    
    #-----< QoSFLowsToBeForwarded-Item-ExtIEs >-----#
    QoSFLowsToBeForwarded_Item_ExtIEs = CLASS(name='QoSFLowsToBeForwarded-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ULForwardingProposal')))
    _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_1 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_2 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    QoSFLowsToBeForwarded_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 138), ('criticality', 'ignore'), ('Extension', _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 255), ('criticality', 'ignore'), ('Extension', _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 256), ('criticality', 'ignore'), ('Extension', _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DataForwardingResponseDRBItemList >-----#
    DataForwardingResponseDRBItemList = SEQ_OF(name='DataForwardingResponseDRBItemList', mode=MODE_TYPE)
    _DataForwardingResponseDRBItemList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingResponseDRBItem')))
    DataForwardingResponseDRBItemList._cont = _DataForwardingResponseDRBItemList__item_
    DataForwardingResponseDRBItemList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DataForwardingResponseDRBItem >-----#
    DataForwardingResponseDRBItem = SEQ(name='DataForwardingResponseDRBItem', mode=MODE_TYPE)
    _DataForwardingResponseDRBItem_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DataForwardingResponseDRBItem_dlForwardingUPTNL = CHOICE(name='dlForwardingUPTNL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingResponseDRBItem_ulForwardingUPTNL = CHOICE(name='ulForwardingUPTNL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingResponseDRBItem_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingResponseDRBItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingResponseDRBItem_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab_id = 'id'
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataForwardingResponseDRBItem_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataForwardingResponseDRBItem_iE_Extension__item__id),
        ('criticality', ___DataForwardingResponseDRBItem_iE_Extension__item__criticality),
        ('extensionValue', ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue),
        ])
    __DataForwardingResponseDRBItem_iE_Extension__item_._ext = None
    _DataForwardingResponseDRBItem_iE_Extension._cont = __DataForwardingResponseDRBItem_iE_Extension__item_
    _DataForwardingResponseDRBItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingResponseDRBItem._cont = ASN1Dict([
        ('drb-ID', _DataForwardingResponseDRBItem_drb_ID),
        ('dlForwardingUPTNL', _DataForwardingResponseDRBItem_dlForwardingUPTNL),
        ('ulForwardingUPTNL', _DataForwardingResponseDRBItem_ulForwardingUPTNL),
        ('iE-Extension', _DataForwardingResponseDRBItem_iE_Extension),
        ])
    DataForwardingResponseDRBItem._ext = []
    
    #-----< DataForwardingResponseDRBItem-ExtIEs >-----#
    DataForwardingResponseDRBItem_ExtIEs = CLASS(name='DataForwardingResponseDRBItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingResponseDRBItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataTrafficResources >-----#
    DataTrafficResources = BIT_STR(name='DataTrafficResources', mode=MODE_TYPE)
    DataTrafficResources._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=17600)], ev=None, er=[])
    
    #-----< DataTrafficResourceIndication >-----#
    DataTrafficResourceIndication = SEQ(name='DataTrafficResourceIndication', mode=MODE_TYPE)
    _DataTrafficResourceIndication_activationSFN = INT(name='activationSFN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ActivationSFN')))
    _DataTrafficResourceIndication_sharedResourceType = CHOICE(name='sharedResourceType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType')))
    _DataTrafficResourceIndication_reservedSubframePattern = SEQ(name='reservedSubframePattern', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReservedSubframePattern')), opt=True)
    _DataTrafficResourceIndication_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataTrafficResourceIndication_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataTrafficResourceIndication_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DataTrafficResourceIndication_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__id_tab
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab_at = None
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab_id = 'id'
    ___DataTrafficResourceIndication_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DataTrafficResourceIndication_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DataTrafficResourceIndication_iE_Extension__item__id),
        ('criticality', ___DataTrafficResourceIndication_iE_Extension__item__criticality),
        ('extensionValue', ___DataTrafficResourceIndication_iE_Extension__item__extensionValue),
        ])
    __DataTrafficResourceIndication_iE_Extension__item_._ext = None
    _DataTrafficResourceIndication_iE_Extension._cont = __DataTrafficResourceIndication_iE_Extension__item_
    _DataTrafficResourceIndication_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataTrafficResourceIndication._cont = ASN1Dict([
        ('activationSFN', _DataTrafficResourceIndication_activationSFN),
        ('sharedResourceType', _DataTrafficResourceIndication_sharedResourceType),
        ('reservedSubframePattern', _DataTrafficResourceIndication_reservedSubframePattern),
        ('iE-Extension', _DataTrafficResourceIndication_iE_Extension),
        ])
    DataTrafficResourceIndication._ext = []
    
    #-----< DataTrafficResourceIndication-ExtIEs >-----#
    DataTrafficResourceIndication_ExtIEs = CLASS(name='DataTrafficResourceIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataTrafficResourceIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DAPSRequestInfo >-----#
    DAPSRequestInfo = SEQ(name='DAPSRequestInfo', mode=MODE_TYPE)
    _DAPSRequestInfo_dapsIndicator = ENUM(name='dapsIndicator', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DAPSRequestInfo_dapsIndicator._cont = ASN1Dict([('daps-HO-required', 0)])
    _DAPSRequestInfo_dapsIndicator._ext = []
    _DAPSRequestInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DAPSRequestInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DAPSRequestInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DAPSRequestInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSRequestInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSRequestInfo_iE_Extensions__item__id._const_tab = ____DAPSRequestInfo_iE_Extensions__item__id_tab
    ___DAPSRequestInfo_iE_Extensions__item__id._const_tab_at = None
    ___DAPSRequestInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___DAPSRequestInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DAPSRequestInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSRequestInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSRequestInfo_iE_Extensions__item__criticality._const_tab = ____DAPSRequestInfo_iE_Extensions__item__criticality_tab
    ___DAPSRequestInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DAPSRequestInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DAPSRequestInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DAPSRequestInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSRequestInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSRequestInfo_iE_Extensions__item__extensionValue._const_tab = ____DAPSRequestInfo_iE_Extensions__item__extensionValue_tab
    ___DAPSRequestInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DAPSRequestInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DAPSRequestInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DAPSRequestInfo_iE_Extensions__item__id),
        ('criticality', ___DAPSRequestInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___DAPSRequestInfo_iE_Extensions__item__extensionValue),
        ])
    __DAPSRequestInfo_iE_Extensions__item_._ext = None
    _DAPSRequestInfo_iE_Extensions._cont = __DAPSRequestInfo_iE_Extensions__item_
    _DAPSRequestInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DAPSRequestInfo._cont = ASN1Dict([
        ('dapsIndicator', _DAPSRequestInfo_dapsIndicator),
        ('iE-Extensions', _DAPSRequestInfo_iE_Extensions),
        ])
    DAPSRequestInfo._ext = []
    
    #-----< DAPSRequestInfo-ExtIEs >-----#
    DAPSRequestInfo_ExtIEs = CLASS(name='DAPSRequestInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DAPSRequestInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DAPSResponseInfo-List >-----#
    DAPSResponseInfo_List = SEQ_OF(name='DAPSResponseInfo-List', mode=MODE_TYPE)
    _DAPSResponseInfo_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DAPSResponseInfo-Item')))
    DAPSResponseInfo_List._cont = _DAPSResponseInfo_List__item_
    DAPSResponseInfo_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DAPSResponseInfo-Item >-----#
    DAPSResponseInfo_Item = SEQ(name='DAPSResponseInfo-Item', mode=MODE_TYPE)
    _DAPSResponseInfo_Item_drbID = INT(name='drbID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DAPSResponseInfo_Item_dapsResponseIndicator = ENUM(name='dapsResponseIndicator', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DAPSResponseInfo_Item_dapsResponseIndicator._cont = ASN1Dict([('daps-HO-accepted', 0), ('daps-HO-not-accepted', 1)])
    _DAPSResponseInfo_Item_dapsResponseIndicator._ext = []
    _DAPSResponseInfo_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DAPSResponseInfo_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DAPSResponseInfo_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DAPSResponseInfo_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSResponseInfo_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSResponseInfo_Item_iE_Extensions__item__id._const_tab = ____DAPSResponseInfo_Item_iE_Extensions__item__id_tab
    ___DAPSResponseInfo_Item_iE_Extensions__item__id._const_tab_at = None
    ___DAPSResponseInfo_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DAPSResponseInfo_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DAPSResponseInfo_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSResponseInfo_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSResponseInfo_Item_iE_Extensions__item__criticality._const_tab = ____DAPSResponseInfo_Item_iE_Extensions__item__criticality_tab
    ___DAPSResponseInfo_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DAPSResponseInfo_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DAPSResponseInfo_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DAPSResponseInfo_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue._const_tab = ____DAPSResponseInfo_Item_iE_Extensions__item__extensionValue_tab
    ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DAPSResponseInfo_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DAPSResponseInfo_Item_iE_Extensions__item__id),
        ('criticality', ___DAPSResponseInfo_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue),
        ])
    __DAPSResponseInfo_Item_iE_Extensions__item_._ext = None
    _DAPSResponseInfo_Item_iE_Extensions._cont = __DAPSResponseInfo_Item_iE_Extensions__item_
    _DAPSResponseInfo_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DAPSResponseInfo_Item._cont = ASN1Dict([
        ('drbID', _DAPSResponseInfo_Item_drbID),
        ('dapsResponseIndicator', _DAPSResponseInfo_Item_dapsResponseIndicator),
        ('iE-Extensions', _DAPSResponseInfo_Item_iE_Extensions),
        ])
    DAPSResponseInfo_Item._ext = []
    
    #-----< DAPSResponseInfo-Item-ExtIEs >-----#
    DAPSResponseInfo_Item_ExtIEs = CLASS(name='DAPSResponseInfo-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DAPSResponseInfo_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DeliveryStatus >-----#
    DeliveryStatus = INT(name='DeliveryStatus', mode=MODE_TYPE)
    DeliveryStatus._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< DesiredActNotificationLevel >-----#
    DesiredActNotificationLevel = ENUM(name='DesiredActNotificationLevel', mode=MODE_TYPE)
    DesiredActNotificationLevel._cont = ASN1Dict([('none', 0), ('qos-flow', 1), ('pdu-session', 2), ('ue-level', 3)])
    DesiredActNotificationLevel._ext = []
    
    #-----< DefaultDRB-Allowed >-----#
    DefaultDRB_Allowed = ENUM(name='DefaultDRB-Allowed', mode=MODE_TYPE)
    DefaultDRB_Allowed._cont = ASN1Dict([('true', 0), ('false', 1)])
    DefaultDRB_Allowed._ext = []
    
    #-----< DirectForwardingPathAvailability >-----#
    DirectForwardingPathAvailability = ENUM(name='DirectForwardingPathAvailability', mode=MODE_TYPE)
    DirectForwardingPathAvailability._cont = ASN1Dict([('direct-path-available', 0)])
    DirectForwardingPathAvailability._ext = []
    
    #-----< DLCountChoice >-----#
    DLCountChoice = CHOICE(name='DLCountChoice', mode=MODE_TYPE)
    _DLCountChoice_count12bits = SEQ(name='count12bits', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN12')))
    _DLCountChoice_count18bits = SEQ(name='count18bits', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN18')))
    _DLCountChoice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __DLCountChoice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___DLCountChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DLCountChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DLCountChoice_choice_extension_id._const_tab = ___DLCountChoice_choice_extension_id_tab
    __DLCountChoice_choice_extension_id._const_tab_at = None
    __DLCountChoice_choice_extension_id._const_tab_id = 'id'
    __DLCountChoice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___DLCountChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DLCountChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DLCountChoice_choice_extension_criticality._const_tab = ___DLCountChoice_choice_extension_criticality_tab
    __DLCountChoice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __DLCountChoice_choice_extension_criticality._const_tab_id = 'criticality'
    __DLCountChoice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___DLCountChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DLCountChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DLCountChoice_choice_extension_value._const_tab = ___DLCountChoice_choice_extension_value_tab
    __DLCountChoice_choice_extension_value._const_tab_at = ('..', 'id')
    __DLCountChoice_choice_extension_value._const_tab_id = 'Value'
    _DLCountChoice_choice_extension._cont = ASN1Dict([
        ('id', __DLCountChoice_choice_extension_id),
        ('criticality', __DLCountChoice_choice_extension_criticality),
        ('value', __DLCountChoice_choice_extension_value),
        ])
    _DLCountChoice_choice_extension._ext = None
    DLCountChoice._cont = ASN1Dict([
        ('count12bits', _DLCountChoice_count12bits),
        ('count18bits', _DLCountChoice_count18bits),
        ('choice-extension', _DLCountChoice_choice_extension),
        ])
    DLCountChoice._ext = None
    
    #-----< DLCountChoice-ExtIEs >-----#
    DLCountChoice_ExtIEs = CLASS(name='DLCountChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    DLCountChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DLForwarding >-----#
    DLForwarding = ENUM(name='DLForwarding', mode=MODE_TYPE)
    DLForwarding._cont = ASN1Dict([('dl-forwarding-proposed', 0)])
    DLForwarding._ext = []
    
    #-----< DL-GBR-PRB-usage >-----#
    DL_GBR_PRB_usage = INT(name='DL-GBR-PRB-usage', mode=MODE_TYPE)
    DL_GBR_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< DL-non-GBR-PRB-usage >-----#
    DL_non_GBR_PRB_usage = INT(name='DL-non-GBR-PRB-usage', mode=MODE_TYPE)
    DL_non_GBR_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< DL-Total-PRB-usage >-----#
    DL_Total_PRB_usage = INT(name='DL-Total-PRB-usage', mode=MODE_TYPE)
    DL_Total_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< DRB-ID >-----#
    DRB_ID = INT(name='DRB-ID', mode=MODE_TYPE)
    DRB_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< DRB-List >-----#
    DRB_List = SEQ_OF(name='DRB-List', mode=MODE_TYPE)
    _DRB_List__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    DRB_List._cont = _DRB_List__item_
    DRB_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-List-withCause >-----#
    DRB_List_withCause = SEQ_OF(name='DRB-List-withCause', mode=MODE_TYPE)
    _DRB_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause-Item')))
    DRB_List_withCause._cont = _DRB_List_withCause__item_
    DRB_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-List-withCause-Item >-----#
    DRB_List_withCause_Item = SEQ(name='DRB-List-withCause-Item', mode=MODE_TYPE)
    _DRB_List_withCause_Item_drb_id = INT(name='drb-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRB_List_withCause_Item_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _DRB_List_withCause_Item_rLC_Mode = ENUM(name='rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')), opt=True)
    _DRB_List_withCause_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_List_withCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRB_List_withCause_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRB_List_withCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__id_tab
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab_at = None
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DRB_List_withCause_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRB_List_withCause_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRB_List_withCause_Item_iE_Extension__item__id),
        ('criticality', ___DRB_List_withCause_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DRB_List_withCause_Item_iE_Extension__item__extensionValue),
        ])
    __DRB_List_withCause_Item_iE_Extension__item_._ext = None
    _DRB_List_withCause_Item_iE_Extension._cont = __DRB_List_withCause_Item_iE_Extension__item_
    _DRB_List_withCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_List_withCause_Item._cont = ASN1Dict([
        ('drb-id', _DRB_List_withCause_Item_drb_id),
        ('cause', _DRB_List_withCause_Item_cause),
        ('rLC-Mode', _DRB_List_withCause_Item_rLC_Mode),
        ('iE-Extension', _DRB_List_withCause_Item_iE_Extension),
        ])
    DRB_List_withCause_Item._ext = []
    
    #-----< DRB-List-withCause-Item-ExtIEs >-----#
    DRB_List_withCause_Item_ExtIEs = CLASS(name='DRB-List-withCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRB_List_withCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Number >-----#
    DRB_Number = INT(name='DRB-Number', mode=MODE_TYPE)
    DRB_Number._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< DRBsSubjectToDLDiscarding-List >-----#
    DRBsSubjectToDLDiscarding_List = SEQ_OF(name='DRBsSubjectToDLDiscarding-List', mode=MODE_TYPE)
    _DRBsSubjectToDLDiscarding_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToDLDiscarding-Item')))
    DRBsSubjectToDLDiscarding_List._cont = _DRBsSubjectToDLDiscarding_List__item_
    DRBsSubjectToDLDiscarding_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsSubjectToDLDiscarding-Item >-----#
    DRBsSubjectToDLDiscarding_Item = SEQ(name='DRBsSubjectToDLDiscarding-Item', mode=MODE_TYPE)
    _DRBsSubjectToDLDiscarding_Item_drbID = INT(name='drbID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsSubjectToDLDiscarding_Item_dlCount = CHOICE(name='dlCount', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DLCountChoice')))
    _DRBsSubjectToDLDiscarding_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsSubjectToDLDiscarding_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id._const_tab = ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality._const_tab = ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality_tab
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue._const_tab = ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue_tab
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBsSubjectToDLDiscarding_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id),
        ('criticality', ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue),
        ])
    __DRBsSubjectToDLDiscarding_Item_iE_Extension__item_._ext = None
    _DRBsSubjectToDLDiscarding_Item_iE_Extension._cont = __DRBsSubjectToDLDiscarding_Item_iE_Extension__item_
    _DRBsSubjectToDLDiscarding_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsSubjectToDLDiscarding_Item._cont = ASN1Dict([
        ('drbID', _DRBsSubjectToDLDiscarding_Item_drbID),
        ('dlCount', _DRBsSubjectToDLDiscarding_Item_dlCount),
        ('iE-Extension', _DRBsSubjectToDLDiscarding_Item_iE_Extension),
        ])
    DRBsSubjectToDLDiscarding_Item._ext = []
    
    #-----< DRBsSubjectToDLDiscarding-Item-ExtIEs >-----#
    DRBsSubjectToDLDiscarding_Item_ExtIEs = CLASS(name='DRBsSubjectToDLDiscarding-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsSubjectToDLDiscarding_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsSubjectToEarlyStatusTransfer-List >-----#
    DRBsSubjectToEarlyStatusTransfer_List = SEQ_OF(name='DRBsSubjectToEarlyStatusTransfer-List', mode=MODE_TYPE)
    _DRBsSubjectToEarlyStatusTransfer_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToEarlyStatusTransfer-Item')))
    DRBsSubjectToEarlyStatusTransfer_List._cont = _DRBsSubjectToEarlyStatusTransfer_List__item_
    DRBsSubjectToEarlyStatusTransfer_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsSubjectToEarlyStatusTransfer-Item >-----#
    DRBsSubjectToEarlyStatusTransfer_Item = SEQ(name='DRBsSubjectToEarlyStatusTransfer-Item', mode=MODE_TYPE)
    _DRBsSubjectToEarlyStatusTransfer_Item_drbID = INT(name='drbID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsSubjectToEarlyStatusTransfer_Item_dlCount = CHOICE(name='dlCount', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DLCountChoice')))
    _DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id._const_tab = ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality._const_tab = ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality_tab
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab = ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue_tab
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id),
        ('criticality', ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue),
        ])
    __DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item_._ext = None
    _DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension._cont = __DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item_
    _DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsSubjectToEarlyStatusTransfer_Item._cont = ASN1Dict([
        ('drbID', _DRBsSubjectToEarlyStatusTransfer_Item_drbID),
        ('dlCount', _DRBsSubjectToEarlyStatusTransfer_Item_dlCount),
        ('iE-Extension', _DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension),
        ])
    DRBsSubjectToEarlyStatusTransfer_Item._ext = []
    
    #-----< DRBsSubjectToEarlyStatusTransfer-Item-ExtIEs >-----#
    DRBsSubjectToEarlyStatusTransfer_Item_ExtIEs = CLASS(name='DRBsSubjectToEarlyStatusTransfer-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsSubjectToEarlyStatusTransfer_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsSubjectToStatusTransfer-List >-----#
    DRBsSubjectToStatusTransfer_List = SEQ_OF(name='DRBsSubjectToStatusTransfer-List', mode=MODE_TYPE)
    _DRBsSubjectToStatusTransfer_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-Item')))
    DRBsSubjectToStatusTransfer_List._cont = _DRBsSubjectToStatusTransfer_List__item_
    DRBsSubjectToStatusTransfer_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsSubjectToStatusTransfer-Item >-----#
    DRBsSubjectToStatusTransfer_Item = SEQ(name='DRBsSubjectToStatusTransfer-Item', mode=MODE_TYPE)
    _DRBsSubjectToStatusTransfer_Item_drbID = INT(name='drbID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL = CHOICE(name='pdcpStatusTransfer-UL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransferChoice')))
    _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL = CHOICE(name='pdcpStatusTransfer-DL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransferChoice')))
    _DRBsSubjectToStatusTransfer_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 120), ('criticality', 'reject'), ('Extension', _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id),
        ('criticality', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue),
        ])
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_._ext = None
    _DRBsSubjectToStatusTransfer_Item_iE_Extension._cont = __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_
    _DRBsSubjectToStatusTransfer_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsSubjectToStatusTransfer_Item._cont = ASN1Dict([
        ('drbID', _DRBsSubjectToStatusTransfer_Item_drbID),
        ('pdcpStatusTransfer-UL', _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL),
        ('pdcpStatusTransfer-DL', _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL),
        ('iE-Extension', _DRBsSubjectToStatusTransfer_Item_iE_Extension),
        ])
    DRBsSubjectToStatusTransfer_Item._ext = []
    
    #-----< DRBsSubjectToStatusTransfer-Item-ExtIEs >-----#
    DRBsSubjectToStatusTransfer_Item_ExtIEs = CLASS(name='DRBsSubjectToStatusTransfer-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    DRBsSubjectToStatusTransfer_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 120), ('criticality', 'reject'), ('Extension', _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransferChoice >-----#
    DRBBStatusTransferChoice = CHOICE(name='DRBBStatusTransferChoice', mode=MODE_TYPE)
    _DRBBStatusTransferChoice_pdcp_sn_12bits = SEQ(name='pdcp-sn-12bits', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransfer12bitsSN')))
    _DRBBStatusTransferChoice_pdcp_sn_18bits = SEQ(name='pdcp-sn-18bits', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransfer18bitsSN')))
    _DRBBStatusTransferChoice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __DRBBStatusTransferChoice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___DRBBStatusTransferChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_id._const_tab = ___DRBBStatusTransferChoice_choice_extension_id_tab
    __DRBBStatusTransferChoice_choice_extension_id._const_tab_at = None
    __DRBBStatusTransferChoice_choice_extension_id._const_tab_id = 'id'
    __DRBBStatusTransferChoice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___DRBBStatusTransferChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab = ___DRBBStatusTransferChoice_choice_extension_criticality_tab
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab_id = 'criticality'
    __DRBBStatusTransferChoice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___DRBBStatusTransferChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_value._const_tab = ___DRBBStatusTransferChoice_choice_extension_value_tab
    __DRBBStatusTransferChoice_choice_extension_value._const_tab_at = ('..', 'id')
    __DRBBStatusTransferChoice_choice_extension_value._const_tab_id = 'Value'
    _DRBBStatusTransferChoice_choice_extension._cont = ASN1Dict([
        ('id', __DRBBStatusTransferChoice_choice_extension_id),
        ('criticality', __DRBBStatusTransferChoice_choice_extension_criticality),
        ('value', __DRBBStatusTransferChoice_choice_extension_value),
        ])
    _DRBBStatusTransferChoice_choice_extension._ext = None
    DRBBStatusTransferChoice._cont = ASN1Dict([
        ('pdcp-sn-12bits', _DRBBStatusTransferChoice_pdcp_sn_12bits),
        ('pdcp-sn-18bits', _DRBBStatusTransferChoice_pdcp_sn_18bits),
        ('choice-extension', _DRBBStatusTransferChoice_choice_extension),
        ])
    DRBBStatusTransferChoice._ext = None
    
    #-----< DRBBStatusTransferChoice-ExtIEs >-----#
    DRBBStatusTransferChoice_ExtIEs = CLASS(name='DRBBStatusTransferChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    DRBBStatusTransferChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransfer12bitsSN >-----#
    DRBBStatusTransfer12bitsSN = SEQ(name='DRBBStatusTransfer12bitsSN', mode=MODE_TYPE)
    _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU = BIT_STR(name='receiveStatusofPDCPSDU', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2048)], ev=None, er=[])
    _DRBBStatusTransfer12bitsSN_cOUNTValue = SEQ(name='cOUNTValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN12')))
    _DRBBStatusTransfer12bitsSN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab_at = None
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id),
        ('criticality', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality),
        ('extensionValue', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue),
        ])
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_._ext = None
    _DRBBStatusTransfer12bitsSN_iE_Extension._cont = __DRBBStatusTransfer12bitsSN_iE_Extension__item_
    _DRBBStatusTransfer12bitsSN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBBStatusTransfer12bitsSN._cont = ASN1Dict([
        ('receiveStatusofPDCPSDU', _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU),
        ('cOUNTValue', _DRBBStatusTransfer12bitsSN_cOUNTValue),
        ('iE-Extension', _DRBBStatusTransfer12bitsSN_iE_Extension),
        ])
    DRBBStatusTransfer12bitsSN._ext = []
    
    #-----< DRBBStatusTransfer12bitsSN-ExtIEs >-----#
    DRBBStatusTransfer12bitsSN_ExtIEs = CLASS(name='DRBBStatusTransfer12bitsSN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBBStatusTransfer12bitsSN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransfer18bitsSN >-----#
    DRBBStatusTransfer18bitsSN = SEQ(name='DRBBStatusTransfer18bitsSN', mode=MODE_TYPE)
    _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU = BIT_STR(name='receiveStatusofPDCPSDU', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=131072)], ev=None, er=[])
    _DRBBStatusTransfer18bitsSN_cOUNTValue = SEQ(name='cOUNTValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN18')))
    _DRBBStatusTransfer18bitsSN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab_at = None
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id),
        ('criticality', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality),
        ('extensionValue', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue),
        ])
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_._ext = None
    _DRBBStatusTransfer18bitsSN_iE_Extension._cont = __DRBBStatusTransfer18bitsSN_iE_Extension__item_
    _DRBBStatusTransfer18bitsSN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBBStatusTransfer18bitsSN._cont = ASN1Dict([
        ('receiveStatusofPDCPSDU', _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU),
        ('cOUNTValue', _DRBBStatusTransfer18bitsSN_cOUNTValue),
        ('iE-Extension', _DRBBStatusTransfer18bitsSN_iE_Extension),
        ])
    DRBBStatusTransfer18bitsSN._ext = []
    
    #-----< DRBBStatusTransfer18bitsSN-ExtIEs >-----#
    DRBBStatusTransfer18bitsSN_ExtIEs = CLASS(name='DRBBStatusTransfer18bitsSN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBBStatusTransfer18bitsSN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBToQoSFlowMapping-List >-----#
    DRBToQoSFlowMapping_List = SEQ_OF(name='DRBToQoSFlowMapping-List', mode=MODE_TYPE)
    _DRBToQoSFlowMapping_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-Item')))
    DRBToQoSFlowMapping_List._cont = _DRBToQoSFlowMapping_List__item_
    DRBToQoSFlowMapping_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBToQoSFlowMapping-Item >-----#
    DRBToQoSFlowMapping_Item = SEQ(name='DRBToQoSFlowMapping-Item', mode=MODE_TYPE)
    _DRBToQoSFlowMapping_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBToQoSFlowMapping_Item_qosFlows_List = SEQ_OF(name='qosFlows-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    _DRBToQoSFlowMapping_Item_rLC_Mode = ENUM(name='rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')), opt=True)
    _DRBToQoSFlowMapping_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBToQoSFlowMapping_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DAPSRequestInfo')))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 163), ('criticality', 'ignore'), ('Extension', _____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DRBToQoSFlowMapping_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DRBToQoSFlowMapping_Item_iE_Extension__item__id),
        ('criticality', ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality),
        ('extensionValue', ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue),
        ])
    __DRBToQoSFlowMapping_Item_iE_Extension__item_._ext = None
    _DRBToQoSFlowMapping_Item_iE_Extension._cont = __DRBToQoSFlowMapping_Item_iE_Extension__item_
    _DRBToQoSFlowMapping_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBToQoSFlowMapping_Item._cont = ASN1Dict([
        ('drb-ID', _DRBToQoSFlowMapping_Item_drb_ID),
        ('qosFlows-List', _DRBToQoSFlowMapping_Item_qosFlows_List),
        ('rLC-Mode', _DRBToQoSFlowMapping_Item_rLC_Mode),
        ('iE-Extension', _DRBToQoSFlowMapping_Item_iE_Extension),
        ])
    DRBToQoSFlowMapping_Item._ext = []
    
    #-----< DRBToQoSFlowMapping-Item-ExtIEs >-----#
    DRBToQoSFlowMapping_Item_ExtIEs = CLASS(name='DRBToQoSFlowMapping-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBToQoSFlowMapping_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DAPSRequestInfo')))
    DRBToQoSFlowMapping_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 163), ('criticality', 'ignore'), ('Extension', _DRBToQoSFlowMapping_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DuplicationActivation >-----#
    DuplicationActivation = ENUM(name='DuplicationActivation', mode=MODE_TYPE)
    DuplicationActivation._cont = ASN1Dict([('active', 0), ('inactive', 1)])
    DuplicationActivation._ext = []
    
    #-----< Dynamic5QIDescriptor >-----#
    Dynamic5QIDescriptor = SEQ(name='Dynamic5QIDescriptor', mode=MODE_TYPE)
    _Dynamic5QIDescriptor_priorityLevelQoS = INT(name='priorityLevelQoS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PriorityLevelQoS')))
    _Dynamic5QIDescriptor_packetDelayBudget = INT(name='packetDelayBudget', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketDelayBudget')))
    _Dynamic5QIDescriptor_packetErrorRate = SEQ(name='packetErrorRate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketErrorRate')))
    _Dynamic5QIDescriptor_fiveQI = INT(name='fiveQI', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'FiveQI')), opt=True)
    _Dynamic5QIDescriptor_delayCritical = ENUM(name='delayCritical', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Dynamic5QIDescriptor_delayCritical._cont = ASN1Dict([('delay-critical', 0), ('non-delay-critical', 1)])
    _Dynamic5QIDescriptor_delayCritical._ext = []
    _Dynamic5QIDescriptor_averagingWindow = INT(name='averagingWindow', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AveragingWindow')), opt=True)
    _Dynamic5QIDescriptor_maximumDataBurstVolume = INT(name='maximumDataBurstVolume', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumDataBurstVolume')), opt=True)
    _Dynamic5QIDescriptor_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Dynamic5QIDescriptor_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Dynamic5QIDescriptor_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Dynamic5QIDescriptor_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_2 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    ____Dynamic5QIDescriptor_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 215), ('criticality', 'ignore'), ('Extension', _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 208), ('criticality', 'ignore'), ('Extension', _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 209), ('criticality', 'ignore'), ('Extension', _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__id_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab_at = None
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab_id = 'id'
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__id_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__id_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __Dynamic5QIDescriptor_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___Dynamic5QIDescriptor_iE_Extension__item__id),
        ('criticality', ___Dynamic5QIDescriptor_iE_Extension__item__criticality),
        ('extensionValue', ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue),
        ])
    __Dynamic5QIDescriptor_iE_Extension__item_._ext = None
    _Dynamic5QIDescriptor_iE_Extension._cont = __Dynamic5QIDescriptor_iE_Extension__item_
    _Dynamic5QIDescriptor_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Dynamic5QIDescriptor._cont = ASN1Dict([
        ('priorityLevelQoS', _Dynamic5QIDescriptor_priorityLevelQoS),
        ('packetDelayBudget', _Dynamic5QIDescriptor_packetDelayBudget),
        ('packetErrorRate', _Dynamic5QIDescriptor_packetErrorRate),
        ('fiveQI', _Dynamic5QIDescriptor_fiveQI),
        ('delayCritical', _Dynamic5QIDescriptor_delayCritical),
        ('averagingWindow', _Dynamic5QIDescriptor_averagingWindow),
        ('maximumDataBurstVolume', _Dynamic5QIDescriptor_maximumDataBurstVolume),
        ('iE-Extension', _Dynamic5QIDescriptor_iE_Extension),
        ])
    Dynamic5QIDescriptor._ext = []
    
    #-----< Dynamic5QIDescriptor-ExtIEs >-----#
    Dynamic5QIDescriptor_ExtIEs = CLASS(name='Dynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _Dynamic5QIDescriptor_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _Dynamic5QIDescriptor_ExtIEs_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _Dynamic5QIDescriptor_ExtIEs_val_Extension_2 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    Dynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[dict([('id', 215), ('criticality', 'ignore'), ('Extension', _Dynamic5QIDescriptor_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 208), ('criticality', 'ignore'), ('Extension', _Dynamic5QIDescriptor_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 209), ('criticality', 'ignore'), ('Extension', _Dynamic5QIDescriptor_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-RAB-ID >-----#
    E_RAB_ID = INT(name='E-RAB-ID', mode=MODE_TYPE)
    E_RAB_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=[], er=[])
    
    #-----< E-UTRAARFCN >-----#
    E_UTRAARFCN = INT(name='E-UTRAARFCN', mode=MODE_TYPE)
    E_UTRAARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=None, er=[])
    
    #-----< E-UTRA-Cell-Identity >-----#
    E_UTRA_Cell_Identity = BIT_STR(name='E-UTRA-Cell-Identity', mode=MODE_TYPE)
    E_UTRA_Cell_Identity._const_sz = ASN1Set(rv=[28], rr=[], ev=None, er=[])
    
    #-----< E-UTRA-CGI >-----#
    E_UTRA_CGI = SEQ(name='E-UTRA-CGI', mode=MODE_TYPE)
    _E_UTRA_CGI_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _E_UTRA_CGI_e_utra_CI = BIT_STR(name='e-utra-CI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _E_UTRA_CGI_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRA_CGI_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRA_CGI_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____E_UTRA_CGI_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab = ____E_UTRA_CGI_iE_Extension__item__id_tab
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab_at = None
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab_id = 'id'
    ___E_UTRA_CGI_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____E_UTRA_CGI_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab = ____E_UTRA_CGI_iE_Extension__item__criticality_tab
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___E_UTRA_CGI_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab = ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __E_UTRA_CGI_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___E_UTRA_CGI_iE_Extension__item__id),
        ('criticality', ___E_UTRA_CGI_iE_Extension__item__criticality),
        ('extensionValue', ___E_UTRA_CGI_iE_Extension__item__extensionValue),
        ])
    __E_UTRA_CGI_iE_Extension__item_._ext = None
    _E_UTRA_CGI_iE_Extension._cont = __E_UTRA_CGI_iE_Extension__item_
    _E_UTRA_CGI_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRA_CGI._cont = ASN1Dict([
        ('plmn-id', _E_UTRA_CGI_plmn_id),
        ('e-utra-CI', _E_UTRA_CGI_e_utra_CI),
        ('iE-Extension', _E_UTRA_CGI_iE_Extension),
        ])
    E_UTRA_CGI._ext = []
    
    #-----< E-UTRA-CGI-ExtIEs >-----#
    E_UTRA_CGI_ExtIEs = CLASS(name='E-UTRA-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRA_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRAFrequencyBandIndicator >-----#
    E_UTRAFrequencyBandIndicator = INT(name='E-UTRAFrequencyBandIndicator', mode=MODE_TYPE)
    E_UTRAFrequencyBandIndicator._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=[], er=[])
    
    #-----< E-UTRAMultibandInfoList >-----#
    E_UTRAMultibandInfoList = SEQ_OF(name='E-UTRAMultibandInfoList', mode=MODE_TYPE)
    _E_UTRAMultibandInfoList__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAFrequencyBandIndicator')))
    E_UTRAMultibandInfoList._cont = _E_UTRAMultibandInfoList__item_
    E_UTRAMultibandInfoList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< E-UTRAPCI >-----#
    E_UTRAPCI = INT(name='E-UTRAPCI', mode=MODE_TYPE)
    E_UTRAPCI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=503)], ev=[], er=[])
    
    #-----< E-UTRAPRACHConfiguration >-----#
    E_UTRAPRACHConfiguration = SEQ(name='E-UTRAPRACHConfiguration', mode=MODE_TYPE)
    _E_UTRAPRACHConfiguration_rootSequenceIndex = INT(name='rootSequenceIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_rootSequenceIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=837)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_zeroCorrelationIndex = INT(name='zeroCorrelationIndex', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_zeroCorrelationIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_highSpeedFlag = ENUM(name='highSpeedFlag', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_highSpeedFlag._cont = ASN1Dict([('true', 0), ('false', 1)])
    _E_UTRAPRACHConfiguration_highSpeedFlag._ext = []
    _E_UTRAPRACHConfiguration_prach_FreqOffset = INT(name='prach-FreqOffset', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_prach_FreqOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=94)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_prach_ConfigIndex = INT(name='prach-ConfigIndex', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _E_UTRAPRACHConfiguration_prach_ConfigIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRAPRACHConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __E_UTRAPRACHConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___E_UTRAPRACHConfiguration_iE_Extensions__item__id),
        ('criticality', ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue),
        ])
    __E_UTRAPRACHConfiguration_iE_Extensions__item_._ext = None
    _E_UTRAPRACHConfiguration_iE_Extensions._cont = __E_UTRAPRACHConfiguration_iE_Extensions__item_
    _E_UTRAPRACHConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRAPRACHConfiguration._cont = ASN1Dict([
        ('rootSequenceIndex', _E_UTRAPRACHConfiguration_rootSequenceIndex),
        ('zeroCorrelationIndex', _E_UTRAPRACHConfiguration_zeroCorrelationIndex),
        ('highSpeedFlag', _E_UTRAPRACHConfiguration_highSpeedFlag),
        ('prach-FreqOffset', _E_UTRAPRACHConfiguration_prach_FreqOffset),
        ('prach-ConfigIndex', _E_UTRAPRACHConfiguration_prach_ConfigIndex),
        ('iE-Extensions', _E_UTRAPRACHConfiguration_iE_Extensions),
        ])
    E_UTRAPRACHConfiguration._ext = []
    
    #-----< E-UTRAPRACHConfiguration-ExtIEs >-----#
    E_UTRAPRACHConfiguration_ExtIEs = CLASS(name='E-UTRAPRACHConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRAPRACHConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRATransmissionBandwidth >-----#
    E_UTRATransmissionBandwidth = ENUM(name='E-UTRATransmissionBandwidth', mode=MODE_TYPE)
    E_UTRATransmissionBandwidth._cont = ASN1Dict([('bw6', 0), ('bw15', 1), ('bw25', 2), ('bw50', 3), ('bw75', 4), ('bw100', 5), ('bw1', 6)])
    E_UTRATransmissionBandwidth._ext = ['bw1']
    
    #-----< EndpointIPAddressAndPort >-----#
    EndpointIPAddressAndPort = SEQ(name='EndpointIPAddressAndPort', mode=MODE_TYPE)
    _EndpointIPAddressAndPort_endpointIPAddress = BIT_STR(name='endpointIPAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _EndpointIPAddressAndPort_portNumber = BIT_STR(name='portNumber', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PortNumber')))
    _EndpointIPAddressAndPort_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EndpointIPAddressAndPort_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___EndpointIPAddressAndPort_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab_at = None
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab_id = 'id'
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __EndpointIPAddressAndPort_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___EndpointIPAddressAndPort_iE_Extensions__item__id),
        ('criticality', ___EndpointIPAddressAndPort_iE_Extensions__item__criticality),
        ('extensionValue', ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue),
        ])
    __EndpointIPAddressAndPort_iE_Extensions__item_._ext = None
    _EndpointIPAddressAndPort_iE_Extensions._cont = __EndpointIPAddressAndPort_iE_Extensions__item_
    _EndpointIPAddressAndPort_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EndpointIPAddressAndPort._cont = ASN1Dict([
        ('endpointIPAddress', _EndpointIPAddressAndPort_endpointIPAddress),
        ('portNumber', _EndpointIPAddressAndPort_portNumber),
        ('iE-Extensions', _EndpointIPAddressAndPort_iE_Extensions),
        ])
    EndpointIPAddressAndPort._ext = None
    
    #-----< EndpointIPAddressAndPort-ExtIEs >-----#
    EndpointIPAddressAndPort_ExtIEs = CLASS(name='EndpointIPAddressAndPort-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    EndpointIPAddressAndPort_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EventTriggered >-----#
    EventTriggered = SEQ(name='EventTriggered', mode=MODE_TYPE)
    _EventTriggered_loggedEventTriggeredConfig = SEQ(name='loggedEventTriggeredConfig', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggedEventTriggeredConfig')))
    _EventTriggered_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EventTriggered_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___EventTriggered_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____EventTriggered_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventTriggered_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventTriggered_iE_Extensions__item__id._const_tab = ____EventTriggered_iE_Extensions__item__id_tab
    ___EventTriggered_iE_Extensions__item__id._const_tab_at = None
    ___EventTriggered_iE_Extensions__item__id._const_tab_id = 'id'
    ___EventTriggered_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____EventTriggered_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventTriggered_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventTriggered_iE_Extensions__item__criticality._const_tab = ____EventTriggered_iE_Extensions__item__criticality_tab
    ___EventTriggered_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___EventTriggered_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___EventTriggered_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____EventTriggered_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventTriggered_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventTriggered_iE_Extensions__item__extensionValue._const_tab = ____EventTriggered_iE_Extensions__item__extensionValue_tab
    ___EventTriggered_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___EventTriggered_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __EventTriggered_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___EventTriggered_iE_Extensions__item__id),
        ('criticality', ___EventTriggered_iE_Extensions__item__criticality),
        ('extensionValue', ___EventTriggered_iE_Extensions__item__extensionValue),
        ])
    __EventTriggered_iE_Extensions__item_._ext = None
    _EventTriggered_iE_Extensions._cont = __EventTriggered_iE_Extensions__item_
    _EventTriggered_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EventTriggered._cont = ASN1Dict([
        ('loggedEventTriggeredConfig', _EventTriggered_loggedEventTriggeredConfig),
        ('iE-Extensions', _EventTriggered_iE_Extensions),
        ])
    EventTriggered._ext = []
    
    #-----< EventTriggered-ExtIEs >-----#
    EventTriggered_ExtIEs = CLASS(name='EventTriggered-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    EventTriggered_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EventType >-----#
    EventType = ENUM(name='EventType', mode=MODE_TYPE)
    EventType._cont = ASN1Dict([('report-upon-change-of-serving-cell', 0), ('report-UE-moving-presence-into-or-out-of-the-Area-of-Interest', 1), ('report-upon-change-of-serving-cell-and-Area-of-Interest', 2)])
    EventType._ext = ['report-upon-change-of-serving-cell-and-Area-of-Interest']
    
    #-----< EventTypeTrigger >-----#
    EventTypeTrigger = CHOICE(name='EventTypeTrigger', mode=MODE_TYPE)
    _EventTypeTrigger_outOfCoverage = ENUM(name='outOfCoverage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _EventTypeTrigger_outOfCoverage._cont = ASN1Dict([('true', 0)])
    _EventTypeTrigger_outOfCoverage._ext = []
    _EventTypeTrigger_eventL1 = SEQ(name='eventL1', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'EventL1')))
    _EventTypeTrigger_choice_Extensions = SEQ(name='choice-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __EventTypeTrigger_choice_Extensions_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___EventTypeTrigger_choice_Extensions_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___EventTypeTrigger_choice_Extensions_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __EventTypeTrigger_choice_Extensions_id._const_tab = ___EventTypeTrigger_choice_Extensions_id_tab
    __EventTypeTrigger_choice_Extensions_id._const_tab_at = None
    __EventTypeTrigger_choice_Extensions_id._const_tab_id = 'id'
    __EventTypeTrigger_choice_Extensions_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___EventTypeTrigger_choice_Extensions_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___EventTypeTrigger_choice_Extensions_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __EventTypeTrigger_choice_Extensions_criticality._const_tab = ___EventTypeTrigger_choice_Extensions_criticality_tab
    __EventTypeTrigger_choice_Extensions_criticality._const_tab_at = ('..', 'id')
    __EventTypeTrigger_choice_Extensions_criticality._const_tab_id = 'criticality'
    __EventTypeTrigger_choice_Extensions_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___EventTypeTrigger_choice_Extensions_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___EventTypeTrigger_choice_Extensions_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __EventTypeTrigger_choice_Extensions_value._const_tab = ___EventTypeTrigger_choice_Extensions_value_tab
    __EventTypeTrigger_choice_Extensions_value._const_tab_at = ('..', 'id')
    __EventTypeTrigger_choice_Extensions_value._const_tab_id = 'Value'
    _EventTypeTrigger_choice_Extensions._cont = ASN1Dict([
        ('id', __EventTypeTrigger_choice_Extensions_id),
        ('criticality', __EventTypeTrigger_choice_Extensions_criticality),
        ('value', __EventTypeTrigger_choice_Extensions_value),
        ])
    _EventTypeTrigger_choice_Extensions._ext = None
    EventTypeTrigger._cont = ASN1Dict([
        ('outOfCoverage', _EventTypeTrigger_outOfCoverage),
        ('eventL1', _EventTypeTrigger_eventL1),
        ('choice-Extensions', _EventTypeTrigger_choice_Extensions),
        ])
    EventTypeTrigger._ext = None
    
    #-----< EventTypeTrigger-ExtIEs >-----#
    EventTypeTrigger_ExtIEs = CLASS(name='EventTypeTrigger-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    EventTypeTrigger_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EventL1 >-----#
    EventL1 = SEQ(name='EventL1', mode=MODE_TYPE)
    _EventL1_l1Threshold = CHOICE(name='l1Threshold', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MeasurementThresholdL1LoggedMDT')))
    _EventL1_hysteresis = INT(name='hysteresis', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Hysteresis')))
    _EventL1_timeToTrigger = ENUM(name='timeToTrigger', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TimeToTrigger')))
    _EventL1_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EventL1_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___EventL1_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____EventL1_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventL1_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventL1_iE_Extensions__item__id._const_tab = ____EventL1_iE_Extensions__item__id_tab
    ___EventL1_iE_Extensions__item__id._const_tab_at = None
    ___EventL1_iE_Extensions__item__id._const_tab_id = 'id'
    ___EventL1_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____EventL1_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventL1_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventL1_iE_Extensions__item__criticality._const_tab = ____EventL1_iE_Extensions__item__criticality_tab
    ___EventL1_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___EventL1_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___EventL1_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____EventL1_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EventL1_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EventL1_iE_Extensions__item__extensionValue._const_tab = ____EventL1_iE_Extensions__item__extensionValue_tab
    ___EventL1_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___EventL1_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __EventL1_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___EventL1_iE_Extensions__item__id),
        ('criticality', ___EventL1_iE_Extensions__item__criticality),
        ('extensionValue', ___EventL1_iE_Extensions__item__extensionValue),
        ])
    __EventL1_iE_Extensions__item_._ext = None
    _EventL1_iE_Extensions._cont = __EventL1_iE_Extensions__item_
    _EventL1_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EventL1._cont = ASN1Dict([
        ('l1Threshold', _EventL1_l1Threshold),
        ('hysteresis', _EventL1_hysteresis),
        ('timeToTrigger', _EventL1_timeToTrigger),
        ('iE-Extensions', _EventL1_iE_Extensions),
        ])
    EventL1._ext = []
    
    #-----< EventL1-ExtIEs >-----#
    EventL1_ExtIEs = CLASS(name='EventL1-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    EventL1_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MeasurementThresholdL1LoggedMDT >-----#
    MeasurementThresholdL1LoggedMDT = CHOICE(name='MeasurementThresholdL1LoggedMDT', mode=MODE_TYPE)
    _MeasurementThresholdL1LoggedMDT_threshold_RSRP = INT(name='threshold-RSRP', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Threshold-RSRP')))
    _MeasurementThresholdL1LoggedMDT_threshold_RSRQ = INT(name='threshold-RSRQ', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Threshold-RSRQ')))
    MeasurementThresholdL1LoggedMDT._cont = ASN1Dict([
        ('threshold-RSRP', _MeasurementThresholdL1LoggedMDT_threshold_RSRP),
        ('threshold-RSRQ', _MeasurementThresholdL1LoggedMDT_threshold_RSRQ),
        ])
    MeasurementThresholdL1LoggedMDT._ext = []
    
    #-----< ExpectedActivityPeriod >-----#
    ExpectedActivityPeriod = INT(name='ExpectedActivityPeriod', mode=MODE_TYPE)
    ExpectedActivityPeriod._const_val = ASN1Set(rv=[40, 50, 60, 80, 100, 120, 150, 180, 181], rr=[ASN1RangeInt(lb=1, ub=30)], ev=[], er=[])
    
    #-----< ExpectedHOInterval >-----#
    ExpectedHOInterval = ENUM(name='ExpectedHOInterval', mode=MODE_TYPE)
    ExpectedHOInterval._cont = ASN1Dict([('sec15', 0), ('sec30', 1), ('sec60', 2), ('sec90', 3), ('sec120', 4), ('sec180', 5), ('long-time', 6)])
    ExpectedHOInterval._ext = []
    
    #-----< ExpectedIdlePeriod >-----#
    ExpectedIdlePeriod = INT(name='ExpectedIdlePeriod', mode=MODE_TYPE)
    ExpectedIdlePeriod._const_val = ASN1Set(rv=[40, 50, 60, 80, 100, 120, 150, 180, 181], rr=[ASN1RangeInt(lb=1, ub=30)], ev=[], er=[])
    
    #-----< ExpectedUEActivityBehaviour >-----#
    ExpectedUEActivityBehaviour = SEQ(name='ExpectedUEActivityBehaviour', mode=MODE_TYPE)
    _ExpectedUEActivityBehaviour_expectedActivityPeriod = INT(name='expectedActivityPeriod', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedActivityPeriod')), opt=True)
    _ExpectedUEActivityBehaviour_expectedIdlePeriod = INT(name='expectedIdlePeriod', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedIdlePeriod')), opt=True)
    _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation = ENUM(name='sourceOfUEActivityBehaviourInformation', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SourceOfUEActivityBehaviourInformation')), opt=True)
    _ExpectedUEActivityBehaviour_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEActivityBehaviour_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab_id = 'id'
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ExpectedUEActivityBehaviour_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ExpectedUEActivityBehaviour_iE_Extensions__item__id),
        ('criticality', ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality),
        ('extensionValue', ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEActivityBehaviour_iE_Extensions__item_._ext = None
    _ExpectedUEActivityBehaviour_iE_Extensions._cont = __ExpectedUEActivityBehaviour_iE_Extensions__item_
    _ExpectedUEActivityBehaviour_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEActivityBehaviour._cont = ASN1Dict([
        ('expectedActivityPeriod', _ExpectedUEActivityBehaviour_expectedActivityPeriod),
        ('expectedIdlePeriod', _ExpectedUEActivityBehaviour_expectedIdlePeriod),
        ('sourceOfUEActivityBehaviourInformation', _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation),
        ('iE-Extensions', _ExpectedUEActivityBehaviour_iE_Extensions),
        ])
    ExpectedUEActivityBehaviour._ext = []
    
    #-----< ExpectedUEActivityBehaviour-ExtIEs >-----#
    ExpectedUEActivityBehaviour_ExtIEs = CLASS(name='ExpectedUEActivityBehaviour-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEActivityBehaviour_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ExpectedUEBehaviour >-----#
    ExpectedUEBehaviour = SEQ(name='ExpectedUEBehaviour', mode=MODE_TYPE)
    _ExpectedUEBehaviour_expectedUEActivityBehaviour = SEQ(name='expectedUEActivityBehaviour', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')), opt=True)
    _ExpectedUEBehaviour_expectedHOInterval = ENUM(name='expectedHOInterval', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedHOInterval')), opt=True)
    _ExpectedUEBehaviour_expectedUEMobility = ENUM(name='expectedUEMobility', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMobility')), opt=True)
    _ExpectedUEBehaviour_expectedUEMovingTrajectory = SEQ_OF(name='expectedUEMovingTrajectory', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMovingTrajectory')), opt=True)
    _ExpectedUEBehaviour_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEBehaviour_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEBehaviour_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ExpectedUEBehaviour_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__id_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab_id = 'id'
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ExpectedUEBehaviour_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ExpectedUEBehaviour_iE_Extensions__item__id),
        ('criticality', ___ExpectedUEBehaviour_iE_Extensions__item__criticality),
        ('extensionValue', ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEBehaviour_iE_Extensions__item_._ext = None
    _ExpectedUEBehaviour_iE_Extensions._cont = __ExpectedUEBehaviour_iE_Extensions__item_
    _ExpectedUEBehaviour_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEBehaviour._cont = ASN1Dict([
        ('expectedUEActivityBehaviour', _ExpectedUEBehaviour_expectedUEActivityBehaviour),
        ('expectedHOInterval', _ExpectedUEBehaviour_expectedHOInterval),
        ('expectedUEMobility', _ExpectedUEBehaviour_expectedUEMobility),
        ('expectedUEMovingTrajectory', _ExpectedUEBehaviour_expectedUEMovingTrajectory),
        ('iE-Extensions', _ExpectedUEBehaviour_iE_Extensions),
        ])
    ExpectedUEBehaviour._ext = []
    
    #-----< ExpectedUEBehaviour-ExtIEs >-----#
    ExpectedUEBehaviour_ExtIEs = CLASS(name='ExpectedUEBehaviour-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEBehaviour_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ExpectedUEMobility >-----#
    ExpectedUEMobility = ENUM(name='ExpectedUEMobility', mode=MODE_TYPE)
    ExpectedUEMobility._cont = ASN1Dict([('stationary', 0), ('mobile', 1)])
    ExpectedUEMobility._ext = []
    
    #-----< ExpectedUEMovingTrajectory >-----#
    ExpectedUEMovingTrajectory = SEQ_OF(name='ExpectedUEMovingTrajectory', mode=MODE_TYPE)
    _ExpectedUEMovingTrajectory__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMovingTrajectoryItem')))
    ExpectedUEMovingTrajectory._cont = _ExpectedUEMovingTrajectory__item_
    ExpectedUEMovingTrajectory._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ExpectedUEMovingTrajectoryItem >-----#
    ExpectedUEMovingTrajectoryItem = SEQ(name='ExpectedUEMovingTrajectoryItem', mode=MODE_TYPE)
    _ExpectedUEMovingTrajectoryItem_nGRAN_CGI = SEQ(name='nGRAN-CGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _ExpectedUEMovingTrajectoryItem_timeStayedInCell = INT(name='timeStayedInCell', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ExpectedUEMovingTrajectoryItem_timeStayedInCell._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=None, er=[])
    _ExpectedUEMovingTrajectoryItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id),
        ('criticality', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality),
        ('extensionValue', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_._ext = None
    _ExpectedUEMovingTrajectoryItem_iE_Extensions._cont = __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_
    _ExpectedUEMovingTrajectoryItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEMovingTrajectoryItem._cont = ASN1Dict([
        ('nGRAN-CGI', _ExpectedUEMovingTrajectoryItem_nGRAN_CGI),
        ('timeStayedInCell', _ExpectedUEMovingTrajectoryItem_timeStayedInCell),
        ('iE-Extensions', _ExpectedUEMovingTrajectoryItem_iE_Extensions),
        ])
    ExpectedUEMovingTrajectoryItem._ext = []
    
    #-----< ExpectedUEMovingTrajectoryItem-ExtIEs >-----#
    ExpectedUEMovingTrajectoryItem_ExtIEs = CLASS(name='ExpectedUEMovingTrajectoryItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEMovingTrajectoryItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SourceOfUEActivityBehaviourInformation >-----#
    SourceOfUEActivityBehaviourInformation = ENUM(name='SourceOfUEActivityBehaviourInformation', mode=MODE_TYPE)
    SourceOfUEActivityBehaviourInformation._cont = ASN1Dict([('subscription-information', 0), ('statistics', 1)])
    SourceOfUEActivityBehaviourInformation._ext = []
    
    #-----< ExtendedRATRestrictionInformation >-----#
    ExtendedRATRestrictionInformation = SEQ(name='ExtendedRATRestrictionInformation', mode=MODE_TYPE)
    _ExtendedRATRestrictionInformation_primaryRATRestriction = BIT_STR(name='primaryRATRestriction', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ExtendedRATRestrictionInformation_primaryRATRestriction._const_sz = ASN1Set(rv=[8], rr=[], ev=[], er=[])
    _ExtendedRATRestrictionInformation_secondaryRATRestriction = BIT_STR(name='secondaryRATRestriction', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ExtendedRATRestrictionInformation_secondaryRATRestriction._const_sz = ASN1Set(rv=[8], rr=[], ev=[], er=[])
    _ExtendedRATRestrictionInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExtendedRATRestrictionInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__id._const_tab = ____ExtendedRATRestrictionInformation_iE_Extensions__item__id_tab
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__id._const_tab_at = None
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality._const_tab = ____ExtendedRATRestrictionInformation_iE_Extensions__item__criticality_tab
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue._const_tab = ____ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue_tab
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ExtendedRATRestrictionInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ExtendedRATRestrictionInformation_iE_Extensions__item__id),
        ('criticality', ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue),
        ])
    __ExtendedRATRestrictionInformation_iE_Extensions__item_._ext = None
    _ExtendedRATRestrictionInformation_iE_Extensions._cont = __ExtendedRATRestrictionInformation_iE_Extensions__item_
    _ExtendedRATRestrictionInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExtendedRATRestrictionInformation._cont = ASN1Dict([
        ('primaryRATRestriction', _ExtendedRATRestrictionInformation_primaryRATRestriction),
        ('secondaryRATRestriction', _ExtendedRATRestrictionInformation_secondaryRATRestriction),
        ('iE-Extensions', _ExtendedRATRestrictionInformation_iE_Extensions),
        ])
    ExtendedRATRestrictionInformation._ext = []
    
    #-----< ExtendedRATRestrictionInformation-ExtIEs >-----#
    ExtendedRATRestrictionInformation_ExtIEs = CLASS(name='ExtendedRATRestrictionInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExtendedRATRestrictionInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ExtendedPacketDelayBudget >-----#
    ExtendedPacketDelayBudget = INT(name='ExtendedPacketDelayBudget', mode=MODE_TYPE)
    ExtendedPacketDelayBudget._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=[], er=[])
    
    #-----< ExtendedSliceSupportList >-----#
    ExtendedSliceSupportList = SEQ_OF(name='ExtendedSliceSupportList', mode=MODE_TYPE)
    _ExtendedSliceSupportList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    ExtendedSliceSupportList._cont = _ExtendedSliceSupportList__item_
    ExtendedSliceSupportList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    
    #-----< ExtendedUEIdentityIndexValue >-----#
    ExtendedUEIdentityIndexValue = BIT_STR(name='ExtendedUEIdentityIndexValue', mode=MODE_TYPE)
    ExtendedUEIdentityIndexValue._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< ExtTLAs >-----#
    ExtTLAs = SEQ_OF(name='ExtTLAs', mode=MODE_TYPE)
    _ExtTLAs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtTLA-Item')))
    ExtTLAs._cont = _ExtTLAs__item_
    ExtTLAs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ExtTLA-Item >-----#
    ExtTLA_Item = SEQ(name='ExtTLA-Item', mode=MODE_TYPE)
    _ExtTLA_Item_iPsecTLA = BIT_STR(name='iPsecTLA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')), opt=True)
    _ExtTLA_Item_gTPTransportLayerAddresses = SEQ_OF(name='gTPTransportLayerAddresses', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GTPTLAs')), opt=True)
    _ExtTLA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExtTLA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExtTLA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ExtTLA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtTLA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtTLA_Item_iE_Extensions__item__id._const_tab = ____ExtTLA_Item_iE_Extensions__item__id_tab
    ___ExtTLA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ExtTLA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ExtTLA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ExtTLA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtTLA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtTLA_Item_iE_Extensions__item__criticality._const_tab = ____ExtTLA_Item_iE_Extensions__item__criticality_tab
    ___ExtTLA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ExtTLA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ExtTLA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ExtTLA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExtTLA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExtTLA_Item_iE_Extensions__item__extensionValue._const_tab = ____ExtTLA_Item_iE_Extensions__item__extensionValue_tab
    ___ExtTLA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ExtTLA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ExtTLA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ExtTLA_Item_iE_Extensions__item__id),
        ('criticality', ___ExtTLA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ExtTLA_Item_iE_Extensions__item__extensionValue),
        ])
    __ExtTLA_Item_iE_Extensions__item_._ext = None
    _ExtTLA_Item_iE_Extensions._cont = __ExtTLA_Item_iE_Extensions__item_
    _ExtTLA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExtTLA_Item._cont = ASN1Dict([
        ('iPsecTLA', _ExtTLA_Item_iPsecTLA),
        ('gTPTransportLayerAddresses', _ExtTLA_Item_gTPTransportLayerAddresses),
        ('iE-Extensions', _ExtTLA_Item_iE_Extensions),
        ])
    ExtTLA_Item._ext = []
    
    #-----< ExtTLA-Item-ExtIEs >-----#
    ExtTLA_Item_ExtIEs = CLASS(name='ExtTLA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExtTLA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GTPTLAs >-----#
    GTPTLAs = SEQ_OF(name='GTPTLAs', mode=MODE_TYPE)
    _GTPTLAs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GTPTLA-Item')))
    GTPTLAs._cont = _GTPTLAs__item_
    GTPTLAs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< GTPTLA-Item >-----#
    GTPTLA_Item = SEQ(name='GTPTLA-Item', mode=MODE_TYPE)
    _GTPTLA_Item_gTPTransportLayerAddresses = BIT_STR(name='gTPTransportLayerAddresses', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _GTPTLA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GTPTLA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GTPTLA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GTPTLA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPTLA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTLA_Item_iE_Extensions__item__id._const_tab = ____GTPTLA_Item_iE_Extensions__item__id_tab
    ___GTPTLA_Item_iE_Extensions__item__id._const_tab_at = None
    ___GTPTLA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___GTPTLA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GTPTLA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPTLA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTLA_Item_iE_Extensions__item__criticality._const_tab = ____GTPTLA_Item_iE_Extensions__item__criticality_tab
    ___GTPTLA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GTPTLA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GTPTLA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GTPTLA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPTLA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTLA_Item_iE_Extensions__item__extensionValue._const_tab = ____GTPTLA_Item_iE_Extensions__item__extensionValue_tab
    ___GTPTLA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GTPTLA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GTPTLA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GTPTLA_Item_iE_Extensions__item__id),
        ('criticality', ___GTPTLA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___GTPTLA_Item_iE_Extensions__item__extensionValue),
        ])
    __GTPTLA_Item_iE_Extensions__item_._ext = None
    _GTPTLA_Item_iE_Extensions._cont = __GTPTLA_Item_iE_Extensions__item_
    _GTPTLA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GTPTLA_Item._cont = ASN1Dict([
        ('gTPTransportLayerAddresses', _GTPTLA_Item_gTPTransportLayerAddresses),
        ('iE-Extensions', _GTPTLA_Item_iE_Extensions),
        ])
    GTPTLA_Item._ext = []
    
    #-----< GTPTLA-Item-ExtIEs >-----#
    GTPTLA_Item_ExtIEs = CLASS(name='GTPTLA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GTPTLA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< FiveGCMobilityRestrictionListContainer >-----#
    FiveGCMobilityRestrictionListContainer = OCT_STR(name='FiveGCMobilityRestrictionListContainer', mode=MODE_TYPE)
    
    #-----< FiveQI >-----#
    FiveQI = INT(name='FiveQI', mode=MODE_TYPE)
    FiveQI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    
    #-----< FrequencyShift7p5khz >-----#
    FrequencyShift7p5khz = ENUM(name='FrequencyShift7p5khz', mode=MODE_TYPE)
    FrequencyShift7p5khz._cont = ASN1Dict([('false', 0), ('true', 1)])
    FrequencyShift7p5khz._ext = []
    
    #-----< GBRQoSFlowInfo >-----#
    GBRQoSFlowInfo = SEQ(name='GBRQoSFlowInfo', mode=MODE_TYPE)
    _GBRQoSFlowInfo_maxFlowBitRateDL = INT(name='maxFlowBitRateDL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_maxFlowBitRateUL = INT(name='maxFlowBitRateUL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_guaranteedFlowBitRateDL = INT(name='guaranteedFlowBitRateDL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_guaranteedFlowBitRateUL = INT(name='guaranteedFlowBitRateUL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_notificationControl = ENUM(name='notificationControl', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _GBRQoSFlowInfo_notificationControl._cont = ASN1Dict([('notification-requested', 0)])
    _GBRQoSFlowInfo_notificationControl._ext = []
    _GBRQoSFlowInfo_maxPacketLossRateDL = INT(name='maxPacketLossRateDL', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketLossRate')), opt=True)
    _GBRQoSFlowInfo_maxPacketLossRateUL = INT(name='maxPacketLossRateUL', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketLossRate')), opt=True)
    _GBRQoSFlowInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GBRQoSFlowInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GBRQoSFlowInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GBRQoSFlowInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____GBRQoSFlowInfo_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AlternativeQoSParaSetList')))
    ____GBRQoSFlowInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 174), ('criticality', 'ignore'), ('Extension', _____GBRQoSFlowInfo_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__id_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab_at = None
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__id_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__id_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GBRQoSFlowInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GBRQoSFlowInfo_iE_Extensions__item__id),
        ('criticality', ___GBRQoSFlowInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue),
        ])
    __GBRQoSFlowInfo_iE_Extensions__item_._ext = None
    _GBRQoSFlowInfo_iE_Extensions._cont = __GBRQoSFlowInfo_iE_Extensions__item_
    _GBRQoSFlowInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GBRQoSFlowInfo._cont = ASN1Dict([
        ('maxFlowBitRateDL', _GBRQoSFlowInfo_maxFlowBitRateDL),
        ('maxFlowBitRateUL', _GBRQoSFlowInfo_maxFlowBitRateUL),
        ('guaranteedFlowBitRateDL', _GBRQoSFlowInfo_guaranteedFlowBitRateDL),
        ('guaranteedFlowBitRateUL', _GBRQoSFlowInfo_guaranteedFlowBitRateUL),
        ('notificationControl', _GBRQoSFlowInfo_notificationControl),
        ('maxPacketLossRateDL', _GBRQoSFlowInfo_maxPacketLossRateDL),
        ('maxPacketLossRateUL', _GBRQoSFlowInfo_maxPacketLossRateUL),
        ('iE-Extensions', _GBRQoSFlowInfo_iE_Extensions),
        ])
    GBRQoSFlowInfo._ext = []
    
    #-----< GBRQoSFlowInfo-ExtIEs >-----#
    GBRQoSFlowInfo_ExtIEs = CLASS(name='GBRQoSFlowInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _GBRQoSFlowInfo_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AlternativeQoSParaSetList')))
    GBRQoSFlowInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 174), ('criticality', 'ignore'), ('Extension', _GBRQoSFlowInfo_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< GlobalgNB-ID >-----#
    GlobalgNB_ID = SEQ(name='GlobalgNB-ID', mode=MODE_TYPE)
    _GlobalgNB_ID_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalgNB_ID_gnb_id = CHOICE(name='gnb-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GNB-ID-Choice')))
    _GlobalgNB_ID_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalgNB_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalgNB_ID_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalgNB_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab = ____GlobalgNB_ID_iE_Extensions__item__id_tab
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalgNB_ID_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalgNB_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab = ____GlobalgNB_ID_iE_Extensions__item__criticality_tab
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalgNB_ID_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalgNB_ID_iE_Extensions__item__id),
        ('criticality', ___GlobalgNB_ID_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalgNB_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalgNB_ID_iE_Extensions__item_._ext = None
    _GlobalgNB_ID_iE_Extensions._cont = __GlobalgNB_ID_iE_Extensions__item_
    _GlobalgNB_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalgNB_ID._cont = ASN1Dict([
        ('plmn-id', _GlobalgNB_ID_plmn_id),
        ('gnb-id', _GlobalgNB_ID_gnb_id),
        ('iE-Extensions', _GlobalgNB_ID_iE_Extensions),
        ])
    GlobalgNB_ID._ext = []
    
    #-----< GlobalgNB-ID-ExtIEs >-----#
    GlobalgNB_ID_ExtIEs = CLASS(name='GlobalgNB-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalgNB_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-ID-Choice >-----#
    GNB_ID_Choice = CHOICE(name='GNB-ID-Choice', mode=MODE_TYPE)
    _GNB_ID_Choice_gnb_ID = BIT_STR(name='gnb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GNB_ID_Choice_gnb_ID._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=22, ub=32)], ev=None, er=[])
    _GNB_ID_Choice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __GNB_ID_Choice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___GNB_ID_Choice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_id._const_tab = ___GNB_ID_Choice_choice_extension_id_tab
    __GNB_ID_Choice_choice_extension_id._const_tab_at = None
    __GNB_ID_Choice_choice_extension_id._const_tab_id = 'id'
    __GNB_ID_Choice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___GNB_ID_Choice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_criticality._const_tab = ___GNB_ID_Choice_choice_extension_criticality_tab
    __GNB_ID_Choice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __GNB_ID_Choice_choice_extension_criticality._const_tab_id = 'criticality'
    __GNB_ID_Choice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___GNB_ID_Choice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_value._const_tab = ___GNB_ID_Choice_choice_extension_value_tab
    __GNB_ID_Choice_choice_extension_value._const_tab_at = ('..', 'id')
    __GNB_ID_Choice_choice_extension_value._const_tab_id = 'Value'
    _GNB_ID_Choice_choice_extension._cont = ASN1Dict([
        ('id', __GNB_ID_Choice_choice_extension_id),
        ('criticality', __GNB_ID_Choice_choice_extension_criticality),
        ('value', __GNB_ID_Choice_choice_extension_value),
        ])
    _GNB_ID_Choice_choice_extension._ext = None
    GNB_ID_Choice._cont = ASN1Dict([
        ('gnb-ID', _GNB_ID_Choice_gnb_ID),
        ('choice-extension', _GNB_ID_Choice_choice_extension),
        ])
    GNB_ID_Choice._ext = None
    
    #-----< GNB-ID-Choice-ExtIEs >-----#
    GNB_ID_Choice_ExtIEs = CLASS(name='GNB-ID-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    GNB_ID_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-RadioResourceStatus >-----#
    GNB_RadioResourceStatus = SEQ(name='GNB-RadioResourceStatus', mode=MODE_TYPE)
    _GNB_RadioResourceStatus_ssbAreaRadioResourceStatus_List = SEQ_OF(name='ssbAreaRadioResourceStatus-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SSBAreaRadioResourceStatus-List')))
    _GNB_RadioResourceStatus_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_RadioResourceStatus_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GNB_RadioResourceStatus_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GNB_RadioResourceStatus_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GNB_RadioResourceStatus_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_RadioResourceStatus_iE_Extensions__item__id._const_tab = ____GNB_RadioResourceStatus_iE_Extensions__item__id_tab
    ___GNB_RadioResourceStatus_iE_Extensions__item__id._const_tab_at = None
    ___GNB_RadioResourceStatus_iE_Extensions__item__id._const_tab_id = 'id'
    ___GNB_RadioResourceStatus_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GNB_RadioResourceStatus_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GNB_RadioResourceStatus_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab = ____GNB_RadioResourceStatus_iE_Extensions__item__criticality_tab
    ___GNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GNB_RadioResourceStatus_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GNB_RadioResourceStatus_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab = ____GNB_RadioResourceStatus_iE_Extensions__item__extensionValue_tab
    ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GNB_RadioResourceStatus_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GNB_RadioResourceStatus_iE_Extensions__item__id),
        ('criticality', ___GNB_RadioResourceStatus_iE_Extensions__item__criticality),
        ('extensionValue', ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue),
        ])
    __GNB_RadioResourceStatus_iE_Extensions__item_._ext = None
    _GNB_RadioResourceStatus_iE_Extensions._cont = __GNB_RadioResourceStatus_iE_Extensions__item_
    _GNB_RadioResourceStatus_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_RadioResourceStatus._cont = ASN1Dict([
        ('ssbAreaRadioResourceStatus-List', _GNB_RadioResourceStatus_ssbAreaRadioResourceStatus_List),
        ('iE-Extensions', _GNB_RadioResourceStatus_iE_Extensions),
        ])
    GNB_RadioResourceStatus._ext = []
    
    #-----< GNB-RadioResourceStatus-ExtIEs >-----#
    GNB_RadioResourceStatus_ExtIEs = CLASS(name='GNB-RadioResourceStatus-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GNB_RadioResourceStatus_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalCell-ID >-----#
    GlobalCell_ID = SEQ(name='GlobalCell-ID', mode=MODE_TYPE)
    _GlobalCell_ID_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalCell_ID_cell_type = CHOICE(name='cell-type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cell-Type-Choice')))
    _GlobalCell_ID_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalCell_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalCell_ID_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalCell_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalCell_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalCell_ID_iE_Extensions__item__id._const_tab = ____GlobalCell_ID_iE_Extensions__item__id_tab
    ___GlobalCell_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalCell_ID_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalCell_ID_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalCell_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalCell_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalCell_ID_iE_Extensions__item__criticality._const_tab = ____GlobalCell_ID_iE_Extensions__item__criticality_tab
    ___GlobalCell_ID_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalCell_ID_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalCell_ID_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalCell_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalCell_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalCell_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalCell_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalCell_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalCell_ID_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalCell_ID_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalCell_ID_iE_Extensions__item__id),
        ('criticality', ___GlobalCell_ID_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalCell_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalCell_ID_iE_Extensions__item_._ext = None
    _GlobalCell_ID_iE_Extensions._cont = __GlobalCell_ID_iE_Extensions__item_
    _GlobalCell_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalCell_ID._cont = ASN1Dict([
        ('plmn-id', _GlobalCell_ID_plmn_id),
        ('cell-type', _GlobalCell_ID_cell_type),
        ('iE-Extensions', _GlobalCell_ID_iE_Extensions),
        ])
    GlobalCell_ID._ext = []
    
    #-----< GlobalCell-ID-ExtIEs >-----#
    GlobalCell_ID_ExtIEs = CLASS(name='GlobalCell-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalCell_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalngeNB-ID >-----#
    GlobalngeNB_ID = SEQ(name='GlobalngeNB-ID', mode=MODE_TYPE)
    _GlobalngeNB_ID_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalngeNB_ID_enb_id = CHOICE(name='enb-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ENB-ID-Choice')))
    _GlobalngeNB_ID_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalngeNB_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalngeNB_ID_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalngeNB_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__id_tab
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalngeNB_ID_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalngeNB_ID_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalngeNB_ID_iE_Extensions__item__id),
        ('criticality', ___GlobalngeNB_ID_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalngeNB_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalngeNB_ID_iE_Extensions__item_._ext = None
    _GlobalngeNB_ID_iE_Extensions._cont = __GlobalngeNB_ID_iE_Extensions__item_
    _GlobalngeNB_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalngeNB_ID._cont = ASN1Dict([
        ('plmn-id', _GlobalngeNB_ID_plmn_id),
        ('enb-id', _GlobalngeNB_ID_enb_id),
        ('iE-Extensions', _GlobalngeNB_ID_iE_Extensions),
        ])
    GlobalngeNB_ID._ext = []
    
    #-----< GlobaleNB-ID-ExtIEs >-----#
    GlobaleNB_ID_ExtIEs = CLASS(name='GlobaleNB-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobaleNB_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ENB-ID-Choice >-----#
    ENB_ID_Choice = CHOICE(name='ENB-ID-Choice', mode=MODE_TYPE)
    _ENB_ID_Choice_enb_ID_macro = BIT_STR(name='enb-ID-macro', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_macro._const_sz = ASN1Set(rv=[20], rr=[], ev=None, er=[])
    _ENB_ID_Choice_enb_ID_shortmacro = BIT_STR(name='enb-ID-shortmacro', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_shortmacro._const_sz = ASN1Set(rv=[18], rr=[], ev=None, er=[])
    _ENB_ID_Choice_enb_ID_longmacro = BIT_STR(name='enb-ID-longmacro', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_longmacro._const_sz = ASN1Set(rv=[21], rr=[], ev=None, er=[])
    _ENB_ID_Choice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ENB_ID_Choice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ENB_ID_Choice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_id._const_tab = ___ENB_ID_Choice_choice_extension_id_tab
    __ENB_ID_Choice_choice_extension_id._const_tab_at = None
    __ENB_ID_Choice_choice_extension_id._const_tab_id = 'id'
    __ENB_ID_Choice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ENB_ID_Choice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_criticality._const_tab = ___ENB_ID_Choice_choice_extension_criticality_tab
    __ENB_ID_Choice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ENB_ID_Choice_choice_extension_criticality._const_tab_id = 'criticality'
    __ENB_ID_Choice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ENB_ID_Choice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_value._const_tab = ___ENB_ID_Choice_choice_extension_value_tab
    __ENB_ID_Choice_choice_extension_value._const_tab_at = ('..', 'id')
    __ENB_ID_Choice_choice_extension_value._const_tab_id = 'Value'
    _ENB_ID_Choice_choice_extension._cont = ASN1Dict([
        ('id', __ENB_ID_Choice_choice_extension_id),
        ('criticality', __ENB_ID_Choice_choice_extension_criticality),
        ('value', __ENB_ID_Choice_choice_extension_value),
        ])
    _ENB_ID_Choice_choice_extension._ext = None
    ENB_ID_Choice._cont = ASN1Dict([
        ('enb-ID-macro', _ENB_ID_Choice_enb_ID_macro),
        ('enb-ID-shortmacro', _ENB_ID_Choice_enb_ID_shortmacro),
        ('enb-ID-longmacro', _ENB_ID_Choice_enb_ID_longmacro),
        ('choice-extension', _ENB_ID_Choice_choice_extension),
        ])
    ENB_ID_Choice._ext = None
    
    #-----< ENB-ID-Choice-ExtIEs >-----#
    ENB_ID_Choice_ExtIEs = CLASS(name='ENB-ID-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ENB_ID_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalNG-RANCell-ID >-----#
    GlobalNG_RANCell_ID = SEQ(name='GlobalNG-RANCell-ID', mode=MODE_TYPE)
    _GlobalNG_RANCell_ID_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalNG_RANCell_ID_ng_RAN_Cell_id = CHOICE(name='ng-RAN-Cell-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _GlobalNG_RANCell_ID_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalNG_RANCell_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalNG_RANCell_ID_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalNG_RANCell_ID_iE_Extensions__item__id),
        ('criticality', ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalNG_RANCell_ID_iE_Extensions__item_._ext = None
    _GlobalNG_RANCell_ID_iE_Extensions._cont = __GlobalNG_RANCell_ID_iE_Extensions__item_
    _GlobalNG_RANCell_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalNG_RANCell_ID._cont = ASN1Dict([
        ('plmn-id', _GlobalNG_RANCell_ID_plmn_id),
        ('ng-RAN-Cell-id', _GlobalNG_RANCell_ID_ng_RAN_Cell_id),
        ('iE-Extensions', _GlobalNG_RANCell_ID_iE_Extensions),
        ])
    GlobalNG_RANCell_ID._ext = []
    
    #-----< GlobalNG-RANCell-ID-ExtIEs >-----#
    GlobalNG_RANCell_ID_ExtIEs = CLASS(name='GlobalNG-RANCell-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalNG_RANCell_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalNG-RANNode-ID >-----#
    GlobalNG_RANNode_ID = CHOICE(name='GlobalNG-RANNode-ID', mode=MODE_TYPE)
    _GlobalNG_RANNode_ID_gNB = SEQ(name='gNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalgNB-ID')))
    _GlobalNG_RANNode_ID_ng_eNB = SEQ(name='ng-eNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalngeNB-ID')))
    _GlobalNG_RANNode_ID_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __GlobalNG_RANNode_ID_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___GlobalNG_RANNode_ID_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab = ___GlobalNG_RANNode_ID_choice_extension_id_tab
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab_at = None
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab_id = 'id'
    __GlobalNG_RANNode_ID_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___GlobalNG_RANNode_ID_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab = ___GlobalNG_RANNode_ID_choice_extension_criticality_tab
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab_at = ('..', 'id')
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab_id = 'criticality'
    __GlobalNG_RANNode_ID_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___GlobalNG_RANNode_ID_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab = ___GlobalNG_RANNode_ID_choice_extension_value_tab
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab_at = ('..', 'id')
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab_id = 'Value'
    _GlobalNG_RANNode_ID_choice_extension._cont = ASN1Dict([
        ('id', __GlobalNG_RANNode_ID_choice_extension_id),
        ('criticality', __GlobalNG_RANNode_ID_choice_extension_criticality),
        ('value', __GlobalNG_RANNode_ID_choice_extension_value),
        ])
    _GlobalNG_RANNode_ID_choice_extension._ext = None
    GlobalNG_RANNode_ID._cont = ASN1Dict([
        ('gNB', _GlobalNG_RANNode_ID_gNB),
        ('ng-eNB', _GlobalNG_RANNode_ID_ng_eNB),
        ('choice-extension', _GlobalNG_RANNode_ID_choice_extension),
        ])
    GlobalNG_RANNode_ID._ext = None
    
    #-----< GlobalNG-RANNode-ID-ExtIEs >-----#
    GlobalNG_RANNode_ID_ExtIEs = CLASS(name='GlobalNG-RANNode-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    GlobalNG_RANNode_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GTP-TEID >-----#
    GTP_TEID = OCT_STR(name='GTP-TEID', mode=MODE_TYPE)
    GTP_TEID._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    
    #-----< GTPtunnelTransportLayerInformation >-----#
    GTPtunnelTransportLayerInformation = SEQ(name='GTPtunnelTransportLayerInformation', mode=MODE_TYPE)
    _GTPtunnelTransportLayerInformation_tnl_address = BIT_STR(name='tnl-address', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _GTPtunnelTransportLayerInformation_gtp_teid = OCT_STR(name='gtp-teid', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GTP-TEID')))
    _GTPtunnelTransportLayerInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab_at = None
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id),
        ('criticality', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue),
        ])
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_._ext = None
    _GTPtunnelTransportLayerInformation_iE_Extensions._cont = __GTPtunnelTransportLayerInformation_iE_Extensions__item_
    _GTPtunnelTransportLayerInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GTPtunnelTransportLayerInformation._cont = ASN1Dict([
        ('tnl-address', _GTPtunnelTransportLayerInformation_tnl_address),
        ('gtp-teid', _GTPtunnelTransportLayerInformation_gtp_teid),
        ('iE-Extensions', _GTPtunnelTransportLayerInformation_iE_Extensions),
        ])
    GTPtunnelTransportLayerInformation._ext = []
    
    #-----< GTPtunnelTransportLayerInformation-ExtIEs >-----#
    GTPtunnelTransportLayerInformation_ExtIEs = CLASS(name='GTPtunnelTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GTPtunnelTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GUAMI >-----#
    GUAMI = SEQ(name='GUAMI', mode=MODE_TYPE)
    _GUAMI_plmn_ID = OCT_STR(name='plmn-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GUAMI_amf_region_id = BIT_STR(name='amf-region-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_region_id._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _GUAMI_amf_set_id = BIT_STR(name='amf-set-id', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_set_id._const_sz = ASN1Set(rv=[10], rr=[], ev=None, er=[])
    _GUAMI_amf_pointer = BIT_STR(name='amf-pointer', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_pointer._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    _GUAMI_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GUAMI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GUAMI_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GUAMI_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__id._const_tab = ____GUAMI_iE_Extensions__item__id_tab
    ___GUAMI_iE_Extensions__item__id._const_tab_at = None
    ___GUAMI_iE_Extensions__item__id._const_tab_id = 'id'
    ___GUAMI_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GUAMI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__criticality._const_tab = ____GUAMI_iE_Extensions__item__criticality_tab
    ___GUAMI_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GUAMI_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GUAMI_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GUAMI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab = ____GUAMI_iE_Extensions__item__extensionValue_tab
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GUAMI_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GUAMI_iE_Extensions__item__id),
        ('criticality', ___GUAMI_iE_Extensions__item__criticality),
        ('extensionValue', ___GUAMI_iE_Extensions__item__extensionValue),
        ])
    __GUAMI_iE_Extensions__item_._ext = None
    _GUAMI_iE_Extensions._cont = __GUAMI_iE_Extensions__item_
    _GUAMI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GUAMI._cont = ASN1Dict([
        ('plmn-ID', _GUAMI_plmn_ID),
        ('amf-region-id', _GUAMI_amf_region_id),
        ('amf-set-id', _GUAMI_amf_set_id),
        ('amf-pointer', _GUAMI_amf_pointer),
        ('iE-Extensions', _GUAMI_iE_Extensions),
        ])
    GUAMI._ext = []
    
    #-----< GUAMI-ExtIEs >-----#
    GUAMI_ExtIEs = CLASS(name='GUAMI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GUAMI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< HandoverReportType >-----#
    HandoverReportType = ENUM(name='HandoverReportType', mode=MODE_TYPE)
    HandoverReportType._cont = ASN1Dict([('hoTooEarly', 0), ('hoToWrongCell', 1), ('intersystempingpong', 2)])
    HandoverReportType._ext = []
    
    #-----< Hysteresis >-----#
    Hysteresis = INT(name='Hysteresis', mode=MODE_TYPE)
    Hysteresis._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=30)], ev=None, er=[])
    
    #-----< IABNodeIndication >-----#
    IABNodeIndication = ENUM(name='IABNodeIndication', mode=MODE_TYPE)
    IABNodeIndication._cont = ASN1Dict([('true', 0)])
    IABNodeIndication._ext = []
    
    #-----< ImmediateMDT-EUTRA >-----#
    ImmediateMDT_EUTRA = OCT_STR(name='ImmediateMDT-EUTRA', mode=MODE_TYPE)
    
    #-----< ImmediateMDT-NR >-----#
    ImmediateMDT_NR = SEQ(name='ImmediateMDT-NR', mode=MODE_TYPE)
    _ImmediateMDT_NR_measurementsToActivate = BIT_STR(name='measurementsToActivate', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MeasurementsToActivate')))
    _ImmediateMDT_NR_m1Configuration = SEQ(name='m1Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M1Configuration')), opt=True)
    _ImmediateMDT_NR_m4Configuration = SEQ(name='m4Configuration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M4Configuration')), opt=True)
    _ImmediateMDT_NR_m5Configuration = SEQ(name='m5Configuration', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M5Configuration')), opt=True)
    _ImmediateMDT_NR_mDT_Location_Info = BIT_STR(name='mDT-Location-Info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDT-Location-Info')), opt=True)
    _ImmediateMDT_NR_m6Configuration = SEQ(name='m6Configuration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M6Configuration')), opt=True)
    _ImmediateMDT_NR_m7Configuration = SEQ(name='m7Configuration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M7Configuration')), opt=True)
    _ImmediateMDT_NR_bluetoothMeasurementConfiguration = SEQ(name='bluetoothMeasurementConfiguration', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BluetoothMeasurementConfiguration')), opt=True)
    _ImmediateMDT_NR_wLANMeasurementConfiguration = SEQ(name='wLANMeasurementConfiguration', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'WLANMeasurementConfiguration')), opt=True)
    _ImmediateMDT_NR_sensorMeasurementConfiguration = SEQ(name='sensorMeasurementConfiguration', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SensorMeasurementConfiguration')), opt=True)
    _ImmediateMDT_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ImmediateMDT_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ImmediateMDT_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ImmediateMDT_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ImmediateMDT_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ImmediateMDT_NR_iE_Extensions__item__id._const_tab = ____ImmediateMDT_NR_iE_Extensions__item__id_tab
    ___ImmediateMDT_NR_iE_Extensions__item__id._const_tab_at = None
    ___ImmediateMDT_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___ImmediateMDT_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ImmediateMDT_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ImmediateMDT_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ImmediateMDT_NR_iE_Extensions__item__criticality._const_tab = ____ImmediateMDT_NR_iE_Extensions__item__criticality_tab
    ___ImmediateMDT_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ImmediateMDT_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ImmediateMDT_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ImmediateMDT_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ImmediateMDT_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ImmediateMDT_NR_iE_Extensions__item__extensionValue._const_tab = ____ImmediateMDT_NR_iE_Extensions__item__extensionValue_tab
    ___ImmediateMDT_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ImmediateMDT_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ImmediateMDT_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ImmediateMDT_NR_iE_Extensions__item__id),
        ('criticality', ___ImmediateMDT_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___ImmediateMDT_NR_iE_Extensions__item__extensionValue),
        ])
    __ImmediateMDT_NR_iE_Extensions__item_._ext = None
    _ImmediateMDT_NR_iE_Extensions._cont = __ImmediateMDT_NR_iE_Extensions__item_
    _ImmediateMDT_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ImmediateMDT_NR._cont = ASN1Dict([
        ('measurementsToActivate', _ImmediateMDT_NR_measurementsToActivate),
        ('m1Configuration', _ImmediateMDT_NR_m1Configuration),
        ('m4Configuration', _ImmediateMDT_NR_m4Configuration),
        ('m5Configuration', _ImmediateMDT_NR_m5Configuration),
        ('mDT-Location-Info', _ImmediateMDT_NR_mDT_Location_Info),
        ('m6Configuration', _ImmediateMDT_NR_m6Configuration),
        ('m7Configuration', _ImmediateMDT_NR_m7Configuration),
        ('bluetoothMeasurementConfiguration', _ImmediateMDT_NR_bluetoothMeasurementConfiguration),
        ('wLANMeasurementConfiguration', _ImmediateMDT_NR_wLANMeasurementConfiguration),
        ('sensorMeasurementConfiguration', _ImmediateMDT_NR_sensorMeasurementConfiguration),
        ('iE-Extensions', _ImmediateMDT_NR_iE_Extensions),
        ])
    ImmediateMDT_NR._ext = []
    
    #-----< ImmediateMDT-NR-ExtIEs >-----#
    ImmediateMDT_NR_ExtIEs = CLASS(name='ImmediateMDT-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ImmediateMDT_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< InitiatingCondition-FailureIndication >-----#
    InitiatingCondition_FailureIndication = CHOICE(name='InitiatingCondition-FailureIndication', mode=MODE_TYPE)
    _InitiatingCondition_FailureIndication_rRCReestab = SEQ(name='rRCReestab', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCReestab-initiated')))
    _InitiatingCondition_FailureIndication_rRCSetup = SEQ(name='rRCSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCSetup-initiated')))
    _InitiatingCondition_FailureIndication_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __InitiatingCondition_FailureIndication_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___InitiatingCondition_FailureIndication_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingCondition_FailureIndication_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingCondition_FailureIndication_choice_extension_id._const_tab = ___InitiatingCondition_FailureIndication_choice_extension_id_tab
    __InitiatingCondition_FailureIndication_choice_extension_id._const_tab_at = None
    __InitiatingCondition_FailureIndication_choice_extension_id._const_tab_id = 'id'
    __InitiatingCondition_FailureIndication_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___InitiatingCondition_FailureIndication_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingCondition_FailureIndication_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingCondition_FailureIndication_choice_extension_criticality._const_tab = ___InitiatingCondition_FailureIndication_choice_extension_criticality_tab
    __InitiatingCondition_FailureIndication_choice_extension_criticality._const_tab_at = ('..', 'id')
    __InitiatingCondition_FailureIndication_choice_extension_criticality._const_tab_id = 'criticality'
    __InitiatingCondition_FailureIndication_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___InitiatingCondition_FailureIndication_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingCondition_FailureIndication_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingCondition_FailureIndication_choice_extension_value._const_tab = ___InitiatingCondition_FailureIndication_choice_extension_value_tab
    __InitiatingCondition_FailureIndication_choice_extension_value._const_tab_at = ('..', 'id')
    __InitiatingCondition_FailureIndication_choice_extension_value._const_tab_id = 'Value'
    _InitiatingCondition_FailureIndication_choice_extension._cont = ASN1Dict([
        ('id', __InitiatingCondition_FailureIndication_choice_extension_id),
        ('criticality', __InitiatingCondition_FailureIndication_choice_extension_criticality),
        ('value', __InitiatingCondition_FailureIndication_choice_extension_value),
        ])
    _InitiatingCondition_FailureIndication_choice_extension._ext = None
    InitiatingCondition_FailureIndication._cont = ASN1Dict([
        ('rRCReestab', _InitiatingCondition_FailureIndication_rRCReestab),
        ('rRCSetup', _InitiatingCondition_FailureIndication_rRCSetup),
        ('choice-extension', _InitiatingCondition_FailureIndication_choice_extension),
        ])
    InitiatingCondition_FailureIndication._ext = None
    
    #-----< InitiatingCondition-FailureIndication-ExtIEs >-----#
    InitiatingCondition_FailureIndication_ExtIEs = CLASS(name='InitiatingCondition-FailureIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    InitiatingCondition_FailureIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< IntendedTDD-DL-ULConfiguration-NR >-----#
    IntendedTDD_DL_ULConfiguration_NR = SEQ(name='IntendedTDD-DL-ULConfiguration-NR', mode=MODE_TYPE)
    _IntendedTDD_DL_ULConfiguration_NR_nrscs = ENUM(name='nrscs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRSCS')))
    _IntendedTDD_DL_ULConfiguration_NR_nrCyclicPrefix = ENUM(name='nrCyclicPrefix', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRCyclicPrefix')))
    _IntendedTDD_DL_ULConfiguration_NR_nrDL_ULTransmissionPeriodicity = ENUM(name='nrDL-ULTransmissionPeriodicity', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRDL-ULTransmissionPeriodicity')))
    _IntendedTDD_DL_ULConfiguration_NR_slotConfiguration_List = SEQ_OF(name='slotConfiguration-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SlotConfiguration-List')))
    _IntendedTDD_DL_ULConfiguration_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id._const_tab = ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id_tab
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id._const_tab_at = None
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality._const_tab = ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality_tab
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue._const_tab = ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue_tab
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id),
        ('criticality', ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue),
        ])
    __IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item_._ext = None
    _IntendedTDD_DL_ULConfiguration_NR_iE_Extensions._cont = __IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item_
    _IntendedTDD_DL_ULConfiguration_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    IntendedTDD_DL_ULConfiguration_NR._cont = ASN1Dict([
        ('nrscs', _IntendedTDD_DL_ULConfiguration_NR_nrscs),
        ('nrCyclicPrefix', _IntendedTDD_DL_ULConfiguration_NR_nrCyclicPrefix),
        ('nrDL-ULTransmissionPeriodicity', _IntendedTDD_DL_ULConfiguration_NR_nrDL_ULTransmissionPeriodicity),
        ('slotConfiguration-List', _IntendedTDD_DL_ULConfiguration_NR_slotConfiguration_List),
        ('iE-Extensions', _IntendedTDD_DL_ULConfiguration_NR_iE_Extensions),
        ])
    IntendedTDD_DL_ULConfiguration_NR._ext = []
    
    #-----< IntendedTDD-DL-ULConfiguration-NR-ExtIEs >-----#
    IntendedTDD_DL_ULConfiguration_NR_ExtIEs = CLASS(name='IntendedTDD-DL-ULConfiguration-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    IntendedTDD_DL_ULConfiguration_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< InterfaceInstanceIndication >-----#
    InterfaceInstanceIndication = INT(name='InterfaceInstanceIndication', mode=MODE_TYPE)
    InterfaceInstanceIndication._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    
    #-----< InterfacesToTrace >-----#
    InterfacesToTrace = BIT_STR(name='InterfacesToTrace', mode=MODE_TYPE)
    InterfacesToTrace._cont = ASN1Dict([('ng-c', 0), ('x-nc', 1), ('uu', 2), ('f1-c', 3), ('e1', 4)])
    InterfacesToTrace._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    
    #-----< I-RNTI >-----#
    I_RNTI = CHOICE(name='I-RNTI', mode=MODE_TYPE)
    _I_RNTI_i_RNTI_full = BIT_STR(name='i-RNTI-full', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _I_RNTI_i_RNTI_full._const_sz = ASN1Set(rv=[40], rr=[], ev=None, er=[])
    _I_RNTI_i_RNTI_short = BIT_STR(name='i-RNTI-short', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _I_RNTI_i_RNTI_short._const_sz = ASN1Set(rv=[24], rr=[], ev=None, er=[])
    _I_RNTI_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __I_RNTI_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___I_RNTI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_id._const_tab = ___I_RNTI_choice_extension_id_tab
    __I_RNTI_choice_extension_id._const_tab_at = None
    __I_RNTI_choice_extension_id._const_tab_id = 'id'
    __I_RNTI_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___I_RNTI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_criticality._const_tab = ___I_RNTI_choice_extension_criticality_tab
    __I_RNTI_choice_extension_criticality._const_tab_at = ('..', 'id')
    __I_RNTI_choice_extension_criticality._const_tab_id = 'criticality'
    __I_RNTI_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___I_RNTI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_value._const_tab = ___I_RNTI_choice_extension_value_tab
    __I_RNTI_choice_extension_value._const_tab_at = ('..', 'id')
    __I_RNTI_choice_extension_value._const_tab_id = 'Value'
    _I_RNTI_choice_extension._cont = ASN1Dict([
        ('id', __I_RNTI_choice_extension_id),
        ('criticality', __I_RNTI_choice_extension_criticality),
        ('value', __I_RNTI_choice_extension_value),
        ])
    _I_RNTI_choice_extension._ext = None
    I_RNTI._cont = ASN1Dict([
        ('i-RNTI-full', _I_RNTI_i_RNTI_full),
        ('i-RNTI-short', _I_RNTI_i_RNTI_short),
        ('choice-extension', _I_RNTI_choice_extension),
        ])
    I_RNTI._ext = None
    
    #-----< I-RNTI-ExtIEs >-----#
    I_RNTI_ExtIEs = CLASS(name='I-RNTI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    I_RNTI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LastVisitedCell-Item >-----#
    LastVisitedCell_Item = CHOICE(name='LastVisitedCell-Item', mode=MODE_TYPE)
    _LastVisitedCell_Item_nG_RAN_Cell = OCT_STR(name='nG-RAN-Cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedNGRANCellInformation')))
    _LastVisitedCell_Item_e_UTRAN_Cell = OCT_STR(name='e-UTRAN-Cell', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedEUTRANCellInformation')))
    _LastVisitedCell_Item_uTRAN_Cell = OCT_STR(name='uTRAN-Cell', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedUTRANCellInformation')))
    _LastVisitedCell_Item_gERAN_Cell = OCT_STR(name='gERAN-Cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedGERANCellInformation')))
    _LastVisitedCell_Item_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __LastVisitedCell_Item_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___LastVisitedCell_Item_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_id._const_tab = ___LastVisitedCell_Item_choice_extension_id_tab
    __LastVisitedCell_Item_choice_extension_id._const_tab_at = None
    __LastVisitedCell_Item_choice_extension_id._const_tab_id = 'id'
    __LastVisitedCell_Item_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___LastVisitedCell_Item_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_criticality._const_tab = ___LastVisitedCell_Item_choice_extension_criticality_tab
    __LastVisitedCell_Item_choice_extension_criticality._const_tab_at = ('..', 'id')
    __LastVisitedCell_Item_choice_extension_criticality._const_tab_id = 'criticality'
    __LastVisitedCell_Item_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___LastVisitedCell_Item_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_value._const_tab = ___LastVisitedCell_Item_choice_extension_value_tab
    __LastVisitedCell_Item_choice_extension_value._const_tab_at = ('..', 'id')
    __LastVisitedCell_Item_choice_extension_value._const_tab_id = 'Value'
    _LastVisitedCell_Item_choice_extension._cont = ASN1Dict([
        ('id', __LastVisitedCell_Item_choice_extension_id),
        ('criticality', __LastVisitedCell_Item_choice_extension_criticality),
        ('value', __LastVisitedCell_Item_choice_extension_value),
        ])
    _LastVisitedCell_Item_choice_extension._ext = None
    LastVisitedCell_Item._cont = ASN1Dict([
        ('nG-RAN-Cell', _LastVisitedCell_Item_nG_RAN_Cell),
        ('e-UTRAN-Cell', _LastVisitedCell_Item_e_UTRAN_Cell),
        ('uTRAN-Cell', _LastVisitedCell_Item_uTRAN_Cell),
        ('gERAN-Cell', _LastVisitedCell_Item_gERAN_Cell),
        ('choice-extension', _LastVisitedCell_Item_choice_extension),
        ])
    LastVisitedCell_Item._ext = None
    
    #-----< LastVisitedCell-Item-ExtIEs >-----#
    LastVisitedCell_Item_ExtIEs = CLASS(name='LastVisitedCell-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    LastVisitedCell_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LastVisitedEUTRANCellInformation >-----#
    LastVisitedEUTRANCellInformation = OCT_STR(name='LastVisitedEUTRANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedGERANCellInformation >-----#
    LastVisitedGERANCellInformation = OCT_STR(name='LastVisitedGERANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedNGRANCellInformation >-----#
    LastVisitedNGRANCellInformation = OCT_STR(name='LastVisitedNGRANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedUTRANCellInformation >-----#
    LastVisitedUTRANCellInformation = OCT_STR(name='LastVisitedUTRANCellInformation', mode=MODE_TYPE)
    
    #-----< LCID >-----#
    LCID = INT(name='LCID', mode=MODE_TYPE)
    LCID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< Links-to-log >-----#
    Links_to_log = ENUM(name='Links-to-log', mode=MODE_TYPE)
    Links_to_log._cont = ASN1Dict([('uplink', 0), ('downlink', 1), ('both-uplink-and-downlink', 2)])
    Links_to_log._ext = []
    
    #-----< ListOfCells >-----#
    ListOfCells = SEQ_OF(name='ListOfCells', mode=MODE_TYPE)
    _ListOfCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellsinAoI-Item')))
    ListOfCells._cont = _ListOfCells__item_
    ListOfCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CellsinAoI-Item >-----#
    CellsinAoI_Item = SEQ(name='CellsinAoI-Item', mode=MODE_TYPE)
    _CellsinAoI_Item_pLMN_Identity = OCT_STR(name='pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _CellsinAoI_Item_ng_ran_cell_id = CHOICE(name='ng-ran-cell-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _CellsinAoI_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellsinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellsinAoI_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CellsinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab = ____CellsinAoI_Item_iE_Extensions__item__id_tab
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___CellsinAoI_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CellsinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab = ____CellsinAoI_Item_iE_Extensions__item__criticality_tab
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CellsinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CellsinAoI_Item_iE_Extensions__item__id),
        ('criticality', ___CellsinAoI_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___CellsinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __CellsinAoI_Item_iE_Extensions__item_._ext = None
    _CellsinAoI_Item_iE_Extensions._cont = __CellsinAoI_Item_iE_Extensions__item_
    _CellsinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellsinAoI_Item._cont = ASN1Dict([
        ('pLMN-Identity', _CellsinAoI_Item_pLMN_Identity),
        ('ng-ran-cell-id', _CellsinAoI_Item_ng_ran_cell_id),
        ('iE-Extensions', _CellsinAoI_Item_iE_Extensions),
        ])
    CellsinAoI_Item._ext = []
    
    #-----< CellsinAoI-Item-ExtIEs >-----#
    CellsinAoI_Item_ExtIEs = CLASS(name='CellsinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellsinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ListOfRANNodesinAoI >-----#
    ListOfRANNodesinAoI = SEQ_OF(name='ListOfRANNodesinAoI', mode=MODE_TYPE)
    _ListOfRANNodesinAoI__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNodesinAoI-Item')))
    ListOfRANNodesinAoI._cont = _ListOfRANNodesinAoI__item_
    ListOfRANNodesinAoI._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< GlobalNG-RANNodesinAoI-Item >-----#
    GlobalNG_RANNodesinAoI_Item = SEQ(name='GlobalNG-RANNodesinAoI-Item', mode=MODE_TYPE)
    _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID = CHOICE(name='global-NG-RAN-Node-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id),
        ('criticality', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_._ext = None
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions._cont = __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalNG_RANNodesinAoI_Item._cont = ASN1Dict([
        ('global-NG-RAN-Node-ID', _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID),
        ('iE-Extensions', _GlobalNG_RANNodesinAoI_Item_iE_Extensions),
        ])
    GlobalNG_RANNodesinAoI_Item._ext = []
    
    #-----< GlobalNG-RANNodesinAoI-Item-ExtIEs >-----#
    GlobalNG_RANNodesinAoI_Item_ExtIEs = CLASS(name='GlobalNG-RANNodesinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalNG_RANNodesinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ListOfTAIsinAoI >-----#
    ListOfTAIsinAoI = SEQ_OF(name='ListOfTAIsinAoI', mode=MODE_TYPE)
    _ListOfTAIsinAoI__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAIsinAoI-Item')))
    ListOfTAIsinAoI._cont = _ListOfTAIsinAoI__item_
    ListOfTAIsinAoI._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< TAIsinAoI-Item >-----#
    TAIsinAoI_Item = SEQ(name='TAIsinAoI-Item', mode=MODE_TYPE)
    _TAIsinAoI_Item_pLMN_Identity = OCT_STR(name='pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _TAIsinAoI_Item_tAC = OCT_STR(name='tAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _TAIsinAoI_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAIsinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAIsinAoI_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TAIsinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__id_tab
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TAIsinAoI_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TAIsinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TAIsinAoI_Item_iE_Extensions__item__id),
        ('criticality', ___TAIsinAoI_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TAIsinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __TAIsinAoI_Item_iE_Extensions__item_._ext = None
    _TAIsinAoI_Item_iE_Extensions._cont = __TAIsinAoI_Item_iE_Extensions__item_
    _TAIsinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAIsinAoI_Item._cont = ASN1Dict([
        ('pLMN-Identity', _TAIsinAoI_Item_pLMN_Identity),
        ('tAC', _TAIsinAoI_Item_tAC),
        ('iE-Extensions', _TAIsinAoI_Item_iE_Extensions),
        ])
    TAIsinAoI_Item._ext = []
    
    #-----< TAIsinAoI-Item-ExtIEs >-----#
    TAIsinAoI_Item_ExtIEs = CLASS(name='TAIsinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAIsinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LocationInformationSNReporting >-----#
    LocationInformationSNReporting = ENUM(name='LocationInformationSNReporting', mode=MODE_TYPE)
    LocationInformationSNReporting._cont = ASN1Dict([('pSCell', 0)])
    LocationInformationSNReporting._ext = []
    
    #-----< LocationReportingInformation >-----#
    LocationReportingInformation = SEQ(name='LocationReportingInformation', mode=MODE_TYPE)
    _LocationReportingInformation_eventType = ENUM(name='eventType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'EventType')))
    _LocationReportingInformation_reportArea = ENUM(name='reportArea', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReportArea')))
    _LocationReportingInformation_areaOfInterest = SEQ_OF(name='areaOfInterest', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AreaOfInterestInformation')), opt=True)
    _LocationReportingInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LocationReportingInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LocationReportingInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LocationReportingInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____LocationReportingInformation_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AdditionLocationInformation')))
    ____LocationReportingInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 251), ('criticality', 'ignore'), ('Extension', _____LocationReportingInformation_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab = ____LocationReportingInformation_iE_Extensions__item__id_tab
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab_at = None
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___LocationReportingInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab = ____LocationReportingInformation_iE_Extensions__item__id_tab
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LocationReportingInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab = ____LocationReportingInformation_iE_Extensions__item__id_tab
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LocationReportingInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LocationReportingInformation_iE_Extensions__item__id),
        ('criticality', ___LocationReportingInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___LocationReportingInformation_iE_Extensions__item__extensionValue),
        ])
    __LocationReportingInformation_iE_Extensions__item_._ext = None
    _LocationReportingInformation_iE_Extensions._cont = __LocationReportingInformation_iE_Extensions__item_
    _LocationReportingInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LocationReportingInformation._cont = ASN1Dict([
        ('eventType', _LocationReportingInformation_eventType),
        ('reportArea', _LocationReportingInformation_reportArea),
        ('areaOfInterest', _LocationReportingInformation_areaOfInterest),
        ('iE-Extensions', _LocationReportingInformation_iE_Extensions),
        ])
    LocationReportingInformation._ext = []
    
    #-----< LocationReportingInformation-ExtIEs >-----#
    LocationReportingInformation_ExtIEs = CLASS(name='LocationReportingInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _LocationReportingInformation_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AdditionLocationInformation')))
    LocationReportingInformation_ExtIEs._val = ASN1Set(rv=[dict([('id', 251), ('criticality', 'ignore'), ('Extension', _LocationReportingInformation_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< LoggedMDT-EUTRA >-----#
    LoggedMDT_EUTRA = SEQ(name='LoggedMDT-EUTRA', mode=MODE_TYPE)
    _LoggedMDT_EUTRA_loggingInterval = ENUM(name='loggingInterval', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggingInterval')))
    _LoggedMDT_EUTRA_loggingDuration = ENUM(name='loggingDuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggingDuration')))
    _LoggedMDT_EUTRA_bluetoothMeasurementConfiguration = SEQ(name='bluetoothMeasurementConfiguration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BluetoothMeasurementConfiguration')), opt=True)
    _LoggedMDT_EUTRA_wLANMeasurementConfiguration = SEQ(name='wLANMeasurementConfiguration', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'WLANMeasurementConfiguration')), opt=True)
    _LoggedMDT_EUTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LoggedMDT_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LoggedMDT_EUTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LoggedMDT_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_EUTRA_iE_Extensions__item__id._const_tab = ____LoggedMDT_EUTRA_iE_Extensions__item__id_tab
    ___LoggedMDT_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___LoggedMDT_EUTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___LoggedMDT_EUTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____LoggedMDT_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_EUTRA_iE_Extensions__item__criticality._const_tab = ____LoggedMDT_EUTRA_iE_Extensions__item__criticality_tab
    ___LoggedMDT_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LoggedMDT_EUTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____LoggedMDT_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____LoggedMDT_EUTRA_iE_Extensions__item__extensionValue_tab
    ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LoggedMDT_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LoggedMDT_EUTRA_iE_Extensions__item__id),
        ('criticality', ___LoggedMDT_EUTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __LoggedMDT_EUTRA_iE_Extensions__item_._ext = None
    _LoggedMDT_EUTRA_iE_Extensions._cont = __LoggedMDT_EUTRA_iE_Extensions__item_
    _LoggedMDT_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LoggedMDT_EUTRA._cont = ASN1Dict([
        ('loggingInterval', _LoggedMDT_EUTRA_loggingInterval),
        ('loggingDuration', _LoggedMDT_EUTRA_loggingDuration),
        ('bluetoothMeasurementConfiguration', _LoggedMDT_EUTRA_bluetoothMeasurementConfiguration),
        ('wLANMeasurementConfiguration', _LoggedMDT_EUTRA_wLANMeasurementConfiguration),
        ('iE-Extensions', _LoggedMDT_EUTRA_iE_Extensions),
        ])
    LoggedMDT_EUTRA._ext = []
    
    #-----< LoggedMDT-EUTRA-ExtIEs >-----#
    LoggedMDT_EUTRA_ExtIEs = CLASS(name='LoggedMDT-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LoggedMDT_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LoggedEventTriggeredConfig >-----#
    LoggedEventTriggeredConfig = SEQ(name='LoggedEventTriggeredConfig', mode=MODE_TYPE)
    _LoggedEventTriggeredConfig_eventTypeTrigger = CHOICE(name='eventTypeTrigger', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'EventTypeTrigger')))
    _LoggedEventTriggeredConfig_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LoggedEventTriggeredConfig_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LoggedEventTriggeredConfig_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedEventTriggeredConfig_iE_Extensions__item__id._const_tab = ____LoggedEventTriggeredConfig_iE_Extensions__item__id_tab
    ___LoggedEventTriggeredConfig_iE_Extensions__item__id._const_tab_at = None
    ___LoggedEventTriggeredConfig_iE_Extensions__item__id._const_tab_id = 'id'
    ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality._const_tab = ____LoggedEventTriggeredConfig_iE_Extensions__item__criticality_tab
    ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue._const_tab = ____LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue_tab
    ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LoggedEventTriggeredConfig_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LoggedEventTriggeredConfig_iE_Extensions__item__id),
        ('criticality', ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality),
        ('extensionValue', ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue),
        ])
    __LoggedEventTriggeredConfig_iE_Extensions__item_._ext = None
    _LoggedEventTriggeredConfig_iE_Extensions._cont = __LoggedEventTriggeredConfig_iE_Extensions__item_
    _LoggedEventTriggeredConfig_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LoggedEventTriggeredConfig._cont = ASN1Dict([
        ('eventTypeTrigger', _LoggedEventTriggeredConfig_eventTypeTrigger),
        ('iE-Extensions', _LoggedEventTriggeredConfig_iE_Extensions),
        ])
    LoggedEventTriggeredConfig._ext = []
    
    #-----< LoggedEventTriggeredConfig-ExtIEs >-----#
    LoggedEventTriggeredConfig_ExtIEs = CLASS(name='LoggedEventTriggeredConfig-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LoggedEventTriggeredConfig_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LoggedMDT-NR >-----#
    LoggedMDT_NR = SEQ(name='LoggedMDT-NR', mode=MODE_TYPE)
    _LoggedMDT_NR_loggingInterval = ENUM(name='loggingInterval', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggingInterval')))
    _LoggedMDT_NR_loggingDuration = ENUM(name='loggingDuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggingDuration')))
    _LoggedMDT_NR_reportType = CHOICE(name='reportType', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReportType')))
    _LoggedMDT_NR_bluetoothMeasurementConfiguration = SEQ(name='bluetoothMeasurementConfiguration', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BluetoothMeasurementConfiguration')), opt=True)
    _LoggedMDT_NR_wLANMeasurementConfiguration = SEQ(name='wLANMeasurementConfiguration', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'WLANMeasurementConfiguration')), opt=True)
    _LoggedMDT_NR_sensorMeasurementConfiguration = SEQ(name='sensorMeasurementConfiguration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SensorMeasurementConfiguration')), opt=True)
    _LoggedMDT_NR_areaScopeOfNeighCellsList = SEQ_OF(name='areaScopeOfNeighCellsList', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AreaScopeOfNeighCellsList')), opt=True)
    _LoggedMDT_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LoggedMDT_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LoggedMDT_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LoggedMDT_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_NR_iE_Extensions__item__id._const_tab = ____LoggedMDT_NR_iE_Extensions__item__id_tab
    ___LoggedMDT_NR_iE_Extensions__item__id._const_tab_at = None
    ___LoggedMDT_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___LoggedMDT_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____LoggedMDT_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_NR_iE_Extensions__item__criticality._const_tab = ____LoggedMDT_NR_iE_Extensions__item__criticality_tab
    ___LoggedMDT_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LoggedMDT_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LoggedMDT_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____LoggedMDT_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LoggedMDT_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LoggedMDT_NR_iE_Extensions__item__extensionValue._const_tab = ____LoggedMDT_NR_iE_Extensions__item__extensionValue_tab
    ___LoggedMDT_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LoggedMDT_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LoggedMDT_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LoggedMDT_NR_iE_Extensions__item__id),
        ('criticality', ___LoggedMDT_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___LoggedMDT_NR_iE_Extensions__item__extensionValue),
        ])
    __LoggedMDT_NR_iE_Extensions__item_._ext = None
    _LoggedMDT_NR_iE_Extensions._cont = __LoggedMDT_NR_iE_Extensions__item_
    _LoggedMDT_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LoggedMDT_NR._cont = ASN1Dict([
        ('loggingInterval', _LoggedMDT_NR_loggingInterval),
        ('loggingDuration', _LoggedMDT_NR_loggingDuration),
        ('reportType', _LoggedMDT_NR_reportType),
        ('bluetoothMeasurementConfiguration', _LoggedMDT_NR_bluetoothMeasurementConfiguration),
        ('wLANMeasurementConfiguration', _LoggedMDT_NR_wLANMeasurementConfiguration),
        ('sensorMeasurementConfiguration', _LoggedMDT_NR_sensorMeasurementConfiguration),
        ('areaScopeOfNeighCellsList', _LoggedMDT_NR_areaScopeOfNeighCellsList),
        ('iE-Extensions', _LoggedMDT_NR_iE_Extensions),
        ])
    LoggedMDT_NR._ext = []
    
    #-----< LoggedMDT-NR-ExtIEs >-----#
    LoggedMDT_NR_ExtIEs = CLASS(name='LoggedMDT-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LoggedMDT_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LoggingInterval >-----#
    LoggingInterval = ENUM(name='LoggingInterval', mode=MODE_TYPE)
    LoggingInterval._cont = ASN1Dict([('ms320', 0), ('ms640', 1), ('ms1280', 2), ('ms2560', 3), ('ms5120', 4), ('ms10240', 5), ('ms20480', 6), ('ms30720', 7), ('ms40960', 8), ('ms61440', 9)])
    LoggingInterval._ext = None
    
    #-----< LoggingDuration >-----#
    LoggingDuration = ENUM(name='LoggingDuration', mode=MODE_TYPE)
    LoggingDuration._cont = ASN1Dict([('m10', 0), ('m20', 1), ('m40', 2), ('m60', 3), ('m90', 4), ('m120', 5)])
    LoggingDuration._ext = None
    
    #-----< LowerLayerPresenceStatusChange >-----#
    LowerLayerPresenceStatusChange = ENUM(name='LowerLayerPresenceStatusChange', mode=MODE_TYPE)
    LowerLayerPresenceStatusChange._cont = ASN1Dict([('release-lower-layers', 0), ('re-establish-lower-layers', 1), ('suspend-lower-layers', 2), ('resume-lower-layers', 3)])
    LowerLayerPresenceStatusChange._ext = ['suspend-lower-layers', 'resume-lower-layers']
    
    #-----< LTEV2XServicesAuthorized >-----#
    LTEV2XServicesAuthorized = SEQ(name='LTEV2XServicesAuthorized', mode=MODE_TYPE)
    _LTEV2XServicesAuthorized_vehicleUE = ENUM(name='vehicleUE', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VehicleUE')), opt=True)
    _LTEV2XServicesAuthorized_pedestrianUE = ENUM(name='pedestrianUE', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PedestrianUE')), opt=True)
    _LTEV2XServicesAuthorized_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LTEV2XServicesAuthorized_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LTEV2XServicesAuthorized_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEV2XServicesAuthorized_iE_Extensions__item__id._const_tab = ____LTEV2XServicesAuthorized_iE_Extensions__item__id_tab
    ___LTEV2XServicesAuthorized_iE_Extensions__item__id._const_tab_at = None
    ___LTEV2XServicesAuthorized_iE_Extensions__item__id._const_tab_id = 'id'
    ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab = ____LTEV2XServicesAuthorized_iE_Extensions__item__criticality_tab
    ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab = ____LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab
    ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LTEV2XServicesAuthorized_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LTEV2XServicesAuthorized_iE_Extensions__item__id),
        ('criticality', ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality),
        ('extensionValue', ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue),
        ])
    __LTEV2XServicesAuthorized_iE_Extensions__item_._ext = None
    _LTEV2XServicesAuthorized_iE_Extensions._cont = __LTEV2XServicesAuthorized_iE_Extensions__item_
    _LTEV2XServicesAuthorized_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LTEV2XServicesAuthorized._cont = ASN1Dict([
        ('vehicleUE', _LTEV2XServicesAuthorized_vehicleUE),
        ('pedestrianUE', _LTEV2XServicesAuthorized_pedestrianUE),
        ('iE-Extensions', _LTEV2XServicesAuthorized_iE_Extensions),
        ])
    LTEV2XServicesAuthorized._ext = []
    
    #-----< LTEV2XServicesAuthorized-ExtIEs >-----#
    LTEV2XServicesAuthorized_ExtIEs = CLASS(name='LTEV2XServicesAuthorized-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LTEV2XServicesAuthorized_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LTEUESidelinkAggregateMaximumBitRate >-----#
    LTEUESidelinkAggregateMaximumBitRate = SEQ(name='LTEUESidelinkAggregateMaximumBitRate', mode=MODE_TYPE)
    _LTEUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate = INT(name='uESidelinkAggregateMaximumBitRate', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _LTEUESidelinkAggregateMaximumBitRate_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab = ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_at = None
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_id = 'id'
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab = ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab = ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id),
        ('criticality', ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality),
        ('extensionValue', ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue),
        ])
    __LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item_._ext = None
    _LTEUESidelinkAggregateMaximumBitRate_iE_Extensions._cont = __LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item_
    _LTEUESidelinkAggregateMaximumBitRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LTEUESidelinkAggregateMaximumBitRate._cont = ASN1Dict([
        ('uESidelinkAggregateMaximumBitRate', _LTEUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate),
        ('iE-Extensions', _LTEUESidelinkAggregateMaximumBitRate_iE_Extensions),
        ])
    LTEUESidelinkAggregateMaximumBitRate._ext = []
    
    #-----< LTEUESidelinkAggregateMaximumBitRate-ExtIEs >-----#
    LTEUESidelinkAggregateMaximumBitRate_ExtIEs = CLASS(name='LTEUESidelinkAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LTEUESidelinkAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M1Configuration >-----#
    M1Configuration = SEQ(name='M1Configuration', mode=MODE_TYPE)
    _M1Configuration_m1reportingTrigger = ENUM(name='m1reportingTrigger', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M1ReportingTrigger')))
    _M1Configuration_m1thresholdeventA2 = SEQ(name='m1thresholdeventA2', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M1ThresholdEventA2')), opt=True)
    _M1Configuration_m1periodicReporting = SEQ(name='m1periodicReporting', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M1PeriodicReporting')), opt=True)
    _M1Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M1Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M1Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M1Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1Configuration_iE_Extensions__item__id._const_tab = ____M1Configuration_iE_Extensions__item__id_tab
    ___M1Configuration_iE_Extensions__item__id._const_tab_at = None
    ___M1Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___M1Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M1Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1Configuration_iE_Extensions__item__criticality._const_tab = ____M1Configuration_iE_Extensions__item__criticality_tab
    ___M1Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M1Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M1Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M1Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1Configuration_iE_Extensions__item__extensionValue._const_tab = ____M1Configuration_iE_Extensions__item__extensionValue_tab
    ___M1Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M1Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M1Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M1Configuration_iE_Extensions__item__id),
        ('criticality', ___M1Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___M1Configuration_iE_Extensions__item__extensionValue),
        ])
    __M1Configuration_iE_Extensions__item_._ext = None
    _M1Configuration_iE_Extensions._cont = __M1Configuration_iE_Extensions__item_
    _M1Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M1Configuration._cont = ASN1Dict([
        ('m1reportingTrigger', _M1Configuration_m1reportingTrigger),
        ('m1thresholdeventA2', _M1Configuration_m1thresholdeventA2),
        ('m1periodicReporting', _M1Configuration_m1periodicReporting),
        ('iE-Extensions', _M1Configuration_iE_Extensions),
        ])
    M1Configuration._ext = []
    
    #-----< M1Configuration-ExtIEs >-----#
    M1Configuration_ExtIEs = CLASS(name='M1Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M1Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M1PeriodicReporting >-----#
    M1PeriodicReporting = SEQ(name='M1PeriodicReporting', mode=MODE_TYPE)
    _M1PeriodicReporting_reportInterval = ENUM(name='reportInterval', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReportIntervalMDT')))
    _M1PeriodicReporting_reportAmount = ENUM(name='reportAmount', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReportAmountMDT')))
    _M1PeriodicReporting_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M1PeriodicReporting_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M1PeriodicReporting_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M1PeriodicReporting_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____M1PeriodicReporting_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedReportIntervalMDT')))
    ____M1PeriodicReporting_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 257), ('criticality', 'ignore'), ('Extension', _____M1PeriodicReporting_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___M1PeriodicReporting_iE_Extensions__item__id._const_tab = ____M1PeriodicReporting_iE_Extensions__item__id_tab
    ___M1PeriodicReporting_iE_Extensions__item__id._const_tab_at = None
    ___M1PeriodicReporting_iE_Extensions__item__id._const_tab_id = 'id'
    ___M1PeriodicReporting_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___M1PeriodicReporting_iE_Extensions__item__criticality._const_tab = ____M1PeriodicReporting_iE_Extensions__item__id_tab
    ___M1PeriodicReporting_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M1PeriodicReporting_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M1PeriodicReporting_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___M1PeriodicReporting_iE_Extensions__item__extensionValue._const_tab = ____M1PeriodicReporting_iE_Extensions__item__id_tab
    ___M1PeriodicReporting_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M1PeriodicReporting_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M1PeriodicReporting_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M1PeriodicReporting_iE_Extensions__item__id),
        ('criticality', ___M1PeriodicReporting_iE_Extensions__item__criticality),
        ('extensionValue', ___M1PeriodicReporting_iE_Extensions__item__extensionValue),
        ])
    __M1PeriodicReporting_iE_Extensions__item_._ext = None
    _M1PeriodicReporting_iE_Extensions._cont = __M1PeriodicReporting_iE_Extensions__item_
    _M1PeriodicReporting_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M1PeriodicReporting._cont = ASN1Dict([
        ('reportInterval', _M1PeriodicReporting_reportInterval),
        ('reportAmount', _M1PeriodicReporting_reportAmount),
        ('iE-Extensions', _M1PeriodicReporting_iE_Extensions),
        ])
    M1PeriodicReporting._ext = []
    
    #-----< M1PeriodicReporting-ExtIEs >-----#
    M1PeriodicReporting_ExtIEs = CLASS(name='M1PeriodicReporting-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _M1PeriodicReporting_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedReportIntervalMDT')))
    M1PeriodicReporting_ExtIEs._val = ASN1Set(rv=[dict([('id', 257), ('criticality', 'ignore'), ('Extension', _M1PeriodicReporting_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< M1ReportingTrigger >-----#
    M1ReportingTrigger = ENUM(name='M1ReportingTrigger', mode=MODE_TYPE)
    M1ReportingTrigger._cont = ASN1Dict([('periodic', 0), ('a2eventtriggered', 1), ('a2eventtriggered-periodic', 2)])
    M1ReportingTrigger._ext = []
    
    #-----< M1ThresholdEventA2 >-----#
    M1ThresholdEventA2 = SEQ(name='M1ThresholdEventA2', mode=MODE_TYPE)
    _M1ThresholdEventA2_measurementThreshold = CHOICE(name='measurementThreshold', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MeasurementThresholdA2')))
    _M1ThresholdEventA2_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M1ThresholdEventA2_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M1ThresholdEventA2_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M1ThresholdEventA2_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1ThresholdEventA2_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1ThresholdEventA2_iE_Extensions__item__id._const_tab = ____M1ThresholdEventA2_iE_Extensions__item__id_tab
    ___M1ThresholdEventA2_iE_Extensions__item__id._const_tab_at = None
    ___M1ThresholdEventA2_iE_Extensions__item__id._const_tab_id = 'id'
    ___M1ThresholdEventA2_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M1ThresholdEventA2_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1ThresholdEventA2_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1ThresholdEventA2_iE_Extensions__item__criticality._const_tab = ____M1ThresholdEventA2_iE_Extensions__item__criticality_tab
    ___M1ThresholdEventA2_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M1ThresholdEventA2_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M1ThresholdEventA2_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M1ThresholdEventA2_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M1ThresholdEventA2_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M1ThresholdEventA2_iE_Extensions__item__extensionValue._const_tab = ____M1ThresholdEventA2_iE_Extensions__item__extensionValue_tab
    ___M1ThresholdEventA2_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M1ThresholdEventA2_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M1ThresholdEventA2_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M1ThresholdEventA2_iE_Extensions__item__id),
        ('criticality', ___M1ThresholdEventA2_iE_Extensions__item__criticality),
        ('extensionValue', ___M1ThresholdEventA2_iE_Extensions__item__extensionValue),
        ])
    __M1ThresholdEventA2_iE_Extensions__item_._ext = None
    _M1ThresholdEventA2_iE_Extensions._cont = __M1ThresholdEventA2_iE_Extensions__item_
    _M1ThresholdEventA2_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M1ThresholdEventA2._cont = ASN1Dict([
        ('measurementThreshold', _M1ThresholdEventA2_measurementThreshold),
        ('iE-Extensions', _M1ThresholdEventA2_iE_Extensions),
        ])
    M1ThresholdEventA2._ext = []
    
    #-----< M1ThresholdEventA2-ExtIEs >-----#
    M1ThresholdEventA2_ExtIEs = CLASS(name='M1ThresholdEventA2-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M1ThresholdEventA2_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M4Configuration >-----#
    M4Configuration = SEQ(name='M4Configuration', mode=MODE_TYPE)
    _M4Configuration_m4period = ENUM(name='m4period', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M4period')))
    _M4Configuration_m4_links_to_log = ENUM(name='m4-links-to-log', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Links-to-log')))
    _M4Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M4Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M4Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M4Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M4Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M4Configuration_iE_Extensions__item__id._const_tab = ____M4Configuration_iE_Extensions__item__id_tab
    ___M4Configuration_iE_Extensions__item__id._const_tab_at = None
    ___M4Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___M4Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M4Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M4Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M4Configuration_iE_Extensions__item__criticality._const_tab = ____M4Configuration_iE_Extensions__item__criticality_tab
    ___M4Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M4Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M4Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M4Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M4Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M4Configuration_iE_Extensions__item__extensionValue._const_tab = ____M4Configuration_iE_Extensions__item__extensionValue_tab
    ___M4Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M4Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M4Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M4Configuration_iE_Extensions__item__id),
        ('criticality', ___M4Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___M4Configuration_iE_Extensions__item__extensionValue),
        ])
    __M4Configuration_iE_Extensions__item_._ext = None
    _M4Configuration_iE_Extensions._cont = __M4Configuration_iE_Extensions__item_
    _M4Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M4Configuration._cont = ASN1Dict([
        ('m4period', _M4Configuration_m4period),
        ('m4-links-to-log', _M4Configuration_m4_links_to_log),
        ('iE-Extensions', _M4Configuration_iE_Extensions),
        ])
    M4Configuration._ext = []
    
    #-----< M4Configuration-ExtIEs >-----#
    M4Configuration_ExtIEs = CLASS(name='M4Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M4Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M4period >-----#
    M4period = ENUM(name='M4period', mode=MODE_TYPE)
    M4period._cont = ASN1Dict([('ms1024', 0), ('ms2048', 1), ('ms5120', 2), ('ms10240', 3), ('min1', 4)])
    M4period._ext = []
    
    #-----< M5Configuration >-----#
    M5Configuration = SEQ(name='M5Configuration', mode=MODE_TYPE)
    _M5Configuration_m5period = ENUM(name='m5period', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M5period')))
    _M5Configuration_m5_links_to_log = ENUM(name='m5-links-to-log', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Links-to-log')))
    _M5Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M5Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M5Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M5Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M5Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M5Configuration_iE_Extensions__item__id._const_tab = ____M5Configuration_iE_Extensions__item__id_tab
    ___M5Configuration_iE_Extensions__item__id._const_tab_at = None
    ___M5Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___M5Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M5Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M5Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M5Configuration_iE_Extensions__item__criticality._const_tab = ____M5Configuration_iE_Extensions__item__criticality_tab
    ___M5Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M5Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M5Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M5Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M5Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M5Configuration_iE_Extensions__item__extensionValue._const_tab = ____M5Configuration_iE_Extensions__item__extensionValue_tab
    ___M5Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M5Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M5Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M5Configuration_iE_Extensions__item__id),
        ('criticality', ___M5Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___M5Configuration_iE_Extensions__item__extensionValue),
        ])
    __M5Configuration_iE_Extensions__item_._ext = None
    _M5Configuration_iE_Extensions._cont = __M5Configuration_iE_Extensions__item_
    _M5Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M5Configuration._cont = ASN1Dict([
        ('m5period', _M5Configuration_m5period),
        ('m5-links-to-log', _M5Configuration_m5_links_to_log),
        ('iE-Extensions', _M5Configuration_iE_Extensions),
        ])
    M5Configuration._ext = []
    
    #-----< M5Configuration-ExtIEs >-----#
    M5Configuration_ExtIEs = CLASS(name='M5Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M5Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M5period >-----#
    M5period = ENUM(name='M5period', mode=MODE_TYPE)
    M5period._cont = ASN1Dict([('ms1024', 0), ('ms2048', 1), ('ms5120', 2), ('ms10240', 3), ('min1', 4)])
    M5period._ext = []
    
    #-----< M6Configuration >-----#
    M6Configuration = SEQ(name='M6Configuration', mode=MODE_TYPE)
    _M6Configuration_m6report_Interval = ENUM(name='m6report-Interval', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M6report-Interval')))
    _M6Configuration_m6_links_to_log = ENUM(name='m6-links-to-log', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Links-to-log')))
    _M6Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M6Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M6Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M6Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M6Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M6Configuration_iE_Extensions__item__id._const_tab = ____M6Configuration_iE_Extensions__item__id_tab
    ___M6Configuration_iE_Extensions__item__id._const_tab_at = None
    ___M6Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___M6Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M6Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M6Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M6Configuration_iE_Extensions__item__criticality._const_tab = ____M6Configuration_iE_Extensions__item__criticality_tab
    ___M6Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M6Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M6Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M6Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M6Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M6Configuration_iE_Extensions__item__extensionValue._const_tab = ____M6Configuration_iE_Extensions__item__extensionValue_tab
    ___M6Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M6Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M6Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M6Configuration_iE_Extensions__item__id),
        ('criticality', ___M6Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___M6Configuration_iE_Extensions__item__extensionValue),
        ])
    __M6Configuration_iE_Extensions__item_._ext = None
    _M6Configuration_iE_Extensions._cont = __M6Configuration_iE_Extensions__item_
    _M6Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M6Configuration._cont = ASN1Dict([
        ('m6report-Interval', _M6Configuration_m6report_Interval),
        ('m6-links-to-log', _M6Configuration_m6_links_to_log),
        ('iE-Extensions', _M6Configuration_iE_Extensions),
        ])
    M6Configuration._ext = []
    
    #-----< M6Configuration-ExtIEs >-----#
    M6Configuration_ExtIEs = CLASS(name='M6Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M6Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M6report-Interval >-----#
    M6report_Interval = ENUM(name='M6report-Interval', mode=MODE_TYPE)
    M6report_Interval._cont = ASN1Dict([('ms120', 0), ('ms240', 1), ('ms480', 2), ('ms640', 3), ('ms1024', 4), ('ms2048', 5), ('ms5120', 6), ('ms10240', 7), ('ms20480', 8), ('ms40960', 9), ('min1', 10), ('min6', 11), ('min12', 12), ('min30', 13)])
    M6report_Interval._ext = []
    
    #-----< M7Configuration >-----#
    M7Configuration = SEQ(name='M7Configuration', mode=MODE_TYPE)
    _M7Configuration_m7period = INT(name='m7period', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'M7period')))
    _M7Configuration_m7_links_to_log = ENUM(name='m7-links-to-log', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Links-to-log')))
    _M7Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __M7Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___M7Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____M7Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M7Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M7Configuration_iE_Extensions__item__id._const_tab = ____M7Configuration_iE_Extensions__item__id_tab
    ___M7Configuration_iE_Extensions__item__id._const_tab_at = None
    ___M7Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___M7Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____M7Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M7Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M7Configuration_iE_Extensions__item__criticality._const_tab = ____M7Configuration_iE_Extensions__item__criticality_tab
    ___M7Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___M7Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___M7Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____M7Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____M7Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___M7Configuration_iE_Extensions__item__extensionValue._const_tab = ____M7Configuration_iE_Extensions__item__extensionValue_tab
    ___M7Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___M7Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __M7Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___M7Configuration_iE_Extensions__item__id),
        ('criticality', ___M7Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___M7Configuration_iE_Extensions__item__extensionValue),
        ])
    __M7Configuration_iE_Extensions__item_._ext = None
    _M7Configuration_iE_Extensions._cont = __M7Configuration_iE_Extensions__item_
    _M7Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    M7Configuration._cont = ASN1Dict([
        ('m7period', _M7Configuration_m7period),
        ('m7-links-to-log', _M7Configuration_m7_links_to_log),
        ('iE-Extensions', _M7Configuration_iE_Extensions),
        ])
    M7Configuration._ext = []
    
    #-----< M7Configuration-ExtIEs >-----#
    M7Configuration_ExtIEs = CLASS(name='M7Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    M7Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< M7period >-----#
    M7period = INT(name='M7period', mode=MODE_TYPE)
    M7period._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=60)], ev=[], er=[])
    
    #-----< MAC-I >-----#
    MAC_I = BIT_STR(name='MAC-I', mode=MODE_TYPE)
    MAC_I._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< MaskedIMEISV >-----#
    MaskedIMEISV = BIT_STR(name='MaskedIMEISV', mode=MODE_TYPE)
    MaskedIMEISV._const_sz = ASN1Set(rv=[64], rr=[], ev=None, er=[])
    
    #-----< MaxCHOpreparations >-----#
    MaxCHOpreparations = INT(name='MaxCHOpreparations', mode=MODE_TYPE)
    MaxCHOpreparations._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=[], er=[])
    
    #-----< MaximumDataBurstVolume >-----#
    MaximumDataBurstVolume = INT(name='MaximumDataBurstVolume', mode=MODE_TYPE)
    MaximumDataBurstVolume._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[ASN1RangeInt(lb=4096, ub=2000000)])
    
    #-----< MaximumIPdatarate >-----#
    MaximumIPdatarate = SEQ(name='MaximumIPdatarate', mode=MODE_TYPE)
    _MaximumIPdatarate_maxIPrate_UL = ENUM(name='maxIPrate-UL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    _MaximumIPdatarate_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MaximumIPdatarate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MaximumIPdatarate_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 114), ('criticality', 'ignore'), ('Extension', _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_at = None
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_id = 'id'
    ___MaximumIPdatarate_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MaximumIPdatarate_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MaximumIPdatarate_iE_Extensions__item__id),
        ('criticality', ___MaximumIPdatarate_iE_Extensions__item__criticality),
        ('extensionValue', ___MaximumIPdatarate_iE_Extensions__item__extensionValue),
        ])
    __MaximumIPdatarate_iE_Extensions__item_._ext = None
    _MaximumIPdatarate_iE_Extensions._cont = __MaximumIPdatarate_iE_Extensions__item_
    _MaximumIPdatarate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MaximumIPdatarate._cont = ASN1Dict([
        ('maxIPrate-UL', _MaximumIPdatarate_maxIPrate_UL),
        ('iE-Extensions', _MaximumIPdatarate_iE_Extensions),
        ])
    MaximumIPdatarate._ext = []
    
    #-----< MaximumIPdatarate-ExtIEs >-----#
    MaximumIPdatarate_ExtIEs = CLASS(name='MaximumIPdatarate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _MaximumIPdatarate_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    MaximumIPdatarate_ExtIEs._val = ASN1Set(rv=[dict([('id', 114), ('criticality', 'ignore'), ('Extension', _MaximumIPdatarate_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< MaxIPrate >-----#
    MaxIPrate = ENUM(name='MaxIPrate', mode=MODE_TYPE)
    MaxIPrate._cont = ASN1Dict([('bitrate64kbs', 0), ('max-UErate', 1)])
    MaxIPrate._ext = []
    
    #-----< MBSFNControlRegionLength >-----#
    MBSFNControlRegionLength = INT(name='MBSFNControlRegionLength', mode=MODE_TYPE)
    MBSFNControlRegionLength._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3)], ev=None, er=[])
    
    #-----< MBSFNSubframeAllocation-E-UTRA >-----#
    MBSFNSubframeAllocation_E_UTRA = CHOICE(name='MBSFNSubframeAllocation-E-UTRA', mode=MODE_TYPE)
    _MBSFNSubframeAllocation_E_UTRA_oneframe = BIT_STR(name='oneframe', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeAllocation_E_UTRA_oneframe._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    _MBSFNSubframeAllocation_E_UTRA_fourframes = BIT_STR(name='fourframes', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeAllocation_E_UTRA_fourframes._const_sz = ASN1Set(rv=[24], rr=[], ev=None, er=[])
    _MBSFNSubframeAllocation_E_UTRA_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab_at = None
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab_id = 'id'
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab_at = ('..', 'id')
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab_id = 'criticality'
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab_at = ('..', 'id')
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab_id = 'Value'
    _MBSFNSubframeAllocation_E_UTRA_choice_extension._cont = ASN1Dict([
        ('id', __MBSFNSubframeAllocation_E_UTRA_choice_extension_id),
        ('criticality', __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality),
        ('value', __MBSFNSubframeAllocation_E_UTRA_choice_extension_value),
        ])
    _MBSFNSubframeAllocation_E_UTRA_choice_extension._ext = None
    MBSFNSubframeAllocation_E_UTRA._cont = ASN1Dict([
        ('oneframe', _MBSFNSubframeAllocation_E_UTRA_oneframe),
        ('fourframes', _MBSFNSubframeAllocation_E_UTRA_fourframes),
        ('choice-extension', _MBSFNSubframeAllocation_E_UTRA_choice_extension),
        ])
    MBSFNSubframeAllocation_E_UTRA._ext = None
    
    #-----< MBSFNSubframeAllocation-E-UTRA-ExtIEs >-----#
    MBSFNSubframeAllocation_E_UTRA_ExtIEs = CLASS(name='MBSFNSubframeAllocation-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    MBSFNSubframeAllocation_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MBSFNSubframeInfo-E-UTRA >-----#
    MBSFNSubframeInfo_E_UTRA = SEQ_OF(name='MBSFNSubframeInfo-E-UTRA', mode=MODE_TYPE)
    _MBSFNSubframeInfo_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeInfo-E-UTRA-Item')))
    MBSFNSubframeInfo_E_UTRA._cont = _MBSFNSubframeInfo_E_UTRA__item_
    MBSFNSubframeInfo_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< MBSFNSubframeInfo-E-UTRA-Item >-----#
    MBSFNSubframeInfo_E_UTRA_Item = SEQ(name='MBSFNSubframeInfo-E-UTRA-Item', mode=MODE_TYPE)
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod = ENUM(name='radioframeAllocationPeriod', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod._cont = ASN1Dict([('n1', 0), ('n2', 1), ('n4', 2), ('n8', 3), ('n16', 4), ('n32', 5)])
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod._ext = []
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset = INT(name='radioframeAllocationOffset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7)], ev=[], er=[])
    _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation = CHOICE(name='subframeAllocation', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeAllocation-E-UTRA')))
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id),
        ('criticality', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_._ext = None
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions._cont = __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MBSFNSubframeInfo_E_UTRA_Item._cont = ASN1Dict([
        ('radioframeAllocationPeriod', _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod),
        ('radioframeAllocationOffset', _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset),
        ('subframeAllocation', _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation),
        ('iE-Extensions', _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions),
        ])
    MBSFNSubframeInfo_E_UTRA_Item._ext = []
    
    #-----< MBSFNSubframeInfo-E-UTRA-Item-ExtIEs >-----#
    MBSFNSubframeInfo_E_UTRA_Item_ExtIEs = CLASS(name='MBSFNSubframeInfo-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MBSFNSubframeInfo_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MDT-Activation >-----#
    MDT_Activation = ENUM(name='MDT-Activation', mode=MODE_TYPE)
    MDT_Activation._cont = ASN1Dict([('immediate-MDT-only', 0), ('immediate-MDT-and-Trace', 1), ('logged-MDT-only', 2)])
    MDT_Activation._ext = []
    
    #-----< MDT-Configuration >-----#
    MDT_Configuration = SEQ(name='MDT-Configuration', mode=MODE_TYPE)
    _MDT_Configuration_mDT_Configuration_NR = SEQ(name='mDT-Configuration-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDT-Configuration-NR')), opt=True)
    _MDT_Configuration_mDT_Configuration_EUTRA = SEQ(name='mDT-Configuration-EUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDT-Configuration-EUTRA')), opt=True)
    _MDT_Configuration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MDT_Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MDT_Configuration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MDT_Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_iE_Extensions__item__id._const_tab = ____MDT_Configuration_iE_Extensions__item__id_tab
    ___MDT_Configuration_iE_Extensions__item__id._const_tab_at = None
    ___MDT_Configuration_iE_Extensions__item__id._const_tab_id = 'id'
    ___MDT_Configuration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MDT_Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_iE_Extensions__item__criticality._const_tab = ____MDT_Configuration_iE_Extensions__item__criticality_tab
    ___MDT_Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MDT_Configuration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MDT_Configuration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MDT_Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_iE_Extensions__item__extensionValue._const_tab = ____MDT_Configuration_iE_Extensions__item__extensionValue_tab
    ___MDT_Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MDT_Configuration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MDT_Configuration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MDT_Configuration_iE_Extensions__item__id),
        ('criticality', ___MDT_Configuration_iE_Extensions__item__criticality),
        ('extensionValue', ___MDT_Configuration_iE_Extensions__item__extensionValue),
        ])
    __MDT_Configuration_iE_Extensions__item_._ext = None
    _MDT_Configuration_iE_Extensions._cont = __MDT_Configuration_iE_Extensions__item_
    _MDT_Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MDT_Configuration._cont = ASN1Dict([
        ('mDT-Configuration-NR', _MDT_Configuration_mDT_Configuration_NR),
        ('mDT-Configuration-EUTRA', _MDT_Configuration_mDT_Configuration_EUTRA),
        ('iE-Extensions', _MDT_Configuration_iE_Extensions),
        ])
    MDT_Configuration._ext = []
    
    #-----< MDT-Configuration-ExtIEs >-----#
    MDT_Configuration_ExtIEs = CLASS(name='MDT-Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MDT_Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MDT-Configuration-NR >-----#
    MDT_Configuration_NR = SEQ(name='MDT-Configuration-NR', mode=MODE_TYPE)
    _MDT_Configuration_NR_mdt_Activation = ENUM(name='mdt-Activation', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDT-Activation')))
    _MDT_Configuration_NR_areaScopeOfMDT_NR = CHOICE(name='areaScopeOfMDT-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AreaScopeOfMDT-NR')), opt=True)
    _MDT_Configuration_NR_mDTMode_NR = CHOICE(name='mDTMode-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTMode-NR')))
    _MDT_Configuration_NR_signallingBasedMDTPLMNList = SEQ_OF(name='signallingBasedMDTPLMNList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    _MDT_Configuration_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MDT_Configuration_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MDT_Configuration_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MDT_Configuration_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_NR_iE_Extensions__item__id._const_tab = ____MDT_Configuration_NR_iE_Extensions__item__id_tab
    ___MDT_Configuration_NR_iE_Extensions__item__id._const_tab_at = None
    ___MDT_Configuration_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___MDT_Configuration_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MDT_Configuration_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_NR_iE_Extensions__item__criticality._const_tab = ____MDT_Configuration_NR_iE_Extensions__item__criticality_tab
    ___MDT_Configuration_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MDT_Configuration_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MDT_Configuration_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MDT_Configuration_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_NR_iE_Extensions__item__extensionValue._const_tab = ____MDT_Configuration_NR_iE_Extensions__item__extensionValue_tab
    ___MDT_Configuration_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MDT_Configuration_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MDT_Configuration_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MDT_Configuration_NR_iE_Extensions__item__id),
        ('criticality', ___MDT_Configuration_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___MDT_Configuration_NR_iE_Extensions__item__extensionValue),
        ])
    __MDT_Configuration_NR_iE_Extensions__item_._ext = None
    _MDT_Configuration_NR_iE_Extensions._cont = __MDT_Configuration_NR_iE_Extensions__item_
    _MDT_Configuration_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MDT_Configuration_NR._cont = ASN1Dict([
        ('mdt-Activation', _MDT_Configuration_NR_mdt_Activation),
        ('areaScopeOfMDT-NR', _MDT_Configuration_NR_areaScopeOfMDT_NR),
        ('mDTMode-NR', _MDT_Configuration_NR_mDTMode_NR),
        ('signallingBasedMDTPLMNList', _MDT_Configuration_NR_signallingBasedMDTPLMNList),
        ('iE-Extensions', _MDT_Configuration_NR_iE_Extensions),
        ])
    MDT_Configuration_NR._ext = []
    
    #-----< MDT-Configuration-NR-ExtIEs >-----#
    MDT_Configuration_NR_ExtIEs = CLASS(name='MDT-Configuration-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MDT_Configuration_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MDT-Configuration-EUTRA >-----#
    MDT_Configuration_EUTRA = SEQ(name='MDT-Configuration-EUTRA', mode=MODE_TYPE)
    _MDT_Configuration_EUTRA_mdt_Activation = ENUM(name='mdt-Activation', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDT-Activation')))
    _MDT_Configuration_EUTRA_areaScopeOfMDT_EUTRA = CHOICE(name='areaScopeOfMDT-EUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AreaScopeOfMDT-EUTRA')), opt=True)
    _MDT_Configuration_EUTRA_mDTMode_EUTRA = CHOICE(name='mDTMode-EUTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTMode-EUTRA')))
    _MDT_Configuration_EUTRA_signallingBasedMDTPLMNList = SEQ_OF(name='signallingBasedMDTPLMNList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    _MDT_Configuration_EUTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MDT_Configuration_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MDT_Configuration_EUTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_EUTRA_iE_Extensions__item__id._const_tab = ____MDT_Configuration_EUTRA_iE_Extensions__item__id_tab
    ___MDT_Configuration_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___MDT_Configuration_EUTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality._const_tab = ____MDT_Configuration_EUTRA_iE_Extensions__item__criticality_tab
    ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue_tab
    ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MDT_Configuration_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MDT_Configuration_EUTRA_iE_Extensions__item__id),
        ('criticality', ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __MDT_Configuration_EUTRA_iE_Extensions__item_._ext = None
    _MDT_Configuration_EUTRA_iE_Extensions._cont = __MDT_Configuration_EUTRA_iE_Extensions__item_
    _MDT_Configuration_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MDT_Configuration_EUTRA._cont = ASN1Dict([
        ('mdt-Activation', _MDT_Configuration_EUTRA_mdt_Activation),
        ('areaScopeOfMDT-EUTRA', _MDT_Configuration_EUTRA_areaScopeOfMDT_EUTRA),
        ('mDTMode-EUTRA', _MDT_Configuration_EUTRA_mDTMode_EUTRA),
        ('signallingBasedMDTPLMNList', _MDT_Configuration_EUTRA_signallingBasedMDTPLMNList),
        ('iE-Extensions', _MDT_Configuration_EUTRA_iE_Extensions),
        ])
    MDT_Configuration_EUTRA._ext = []
    
    #-----< MDT-Configuration-EUTRA-ExtIEs >-----#
    MDT_Configuration_EUTRA_ExtIEs = CLASS(name='MDT-Configuration-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MDT_Configuration_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MDT-Location-Info >-----#
    MDT_Location_Info = BIT_STR(name='MDT-Location-Info', mode=MODE_TYPE)
    MDT_Location_Info._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    
    #-----< MDTPLMNList >-----#
    MDTPLMNList = SEQ_OF(name='MDTPLMNList', mode=MODE_TYPE)
    _MDTPLMNList__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    MDTPLMNList._cont = _MDTPLMNList__item_
    MDTPLMNList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< MDTMode-NR >-----#
    MDTMode_NR = CHOICE(name='MDTMode-NR', mode=MODE_TYPE)
    _MDTMode_NR_immediateMDT = SEQ(name='immediateMDT', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ImmediateMDT-NR')))
    _MDTMode_NR_loggedMDT = SEQ(name='loggedMDT', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggedMDT-NR')))
    _MDTMode_NR_mDTMode_NR_Extension = SEQ(name='mDTMode-NR-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTMode-NR-Extension')))
    MDTMode_NR._cont = ASN1Dict([
        ('immediateMDT', _MDTMode_NR_immediateMDT),
        ('loggedMDT', _MDTMode_NR_loggedMDT),
        ('mDTMode-NR-Extension', _MDTMode_NR_mDTMode_NR_Extension),
        ])
    MDTMode_NR._ext = ['mDTMode-NR-Extension']
    
    #-----< MDTMode-NR-Extension >-----#
    MDTMode_NR_Extension = SEQ(name='MDTMode-NR-Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    _MDTMode_NR_Extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    __MDTMode_NR_Extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_NR_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_NR_Extension_id._const_tab = __MDTMode_NR_Extension_id_tab
    _MDTMode_NR_Extension_id._const_tab_at = None
    _MDTMode_NR_Extension_id._const_tab_id = 'id'
    _MDTMode_NR_Extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    __MDTMode_NR_Extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_NR_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_NR_Extension_criticality._const_tab = __MDTMode_NR_Extension_criticality_tab
    _MDTMode_NR_Extension_criticality._const_tab_at = ('..', 'id')
    _MDTMode_NR_Extension_criticality._const_tab_id = 'criticality'
    _MDTMode_NR_Extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    __MDTMode_NR_Extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_NR_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_NR_Extension_value._const_tab = __MDTMode_NR_Extension_value_tab
    _MDTMode_NR_Extension_value._const_tab_at = ('..', 'id')
    _MDTMode_NR_Extension_value._const_tab_id = 'Value'
    MDTMode_NR_Extension._cont = ASN1Dict([
        ('id', _MDTMode_NR_Extension_id),
        ('criticality', _MDTMode_NR_Extension_criticality),
        ('value', _MDTMode_NR_Extension_value),
        ])
    MDTMode_NR_Extension._ext = None
    
    #-----< MDTMode-NR-ExtensionIE >-----#
    MDTMode_NR_ExtensionIE = CLASS(name='MDTMode-NR-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    MDTMode_NR_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MDTMode-EUTRA >-----#
    MDTMode_EUTRA = CHOICE(name='MDTMode-EUTRA', mode=MODE_TYPE)
    _MDTMode_EUTRA_immediateMDT = OCT_STR(name='immediateMDT', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ImmediateMDT-EUTRA')))
    _MDTMode_EUTRA_loggedMDT = SEQ(name='loggedMDT', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LoggedMDT-EUTRA')))
    _MDTMode_EUTRA_mDTMode_EUTRA_Extension = SEQ(name='mDTMode-EUTRA-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MDTMode-EUTRA-Extension')))
    MDTMode_EUTRA._cont = ASN1Dict([
        ('immediateMDT', _MDTMode_EUTRA_immediateMDT),
        ('loggedMDT', _MDTMode_EUTRA_loggedMDT),
        ('mDTMode-EUTRA-Extension', _MDTMode_EUTRA_mDTMode_EUTRA_Extension),
        ])
    MDTMode_EUTRA._ext = ['mDTMode-EUTRA-Extension']
    
    #-----< MDTMode-EUTRA-Extension >-----#
    MDTMode_EUTRA_Extension = SEQ(name='MDTMode-EUTRA-Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    _MDTMode_EUTRA_Extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    __MDTMode_EUTRA_Extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_EUTRA_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_EUTRA_Extension_id._const_tab = __MDTMode_EUTRA_Extension_id_tab
    _MDTMode_EUTRA_Extension_id._const_tab_at = None
    _MDTMode_EUTRA_Extension_id._const_tab_id = 'id'
    _MDTMode_EUTRA_Extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    __MDTMode_EUTRA_Extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_EUTRA_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_EUTRA_Extension_criticality._const_tab = __MDTMode_EUTRA_Extension_criticality_tab
    _MDTMode_EUTRA_Extension_criticality._const_tab_at = ('..', 'id')
    _MDTMode_EUTRA_Extension_criticality._const_tab_id = 'criticality'
    _MDTMode_EUTRA_Extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    __MDTMode_EUTRA_Extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    __MDTMode_EUTRA_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    _MDTMode_EUTRA_Extension_value._const_tab = __MDTMode_EUTRA_Extension_value_tab
    _MDTMode_EUTRA_Extension_value._const_tab_at = ('..', 'id')
    _MDTMode_EUTRA_Extension_value._const_tab_id = 'Value'
    MDTMode_EUTRA_Extension._cont = ASN1Dict([
        ('id', _MDTMode_EUTRA_Extension_id),
        ('criticality', _MDTMode_EUTRA_Extension_criticality),
        ('value', _MDTMode_EUTRA_Extension_value),
        ])
    MDTMode_EUTRA_Extension._ext = None
    
    #-----< MDTMode-EUTRA-ExtensionIE >-----#
    MDTMode_EUTRA_ExtensionIE = CLASS(name='MDTMode-EUTRA-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    MDTMode_EUTRA_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MeasurementsToActivate >-----#
    MeasurementsToActivate = BIT_STR(name='MeasurementsToActivate', mode=MODE_TYPE)
    MeasurementsToActivate._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    
    #-----< MeasurementThresholdA2 >-----#
    MeasurementThresholdA2 = CHOICE(name='MeasurementThresholdA2', mode=MODE_TYPE)
    _MeasurementThresholdA2_threshold_RSRP = INT(name='threshold-RSRP', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Threshold-RSRP')))
    _MeasurementThresholdA2_threshold_RSRQ = INT(name='threshold-RSRQ', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Threshold-RSRQ')))
    _MeasurementThresholdA2_threshold_SINR = INT(name='threshold-SINR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Threshold-SINR')))
    _MeasurementThresholdA2_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __MeasurementThresholdA2_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___MeasurementThresholdA2_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MeasurementThresholdA2_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasurementThresholdA2_choice_extension_id._const_tab = ___MeasurementThresholdA2_choice_extension_id_tab
    __MeasurementThresholdA2_choice_extension_id._const_tab_at = None
    __MeasurementThresholdA2_choice_extension_id._const_tab_id = 'id'
    __MeasurementThresholdA2_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___MeasurementThresholdA2_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MeasurementThresholdA2_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasurementThresholdA2_choice_extension_criticality._const_tab = ___MeasurementThresholdA2_choice_extension_criticality_tab
    __MeasurementThresholdA2_choice_extension_criticality._const_tab_at = ('..', 'id')
    __MeasurementThresholdA2_choice_extension_criticality._const_tab_id = 'criticality'
    __MeasurementThresholdA2_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___MeasurementThresholdA2_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MeasurementThresholdA2_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasurementThresholdA2_choice_extension_value._const_tab = ___MeasurementThresholdA2_choice_extension_value_tab
    __MeasurementThresholdA2_choice_extension_value._const_tab_at = ('..', 'id')
    __MeasurementThresholdA2_choice_extension_value._const_tab_id = 'Value'
    _MeasurementThresholdA2_choice_extension._cont = ASN1Dict([
        ('id', __MeasurementThresholdA2_choice_extension_id),
        ('criticality', __MeasurementThresholdA2_choice_extension_criticality),
        ('value', __MeasurementThresholdA2_choice_extension_value),
        ])
    _MeasurementThresholdA2_choice_extension._ext = None
    MeasurementThresholdA2._cont = ASN1Dict([
        ('threshold-RSRP', _MeasurementThresholdA2_threshold_RSRP),
        ('threshold-RSRQ', _MeasurementThresholdA2_threshold_RSRQ),
        ('threshold-SINR', _MeasurementThresholdA2_threshold_SINR),
        ('choice-extension', _MeasurementThresholdA2_choice_extension),
        ])
    MeasurementThresholdA2._ext = None
    
    #-----< MeasurementThresholdA2-ExtIEs >-----#
    MeasurementThresholdA2_ExtIEs = CLASS(name='MeasurementThresholdA2-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    MeasurementThresholdA2_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Measurement-ID >-----#
    Measurement_ID = INT(name='Measurement-ID', mode=MODE_TYPE)
    Measurement_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4095)], ev=[], er=[])
    
    #-----< MobilityInformation >-----#
    MobilityInformation = BIT_STR(name='MobilityInformation', mode=MODE_TYPE)
    MobilityInformation._const_sz = ASN1Set(rv=[32], rr=[], ev=None, er=[])
    
    #-----< MobilityParametersModificationRange >-----#
    MobilityParametersModificationRange = SEQ(name='MobilityParametersModificationRange', mode=MODE_TYPE)
    _MobilityParametersModificationRange_handoverTriggerChangeLowerLimit = INT(name='handoverTriggerChangeLowerLimit', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MobilityParametersModificationRange_handoverTriggerChangeLowerLimit._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=-20, ub=20)], ev=None, er=[])
    _MobilityParametersModificationRange_handoverTriggerChangeUpperLimit = INT(name='handoverTriggerChangeUpperLimit', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MobilityParametersModificationRange_handoverTriggerChangeUpperLimit._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=-20, ub=20)], ev=None, er=[])
    MobilityParametersModificationRange._cont = ASN1Dict([
        ('handoverTriggerChangeLowerLimit', _MobilityParametersModificationRange_handoverTriggerChangeLowerLimit),
        ('handoverTriggerChangeUpperLimit', _MobilityParametersModificationRange_handoverTriggerChangeUpperLimit),
        ])
    MobilityParametersModificationRange._ext = []
    
    #-----< MobilityParametersInformation >-----#
    MobilityParametersInformation = SEQ(name='MobilityParametersInformation', mode=MODE_TYPE)
    _MobilityParametersInformation_handoverTriggerChange = INT(name='handoverTriggerChange', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MobilityParametersInformation_handoverTriggerChange._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=-20, ub=20)], ev=None, er=[])
    MobilityParametersInformation._cont = ASN1Dict([
        ('handoverTriggerChange', _MobilityParametersInformation_handoverTriggerChange),
        ])
    MobilityParametersInformation._ext = []
    
    #-----< MobilityRestrictionList >-----#
    MobilityRestrictionList = SEQ(name='MobilityRestrictionList', mode=MODE_TYPE)
    _MobilityRestrictionList_serving_PLMN = OCT_STR(name='serving-PLMN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_equivalent_PLMNs = SEQ_OF(name='equivalent-PLMNs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __MobilityRestrictionList_equivalent_PLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_equivalent_PLMNs._cont = __MobilityRestrictionList_equivalent_PLMNs__item_
    _MobilityRestrictionList_equivalent_PLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=None, er=[])
    _MobilityRestrictionList_rat_Restrictions = SEQ_OF(name='rat-Restrictions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionsList')), opt=True)
    _MobilityRestrictionList_forbiddenAreaInformation = SEQ_OF(name='forbiddenAreaInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ForbiddenAreaList')), opt=True)
    _MobilityRestrictionList_serviceAreaInformation = SEQ_OF(name='serviceAreaInformation', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServiceAreaList')), opt=True)
    _MobilityRestrictionList_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MobilityRestrictionList_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MobilityRestrictionList_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MobilityRestrictionList_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForServing')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalent')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_3 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPNMobilityInformation')))
    ____MobilityRestrictionList_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 112), ('criticality', 'ignore'), ('Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 136), ('criticality', 'ignore'), ('Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 135), ('criticality', 'ignore'), ('Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 222), ('criticality', 'reject'), ('Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab_at = None
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab_id = 'id'
    ___MobilityRestrictionList_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __MobilityRestrictionList_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___MobilityRestrictionList_iE_Extensions__item__id),
        ('criticality', ___MobilityRestrictionList_iE_Extensions__item__criticality),
        ('extensionValue', ___MobilityRestrictionList_iE_Extensions__item__extensionValue),
        ])
    __MobilityRestrictionList_iE_Extensions__item_._ext = None
    _MobilityRestrictionList_iE_Extensions._cont = __MobilityRestrictionList_iE_Extensions__item_
    _MobilityRestrictionList_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MobilityRestrictionList._cont = ASN1Dict([
        ('serving-PLMN', _MobilityRestrictionList_serving_PLMN),
        ('equivalent-PLMNs', _MobilityRestrictionList_equivalent_PLMNs),
        ('rat-Restrictions', _MobilityRestrictionList_rat_Restrictions),
        ('forbiddenAreaInformation', _MobilityRestrictionList_forbiddenAreaInformation),
        ('serviceAreaInformation', _MobilityRestrictionList_serviceAreaInformation),
        ('iE-Extensions', _MobilityRestrictionList_iE_Extensions),
        ])
    MobilityRestrictionList._ext = []
    
    #-----< MobilityRestrictionList-ExtIEs >-----#
    MobilityRestrictionList_ExtIEs = CLASS(name='MobilityRestrictionList-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _MobilityRestrictionList_ExtIEs_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForServing')))
    _MobilityRestrictionList_ExtIEs_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalent')))
    _MobilityRestrictionList_ExtIEs_val_Extension_3 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPNMobilityInformation')))
    MobilityRestrictionList_ExtIEs._val = ASN1Set(rv=[dict([('id', 112), ('criticality', 'ignore'), ('Extension', _MobilityRestrictionList_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 136), ('criticality', 'ignore'), ('Extension', _MobilityRestrictionList_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 135), ('criticality', 'ignore'), ('Extension', _MobilityRestrictionList_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 222), ('criticality', 'reject'), ('Extension', _MobilityRestrictionList_ExtIEs_val_Extension_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< CNTypeRestrictionsForEquivalent >-----#
    CNTypeRestrictionsForEquivalent = SEQ_OF(name='CNTypeRestrictionsForEquivalent', mode=MODE_TYPE)
    _CNTypeRestrictionsForEquivalent__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalentItem')))
    CNTypeRestrictionsForEquivalent._cont = _CNTypeRestrictionsForEquivalent__item_
    CNTypeRestrictionsForEquivalent._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=None, er=[])
    
    #-----< CNTypeRestrictionsForEquivalentItem >-----#
    CNTypeRestrictionsForEquivalentItem = SEQ(name='CNTypeRestrictionsForEquivalentItem', mode=MODE_TYPE)
    _CNTypeRestrictionsForEquivalentItem_plmn_Identity = OCT_STR(name='plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _CNTypeRestrictionsForEquivalentItem_cn_Type = ENUM(name='cn-Type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _CNTypeRestrictionsForEquivalentItem_cn_Type._cont = ASN1Dict([('epc-forbidden', 0), ('fiveGC-forbidden', 1)])
    _CNTypeRestrictionsForEquivalentItem_cn_Type._ext = []
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab_at = None
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id),
        ('criticality', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality),
        ('extensionValue', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue),
        ])
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_._ext = None
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions._cont = __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CNTypeRestrictionsForEquivalentItem._cont = ASN1Dict([
        ('plmn-Identity', _CNTypeRestrictionsForEquivalentItem_plmn_Identity),
        ('cn-Type', _CNTypeRestrictionsForEquivalentItem_cn_Type),
        ('iE-Extensions', _CNTypeRestrictionsForEquivalentItem_iE_Extensions),
        ])
    CNTypeRestrictionsForEquivalentItem._ext = []
    
    #-----< CNTypeRestrictionsForEquivalentItem-ExtIEs >-----#
    CNTypeRestrictionsForEquivalentItem_ExtIEs = CLASS(name='CNTypeRestrictionsForEquivalentItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CNTypeRestrictionsForEquivalentItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CNTypeRestrictionsForServing >-----#
    CNTypeRestrictionsForServing = ENUM(name='CNTypeRestrictionsForServing', mode=MODE_TYPE)
    CNTypeRestrictionsForServing._cont = ASN1Dict([('epc-forbidden', 0)])
    CNTypeRestrictionsForServing._ext = []
    
    #-----< RAT-RestrictionsList >-----#
    RAT_RestrictionsList = SEQ_OF(name='RAT-RestrictionsList', mode=MODE_TYPE)
    _RAT_RestrictionsList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionsItem')))
    RAT_RestrictionsList._cont = _RAT_RestrictionsList__item_
    RAT_RestrictionsList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< RAT-RestrictionsItem >-----#
    RAT_RestrictionsItem = SEQ(name='RAT-RestrictionsItem', mode=MODE_TYPE)
    _RAT_RestrictionsItem_plmn_Identity = OCT_STR(name='plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _RAT_RestrictionsItem_rat_RestrictionInformation = BIT_STR(name='rat-RestrictionInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionInformation')))
    _RAT_RestrictionsItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RAT_RestrictionsItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RAT_RestrictionsItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RAT_RestrictionsItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____RAT_RestrictionsItem_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedRATRestrictionInformation')))
    ____RAT_RestrictionsItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 153), ('criticality', 'ignore'), ('Extension', _____RAT_RestrictionsItem_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__id_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab_at = None
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__id_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__id_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RAT_RestrictionsItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RAT_RestrictionsItem_iE_Extensions__item__id),
        ('criticality', ___RAT_RestrictionsItem_iE_Extensions__item__criticality),
        ('extensionValue', ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue),
        ])
    __RAT_RestrictionsItem_iE_Extensions__item_._ext = None
    _RAT_RestrictionsItem_iE_Extensions._cont = __RAT_RestrictionsItem_iE_Extensions__item_
    _RAT_RestrictionsItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RAT_RestrictionsItem._cont = ASN1Dict([
        ('plmn-Identity', _RAT_RestrictionsItem_plmn_Identity),
        ('rat-RestrictionInformation', _RAT_RestrictionsItem_rat_RestrictionInformation),
        ('iE-Extensions', _RAT_RestrictionsItem_iE_Extensions),
        ])
    RAT_RestrictionsItem._ext = []
    
    #-----< RAT-RestrictionsItem-ExtIEs >-----#
    RAT_RestrictionsItem_ExtIEs = CLASS(name='RAT-RestrictionsItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _RAT_RestrictionsItem_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedRATRestrictionInformation')))
    RAT_RestrictionsItem_ExtIEs._val = ASN1Set(rv=[dict([('id', 153), ('criticality', 'ignore'), ('Extension', _RAT_RestrictionsItem_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RAT-RestrictionInformation >-----#
    RAT_RestrictionInformation = BIT_STR(name='RAT-RestrictionInformation', mode=MODE_TYPE)
    RAT_RestrictionInformation._cont = ASN1Dict([('e-UTRA', 0), ('nR', 1)])
    RAT_RestrictionInformation._const_sz = ASN1Set(rv=[8], rr=[], ev=[], er=[])
    
    #-----< ForbiddenAreaList >-----#
    ForbiddenAreaList = SEQ_OF(name='ForbiddenAreaList', mode=MODE_TYPE)
    _ForbiddenAreaList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ForbiddenAreaItem')))
    ForbiddenAreaList._cont = _ForbiddenAreaList__item_
    ForbiddenAreaList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ForbiddenAreaItem >-----#
    ForbiddenAreaItem = SEQ(name='ForbiddenAreaItem', mode=MODE_TYPE)
    _ForbiddenAreaItem_plmn_Identity = OCT_STR(name='plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ForbiddenAreaItem_forbidden_TACs = SEQ_OF(name='forbidden-TACs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ForbiddenAreaItem_forbidden_TACs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ForbiddenAreaItem_forbidden_TACs._cont = __ForbiddenAreaItem_forbidden_TACs__item_
    _ForbiddenAreaItem_forbidden_TACs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4096)], ev=None, er=[])
    _ForbiddenAreaItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ForbiddenAreaItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ForbiddenAreaItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ForbiddenAreaItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__id_tab
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab_at = None
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___ForbiddenAreaItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ForbiddenAreaItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ForbiddenAreaItem_iE_Extensions__item__id),
        ('criticality', ___ForbiddenAreaItem_iE_Extensions__item__criticality),
        ('extensionValue', ___ForbiddenAreaItem_iE_Extensions__item__extensionValue),
        ])
    __ForbiddenAreaItem_iE_Extensions__item_._ext = None
    _ForbiddenAreaItem_iE_Extensions._cont = __ForbiddenAreaItem_iE_Extensions__item_
    _ForbiddenAreaItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ForbiddenAreaItem._cont = ASN1Dict([
        ('plmn-Identity', _ForbiddenAreaItem_plmn_Identity),
        ('forbidden-TACs', _ForbiddenAreaItem_forbidden_TACs),
        ('iE-Extensions', _ForbiddenAreaItem_iE_Extensions),
        ])
    ForbiddenAreaItem._ext = []
    
    #-----< ForbiddenAreaItem-ExtIEs >-----#
    ForbiddenAreaItem_ExtIEs = CLASS(name='ForbiddenAreaItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ForbiddenAreaItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServiceAreaList >-----#
    ServiceAreaList = SEQ_OF(name='ServiceAreaList', mode=MODE_TYPE)
    _ServiceAreaList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServiceAreaItem')))
    ServiceAreaList._cont = _ServiceAreaList__item_
    ServiceAreaList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ServiceAreaItem >-----#
    ServiceAreaItem = SEQ(name='ServiceAreaItem', mode=MODE_TYPE)
    _ServiceAreaItem_plmn_Identity = OCT_STR(name='plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ServiceAreaItem_allowed_TACs_ServiceArea = SEQ_OF(name='allowed-TACs-ServiceArea', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServiceAreaItem_allowed_TACs_ServiceArea__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServiceAreaItem_allowed_TACs_ServiceArea._cont = __ServiceAreaItem_allowed_TACs_ServiceArea__item_
    _ServiceAreaItem_allowed_TACs_ServiceArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    _ServiceAreaItem_not_allowed_TACs_ServiceArea = SEQ_OF(name='not-allowed-TACs-ServiceArea', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServiceAreaItem_not_allowed_TACs_ServiceArea._cont = __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_
    _ServiceAreaItem_not_allowed_TACs_ServiceArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    _ServiceAreaItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServiceAreaItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServiceAreaItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServiceAreaItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab = ____ServiceAreaItem_iE_Extensions__item__id_tab
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab_at = None
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServiceAreaItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServiceAreaItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab = ____ServiceAreaItem_iE_Extensions__item__criticality_tab
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServiceAreaItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab = ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServiceAreaItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServiceAreaItem_iE_Extensions__item__id),
        ('criticality', ___ServiceAreaItem_iE_Extensions__item__criticality),
        ('extensionValue', ___ServiceAreaItem_iE_Extensions__item__extensionValue),
        ])
    __ServiceAreaItem_iE_Extensions__item_._ext = None
    _ServiceAreaItem_iE_Extensions._cont = __ServiceAreaItem_iE_Extensions__item_
    _ServiceAreaItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServiceAreaItem._cont = ASN1Dict([
        ('plmn-Identity', _ServiceAreaItem_plmn_Identity),
        ('allowed-TACs-ServiceArea', _ServiceAreaItem_allowed_TACs_ServiceArea),
        ('not-allowed-TACs-ServiceArea', _ServiceAreaItem_not_allowed_TACs_ServiceArea),
        ('iE-Extensions', _ServiceAreaItem_iE_Extensions),
        ])
    ServiceAreaItem._ext = []
    
    #-----< ServiceAreaItem-ExtIEs >-----#
    ServiceAreaItem_ExtIEs = CLASS(name='ServiceAreaItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServiceAreaItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MR-DC-ResourceCoordinationInfo >-----#
    MR_DC_ResourceCoordinationInfo = SEQ(name='MR-DC-ResourceCoordinationInfo', mode=MODE_TYPE)
    _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo = CHOICE(name='ng-RAN-Node-ResourceCoordinationInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Node-ResourceCoordinationInfo')))
    _MR_DC_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = 'id'
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id),
        ('criticality', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality),
        ('extensionValue', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _MR_DC_ResourceCoordinationInfo_iE_Extension._cont = __MR_DC_ResourceCoordinationInfo_iE_Extension__item_
    _MR_DC_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MR_DC_ResourceCoordinationInfo._cont = ASN1Dict([
        ('ng-RAN-Node-ResourceCoordinationInfo', _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo),
        ('iE-Extension', _MR_DC_ResourceCoordinationInfo_iE_Extension),
        ])
    MR_DC_ResourceCoordinationInfo._ext = []
    
    #-----< MR-DC-ResourceCoordinationInfo-ExtIEs >-----#
    MR_DC_ResourceCoordinationInfo_ExtIEs = CLASS(name='MR-DC-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MR_DC_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-Node-ResourceCoordinationInfo >-----#
    NG_RAN_Node_ResourceCoordinationInfo = CHOICE(name='NG-RAN-Node-ResourceCoordinationInfo', mode=MODE_TYPE)
    _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info = SEQ(name='eutra-resource-coordination-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-ResourceCoordinationInfo')))
    _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info = SEQ(name='nr-resource-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-ResourceCoordinationInfo')))
    NG_RAN_Node_ResourceCoordinationInfo._cont = ASN1Dict([
        ('eutra-resource-coordination-info', _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info),
        ('nr-resource-coordination-info', _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info),
        ])
    NG_RAN_Node_ResourceCoordinationInfo._ext = None
    
    #-----< E-UTRA-ResourceCoordinationInfo >-----#
    E_UTRA_ResourceCoordinationInfo = SEQ(name='E-UTRA-ResourceCoordinationInfo', mode=MODE_TYPE)
    _E_UTRA_ResourceCoordinationInfo_e_utra_cell = SEQ(name='e-utra-cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _E_UTRA_ResourceCoordinationInfo_ul_coordination_info = BIT_STR(name='ul-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRA_ResourceCoordinationInfo_ul_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _E_UTRA_ResourceCoordinationInfo_dl_coordination_info = BIT_STR(name='dl-coordination-info', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _E_UTRA_ResourceCoordinationInfo_dl_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _E_UTRA_ResourceCoordinationInfo_nr_cell = SEQ(name='nr-cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')), opt=True)
    _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info = ENUM(name='e-utra-coordination-assistance-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CoordinationAssistanceInfo')), opt=True)
    _E_UTRA_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = 'id'
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id),
        ('criticality', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality),
        ('extensionValue', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _E_UTRA_ResourceCoordinationInfo_iE_Extension._cont = __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_
    _E_UTRA_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRA_ResourceCoordinationInfo._cont = ASN1Dict([
        ('e-utra-cell', _E_UTRA_ResourceCoordinationInfo_e_utra_cell),
        ('ul-coordination-info', _E_UTRA_ResourceCoordinationInfo_ul_coordination_info),
        ('dl-coordination-info', _E_UTRA_ResourceCoordinationInfo_dl_coordination_info),
        ('nr-cell', _E_UTRA_ResourceCoordinationInfo_nr_cell),
        ('e-utra-coordination-assistance-info', _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info),
        ('iE-Extension', _E_UTRA_ResourceCoordinationInfo_iE_Extension),
        ])
    E_UTRA_ResourceCoordinationInfo._ext = []
    
    #-----< E-UTRA-ResourceCoordinationInfo-ExtIEs >-----#
    E_UTRA_ResourceCoordinationInfo_ExtIEs = CLASS(name='E-UTRA-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRA_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-CoordinationAssistanceInfo >-----#
    E_UTRA_CoordinationAssistanceInfo = ENUM(name='E-UTRA-CoordinationAssistanceInfo', mode=MODE_TYPE)
    E_UTRA_CoordinationAssistanceInfo._cont = ASN1Dict([('coordination-not-required', 0)])
    E_UTRA_CoordinationAssistanceInfo._ext = []
    
    #-----< NR-ResourceCoordinationInfo >-----#
    NR_ResourceCoordinationInfo = SEQ(name='NR-ResourceCoordinationInfo', mode=MODE_TYPE)
    _NR_ResourceCoordinationInfo_nr_cell = SEQ(name='nr-cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _NR_ResourceCoordinationInfo_ul_coordination_info = BIT_STR(name='ul-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NR_ResourceCoordinationInfo_ul_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _NR_ResourceCoordinationInfo_dl_coordination_info = BIT_STR(name='dl-coordination-info', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NR_ResourceCoordinationInfo_dl_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _NR_ResourceCoordinationInfo_e_utra_cell = SEQ(name='e-utra-cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')), opt=True)
    _NR_ResourceCoordinationInfo_nr_coordination_assistance_info = ENUM(name='nr-coordination-assistance-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CoordinationAssistanceInfo')), opt=True)
    _NR_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = 'id'
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NR_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NR_ResourceCoordinationInfo_iE_Extension__item__id),
        ('criticality', ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality),
        ('extensionValue', ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __NR_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _NR_ResourceCoordinationInfo_iE_Extension._cont = __NR_ResourceCoordinationInfo_iE_Extension__item_
    _NR_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_ResourceCoordinationInfo._cont = ASN1Dict([
        ('nr-cell', _NR_ResourceCoordinationInfo_nr_cell),
        ('ul-coordination-info', _NR_ResourceCoordinationInfo_ul_coordination_info),
        ('dl-coordination-info', _NR_ResourceCoordinationInfo_dl_coordination_info),
        ('e-utra-cell', _NR_ResourceCoordinationInfo_e_utra_cell),
        ('nr-coordination-assistance-info', _NR_ResourceCoordinationInfo_nr_coordination_assistance_info),
        ('iE-Extension', _NR_ResourceCoordinationInfo_iE_Extension),
        ])
    NR_ResourceCoordinationInfo._ext = []
    
    #-----< NR-ResourceCoordinationInfo-ExtIEs >-----#
    NR_ResourceCoordinationInfo_ExtIEs = CLASS(name='NR-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NR_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NR-CoordinationAssistanceInfo >-----#
    NR_CoordinationAssistanceInfo = ENUM(name='NR-CoordinationAssistanceInfo', mode=MODE_TYPE)
    NR_CoordinationAssistanceInfo._cont = ASN1Dict([('coordination-not-required', 0)])
    NR_CoordinationAssistanceInfo._ext = []
    
    #-----< MessageOversizeNotification >-----#
    MessageOversizeNotification = SEQ(name='MessageOversizeNotification', mode=MODE_TYPE)
    _MessageOversizeNotification_maximumCellListSize = INT(name='maximumCellListSize', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumCellListSize')))
    _MessageOversizeNotification_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MessageOversizeNotification_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MessageOversizeNotification_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____MessageOversizeNotification_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MessageOversizeNotification_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MessageOversizeNotification_iE_Extension__item__id._const_tab = ____MessageOversizeNotification_iE_Extension__item__id_tab
    ___MessageOversizeNotification_iE_Extension__item__id._const_tab_at = None
    ___MessageOversizeNotification_iE_Extension__item__id._const_tab_id = 'id'
    ___MessageOversizeNotification_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____MessageOversizeNotification_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MessageOversizeNotification_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MessageOversizeNotification_iE_Extension__item__criticality._const_tab = ____MessageOversizeNotification_iE_Extension__item__criticality_tab
    ___MessageOversizeNotification_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___MessageOversizeNotification_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___MessageOversizeNotification_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____MessageOversizeNotification_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MessageOversizeNotification_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MessageOversizeNotification_iE_Extension__item__extensionValue._const_tab = ____MessageOversizeNotification_iE_Extension__item__extensionValue_tab
    ___MessageOversizeNotification_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___MessageOversizeNotification_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __MessageOversizeNotification_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___MessageOversizeNotification_iE_Extension__item__id),
        ('criticality', ___MessageOversizeNotification_iE_Extension__item__criticality),
        ('extensionValue', ___MessageOversizeNotification_iE_Extension__item__extensionValue),
        ])
    __MessageOversizeNotification_iE_Extension__item_._ext = None
    _MessageOversizeNotification_iE_Extension._cont = __MessageOversizeNotification_iE_Extension__item_
    _MessageOversizeNotification_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MessageOversizeNotification._cont = ASN1Dict([
        ('maximumCellListSize', _MessageOversizeNotification_maximumCellListSize),
        ('iE-Extension', _MessageOversizeNotification_iE_Extension),
        ])
    MessageOversizeNotification._ext = []
    
    #-----< MessageOversizeNotification-ExtIEs >-----#
    MessageOversizeNotification_ExtIEs = CLASS(name='MessageOversizeNotification-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MessageOversizeNotification_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MaximumCellListSize >-----#
    MaximumCellListSize = INT(name='MaximumCellListSize', mode=MODE_TYPE)
    MaximumCellListSize._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=[], er=[])
    
    #-----< NBIoT-UL-DL-AlignmentOffset >-----#
    NBIoT_UL_DL_AlignmentOffset = ENUM(name='NBIoT-UL-DL-AlignmentOffset', mode=MODE_TYPE)
    NBIoT_UL_DL_AlignmentOffset._cont = ASN1Dict([('khz-7dot5', 0), ('khz0', 1), ('khz7dot5', 2)])
    NBIoT_UL_DL_AlignmentOffset._ext = []
    
    #-----< NE-DC-TDM-Pattern >-----#
    NE_DC_TDM_Pattern = SEQ(name='NE-DC-TDM-Pattern', mode=MODE_TYPE)
    _NE_DC_TDM_Pattern_subframeAssignment = ENUM(name='subframeAssignment', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NE_DC_TDM_Pattern_subframeAssignment._cont = ASN1Dict([('sa0', 0), ('sa1', 1), ('sa2', 2), ('sa3', 3), ('sa4', 4), ('sa5', 5), ('sa6', 6)])
    _NE_DC_TDM_Pattern_subframeAssignment._ext = None
    _NE_DC_TDM_Pattern_harqOffset = INT(name='harqOffset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NE_DC_TDM_Pattern_harqOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=None, er=[])
    _NE_DC_TDM_Pattern_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NE_DC_TDM_Pattern_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NE_DC_TDM_Pattern_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab_at = None
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab_id = 'id'
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NE_DC_TDM_Pattern_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NE_DC_TDM_Pattern_iE_Extension__item__id),
        ('criticality', ___NE_DC_TDM_Pattern_iE_Extension__item__criticality),
        ('extensionValue', ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue),
        ])
    __NE_DC_TDM_Pattern_iE_Extension__item_._ext = None
    _NE_DC_TDM_Pattern_iE_Extension._cont = __NE_DC_TDM_Pattern_iE_Extension__item_
    _NE_DC_TDM_Pattern_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NE_DC_TDM_Pattern._cont = ASN1Dict([
        ('subframeAssignment', _NE_DC_TDM_Pattern_subframeAssignment),
        ('harqOffset', _NE_DC_TDM_Pattern_harqOffset),
        ('iE-Extension', _NE_DC_TDM_Pattern_iE_Extension),
        ])
    NE_DC_TDM_Pattern._ext = []
    
    #-----< NE-DC-TDM-Pattern-ExtIEs >-----#
    NE_DC_TDM_Pattern_ExtIEs = CLASS(name='NE-DC-TDM-Pattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NE_DC_TDM_Pattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-E-UTRA >-----#
    NeighbourInformation_E_UTRA = SEQ_OF(name='NeighbourInformation-E-UTRA', mode=MODE_TYPE)
    _NeighbourInformation_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA-Item')))
    NeighbourInformation_E_UTRA._cont = _NeighbourInformation_E_UTRA__item_
    NeighbourInformation_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< NeighbourInformation-E-UTRA-Item >-----#
    NeighbourInformation_E_UTRA_Item = SEQ(name='NeighbourInformation-E-UTRA-Item', mode=MODE_TYPE)
    _NeighbourInformation_E_UTRA_Item_e_utra_PCI = INT(name='e-utra-PCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _NeighbourInformation_E_UTRA_Item_e_utra_cgi = SEQ(name='e-utra-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _NeighbourInformation_E_UTRA_Item_earfcn = INT(name='earfcn', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _NeighbourInformation_E_UTRA_Item_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _NeighbourInformation_E_UTRA_Item_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _NeighbourInformation_E_UTRA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id),
        ('criticality', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_._ext = None
    _NeighbourInformation_E_UTRA_Item_iE_Extensions._cont = __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_
    _NeighbourInformation_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_E_UTRA_Item._cont = ASN1Dict([
        ('e-utra-PCI', _NeighbourInformation_E_UTRA_Item_e_utra_PCI),
        ('e-utra-cgi', _NeighbourInformation_E_UTRA_Item_e_utra_cgi),
        ('earfcn', _NeighbourInformation_E_UTRA_Item_earfcn),
        ('tac', _NeighbourInformation_E_UTRA_Item_tac),
        ('ranac', _NeighbourInformation_E_UTRA_Item_ranac),
        ('iE-Extensions', _NeighbourInformation_E_UTRA_Item_iE_Extensions),
        ])
    NeighbourInformation_E_UTRA_Item._ext = []
    
    #-----< NeighbourInformation-E-UTRA-Item-ExtIEs >-----#
    NeighbourInformation_E_UTRA_Item_ExtIEs = CLASS(name='NeighbourInformation-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR >-----#
    NeighbourInformation_NR = SEQ_OF(name='NeighbourInformation-NR', mode=MODE_TYPE)
    _NeighbourInformation_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-Item')))
    NeighbourInformation_NR._cont = _NeighbourInformation_NR__item_
    NeighbourInformation_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< NeighbourInformation-NR-Item >-----#
    NeighbourInformation_NR_Item = SEQ(name='NeighbourInformation-NR-Item', mode=MODE_TYPE)
    _NeighbourInformation_NR_Item_nr_PCI = INT(name='nr-PCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _NeighbourInformation_NR_Item_nr_cgi = SEQ(name='nr-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _NeighbourInformation_NR_Item_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _NeighbourInformation_NR_Item_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _NeighbourInformation_NR_Item_nr_mode_info = CHOICE(name='nr-mode-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeInfo')))
    _NeighbourInformation_NR_Item_connectivitySupport = SEQ(name='connectivitySupport', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Connectivity-Support')))
    _NeighbourInformation_NR_Item_measurementTimingConfiguration = OCT_STR(name='measurementTimingConfiguration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NeighbourInformation_NR_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NeighbourInformation_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NeighbourInformation_NR_Item_iE_Extensions__item__id),
        ('criticality', ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_Item_iE_Extensions__item_._ext = None
    _NeighbourInformation_NR_Item_iE_Extensions._cont = __NeighbourInformation_NR_Item_iE_Extensions__item_
    _NeighbourInformation_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_Item._cont = ASN1Dict([
        ('nr-PCI', _NeighbourInformation_NR_Item_nr_PCI),
        ('nr-cgi', _NeighbourInformation_NR_Item_nr_cgi),
        ('tac', _NeighbourInformation_NR_Item_tac),
        ('ranac', _NeighbourInformation_NR_Item_ranac),
        ('nr-mode-info', _NeighbourInformation_NR_Item_nr_mode_info),
        ('connectivitySupport', _NeighbourInformation_NR_Item_connectivitySupport),
        ('measurementTimingConfiguration', _NeighbourInformation_NR_Item_measurementTimingConfiguration),
        ('iE-Extensions', _NeighbourInformation_NR_Item_iE_Extensions),
        ])
    NeighbourInformation_NR_Item._ext = []
    
    #-----< NeighbourInformation-NR-Item-ExtIEs >-----#
    NeighbourInformation_NR_Item_ExtIEs = CLASS(name='NeighbourInformation-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeInfo >-----#
    NeighbourInformation_NR_ModeInfo = CHOICE(name='NeighbourInformation-NR-ModeInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeInfo_fdd_info = SEQ(name='fdd-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeFDDInfo')))
    _NeighbourInformation_NR_ModeInfo_tdd_info = SEQ(name='tdd-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeTDDInfo')))
    _NeighbourInformation_NR_ModeInfo_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NeighbourInformation_NR_ModeInfo_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab_at = None
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab_id = 'id'
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab_id = 'criticality'
    __NeighbourInformation_NR_ModeInfo_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab_at = ('..', 'id')
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab_id = 'Value'
    _NeighbourInformation_NR_ModeInfo_choice_extension._cont = ASN1Dict([
        ('id', __NeighbourInformation_NR_ModeInfo_choice_extension_id),
        ('criticality', __NeighbourInformation_NR_ModeInfo_choice_extension_criticality),
        ('value', __NeighbourInformation_NR_ModeInfo_choice_extension_value),
        ])
    _NeighbourInformation_NR_ModeInfo_choice_extension._ext = None
    NeighbourInformation_NR_ModeInfo._cont = ASN1Dict([
        ('fdd-info', _NeighbourInformation_NR_ModeInfo_fdd_info),
        ('tdd-info', _NeighbourInformation_NR_ModeInfo_tdd_info),
        ('choice-extension', _NeighbourInformation_NR_ModeInfo_choice_extension),
        ])
    NeighbourInformation_NR_ModeInfo._ext = None
    
    #-----< NeighbourInformation-NR-ModeInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeInfo_ExtIEs = CLASS(name='NeighbourInformation-NR-ModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NeighbourInformation_NR_ModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeFDDInfo >-----#
    NeighbourInformation_NR_ModeFDDInfo = SEQ(name='NeighbourInformation-NR-ModeFDDInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo = SEQ(name='ul-NR-FreqInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo = SEQ(name='dl-NR-FequInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions = SEQ_OF(name='ie-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab_id = 'id'
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_._cont = ASN1Dict([
        ('id', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id),
        ('criticality', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality),
        ('extensionValue', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_._ext = None
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions._cont = __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_ModeFDDInfo._cont = ASN1Dict([
        ('ul-NR-FreqInfo', _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo),
        ('dl-NR-FequInfo', _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo),
        ('ie-Extensions', _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions),
        ])
    NeighbourInformation_NR_ModeFDDInfo._ext = []
    
    #-----< NeighbourInformation-NR-ModeFDDInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeFDDInfo_ExtIEs = CLASS(name='NeighbourInformation-NR-ModeFDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_ModeFDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeTDDInfo >-----#
    NeighbourInformation_NR_ModeTDDInfo = SEQ(name='NeighbourInformation-NR-ModeTDDInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo = SEQ(name='nr-FreqInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions = SEQ_OF(name='ie-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab_id = 'id'
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_._cont = ASN1Dict([
        ('id', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id),
        ('criticality', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality),
        ('extensionValue', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_._ext = None
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions._cont = __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_ModeTDDInfo._cont = ASN1Dict([
        ('nr-FreqInfo', _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo),
        ('ie-Extensions', _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions),
        ])
    NeighbourInformation_NR_ModeTDDInfo._ext = []
    
    #-----< NeighbourInformation-NR-ModeTDDInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeTDDInfo_ExtIEs = CLASS(name='NeighbourInformation-NR-ModeTDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_ModeTDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NID >-----#
    NID = BIT_STR(name='NID', mode=MODE_TYPE)
    NID._const_sz = ASN1Set(rv=[44], rr=[], ev=None, er=[])
    
    #-----< NRCarrierList >-----#
    NRCarrierList = SEQ_OF(name='NRCarrierList', mode=MODE_TYPE)
    _NRCarrierList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierItem')))
    NRCarrierList._cont = _NRCarrierList__item_
    NRCarrierList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=5)], ev=None, er=[])
    
    #-----< NRCarrierItem >-----#
    NRCarrierItem = SEQ(name='NRCarrierItem', mode=MODE_TYPE)
    _NRCarrierItem_carrierSCS = ENUM(name='carrierSCS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRSCS')))
    _NRCarrierItem_offsetToCarrier = INT(name='offsetToCarrier', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NRCarrierItem_offsetToCarrier._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=2199)], ev=[], er=[])
    _NRCarrierItem_carrierBandwidth = INT(name='carrierBandwidth', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NRCarrierItem_carrierBandwidth._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=275)], ev=[], er=[])
    _NRCarrierItem_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRCarrierItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRCarrierItem_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRCarrierItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRCarrierItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRCarrierItem_iE_Extension__item__id._const_tab = ____NRCarrierItem_iE_Extension__item__id_tab
    ___NRCarrierItem_iE_Extension__item__id._const_tab_at = None
    ___NRCarrierItem_iE_Extension__item__id._const_tab_id = 'id'
    ___NRCarrierItem_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NRCarrierItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRCarrierItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRCarrierItem_iE_Extension__item__criticality._const_tab = ____NRCarrierItem_iE_Extension__item__criticality_tab
    ___NRCarrierItem_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NRCarrierItem_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NRCarrierItem_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NRCarrierItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRCarrierItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRCarrierItem_iE_Extension__item__extensionValue._const_tab = ____NRCarrierItem_iE_Extension__item__extensionValue_tab
    ___NRCarrierItem_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRCarrierItem_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NRCarrierItem_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NRCarrierItem_iE_Extension__item__id),
        ('criticality', ___NRCarrierItem_iE_Extension__item__criticality),
        ('extensionValue', ___NRCarrierItem_iE_Extension__item__extensionValue),
        ])
    __NRCarrierItem_iE_Extension__item_._ext = None
    _NRCarrierItem_iE_Extension._cont = __NRCarrierItem_iE_Extension__item_
    _NRCarrierItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRCarrierItem._cont = ASN1Dict([
        ('carrierSCS', _NRCarrierItem_carrierSCS),
        ('offsetToCarrier', _NRCarrierItem_offsetToCarrier),
        ('carrierBandwidth', _NRCarrierItem_carrierBandwidth),
        ('iE-Extension', _NRCarrierItem_iE_Extension),
        ])
    NRCarrierItem._ext = []
    
    #-----< NRCarrierItem-ExtIEs >-----#
    NRCarrierItem_ExtIEs = CLASS(name='NRCarrierItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRCarrierItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRCellPRACHConfig >-----#
    NRCellPRACHConfig = OCT_STR(name='NRCellPRACHConfig', mode=MODE_TYPE)
    
    #-----< NG-RAN-Cell-Identity >-----#
    NG_RAN_Cell_Identity = CHOICE(name='NG-RAN-Cell-Identity', mode=MODE_TYPE)
    _NG_RAN_Cell_Identity_nr = BIT_STR(name='nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _NG_RAN_Cell_Identity_e_utra = BIT_STR(name='e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _NG_RAN_Cell_Identity_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NG_RAN_Cell_Identity_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NG_RAN_Cell_Identity_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab = ___NG_RAN_Cell_Identity_choice_extension_id_tab
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab_at = None
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab_id = 'id'
    __NG_RAN_Cell_Identity_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NG_RAN_Cell_Identity_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab = ___NG_RAN_Cell_Identity_choice_extension_criticality_tab
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab_id = 'criticality'
    __NG_RAN_Cell_Identity_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NG_RAN_Cell_Identity_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab = ___NG_RAN_Cell_Identity_choice_extension_value_tab
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab_at = ('..', 'id')
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab_id = 'Value'
    _NG_RAN_Cell_Identity_choice_extension._cont = ASN1Dict([
        ('id', __NG_RAN_Cell_Identity_choice_extension_id),
        ('criticality', __NG_RAN_Cell_Identity_choice_extension_criticality),
        ('value', __NG_RAN_Cell_Identity_choice_extension_value),
        ])
    _NG_RAN_Cell_Identity_choice_extension._ext = None
    NG_RAN_Cell_Identity._cont = ASN1Dict([
        ('nr', _NG_RAN_Cell_Identity_nr),
        ('e-utra', _NG_RAN_Cell_Identity_e_utra),
        ('choice-extension', _NG_RAN_Cell_Identity_choice_extension),
        ])
    NG_RAN_Cell_Identity._ext = None
    
    #-----< NG-RAN-Cell-Identity-ExtIEs >-----#
    NG_RAN_Cell_Identity_ExtIEs = CLASS(name='NG-RAN-Cell-Identity-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NG_RAN_Cell_Identity_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-CellPCI >-----#
    NG_RAN_CellPCI = CHOICE(name='NG-RAN-CellPCI', mode=MODE_TYPE)
    _NG_RAN_CellPCI_nr = INT(name='nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _NG_RAN_CellPCI_e_utra = INT(name='e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _NG_RAN_CellPCI_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NG_RAN_CellPCI_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NG_RAN_CellPCI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_id._const_tab = ___NG_RAN_CellPCI_choice_extension_id_tab
    __NG_RAN_CellPCI_choice_extension_id._const_tab_at = None
    __NG_RAN_CellPCI_choice_extension_id._const_tab_id = 'id'
    __NG_RAN_CellPCI_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NG_RAN_CellPCI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab = ___NG_RAN_CellPCI_choice_extension_criticality_tab
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab_id = 'criticality'
    __NG_RAN_CellPCI_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NG_RAN_CellPCI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_value._const_tab = ___NG_RAN_CellPCI_choice_extension_value_tab
    __NG_RAN_CellPCI_choice_extension_value._const_tab_at = ('..', 'id')
    __NG_RAN_CellPCI_choice_extension_value._const_tab_id = 'Value'
    _NG_RAN_CellPCI_choice_extension._cont = ASN1Dict([
        ('id', __NG_RAN_CellPCI_choice_extension_id),
        ('criticality', __NG_RAN_CellPCI_choice_extension_criticality),
        ('value', __NG_RAN_CellPCI_choice_extension_value),
        ])
    _NG_RAN_CellPCI_choice_extension._ext = None
    NG_RAN_CellPCI._cont = ASN1Dict([
        ('nr', _NG_RAN_CellPCI_nr),
        ('e-utra', _NG_RAN_CellPCI_e_utra),
        ('choice-extension', _NG_RAN_CellPCI_choice_extension),
        ])
    NG_RAN_CellPCI._ext = None
    
    #-----< NG-RAN-CellPCI-ExtIEs >-----#
    NG_RAN_CellPCI_ExtIEs = CLASS(name='NG-RAN-CellPCI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NG_RAN_CellPCI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RANnodeUEXnAPID >-----#
    NG_RANnodeUEXnAPID = INT(name='NG-RANnodeUEXnAPID', mode=MODE_TYPE)
    NG_RANnodeUEXnAPID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    
    #-----< NumberofActiveUEs >-----#
    NumberofActiveUEs = INT(name='NumberofActiveUEs', mode=MODE_TYPE)
    NumberofActiveUEs._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16777215)], ev=[], er=[])
    
    #-----< NoofRRCConnections >-----#
    NoofRRCConnections = INT(name='NoofRRCConnections', mode=MODE_TYPE)
    NoofRRCConnections._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65536)], ev=[], er=[])
    
    #-----< NonDynamic5QIDescriptor >-----#
    NonDynamic5QIDescriptor = SEQ(name='NonDynamic5QIDescriptor', mode=MODE_TYPE)
    _NonDynamic5QIDescriptor_fiveQI = INT(name='fiveQI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'FiveQI')))
    _NonDynamic5QIDescriptor_priorityLevelQoS = INT(name='priorityLevelQoS', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PriorityLevelQoS')), opt=True)
    _NonDynamic5QIDescriptor_averagingWindow = INT(name='averagingWindow', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AveragingWindow')), opt=True)
    _NonDynamic5QIDescriptor_maximumDataBurstVolume = INT(name='maximumDataBurstVolume', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumDataBurstVolume')), opt=True)
    _NonDynamic5QIDescriptor_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NonDynamic5QIDescriptor_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NonDynamic5QIDescriptor_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 208), ('criticality', 'ignore'), ('Extension', _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 209), ('criticality', 'ignore'), ('Extension', _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab_at = None
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab_id = 'id'
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NonDynamic5QIDescriptor_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NonDynamic5QIDescriptor_iE_Extension__item__id),
        ('criticality', ___NonDynamic5QIDescriptor_iE_Extension__item__criticality),
        ('extensionValue', ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue),
        ])
    __NonDynamic5QIDescriptor_iE_Extension__item_._ext = None
    _NonDynamic5QIDescriptor_iE_Extension._cont = __NonDynamic5QIDescriptor_iE_Extension__item_
    _NonDynamic5QIDescriptor_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NonDynamic5QIDescriptor._cont = ASN1Dict([
        ('fiveQI', _NonDynamic5QIDescriptor_fiveQI),
        ('priorityLevelQoS', _NonDynamic5QIDescriptor_priorityLevelQoS),
        ('averagingWindow', _NonDynamic5QIDescriptor_averagingWindow),
        ('maximumDataBurstVolume', _NonDynamic5QIDescriptor_maximumDataBurstVolume),
        ('iE-Extension', _NonDynamic5QIDescriptor_iE_Extension),
        ])
    NonDynamic5QIDescriptor._ext = []
    
    #-----< NonDynamic5QIDescriptor-ExtIEs >-----#
    NonDynamic5QIDescriptor_ExtIEs = CLASS(name='NonDynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _NonDynamic5QIDescriptor_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    _NonDynamic5QIDescriptor_ExtIEs_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedPacketDelayBudget')))
    NonDynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[dict([('id', 208), ('criticality', 'ignore'), ('Extension', _NonDynamic5QIDescriptor_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 209), ('criticality', 'ignore'), ('Extension', _NonDynamic5QIDescriptor_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NRARFCN >-----#
    NRARFCN = INT(name='NRARFCN', mode=MODE_TYPE)
    NRARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3279165)], ev=None, er=[])
    
    #-----< NG-eNB-RadioResourceStatus >-----#
    NG_eNB_RadioResourceStatus = SEQ(name='NG-eNB-RadioResourceStatus', mode=MODE_TYPE)
    _NG_eNB_RadioResourceStatus_dL_GBR_PRB_usage = INT(name='dL-GBR-PRB-usage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-GBR-PRB-usage')))
    _NG_eNB_RadioResourceStatus_uL_GBR_PRB_usage = INT(name='uL-GBR-PRB-usage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-GBR-PRB-usage')))
    _NG_eNB_RadioResourceStatus_dL_non_GBR_PRB_usage = INT(name='dL-non-GBR-PRB-usage', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-non-GBR-PRB-usage')))
    _NG_eNB_RadioResourceStatus_uL_non_GBR_PRB_usage = INT(name='uL-non-GBR-PRB-usage', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-non-GBR-PRB-usage')))
    _NG_eNB_RadioResourceStatus_dL_Total_PRB_usage = INT(name='dL-Total-PRB-usage', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-Total-PRB-usage')))
    _NG_eNB_RadioResourceStatus_uL_Total_PRB_usage = INT(name='uL-Total-PRB-usage', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-Total-PRB-usage')))
    _NG_eNB_RadioResourceStatus_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NG_eNB_RadioResourceStatus_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DL-scheduling-PDCCH-CCE-usage')))
    _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UL-scheduling-PDCCH-CCE-usage')))
    ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 240), ('criticality', 'ignore'), ('Extension', _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 241), ('criticality', 'ignore'), ('Extension', _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id._const_tab = ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id._const_tab_at = None
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id._const_tab_id = 'id'
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab = ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab = ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NG_eNB_RadioResourceStatus_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id),
        ('criticality', ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality),
        ('extensionValue', ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue),
        ])
    __NG_eNB_RadioResourceStatus_iE_Extensions__item_._ext = None
    _NG_eNB_RadioResourceStatus_iE_Extensions._cont = __NG_eNB_RadioResourceStatus_iE_Extensions__item_
    _NG_eNB_RadioResourceStatus_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NG_eNB_RadioResourceStatus._cont = ASN1Dict([
        ('dL-GBR-PRB-usage', _NG_eNB_RadioResourceStatus_dL_GBR_PRB_usage),
        ('uL-GBR-PRB-usage', _NG_eNB_RadioResourceStatus_uL_GBR_PRB_usage),
        ('dL-non-GBR-PRB-usage', _NG_eNB_RadioResourceStatus_dL_non_GBR_PRB_usage),
        ('uL-non-GBR-PRB-usage', _NG_eNB_RadioResourceStatus_uL_non_GBR_PRB_usage),
        ('dL-Total-PRB-usage', _NG_eNB_RadioResourceStatus_dL_Total_PRB_usage),
        ('uL-Total-PRB-usage', _NG_eNB_RadioResourceStatus_uL_Total_PRB_usage),
        ('iE-Extensions', _NG_eNB_RadioResourceStatus_iE_Extensions),
        ])
    NG_eNB_RadioResourceStatus._ext = []
    
    #-----< NG-eNB-RadioResourceStatus-ExtIEs >-----#
    NG_eNB_RadioResourceStatus_ExtIEs = CLASS(name='NG-eNB-RadioResourceStatus-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DL-scheduling-PDCCH-CCE-usage')))
    _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UL-scheduling-PDCCH-CCE-usage')))
    NG_eNB_RadioResourceStatus_ExtIEs._val = ASN1Set(rv=[dict([('id', 240), ('criticality', 'ignore'), ('Extension', _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 241), ('criticality', 'ignore'), ('Extension', _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DL-scheduling-PDCCH-CCE-usage >-----#
    DL_scheduling_PDCCH_CCE_usage = INT(name='DL-scheduling-PDCCH-CCE-usage', mode=MODE_TYPE)
    DL_scheduling_PDCCH_CCE_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< UL-scheduling-PDCCH-CCE-usage >-----#
    UL_scheduling_PDCCH_CCE_usage = INT(name='UL-scheduling-PDCCH-CCE-usage', mode=MODE_TYPE)
    UL_scheduling_PDCCH_CCE_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< TNLCapacityIndicator >-----#
    TNLCapacityIndicator = SEQ(name='TNLCapacityIndicator', mode=MODE_TYPE)
    _TNLCapacityIndicator_dLTNLOfferedCapacity = INT(name='dLTNLOfferedCapacity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'OfferedCapacity')))
    _TNLCapacityIndicator_dLTNLAvailableCapacity = INT(name='dLTNLAvailableCapacity', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AvailableCapacity')))
    _TNLCapacityIndicator_uLTNLOfferedCapacity = INT(name='uLTNLOfferedCapacity', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'OfferedCapacity')))
    _TNLCapacityIndicator_uLTNLAvailableCapacity = INT(name='uLTNLAvailableCapacity', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AvailableCapacity')))
    _TNLCapacityIndicator_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLCapacityIndicator_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLCapacityIndicator_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLCapacityIndicator_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLCapacityIndicator_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLCapacityIndicator_iE_Extensions__item__id._const_tab = ____TNLCapacityIndicator_iE_Extensions__item__id_tab
    ___TNLCapacityIndicator_iE_Extensions__item__id._const_tab_at = None
    ___TNLCapacityIndicator_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLCapacityIndicator_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLCapacityIndicator_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLCapacityIndicator_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLCapacityIndicator_iE_Extensions__item__criticality._const_tab = ____TNLCapacityIndicator_iE_Extensions__item__criticality_tab
    ___TNLCapacityIndicator_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLCapacityIndicator_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLCapacityIndicator_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLCapacityIndicator_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLCapacityIndicator_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLCapacityIndicator_iE_Extensions__item__extensionValue._const_tab = ____TNLCapacityIndicator_iE_Extensions__item__extensionValue_tab
    ___TNLCapacityIndicator_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLCapacityIndicator_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLCapacityIndicator_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLCapacityIndicator_iE_Extensions__item__id),
        ('criticality', ___TNLCapacityIndicator_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLCapacityIndicator_iE_Extensions__item__extensionValue),
        ])
    __TNLCapacityIndicator_iE_Extensions__item_._ext = None
    _TNLCapacityIndicator_iE_Extensions._cont = __TNLCapacityIndicator_iE_Extensions__item_
    _TNLCapacityIndicator_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLCapacityIndicator._cont = ASN1Dict([
        ('dLTNLOfferedCapacity', _TNLCapacityIndicator_dLTNLOfferedCapacity),
        ('dLTNLAvailableCapacity', _TNLCapacityIndicator_dLTNLAvailableCapacity),
        ('uLTNLOfferedCapacity', _TNLCapacityIndicator_uLTNLOfferedCapacity),
        ('uLTNLAvailableCapacity', _TNLCapacityIndicator_uLTNLAvailableCapacity),
        ('iE-Extensions', _TNLCapacityIndicator_iE_Extensions),
        ])
    TNLCapacityIndicator._ext = []
    
    #-----< TNLCapacityIndicator-ExtIEs >-----#
    TNLCapacityIndicator_ExtIEs = CLASS(name='TNLCapacityIndicator-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLCapacityIndicator_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPN-Broadcast-Information >-----#
    NPN_Broadcast_Information = CHOICE(name='NPN-Broadcast-Information', mode=MODE_TYPE)
    _NPN_Broadcast_Information_snpn_Information = SEQ(name='snpn-Information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information-SNPN')))
    _NPN_Broadcast_Information_pni_npn_Information = SEQ(name='pni-npn-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information-PNI-NPN')))
    _NPN_Broadcast_Information_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NPN_Broadcast_Information_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NPN_Broadcast_Information_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Broadcast_Information_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Broadcast_Information_choice_extension_id._const_tab = ___NPN_Broadcast_Information_choice_extension_id_tab
    __NPN_Broadcast_Information_choice_extension_id._const_tab_at = None
    __NPN_Broadcast_Information_choice_extension_id._const_tab_id = 'id'
    __NPN_Broadcast_Information_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NPN_Broadcast_Information_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Broadcast_Information_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Broadcast_Information_choice_extension_criticality._const_tab = ___NPN_Broadcast_Information_choice_extension_criticality_tab
    __NPN_Broadcast_Information_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NPN_Broadcast_Information_choice_extension_criticality._const_tab_id = 'criticality'
    __NPN_Broadcast_Information_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NPN_Broadcast_Information_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Broadcast_Information_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Broadcast_Information_choice_extension_value._const_tab = ___NPN_Broadcast_Information_choice_extension_value_tab
    __NPN_Broadcast_Information_choice_extension_value._const_tab_at = ('..', 'id')
    __NPN_Broadcast_Information_choice_extension_value._const_tab_id = 'Value'
    _NPN_Broadcast_Information_choice_extension._cont = ASN1Dict([
        ('id', __NPN_Broadcast_Information_choice_extension_id),
        ('criticality', __NPN_Broadcast_Information_choice_extension_criticality),
        ('value', __NPN_Broadcast_Information_choice_extension_value),
        ])
    _NPN_Broadcast_Information_choice_extension._ext = None
    NPN_Broadcast_Information._cont = ASN1Dict([
        ('snpn-Information', _NPN_Broadcast_Information_snpn_Information),
        ('pni-npn-Information', _NPN_Broadcast_Information_pni_npn_Information),
        ('choice-extension', _NPN_Broadcast_Information_choice_extension),
        ])
    NPN_Broadcast_Information._ext = None
    
    #-----< NPN-Broadcast-Information-ExtIEs >-----#
    NPN_Broadcast_Information_ExtIEs = CLASS(name='NPN-Broadcast-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NPN_Broadcast_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPN-Broadcast-Information-SNPN >-----#
    NPN_Broadcast_Information_SNPN = SEQ(name='NPN-Broadcast-Information-SNPN', mode=MODE_TYPE)
    _NPN_Broadcast_Information_SNPN_broadcastSNPNID_List = SEQ_OF(name='broadcastSNPNID-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastSNPNID-List')))
    _NPN_Broadcast_Information_SNPN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPN_Broadcast_Information_SNPN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id._const_tab = ____NPN_Broadcast_Information_SNPN_iE_Extension__item__id_tab
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id._const_tab_at = None
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id._const_tab_id = 'id'
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality._const_tab = ____NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality_tab
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue._const_tab = ____NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue_tab
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPN_Broadcast_Information_SNPN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id),
        ('criticality', ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality),
        ('extensionValue', ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue),
        ])
    __NPN_Broadcast_Information_SNPN_iE_Extension__item_._ext = None
    _NPN_Broadcast_Information_SNPN_iE_Extension._cont = __NPN_Broadcast_Information_SNPN_iE_Extension__item_
    _NPN_Broadcast_Information_SNPN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPN_Broadcast_Information_SNPN._cont = ASN1Dict([
        ('broadcastSNPNID-List', _NPN_Broadcast_Information_SNPN_broadcastSNPNID_List),
        ('iE-Extension', _NPN_Broadcast_Information_SNPN_iE_Extension),
        ])
    NPN_Broadcast_Information_SNPN._ext = []
    
    #-----< NPN-Broadcast-Information-SNPN-ExtIEs >-----#
    NPN_Broadcast_Information_SNPN_ExtIEs = CLASS(name='NPN-Broadcast-Information-SNPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPN_Broadcast_Information_SNPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPN-Broadcast-Information-PNI-NPN >-----#
    NPN_Broadcast_Information_PNI_NPN = SEQ(name='NPN-Broadcast-Information-PNI-NPN', mode=MODE_TYPE)
    _NPN_Broadcast_Information_PNI_NPN_broadcastPNI_NPN_ID_Information = SEQ_OF(name='broadcastPNI-NPN-ID-Information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPNI-NPN-ID-Information')))
    _NPN_Broadcast_Information_PNI_NPN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPN_Broadcast_Information_PNI_NPN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id._const_tab = ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id_tab
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id._const_tab_at = None
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id._const_tab_id = 'id'
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality._const_tab = ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality_tab
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue._const_tab = ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue_tab
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPN_Broadcast_Information_PNI_NPN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id),
        ('criticality', ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality),
        ('extensionValue', ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue),
        ])
    __NPN_Broadcast_Information_PNI_NPN_iE_Extension__item_._ext = None
    _NPN_Broadcast_Information_PNI_NPN_iE_Extension._cont = __NPN_Broadcast_Information_PNI_NPN_iE_Extension__item_
    _NPN_Broadcast_Information_PNI_NPN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPN_Broadcast_Information_PNI_NPN._cont = ASN1Dict([
        ('broadcastPNI-NPN-ID-Information', _NPN_Broadcast_Information_PNI_NPN_broadcastPNI_NPN_ID_Information),
        ('iE-Extension', _NPN_Broadcast_Information_PNI_NPN_iE_Extension),
        ])
    NPN_Broadcast_Information_PNI_NPN._ext = []
    
    #-----< NPN-Broadcast-Information-PNI-NPN-ExtIEs >-----#
    NPN_Broadcast_Information_PNI_NPN_ExtIEs = CLASS(name='NPN-Broadcast-Information-PNI-NPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPN_Broadcast_Information_PNI_NPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPNMobilityInformation >-----#
    NPNMobilityInformation = CHOICE(name='NPNMobilityInformation', mode=MODE_TYPE)
    _NPNMobilityInformation_snpn_mobility_information = SEQ(name='snpn-mobility-information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPNMobilityInformation-SNPN')))
    _NPNMobilityInformation_pni_npn_mobility_information = SEQ(name='pni-npn-mobility-information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPNMobilityInformation-PNI-NPN')))
    _NPNMobilityInformation_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NPNMobilityInformation_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NPNMobilityInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNMobilityInformation_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNMobilityInformation_choice_extension_id._const_tab = ___NPNMobilityInformation_choice_extension_id_tab
    __NPNMobilityInformation_choice_extension_id._const_tab_at = None
    __NPNMobilityInformation_choice_extension_id._const_tab_id = 'id'
    __NPNMobilityInformation_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NPNMobilityInformation_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNMobilityInformation_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNMobilityInformation_choice_extension_criticality._const_tab = ___NPNMobilityInformation_choice_extension_criticality_tab
    __NPNMobilityInformation_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NPNMobilityInformation_choice_extension_criticality._const_tab_id = 'criticality'
    __NPNMobilityInformation_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NPNMobilityInformation_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNMobilityInformation_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNMobilityInformation_choice_extension_value._const_tab = ___NPNMobilityInformation_choice_extension_value_tab
    __NPNMobilityInformation_choice_extension_value._const_tab_at = ('..', 'id')
    __NPNMobilityInformation_choice_extension_value._const_tab_id = 'Value'
    _NPNMobilityInformation_choice_extension._cont = ASN1Dict([
        ('id', __NPNMobilityInformation_choice_extension_id),
        ('criticality', __NPNMobilityInformation_choice_extension_criticality),
        ('value', __NPNMobilityInformation_choice_extension_value),
        ])
    _NPNMobilityInformation_choice_extension._ext = None
    NPNMobilityInformation._cont = ASN1Dict([
        ('snpn-mobility-information', _NPNMobilityInformation_snpn_mobility_information),
        ('pni-npn-mobility-information', _NPNMobilityInformation_pni_npn_mobility_information),
        ('choice-extension', _NPNMobilityInformation_choice_extension),
        ])
    NPNMobilityInformation._ext = None
    
    #-----< NPNMobilityInformation-ExtIEs >-----#
    NPNMobilityInformation_ExtIEs = CLASS(name='NPNMobilityInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NPNMobilityInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPNMobilityInformation-SNPN >-----#
    NPNMobilityInformation_SNPN = SEQ(name='NPNMobilityInformation-SNPN', mode=MODE_TYPE)
    _NPNMobilityInformation_SNPN_serving_NID = BIT_STR(name='serving-NID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NID')))
    _NPNMobilityInformation_SNPN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPNMobilityInformation_SNPN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPNMobilityInformation_SNPN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_SNPN_iE_Extension__item__id._const_tab = ____NPNMobilityInformation_SNPN_iE_Extension__item__id_tab
    ___NPNMobilityInformation_SNPN_iE_Extension__item__id._const_tab_at = None
    ___NPNMobilityInformation_SNPN_iE_Extension__item__id._const_tab_id = 'id'
    ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality._const_tab = ____NPNMobilityInformation_SNPN_iE_Extension__item__criticality_tab
    ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue._const_tab = ____NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue_tab
    ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPNMobilityInformation_SNPN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NPNMobilityInformation_SNPN_iE_Extension__item__id),
        ('criticality', ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality),
        ('extensionValue', ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue),
        ])
    __NPNMobilityInformation_SNPN_iE_Extension__item_._ext = None
    _NPNMobilityInformation_SNPN_iE_Extension._cont = __NPNMobilityInformation_SNPN_iE_Extension__item_
    _NPNMobilityInformation_SNPN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPNMobilityInformation_SNPN._cont = ASN1Dict([
        ('serving-NID', _NPNMobilityInformation_SNPN_serving_NID),
        ('iE-Extension', _NPNMobilityInformation_SNPN_iE_Extension),
        ])
    NPNMobilityInformation_SNPN._ext = []
    
    #-----< NPNMobilityInformation-SNPN-ExtIEs >-----#
    NPNMobilityInformation_SNPN_ExtIEs = CLASS(name='NPNMobilityInformation-SNPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPNMobilityInformation_SNPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPNMobilityInformation-PNI-NPN >-----#
    NPNMobilityInformation_PNI_NPN = SEQ(name='NPNMobilityInformation-PNI-NPN', mode=MODE_TYPE)
    _NPNMobilityInformation_PNI_NPN_allowedPNI_NPN_ID_List = SEQ_OF(name='allowedPNI-NPN-ID-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AllowedPNI-NPN-ID-List')))
    _NPNMobilityInformation_PNI_NPN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPNMobilityInformation_PNI_NPN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id._const_tab = ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__id_tab
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id._const_tab_at = None
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id._const_tab_id = 'id'
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality._const_tab = ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality_tab
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab = ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue_tab
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPNMobilityInformation_PNI_NPN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id),
        ('criticality', ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality),
        ('extensionValue', ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue),
        ])
    __NPNMobilityInformation_PNI_NPN_iE_Extension__item_._ext = None
    _NPNMobilityInformation_PNI_NPN_iE_Extension._cont = __NPNMobilityInformation_PNI_NPN_iE_Extension__item_
    _NPNMobilityInformation_PNI_NPN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPNMobilityInformation_PNI_NPN._cont = ASN1Dict([
        ('allowedPNI-NPN-ID-List', _NPNMobilityInformation_PNI_NPN_allowedPNI_NPN_ID_List),
        ('iE-Extension', _NPNMobilityInformation_PNI_NPN_iE_Extension),
        ])
    NPNMobilityInformation_PNI_NPN._ext = []
    
    #-----< NPNMobilityInformation-PNI-NPN-ExtIEs >-----#
    NPNMobilityInformation_PNI_NPN_ExtIEs = CLASS(name='NPNMobilityInformation-PNI-NPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPNMobilityInformation_PNI_NPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPNPagingAssistanceInformation >-----#
    NPNPagingAssistanceInformation = CHOICE(name='NPNPagingAssistanceInformation', mode=MODE_TYPE)
    _NPNPagingAssistanceInformation_pni_npn_Information = SEQ(name='pni-npn-Information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPNPagingAssistanceInformation-PNI-NPN')))
    _NPNPagingAssistanceInformation_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NPNPagingAssistanceInformation_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NPNPagingAssistanceInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNPagingAssistanceInformation_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNPagingAssistanceInformation_choice_extension_id._const_tab = ___NPNPagingAssistanceInformation_choice_extension_id_tab
    __NPNPagingAssistanceInformation_choice_extension_id._const_tab_at = None
    __NPNPagingAssistanceInformation_choice_extension_id._const_tab_id = 'id'
    __NPNPagingAssistanceInformation_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NPNPagingAssistanceInformation_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNPagingAssistanceInformation_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNPagingAssistanceInformation_choice_extension_criticality._const_tab = ___NPNPagingAssistanceInformation_choice_extension_criticality_tab
    __NPNPagingAssistanceInformation_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NPNPagingAssistanceInformation_choice_extension_criticality._const_tab_id = 'criticality'
    __NPNPagingAssistanceInformation_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NPNPagingAssistanceInformation_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPNPagingAssistanceInformation_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPNPagingAssistanceInformation_choice_extension_value._const_tab = ___NPNPagingAssistanceInformation_choice_extension_value_tab
    __NPNPagingAssistanceInformation_choice_extension_value._const_tab_at = ('..', 'id')
    __NPNPagingAssistanceInformation_choice_extension_value._const_tab_id = 'Value'
    _NPNPagingAssistanceInformation_choice_extension._cont = ASN1Dict([
        ('id', __NPNPagingAssistanceInformation_choice_extension_id),
        ('criticality', __NPNPagingAssistanceInformation_choice_extension_criticality),
        ('value', __NPNPagingAssistanceInformation_choice_extension_value),
        ])
    _NPNPagingAssistanceInformation_choice_extension._ext = None
    NPNPagingAssistanceInformation._cont = ASN1Dict([
        ('pni-npn-Information', _NPNPagingAssistanceInformation_pni_npn_Information),
        ('choice-extension', _NPNPagingAssistanceInformation_choice_extension),
        ])
    NPNPagingAssistanceInformation._ext = None
    
    #-----< NPNPagingAssistanceInformation-ExtIEs >-----#
    NPNPagingAssistanceInformation_ExtIEs = CLASS(name='NPNPagingAssistanceInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NPNPagingAssistanceInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPNPagingAssistanceInformation-PNI-NPN >-----#
    NPNPagingAssistanceInformation_PNI_NPN = SEQ(name='NPNPagingAssistanceInformation-PNI-NPN', mode=MODE_TYPE)
    _NPNPagingAssistanceInformation_PNI_NPN_allowedPNI_NPN_ID_List = SEQ_OF(name='allowedPNI-NPN-ID-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AllowedPNI-NPN-ID-List')))
    _NPNPagingAssistanceInformation_PNI_NPN_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id._const_tab = ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id_tab
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id._const_tab_at = None
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id._const_tab_id = 'id'
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality._const_tab = ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality_tab
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab = ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue_tab
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id),
        ('criticality', ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality),
        ('extensionValue', ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue),
        ])
    __NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item_._ext = None
    _NPNPagingAssistanceInformation_PNI_NPN_iE_Extension._cont = __NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item_
    _NPNPagingAssistanceInformation_PNI_NPN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPNPagingAssistanceInformation_PNI_NPN._cont = ASN1Dict([
        ('allowedPNI-NPN-ID-List', _NPNPagingAssistanceInformation_PNI_NPN_allowedPNI_NPN_ID_List),
        ('iE-Extension', _NPNPagingAssistanceInformation_PNI_NPN_iE_Extension),
        ])
    NPNPagingAssistanceInformation_PNI_NPN._ext = []
    
    #-----< NPNPagingAssistanceInformation-PNI-NPN-ExtIEs >-----#
    NPNPagingAssistanceInformation_PNI_NPN_ExtIEs = CLASS(name='NPNPagingAssistanceInformation-PNI-NPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPNPagingAssistanceInformation_PNI_NPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPN-Support >-----#
    NPN_Support = CHOICE(name='NPN-Support', mode=MODE_TYPE)
    _NPN_Support_sNPN = SEQ(name='sNPN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPN-Support-SNPN')))
    _NPN_Support_choice_Extensions = SEQ(name='choice-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NPN_Support_choice_Extensions_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NPN_Support_choice_Extensions_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Support_choice_Extensions_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Support_choice_Extensions_id._const_tab = ___NPN_Support_choice_Extensions_id_tab
    __NPN_Support_choice_Extensions_id._const_tab_at = None
    __NPN_Support_choice_Extensions_id._const_tab_id = 'id'
    __NPN_Support_choice_Extensions_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NPN_Support_choice_Extensions_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Support_choice_Extensions_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Support_choice_Extensions_criticality._const_tab = ___NPN_Support_choice_Extensions_criticality_tab
    __NPN_Support_choice_Extensions_criticality._const_tab_at = ('..', 'id')
    __NPN_Support_choice_Extensions_criticality._const_tab_id = 'criticality'
    __NPN_Support_choice_Extensions_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NPN_Support_choice_Extensions_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NPN_Support_choice_Extensions_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NPN_Support_choice_Extensions_value._const_tab = ___NPN_Support_choice_Extensions_value_tab
    __NPN_Support_choice_Extensions_value._const_tab_at = ('..', 'id')
    __NPN_Support_choice_Extensions_value._const_tab_id = 'Value'
    _NPN_Support_choice_Extensions._cont = ASN1Dict([
        ('id', __NPN_Support_choice_Extensions_id),
        ('criticality', __NPN_Support_choice_Extensions_criticality),
        ('value', __NPN_Support_choice_Extensions_value),
        ])
    _NPN_Support_choice_Extensions._ext = None
    NPN_Support._cont = ASN1Dict([
        ('sNPN', _NPN_Support_sNPN),
        ('choice-Extensions', _NPN_Support_choice_Extensions),
        ])
    NPN_Support._ext = None
    
    #-----< NPN-Support-ExtIEs >-----#
    NPN_Support_ExtIEs = CLASS(name='NPN-Support-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NPN_Support_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPN-Support-SNPN >-----#
    NPN_Support_SNPN = SEQ(name='NPN-Support-SNPN', mode=MODE_TYPE)
    _NPN_Support_SNPN_nid = BIT_STR(name='nid', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NID')))
    _NPN_Support_SNPN_ie_Extension = SEQ_OF(name='ie-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPN_Support_SNPN_ie_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPN_Support_SNPN_ie_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPN_Support_SNPN_ie_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Support_SNPN_ie_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Support_SNPN_ie_Extension__item__id._const_tab = ____NPN_Support_SNPN_ie_Extension__item__id_tab
    ___NPN_Support_SNPN_ie_Extension__item__id._const_tab_at = None
    ___NPN_Support_SNPN_ie_Extension__item__id._const_tab_id = 'id'
    ___NPN_Support_SNPN_ie_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPN_Support_SNPN_ie_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Support_SNPN_ie_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Support_SNPN_ie_Extension__item__criticality._const_tab = ____NPN_Support_SNPN_ie_Extension__item__criticality_tab
    ___NPN_Support_SNPN_ie_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NPN_Support_SNPN_ie_Extension__item__criticality._const_tab_id = 'criticality'
    ___NPN_Support_SNPN_ie_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPN_Support_SNPN_ie_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPN_Support_SNPN_ie_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPN_Support_SNPN_ie_Extension__item__extensionValue._const_tab = ____NPN_Support_SNPN_ie_Extension__item__extensionValue_tab
    ___NPN_Support_SNPN_ie_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPN_Support_SNPN_ie_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NPN_Support_SNPN_ie_Extension__item_._cont = ASN1Dict([
        ('id', ___NPN_Support_SNPN_ie_Extension__item__id),
        ('criticality', ___NPN_Support_SNPN_ie_Extension__item__criticality),
        ('extensionValue', ___NPN_Support_SNPN_ie_Extension__item__extensionValue),
        ])
    __NPN_Support_SNPN_ie_Extension__item_._ext = None
    _NPN_Support_SNPN_ie_Extension._cont = __NPN_Support_SNPN_ie_Extension__item_
    _NPN_Support_SNPN_ie_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPN_Support_SNPN._cont = ASN1Dict([
        ('nid', _NPN_Support_SNPN_nid),
        ('ie-Extension', _NPN_Support_SNPN_ie_Extension),
        ])
    NPN_Support_SNPN._ext = []
    
    #-----< NPN-Support-SNPN-ExtIEs >-----#
    NPN_Support_SNPN_ExtIEs = CLASS(name='NPN-Support-SNPN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPN_Support_SNPN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPRACHConfiguration >-----#
    NPRACHConfiguration = SEQ(name='NPRACHConfiguration', mode=MODE_TYPE)
    _NPRACHConfiguration_fdd_or_tdd = CHOICE(name='fdd-or-tdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT))
    __NPRACHConfiguration_fdd_or_tdd_fdd = SEQ(name='fdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPRACHConfiguration-FDD')))
    __NPRACHConfiguration_fdd_or_tdd_tdd = SEQ(name='tdd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPRACHConfiguration-TDD')))
    __NPRACHConfiguration_fdd_or_tdd_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id._const_tab = ____NPRACHConfiguration_fdd_or_tdd_choice_extension_id_tab
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id._const_tab_at = None
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id._const_tab_id = 'id'
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality._const_tab = ____NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality_tab
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality._const_tab_id = 'criticality'
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ____NPRACHConfiguration_fdd_or_tdd_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value._const_tab = ____NPRACHConfiguration_fdd_or_tdd_choice_extension_value_tab
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value._const_tab_id = 'Value'
    __NPRACHConfiguration_fdd_or_tdd_choice_extension._cont = ASN1Dict([
        ('id', ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id),
        ('criticality', ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality),
        ('value', ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value),
        ])
    __NPRACHConfiguration_fdd_or_tdd_choice_extension._ext = None
    _NPRACHConfiguration_fdd_or_tdd._cont = ASN1Dict([
        ('fdd', __NPRACHConfiguration_fdd_or_tdd_fdd),
        ('tdd', __NPRACHConfiguration_fdd_or_tdd_tdd),
        ('choice-extension', __NPRACHConfiguration_fdd_or_tdd_choice_extension),
        ])
    _NPRACHConfiguration_fdd_or_tdd._ext = None
    _NPRACHConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPRACHConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPRACHConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPRACHConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_iE_Extensions__item__id._const_tab = ____NPRACHConfiguration_iE_Extensions__item__id_tab
    ___NPRACHConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___NPRACHConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___NPRACHConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPRACHConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_iE_Extensions__item__criticality._const_tab = ____NPRACHConfiguration_iE_Extensions__item__criticality_tab
    ___NPRACHConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NPRACHConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPRACHConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab = ____NPRACHConfiguration_iE_Extensions__item__extensionValue_tab
    ___NPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NPRACHConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NPRACHConfiguration_iE_Extensions__item__id),
        ('criticality', ___NPRACHConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___NPRACHConfiguration_iE_Extensions__item__extensionValue),
        ])
    __NPRACHConfiguration_iE_Extensions__item_._ext = None
    _NPRACHConfiguration_iE_Extensions._cont = __NPRACHConfiguration_iE_Extensions__item_
    _NPRACHConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPRACHConfiguration._cont = ASN1Dict([
        ('fdd-or-tdd', _NPRACHConfiguration_fdd_or_tdd),
        ('iE-Extensions', _NPRACHConfiguration_iE_Extensions),
        ])
    NPRACHConfiguration._ext = []
    
    #-----< NPRACHConfiguration-ExtIEs >-----#
    NPRACHConfiguration_ExtIEs = CLASS(name='NPRACHConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPRACHConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< FDD-or-TDD-in-NPRACHConfiguration-Choice-ExtIEs >-----#
    FDD_or_TDD_in_NPRACHConfiguration_Choice_ExtIEs = CLASS(name='FDD-or-TDD-in-NPRACHConfiguration-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    FDD_or_TDD_in_NPRACHConfiguration_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPRACHConfiguration-FDD >-----#
    NPRACHConfiguration_FDD = SEQ(name='NPRACHConfiguration-FDD', mode=MODE_TYPE)
    _NPRACHConfiguration_FDD_nprach_CP_length = ENUM(name='nprach-CP-length', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPRACH-CP-Length')))
    _NPRACHConfiguration_FDD_anchorCarrier_NPRACHConfig = OCT_STR(name='anchorCarrier-NPRACHConfig', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NPRACHConfiguration_FDD_anchorCarrier_EDT_NPRACHConfig = OCT_STR(name='anchorCarrier-EDT-NPRACHConfig', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_FDD_anchorCarrier_Format2_NPRACHConfig = OCT_STR(name='anchorCarrier-Format2-NPRACHConfig', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_FDD_anchorCarrier_Format2_EDT_NPRACHConfig = OCT_STR(name='anchorCarrier-Format2-EDT-NPRACHConfig', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_FDD_non_anchorCarrier_NPRACHConfig = OCT_STR(name='non-anchorCarrier-NPRACHConfig', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_FDD_non_anchorCarrier_Format2_NPRACHConfig = OCT_STR(name='non-anchorCarrier-Format2-NPRACHConfig', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_FDD_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPRACHConfiguration_FDD_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPRACHConfiguration_FDD_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_FDD_iE_Extensions__item__id._const_tab = ____NPRACHConfiguration_FDD_iE_Extensions__item__id_tab
    ___NPRACHConfiguration_FDD_iE_Extensions__item__id._const_tab_at = None
    ___NPRACHConfiguration_FDD_iE_Extensions__item__id._const_tab_id = 'id'
    ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality._const_tab = ____NPRACHConfiguration_FDD_iE_Extensions__item__criticality_tab
    ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue._const_tab = ____NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue_tab
    ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NPRACHConfiguration_FDD_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NPRACHConfiguration_FDD_iE_Extensions__item__id),
        ('criticality', ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality),
        ('extensionValue', ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue),
        ])
    __NPRACHConfiguration_FDD_iE_Extensions__item_._ext = None
    _NPRACHConfiguration_FDD_iE_Extensions._cont = __NPRACHConfiguration_FDD_iE_Extensions__item_
    _NPRACHConfiguration_FDD_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPRACHConfiguration_FDD._cont = ASN1Dict([
        ('nprach-CP-length', _NPRACHConfiguration_FDD_nprach_CP_length),
        ('anchorCarrier-NPRACHConfig', _NPRACHConfiguration_FDD_anchorCarrier_NPRACHConfig),
        ('anchorCarrier-EDT-NPRACHConfig', _NPRACHConfiguration_FDD_anchorCarrier_EDT_NPRACHConfig),
        ('anchorCarrier-Format2-NPRACHConfig', _NPRACHConfiguration_FDD_anchorCarrier_Format2_NPRACHConfig),
        ('anchorCarrier-Format2-EDT-NPRACHConfig', _NPRACHConfiguration_FDD_anchorCarrier_Format2_EDT_NPRACHConfig),
        ('non-anchorCarrier-NPRACHConfig', _NPRACHConfiguration_FDD_non_anchorCarrier_NPRACHConfig),
        ('non-anchorCarrier-Format2-NPRACHConfig', _NPRACHConfiguration_FDD_non_anchorCarrier_Format2_NPRACHConfig),
        ('iE-Extensions', _NPRACHConfiguration_FDD_iE_Extensions),
        ])
    NPRACHConfiguration_FDD._ext = []
    
    #-----< NPRACHConfiguration-FDD-ExtIEs >-----#
    NPRACHConfiguration_FDD_ExtIEs = CLASS(name='NPRACHConfiguration-FDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPRACHConfiguration_FDD_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPRACHConfiguration-TDD >-----#
    NPRACHConfiguration_TDD = SEQ(name='NPRACHConfiguration-TDD', mode=MODE_TYPE)
    _NPRACHConfiguration_TDD_nprach_preambleFormat = ENUM(name='nprach-preambleFormat', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NPRACH-preambleFormat')))
    _NPRACHConfiguration_TDD_anchorCarrier_NPRACHConfigTDD = OCT_STR(name='anchorCarrier-NPRACHConfigTDD', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NPRACHConfiguration_TDD_non_anchorCarrierFequencyConfiglist = SEQ_OF(name='non-anchorCarrierFequencyConfiglist', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Non-AnchorCarrierFrequencylist')), opt=True)
    _NPRACHConfiguration_TDD_non_anchorCarrier_NPRACHConfigTDD = OCT_STR(name='non-anchorCarrier-NPRACHConfigTDD', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NPRACHConfiguration_TDD_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NPRACHConfiguration_TDD_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NPRACHConfiguration_TDD_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_TDD_iE_Extensions__item__id._const_tab = ____NPRACHConfiguration_TDD_iE_Extensions__item__id_tab
    ___NPRACHConfiguration_TDD_iE_Extensions__item__id._const_tab_at = None
    ___NPRACHConfiguration_TDD_iE_Extensions__item__id._const_tab_id = 'id'
    ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality._const_tab = ____NPRACHConfiguration_TDD_iE_Extensions__item__criticality_tab
    ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue._const_tab = ____NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue_tab
    ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NPRACHConfiguration_TDD_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NPRACHConfiguration_TDD_iE_Extensions__item__id),
        ('criticality', ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality),
        ('extensionValue', ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue),
        ])
    __NPRACHConfiguration_TDD_iE_Extensions__item_._ext = None
    _NPRACHConfiguration_TDD_iE_Extensions._cont = __NPRACHConfiguration_TDD_iE_Extensions__item_
    _NPRACHConfiguration_TDD_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NPRACHConfiguration_TDD._cont = ASN1Dict([
        ('nprach-preambleFormat', _NPRACHConfiguration_TDD_nprach_preambleFormat),
        ('anchorCarrier-NPRACHConfigTDD', _NPRACHConfiguration_TDD_anchorCarrier_NPRACHConfigTDD),
        ('non-anchorCarrierFequencyConfiglist', _NPRACHConfiguration_TDD_non_anchorCarrierFequencyConfiglist),
        ('non-anchorCarrier-NPRACHConfigTDD', _NPRACHConfiguration_TDD_non_anchorCarrier_NPRACHConfigTDD),
        ('iE-Extensions', _NPRACHConfiguration_TDD_iE_Extensions),
        ])
    NPRACHConfiguration_TDD._ext = []
    
    #-----< NPRACHConfiguration-TDD-ExtIEs >-----#
    NPRACHConfiguration_TDD_ExtIEs = CLASS(name='NPRACHConfiguration-TDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NPRACHConfiguration_TDD_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NPRACH-CP-Length >-----#
    NPRACH_CP_Length = ENUM(name='NPRACH-CP-Length', mode=MODE_TYPE)
    NPRACH_CP_Length._cont = ASN1Dict([('us66dot7', 0), ('us266dot7', 1)])
    NPRACH_CP_Length._ext = []
    
    #-----< NPRACH-preambleFormat >-----#
    NPRACH_preambleFormat = ENUM(name='NPRACH-preambleFormat', mode=MODE_TYPE)
    NPRACH_preambleFormat._cont = ASN1Dict([('fmt0', 0), ('fmt1', 1), ('fmt2', 2), ('fmt0a', 3), ('fmt1a', 4)])
    NPRACH_preambleFormat._ext = []
    
    #-----< Non-AnchorCarrierFrequencylist >-----#
    Non_AnchorCarrierFrequencylist = SEQ_OF(name='Non-AnchorCarrierFrequencylist', mode=MODE_TYPE)
    _Non_AnchorCarrierFrequencylist__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __Non_AnchorCarrierFrequencylist__item__non_anchorCarrierFrquency = OCT_STR(name='non-anchorCarrierFrquency', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __Non_AnchorCarrierFrequencylist__item__iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___Non_AnchorCarrierFrequencylist__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id._const_tab = _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id_tab
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id._const_tab_at = None
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id._const_tab_id = 'id'
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality._const_tab = _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality_tab
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue._const_tab = _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue_tab
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    ___Non_AnchorCarrierFrequencylist__item__iE_Extensions__item_._cont = ASN1Dict([
        ('id', ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id),
        ('criticality', ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality),
        ('extensionValue', ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue),
        ])
    ___Non_AnchorCarrierFrequencylist__item__iE_Extensions__item_._ext = None
    __Non_AnchorCarrierFrequencylist__item__iE_Extensions._cont = ___Non_AnchorCarrierFrequencylist__item__iE_Extensions__item_
    __Non_AnchorCarrierFrequencylist__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _Non_AnchorCarrierFrequencylist__item_._cont = ASN1Dict([
        ('non-anchorCarrierFrquency', __Non_AnchorCarrierFrequencylist__item__non_anchorCarrierFrquency),
        ('iE-Extensions', __Non_AnchorCarrierFrequencylist__item__iE_Extensions),
        ])
    _Non_AnchorCarrierFrequencylist__item_._ext = []
    Non_AnchorCarrierFrequencylist._cont = _Non_AnchorCarrierFrequencylist__item_
    Non_AnchorCarrierFrequencylist._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=None, er=[])
    
    #-----< Non-AnchorCarrierFrequencylist-ExtIEs >-----#
    Non_AnchorCarrierFrequencylist_ExtIEs = CLASS(name='Non-AnchorCarrierFrequencylist-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Non_AnchorCarrierFrequencylist_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NR-Cell-Identity >-----#
    NR_Cell_Identity = BIT_STR(name='NR-Cell-Identity', mode=MODE_TYPE)
    NR_Cell_Identity._const_sz = ASN1Set(rv=[36], rr=[], ev=None, er=[])
    
    #-----< NG-RAN-Cell-Identity-ListinRANPagingArea >-----#
    NG_RAN_Cell_Identity_ListinRANPagingArea = SEQ_OF(name='NG-RAN-Cell-Identity-ListinRANPagingArea', mode=MODE_TYPE)
    _NG_RAN_Cell_Identity_ListinRANPagingArea__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    NG_RAN_Cell_Identity_ListinRANPagingArea._cont = _NG_RAN_Cell_Identity_ListinRANPagingArea__item_
    NG_RAN_Cell_Identity_ListinRANPagingArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< NR-CGI >-----#
    NR_CGI = SEQ(name='NR-CGI', mode=MODE_TYPE)
    _NR_CGI_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _NR_CGI_nr_CI = BIT_STR(name='nr-CI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _NR_CGI_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_CGI_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NR_CGI_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NR_CGI_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__id._const_tab = ____NR_CGI_iE_Extension__item__id_tab
    ___NR_CGI_iE_Extension__item__id._const_tab_at = None
    ___NR_CGI_iE_Extension__item__id._const_tab_id = 'id'
    ___NR_CGI_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NR_CGI_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__criticality._const_tab = ____NR_CGI_iE_Extension__item__criticality_tab
    ___NR_CGI_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NR_CGI_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NR_CGI_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NR_CGI_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab = ____NR_CGI_iE_Extension__item__extensionValue_tab
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NR_CGI_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NR_CGI_iE_Extension__item__id),
        ('criticality', ___NR_CGI_iE_Extension__item__criticality),
        ('extensionValue', ___NR_CGI_iE_Extension__item__extensionValue),
        ])
    __NR_CGI_iE_Extension__item_._ext = None
    _NR_CGI_iE_Extension._cont = __NR_CGI_iE_Extension__item_
    _NR_CGI_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_CGI._cont = ASN1Dict([
        ('plmn-id', _NR_CGI_plmn_id),
        ('nr-CI', _NR_CGI_nr_CI),
        ('iE-Extension', _NR_CGI_iE_Extension),
        ])
    NR_CGI._ext = []
    
    #-----< NR-CGI-ExtIEs >-----#
    NR_CGI_ExtIEs = CLASS(name='NR-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NR_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRCyclicPrefix >-----#
    NRCyclicPrefix = ENUM(name='NRCyclicPrefix', mode=MODE_TYPE)
    NRCyclicPrefix._cont = ASN1Dict([('normal', 0), ('extended', 1)])
    NRCyclicPrefix._ext = []
    
    #-----< NRDL-ULTransmissionPeriodicity >-----#
    NRDL_ULTransmissionPeriodicity = ENUM(name='NRDL-ULTransmissionPeriodicity', mode=MODE_TYPE)
    NRDL_ULTransmissionPeriodicity._cont = ASN1Dict([('ms0p5', 0), ('ms0p625', 1), ('ms1', 2), ('ms1p25', 3), ('ms2', 4), ('ms2p5', 5), ('ms3', 6), ('ms4', 7), ('ms5', 8), ('ms10', 9), ('ms20', 10), ('ms40', 11), ('ms60', 12), ('ms80', 13), ('ms100', 14), ('ms120', 15), ('ms140', 16), ('ms160', 17)])
    NRDL_ULTransmissionPeriodicity._ext = []
    
    #-----< NRFrequencyBand >-----#
    NRFrequencyBand = INT(name='NRFrequencyBand', mode=MODE_TYPE)
    NRFrequencyBand._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=[], er=[])
    
    #-----< NRFrequencyBand-List >-----#
    NRFrequencyBand_List = SEQ_OF(name='NRFrequencyBand-List', mode=MODE_TYPE)
    _NRFrequencyBand_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBandItem')))
    NRFrequencyBand_List._cont = _NRFrequencyBand_List__item_
    NRFrequencyBand_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< NRFrequencyBandItem >-----#
    NRFrequencyBandItem = SEQ(name='NRFrequencyBandItem', mode=MODE_TYPE)
    _NRFrequencyBandItem_nr_frequency_band = INT(name='nr-frequency-band', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBand')))
    _NRFrequencyBandItem_supported_SUL_Band_List = SEQ_OF(name='supported-SUL-Band-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SupportedSULBandList')), opt=True)
    _NRFrequencyBandItem_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRFrequencyBandItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRFrequencyBandItem_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRFrequencyBandItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab = ____NRFrequencyBandItem_iE_Extension__item__id_tab
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab_at = None
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab_id = 'id'
    ___NRFrequencyBandItem_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NRFrequencyBandItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab = ____NRFrequencyBandItem_iE_Extension__item__criticality_tab
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab = ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NRFrequencyBandItem_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NRFrequencyBandItem_iE_Extension__item__id),
        ('criticality', ___NRFrequencyBandItem_iE_Extension__item__criticality),
        ('extensionValue', ___NRFrequencyBandItem_iE_Extension__item__extensionValue),
        ])
    __NRFrequencyBandItem_iE_Extension__item_._ext = None
    _NRFrequencyBandItem_iE_Extension._cont = __NRFrequencyBandItem_iE_Extension__item_
    _NRFrequencyBandItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRFrequencyBandItem._cont = ASN1Dict([
        ('nr-frequency-band', _NRFrequencyBandItem_nr_frequency_band),
        ('supported-SUL-Band-List', _NRFrequencyBandItem_supported_SUL_Band_List),
        ('iE-Extension', _NRFrequencyBandItem_iE_Extension),
        ])
    NRFrequencyBandItem._ext = []
    
    #-----< NRFrequencyBandItem-ExtIEs >-----#
    NRFrequencyBandItem_ExtIEs = CLASS(name='NRFrequencyBandItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRFrequencyBandItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRFrequencyInfo >-----#
    NRFrequencyInfo = SEQ(name='NRFrequencyInfo', mode=MODE_TYPE)
    _NRFrequencyInfo_nrARFCN = INT(name='nrARFCN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRARFCN')))
    _NRFrequencyInfo_sul_information = SEQ(name='sul-information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SUL-Information')), opt=True)
    _NRFrequencyInfo_frequencyBand_List = SEQ_OF(name='frequencyBand-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBand-List')))
    _NRFrequencyInfo_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRFrequencyInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRFrequencyInfo_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRFrequencyInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____NRFrequencyInfo_iE_Extension__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FrequencyShift7p5khz')))
    ____NRFrequencyInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 202), ('criticality', 'ignore'), ('Extension', _____NRFrequencyInfo_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab = ____NRFrequencyInfo_iE_Extension__item__id_tab
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab_at = None
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab_id = 'id'
    ___NRFrequencyInfo_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab = ____NRFrequencyInfo_iE_Extension__item__id_tab
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NRFrequencyInfo_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab = ____NRFrequencyInfo_iE_Extension__item__id_tab
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NRFrequencyInfo_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NRFrequencyInfo_iE_Extension__item__id),
        ('criticality', ___NRFrequencyInfo_iE_Extension__item__criticality),
        ('extensionValue', ___NRFrequencyInfo_iE_Extension__item__extensionValue),
        ])
    __NRFrequencyInfo_iE_Extension__item_._ext = None
    _NRFrequencyInfo_iE_Extension._cont = __NRFrequencyInfo_iE_Extension__item_
    _NRFrequencyInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRFrequencyInfo._cont = ASN1Dict([
        ('nrARFCN', _NRFrequencyInfo_nrARFCN),
        ('sul-information', _NRFrequencyInfo_sul_information),
        ('frequencyBand-List', _NRFrequencyInfo_frequencyBand_List),
        ('iE-Extension', _NRFrequencyInfo_iE_Extension),
        ])
    NRFrequencyInfo._ext = []
    
    #-----< NRFrequencyInfo-ExtIEs >-----#
    NRFrequencyInfo_ExtIEs = CLASS(name='NRFrequencyInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _NRFrequencyInfo_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FrequencyShift7p5khz')))
    NRFrequencyInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 202), ('criticality', 'ignore'), ('Extension', _NRFrequencyInfo_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NRMobilityHistoryReport >-----#
    NRMobilityHistoryReport = OCT_STR(name='NRMobilityHistoryReport', mode=MODE_TYPE)
    
    #-----< NRModeInfo >-----#
    NRModeInfo = CHOICE(name='NRModeInfo', mode=MODE_TYPE)
    _NRModeInfo_fdd = SEQ(name='fdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfoFDD')))
    _NRModeInfo_tdd = SEQ(name='tdd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfoTDD')))
    _NRModeInfo_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NRModeInfo_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___NRModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_id._const_tab = ___NRModeInfo_choice_extension_id_tab
    __NRModeInfo_choice_extension_id._const_tab_at = None
    __NRModeInfo_choice_extension_id._const_tab_id = 'id'
    __NRModeInfo_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NRModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_criticality._const_tab = ___NRModeInfo_choice_extension_criticality_tab
    __NRModeInfo_choice_extension_criticality._const_tab_at = ('..', 'id')
    __NRModeInfo_choice_extension_criticality._const_tab_id = 'criticality'
    __NRModeInfo_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NRModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_value._const_tab = ___NRModeInfo_choice_extension_value_tab
    __NRModeInfo_choice_extension_value._const_tab_at = ('..', 'id')
    __NRModeInfo_choice_extension_value._const_tab_id = 'Value'
    _NRModeInfo_choice_extension._cont = ASN1Dict([
        ('id', __NRModeInfo_choice_extension_id),
        ('criticality', __NRModeInfo_choice_extension_criticality),
        ('value', __NRModeInfo_choice_extension_value),
        ])
    _NRModeInfo_choice_extension._ext = None
    NRModeInfo._cont = ASN1Dict([
        ('fdd', _NRModeInfo_fdd),
        ('tdd', _NRModeInfo_tdd),
        ('choice-extension', _NRModeInfo_choice_extension),
        ])
    NRModeInfo._ext = None
    
    #-----< NRModeInfo-ExtIEs >-----#
    NRModeInfo_ExtIEs = CLASS(name='NRModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NRModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRModeInfoFDD >-----#
    NRModeInfoFDD = SEQ(name='NRModeInfoFDD', mode=MODE_TYPE)
    _NRModeInfoFDD_ulNRFrequencyInfo = SEQ(name='ulNRFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoFDD_dlNRFrequencyInfo = SEQ(name='dlNRFrequencyInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoFDD_ulNRTransmissonBandwidth = SEQ(name='ulNRTransmissonBandwidth', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoFDD_dlNRTransmissonBandwidth = SEQ(name='dlNRTransmissonBandwidth', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoFDD_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRModeInfoFDD_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRModeInfoFDD_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRModeInfoFDD_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    ____NRModeInfoFDD_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 201), ('criticality', 'ignore'), ('Extension', _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 230), ('criticality', 'ignore'), ('Extension', _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab = ____NRModeInfoFDD_iE_Extension__item__id_tab
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab_at = None
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab_id = 'id'
    ___NRModeInfoFDD_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab = ____NRModeInfoFDD_iE_Extension__item__id_tab
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NRModeInfoFDD_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab = ____NRModeInfoFDD_iE_Extension__item__id_tab
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NRModeInfoFDD_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NRModeInfoFDD_iE_Extension__item__id),
        ('criticality', ___NRModeInfoFDD_iE_Extension__item__criticality),
        ('extensionValue', ___NRModeInfoFDD_iE_Extension__item__extensionValue),
        ])
    __NRModeInfoFDD_iE_Extension__item_._ext = None
    _NRModeInfoFDD_iE_Extension._cont = __NRModeInfoFDD_iE_Extension__item_
    _NRModeInfoFDD_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRModeInfoFDD._cont = ASN1Dict([
        ('ulNRFrequencyInfo', _NRModeInfoFDD_ulNRFrequencyInfo),
        ('dlNRFrequencyInfo', _NRModeInfoFDD_dlNRFrequencyInfo),
        ('ulNRTransmissonBandwidth', _NRModeInfoFDD_ulNRTransmissonBandwidth),
        ('dlNRTransmissonBandwidth', _NRModeInfoFDD_dlNRTransmissonBandwidth),
        ('iE-Extension', _NRModeInfoFDD_iE_Extension),
        ])
    NRModeInfoFDD._ext = []
    
    #-----< NRModeInfoFDD-ExtIEs >-----#
    NRModeInfoFDD_ExtIEs = CLASS(name='NRModeInfoFDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _NRModeInfoFDD_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    _NRModeInfoFDD_ExtIEs_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    NRModeInfoFDD_ExtIEs._val = ASN1Set(rv=[dict([('id', 201), ('criticality', 'ignore'), ('Extension', _NRModeInfoFDD_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 230), ('criticality', 'ignore'), ('Extension', _NRModeInfoFDD_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NRModeInfoTDD >-----#
    NRModeInfoTDD = SEQ(name='NRModeInfoTDD', mode=MODE_TYPE)
    _NRModeInfoTDD_nrFrequencyInfo = SEQ(name='nrFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoTDD_nrTransmissonBandwidth = SEQ(name='nrTransmissonBandwidth', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoTDD_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRModeInfoTDD_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRModeInfoTDD_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRModeInfoTDD_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'IntendedTDD-DL-ULConfiguration-NR')))
    _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TDDULDLConfigurationCommonNR')))
    _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    ____NRModeInfoTDD_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 140), ('criticality', 'ignore'), ('Extension', _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 199), ('criticality', 'ignore'), ('Extension', _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 200), ('criticality', 'ignore'), ('Extension', _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab = ____NRModeInfoTDD_iE_Extension__item__id_tab
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab_at = None
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab_id = 'id'
    ___NRModeInfoTDD_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab = ____NRModeInfoTDD_iE_Extension__item__id_tab
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___NRModeInfoTDD_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab = ____NRModeInfoTDD_iE_Extension__item__id_tab
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __NRModeInfoTDD_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___NRModeInfoTDD_iE_Extension__item__id),
        ('criticality', ___NRModeInfoTDD_iE_Extension__item__criticality),
        ('extensionValue', ___NRModeInfoTDD_iE_Extension__item__extensionValue),
        ])
    __NRModeInfoTDD_iE_Extension__item_._ext = None
    _NRModeInfoTDD_iE_Extension._cont = __NRModeInfoTDD_iE_Extension__item_
    _NRModeInfoTDD_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRModeInfoTDD._cont = ASN1Dict([
        ('nrFrequencyInfo', _NRModeInfoTDD_nrFrequencyInfo),
        ('nrTransmissonBandwidth', _NRModeInfoTDD_nrTransmissonBandwidth),
        ('iE-Extension', _NRModeInfoTDD_iE_Extension),
        ])
    NRModeInfoTDD._ext = []
    
    #-----< NRModeInfoTDD-ExtIEs >-----#
    NRModeInfoTDD_ExtIEs = CLASS(name='NRModeInfoTDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _NRModeInfoTDD_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'IntendedTDD-DL-ULConfiguration-NR')))
    _NRModeInfoTDD_ExtIEs_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TDDULDLConfigurationCommonNR')))
    _NRModeInfoTDD_ExtIEs_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    NRModeInfoTDD_ExtIEs._val = ASN1Set(rv=[dict([('id', 140), ('criticality', 'ignore'), ('Extension', _NRModeInfoTDD_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 199), ('criticality', 'ignore'), ('Extension', _NRModeInfoTDD_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 200), ('criticality', 'ignore'), ('Extension', _NRModeInfoTDD_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NRNRB >-----#
    NRNRB = ENUM(name='NRNRB', mode=MODE_TYPE)
    NRNRB._cont = ASN1Dict([('nrb11', 0), ('nrb18', 1), ('nrb24', 2), ('nrb25', 3), ('nrb31', 4), ('nrb32', 5), ('nrb38', 6), ('nrb51', 7), ('nrb52', 8), ('nrb65', 9), ('nrb66', 10), ('nrb78', 11), ('nrb79', 12), ('nrb93', 13), ('nrb106', 14), ('nrb107', 15), ('nrb121', 16), ('nrb132', 17), ('nrb133', 18), ('nrb135', 19), ('nrb160', 20), ('nrb162', 21), ('nrb189', 22), ('nrb216', 23), ('nrb217', 24), ('nrb245', 25), ('nrb264', 26), ('nrb270', 27), ('nrb273', 28)])
    NRNRB._ext = []
    
    #-----< NRPCI >-----#
    NRPCI = INT(name='NRPCI', mode=MODE_TYPE)
    NRPCI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1007)], ev=[], er=[])
    
    #-----< NRSCS >-----#
    NRSCS = ENUM(name='NRSCS', mode=MODE_TYPE)
    NRSCS._cont = ASN1Dict([('scs15', 0), ('scs30', 1), ('scs60', 2), ('scs120', 3)])
    NRSCS._ext = []
    
    #-----< NRTransmissionBandwidth >-----#
    NRTransmissionBandwidth = SEQ(name='NRTransmissionBandwidth', mode=MODE_TYPE)
    _NRTransmissionBandwidth_nRSCS = ENUM(name='nRSCS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRSCS')))
    _NRTransmissionBandwidth_nRNRB = ENUM(name='nRNRB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRNRB')))
    _NRTransmissionBandwidth_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRTransmissionBandwidth_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRTransmissionBandwidth_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRTransmissionBandwidth_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__id_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab_at = None
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab_id = 'id'
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NRTransmissionBandwidth_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NRTransmissionBandwidth_iE_Extensions__item__id),
        ('criticality', ___NRTransmissionBandwidth_iE_Extensions__item__criticality),
        ('extensionValue', ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue),
        ])
    __NRTransmissionBandwidth_iE_Extensions__item_._ext = None
    _NRTransmissionBandwidth_iE_Extensions._cont = __NRTransmissionBandwidth_iE_Extensions__item_
    _NRTransmissionBandwidth_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRTransmissionBandwidth._cont = ASN1Dict([
        ('nRSCS', _NRTransmissionBandwidth_nRSCS),
        ('nRNRB', _NRTransmissionBandwidth_nRNRB),
        ('iE-Extensions', _NRTransmissionBandwidth_iE_Extensions),
        ])
    NRTransmissionBandwidth._ext = []
    
    #-----< NRTransmissionBandwidth-ExtIEs >-----#
    NRTransmissionBandwidth_ExtIEs = CLASS(name='NRTransmissionBandwidth-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRTransmissionBandwidth_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NumberOfAntennaPorts-E-UTRA >-----#
    NumberOfAntennaPorts_E_UTRA = ENUM(name='NumberOfAntennaPorts-E-UTRA', mode=MODE_TYPE)
    NumberOfAntennaPorts_E_UTRA._cont = ASN1Dict([('an1', 0), ('an2', 1), ('an4', 2)])
    NumberOfAntennaPorts_E_UTRA._ext = []
    
    #-----< NG-RANTraceID >-----#
    NG_RANTraceID = OCT_STR(name='NG-RANTraceID', mode=MODE_TYPE)
    NG_RANTraceID._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    
    #-----< NonGBRResources-Offered >-----#
    NonGBRResources_Offered = ENUM(name='NonGBRResources-Offered', mode=MODE_TYPE)
    NonGBRResources_Offered._cont = ASN1Dict([('true', 0)])
    NonGBRResources_Offered._ext = []
    
    #-----< NRV2XServicesAuthorized >-----#
    NRV2XServicesAuthorized = SEQ(name='NRV2XServicesAuthorized', mode=MODE_TYPE)
    _NRV2XServicesAuthorized_vehicleUE = ENUM(name='vehicleUE', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VehicleUE')), opt=True)
    _NRV2XServicesAuthorized_pedestrianUE = ENUM(name='pedestrianUE', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PedestrianUE')), opt=True)
    _NRV2XServicesAuthorized_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRV2XServicesAuthorized_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRV2XServicesAuthorized_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRV2XServicesAuthorized_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRV2XServicesAuthorized_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRV2XServicesAuthorized_iE_Extensions__item__id._const_tab = ____NRV2XServicesAuthorized_iE_Extensions__item__id_tab
    ___NRV2XServicesAuthorized_iE_Extensions__item__id._const_tab_at = None
    ___NRV2XServicesAuthorized_iE_Extensions__item__id._const_tab_id = 'id'
    ___NRV2XServicesAuthorized_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NRV2XServicesAuthorized_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRV2XServicesAuthorized_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab = ____NRV2XServicesAuthorized_iE_Extensions__item__criticality_tab
    ___NRV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NRV2XServicesAuthorized_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NRV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab = ____NRV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab
    ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NRV2XServicesAuthorized_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NRV2XServicesAuthorized_iE_Extensions__item__id),
        ('criticality', ___NRV2XServicesAuthorized_iE_Extensions__item__criticality),
        ('extensionValue', ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue),
        ])
    __NRV2XServicesAuthorized_iE_Extensions__item_._ext = None
    _NRV2XServicesAuthorized_iE_Extensions._cont = __NRV2XServicesAuthorized_iE_Extensions__item_
    _NRV2XServicesAuthorized_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRV2XServicesAuthorized._cont = ASN1Dict([
        ('vehicleUE', _NRV2XServicesAuthorized_vehicleUE),
        ('pedestrianUE', _NRV2XServicesAuthorized_pedestrianUE),
        ('iE-Extensions', _NRV2XServicesAuthorized_iE_Extensions),
        ])
    NRV2XServicesAuthorized._ext = []
    
    #-----< NRV2XServicesAuthorized-ExtIEs >-----#
    NRV2XServicesAuthorized_ExtIEs = CLASS(name='NRV2XServicesAuthorized-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRV2XServicesAuthorized_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRUESidelinkAggregateMaximumBitRate >-----#
    NRUESidelinkAggregateMaximumBitRate = SEQ(name='NRUESidelinkAggregateMaximumBitRate', mode=MODE_TYPE)
    _NRUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate = INT(name='uESidelinkAggregateMaximumBitRate', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _NRUESidelinkAggregateMaximumBitRate_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab = ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_at = None
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_id = 'id'
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab = ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab = ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id),
        ('criticality', ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality),
        ('extensionValue', ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue),
        ])
    __NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item_._ext = None
    _NRUESidelinkAggregateMaximumBitRate_iE_Extensions._cont = __NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item_
    _NRUESidelinkAggregateMaximumBitRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRUESidelinkAggregateMaximumBitRate._cont = ASN1Dict([
        ('uESidelinkAggregateMaximumBitRate', _NRUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate),
        ('iE-Extensions', _NRUESidelinkAggregateMaximumBitRate_iE_Extensions),
        ])
    NRUESidelinkAggregateMaximumBitRate._ext = []
    
    #-----< NRUESidelinkAggregateMaximumBitRate-ExtIEs >-----#
    NRUESidelinkAggregateMaximumBitRate_ExtIEs = CLASS(name='NRUESidelinkAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRUESidelinkAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< OfferedCapacity >-----#
    OfferedCapacity = INT(name='OfferedCapacity', mode=MODE_TYPE)
    OfferedCapacity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16777216)], ev=[], er=[])
    
    #-----< OffsetOfNbiotChannelNumberToEARFCN >-----#
    OffsetOfNbiotChannelNumberToEARFCN = ENUM(name='OffsetOfNbiotChannelNumberToEARFCN', mode=MODE_TYPE)
    OffsetOfNbiotChannelNumberToEARFCN._cont = ASN1Dict([('minusTen', 0), ('minusNine', 1), ('minusEightDotFive', 2), ('minusEight', 3), ('minusSeven', 4), ('minusSix', 5), ('minusFive', 6), ('minusFourDotFive', 7), ('minusFour', 8), ('minusThree', 9), ('minusTwo', 10), ('minusOne', 11), ('minusZeroDotFive', 12), ('zero', 13), ('one', 14), ('two', 15), ('three', 16), ('threeDotFive', 17), ('four', 18), ('five', 19), ('six', 20), ('seven', 21), ('sevenDotFive', 22), ('eight', 23), ('nine', 24)])
    OffsetOfNbiotChannelNumberToEARFCN._ext = []
    
    #-----< PacketDelayBudget >-----#
    PacketDelayBudget = INT(name='PacketDelayBudget', mode=MODE_TYPE)
    PacketDelayBudget._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=[], er=[])
    
    #-----< PacketErrorRate >-----#
    PacketErrorRate = SEQ(name='PacketErrorRate', mode=MODE_TYPE)
    _PacketErrorRate_pER_Scalar = INT(name='pER-Scalar', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PER-Scalar')))
    _PacketErrorRate_pER_Exponent = INT(name='pER-Exponent', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PER-Exponent')))
    _PacketErrorRate_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PacketErrorRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PacketErrorRate_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PacketErrorRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__id._const_tab = ____PacketErrorRate_iE_Extensions__item__id_tab
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_at = None
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_id = 'id'
    ___PacketErrorRate_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab = ____PacketErrorRate_iE_Extensions__item__criticality_tab
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PacketErrorRate_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab = ____PacketErrorRate_iE_Extensions__item__extensionValue_tab
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PacketErrorRate_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PacketErrorRate_iE_Extensions__item__id),
        ('criticality', ___PacketErrorRate_iE_Extensions__item__criticality),
        ('extensionValue', ___PacketErrorRate_iE_Extensions__item__extensionValue),
        ])
    __PacketErrorRate_iE_Extensions__item_._ext = None
    _PacketErrorRate_iE_Extensions._cont = __PacketErrorRate_iE_Extensions__item_
    _PacketErrorRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PacketErrorRate._cont = ASN1Dict([
        ('pER-Scalar', _PacketErrorRate_pER_Scalar),
        ('pER-Exponent', _PacketErrorRate_pER_Exponent),
        ('iE-Extensions', _PacketErrorRate_iE_Extensions),
        ])
    PacketErrorRate._ext = []
    
    #-----< PacketErrorRate-ExtIEs >-----#
    PacketErrorRate_ExtIEs = CLASS(name='PacketErrorRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PacketErrorRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PedestrianUE >-----#
    PedestrianUE = ENUM(name='PedestrianUE', mode=MODE_TYPE)
    PedestrianUE._cont = ASN1Dict([('authorized', 0), ('not-authorized', 1)])
    PedestrianUE._ext = []
    
    #-----< PER-Scalar >-----#
    PER_Scalar = INT(name='PER-Scalar', mode=MODE_TYPE)
    PER_Scalar._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PER-Exponent >-----#
    PER_Exponent = INT(name='PER-Exponent', mode=MODE_TYPE)
    PER_Exponent._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PacketLossRate >-----#
    PacketLossRate = INT(name='PacketLossRate', mode=MODE_TYPE)
    PacketLossRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1000)], ev=[], er=[])
    
    #-----< PagingDRX >-----#
    PagingDRX = ENUM(name='PagingDRX', mode=MODE_TYPE)
    PagingDRX._cont = ASN1Dict([('v32', 0), ('v64', 1), ('v128', 2), ('v256', 3), ('v512', 4), ('v1024', 5)])
    PagingDRX._ext = ['v512', 'v1024']
    
    #-----< PagingeDRXInformation >-----#
    PagingeDRXInformation = SEQ(name='PagingeDRXInformation', mode=MODE_TYPE)
    _PagingeDRXInformation_paging_eDRX_Cycle = ENUM(name='paging-eDRX-Cycle', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Paging-eDRX-Cycle')))
    _PagingeDRXInformation_paging_Time_Window = ENUM(name='paging-Time-Window', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Paging-Time-Window')), opt=True)
    _PagingeDRXInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PagingeDRXInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PagingeDRXInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PagingeDRXInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PagingeDRXInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PagingeDRXInformation_iE_Extensions__item__id._const_tab = ____PagingeDRXInformation_iE_Extensions__item__id_tab
    ___PagingeDRXInformation_iE_Extensions__item__id._const_tab_at = None
    ___PagingeDRXInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___PagingeDRXInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PagingeDRXInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PagingeDRXInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PagingeDRXInformation_iE_Extensions__item__criticality._const_tab = ____PagingeDRXInformation_iE_Extensions__item__criticality_tab
    ___PagingeDRXInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PagingeDRXInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PagingeDRXInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PagingeDRXInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PagingeDRXInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PagingeDRXInformation_iE_Extensions__item__extensionValue._const_tab = ____PagingeDRXInformation_iE_Extensions__item__extensionValue_tab
    ___PagingeDRXInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PagingeDRXInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PagingeDRXInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PagingeDRXInformation_iE_Extensions__item__id),
        ('criticality', ___PagingeDRXInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___PagingeDRXInformation_iE_Extensions__item__extensionValue),
        ])
    __PagingeDRXInformation_iE_Extensions__item_._ext = None
    _PagingeDRXInformation_iE_Extensions._cont = __PagingeDRXInformation_iE_Extensions__item_
    _PagingeDRXInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PagingeDRXInformation._cont = ASN1Dict([
        ('paging-eDRX-Cycle', _PagingeDRXInformation_paging_eDRX_Cycle),
        ('paging-Time-Window', _PagingeDRXInformation_paging_Time_Window),
        ('iE-Extensions', _PagingeDRXInformation_iE_Extensions),
        ])
    PagingeDRXInformation._ext = []
    
    #-----< PagingeDRXInformation-ExtIEs >-----#
    PagingeDRXInformation_ExtIEs = CLASS(name='PagingeDRXInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PagingeDRXInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Paging-eDRX-Cycle >-----#
    Paging_eDRX_Cycle = ENUM(name='Paging-eDRX-Cycle', mode=MODE_TYPE)
    Paging_eDRX_Cycle._cont = ASN1Dict([('hfhalf', 0), ('hf1', 1), ('hf2', 2), ('hf4', 3), ('hf6', 4), ('hf8', 5), ('hf10', 6), ('hf12', 7), ('hf14', 8), ('hf16', 9), ('hf32', 10), ('hf64', 11), ('hf128', 12), ('hf256', 13)])
    Paging_eDRX_Cycle._ext = []
    
    #-----< Paging-Time-Window >-----#
    Paging_Time_Window = ENUM(name='Paging-Time-Window', mode=MODE_TYPE)
    Paging_Time_Window._cont = ASN1Dict([('s1', 0), ('s2', 1), ('s3', 2), ('s4', 3), ('s5', 4), ('s6', 5), ('s7', 6), ('s8', 7), ('s9', 8), ('s10', 9), ('s11', 10), ('s12', 11), ('s13', 12), ('s14', 13), ('s15', 14), ('s16', 15)])
    Paging_Time_Window._ext = []
    
    #-----< PagingPriority >-----#
    PagingPriority = ENUM(name='PagingPriority', mode=MODE_TYPE)
    PagingPriority._cont = ASN1Dict([('priolevel1', 0), ('priolevel2', 1), ('priolevel3', 2), ('priolevel4', 3), ('priolevel5', 4), ('priolevel6', 5), ('priolevel7', 6), ('priolevel8', 7)])
    PagingPriority._ext = []
    
    #-----< PartialListIndicator >-----#
    PartialListIndicator = ENUM(name='PartialListIndicator', mode=MODE_TYPE)
    PartialListIndicator._cont = ASN1Dict([('partial', 0)])
    PartialListIndicator._ext = []
    
    #-----< PC5QoSParameters >-----#
    PC5QoSParameters = SEQ(name='PC5QoSParameters', mode=MODE_TYPE)
    _PC5QoSParameters_pc5QoSFlowList = SEQ_OF(name='pc5QoSFlowList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSFlowList')))
    _PC5QoSParameters_pc5LinkAggregateBitRates = INT(name='pc5LinkAggregateBitRates', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')), opt=True)
    _PC5QoSParameters_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PC5QoSParameters_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PC5QoSParameters_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PC5QoSParameters_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSParameters_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSParameters_iE_Extensions__item__id._const_tab = ____PC5QoSParameters_iE_Extensions__item__id_tab
    ___PC5QoSParameters_iE_Extensions__item__id._const_tab_at = None
    ___PC5QoSParameters_iE_Extensions__item__id._const_tab_id = 'id'
    ___PC5QoSParameters_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PC5QoSParameters_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSParameters_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSParameters_iE_Extensions__item__criticality._const_tab = ____PC5QoSParameters_iE_Extensions__item__criticality_tab
    ___PC5QoSParameters_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PC5QoSParameters_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PC5QoSParameters_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PC5QoSParameters_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSParameters_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSParameters_iE_Extensions__item__extensionValue._const_tab = ____PC5QoSParameters_iE_Extensions__item__extensionValue_tab
    ___PC5QoSParameters_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PC5QoSParameters_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PC5QoSParameters_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PC5QoSParameters_iE_Extensions__item__id),
        ('criticality', ___PC5QoSParameters_iE_Extensions__item__criticality),
        ('extensionValue', ___PC5QoSParameters_iE_Extensions__item__extensionValue),
        ])
    __PC5QoSParameters_iE_Extensions__item_._ext = None
    _PC5QoSParameters_iE_Extensions._cont = __PC5QoSParameters_iE_Extensions__item_
    _PC5QoSParameters_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PC5QoSParameters._cont = ASN1Dict([
        ('pc5QoSFlowList', _PC5QoSParameters_pc5QoSFlowList),
        ('pc5LinkAggregateBitRates', _PC5QoSParameters_pc5LinkAggregateBitRates),
        ('iE-Extensions', _PC5QoSParameters_iE_Extensions),
        ])
    PC5QoSParameters._ext = []
    
    #-----< PC5QoSParameters-ExtIEs >-----#
    PC5QoSParameters_ExtIEs = CLASS(name='PC5QoSParameters-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PC5QoSParameters_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PC5QoSFlowList >-----#
    PC5QoSFlowList = SEQ_OF(name='PC5QoSFlowList', mode=MODE_TYPE)
    _PC5QoSFlowList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSFlowItem')))
    PC5QoSFlowList._cont = _PC5QoSFlowList__item_
    PC5QoSFlowList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2064)], ev=None, er=[])
    
    #-----< PC5QoSFlowItem >-----#
    PC5QoSFlowItem = SEQ(name='PC5QoSFlowItem', mode=MODE_TYPE)
    _PC5QoSFlowItem_pQI = INT(name='pQI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'FiveQI')))
    _PC5QoSFlowItem_pc5FlowBitRates = SEQ(name='pc5FlowBitRates', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PC5FlowBitRates')), opt=True)
    _PC5QoSFlowItem_range = ENUM(name='range', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Range')), opt=True)
    _PC5QoSFlowItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PC5QoSFlowItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PC5QoSFlowItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PC5QoSFlowItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSFlowItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSFlowItem_iE_Extensions__item__id._const_tab = ____PC5QoSFlowItem_iE_Extensions__item__id_tab
    ___PC5QoSFlowItem_iE_Extensions__item__id._const_tab_at = None
    ___PC5QoSFlowItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___PC5QoSFlowItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PC5QoSFlowItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSFlowItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSFlowItem_iE_Extensions__item__criticality._const_tab = ____PC5QoSFlowItem_iE_Extensions__item__criticality_tab
    ___PC5QoSFlowItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PC5QoSFlowItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PC5QoSFlowItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PC5QoSFlowItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5QoSFlowItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5QoSFlowItem_iE_Extensions__item__extensionValue._const_tab = ____PC5QoSFlowItem_iE_Extensions__item__extensionValue_tab
    ___PC5QoSFlowItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PC5QoSFlowItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PC5QoSFlowItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PC5QoSFlowItem_iE_Extensions__item__id),
        ('criticality', ___PC5QoSFlowItem_iE_Extensions__item__criticality),
        ('extensionValue', ___PC5QoSFlowItem_iE_Extensions__item__extensionValue),
        ])
    __PC5QoSFlowItem_iE_Extensions__item_._ext = None
    _PC5QoSFlowItem_iE_Extensions._cont = __PC5QoSFlowItem_iE_Extensions__item_
    _PC5QoSFlowItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PC5QoSFlowItem._cont = ASN1Dict([
        ('pQI', _PC5QoSFlowItem_pQI),
        ('pc5FlowBitRates', _PC5QoSFlowItem_pc5FlowBitRates),
        ('range', _PC5QoSFlowItem_range),
        ('iE-Extensions', _PC5QoSFlowItem_iE_Extensions),
        ])
    PC5QoSFlowItem._ext = []
    
    #-----< PC5QoSFlowItem-ExtIEs >-----#
    PC5QoSFlowItem_ExtIEs = CLASS(name='PC5QoSFlowItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PC5QoSFlowItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PC5FlowBitRates >-----#
    PC5FlowBitRates = SEQ(name='PC5FlowBitRates', mode=MODE_TYPE)
    _PC5FlowBitRates_guaranteedFlowBitRate = INT(name='guaranteedFlowBitRate', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PC5FlowBitRates_maximumFlowBitRate = INT(name='maximumFlowBitRate', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PC5FlowBitRates_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PC5FlowBitRates_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PC5FlowBitRates_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PC5FlowBitRates_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5FlowBitRates_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5FlowBitRates_iE_Extensions__item__id._const_tab = ____PC5FlowBitRates_iE_Extensions__item__id_tab
    ___PC5FlowBitRates_iE_Extensions__item__id._const_tab_at = None
    ___PC5FlowBitRates_iE_Extensions__item__id._const_tab_id = 'id'
    ___PC5FlowBitRates_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PC5FlowBitRates_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5FlowBitRates_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5FlowBitRates_iE_Extensions__item__criticality._const_tab = ____PC5FlowBitRates_iE_Extensions__item__criticality_tab
    ___PC5FlowBitRates_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PC5FlowBitRates_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PC5FlowBitRates_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PC5FlowBitRates_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PC5FlowBitRates_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PC5FlowBitRates_iE_Extensions__item__extensionValue._const_tab = ____PC5FlowBitRates_iE_Extensions__item__extensionValue_tab
    ___PC5FlowBitRates_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PC5FlowBitRates_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PC5FlowBitRates_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PC5FlowBitRates_iE_Extensions__item__id),
        ('criticality', ___PC5FlowBitRates_iE_Extensions__item__criticality),
        ('extensionValue', ___PC5FlowBitRates_iE_Extensions__item__extensionValue),
        ])
    __PC5FlowBitRates_iE_Extensions__item_._ext = None
    _PC5FlowBitRates_iE_Extensions._cont = __PC5FlowBitRates_iE_Extensions__item_
    _PC5FlowBitRates_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PC5FlowBitRates._cont = ASN1Dict([
        ('guaranteedFlowBitRate', _PC5FlowBitRates_guaranteedFlowBitRate),
        ('maximumFlowBitRate', _PC5FlowBitRates_maximumFlowBitRate),
        ('iE-Extensions', _PC5FlowBitRates_iE_Extensions),
        ])
    PC5FlowBitRates._ext = []
    
    #-----< PC5FlowBitRates-ExtIEs >-----#
    PC5FlowBitRates_ExtIEs = CLASS(name='PC5FlowBitRates-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PC5FlowBitRates_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCPChangeIndication >-----#
    PDCPChangeIndication = CHOICE(name='PDCPChangeIndication', mode=MODE_TYPE)
    _PDCPChangeIndication_from_S_NG_RAN_node = ENUM(name='from-S-NG-RAN-node', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPChangeIndication_from_S_NG_RAN_node._cont = ASN1Dict([('s-ng-ran-node-key-update-required', 0), ('pdcp-data-recovery-required', 1)])
    _PDCPChangeIndication_from_S_NG_RAN_node._ext = []
    _PDCPChangeIndication_from_M_NG_RAN_node = ENUM(name='from-M-NG-RAN-node', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPChangeIndication_from_M_NG_RAN_node._cont = ASN1Dict([('pdcp-data-recovery-required', 0)])
    _PDCPChangeIndication_from_M_NG_RAN_node._ext = []
    _PDCPChangeIndication_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __PDCPChangeIndication_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___PDCPChangeIndication_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_id._const_tab = ___PDCPChangeIndication_choice_extension_id_tab
    __PDCPChangeIndication_choice_extension_id._const_tab_at = None
    __PDCPChangeIndication_choice_extension_id._const_tab_id = 'id'
    __PDCPChangeIndication_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___PDCPChangeIndication_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_criticality._const_tab = ___PDCPChangeIndication_choice_extension_criticality_tab
    __PDCPChangeIndication_choice_extension_criticality._const_tab_at = ('..', 'id')
    __PDCPChangeIndication_choice_extension_criticality._const_tab_id = 'criticality'
    __PDCPChangeIndication_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___PDCPChangeIndication_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_value._const_tab = ___PDCPChangeIndication_choice_extension_value_tab
    __PDCPChangeIndication_choice_extension_value._const_tab_at = ('..', 'id')
    __PDCPChangeIndication_choice_extension_value._const_tab_id = 'Value'
    _PDCPChangeIndication_choice_extension._cont = ASN1Dict([
        ('id', __PDCPChangeIndication_choice_extension_id),
        ('criticality', __PDCPChangeIndication_choice_extension_criticality),
        ('value', __PDCPChangeIndication_choice_extension_value),
        ])
    _PDCPChangeIndication_choice_extension._ext = None
    PDCPChangeIndication._cont = ASN1Dict([
        ('from-S-NG-RAN-node', _PDCPChangeIndication_from_S_NG_RAN_node),
        ('from-M-NG-RAN-node', _PDCPChangeIndication_from_M_NG_RAN_node),
        ('choice-extension', _PDCPChangeIndication_choice_extension),
        ])
    PDCPChangeIndication._ext = None
    
    #-----< PDCPChangeIndication-ExtIEs >-----#
    PDCPChangeIndication_ExtIEs = CLASS(name='PDCPChangeIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    PDCPChangeIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCPDuplicationConfiguration >-----#
    PDCPDuplicationConfiguration = ENUM(name='PDCPDuplicationConfiguration', mode=MODE_TYPE)
    PDCPDuplicationConfiguration._cont = ASN1Dict([('configured', 0), ('de-configured', 1)])
    PDCPDuplicationConfiguration._ext = []
    
    #-----< PDCPSNLength >-----#
    PDCPSNLength = SEQ(name='PDCPSNLength', mode=MODE_TYPE)
    _PDCPSNLength_ulPDCPSNLength = ENUM(name='ulPDCPSNLength', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPSNLength_ulPDCPSNLength._cont = ASN1Dict([('v12bits', 0), ('v18bits', 1)])
    _PDCPSNLength_ulPDCPSNLength._ext = []
    _PDCPSNLength_dlPDCPSNLength = ENUM(name='dlPDCPSNLength', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPSNLength_dlPDCPSNLength._cont = ASN1Dict([('v12bits', 0), ('v18bits', 1)])
    _PDCPSNLength_dlPDCPSNLength._ext = []
    _PDCPSNLength_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDCPSNLength_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDCPSNLength_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDCPSNLength_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__id._const_tab = ____PDCPSNLength_iE_Extension__item__id_tab
    ___PDCPSNLength_iE_Extension__item__id._const_tab_at = None
    ___PDCPSNLength_iE_Extension__item__id._const_tab_id = 'id'
    ___PDCPSNLength_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDCPSNLength_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab = ____PDCPSNLength_iE_Extension__item__criticality_tab
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDCPSNLength_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDCPSNLength_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab = ____PDCPSNLength_iE_Extension__item__extensionValue_tab
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDCPSNLength_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDCPSNLength_iE_Extension__item__id),
        ('criticality', ___PDCPSNLength_iE_Extension__item__criticality),
        ('extensionValue', ___PDCPSNLength_iE_Extension__item__extensionValue),
        ])
    __PDCPSNLength_iE_Extension__item_._ext = None
    _PDCPSNLength_iE_Extension._cont = __PDCPSNLength_iE_Extension__item_
    _PDCPSNLength_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDCPSNLength._cont = ASN1Dict([
        ('ulPDCPSNLength', _PDCPSNLength_ulPDCPSNLength),
        ('dlPDCPSNLength', _PDCPSNLength_dlPDCPSNLength),
        ('iE-Extension', _PDCPSNLength_iE_Extension),
        ])
    PDCPSNLength._ext = []
    
    #-----< PDCPSNLength-ExtIEs >-----#
    PDCPSNLength_ExtIEs = CLASS(name='PDCPSNLength-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDCPSNLength_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAggregateMaximumBitRate >-----#
    PDUSessionAggregateMaximumBitRate = SEQ(name='PDUSessionAggregateMaximumBitRate', mode=MODE_TYPE)
    _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR = INT(name='downlink-session-AMBR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR = INT(name='uplink-session-AMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PDUSessionAggregateMaximumBitRate_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id),
        ('criticality', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_._ext = None
    _PDUSessionAggregateMaximumBitRate_iE_Extensions._cont = __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_
    _PDUSessionAggregateMaximumBitRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAggregateMaximumBitRate._cont = ASN1Dict([
        ('downlink-session-AMBR', _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR),
        ('uplink-session-AMBR', _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR),
        ('iE-Extensions', _PDUSessionAggregateMaximumBitRate_iE_Extensions),
        ])
    PDUSessionAggregateMaximumBitRate._ext = []
    
    #-----< PDUSessionAggregateMaximumBitRate-ExtIEs >-----#
    PDUSessionAggregateMaximumBitRate_ExtIEs = CLASS(name='PDUSessionAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List >-----#
    PDUSession_List = SEQ_OF(name='PDUSession-List', mode=MODE_TYPE)
    _PDUSession_List__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    PDUSession_List._cont = _PDUSession_List__item_
    PDUSession_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withCause >-----#
    PDUSession_List_withCause = SEQ_OF(name='PDUSession-List-withCause', mode=MODE_TYPE)
    _PDUSession_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause-Item')))
    PDUSession_List_withCause._cont = _PDUSession_List_withCause__item_
    PDUSession_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withCause-Item >-----#
    PDUSession_List_withCause_Item = SEQ(name='PDUSession-List-withCause-Item', mode=MODE_TYPE)
    _PDUSession_List_withCause_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withCause_Item_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _PDUSession_List_withCause_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withCause_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSession_List_withCause_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSession_List_withCause_Item_iE_Extension__item__id),
        ('criticality', ___PDUSession_List_withCause_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withCause_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withCause_Item_iE_Extension._cont = __PDUSession_List_withCause_Item_iE_Extension__item_
    _PDUSession_List_withCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withCause_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSession_List_withCause_Item_pduSessionId),
        ('cause', _PDUSession_List_withCause_Item_cause),
        ('iE-Extension', _PDUSession_List_withCause_Item_iE_Extension),
        ])
    PDUSession_List_withCause_Item._ext = []
    
    #-----< PDUSession-List-withCause-Item-ExtIEs >-----#
    PDUSession_List_withCause_Item_ExtIEs = CLASS(name='PDUSession-List-withCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_List_withCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List-withDataForwardingFromTarget >-----#
    PDUSession_List_withDataForwardingFromTarget = SEQ_OF(name='PDUSession-List-withDataForwardingFromTarget', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingFromTarget__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget-Item')))
    PDUSession_List_withDataForwardingFromTarget._cont = _PDUSession_List_withDataForwardingFromTarget__item_
    PDUSession_List_withDataForwardingFromTarget._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withDataForwardingFromTarget-Item >-----#
    PDUSession_List_withDataForwardingFromTarget_Item = SEQ(name='PDUSession-List-withDataForwardingFromTarget-Item', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget = SEQ(name='dataforwardinginfoTarget', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')))
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id),
        ('criticality', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension._cont = __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withDataForwardingFromTarget_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId),
        ('dataforwardinginfoTarget', _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget),
        ('iE-Extension', _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension),
        ])
    PDUSession_List_withDataForwardingFromTarget_Item._ext = []
    
    #-----< PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs >-----#
    PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs = CLASS(name='PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List-withDataForwardingRequest >-----#
    PDUSession_List_withDataForwardingRequest = SEQ_OF(name='PDUSession-List-withDataForwardingRequest', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest-Item')))
    PDUSession_List_withDataForwardingRequest._cont = _PDUSession_List_withDataForwardingRequest__item_
    PDUSession_List_withDataForwardingRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withDataForwardingRequest-Item >-----#
    PDUSession_List_withDataForwardingRequest_Item = SEQ(name='PDUSession-List-withDataForwardingRequest-Item', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingRequest_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource = SEQ(name='dataforwardingInfofromSource', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList = SEQ_OF(name='dRBtoBeReleasedList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-List')), opt=True)
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Extension', _____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id),
        ('criticality', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension._cont = __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withDataForwardingRequest_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSession_List_withDataForwardingRequest_Item_pduSessionId),
        ('dataforwardingInfofromSource', _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource),
        ('dRBtoBeReleasedList', _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList),
        ('iE-Extension', _PDUSession_List_withDataForwardingRequest_Item_iE_Extension),
        ])
    PDUSession_List_withDataForwardingRequest_Item._ext = []
    
    #-----< PDUSession-List-withDataForwardingRequest-Item-ExtIEs >-----#
    PDUSession_List_withDataForwardingRequest_Item_ExtIEs = CLASS(name='PDUSession-List-withDataForwardingRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSession_List_withDataForwardingRequest_Item_ExtIEs_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    PDUSession_List_withDataForwardingRequest_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Extension', _PDUSession_List_withDataForwardingRequest_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesAdmitted-List >-----#
    PDUSessionResourcesAdmitted_List = SEQ_OF(name='PDUSessionResourcesAdmitted-List', mode=MODE_TYPE)
    _PDUSessionResourcesAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-Item')))
    PDUSessionResourcesAdmitted_List._cont = _PDUSessionResourcesAdmitted_List__item_
    PDUSessionResourcesAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesAdmitted-Item >-----#
    PDUSessionResourcesAdmitted_Item = SEQ(name='PDUSessionResourcesAdmitted-Item', mode=MODE_TYPE)
    _PDUSessionResourcesAdmitted_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo = SEQ(name='pduSessionResourceAdmittedInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceAdmittedInfo')))
    _PDUSessionResourcesAdmitted_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesAdmitted_Item_iE_Extensions._cont = __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_
    _PDUSessionResourcesAdmitted_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesAdmitted_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionResourcesAdmitted_Item_pduSessionId),
        ('pduSessionResourceAdmittedInfo', _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo),
        ('iE-Extensions', _PDUSessionResourcesAdmitted_Item_iE_Extensions),
        ])
    PDUSessionResourcesAdmitted_Item._ext = []
    
    #-----< PDUSessionResourcesAdmitted-Item-ExtIEs >-----#
    PDUSessionResourcesAdmitted_Item_ExtIEs = CLASS(name='PDUSessionResourcesAdmitted-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesAdmitted_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceAdmittedInfo >-----#
    PDUSessionResourceAdmittedInfo = SEQ(name='PDUSessionResourceAdmittedInfo', mode=MODE_TYPE)
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged = ENUM(name='dL-NG-U-TNL-Information-Unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged._cont = ASN1Dict([('true', 0)])
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged._ext = []
    _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List = SEQ_OF(name='qosFlowsAdmitted-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsAdmitted-List')))
    _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List = SEQ_OF(name='qosFlowsNotAdmitted-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget = SEQ(name='dataForwardingInfoFromTarget', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceAdmittedInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 109), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_._ext = None
    _PDUSessionResourceAdmittedInfo_iE_Extensions._cont = __PDUSessionResourceAdmittedInfo_iE_Extensions__item_
    _PDUSessionResourceAdmittedInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceAdmittedInfo._cont = ASN1Dict([
        ('dL-NG-U-TNL-Information-Unchanged', _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged),
        ('qosFlowsAdmitted-List', _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List),
        ('qosFlowsNotAdmitted-List', _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List),
        ('dataForwardingInfoFromTarget', _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget),
        ('iE-Extensions', _PDUSessionResourceAdmittedInfo_iE_Extensions),
        ])
    PDUSessionResourceAdmittedInfo._ext = []
    
    #-----< PDUSessionResourceAdmittedInfo-ExtIEs >-----#
    PDUSessionResourceAdmittedInfo_ExtIEs = CLASS(name='PDUSessionResourceAdmittedInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    PDUSessionResourceAdmittedInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 109), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesNotAdmitted-List >-----#
    PDUSessionResourcesNotAdmitted_List = SEQ_OF(name='PDUSessionResourcesNotAdmitted-List', mode=MODE_TYPE)
    _PDUSessionResourcesNotAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-Item')))
    PDUSessionResourcesNotAdmitted_List._cont = _PDUSessionResourcesNotAdmitted_List__item_
    PDUSessionResourcesNotAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesNotAdmitted-Item >-----#
    PDUSessionResourcesNotAdmitted_Item = SEQ(name='PDUSessionResourcesNotAdmitted-Item', mode=MODE_TYPE)
    _PDUSessionResourcesNotAdmitted_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesNotAdmitted_Item_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_._ext = None
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension._cont = __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesNotAdmitted_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionResourcesNotAdmitted_Item_pduSessionId),
        ('cause', _PDUSessionResourcesNotAdmitted_Item_cause),
        ('iE-Extension', _PDUSessionResourcesNotAdmitted_Item_iE_Extension),
        ])
    PDUSessionResourcesNotAdmitted_Item._ext = []
    
    #-----< PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs >-----#
    PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs = CLASS(name='PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesToBeSetup-List >-----#
    PDUSessionResourcesToBeSetup_List = SEQ_OF(name='PDUSessionResourcesToBeSetup-List', mode=MODE_TYPE)
    _PDUSessionResourcesToBeSetup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-Item')))
    PDUSessionResourcesToBeSetup_List._cont = _PDUSessionResourcesToBeSetup_List__item_
    PDUSessionResourcesToBeSetup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesToBeSetup-Item >-----#
    PDUSessionResourcesToBeSetup_Item = SEQ(name='PDUSessionResourcesToBeSetup-Item', mode=MODE_TYPE)
    _PDUSessionResourcesToBeSetup_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesToBeSetup_Item_s_NSSAI = SEQ(name='s-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR = SEQ(name='pduSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF = CHOICE(name='uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information = CHOICE(name='source-DL-NG-U-TNL-Information', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_securityIndication = SEQ(name='securityIndication', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_pduSessionType = ENUM(name='pduSessionType', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance = INT(name='pduSessionNetworkInstance', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List = SEQ_OF(name='qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List')))
    _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_2 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_3 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_5 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 108), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 127), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 210), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')]), dict([('id', 217), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_5), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions._cont = __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesToBeSetup_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionResourcesToBeSetup_Item_pduSessionId),
        ('s-NSSAI', _PDUSessionResourcesToBeSetup_Item_s_NSSAI),
        ('pduSessionAMBR', _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR),
        ('uL-NG-U-TNLatUPF', _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF),
        ('source-DL-NG-U-TNL-Information', _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information),
        ('securityIndication', _PDUSessionResourcesToBeSetup_Item_securityIndication),
        ('pduSessionType', _PDUSessionResourcesToBeSetup_Item_pduSessionType),
        ('pduSessionNetworkInstance', _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance),
        ('qosFlowsToBeSetup-List', _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List),
        ('dataforwardinginfofromSource', _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource),
        ('iE-Extensions', _PDUSessionResourcesToBeSetup_Item_iE_Extensions),
        ])
    PDUSessionResourcesToBeSetup_Item._ext = []
    
    #-----< PDUSessionResourcesToBeSetup-Item-ExtIEs >-----#
    PDUSessionResourcesToBeSetup_Item_ExtIEs = CLASS(name='PDUSessionResourcesToBeSetup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_2 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_3 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_5 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    PDUSessionResourcesToBeSetup_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 108), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 127), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 210), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_4), ('presence', 'optional')]), dict([('id', 217), ('criticality', 'ignore'), ('Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_5), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupInfo-SNterminated >-----#
    PDUSessionResourceSetupInfo_SNterminated = SEQ(name='PDUSessionResourceSetupInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name='uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupInfo_SNterminated_pduSessionType = ENUM(name='pduSessionType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance = INT(name='pduSessionNetworkInstance', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List = SEQ_OF(name='qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated')))
    _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_securityIndication = SEQ(name='securityIndication', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSessionIndicator')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NonGBRResources-Offered')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_6 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_7 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 115), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 127), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 132), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 134), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 146), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_6), ('presence', 'optional')]), dict([('id', 217), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_7), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupInfo_SNterminated._cont = ASN1Dict([
        ('uL-NG-U-TNLatUPF', _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF),
        ('pduSessionType', _PDUSessionResourceSetupInfo_SNterminated_pduSessionType),
        ('pduSessionNetworkInstance', _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance),
        ('qosFlowsToBeSetup-List', _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List),
        ('dataforwardinginfofromSource', _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource),
        ('securityIndication', _PDUSessionResourceSetupInfo_SNterminated_securityIndication),
        ('iE-Extensions', _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceSetupInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceSetupInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceSetupInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSessionIndicator')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_4 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NonGBRResources-Offered')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_5 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_6 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_7 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    PDUSessionResourceSetupInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 115), ('criticality', 'reject'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 127), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 132), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 134), ('criticality', 'reject'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 146), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_4), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_5), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_6), ('presence', 'optional')]), dict([('id', 217), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_7), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated = SEQ_OF(name='QoSFlowsToBeSetup-List-Setup-SNterminated', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Setup_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated-Item')))
    QoSFlowsToBeSetup_List_Setup_SNterminated._cont = _QoSFlowsToBeSetup_List_Setup_SNterminated__item_
    QoSFlowsToBeSetup_List_Setup_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated-Item >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item = SEQ(name='QoSFlowsToBeSetup-List-Setup-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters = SEQ(name='qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo = SEQ(name='offeredGBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions._cont = __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item._cont = ASN1Dict([
        ('qfi', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi),
        ('qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters),
        ('offeredGBRQoSFlowInfo', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo),
        ('iE-Extensions', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs = CLASS(name='QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupResponseInfo-SNterminated >-----#
    PDUSessionResourceSetupResponseInfo_SNterminated = SEQ(name='PDUSessionResourceSetupResponseInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name='dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup = SEQ_OF(name='dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget = SEQ(name='dataforwardinginfoTarget', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList = SEQ_OF(name='qosFlowsNotAdmittedList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult = SEQ(name='securityResult', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 214), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 218), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupResponseInfo_SNterminated._cont = ASN1Dict([
        ('dL-NG-U-TNLatNG-RAN', _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        ('dRBsToBeSetup', _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup),
        ('dataforwardinginfoTarget', _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget),
        ('qosFlowsNotAdmittedList', _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList),
        ('securityResult', _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult),
        ('iE-Extensions', _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupResponseInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantPDUSessionInformation')))
    PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 214), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 218), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated = SEQ_OF(name='DRBsToBeSetupList-SetupResponse-SNterminated', mode=MODE_TYPE)
    _DRBsToBeSetupList_SetupResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated-Item')))
    DRBsToBeSetupList_SetupResponse_SNterminated._cont = _DRBsToBeSetupList_SetupResponse_SNterminated__item_
    DRBsToBeSetupList_SetupResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated-Item >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated_Item = SEQ(name='DRBsToBeSetupList-SetupResponse-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength = SEQ(name='pDCP-SNLength', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode = ENUM(name='rLC-Mode', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration = SEQ(name='uL-Configuration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation = ENUM(name='duplicationActivation', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_SetupResponse_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID),
        ('sN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        ('dRB-QoS', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS),
        ('pDCP-SNLength', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength),
        ('rLC-Mode', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode),
        ('uL-Configuration', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration),
        ('secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        ('duplicationActivation', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation),
        ('qoSFlowsMappedtoDRB-SetupResponse-SNterminated', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated),
        ('iE-Extensions', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_SetupResponse_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name='QoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item')))
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated._cont = _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item = SEQ(name='QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier = INT(name='qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name='mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication = ENUM(name='qosFlowMappingIndication', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 255), ('criticality', 'ignore'), ('Extension', _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions._cont = __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item._cont = ASN1Dict([
        ('qoSFlowIdentifier', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier),
        ('mCGRequestedGBRQoSFlowInfo', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        ('qosFlowMappingIndication', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication),
        ('iE-Extensions', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item._ext = []
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs = CLASS(name='QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1 = BIT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 255), ('criticality', 'ignore'), ('Extension', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupInfo-MNterminated >-----#
    PDUSessionResourceSetupInfo_MNterminated = SEQ(name='PDUSessionResourceSetupInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupInfo_MNterminated_pduSessionType = ENUM(name='pduSessionType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup = SEQ_OF(name='dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated')))
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupInfo_MNterminated._cont = ASN1Dict([
        ('pduSessionType', _PDUSessionResourceSetupInfo_MNterminated_pduSessionType),
        ('dRBsToBeSetup', _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup),
        ('iE-Extensions', _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceSetupInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceSetupInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceSetupInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceSetupInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-Setup-MNterminated >-----#
    DRBsToBeSetupList_Setup_MNterminated = SEQ_OF(name='DRBsToBeSetupList-Setup-MNterminated', mode=MODE_TYPE)
    _DRBsToBeSetupList_Setup_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated-Item')))
    DRBsToBeSetupList_Setup_MNterminated._cont = _DRBsToBeSetupList_Setup_MNterminated__item_
    DRBsToBeSetupList_Setup_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetupList-Setup-MNterminated-Item >-----#
    DRBsToBeSetupList_Setup_MNterminated_Item = SEQ(name='DRBsToBeSetupList-Setup-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='mN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode = ENUM(name='rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration = SEQ(name='uL-Configuration', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength = SEQ(name='pDCP-SNLength', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='secondary-MN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation = ENUM(name='duplicationActivation', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_Setup_MNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID),
        ('mN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo),
        ('rLC-Mode', _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode),
        ('uL-Configuration', _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration),
        ('dRB-QoS', _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS),
        ('pDCP-SNLength', _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength),
        ('secondary-MN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo),
        ('duplicationActivation', _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation),
        ('qoSFlowsMappedtoDRB-Setup-MNterminated', _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated),
        ('iE-Extensions', _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_Setup_MNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs = CLASS(name='DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name='QoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_Setup_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated-Item')))
    QoSFlowsMappedtoDRB_Setup_MNterminated._cont = _QoSFlowsMappedtoDRB_Setup_MNterminated__item_
    QoSFlowsMappedtoDRB_Setup_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated-Item >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item = SEQ(name='QoSFlowsMappedtoDRB-Setup-MNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier = INT(name='qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters = SEQ(name='qoSFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication = ENUM(name='qosFlowMappingIndication', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions._cont = __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item._cont = ASN1Dict([
        ('qoSFlowIdentifier', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier),
        ('qoSFlowLevelQoSParameters', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters),
        ('qosFlowMappingIndication', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication),
        ('iE-Extensions', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions),
        ])
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item._ext = []
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs = CLASS(name='QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupResponseInfo-MNterminated >-----#
    PDUSessionResourceSetupResponseInfo_MNterminated = SEQ(name='PDUSessionResourceSetupResponseInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList = SEQ_OF(name='dRBsAdmittedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-SetupResponse-MNterminated')))
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')))
    ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 124), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupResponseInfo_MNterminated._cont = ASN1Dict([
        ('dRBsAdmittedList', _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList),
        ('iE-Extensions', _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupResponseInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')))
    PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 124), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated >-----#
    DRBsAdmittedList_SetupResponse_MNterminated = SEQ_OF(name='DRBsAdmittedList-SetupResponse-MNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_SetupResponse_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-SetupResponse-MNterminated-Item')))
    DRBsAdmittedList_SetupResponse_MNterminated._cont = _DRBsAdmittedList_SetupResponse_MNterminated__item_
    DRBsAdmittedList_SetupResponse_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated-Item >-----#
    DRBsAdmittedList_SetupResponse_MNterminated_Item = SEQ(name='DRBsAdmittedList-SetupResponse-MNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = SEQ_OF(name='sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = SEQ_OF(name='secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID = INT(name='lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-MNterminated')))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 239), ('criticality', 'ignore'), ('Extension', _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_SetupResponse_MNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID),
        ('sN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        ('secondary-SN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        ('lCID', _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID),
        ('iE-Extensions', _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_SetupResponse_MNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs = CLASS(name='DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-MNterminated')))
    DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 239), ('criticality', 'ignore'), ('Extension', _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-MNterminated >-----#
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated = SEQ_OF(name='QoSFlowsMappedtoDRB-SetupResponse-MNterminated', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item')))
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated._cont = _QoSFlowsMappedtoDRB_SetupResponse_MNterminated__item_
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item >-----#
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item = SEQ(name='QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_qoSFlowIdentifier = INT(name='qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_currentQoSParaSetIndex = INT(name='currentQoSParaSetIndex', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions._cont = __QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item_
    _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item._cont = ASN1Dict([
        ('qoSFlowIdentifier', _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_qoSFlowIdentifier),
        ('currentQoSParaSetIndex', _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_currentQoSParaSetIndex),
        ('iE-Extensions', _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions),
        ])
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item._ext = []
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item-ExtIEs >-----#
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_ExtIEs = CLASS(name='QoSFlowsMappedtoDRB-SetupResponse-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationInfo-SNterminated >-----#
    PDUSessionResourceModificationInfo_SNterminated = SEQ(name='PDUSessionResourceModificationInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name='uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance = INT(name='pduSessionNetworkInstance', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List = SEQ_OF(name='qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List = SEQ_OF(name='qosFlowsToBeModified-List', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Modified-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List = SEQ_OF(name='qoSFlowsToBeReleased-List', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList = SEQ_OF(name='drbsToBeModifiedList', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-Modified-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name='dRBsToBeReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NonGBRResources-Offered')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')))
    ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 127), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 132), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 146), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')]), dict([('id', 258), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationInfo_SNterminated._cont = ASN1Dict([
        ('uL-NG-U-TNLatUPF', _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF),
        ('pduSessionNetworkInstance', _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance),
        ('qosFlowsToBeSetup-List', _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List),
        ('dataforwardinginfofromSource', _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource),
        ('qosFlowsToBeModified-List', _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List),
        ('qoSFlowsToBeReleased-List', _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List),
        ('drbsToBeModifiedList', _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList),
        ('dRBsToBeReleased', _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased),
        ('iE-Extensions', _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModificationInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModificationInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceModificationInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NonGBRResources-Offered')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_3 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_5 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')))
    PDUSessionResourceModificationInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 127), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 132), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 146), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 207), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 211), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_4), ('presence', 'optional')]), dict([('id', 258), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_5), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated = SEQ_OF(name='QoSFlowsToBeSetup-List-Modified-SNterminated', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Modified_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Modified-SNterminated-Item')))
    QoSFlowsToBeSetup_List_Modified_SNterminated._cont = _QoSFlowsToBeSetup_List_Modified_SNterminated__item_
    QoSFlowsToBeSetup_List_Modified_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated-Item >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item = SEQ(name='QoSFlowsToBeSetup-List-Modified-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters = SEQ(name='qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo = SEQ(name='offeredGBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication = ENUM(name='qosFlowMappingIndication', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions._cont = __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item._cont = ASN1Dict([
        ('qfi', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi),
        ('qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters),
        ('offeredGBRQoSFlowInfo', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo),
        ('qosFlowMappingIndication', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication),
        ('iE-Extensions', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs = CLASS(name='QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-Modified-SNterminated >-----#
    DRBsToBeModified_List_Modified_SNterminated = SEQ_OF(name='DRBsToBeModified-List-Modified-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_Modified_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-Modified-SNterminated-Item')))
    DRBsToBeModified_List_Modified_SNterminated._cont = _DRBsToBeModified_List_Modified_SNterminated__item_
    DRBsToBeModified_List_Modified_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-Modified-SNterminated-Item >-----#
    DRBsToBeModified_List_Modified_SNterminated_Item = SEQ(name='DRBsToBeModified-List-Modified-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo = SEQ_OF(name='mN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo = SEQ_OF(name='secondary-MN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_lCID = INT(name='lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status = SEQ(name='rlc-status', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLC-Status')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_Modified_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID),
        ('mN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo),
        ('secondary-MN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo),
        ('lCID', _DRBsToBeModified_List_Modified_SNterminated_Item_lCID),
        ('rlc-status', _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status),
        ('iE-Extensions', _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_Modified_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationResponseInfo-SNterminated >-----#
    PDUSessionResourceModificationResponseInfo_SNterminated = SEQ(name='PDUSessionResourceModificationResponseInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name='dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup = SEQ_OF(name='dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget = SEQ(name='dataforwardinginfoTarget', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified = SEQ_OF(name='dRBsToBeModified', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-ModificationResponse-SNterminated')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name='dRBsToBeReleased', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded = SEQ_OF(name='qosFlowsNotAdmittedTBAdded', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased = SEQ_OF(name='qosFlowsReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 214), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 115), ('criticality', 'ignore'), ('Extension', _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationResponseInfo_SNterminated._cont = ASN1Dict([
        ('dL-NG-U-TNLatNG-RAN', _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        ('dRBsToBeSetup', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup),
        ('dataforwardinginfoTarget', _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget),
        ('dRBsToBeModified', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified),
        ('dRBsToBeReleased', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased),
        ('dataforwardinginfofromSource', _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource),
        ('qosFlowsNotAdmittedTBAdded', _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded),
        ('qosFlowsReleased', _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased),
        ('iE-Extensions', _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationResponseInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_1 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 214), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 115), ('criticality', 'ignore'), ('Extension', _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated = SEQ_OF(name='DRBsToBeModifiedList-ModificationResponse-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item')))
    DRBsToBeModifiedList_ModificationResponse_SNterminated._cont = _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_
    DRBsToBeModifiedList_ModificationResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated-Item >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item = SEQ(name='DRBsToBeModifiedList-ModificationResponse-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_3 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')))
    _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_4 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 234), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 235), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 236), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID),
        ('sN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        ('dRB-QoS', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS),
        ('qoSFlowsMappedtoDRB-SetupResponse-SNterminated', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated),
        ('iE-Extensions', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_2 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_3 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_4 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')))
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 234), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 235), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 236), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationInfo-MNterminated >-----#
    PDUSessionResourceModificationInfo_MNterminated = SEQ(name='PDUSessionResourceModificationInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationInfo_MNterminated_pduSessionType = ENUM(name='pduSessionType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup = SEQ_OF(name='dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified = SEQ_OF(name='dRBsToBeModified', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-Modification-MNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased = SEQ_OF(name='dRBsToBeReleased', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationInfo_MNterminated._cont = ASN1Dict([
        ('pduSessionType', _PDUSessionResourceModificationInfo_MNterminated_pduSessionType),
        ('dRBsToBeSetup', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup),
        ('dRBsToBeModified', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified),
        ('dRBsToBeReleased', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased),
        ('iE-Extensions', _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModificationInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModificationInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceModificationInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModificationInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated >-----#
    DRBsToBeModifiedList_Modification_MNterminated = SEQ_OF(name='DRBsToBeModifiedList-Modification-MNterminated', mode=MODE_TYPE)
    _DRBsToBeModifiedList_Modification_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-Modification-MNterminated-Item')))
    DRBsToBeModifiedList_Modification_MNterminated._cont = _DRBsToBeModifiedList_Modification_MNterminated__item_
    DRBsToBeModifiedList_Modification_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated-Item >-----#
    DRBsToBeModifiedList_Modification_MNterminated_Item = SEQ(name='DRBsToBeModifiedList-Modification-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='mN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='secondary-MN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration = SEQ(name='uL-Configuration', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration = ENUM(name='pdcpDuplicationConfiguration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation = ENUM(name='duplicationActivation', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions._cont = __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModifiedList_Modification_MNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID),
        ('mN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo),
        ('dRB-QoS', _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS),
        ('secondary-MN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo),
        ('uL-Configuration', _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration),
        ('pdcpDuplicationConfiguration', _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration),
        ('duplicationActivation', _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation),
        ('qoSFlowsMappedtoDRB-Setup-MNterminated', _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated),
        ('iE-Extensions', _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModifiedList_Modification_MNterminated_Item._ext = []
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs >-----#
    DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs = CLASS(name='DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationResponseInfo-MNterminated >-----#
    PDUSessionResourceModificationResponseInfo_MNterminated = SEQ(name='PDUSessionResourceModificationResponseInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList = SEQ_OF(name='dRBsAdmittedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModificationResponse-MNterminated')))
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList = SEQ_OF(name='dRBsReleasedList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')), opt=True)
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList = SEQ_OF(name='dRBsNotAdmittedSetupModifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationResponseInfo_MNterminated._cont = ASN1Dict([
        ('dRBsAdmittedList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList),
        ('dRBsReleasedList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList),
        ('dRBsNotAdmittedSetupModifyList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList),
        ('iE-Extensions', _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationResponseInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated = SEQ_OF(name='DRBsAdmittedList-ModificationResponse-MNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_ModificationResponse_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModificationResponse-MNterminated-Item')))
    DRBsAdmittedList_ModificationResponse_MNterminated._cont = _DRBsAdmittedList_ModificationResponse_MNterminated__item_
    DRBsAdmittedList_ModificationResponse_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated-Item >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated_Item = SEQ(name='DRBsAdmittedList-ModificationResponse-MNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = SEQ_OF(name='sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = SEQ_OF(name='secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID = INT(name='lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-MNterminated')))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 239), ('criticality', 'ignore'), ('Extension', _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_ModificationResponse_MNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID),
        ('sN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        ('secondary-SN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        ('lCID', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID),
        ('iE-Extensions', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_ModificationResponse_MNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs = CLASS(name='DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_1 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-MNterminated')))
    DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 239), ('criticality', 'ignore'), ('Extension', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeRequiredInfo-SNterminated >-----#
    PDUSessionResourceChangeRequiredInfo_SNterminated = SEQ(name='PDUSessionResourceChangeRequiredInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeRequiredInfo_SNterminated._cont = ASN1Dict([
        ('dataforwardinginfofromSource', _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource),
        ('iE-Extensions', _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeRequiredInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeConfirmInfo-SNterminated >-----#
    PDUSessionResourceChangeConfirmInfo_SNterminated = SEQ(name='PDUSessionResourceChangeConfirmInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget = SEQ(name='dataforwardinginfoTarget', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeConfirmInfo_SNterminated._cont = ASN1Dict([
        ('dataforwardinginfoTarget', _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget),
        ('iE-Extensions', _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeConfirmInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeRequiredInfo-MNterminated >-----#
    PDUSessionResourceChangeRequiredInfo_MNterminated = SEQ(name='PDUSessionResourceChangeRequiredInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeRequiredInfo_MNterminated._cont = ASN1Dict([
        ('iE-Extensions', _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeRequiredInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeConfirmInfo-MNterminated >-----#
    PDUSessionResourceChangeConfirmInfo_MNterminated = SEQ(name='PDUSessionResourceChangeConfirmInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeConfirmInfo_MNterminated._cont = ASN1Dict([
        ('iE-Extensions', _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeConfirmInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModRqdInfo-SNterminated >-----#
    PDUSessionResourceModRqdInfo_SNterminated = SEQ(name='PDUSessionResourceModRqdInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name='dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List = SEQ_OF(name='qoSFlowsToBeReleased-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource = SEQ(name='dataforwardinginfofromSource', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList = SEQ_OF(name='drbsToBeSetupList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetup-List-ModRqd-SNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList = SEQ_OF(name='drbsToBeModifiedList', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-SNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name='dRBsToBeReleased', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModRqdInfo_SNterminated._cont = ASN1Dict([
        ('dL-NG-U-TNLatNG-RAN', _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        ('qoSFlowsToBeReleased-List', _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List),
        ('dataforwardinginfofromSource', _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource),
        ('drbsToBeSetupList', _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList),
        ('drbsToBeModifiedList', _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList),
        ('dRBsToBeReleased', _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased),
        ('iE-Extensions', _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModRqdInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModRqdInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModRqdInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceModRqdInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModRqdInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated = SEQ_OF(name='DRBsToBeSetup-List-ModRqd-SNterminated', mode=MODE_TYPE)
    _DRBsToBeSetup_List_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetup-List-ModRqd-SNterminated-Item')))
    DRBsToBeSetup_List_ModRqd_SNterminated._cont = _DRBsToBeSetup_List_ModRqd_SNterminated__item_
    DRBsToBeSetup_List_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated-Item >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated_Item = SEQ(name='DRBsToBeSetup-List-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength = SEQ(name='pDCP-SNLength', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo = SEQ_OF(name='sn-UL-PDCP-UPTNLinfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation = ENUM(name='duplicationActivation', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration = SEQ(name='uL-Configuration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode = ENUM(name='rLC-Mode', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetup_List_ModRqd_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID),
        ('pDCP-SNLength', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength),
        ('sn-UL-PDCP-UPTNLinfo', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo),
        ('dRB-QoS', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS),
        ('secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        ('duplicationActivation', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation),
        ('uL-Configuration', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration),
        ('qoSFlowsMappedtoDRB-ModRqd-SNterminated', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated),
        ('rLC-Mode', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode),
        ('iE-Extensions', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetup_List_ModRqd_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name='QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item')))
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated._cont = _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item = SEQ(name='QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier = INT(name='qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name='mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._cont = __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item._cont = ASN1Dict([
        ('qoSFlowIdentifier', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier),
        ('mCGRequestedGBRQoSFlowInfo', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        ('iE-Extensions', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item._ext = []
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs = CLASS(name='QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated >-----#
    DRBsToBeModified_List_ModRqd_SNterminated = SEQ_OF(name='DRBsToBeModified-List-ModRqd-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-SNterminated-Item')))
    DRBsToBeModified_List_ModRqd_SNterminated._cont = _DRBsToBeModified_List_ModRqd_SNterminated__item_
    DRBsToBeModified_List_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated-Item >-----#
    DRBsToBeModified_List_ModRqd_SNterminated_Item = SEQ(name='DRBsToBeModified-List-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS = SEQ(name='dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name='secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration = SEQ(name='uL-Configuration', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration = ENUM(name='pdcpDuplicationConfiguration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation = ENUM(name='duplicationActivation', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name='qoSFlowsMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_ModRqd_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID),
        ('sN-UL-PDCP-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        ('dRB-QoS', _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS),
        ('secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        ('uL-Configuration', _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration),
        ('pdcpDuplicationConfiguration', _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration),
        ('duplicationActivation', _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation),
        ('qoSFlowsMappedtoDRB-ModRqd-SNterminated', _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated),
        ('iE-Extensions', _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_ModRqd_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationInformation')))
    DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 219), ('criticality', 'ignore'), ('Extension', _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name='QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item')))
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated._cont = _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item = SEQ(name='QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier = INT(name='qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name='mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._cont = __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item._cont = ASN1Dict([
        ('qoSFlowIdentifier', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier),
        ('mCGRequestedGBRQoSFlowInfo', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        ('iE-Extensions', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item._ext = []
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs = CLASS(name='QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModConfirmInfo-SNterminated >-----#
    PDUSessionResourceModConfirmInfo_SNterminated = SEQ(name='PDUSessionResourceModConfirmInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name='uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList = SEQ_OF(name='dRBsAdmittedList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModConfirm-SNterminated')))
    _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList = SEQ_OF(name='dRBsNotAdmittedSetupModifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget = SEQ(name='dataforwardinginfoTarget', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModConfirmInfo_SNterminated._cont = ASN1Dict([
        ('uL-NG-U-TNLatUPF', _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF),
        ('dRBsAdmittedList', _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList),
        ('dRBsNotAdmittedSetupModifyList', _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList),
        ('dataforwardinginfoTarget', _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget),
        ('iE-Extensions', _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModConfirmInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([('id', 133), ('criticality', 'reject'), ('Extension', _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated >-----#
    DRBsAdmittedList_ModConfirm_SNterminated = SEQ_OF(name='DRBsAdmittedList-ModConfirm-SNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_ModConfirm_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModConfirm-SNterminated-Item')))
    DRBsAdmittedList_ModConfirm_SNterminated._cont = _DRBsAdmittedList_ModConfirm_SNterminated__item_
    DRBsAdmittedList_ModConfirm_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated-Item >-----#
    DRBsAdmittedList_ModConfirm_SNterminated_Item = SEQ(name='DRBsAdmittedList-ModConfirm-SNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo = SEQ_OF(name='mN-DL-CG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo = SEQ_OF(name='secondary-MN-DL-CG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID = INT(name='lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_ModConfirm_SNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID),
        ('mN-DL-CG-UP-TNLInfo', _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo),
        ('secondary-MN-DL-CG-UP-TNLInfo', _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo),
        ('lCID', _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID),
        ('iE-Extensions', _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_ModConfirm_SNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs = CLASS(name='DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModRqdInfo-MNterminated >-----#
    PDUSessionResourceModRqdInfo_MNterminated = SEQ(name='PDUSessionResourceModRqdInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified = SEQ_OF(name='dRBsToBeModified', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-MNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased = SEQ_OF(name='dRBsToBeReleased', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModRqdInfo_MNterminated._cont = ASN1Dict([
        ('dRBsToBeModified', _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified),
        ('dRBsToBeReleased', _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased),
        ('iE-Extensions', _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModRqdInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModRqdInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModRqdInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceModRqdInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModRqdInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated >-----#
    DRBsToBeModified_List_ModRqd_MNterminated = SEQ_OF(name='DRBsToBeModified-List-ModRqd-MNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-MNterminated-Item')))
    DRBsToBeModified_List_ModRqd_MNterminated._cont = _DRBsToBeModified_List_ModRqd_MNterminated__item_
    DRBsToBeModified_List_ModRqd_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated-Item >-----#
    DRBsToBeModified_List_ModRqd_MNterminated_Item = SEQ(name='DRBsToBeModified-List-ModRqd-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = CHOICE(name='sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = CHOICE(name='secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID = INT(name='lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status = SEQ(name='rlc-status', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLC-Status')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_ModRqd_MNterminated_Item._cont = ASN1Dict([
        ('drb-ID', _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID),
        ('sN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        ('secondary-SN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        ('lCID', _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID),
        ('rlc-status', _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status),
        ('iE-Extensions', _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_ModRqd_MNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs = CLASS(name='DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-PDCP-Duplication-TNL-List')))
    DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 216), ('criticality', 'ignore'), ('Extension', _DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModConfirmInfo-MNterminated >-----#
    PDUSessionResourceModConfirmInfo_MNterminated = SEQ(name='PDUSessionResourceModConfirmInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModConfirmInfo_MNterminated._cont = ASN1Dict([
        ('iE-Extensions', _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModConfirmInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs = CLASS(name='PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceBearerSetupCompleteInfo-SNterminated >-----#
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated = SEQ(name='PDUSessionResourceBearerSetupCompleteInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList = SEQ_OF(name='dRBsToBeSetupList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item')))
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList._cont = __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated._cont = ASN1Dict([
        ('dRBsToBeSetupList', _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList),
        ('iE-Extensions', _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs = CLASS(name='PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item >-----#
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item = SEQ(name='DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID = INT(name='dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM = CHOICE(name='mN-Xn-U-TNLInfoatM', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 125), ('criticality', 'ignore'), ('Extension', _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id),
        ('criticality', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item._cont = ASN1Dict([
        ('dRB-ID', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID),
        ('mN-Xn-U-TNLInfoatM', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM),
        ('iE-Extensions', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs = CLASS(name='DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 125), ('criticality', 'ignore'), ('Extension', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSecondaryRATUsageList >-----#
    PDUSessionResourceSecondaryRATUsageList = SEQ_OF(name='PDUSessionResourceSecondaryRATUsageList', mode=MODE_TYPE)
    _PDUSessionResourceSecondaryRATUsageList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageItem')))
    PDUSessionResourceSecondaryRATUsageList._cont = _PDUSessionResourceSecondaryRATUsageList__item_
    PDUSessionResourceSecondaryRATUsageList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourceSecondaryRATUsageItem >-----#
    PDUSessionResourceSecondaryRATUsageItem = SEQ(name='PDUSessionResourceSecondaryRATUsageItem', mode=MODE_TYPE)
    _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID = INT(name='pDUSessionID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation = SEQ(name='secondaryRATUsageInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecondaryRATUsageInformation')))
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_._ext = None
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions._cont = __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSecondaryRATUsageItem._cont = ASN1Dict([
        ('pDUSessionID', _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID),
        ('secondaryRATUsageInformation', _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation),
        ('iE-Extensions', _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions),
        ])
    PDUSessionResourceSecondaryRATUsageItem._ext = []
    
    #-----< PDUSessionResourceSecondaryRATUsageItem-ExtIEs >-----#
    PDUSessionResourceSecondaryRATUsageItem_ExtIEs = CLASS(name='PDUSessionResourceSecondaryRATUsageItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceSecondaryRATUsageItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionUsageReport >-----#
    PDUSessionUsageReport = SEQ(name='PDUSessionUsageReport', mode=MODE_TYPE)
    _PDUSessionUsageReport_rATType = ENUM(name='rATType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDUSessionUsageReport_rATType._cont = ASN1Dict([('nr', 0), ('eutra', 1), ('nr-unlicensed', 2), ('e-utra-unlicensed', 3)])
    _PDUSessionUsageReport_rATType._ext = ['nr-unlicensed', 'e-utra-unlicensed']
    _PDUSessionUsageReport_pDUSessionTimedReportList = SEQ_OF(name='pDUSessionTimedReportList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReportList')))
    _PDUSessionUsageReport_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionUsageReport_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionUsageReport_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionUsageReport_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__id_tab
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionUsageReport_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionUsageReport_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionUsageReport_iE_Extensions__item__id),
        ('criticality', ___PDUSessionUsageReport_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionUsageReport_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionUsageReport_iE_Extensions__item_._ext = None
    _PDUSessionUsageReport_iE_Extensions._cont = __PDUSessionUsageReport_iE_Extensions__item_
    _PDUSessionUsageReport_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionUsageReport._cont = ASN1Dict([
        ('rATType', _PDUSessionUsageReport_rATType),
        ('pDUSessionTimedReportList', _PDUSessionUsageReport_pDUSessionTimedReportList),
        ('iE-Extensions', _PDUSessionUsageReport_iE_Extensions),
        ])
    PDUSessionUsageReport._ext = []
    
    #-----< PDUSessionUsageReport-ExtIEs >-----#
    PDUSessionUsageReport_ExtIEs = CLASS(name='PDUSessionUsageReport-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionUsageReport_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionType >-----#
    PDUSessionType = ENUM(name='PDUSessionType', mode=MODE_TYPE)
    PDUSessionType._cont = ASN1Dict([('ipv4', 0), ('ipv6', 1), ('ipv4v6', 2), ('ethernet', 3), ('unstructured', 4)])
    PDUSessionType._ext = []
    
    #-----< PDUSession-ID >-----#
    PDUSession_ID = INT(name='PDUSession-ID', mode=MODE_TYPE)
    PDUSession_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< PDUSessionNetworkInstance >-----#
    PDUSessionNetworkInstance = INT(name='PDUSessionNetworkInstance', mode=MODE_TYPE)
    PDUSessionNetworkInstance._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=[], er=[])
    
    #-----< PDUSessionCommonNetworkInstance >-----#
    PDUSessionCommonNetworkInstance = OCT_STR(name='PDUSessionCommonNetworkInstance', mode=MODE_TYPE)
    
    #-----< Periodical >-----#
    Periodical = SEQ(name='Periodical', mode=MODE_TYPE)
    _Periodical_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Periodical_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Periodical_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Periodical_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Periodical_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Periodical_iE_Extensions__item__id._const_tab = ____Periodical_iE_Extensions__item__id_tab
    ___Periodical_iE_Extensions__item__id._const_tab_at = None
    ___Periodical_iE_Extensions__item__id._const_tab_id = 'id'
    ___Periodical_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____Periodical_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Periodical_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Periodical_iE_Extensions__item__criticality._const_tab = ____Periodical_iE_Extensions__item__criticality_tab
    ___Periodical_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Periodical_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Periodical_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____Periodical_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Periodical_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Periodical_iE_Extensions__item__extensionValue._const_tab = ____Periodical_iE_Extensions__item__extensionValue_tab
    ___Periodical_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Periodical_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Periodical_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Periodical_iE_Extensions__item__id),
        ('criticality', ___Periodical_iE_Extensions__item__criticality),
        ('extensionValue', ___Periodical_iE_Extensions__item__extensionValue),
        ])
    __Periodical_iE_Extensions__item_._ext = None
    _Periodical_iE_Extensions._cont = __Periodical_iE_Extensions__item_
    _Periodical_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Periodical._cont = ASN1Dict([
        ('iE-Extensions', _Periodical_iE_Extensions),
        ])
    Periodical._ext = []
    
    #-----< Periodical-ExtIEs >-----#
    Periodical_ExtIEs = CLASS(name='Periodical-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Periodical_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PLMN-Identity >-----#
    PLMN_Identity = OCT_STR(name='PLMN-Identity', mode=MODE_TYPE)
    PLMN_Identity._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< PCIListForMDT >-----#
    PCIListForMDT = SEQ_OF(name='PCIListForMDT', mode=MODE_TYPE)
    _PCIListForMDT__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    PCIListForMDT._cont = _PCIListForMDT__item_
    PCIListForMDT._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< PNI-NPN-Restricted-Information >-----#
    PNI_NPN_Restricted_Information = ENUM(name='PNI-NPN-Restricted-Information', mode=MODE_TYPE)
    PNI_NPN_Restricted_Information._cont = ASN1Dict([('restriced', 0), ('not-restricted', 1)])
    PNI_NPN_Restricted_Information._ext = []
    
    #-----< PortNumber >-----#
    PortNumber = BIT_STR(name='PortNumber', mode=MODE_TYPE)
    PortNumber._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< PriorityLevelQoS >-----#
    PriorityLevelQoS = INT(name='PriorityLevelQoS', mode=MODE_TYPE)
    PriorityLevelQoS._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=127)], ev=[], er=[])
    
    #-----< ProtectedE-UTRAResourceIndication >-----#
    ProtectedE_UTRAResourceIndication = SEQ(name='ProtectedE-UTRAResourceIndication', mode=MODE_TYPE)
    _ProtectedE_UTRAResourceIndication_activationSFN = INT(name='activationSFN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ActivationSFN')))
    _ProtectedE_UTRAResourceIndication_protectedResourceList = SEQ_OF(name='protectedResourceList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResourceList')))
    _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength = INT(name='mbsfnControlRegionLength', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNControlRegionLength')), opt=True)
    _ProtectedE_UTRAResourceIndication_pDCCHRegionLength = INT(name='pDCCHRegionLength', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResourceIndication_pDCCHRegionLength._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    _ProtectedE_UTRAResourceIndication_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab_id = 'id'
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id),
        ('criticality', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality),
        ('extensionValue', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAResourceIndication_iE_Extensions._cont = __ProtectedE_UTRAResourceIndication_iE_Extensions__item_
    _ProtectedE_UTRAResourceIndication_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAResourceIndication._cont = ASN1Dict([
        ('activationSFN', _ProtectedE_UTRAResourceIndication_activationSFN),
        ('protectedResourceList', _ProtectedE_UTRAResourceIndication_protectedResourceList),
        ('mbsfnControlRegionLength', _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength),
        ('pDCCHRegionLength', _ProtectedE_UTRAResourceIndication_pDCCHRegionLength),
        ('iE-Extensions', _ProtectedE_UTRAResourceIndication_iE_Extensions),
        ])
    ProtectedE_UTRAResourceIndication._ext = []
    
    #-----< ProtectedE-UTRAResourceIndication-ExtIEs >-----#
    ProtectedE_UTRAResourceIndication_ExtIEs = CLASS(name='ProtectedE-UTRAResourceIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAResourceIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ProtectedE-UTRAResourceList >-----#
    ProtectedE_UTRAResourceList = SEQ_OF(name='ProtectedE-UTRAResourceList', mode=MODE_TYPE)
    _ProtectedE_UTRAResourceList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResource-Item')))
    ProtectedE_UTRAResourceList._cont = _ProtectedE_UTRAResourceList__item_
    ProtectedE_UTRAResourceList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ProtectedE-UTRAResource-Item >-----#
    ProtectedE_UTRAResource_Item = SEQ(name='ProtectedE-UTRAResource-Item', mode=MODE_TYPE)
    _ProtectedE_UTRAResource_Item_resourceType = ENUM(name='resourceType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_resourceType._cont = ASN1Dict([('downlinknonCRS', 0), ('cRS', 1), ('uplink', 2)])
    _ProtectedE_UTRAResource_Item_resourceType._ext = []
    _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint = BIT_STR(name='intra-PRBProtectedResourceFootprint', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint._const_sz = ASN1Set(rv=[84], rr=[], ev=[], er=[])
    _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern = BIT_STR(name='protectedFootprintFrequencyPattern', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=110)], ev=[], er=[])
    _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern = SEQ(name='protectedFootprintTimePattern', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAFootprintTimePattern')))
    _ProtectedE_UTRAResource_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id),
        ('criticality', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAResource_Item_iE_Extensions._cont = __ProtectedE_UTRAResource_Item_iE_Extensions__item_
    _ProtectedE_UTRAResource_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAResource_Item._cont = ASN1Dict([
        ('resourceType', _ProtectedE_UTRAResource_Item_resourceType),
        ('intra-PRBProtectedResourceFootprint', _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint),
        ('protectedFootprintFrequencyPattern', _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern),
        ('protectedFootprintTimePattern', _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern),
        ('iE-Extensions', _ProtectedE_UTRAResource_Item_iE_Extensions),
        ])
    ProtectedE_UTRAResource_Item._ext = []
    
    #-----< ProtectedE-UTRAResource-Item-ExtIEs >-----#
    ProtectedE_UTRAResource_Item_ExtIEs = CLASS(name='ProtectedE-UTRAResource-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAResource_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ProtectedE-UTRAFootprintTimePattern >-----#
    ProtectedE_UTRAFootprintTimePattern = SEQ(name='ProtectedE-UTRAFootprintTimePattern', mode=MODE_TYPE)
    _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity = INT(name='protectedFootprintTimeperiodicity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=320)], ev=[], er=[])
    _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime = INT(name='protectedFootrpintStartTime', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=20)], ev=[], er=[])
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab_id = 'id'
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id),
        ('criticality', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality),
        ('extensionValue', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions._cont = __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAFootprintTimePattern._cont = ASN1Dict([
        ('protectedFootprintTimeperiodicity', _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity),
        ('protectedFootrpintStartTime', _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime),
        ('iE-Extensions', _ProtectedE_UTRAFootprintTimePattern_iE_Extensions),
        ])
    ProtectedE_UTRAFootprintTimePattern._ext = []
    
    #-----< ProtectedE-UTRAFootprintTimePattern-ExtIEs >-----#
    ProtectedE_UTRAFootprintTimePattern_ExtIEs = CLASS(name='ProtectedE-UTRAFootprintTimePattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAFootprintTimePattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSCharacteristics >-----#
    QoSCharacteristics = CHOICE(name='QoSCharacteristics', mode=MODE_TYPE)
    _QoSCharacteristics_non_dynamic = SEQ(name='non-dynamic', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NonDynamic5QIDescriptor')))
    _QoSCharacteristics_dynamic = SEQ(name='dynamic', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Dynamic5QIDescriptor')))
    _QoSCharacteristics_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __QoSCharacteristics_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___QoSCharacteristics_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_id._const_tab = ___QoSCharacteristics_choice_extension_id_tab
    __QoSCharacteristics_choice_extension_id._const_tab_at = None
    __QoSCharacteristics_choice_extension_id._const_tab_id = 'id'
    __QoSCharacteristics_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___QoSCharacteristics_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_criticality._const_tab = ___QoSCharacteristics_choice_extension_criticality_tab
    __QoSCharacteristics_choice_extension_criticality._const_tab_at = ('..', 'id')
    __QoSCharacteristics_choice_extension_criticality._const_tab_id = 'criticality'
    __QoSCharacteristics_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___QoSCharacteristics_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_value._const_tab = ___QoSCharacteristics_choice_extension_value_tab
    __QoSCharacteristics_choice_extension_value._const_tab_at = ('..', 'id')
    __QoSCharacteristics_choice_extension_value._const_tab_id = 'Value'
    _QoSCharacteristics_choice_extension._cont = ASN1Dict([
        ('id', __QoSCharacteristics_choice_extension_id),
        ('criticality', __QoSCharacteristics_choice_extension_criticality),
        ('value', __QoSCharacteristics_choice_extension_value),
        ])
    _QoSCharacteristics_choice_extension._ext = None
    QoSCharacteristics._cont = ASN1Dict([
        ('non-dynamic', _QoSCharacteristics_non_dynamic),
        ('dynamic', _QoSCharacteristics_dynamic),
        ('choice-extension', _QoSCharacteristics_choice_extension),
        ])
    QoSCharacteristics._ext = None
    
    #-----< QoSCharacteristics-ExtIEs >-----#
    QoSCharacteristics_ExtIEs = CLASS(name='QoSCharacteristics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    QoSCharacteristics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowIdentifier >-----#
    QoSFlowIdentifier = INT(name='QoSFlowIdentifier', mode=MODE_TYPE)
    QoSFlowIdentifier._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=[], er=[])
    
    #-----< QoSFlowLevelQoSParameters >-----#
    QoSFlowLevelQoSParameters = SEQ(name='QoSFlowLevelQoSParameters', mode=MODE_TYPE)
    _QoSFlowLevelQoSParameters_qos_characteristics = CHOICE(name='qos-characteristics', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSCharacteristics')))
    _QoSFlowLevelQoSParameters_allocationAndRetentionPrio = SEQ(name='allocationAndRetentionPrio', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AllocationandRetentionPriority')))
    _QoSFlowLevelQoSParameters_gBRQoSFlowInfo = SEQ(name='gBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowLevelQoSParameters_relectiveQoS = ENUM(name='relectiveQoS', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReflectiveQoSAttribute')), opt=True)
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo = ENUM(name='additionalQoSflowInfo', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo._cont = ASN1Dict([('more-likely', 0)])
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo._ext = []
    _QoSFlowLevelQoSParameters_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowLevelQoSParameters_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QosMonitoringRequest')))
    _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QosMonitoringReportingFrequency')))
    _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSMonitoringDisabled')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 154), ('criticality', 'ignore'), ('Extension', _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 238), ('criticality', 'ignore'), ('Extension', _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 243), ('criticality', 'ignore'), ('Extension', _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowLevelQoSParameters_iE_Extensions__item__id),
        ('criticality', ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._ext = None
    _QoSFlowLevelQoSParameters_iE_Extensions._cont = __QoSFlowLevelQoSParameters_iE_Extensions__item_
    _QoSFlowLevelQoSParameters_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowLevelQoSParameters._cont = ASN1Dict([
        ('qos-characteristics', _QoSFlowLevelQoSParameters_qos_characteristics),
        ('allocationAndRetentionPrio', _QoSFlowLevelQoSParameters_allocationAndRetentionPrio),
        ('gBRQoSFlowInfo', _QoSFlowLevelQoSParameters_gBRQoSFlowInfo),
        ('relectiveQoS', _QoSFlowLevelQoSParameters_relectiveQoS),
        ('additionalQoSflowInfo', _QoSFlowLevelQoSParameters_additionalQoSflowInfo),
        ('iE-Extensions', _QoSFlowLevelQoSParameters_iE_Extensions),
        ])
    QoSFlowLevelQoSParameters._ext = []
    
    #-----< QoSFlowLevelQoSParameters-ExtIEs >-----#
    QoSFlowLevelQoSParameters_ExtIEs = CLASS(name='QoSFlowLevelQoSParameters-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QosMonitoringRequest')))
    _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QosMonitoringReportingFrequency')))
    _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_2 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSMonitoringDisabled')))
    QoSFlowLevelQoSParameters_ExtIEs._val = ASN1Set(rv=[dict([('id', 154), ('criticality', 'ignore'), ('Extension', _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 238), ('criticality', 'ignore'), ('Extension', _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 243), ('criticality', 'ignore'), ('Extension', _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowMappingIndication >-----#
    QoSFlowMappingIndication = ENUM(name='QoSFlowMappingIndication', mode=MODE_TYPE)
    QoSFlowMappingIndication._cont = ASN1Dict([('ul', 0), ('dl', 1)])
    QoSFlowMappingIndication._ext = []
    
    #-----< QoSFlowNotificationControlIndicationInfo >-----#
    QoSFlowNotificationControlIndicationInfo = SEQ_OF(name='QoSFlowNotificationControlIndicationInfo', mode=MODE_TYPE)
    _QoSFlowNotificationControlIndicationInfo__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowNotify-Item')))
    QoSFlowNotificationControlIndicationInfo._cont = _QoSFlowNotificationControlIndicationInfo__item_
    QoSFlowNotificationControlIndicationInfo._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowNotify-Item >-----#
    QoSFlowNotify_Item = SEQ(name='QoSFlowNotify-Item', mode=MODE_TYPE)
    _QoSFlowNotify_Item_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowNotify_Item_notificationInformation = ENUM(name='notificationInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _QoSFlowNotify_Item_notificationInformation._cont = ASN1Dict([('fulfilled', 0), ('not-fulfilled', 1)])
    _QoSFlowNotify_Item_notificationInformation._ext = []
    _QoSFlowNotify_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowNotify_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowNotify_Item_iE_Extensions__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetNotifyIndex')))
    ____QoSFlowNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _____QoSFlowNotify_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__id_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__id_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__id_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowNotify_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowNotify_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowNotify_Item_iE_Extensions__item_._ext = None
    _QoSFlowNotify_Item_iE_Extensions._cont = __QoSFlowNotify_Item_iE_Extensions__item_
    _QoSFlowNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowNotify_Item._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFlowNotify_Item_qosFlowIdentifier),
        ('notificationInformation', _QoSFlowNotify_Item_notificationInformation),
        ('iE-Extensions', _QoSFlowNotify_Item_iE_Extensions),
        ])
    QoSFlowNotify_Item._ext = []
    
    #-----< QoSFlowNotificationControlIndicationInfo-ExtIEs >-----#
    QoSFlowNotificationControlIndicationInfo_ExtIEs = CLASS(name='QoSFlowNotificationControlIndicationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowNotificationControlIndicationInfo_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetNotifyIndex')))
    QoSFlowNotificationControlIndicationInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _QoSFlowNotificationControlIndicationInfo_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlows-List >-----#
    QoSFlows_List = SEQ_OF(name='QoSFlows-List', mode=MODE_TYPE)
    _QoSFlows_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlow-Item')))
    QoSFlows_List._cont = _QoSFlows_List__item_
    QoSFlows_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlow-Item >-----#
    QoSFlow_Item = SEQ(name='QoSFlow-Item', mode=MODE_TYPE)
    _QoSFlow_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlow_Item_qosFlowMappingIndication = ENUM(name='qosFlowMappingIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlow_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlow_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlow_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlow_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__id._const_tab = ____QoSFlow_Item_iE_Extension__item__id_tab
    ___QoSFlow_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlow_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFlow_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlow_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab = ____QoSFlow_Item_iE_Extension__item__criticality_tab
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFlow_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlow_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlow_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlow_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFlow_Item_iE_Extension__item__id),
        ('criticality', ___QoSFlow_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFlow_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlow_Item_iE_Extension__item_._ext = None
    _QoSFlow_Item_iE_Extension._cont = __QoSFlow_Item_iE_Extension__item_
    _QoSFlow_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlow_Item._cont = ASN1Dict([
        ('qfi', _QoSFlow_Item_qfi),
        ('qosFlowMappingIndication', _QoSFlow_Item_qosFlowMappingIndication),
        ('iE-Extension', _QoSFlow_Item_iE_Extension),
        ])
    QoSFlow_Item._ext = []
    
    #-----< QoSFlow-Item-ExtIEs >-----#
    QoSFlow_Item_ExtIEs = CLASS(name='QoSFlow-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlow_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlows-List-withCause >-----#
    QoSFlows_List_withCause = SEQ_OF(name='QoSFlows-List-withCause', mode=MODE_TYPE)
    _QoSFlows_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowwithCause-Item')))
    QoSFlows_List_withCause._cont = _QoSFlows_List_withCause__item_
    QoSFlows_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowwithCause-Item >-----#
    QoSFlowwithCause_Item = SEQ(name='QoSFlowwithCause-Item', mode=MODE_TYPE)
    _QoSFlowwithCause_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowwithCause_Item_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _QoSFlowwithCause_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowwithCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowwithCause_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowwithCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__id_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowwithCause_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFlowwithCause_Item_iE_Extension__item__id),
        ('criticality', ___QoSFlowwithCause_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowwithCause_Item_iE_Extension__item_._ext = None
    _QoSFlowwithCause_Item_iE_Extension._cont = __QoSFlowwithCause_Item_iE_Extension__item_
    _QoSFlowwithCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowwithCause_Item._cont = ASN1Dict([
        ('qfi', _QoSFlowwithCause_Item_qfi),
        ('cause', _QoSFlowwithCause_Item_cause),
        ('iE-Extension', _QoSFlowwithCause_Item_iE_Extension),
        ])
    QoSFlowwithCause_Item._ext = []
    
    #-----< QoSFlowwithCause-Item-ExtIEs >-----#
    QoSFlowwithCause_Item_ExtIEs = CLASS(name='QoSFlowwithCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowwithCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoS-Mapping-Information >-----#
    QoS_Mapping_Information = SEQ(name='QoS-Mapping-Information', mode=MODE_TYPE)
    _QoS_Mapping_Information_dscp = BIT_STR(name='dscp', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoS_Mapping_Information_dscp._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    _QoS_Mapping_Information_flow_label = BIT_STR(name='flow-label', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoS_Mapping_Information_flow_label._const_sz = ASN1Set(rv=[20], rr=[], ev=None, er=[])
    _QoS_Mapping_Information_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Mapping_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoS_Mapping_Information_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoS_Mapping_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoS_Mapping_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Mapping_Information_iE_Extensions__item__id._const_tab = ____QoS_Mapping_Information_iE_Extensions__item__id_tab
    ___QoS_Mapping_Information_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Mapping_Information_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoS_Mapping_Information_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoS_Mapping_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoS_Mapping_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Mapping_Information_iE_Extensions__item__criticality._const_tab = ____QoS_Mapping_Information_iE_Extensions__item__criticality_tab
    ___QoS_Mapping_Information_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoS_Mapping_Information_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoS_Mapping_Information_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoS_Mapping_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoS_Mapping_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Mapping_Information_iE_Extensions__item__extensionValue._const_tab = ____QoS_Mapping_Information_iE_Extensions__item__extensionValue_tab
    ___QoS_Mapping_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoS_Mapping_Information_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoS_Mapping_Information_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoS_Mapping_Information_iE_Extensions__item__id),
        ('criticality', ___QoS_Mapping_Information_iE_Extensions__item__criticality),
        ('extensionValue', ___QoS_Mapping_Information_iE_Extensions__item__extensionValue),
        ])
    __QoS_Mapping_Information_iE_Extensions__item_._ext = None
    _QoS_Mapping_Information_iE_Extensions._cont = __QoS_Mapping_Information_iE_Extensions__item_
    _QoS_Mapping_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Mapping_Information._cont = ASN1Dict([
        ('dscp', _QoS_Mapping_Information_dscp),
        ('flow-label', _QoS_Mapping_Information_flow_label),
        ('iE-Extensions', _QoS_Mapping_Information_iE_Extensions),
        ])
    QoS_Mapping_Information._ext = []
    
    #-----< QoS-Mapping-Information-ExtIEs >-----#
    QoS_Mapping_Information_ExtIEs = CLASS(name='QoS-Mapping-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoS_Mapping_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSParaSetIndex >-----#
    QoSParaSetIndex = INT(name='QoSParaSetIndex', mode=MODE_TYPE)
    QoSParaSetIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=[], er=[])
    
    #-----< QoSParaSetNotifyIndex >-----#
    QoSParaSetNotifyIndex = INT(name='QoSParaSetNotifyIndex', mode=MODE_TYPE)
    QoSParaSetNotifyIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=8)], ev=[], er=[])
    
    #-----< QoSFlowsAdmitted-List >-----#
    QoSFlowsAdmitted_List = SEQ_OF(name='QoSFlowsAdmitted-List', mode=MODE_TYPE)
    _QoSFlowsAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsAdmitted-Item')))
    QoSFlowsAdmitted_List._cont = _QoSFlowsAdmitted_List__item_
    QoSFlowsAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsAdmitted-Item >-----#
    QoSFlowsAdmitted_Item = SEQ(name='QoSFlowsAdmitted-Item', mode=MODE_TYPE)
    _QoSFlowsAdmitted_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsAdmitted_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsAdmitted_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsAdmitted_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsAdmitted_Item_iE_Extension__item__id),
        ('criticality', ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowsAdmitted_Item_iE_Extension__item_._ext = None
    _QoSFlowsAdmitted_Item_iE_Extension._cont = __QoSFlowsAdmitted_Item_iE_Extension__item_
    _QoSFlowsAdmitted_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsAdmitted_Item._cont = ASN1Dict([
        ('qfi', _QoSFlowsAdmitted_Item_qfi),
        ('iE-Extension', _QoSFlowsAdmitted_Item_iE_Extension),
        ])
    QoSFlowsAdmitted_Item._ext = []
    
    #-----< QoSFlowsAdmitted-Item-ExtIEs >-----#
    QoSFlowsAdmitted_Item_ExtIEs = CLASS(name='QoSFlowsAdmitted-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsAdmitted_Item_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSParaSetIndex')))
    QoSFlowsAdmitted_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 175), ('criticality', 'ignore'), ('Extension', _QoSFlowsAdmitted_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List >-----#
    QoSFlowsToBeSetup_List = SEQ_OF(name='QoSFlowsToBeSetup-List', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-Item')))
    QoSFlowsToBeSetup_List._cont = _QoSFlowsToBeSetup_List__item_
    QoSFlowsToBeSetup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-Item >-----#
    QoSFlowsToBeSetup_Item = SEQ(name='QoSFlowsToBeSetup-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_Item_qfi = INT(name='qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters = SEQ(name='qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsToBeSetup_Item_e_RAB_ID = INT(name='e-RAB-ID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-RAB-ID')), opt=True)
    _QoSFlowsToBeSetup_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsToBeSetup_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsToBeSetup_Item_iE_Extension__item__id),
        ('criticality', ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality),
        ('extensionValue', ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_Item_iE_Extension__item_._ext = None
    _QoSFlowsToBeSetup_Item_iE_Extension._cont = __QoSFlowsToBeSetup_Item_iE_Extension__item_
    _QoSFlowsToBeSetup_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_Item._cont = ASN1Dict([
        ('qfi', _QoSFlowsToBeSetup_Item_qfi),
        ('qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters),
        ('e-RAB-ID', _QoSFlowsToBeSetup_Item_e_RAB_ID),
        ('iE-Extension', _QoSFlowsToBeSetup_Item_iE_Extension),
        ])
    QoSFlowsToBeSetup_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_Item_ExtIEs = CLASS(name='QoSFlowsToBeSetup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TSCTrafficCharacteristics')))
    _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RedundantQoSFlowIndicator')))
    QoSFlowsToBeSetup_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 212), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 213), ('criticality', 'ignore'), ('Extension', _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsUsageReportList >-----#
    QoSFlowsUsageReportList = SEQ_OF(name='QoSFlowsUsageReportList', mode=MODE_TYPE)
    _QoSFlowsUsageReportList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsUsageReport-Item')))
    QoSFlowsUsageReportList._cont = _QoSFlowsUsageReportList__item_
    QoSFlowsUsageReportList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsUsageReport-Item >-----#
    QoSFlowsUsageReport_Item = SEQ(name='QoSFlowsUsageReport-Item', mode=MODE_TYPE)
    _QoSFlowsUsageReport_Item_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsUsageReport_Item_rATType = ENUM(name='rATType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _QoSFlowsUsageReport_Item_rATType._cont = ASN1Dict([('nr', 0), ('eutra', 1), ('nr-unlicensed', 2), ('e-utra-unlicensed', 3)])
    _QoSFlowsUsageReport_Item_rATType._ext = ['nr-unlicensed', 'e-utra-unlicensed']
    _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList = SEQ_OF(name='qoSFlowsTimedReportList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReportList')))
    _QoSFlowsUsageReport_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsUsageReport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsUsageReport_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsUsageReport_Item_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsUsageReport_Item_iE_Extensions__item_._ext = None
    _QoSFlowsUsageReport_Item_iE_Extensions._cont = __QoSFlowsUsageReport_Item_iE_Extensions__item_
    _QoSFlowsUsageReport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsUsageReport_Item._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFlowsUsageReport_Item_qosFlowIdentifier),
        ('rATType', _QoSFlowsUsageReport_Item_rATType),
        ('qoSFlowsTimedReportList', _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList),
        ('iE-Extensions', _QoSFlowsUsageReport_Item_iE_Extensions),
        ])
    QoSFlowsUsageReport_Item._ext = []
    
    #-----< QoSFlowsUsageReport-Item-ExtIEs >-----#
    QoSFlowsUsageReport_Item_ExtIEs = CLASS(name='QoSFlowsUsageReport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsUsageReport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QosMonitoringRequest >-----#
    QosMonitoringRequest = ENUM(name='QosMonitoringRequest', mode=MODE_TYPE)
    QosMonitoringRequest._cont = ASN1Dict([('ul', 0), ('dl', 1), ('both', 2)])
    QosMonitoringRequest._ext = None
    
    #-----< QoSMonitoringDisabled >-----#
    QoSMonitoringDisabled = ENUM(name='QoSMonitoringDisabled', mode=MODE_TYPE)
    QoSMonitoringDisabled._cont = ASN1Dict([('true', 0)])
    QoSMonitoringDisabled._ext = []
    
    #-----< QosMonitoringReportingFrequency >-----#
    QosMonitoringReportingFrequency = INT(name='QosMonitoringReportingFrequency', mode=MODE_TYPE)
    QosMonitoringReportingFrequency._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1800)], ev=[], er=[])
    
    #-----< RACHReportInformation >-----#
    RACHReportInformation = SEQ_OF(name='RACHReportInformation', mode=MODE_TYPE)
    _RACHReportInformation__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RACHReportList-Item')))
    RACHReportInformation._cont = _RACHReportInformation__item_
    RACHReportInformation._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< RACHReportList-Item >-----#
    RACHReportList_Item = SEQ(name='RACHReportList-Item', mode=MODE_TYPE)
    _RACHReportList_Item_rACHReport = OCT_STR(name='rACHReport', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RACHReportContainer')))
    _RACHReportList_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RACHReportList_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RACHReportList_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RACHReportList_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RACHReportList_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RACHReportList_Item_iE_Extensions__item__id._const_tab = ____RACHReportList_Item_iE_Extensions__item__id_tab
    ___RACHReportList_Item_iE_Extensions__item__id._const_tab_at = None
    ___RACHReportList_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___RACHReportList_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RACHReportList_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RACHReportList_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RACHReportList_Item_iE_Extensions__item__criticality._const_tab = ____RACHReportList_Item_iE_Extensions__item__criticality_tab
    ___RACHReportList_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RACHReportList_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RACHReportList_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RACHReportList_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RACHReportList_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RACHReportList_Item_iE_Extensions__item__extensionValue._const_tab = ____RACHReportList_Item_iE_Extensions__item__extensionValue_tab
    ___RACHReportList_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RACHReportList_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RACHReportList_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RACHReportList_Item_iE_Extensions__item__id),
        ('criticality', ___RACHReportList_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___RACHReportList_Item_iE_Extensions__item__extensionValue),
        ])
    __RACHReportList_Item_iE_Extensions__item_._ext = None
    _RACHReportList_Item_iE_Extensions._cont = __RACHReportList_Item_iE_Extensions__item_
    _RACHReportList_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RACHReportList_Item._cont = ASN1Dict([
        ('rACHReport', _RACHReportList_Item_rACHReport),
        ('iE-Extensions', _RACHReportList_Item_iE_Extensions),
        ])
    RACHReportList_Item._ext = []
    
    #-----< RACHReportList-Item-ExtIEs >-----#
    RACHReportList_Item_ExtIEs = CLASS(name='RACHReportList-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RACHReportList_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RACHReportContainer >-----#
    RACHReportContainer = OCT_STR(name='RACHReportContainer', mode=MODE_TYPE)
    
    #-----< RadioResourceStatus >-----#
    RadioResourceStatus = CHOICE(name='RadioResourceStatus', mode=MODE_TYPE)
    _RadioResourceStatus_ng_eNB_RadioResourceStatus = SEQ(name='ng-eNB-RadioResourceStatus', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-eNB-RadioResourceStatus')))
    _RadioResourceStatus_gNB_RadioResourceStatus = SEQ(name='gNB-RadioResourceStatus', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GNB-RadioResourceStatus')))
    _RadioResourceStatus_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RadioResourceStatus_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RadioResourceStatus_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RadioResourceStatus_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RadioResourceStatus_choice_extension_id._const_tab = ___RadioResourceStatus_choice_extension_id_tab
    __RadioResourceStatus_choice_extension_id._const_tab_at = None
    __RadioResourceStatus_choice_extension_id._const_tab_id = 'id'
    __RadioResourceStatus_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RadioResourceStatus_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RadioResourceStatus_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RadioResourceStatus_choice_extension_criticality._const_tab = ___RadioResourceStatus_choice_extension_criticality_tab
    __RadioResourceStatus_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RadioResourceStatus_choice_extension_criticality._const_tab_id = 'criticality'
    __RadioResourceStatus_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RadioResourceStatus_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RadioResourceStatus_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RadioResourceStatus_choice_extension_value._const_tab = ___RadioResourceStatus_choice_extension_value_tab
    __RadioResourceStatus_choice_extension_value._const_tab_at = ('..', 'id')
    __RadioResourceStatus_choice_extension_value._const_tab_id = 'Value'
    _RadioResourceStatus_choice_extension._cont = ASN1Dict([
        ('id', __RadioResourceStatus_choice_extension_id),
        ('criticality', __RadioResourceStatus_choice_extension_criticality),
        ('value', __RadioResourceStatus_choice_extension_value),
        ])
    _RadioResourceStatus_choice_extension._ext = None
    RadioResourceStatus._cont = ASN1Dict([
        ('ng-eNB-RadioResourceStatus', _RadioResourceStatus_ng_eNB_RadioResourceStatus),
        ('gNB-RadioResourceStatus', _RadioResourceStatus_gNB_RadioResourceStatus),
        ('choice-extension', _RadioResourceStatus_choice_extension),
        ])
    RadioResourceStatus._ext = None
    
    #-----< RadioResourceStatus-ExtIEs >-----#
    RadioResourceStatus_ExtIEs = CLASS(name='RadioResourceStatus-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RadioResourceStatus_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANAC >-----#
    RANAC = INT(name='RANAC', mode=MODE_TYPE)
    RANAC._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< RANAreaID >-----#
    RANAreaID = SEQ(name='RANAreaID', mode=MODE_TYPE)
    _RANAreaID_tAC = OCT_STR(name='tAC', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _RANAreaID_rANAC = INT(name='rANAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _RANAreaID_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANAreaID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANAreaID_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RANAreaID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__id._const_tab = ____RANAreaID_iE_Extensions__item__id_tab
    ___RANAreaID_iE_Extensions__item__id._const_tab_at = None
    ___RANAreaID_iE_Extensions__item__id._const_tab_id = 'id'
    ___RANAreaID_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RANAreaID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__criticality._const_tab = ____RANAreaID_iE_Extensions__item__criticality_tab
    ___RANAreaID_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RANAreaID_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RANAreaID_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RANAreaID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab = ____RANAreaID_iE_Extensions__item__extensionValue_tab
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RANAreaID_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RANAreaID_iE_Extensions__item__id),
        ('criticality', ___RANAreaID_iE_Extensions__item__criticality),
        ('extensionValue', ___RANAreaID_iE_Extensions__item__extensionValue),
        ])
    __RANAreaID_iE_Extensions__item_._ext = None
    _RANAreaID_iE_Extensions._cont = __RANAreaID_iE_Extensions__item_
    _RANAreaID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANAreaID._cont = ASN1Dict([
        ('tAC', _RANAreaID_tAC),
        ('rANAC', _RANAreaID_rANAC),
        ('iE-Extensions', _RANAreaID_iE_Extensions),
        ])
    RANAreaID._ext = []
    
    #-----< RANAreaID-ExtIEs >-----#
    RANAreaID_ExtIEs = CLASS(name='RANAreaID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANAreaID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANAreaID-List >-----#
    RANAreaID_List = SEQ_OF(name='RANAreaID-List', mode=MODE_TYPE)
    _RANAreaID_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANAreaID')))
    RANAreaID_List._cont = _RANAreaID_List__item_
    RANAreaID_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< Range >-----#
    Range = ENUM(name='Range', mode=MODE_TYPE)
    Range._cont = ASN1Dict([('m50', 0), ('m80', 1), ('m180', 2), ('m200', 3), ('m350', 4), ('m400', 5), ('m500', 6), ('m700', 7), ('m1000', 8)])
    Range._ext = []
    
    #-----< RANPagingArea >-----#
    RANPagingArea = SEQ(name='RANPagingArea', mode=MODE_TYPE)
    _RANPagingArea_pLMN_Identity = OCT_STR(name='pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _RANPagingArea_rANPagingAreaChoice = CHOICE(name='rANPagingAreaChoice', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANPagingAreaChoice')))
    _RANPagingArea_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANPagingArea_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANPagingArea_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RANPagingArea_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__id._const_tab = ____RANPagingArea_iE_Extensions__item__id_tab
    ___RANPagingArea_iE_Extensions__item__id._const_tab_at = None
    ___RANPagingArea_iE_Extensions__item__id._const_tab_id = 'id'
    ___RANPagingArea_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RANPagingArea_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab = ____RANPagingArea_iE_Extensions__item__criticality_tab
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RANPagingArea_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RANPagingArea_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab = ____RANPagingArea_iE_Extensions__item__extensionValue_tab
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RANPagingArea_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RANPagingArea_iE_Extensions__item__id),
        ('criticality', ___RANPagingArea_iE_Extensions__item__criticality),
        ('extensionValue', ___RANPagingArea_iE_Extensions__item__extensionValue),
        ])
    __RANPagingArea_iE_Extensions__item_._ext = None
    _RANPagingArea_iE_Extensions._cont = __RANPagingArea_iE_Extensions__item_
    _RANPagingArea_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANPagingArea._cont = ASN1Dict([
        ('pLMN-Identity', _RANPagingArea_pLMN_Identity),
        ('rANPagingAreaChoice', _RANPagingArea_rANPagingAreaChoice),
        ('iE-Extensions', _RANPagingArea_iE_Extensions),
        ])
    RANPagingArea._ext = []
    
    #-----< RANPagingArea-ExtIEs >-----#
    RANPagingArea_ExtIEs = CLASS(name='RANPagingArea-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANPagingArea_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingAreaChoice >-----#
    RANPagingAreaChoice = CHOICE(name='RANPagingAreaChoice', mode=MODE_TYPE)
    _RANPagingAreaChoice_cell_List = SEQ_OF(name='cell-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity-ListinRANPagingArea')))
    _RANPagingAreaChoice_rANAreaID_List = SEQ_OF(name='rANAreaID-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAreaID-List')))
    _RANPagingAreaChoice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RANPagingAreaChoice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RANPagingAreaChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_id._const_tab = ___RANPagingAreaChoice_choice_extension_id_tab
    __RANPagingAreaChoice_choice_extension_id._const_tab_at = None
    __RANPagingAreaChoice_choice_extension_id._const_tab_id = 'id'
    __RANPagingAreaChoice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RANPagingAreaChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_criticality._const_tab = ___RANPagingAreaChoice_choice_extension_criticality_tab
    __RANPagingAreaChoice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RANPagingAreaChoice_choice_extension_criticality._const_tab_id = 'criticality'
    __RANPagingAreaChoice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RANPagingAreaChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_value._const_tab = ___RANPagingAreaChoice_choice_extension_value_tab
    __RANPagingAreaChoice_choice_extension_value._const_tab_at = ('..', 'id')
    __RANPagingAreaChoice_choice_extension_value._const_tab_id = 'Value'
    _RANPagingAreaChoice_choice_extension._cont = ASN1Dict([
        ('id', __RANPagingAreaChoice_choice_extension_id),
        ('criticality', __RANPagingAreaChoice_choice_extension_criticality),
        ('value', __RANPagingAreaChoice_choice_extension_value),
        ])
    _RANPagingAreaChoice_choice_extension._ext = None
    RANPagingAreaChoice._cont = ASN1Dict([
        ('cell-List', _RANPagingAreaChoice_cell_List),
        ('rANAreaID-List', _RANPagingAreaChoice_rANAreaID_List),
        ('choice-extension', _RANPagingAreaChoice_choice_extension),
        ])
    RANPagingAreaChoice._ext = None
    
    #-----< RANPagingAreaChoice-ExtIEs >-----#
    RANPagingAreaChoice_ExtIEs = CLASS(name='RANPagingAreaChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RANPagingAreaChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingAttemptInfo >-----#
    RANPagingAttemptInfo = SEQ(name='RANPagingAttemptInfo', mode=MODE_TYPE)
    _RANPagingAttemptInfo_pagingAttemptCount = INT(name='pagingAttemptCount', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RANPagingAttemptInfo_pagingAttemptCount._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=[], er=[])
    _RANPagingAttemptInfo_intendedNumberOfPagingAttempts = INT(name='intendedNumberOfPagingAttempts', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RANPagingAttemptInfo_intendedNumberOfPagingAttempts._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=[], er=[])
    _RANPagingAttemptInfo_nextPagingAreaScope = ENUM(name='nextPagingAreaScope', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _RANPagingAttemptInfo_nextPagingAreaScope._cont = ASN1Dict([('same', 0), ('changed', 1)])
    _RANPagingAttemptInfo_nextPagingAreaScope._ext = []
    _RANPagingAttemptInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANPagingAttemptInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANPagingAttemptInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RANPagingAttemptInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__id_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab_at = None
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RANPagingAttemptInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RANPagingAttemptInfo_iE_Extensions__item__id),
        ('criticality', ___RANPagingAttemptInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue),
        ])
    __RANPagingAttemptInfo_iE_Extensions__item_._ext = None
    _RANPagingAttemptInfo_iE_Extensions._cont = __RANPagingAttemptInfo_iE_Extensions__item_
    _RANPagingAttemptInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANPagingAttemptInfo._cont = ASN1Dict([
        ('pagingAttemptCount', _RANPagingAttemptInfo_pagingAttemptCount),
        ('intendedNumberOfPagingAttempts', _RANPagingAttemptInfo_intendedNumberOfPagingAttempts),
        ('nextPagingAreaScope', _RANPagingAttemptInfo_nextPagingAreaScope),
        ('iE-Extensions', _RANPagingAttemptInfo_iE_Extensions),
        ])
    RANPagingAttemptInfo._ext = []
    
    #-----< RANPagingAttemptInfo-ExtIEs >-----#
    RANPagingAttemptInfo_ExtIEs = CLASS(name='RANPagingAttemptInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANPagingAttemptInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingFailure >-----#
    RANPagingFailure = ENUM(name='RANPagingFailure', mode=MODE_TYPE)
    RANPagingFailure._cont = ASN1Dict([('true', 0)])
    RANPagingFailure._ext = []
    
    #-----< RedundantQoSFlowIndicator >-----#
    RedundantQoSFlowIndicator = ENUM(name='RedundantQoSFlowIndicator', mode=MODE_TYPE)
    RedundantQoSFlowIndicator._cont = ASN1Dict([('true', 0), ('false', 1)])
    RedundantQoSFlowIndicator._ext = None
    
    #-----< RedundantPDUSessionInformation >-----#
    RedundantPDUSessionInformation = SEQ(name='RedundantPDUSessionInformation', mode=MODE_TYPE)
    _RedundantPDUSessionInformation_rSN = ENUM(name='rSN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RSN')))
    _RedundantPDUSessionInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RedundantPDUSessionInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RedundantPDUSessionInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RedundantPDUSessionInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RedundantPDUSessionInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RedundantPDUSessionInformation_iE_Extensions__item__id._const_tab = ____RedundantPDUSessionInformation_iE_Extensions__item__id_tab
    ___RedundantPDUSessionInformation_iE_Extensions__item__id._const_tab_at = None
    ___RedundantPDUSessionInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___RedundantPDUSessionInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RedundantPDUSessionInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RedundantPDUSessionInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RedundantPDUSessionInformation_iE_Extensions__item__criticality._const_tab = ____RedundantPDUSessionInformation_iE_Extensions__item__criticality_tab
    ___RedundantPDUSessionInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RedundantPDUSessionInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RedundantPDUSessionInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RedundantPDUSessionInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue._const_tab = ____RedundantPDUSessionInformation_iE_Extensions__item__extensionValue_tab
    ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RedundantPDUSessionInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RedundantPDUSessionInformation_iE_Extensions__item__id),
        ('criticality', ___RedundantPDUSessionInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue),
        ])
    __RedundantPDUSessionInformation_iE_Extensions__item_._ext = None
    _RedundantPDUSessionInformation_iE_Extensions._cont = __RedundantPDUSessionInformation_iE_Extensions__item_
    _RedundantPDUSessionInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RedundantPDUSessionInformation._cont = ASN1Dict([
        ('rSN', _RedundantPDUSessionInformation_rSN),
        ('iE-Extensions', _RedundantPDUSessionInformation_iE_Extensions),
        ])
    RedundantPDUSessionInformation._ext = []
    
    #-----< RedundantPDUSessionInformation-ExtIEs >-----#
    RedundantPDUSessionInformation_ExtIEs = CLASS(name='RedundantPDUSessionInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RedundantPDUSessionInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RSN >-----#
    RSN = ENUM(name='RSN', mode=MODE_TYPE)
    RSN._cont = ASN1Dict([('v1', 0), ('v2', 1)])
    RSN._ext = []
    
    #-----< ReferenceID >-----#
    ReferenceID = INT(name='ReferenceID', mode=MODE_TYPE)
    ReferenceID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=[], er=[])
    
    #-----< ReflectiveQoSAttribute >-----#
    ReflectiveQoSAttribute = ENUM(name='ReflectiveQoSAttribute', mode=MODE_TYPE)
    ReflectiveQoSAttribute._cont = ASN1Dict([('subject-to-reflective-QoS', 0)])
    ReflectiveQoSAttribute._ext = []
    
    #-----< ReportAmountMDT >-----#
    ReportAmountMDT = ENUM(name='ReportAmountMDT', mode=MODE_TYPE)
    ReportAmountMDT._cont = ASN1Dict([('r1', 0), ('r2', 1), ('r4', 2), ('r8', 3), ('r16', 4), ('r32', 5), ('r64', 6), ('infinity', 7)])
    ReportAmountMDT._ext = []
    
    #-----< ReportArea >-----#
    ReportArea = ENUM(name='ReportArea', mode=MODE_TYPE)
    ReportArea._cont = ASN1Dict([('cell', 0)])
    ReportArea._ext = []
    
    #-----< ReportIntervalMDT >-----#
    ReportIntervalMDT = ENUM(name='ReportIntervalMDT', mode=MODE_TYPE)
    ReportIntervalMDT._cont = ASN1Dict([('ms120', 0), ('ms240', 1), ('ms480', 2), ('ms640', 3), ('ms1024', 4), ('ms2048', 5), ('ms5120', 6), ('ms10240', 7), ('min1', 8), ('min6', 9), ('min12', 10), ('min30', 11), ('min60', 12)])
    ReportIntervalMDT._ext = []
    
    #-----< ReportType >-----#
    ReportType = CHOICE(name='ReportType', mode=MODE_TYPE)
    _ReportType_periodical = SEQ(name='periodical', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Periodical')))
    _ReportType_eventTriggered = SEQ(name='eventTriggered', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'EventTriggered')))
    ReportType._cont = ASN1Dict([
        ('periodical', _ReportType_periodical),
        ('eventTriggered', _ReportType_eventTriggered),
        ])
    ReportType._ext = []
    
    #-----< ExtendedReportIntervalMDT >-----#
    ExtendedReportIntervalMDT = ENUM(name='ExtendedReportIntervalMDT', mode=MODE_TYPE)
    ExtendedReportIntervalMDT._cont = ASN1Dict([('ms20480', 0), ('ms40960', 1)])
    ExtendedReportIntervalMDT._ext = []
    
    #-----< ReportCharacteristics >-----#
    ReportCharacteristics = BIT_STR(name='ReportCharacteristics', mode=MODE_TYPE)
    ReportCharacteristics._const_sz = ASN1Set(rv=[32], rr=[], ev=None, er=[])
    
    #-----< ReportingPeriodicity >-----#
    ReportingPeriodicity = ENUM(name='ReportingPeriodicity', mode=MODE_TYPE)
    ReportingPeriodicity._cont = ASN1Dict([('half-thousand-ms', 0), ('one-thousand-ms', 1), ('two-thousand-ms', 2), ('five-thousand-ms', 3), ('ten-thousand-ms', 4)])
    ReportingPeriodicity._ext = []
    
    #-----< RegistrationRequest >-----#
    RegistrationRequest = ENUM(name='RegistrationRequest', mode=MODE_TYPE)
    RegistrationRequest._cont = ASN1Dict([('start', 0), ('stop', 1), ('add', 2)])
    RegistrationRequest._ext = []
    
    #-----< RequestReferenceID >-----#
    RequestReferenceID = INT(name='RequestReferenceID', mode=MODE_TYPE)
    RequestReferenceID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=[], er=[])
    
    #-----< ReservedSubframePattern >-----#
    ReservedSubframePattern = SEQ(name='ReservedSubframePattern', mode=MODE_TYPE)
    _ReservedSubframePattern_subframeType = ENUM(name='subframeType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ReservedSubframePattern_subframeType._cont = ASN1Dict([('mbsfn', 0), ('non-mbsfn', 1)])
    _ReservedSubframePattern_subframeType._ext = []
    _ReservedSubframePattern_reservedSubframePattern = BIT_STR(name='reservedSubframePattern', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ReservedSubframePattern_reservedSubframePattern._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=10, ub=160)], ev=None, er=[])
    _ReservedSubframePattern_mbsfnControlRegionLength = INT(name='mbsfnControlRegionLength', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNControlRegionLength')), opt=True)
    _ReservedSubframePattern_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ReservedSubframePattern_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ReservedSubframePattern_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ReservedSubframePattern_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab = ____ReservedSubframePattern_iE_Extension__item__id_tab
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab_at = None
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab_id = 'id'
    ___ReservedSubframePattern_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ReservedSubframePattern_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab = ____ReservedSubframePattern_iE_Extension__item__criticality_tab
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___ReservedSubframePattern_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab = ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __ReservedSubframePattern_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___ReservedSubframePattern_iE_Extension__item__id),
        ('criticality', ___ReservedSubframePattern_iE_Extension__item__criticality),
        ('extensionValue', ___ReservedSubframePattern_iE_Extension__item__extensionValue),
        ])
    __ReservedSubframePattern_iE_Extension__item_._ext = None
    _ReservedSubframePattern_iE_Extension._cont = __ReservedSubframePattern_iE_Extension__item_
    _ReservedSubframePattern_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ReservedSubframePattern._cont = ASN1Dict([
        ('subframeType', _ReservedSubframePattern_subframeType),
        ('reservedSubframePattern', _ReservedSubframePattern_reservedSubframePattern),
        ('mbsfnControlRegionLength', _ReservedSubframePattern_mbsfnControlRegionLength),
        ('iE-Extension', _ReservedSubframePattern_iE_Extension),
        ])
    ReservedSubframePattern._ext = []
    
    #-----< ReservedSubframePattern-ExtIEs >-----#
    ReservedSubframePattern_ExtIEs = CLASS(name='ReservedSubframePattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ReservedSubframePattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo >-----#
    ResetRequestTypeInfo = CHOICE(name='ResetRequestTypeInfo', mode=MODE_TYPE)
    _ResetRequestTypeInfo_fullReset = SEQ(name='fullReset', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo-Full')))
    _ResetRequestTypeInfo_partialReset = SEQ(name='partialReset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo-Partial')))
    _ResetRequestTypeInfo_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResetRequestTypeInfo_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ResetRequestTypeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_id._const_tab = ___ResetRequestTypeInfo_choice_extension_id_tab
    __ResetRequestTypeInfo_choice_extension_id._const_tab_at = None
    __ResetRequestTypeInfo_choice_extension_id._const_tab_id = 'id'
    __ResetRequestTypeInfo_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResetRequestTypeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab = ___ResetRequestTypeInfo_choice_extension_criticality_tab
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab_id = 'criticality'
    __ResetRequestTypeInfo_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResetRequestTypeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_value._const_tab = ___ResetRequestTypeInfo_choice_extension_value_tab
    __ResetRequestTypeInfo_choice_extension_value._const_tab_at = ('..', 'id')
    __ResetRequestTypeInfo_choice_extension_value._const_tab_id = 'Value'
    _ResetRequestTypeInfo_choice_extension._cont = ASN1Dict([
        ('id', __ResetRequestTypeInfo_choice_extension_id),
        ('criticality', __ResetRequestTypeInfo_choice_extension_criticality),
        ('value', __ResetRequestTypeInfo_choice_extension_value),
        ])
    _ResetRequestTypeInfo_choice_extension._ext = None
    ResetRequestTypeInfo._cont = ASN1Dict([
        ('fullReset', _ResetRequestTypeInfo_fullReset),
        ('partialReset', _ResetRequestTypeInfo_partialReset),
        ('choice-extension', _ResetRequestTypeInfo_choice_extension),
        ])
    ResetRequestTypeInfo._ext = None
    
    #-----< ResetRequestTypeInfo-ExtIEs >-----#
    ResetRequestTypeInfo_ExtIEs = CLASS(name='ResetRequestTypeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResetRequestTypeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo-Full >-----#
    ResetRequestTypeInfo_Full = SEQ(name='ResetRequestTypeInfo-Full', mode=MODE_TYPE)
    _ResetRequestTypeInfo_Full_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestTypeInfo_Full_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab_at = None
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab_id = 'id'
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __ResetRequestTypeInfo_Full_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___ResetRequestTypeInfo_Full_iE_Extension__item__id),
        ('criticality', ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality),
        ('extensionValue', ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue),
        ])
    __ResetRequestTypeInfo_Full_iE_Extension__item_._ext = None
    _ResetRequestTypeInfo_Full_iE_Extension._cont = __ResetRequestTypeInfo_Full_iE_Extension__item_
    _ResetRequestTypeInfo_Full_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestTypeInfo_Full._cont = ASN1Dict([
        ('iE-Extension', _ResetRequestTypeInfo_Full_iE_Extension),
        ])
    ResetRequestTypeInfo_Full._ext = []
    
    #-----< ResetRequestTypeInfo-Full-ExtIEs >-----#
    ResetRequestTypeInfo_Full_ExtIEs = CLASS(name='ResetRequestTypeInfo-Full-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestTypeInfo_Full_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo-Partial >-----#
    ResetRequestTypeInfo_Partial = SEQ(name='ResetRequestTypeInfo-Partial', mode=MODE_TYPE)
    _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList = SEQ_OF(name='ue-contexts-ToBeReleasedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestPartialReleaseList')))
    _ResetRequestTypeInfo_Partial_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestTypeInfo_Partial_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab_at = None
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab_id = 'id'
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __ResetRequestTypeInfo_Partial_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___ResetRequestTypeInfo_Partial_iE_Extension__item__id),
        ('criticality', ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality),
        ('extensionValue', ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue),
        ])
    __ResetRequestTypeInfo_Partial_iE_Extension__item_._ext = None
    _ResetRequestTypeInfo_Partial_iE_Extension._cont = __ResetRequestTypeInfo_Partial_iE_Extension__item_
    _ResetRequestTypeInfo_Partial_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestTypeInfo_Partial._cont = ASN1Dict([
        ('ue-contexts-ToBeReleasedList', _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList),
        ('iE-Extension', _ResetRequestTypeInfo_Partial_iE_Extension),
        ])
    ResetRequestTypeInfo_Partial._ext = []
    
    #-----< ResetRequestTypeInfo-Partial-ExtIEs >-----#
    ResetRequestTypeInfo_Partial_ExtIEs = CLASS(name='ResetRequestTypeInfo-Partial-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestTypeInfo_Partial_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestPartialReleaseList >-----#
    ResetRequestPartialReleaseList = SEQ_OF(name='ResetRequestPartialReleaseList', mode=MODE_TYPE)
    _ResetRequestPartialReleaseList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestPartialReleaseItem')))
    ResetRequestPartialReleaseList._cont = _ResetRequestPartialReleaseList__item_
    ResetRequestPartialReleaseList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8192)], ev=None, er=[])
    
    #-----< ResetRequestPartialReleaseItem >-----#
    ResetRequestPartialReleaseItem = SEQ(name='ResetRequestPartialReleaseItem', mode=MODE_TYPE)
    _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID = INT(name='ng-ran-node1UEXnAPID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID = INT(name='ng-ran-node2UEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetRequestPartialReleaseItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestPartialReleaseItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab_at = None
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResetRequestPartialReleaseItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResetRequestPartialReleaseItem_iE_Extensions__item__id),
        ('criticality', ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality),
        ('extensionValue', ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue),
        ])
    __ResetRequestPartialReleaseItem_iE_Extensions__item_._ext = None
    _ResetRequestPartialReleaseItem_iE_Extensions._cont = __ResetRequestPartialReleaseItem_iE_Extensions__item_
    _ResetRequestPartialReleaseItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestPartialReleaseItem._cont = ASN1Dict([
        ('ng-ran-node1UEXnAPID', _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID),
        ('ng-ran-node2UEXnAPID', _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID),
        ('iE-Extensions', _ResetRequestPartialReleaseItem_iE_Extensions),
        ])
    ResetRequestPartialReleaseItem._ext = []
    
    #-----< ResetRequestPartialReleaseItem-ExtIEs >-----#
    ResetRequestPartialReleaseItem_ExtIEs = CLASS(name='ResetRequestPartialReleaseItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestPartialReleaseItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo >-----#
    ResetResponseTypeInfo = CHOICE(name='ResetResponseTypeInfo', mode=MODE_TYPE)
    _ResetResponseTypeInfo_fullReset = SEQ(name='fullReset', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo-Full')))
    _ResetResponseTypeInfo_partialReset = SEQ(name='partialReset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo-Partial')))
    _ResetResponseTypeInfo_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResetResponseTypeInfo_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ResetResponseTypeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_id._const_tab = ___ResetResponseTypeInfo_choice_extension_id_tab
    __ResetResponseTypeInfo_choice_extension_id._const_tab_at = None
    __ResetResponseTypeInfo_choice_extension_id._const_tab_id = 'id'
    __ResetResponseTypeInfo_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResetResponseTypeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab = ___ResetResponseTypeInfo_choice_extension_criticality_tab
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab_id = 'criticality'
    __ResetResponseTypeInfo_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResetResponseTypeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_value._const_tab = ___ResetResponseTypeInfo_choice_extension_value_tab
    __ResetResponseTypeInfo_choice_extension_value._const_tab_at = ('..', 'id')
    __ResetResponseTypeInfo_choice_extension_value._const_tab_id = 'Value'
    _ResetResponseTypeInfo_choice_extension._cont = ASN1Dict([
        ('id', __ResetResponseTypeInfo_choice_extension_id),
        ('criticality', __ResetResponseTypeInfo_choice_extension_criticality),
        ('value', __ResetResponseTypeInfo_choice_extension_value),
        ])
    _ResetResponseTypeInfo_choice_extension._ext = None
    ResetResponseTypeInfo._cont = ASN1Dict([
        ('fullReset', _ResetResponseTypeInfo_fullReset),
        ('partialReset', _ResetResponseTypeInfo_partialReset),
        ('choice-extension', _ResetResponseTypeInfo_choice_extension),
        ])
    ResetResponseTypeInfo._ext = None
    
    #-----< ResetResponseTypeInfo-ExtIEs >-----#
    ResetResponseTypeInfo_ExtIEs = CLASS(name='ResetResponseTypeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResetResponseTypeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo-Full >-----#
    ResetResponseTypeInfo_Full = SEQ(name='ResetResponseTypeInfo-Full', mode=MODE_TYPE)
    _ResetResponseTypeInfo_Full_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponseTypeInfo_Full_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab_at = None
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab_id = 'id'
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __ResetResponseTypeInfo_Full_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___ResetResponseTypeInfo_Full_iE_Extension__item__id),
        ('criticality', ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality),
        ('extensionValue', ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue),
        ])
    __ResetResponseTypeInfo_Full_iE_Extension__item_._ext = None
    _ResetResponseTypeInfo_Full_iE_Extension._cont = __ResetResponseTypeInfo_Full_iE_Extension__item_
    _ResetResponseTypeInfo_Full_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponseTypeInfo_Full._cont = ASN1Dict([
        ('iE-Extension', _ResetResponseTypeInfo_Full_iE_Extension),
        ])
    ResetResponseTypeInfo_Full._ext = []
    
    #-----< ResetResponseTypeInfo-Full-ExtIEs >-----#
    ResetResponseTypeInfo_Full_ExtIEs = CLASS(name='ResetResponseTypeInfo-Full-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponseTypeInfo_Full_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo-Partial >-----#
    ResetResponseTypeInfo_Partial = SEQ(name='ResetResponseTypeInfo-Partial', mode=MODE_TYPE)
    _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList = SEQ_OF(name='ue-contexts-AdmittedToBeReleasedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponsePartialReleaseList')))
    _ResetResponseTypeInfo_Partial_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponseTypeInfo_Partial_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab_at = None
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab_id = 'id'
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __ResetResponseTypeInfo_Partial_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___ResetResponseTypeInfo_Partial_iE_Extension__item__id),
        ('criticality', ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality),
        ('extensionValue', ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue),
        ])
    __ResetResponseTypeInfo_Partial_iE_Extension__item_._ext = None
    _ResetResponseTypeInfo_Partial_iE_Extension._cont = __ResetResponseTypeInfo_Partial_iE_Extension__item_
    _ResetResponseTypeInfo_Partial_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponseTypeInfo_Partial._cont = ASN1Dict([
        ('ue-contexts-AdmittedToBeReleasedList', _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList),
        ('iE-Extension', _ResetResponseTypeInfo_Partial_iE_Extension),
        ])
    ResetResponseTypeInfo_Partial._ext = []
    
    #-----< ResetResponseTypeInfo-Partial-ExtIEs >-----#
    ResetResponseTypeInfo_Partial_ExtIEs = CLASS(name='ResetResponseTypeInfo-Partial-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponseTypeInfo_Partial_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponsePartialReleaseList >-----#
    ResetResponsePartialReleaseList = SEQ_OF(name='ResetResponsePartialReleaseList', mode=MODE_TYPE)
    _ResetResponsePartialReleaseList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponsePartialReleaseItem')))
    ResetResponsePartialReleaseList._cont = _ResetResponsePartialReleaseList__item_
    ResetResponsePartialReleaseList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8192)], ev=None, er=[])
    
    #-----< ResetResponsePartialReleaseItem >-----#
    ResetResponsePartialReleaseItem = SEQ(name='ResetResponsePartialReleaseItem', mode=MODE_TYPE)
    _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID = INT(name='ng-ran-node1UEXnAPID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID = INT(name='ng-ran-node2UEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetResponsePartialReleaseItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponsePartialReleaseItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab_at = None
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResetResponsePartialReleaseItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResetResponsePartialReleaseItem_iE_Extensions__item__id),
        ('criticality', ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality),
        ('extensionValue', ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue),
        ])
    __ResetResponsePartialReleaseItem_iE_Extensions__item_._ext = None
    _ResetResponsePartialReleaseItem_iE_Extensions._cont = __ResetResponsePartialReleaseItem_iE_Extensions__item_
    _ResetResponsePartialReleaseItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponsePartialReleaseItem._cont = ASN1Dict([
        ('ng-ran-node1UEXnAPID', _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID),
        ('ng-ran-node2UEXnAPID', _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID),
        ('iE-Extensions', _ResetResponsePartialReleaseItem_iE_Extensions),
        ])
    ResetResponsePartialReleaseItem._ext = []
    
    #-----< ResetResponsePartialReleaseItem-ExtIEs >-----#
    ResetResponsePartialReleaseItem_ExtIEs = CLASS(name='ResetResponsePartialReleaseItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponsePartialReleaseItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RLCMode >-----#
    RLCMode = ENUM(name='RLCMode', mode=MODE_TYPE)
    RLCMode._cont = ASN1Dict([('rlc-am', 0), ('rlc-um-bidirectional', 1), ('rlc-um-unidirectional-ul', 2), ('rlc-um-unidirectional-dl', 3)])
    RLCMode._ext = []
    
    #-----< RLC-Status >-----#
    RLC_Status = SEQ(name='RLC-Status', mode=MODE_TYPE)
    _RLC_Status_reestablishment_Indication = ENUM(name='reestablishment-Indication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Reestablishment-Indication')))
    _RLC_Status_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RLC_Status_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RLC_Status_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RLC_Status_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__id._const_tab = ____RLC_Status_iE_Extensions__item__id_tab
    ___RLC_Status_iE_Extensions__item__id._const_tab_at = None
    ___RLC_Status_iE_Extensions__item__id._const_tab_id = 'id'
    ___RLC_Status_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RLC_Status_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__criticality._const_tab = ____RLC_Status_iE_Extensions__item__criticality_tab
    ___RLC_Status_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RLC_Status_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RLC_Status_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RLC_Status_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab = ____RLC_Status_iE_Extensions__item__extensionValue_tab
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RLC_Status_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RLC_Status_iE_Extensions__item__id),
        ('criticality', ___RLC_Status_iE_Extensions__item__criticality),
        ('extensionValue', ___RLC_Status_iE_Extensions__item__extensionValue),
        ])
    __RLC_Status_iE_Extensions__item_._ext = None
    _RLC_Status_iE_Extensions._cont = __RLC_Status_iE_Extensions__item_
    _RLC_Status_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RLC_Status._cont = ASN1Dict([
        ('reestablishment-Indication', _RLC_Status_reestablishment_Indication),
        ('iE-Extensions', _RLC_Status_iE_Extensions),
        ])
    RLC_Status._ext = []
    
    #-----< RLC-Status-ExtIEs >-----#
    RLC_Status_ExtIEs = CLASS(name='RLC-Status-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RLC_Status_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RLCDuplicationInformation >-----#
    RLCDuplicationInformation = SEQ(name='RLCDuplicationInformation', mode=MODE_TYPE)
    _RLCDuplicationInformation_rLCDuplicationStateList = SEQ_OF(name='rLCDuplicationStateList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationStateList')))
    _RLCDuplicationInformation_rLC_PrimaryIndicator = ENUM(name='rLC-PrimaryIndicator', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _RLCDuplicationInformation_rLC_PrimaryIndicator._cont = ASN1Dict([('true', 0), ('false', 1)])
    _RLCDuplicationInformation_rLC_PrimaryIndicator._ext = None
    _RLCDuplicationInformation_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RLCDuplicationInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RLCDuplicationInformation_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RLCDuplicationInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationInformation_iE_Extensions__item__id._const_tab = ____RLCDuplicationInformation_iE_Extensions__item__id_tab
    ___RLCDuplicationInformation_iE_Extensions__item__id._const_tab_at = None
    ___RLCDuplicationInformation_iE_Extensions__item__id._const_tab_id = 'id'
    ___RLCDuplicationInformation_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RLCDuplicationInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationInformation_iE_Extensions__item__criticality._const_tab = ____RLCDuplicationInformation_iE_Extensions__item__criticality_tab
    ___RLCDuplicationInformation_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RLCDuplicationInformation_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RLCDuplicationInformation_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RLCDuplicationInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationInformation_iE_Extensions__item__extensionValue._const_tab = ____RLCDuplicationInformation_iE_Extensions__item__extensionValue_tab
    ___RLCDuplicationInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RLCDuplicationInformation_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RLCDuplicationInformation_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RLCDuplicationInformation_iE_Extensions__item__id),
        ('criticality', ___RLCDuplicationInformation_iE_Extensions__item__criticality),
        ('extensionValue', ___RLCDuplicationInformation_iE_Extensions__item__extensionValue),
        ])
    __RLCDuplicationInformation_iE_Extensions__item_._ext = None
    _RLCDuplicationInformation_iE_Extensions._cont = __RLCDuplicationInformation_iE_Extensions__item_
    _RLCDuplicationInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RLCDuplicationInformation._cont = ASN1Dict([
        ('rLCDuplicationStateList', _RLCDuplicationInformation_rLCDuplicationStateList),
        ('rLC-PrimaryIndicator', _RLCDuplicationInformation_rLC_PrimaryIndicator),
        ('iE-Extensions', _RLCDuplicationInformation_iE_Extensions),
        ])
    RLCDuplicationInformation._ext = None
    
    #-----< RLCDuplicationInformation-ItemExtIEs >-----#
    RLCDuplicationInformation_ItemExtIEs = CLASS(name='RLCDuplicationInformation-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RLCDuplicationInformation_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RLCDuplicationStateList >-----#
    RLCDuplicationStateList = SEQ_OF(name='RLCDuplicationStateList', mode=MODE_TYPE)
    _RLCDuplicationStateList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RLCDuplicationState-Item')))
    RLCDuplicationStateList._cont = _RLCDuplicationStateList__item_
    RLCDuplicationStateList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< RLCDuplicationState-Item >-----#
    RLCDuplicationState_Item = SEQ(name='RLCDuplicationState-Item', mode=MODE_TYPE)
    _RLCDuplicationState_Item_duplicationState = ENUM(name='duplicationState', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RLCDuplicationState_Item_duplicationState._cont = ASN1Dict([('active', 0), ('inactive', 1)])
    _RLCDuplicationState_Item_duplicationState._ext = []
    _RLCDuplicationState_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RLCDuplicationState_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RLCDuplicationState_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RLCDuplicationState_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationState_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationState_Item_iE_Extensions__item__id._const_tab = ____RLCDuplicationState_Item_iE_Extensions__item__id_tab
    ___RLCDuplicationState_Item_iE_Extensions__item__id._const_tab_at = None
    ___RLCDuplicationState_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___RLCDuplicationState_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RLCDuplicationState_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationState_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationState_Item_iE_Extensions__item__criticality._const_tab = ____RLCDuplicationState_Item_iE_Extensions__item__criticality_tab
    ___RLCDuplicationState_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RLCDuplicationState_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RLCDuplicationState_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLCDuplicationState_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue._const_tab = ____RLCDuplicationState_Item_iE_Extensions__item__extensionValue_tab
    ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RLCDuplicationState_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RLCDuplicationState_Item_iE_Extensions__item__id),
        ('criticality', ___RLCDuplicationState_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue),
        ])
    __RLCDuplicationState_Item_iE_Extensions__item_._ext = None
    _RLCDuplicationState_Item_iE_Extensions._cont = __RLCDuplicationState_Item_iE_Extensions__item_
    _RLCDuplicationState_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RLCDuplicationState_Item._cont = ASN1Dict([
        ('duplicationState', _RLCDuplicationState_Item_duplicationState),
        ('iE-Extensions', _RLCDuplicationState_Item_iE_Extensions),
        ])
    RLCDuplicationState_Item._ext = []
    
    #-----< RLCDuplicationState-ItemExtIEs >-----#
    RLCDuplicationState_ItemExtIEs = CLASS(name='RLCDuplicationState-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RLCDuplicationState_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Reestablishment-Indication >-----#
    Reestablishment_Indication = ENUM(name='Reestablishment-Indication', mode=MODE_TYPE)
    Reestablishment_Indication._cont = ASN1Dict([('reestablished', 0)])
    Reestablishment_Indication._ext = []
    
    #-----< RFSP-Index >-----#
    RFSP_Index = INT(name='RFSP-Index', mode=MODE_TYPE)
    RFSP_Index._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< RRCConfigIndication >-----#
    RRCConfigIndication = ENUM(name='RRCConfigIndication', mode=MODE_TYPE)
    RRCConfigIndication._cont = ASN1Dict([('full-config', 0), ('delta-config', 1)])
    RRCConfigIndication._ext = []
    
    #-----< RRCConnections >-----#
    RRCConnections = SEQ(name='RRCConnections', mode=MODE_TYPE)
    _RRCConnections_noofRRCConnections = INT(name='noofRRCConnections', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NoofRRCConnections')))
    _RRCConnections_availableRRCConnectionCapacityValue = INT(name='availableRRCConnectionCapacityValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AvailableRRCConnectionCapacityValue')))
    _RRCConnections_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCConnections_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCConnections_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCConnections_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCConnections_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCConnections_iE_Extensions__item__id._const_tab = ____RRCConnections_iE_Extensions__item__id_tab
    ___RRCConnections_iE_Extensions__item__id._const_tab_at = None
    ___RRCConnections_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCConnections_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RRCConnections_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCConnections_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCConnections_iE_Extensions__item__criticality._const_tab = ____RRCConnections_iE_Extensions__item__criticality_tab
    ___RRCConnections_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCConnections_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCConnections_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RRCConnections_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCConnections_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCConnections_iE_Extensions__item__extensionValue._const_tab = ____RRCConnections_iE_Extensions__item__extensionValue_tab
    ___RRCConnections_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCConnections_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCConnections_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCConnections_iE_Extensions__item__id),
        ('criticality', ___RRCConnections_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCConnections_iE_Extensions__item__extensionValue),
        ])
    __RRCConnections_iE_Extensions__item_._ext = None
    _RRCConnections_iE_Extensions._cont = __RRCConnections_iE_Extensions__item_
    _RRCConnections_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCConnections._cont = ASN1Dict([
        ('noofRRCConnections', _RRCConnections_noofRRCConnections),
        ('availableRRCConnectionCapacityValue', _RRCConnections_availableRRCConnectionCapacityValue),
        ('iE-Extensions', _RRCConnections_iE_Extensions),
        ])
    RRCConnections._ext = []
    
    #-----< RRCConnections-ExtIEs >-----#
    RRCConnections_ExtIEs = CLASS(name='RRCConnections-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RRCConnections_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCConnReestab-Indicator >-----#
    RRCConnReestab_Indicator = ENUM(name='RRCConnReestab-Indicator', mode=MODE_TYPE)
    RRCConnReestab_Indicator._cont = ASN1Dict([('reconfigurationFailure', 0), ('handoverFailure', 1), ('otherFailure', 2)])
    RRCConnReestab_Indicator._ext = []
    
    #-----< RRCReestab-initiated >-----#
    RRCReestab_initiated = SEQ(name='RRCReestab-initiated', mode=MODE_TYPE)
    _RRCReestab_initiated_rRRCReestab_initiated_reporting = CHOICE(name='rRRCReestab-initiated-reporting', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCReestab-Initiated-Reporting')))
    _RRCReestab_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCReestab_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCReestab_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCReestab_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_initiated_iE_Extensions__item__id._const_tab = ____RRCReestab_initiated_iE_Extensions__item__id_tab
    ___RRCReestab_initiated_iE_Extensions__item__id._const_tab_at = None
    ___RRCReestab_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCReestab_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RRCReestab_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_initiated_iE_Extensions__item__criticality._const_tab = ____RRCReestab_initiated_iE_Extensions__item__criticality_tab
    ___RRCReestab_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCReestab_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCReestab_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RRCReestab_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_initiated_iE_Extensions__item__extensionValue._const_tab = ____RRCReestab_initiated_iE_Extensions__item__extensionValue_tab
    ___RRCReestab_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCReestab_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCReestab_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCReestab_initiated_iE_Extensions__item__id),
        ('criticality', ___RRCReestab_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCReestab_initiated_iE_Extensions__item__extensionValue),
        ])
    __RRCReestab_initiated_iE_Extensions__item_._ext = None
    _RRCReestab_initiated_iE_Extensions._cont = __RRCReestab_initiated_iE_Extensions__item_
    _RRCReestab_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCReestab_initiated._cont = ASN1Dict([
        ('rRRCReestab-initiated-reporting', _RRCReestab_initiated_rRRCReestab_initiated_reporting),
        ('iE-Extensions', _RRCReestab_initiated_iE_Extensions),
        ])
    RRCReestab_initiated._ext = []
    
    #-----< RRCReestab-initiated-ExtIEs >-----#
    RRCReestab_initiated_ExtIEs = CLASS(name='RRCReestab-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RRCReestab_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCReestab-Initiated-Reporting >-----#
    RRCReestab_Initiated_Reporting = CHOICE(name='RRCReestab-Initiated-Reporting', mode=MODE_TYPE)
    _RRCReestab_Initiated_Reporting_rRCReestab_reporting_wo_UERLFReport = SEQ(name='rRCReestab-reporting-wo-UERLFReport', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCReestab-Initiated-Reporting-wo-UERLFReport')))
    _RRCReestab_Initiated_Reporting_rRCReestab_reporting_with_UERLFReport = SEQ(name='rRCReestab-reporting-with-UERLFReport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCReestab-Initiated-Reporting-with-UERLFReport')))
    _RRCReestab_Initiated_Reporting_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RRCReestab_Initiated_Reporting_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RRCReestab_Initiated_Reporting_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCReestab_Initiated_Reporting_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCReestab_Initiated_Reporting_choice_extension_id._const_tab = ___RRCReestab_Initiated_Reporting_choice_extension_id_tab
    __RRCReestab_Initiated_Reporting_choice_extension_id._const_tab_at = None
    __RRCReestab_Initiated_Reporting_choice_extension_id._const_tab_id = 'id'
    __RRCReestab_Initiated_Reporting_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RRCReestab_Initiated_Reporting_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCReestab_Initiated_Reporting_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCReestab_Initiated_Reporting_choice_extension_criticality._const_tab = ___RRCReestab_Initiated_Reporting_choice_extension_criticality_tab
    __RRCReestab_Initiated_Reporting_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RRCReestab_Initiated_Reporting_choice_extension_criticality._const_tab_id = 'criticality'
    __RRCReestab_Initiated_Reporting_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RRCReestab_Initiated_Reporting_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCReestab_Initiated_Reporting_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCReestab_Initiated_Reporting_choice_extension_value._const_tab = ___RRCReestab_Initiated_Reporting_choice_extension_value_tab
    __RRCReestab_Initiated_Reporting_choice_extension_value._const_tab_at = ('..', 'id')
    __RRCReestab_Initiated_Reporting_choice_extension_value._const_tab_id = 'Value'
    _RRCReestab_Initiated_Reporting_choice_extension._cont = ASN1Dict([
        ('id', __RRCReestab_Initiated_Reporting_choice_extension_id),
        ('criticality', __RRCReestab_Initiated_Reporting_choice_extension_criticality),
        ('value', __RRCReestab_Initiated_Reporting_choice_extension_value),
        ])
    _RRCReestab_Initiated_Reporting_choice_extension._ext = None
    RRCReestab_Initiated_Reporting._cont = ASN1Dict([
        ('rRCReestab-reporting-wo-UERLFReport', _RRCReestab_Initiated_Reporting_rRCReestab_reporting_wo_UERLFReport),
        ('rRCReestab-reporting-with-UERLFReport', _RRCReestab_Initiated_Reporting_rRCReestab_reporting_with_UERLFReport),
        ('choice-extension', _RRCReestab_Initiated_Reporting_choice_extension),
        ])
    RRCReestab_Initiated_Reporting._ext = None
    
    #-----< RRCReestab-Initiated-Reporting-ExtIEs >-----#
    RRCReestab_Initiated_Reporting_ExtIEs = CLASS(name='RRCReestab-Initiated-Reporting-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RRCReestab_Initiated_Reporting_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCReestab-Initiated-Reporting-wo-UERLFReport >-----#
    RRCReestab_Initiated_Reporting_wo_UERLFReport = SEQ(name='RRCReestab-Initiated-Reporting-wo-UERLFReport', mode=MODE_TYPE)
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_failureCellPCI = CHOICE(name='failureCellPCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-CellPCI')))
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_reestabCellCGI = SEQ(name='reestabCellCGI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_c_RNTI = BIT_STR(name='c-RNTI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_shortMAC_I = BIT_STR(name='shortMAC-I', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MAC-I')))
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConnReestab-Indicator')))
    ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 259), ('criticality', 'ignore'), ('Extension', _____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id._const_tab = ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id._const_tab_at = None
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality._const_tab = ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue._const_tab = ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id),
        ('criticality', ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue),
        ])
    __RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item_._ext = None
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions._cont = __RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item_
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCReestab_Initiated_Reporting_wo_UERLFReport._cont = ASN1Dict([
        ('failureCellPCI', _RRCReestab_Initiated_Reporting_wo_UERLFReport_failureCellPCI),
        ('reestabCellCGI', _RRCReestab_Initiated_Reporting_wo_UERLFReport_reestabCellCGI),
        ('c-RNTI', _RRCReestab_Initiated_Reporting_wo_UERLFReport_c_RNTI),
        ('shortMAC-I', _RRCReestab_Initiated_Reporting_wo_UERLFReport_shortMAC_I),
        ('iE-Extensions', _RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions),
        ])
    RRCReestab_Initiated_Reporting_wo_UERLFReport._ext = []
    
    #-----< RRCReestab-Initiated-Reporting-wo-UERLFReport-ExtIEs >-----#
    RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs = CLASS(name='RRCReestab-Initiated-Reporting-wo-UERLFReport-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConnReestab-Indicator')))
    RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs._val = ASN1Set(rv=[dict([('id', 259), ('criticality', 'ignore'), ('Extension', _RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RRCReestab-Initiated-Reporting-with-UERLFReport >-----#
    RRCReestab_Initiated_Reporting_with_UERLFReport = SEQ(name='RRCReestab-Initiated-Reporting-with-UERLFReport', mode=MODE_TYPE)
    _RRCReestab_Initiated_Reporting_with_UERLFReport_uERLFReportContainer = CHOICE(name='uERLFReportContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainer')))
    _RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab = ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab_at = None
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab = ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab = ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id),
        ('criticality', ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue),
        ])
    __RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_._ext = None
    _RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions._cont = __RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_
    _RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCReestab_Initiated_Reporting_with_UERLFReport._cont = ASN1Dict([
        ('uERLFReportContainer', _RRCReestab_Initiated_Reporting_with_UERLFReport_uERLFReportContainer),
        ('iE-Extensions', _RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions),
        ])
    RRCReestab_Initiated_Reporting_with_UERLFReport._ext = []
    
    #-----< RRCReestab-Initiated-Reporting-with-UERLFReport-ExtIEs >-----#
    RRCReestab_Initiated_Reporting_with_UERLFReport_ExtIEs = CLASS(name='RRCReestab-Initiated-Reporting-with-UERLFReport-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RRCReestab_Initiated_Reporting_with_UERLFReport_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCSetup-initiated >-----#
    RRCSetup_initiated = SEQ(name='RRCSetup-initiated', mode=MODE_TYPE)
    _RRCSetup_initiated_rRRCSetup_Initiated_Reporting = CHOICE(name='rRRCSetup-Initiated-Reporting', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCSetup-Initiated-Reporting')))
    _RRCSetup_initiated_uERLFReportContainer = CHOICE(name='uERLFReportContainer', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainer')), opt=True)
    _RRCSetup_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCSetup_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCSetup_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCSetup_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_initiated_iE_Extensions__item__id._const_tab = ____RRCSetup_initiated_iE_Extensions__item__id_tab
    ___RRCSetup_initiated_iE_Extensions__item__id._const_tab_at = None
    ___RRCSetup_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCSetup_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RRCSetup_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_initiated_iE_Extensions__item__criticality._const_tab = ____RRCSetup_initiated_iE_Extensions__item__criticality_tab
    ___RRCSetup_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCSetup_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCSetup_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RRCSetup_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_initiated_iE_Extensions__item__extensionValue._const_tab = ____RRCSetup_initiated_iE_Extensions__item__extensionValue_tab
    ___RRCSetup_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCSetup_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCSetup_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCSetup_initiated_iE_Extensions__item__id),
        ('criticality', ___RRCSetup_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCSetup_initiated_iE_Extensions__item__extensionValue),
        ])
    __RRCSetup_initiated_iE_Extensions__item_._ext = None
    _RRCSetup_initiated_iE_Extensions._cont = __RRCSetup_initiated_iE_Extensions__item_
    _RRCSetup_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCSetup_initiated._cont = ASN1Dict([
        ('rRRCSetup-Initiated-Reporting', _RRCSetup_initiated_rRRCSetup_Initiated_Reporting),
        ('uERLFReportContainer', _RRCSetup_initiated_uERLFReportContainer),
        ('iE-Extensions', _RRCSetup_initiated_iE_Extensions),
        ])
    RRCSetup_initiated._ext = []
    
    #-----< RRCSetup-initiated-ExtIEs >-----#
    RRCSetup_initiated_ExtIEs = CLASS(name='RRCSetup-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RRCSetup_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCSetup-Initiated-Reporting >-----#
    RRCSetup_Initiated_Reporting = CHOICE(name='RRCSetup-Initiated-Reporting', mode=MODE_TYPE)
    _RRCSetup_Initiated_Reporting_rRCSetup_reporting_with_UERLFReport = SEQ(name='rRCSetup-reporting-with-UERLFReport', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RRCSetup-Initiated-Reporting-with-UERLFReport')))
    _RRCSetup_Initiated_Reporting_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RRCSetup_Initiated_Reporting_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RRCSetup_Initiated_Reporting_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCSetup_Initiated_Reporting_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCSetup_Initiated_Reporting_choice_extension_id._const_tab = ___RRCSetup_Initiated_Reporting_choice_extension_id_tab
    __RRCSetup_Initiated_Reporting_choice_extension_id._const_tab_at = None
    __RRCSetup_Initiated_Reporting_choice_extension_id._const_tab_id = 'id'
    __RRCSetup_Initiated_Reporting_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RRCSetup_Initiated_Reporting_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCSetup_Initiated_Reporting_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCSetup_Initiated_Reporting_choice_extension_criticality._const_tab = ___RRCSetup_Initiated_Reporting_choice_extension_criticality_tab
    __RRCSetup_Initiated_Reporting_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RRCSetup_Initiated_Reporting_choice_extension_criticality._const_tab_id = 'criticality'
    __RRCSetup_Initiated_Reporting_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RRCSetup_Initiated_Reporting_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RRCSetup_Initiated_Reporting_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RRCSetup_Initiated_Reporting_choice_extension_value._const_tab = ___RRCSetup_Initiated_Reporting_choice_extension_value_tab
    __RRCSetup_Initiated_Reporting_choice_extension_value._const_tab_at = ('..', 'id')
    __RRCSetup_Initiated_Reporting_choice_extension_value._const_tab_id = 'Value'
    _RRCSetup_Initiated_Reporting_choice_extension._cont = ASN1Dict([
        ('id', __RRCSetup_Initiated_Reporting_choice_extension_id),
        ('criticality', __RRCSetup_Initiated_Reporting_choice_extension_criticality),
        ('value', __RRCSetup_Initiated_Reporting_choice_extension_value),
        ])
    _RRCSetup_Initiated_Reporting_choice_extension._ext = None
    RRCSetup_Initiated_Reporting._cont = ASN1Dict([
        ('rRCSetup-reporting-with-UERLFReport', _RRCSetup_Initiated_Reporting_rRCSetup_reporting_with_UERLFReport),
        ('choice-extension', _RRCSetup_Initiated_Reporting_choice_extension),
        ])
    RRCSetup_Initiated_Reporting._ext = None
    
    #-----< RRCSetup-Initiated-Reporting-ExtIEs >-----#
    RRCSetup_Initiated_Reporting_ExtIEs = CLASS(name='RRCSetup-Initiated-Reporting-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RRCSetup_Initiated_Reporting_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCSetup-Initiated-Reporting-with-UERLFReport >-----#
    RRCSetup_Initiated_Reporting_with_UERLFReport = SEQ(name='RRCSetup-Initiated-Reporting-with-UERLFReport', mode=MODE_TYPE)
    _RRCSetup_Initiated_Reporting_with_UERLFReport_uERLFReportContainer = CHOICE(name='uERLFReportContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainer')))
    _RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab = ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab_at = None
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id._const_tab_id = 'id'
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab = ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab = ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id),
        ('criticality', ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality),
        ('extensionValue', ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue),
        ])
    __RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_._ext = None
    _RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions._cont = __RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_
    _RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RRCSetup_Initiated_Reporting_with_UERLFReport._cont = ASN1Dict([
        ('uERLFReportContainer', _RRCSetup_Initiated_Reporting_with_UERLFReport_uERLFReportContainer),
        ('iE-Extensions', _RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions),
        ])
    RRCSetup_Initiated_Reporting_with_UERLFReport._ext = []
    
    #-----< RRCSetup-Initiated-Reporting-with-UERLFReport-ExtIEs >-----#
    RRCSetup_Initiated_Reporting_with_UERLFReport_ExtIEs = CLASS(name='RRCSetup-Initiated-Reporting-with-UERLFReport-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RRCSetup_Initiated_Reporting_with_UERLFReport_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RRCResumeCause >-----#
    RRCResumeCause = ENUM(name='RRCResumeCause', mode=MODE_TYPE)
    RRCResumeCause._cont = ASN1Dict([('rna-Update', 0)])
    RRCResumeCause._ext = []
    
    #-----< SecondarydataForwardingInfoFromTarget-Item >-----#
    SecondarydataForwardingInfoFromTarget_Item = SEQ(name='SecondarydataForwardingInfoFromTarget-Item', mode=MODE_TYPE)
    _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget = SEQ(name='secondarydataForwardingInfoFromTarget', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')))
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab_at = None
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id),
        ('criticality', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue),
        ])
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_._ext = None
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions._cont = __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecondarydataForwardingInfoFromTarget_Item._cont = ASN1Dict([
        ('secondarydataForwardingInfoFromTarget', _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget),
        ('iE-Extensions', _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions),
        ])
    SecondarydataForwardingInfoFromTarget_Item._ext = []
    
    #-----< SecondarydataForwardingInfoFromTarget-Item-ExtIEs >-----#
    SecondarydataForwardingInfoFromTarget_Item_ExtIEs = CLASS(name='SecondarydataForwardingInfoFromTarget-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecondarydataForwardingInfoFromTarget_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecondarydataForwardingInfoFromTarget-List >-----#
    SecondarydataForwardingInfoFromTarget_List = SEQ_OF(name='SecondarydataForwardingInfoFromTarget-List', mode=MODE_TYPE)
    _SecondarydataForwardingInfoFromTarget_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-Item')))
    SecondarydataForwardingInfoFromTarget_List._cont = _SecondarydataForwardingInfoFromTarget_List__item_
    SecondarydataForwardingInfoFromTarget_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< SCGConfigurationQuery >-----#
    SCGConfigurationQuery = ENUM(name='SCGConfigurationQuery', mode=MODE_TYPE)
    SCGConfigurationQuery._cont = ASN1Dict([('true', 0)])
    SCGConfigurationQuery._ext = []
    
    #-----< SCGIndicator >-----#
    SCGIndicator = ENUM(name='SCGIndicator', mode=MODE_TYPE)
    SCGIndicator._cont = ASN1Dict([('released', 0)])
    SCGIndicator._ext = []
    
    #-----< SecondaryRATUsageInformation >-----#
    SecondaryRATUsageInformation = SEQ(name='SecondaryRATUsageInformation', mode=MODE_TYPE)
    _SecondaryRATUsageInformation_pDUSessionUsageReport = SEQ(name='pDUSessionUsageReport', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionUsageReport')), opt=True)
    _SecondaryRATUsageInformation_qosFlowsUsageReportList = SEQ_OF(name='qosFlowsUsageReportList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsUsageReportList')), opt=True)
    _SecondaryRATUsageInformation_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecondaryRATUsageInformation_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecondaryRATUsageInformation_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SecondaryRATUsageInformation_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__id_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab_at = None
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab_id = 'id'
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __SecondaryRATUsageInformation_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___SecondaryRATUsageInformation_iE_Extension__item__id),
        ('criticality', ___SecondaryRATUsageInformation_iE_Extension__item__criticality),
        ('extensionValue', ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue),
        ])
    __SecondaryRATUsageInformation_iE_Extension__item_._ext = None
    _SecondaryRATUsageInformation_iE_Extension._cont = __SecondaryRATUsageInformation_iE_Extension__item_
    _SecondaryRATUsageInformation_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecondaryRATUsageInformation._cont = ASN1Dict([
        ('pDUSessionUsageReport', _SecondaryRATUsageInformation_pDUSessionUsageReport),
        ('qosFlowsUsageReportList', _SecondaryRATUsageInformation_qosFlowsUsageReportList),
        ('iE-Extension', _SecondaryRATUsageInformation_iE_Extension),
        ])
    SecondaryRATUsageInformation._ext = []
    
    #-----< SecondaryRATUsageInformation-ExtIEs >-----#
    SecondaryRATUsageInformation_ExtIEs = CLASS(name='SecondaryRATUsageInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecondaryRATUsageInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityIndication >-----#
    SecurityIndication = SEQ(name='SecurityIndication', mode=MODE_TYPE)
    _SecurityIndication_integrityProtectionIndication = ENUM(name='integrityProtectionIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityIndication_integrityProtectionIndication._cont = ASN1Dict([('required', 0), ('preferred', 1), ('not-needed', 2)])
    _SecurityIndication_integrityProtectionIndication._ext = []
    _SecurityIndication_confidentialityProtectionIndication = ENUM(name='confidentialityProtectionIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityIndication_confidentialityProtectionIndication._cont = ASN1Dict([('required', 0), ('preferred', 1), ('not-needed', 2)])
    _SecurityIndication_confidentialityProtectionIndication._ext = []
    _SecurityIndication_maximumIPdatarate = SEQ(name='maximumIPdatarate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumIPdatarate')), opt=True)
    _SecurityIndication_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityIndication_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecurityIndication_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SecurityIndication_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__id._const_tab = ____SecurityIndication_iE_Extensions__item__id_tab
    ___SecurityIndication_iE_Extensions__item__id._const_tab_at = None
    ___SecurityIndication_iE_Extensions__item__id._const_tab_id = 'id'
    ___SecurityIndication_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SecurityIndication_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab = ____SecurityIndication_iE_Extensions__item__criticality_tab
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SecurityIndication_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab = ____SecurityIndication_iE_Extensions__item__extensionValue_tab
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SecurityIndication_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SecurityIndication_iE_Extensions__item__id),
        ('criticality', ___SecurityIndication_iE_Extensions__item__criticality),
        ('extensionValue', ___SecurityIndication_iE_Extensions__item__extensionValue),
        ])
    __SecurityIndication_iE_Extensions__item_._ext = None
    _SecurityIndication_iE_Extensions._cont = __SecurityIndication_iE_Extensions__item_
    _SecurityIndication_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityIndication._cont = ASN1Dict([
        ('integrityProtectionIndication', _SecurityIndication_integrityProtectionIndication),
        ('confidentialityProtectionIndication', _SecurityIndication_confidentialityProtectionIndication),
        ('maximumIPdatarate', _SecurityIndication_maximumIPdatarate),
        ('iE-Extensions', _SecurityIndication_iE_Extensions),
        ])
    SecurityIndication._ext = []
    
    #-----< SecurityIndication-ExtIEs >-----#
    SecurityIndication_ExtIEs = CLASS(name='SecurityIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecurityIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityResult >-----#
    SecurityResult = SEQ(name='SecurityResult', mode=MODE_TYPE)
    _SecurityResult_integrityProtectionResult = ENUM(name='integrityProtectionResult', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityResult_integrityProtectionResult._cont = ASN1Dict([('performed', 0), ('not-performed', 1)])
    _SecurityResult_integrityProtectionResult._ext = []
    _SecurityResult_confidentialityProtectionResult = ENUM(name='confidentialityProtectionResult', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityResult_confidentialityProtectionResult._cont = ASN1Dict([('performed', 0), ('not-performed', 1)])
    _SecurityResult_confidentialityProtectionResult._ext = []
    _SecurityResult_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityResult_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecurityResult_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SecurityResult_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__id._const_tab = ____SecurityResult_iE_Extensions__item__id_tab
    ___SecurityResult_iE_Extensions__item__id._const_tab_at = None
    ___SecurityResult_iE_Extensions__item__id._const_tab_id = 'id'
    ___SecurityResult_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SecurityResult_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__criticality._const_tab = ____SecurityResult_iE_Extensions__item__criticality_tab
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SecurityResult_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab = ____SecurityResult_iE_Extensions__item__extensionValue_tab
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SecurityResult_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SecurityResult_iE_Extensions__item__id),
        ('criticality', ___SecurityResult_iE_Extensions__item__criticality),
        ('extensionValue', ___SecurityResult_iE_Extensions__item__extensionValue),
        ])
    __SecurityResult_iE_Extensions__item_._ext = None
    _SecurityResult_iE_Extensions._cont = __SecurityResult_iE_Extensions__item_
    _SecurityResult_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityResult._cont = ASN1Dict([
        ('integrityProtectionResult', _SecurityResult_integrityProtectionResult),
        ('confidentialityProtectionResult', _SecurityResult_confidentialityProtectionResult),
        ('iE-Extensions', _SecurityResult_iE_Extensions),
        ])
    SecurityResult._ext = []
    
    #-----< SecurityResult-ExtIEs >-----#
    SecurityResult_ExtIEs = CLASS(name='SecurityResult-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecurityResult_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SensorMeasurementConfiguration >-----#
    SensorMeasurementConfiguration = SEQ(name='SensorMeasurementConfiguration', mode=MODE_TYPE)
    _SensorMeasurementConfiguration_sensorMeasConfig = ENUM(name='sensorMeasConfig', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SensorMeasConfig')))
    _SensorMeasurementConfiguration_sensorMeasConfigNameList = SEQ_OF(name='sensorMeasConfigNameList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SensorMeasConfigNameList')), opt=True)
    _SensorMeasurementConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SensorMeasurementConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SensorMeasurementConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SensorMeasurementConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorMeasurementConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorMeasurementConfiguration_iE_Extensions__item__id._const_tab = ____SensorMeasurementConfiguration_iE_Extensions__item__id_tab
    ___SensorMeasurementConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___SensorMeasurementConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___SensorMeasurementConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SensorMeasurementConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorMeasurementConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorMeasurementConfiguration_iE_Extensions__item__criticality._const_tab = ____SensorMeasurementConfiguration_iE_Extensions__item__criticality_tab
    ___SensorMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SensorMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SensorMeasurementConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorMeasurementConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab = ____SensorMeasurementConfiguration_iE_Extensions__item__extensionValue_tab
    ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SensorMeasurementConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SensorMeasurementConfiguration_iE_Extensions__item__id),
        ('criticality', ___SensorMeasurementConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue),
        ])
    __SensorMeasurementConfiguration_iE_Extensions__item_._ext = None
    _SensorMeasurementConfiguration_iE_Extensions._cont = __SensorMeasurementConfiguration_iE_Extensions__item_
    _SensorMeasurementConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SensorMeasurementConfiguration._cont = ASN1Dict([
        ('sensorMeasConfig', _SensorMeasurementConfiguration_sensorMeasConfig),
        ('sensorMeasConfigNameList', _SensorMeasurementConfiguration_sensorMeasConfigNameList),
        ('iE-Extensions', _SensorMeasurementConfiguration_iE_Extensions),
        ])
    SensorMeasurementConfiguration._ext = []
    
    #-----< SensorMeasurementConfiguration-ExtIEs >-----#
    SensorMeasurementConfiguration_ExtIEs = CLASS(name='SensorMeasurementConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SensorMeasurementConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SensorMeasConfigNameList >-----#
    SensorMeasConfigNameList = SEQ_OF(name='SensorMeasConfigNameList', mode=MODE_TYPE)
    _SensorMeasConfigNameList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SensorName')))
    SensorMeasConfigNameList._cont = _SensorMeasConfigNameList__item_
    SensorMeasConfigNameList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< SensorMeasConfig >-----#
    SensorMeasConfig = ENUM(name='SensorMeasConfig', mode=MODE_TYPE)
    SensorMeasConfig._cont = ASN1Dict([('setup', 0)])
    SensorMeasConfig._ext = []
    
    #-----< SensorName >-----#
    SensorName = SEQ(name='SensorName', mode=MODE_TYPE)
    _SensorName_uncompensatedBarometricConfig = ENUM(name='uncompensatedBarometricConfig', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SensorName_uncompensatedBarometricConfig._cont = ASN1Dict([('true', 0)])
    _SensorName_uncompensatedBarometricConfig._ext = []
    _SensorName_ueSpeedConfig = ENUM(name='ueSpeedConfig', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SensorName_ueSpeedConfig._cont = ASN1Dict([('true', 0)])
    _SensorName_ueSpeedConfig._ext = []
    _SensorName_ueOrientationConfig = ENUM(name='ueOrientationConfig', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SensorName_ueOrientationConfig._cont = ASN1Dict([('true', 0)])
    _SensorName_ueOrientationConfig._ext = []
    _SensorName_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SensorName_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SensorName_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SensorName_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorName_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorName_iE_Extensions__item__id._const_tab = ____SensorName_iE_Extensions__item__id_tab
    ___SensorName_iE_Extensions__item__id._const_tab_at = None
    ___SensorName_iE_Extensions__item__id._const_tab_id = 'id'
    ___SensorName_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SensorName_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorName_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorName_iE_Extensions__item__criticality._const_tab = ____SensorName_iE_Extensions__item__criticality_tab
    ___SensorName_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SensorName_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SensorName_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SensorName_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SensorName_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SensorName_iE_Extensions__item__extensionValue._const_tab = ____SensorName_iE_Extensions__item__extensionValue_tab
    ___SensorName_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SensorName_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SensorName_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SensorName_iE_Extensions__item__id),
        ('criticality', ___SensorName_iE_Extensions__item__criticality),
        ('extensionValue', ___SensorName_iE_Extensions__item__extensionValue),
        ])
    __SensorName_iE_Extensions__item_._ext = None
    _SensorName_iE_Extensions._cont = __SensorName_iE_Extensions__item_
    _SensorName_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SensorName._cont = ASN1Dict([
        ('uncompensatedBarometricConfig', _SensorName_uncompensatedBarometricConfig),
        ('ueSpeedConfig', _SensorName_ueSpeedConfig),
        ('ueOrientationConfig', _SensorName_ueOrientationConfig),
        ('iE-Extensions', _SensorName_iE_Extensions),
        ])
    SensorName._ext = []
    
    #-----< SensorNameConfig-ExtIEs >-----#
    SensorNameConfig_ExtIEs = CLASS(name='SensorNameConfig-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SensorNameConfig_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA >-----#
    ServedCellInformation_E_UTRA = SEQ(name='ServedCellInformation-E-UTRA', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_e_utra_pci = INT(name='e-utra-pci', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _ServedCellInformation_E_UTRA_e_utra_cgi = SEQ(name='e-utra-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellInformation_E_UTRA_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServedCellInformation_E_UTRA_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _ServedCellInformation_E_UTRA_broadcastPLMNs = SEQ_OF(name='broadcastPLMNs', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellInformation_E_UTRA_broadcastPLMNs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-perBPLMN')))
    _ServedCellInformation_E_UTRA_broadcastPLMNs._cont = __ServedCellInformation_E_UTRA_broadcastPLMNs__item_
    _ServedCellInformation_E_UTRA_broadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    _ServedCellInformation_E_UTRA_e_utra_mode_info = CHOICE(name='e-utra-mode-info', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-ModeInfo')))
    _ServedCellInformation_E_UTRA_numberofAntennaPorts = ENUM(name='numberofAntennaPorts', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NumberOfAntennaPorts-E-UTRA')), opt=True)
    _ServedCellInformation_E_UTRA_prach_configuration = SEQ(name='prach-configuration', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPRACHConfiguration')), opt=True)
    _ServedCellInformation_E_UTRA_mBSFNsubframeInfo = SEQ_OF(name='mBSFNsubframeInfo', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeInfo-E-UTRA')), opt=True)
    _ServedCellInformation_E_UTRA_multibandInfo = SEQ_OF(name='multibandInfo', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAMultibandInfoList')), opt=True)
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority = ENUM(name='freqBandIndicatorPriority', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority._cont = ASN1Dict([('not-broadcast', 0), ('broadcast', 1)])
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority._ext = []
    _ServedCellInformation_E_UTRA_bandwidthReducedSI = ENUM(name='bandwidthReducedSI', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCellInformation_E_UTRA_bandwidthReducedSI._cont = ASN1Dict([('scheduled', 0)])
    _ServedCellInformation_E_UTRA_bandwidthReducedSI._ext = []
    _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication = SEQ(name='protectedE-UTRAResourceIndication', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResourceIndication')), opt=True)
    _ServedCellInformation_E_UTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(13, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA')))
    _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPRACHConfiguration')))
    ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 128), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 237), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellInformation_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellInformation_E_UTRA_iE_Extensions__item__id),
        ('criticality', ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_iE_Extensions._cont = __ServedCellInformation_E_UTRA_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA._cont = ASN1Dict([
        ('e-utra-pci', _ServedCellInformation_E_UTRA_e_utra_pci),
        ('e-utra-cgi', _ServedCellInformation_E_UTRA_e_utra_cgi),
        ('tac', _ServedCellInformation_E_UTRA_tac),
        ('ranac', _ServedCellInformation_E_UTRA_ranac),
        ('broadcastPLMNs', _ServedCellInformation_E_UTRA_broadcastPLMNs),
        ('e-utra-mode-info', _ServedCellInformation_E_UTRA_e_utra_mode_info),
        ('numberofAntennaPorts', _ServedCellInformation_E_UTRA_numberofAntennaPorts),
        ('prach-configuration', _ServedCellInformation_E_UTRA_prach_configuration),
        ('mBSFNsubframeInfo', _ServedCellInformation_E_UTRA_mBSFNsubframeInfo),
        ('multibandInfo', _ServedCellInformation_E_UTRA_multibandInfo),
        ('freqBandIndicatorPriority', _ServedCellInformation_E_UTRA_freqBandIndicatorPriority),
        ('bandwidthReducedSI', _ServedCellInformation_E_UTRA_bandwidthReducedSI),
        ('protectedE-UTRAResourceIndication', _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication),
        ('iE-Extensions', _ServedCellInformation_E_UTRA_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA._ext = []
    
    #-----< ServedCellInformation-E-UTRA-ExtIEs >-----#
    ServedCellInformation_E_UTRA_ExtIEs = CLASS(name='ServedCellInformation-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA')))
    _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPRACHConfiguration')))
    ServedCellInformation_E_UTRA_ExtIEs._val = ASN1Set(rv=[dict([('id', 128), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 237), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-perBPLMN >-----#
    ServedCellInformation_E_UTRA_perBPLMN = SEQ(name='ServedCellInformation-E-UTRA-perBPLMN', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_perBPLMN_plmn_id = OCT_STR(name='plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id),
        ('criticality', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions._cont = __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_perBPLMN._cont = ASN1Dict([
        ('plmn-id', _ServedCellInformation_E_UTRA_perBPLMN_plmn_id),
        ('iE-Extensions', _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_perBPLMN._ext = []
    
    #-----< ServedCellInformation-E-UTRA-perBPLMN-ExtIEs >-----#
    ServedCellInformation_E_UTRA_perBPLMN_ExtIEs = CLASS(name='ServedCellInformation-E-UTRA-perBPLMN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellInformation_E_UTRA_perBPLMN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-ModeInfo >-----#
    ServedCellInformation_E_UTRA_ModeInfo = CHOICE(name='ServedCellInformation-E-UTRA-ModeInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_ModeInfo_fdd = SEQ(name='fdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-FDDInfo')))
    _ServedCellInformation_E_UTRA_ModeInfo_tdd = SEQ(name='tdd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-TDDInfo')))
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab_at = None
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab_id = 'id'
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab_id = 'criticality'
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab_at = ('..', 'id')
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab_id = 'Value'
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension._cont = ASN1Dict([
        ('id', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id),
        ('criticality', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality),
        ('value', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value),
        ])
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension._ext = None
    ServedCellInformation_E_UTRA_ModeInfo._cont = ASN1Dict([
        ('fdd', _ServedCellInformation_E_UTRA_ModeInfo_fdd),
        ('tdd', _ServedCellInformation_E_UTRA_ModeInfo_tdd),
        ('choice-extension', _ServedCellInformation_E_UTRA_ModeInfo_choice_extension),
        ])
    ServedCellInformation_E_UTRA_ModeInfo._ext = None
    
    #-----< ServedCellInformation-E-UTRA-ModeInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_ModeInfo_ExtIEs = CLASS(name='ServedCellInformation-E-UTRA-ModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellInformation_E_UTRA_ModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-FDDInfo >-----#
    ServedCellInformation_E_UTRA_FDDInfo = SEQ(name='ServedCellInformation-E-UTRA-FDDInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn = INT(name='ul-earfcn', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn = INT(name='dl-earfcn', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW = ENUM(name='ul-e-utraTxBW', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW = ENUM(name='dl-e-utraTxBW', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 166), ('criticality', 'reject'), ('Extension', _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 167), ('criticality', 'reject'), ('Extension', _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id),
        ('criticality', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions._cont = __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_FDDInfo._cont = ASN1Dict([
        ('ul-earfcn', _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn),
        ('dl-earfcn', _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn),
        ('ul-e-utraTxBW', _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW),
        ('dl-e-utraTxBW', _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW),
        ('iE-Extensions', _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_FDDInfo._ext = []
    
    #-----< ServedCellInformation-E-UTRA-FDDInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_FDDInfo_ExtIEs = CLASS(name='ServedCellInformation-E-UTRA-FDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    ServedCellInformation_E_UTRA_FDDInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 166), ('criticality', 'reject'), ('Extension', _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 167), ('criticality', 'reject'), ('Extension', _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-TDDInfo >-----#
    ServedCellInformation_E_UTRA_TDDInfo = SEQ(name='ServedCellInformation-E-UTRA-TDDInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_TDDInfo_earfcn = INT(name='earfcn', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW = ENUM(name='e-utraTxBW', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet = ENUM(name='subframeAssignmnet', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet._cont = ASN1Dict([('sa0', 0), ('sa1', 1), ('sa2', 2), ('sa3', 3), ('sa4', 4), ('sa5', 5), ('sa6', 6)])
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet._ext = []
    _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo = SEQ(name='specialSubframeInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpecialSubframeInfo-E-UTRA')))
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NBIoT-UL-DL-AlignmentOffset')))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 166), ('criticality', 'reject'), ('Extension', _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 168), ('criticality', 'reject'), ('Extension', _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id),
        ('criticality', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions._cont = __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_TDDInfo._cont = ASN1Dict([
        ('earfcn', _ServedCellInformation_E_UTRA_TDDInfo_earfcn),
        ('e-utraTxBW', _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW),
        ('subframeAssignmnet', _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet),
        ('specialSubframeInfo', _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo),
        ('iE-Extensions', _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_TDDInfo._ext = []
    
    #-----< ServedCellInformation-E-UTRA-TDDInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_TDDInfo_ExtIEs = CLASS(name='ServedCellInformation-E-UTRA-TDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'OffsetOfNbiotChannelNumberToEARFCN')))
    _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NBIoT-UL-DL-AlignmentOffset')))
    ServedCellInformation_E_UTRA_TDDInfo_ExtIEs._val = ASN1Set(rv=[dict([('id', 166), ('criticality', 'reject'), ('Extension', _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 168), ('criticality', 'reject'), ('Extension', _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCells-E-UTRA >-----#
    ServedCells_E_UTRA = SEQ_OF(name='ServedCells-E-UTRA', mode=MODE_TYPE)
    _ServedCells_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA-Item')))
    ServedCells_E_UTRA._cont = _ServedCells_E_UTRA__item_
    ServedCells_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-E-UTRA-Item >-----#
    ServedCells_E_UTRA_Item = SEQ(name='ServedCells-E-UTRA-Item', mode=MODE_TYPE)
    _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA = SEQ(name='served-cell-info-E-UTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA')))
    _ServedCells_E_UTRA_Item_neighbour_info_NR = SEQ_OF(name='neighbour-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA = SEQ_OF(name='neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_E_UTRA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SFN-Offset')))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 242), ('criticality', 'ignore'), ('Extension', _____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCells_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCells_E_UTRA_Item_iE_Extensions__item__id),
        ('criticality', ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_E_UTRA_Item_iE_Extensions__item_._ext = None
    _ServedCells_E_UTRA_Item_iE_Extensions._cont = __ServedCells_E_UTRA_Item_iE_Extensions__item_
    _ServedCells_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_E_UTRA_Item._cont = ASN1Dict([
        ('served-cell-info-E-UTRA', _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA),
        ('neighbour-info-NR', _ServedCells_E_UTRA_Item_neighbour_info_NR),
        ('neighbour-info-E-UTRA', _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA),
        ('iE-Extensions', _ServedCells_E_UTRA_Item_iE_Extensions),
        ])
    ServedCells_E_UTRA_Item._ext = []
    
    #-----< ServedCells-E-UTRA-Item-ExtIEs >-----#
    ServedCells_E_UTRA_Item_ExtIEs = CLASS(name='ServedCells-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCells_E_UTRA_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SFN-Offset')))
    ServedCells_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 242), ('criticality', 'ignore'), ('Extension', _ServedCells_E_UTRA_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToUpdate-E-UTRA >-----#
    ServedCellsToUpdate_E_UTRA = SEQ(name='ServedCellsToUpdate-E-UTRA', mode=MODE_TYPE)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA = SEQ_OF(name='served-Cells-ToAdd-E-UTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')), opt=True)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA = SEQ_OF(name='served-Cells-ToModify-E-UTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-E-UTRA')), opt=True)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA = SEQ_OF(name='served-Cells-ToDelete-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA._cont = __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToUpdate_E_UTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id),
        ('criticality', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_._ext = None
    _ServedCellsToUpdate_E_UTRA_iE_Extensions._cont = __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_
    _ServedCellsToUpdate_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellsToUpdate_E_UTRA._cont = ASN1Dict([
        ('served-Cells-ToAdd-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA),
        ('served-Cells-ToModify-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA),
        ('served-Cells-ToDelete-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA),
        ('iE-Extensions', _ServedCellsToUpdate_E_UTRA_iE_Extensions),
        ])
    ServedCellsToUpdate_E_UTRA._ext = []
    
    #-----< ServedCellsToUpdate-E-UTRA-ExtIEs >-----#
    ServedCellsToUpdate_E_UTRA_ExtIEs = CLASS(name='ServedCellsToUpdate-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellsToUpdate_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-ToModify-E-UTRA >-----#
    ServedCells_ToModify_E_UTRA = SEQ_OF(name='ServedCells-ToModify-E-UTRA', mode=MODE_TYPE)
    _ServedCells_ToModify_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-E-UTRA-Item')))
    ServedCells_ToModify_E_UTRA._cont = _ServedCells_ToModify_E_UTRA__item_
    ServedCells_ToModify_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-ToModify-E-UTRA-Item >-----#
    ServedCells_ToModify_E_UTRA_Item = SEQ(name='ServedCells-ToModify-E-UTRA-Item', mode=MODE_TYPE)
    _ServedCells_ToModify_E_UTRA_Item_old_ECGI = SEQ(name='old-ECGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA = SEQ(name='served-cell-info-E-UTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA')))
    _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR = SEQ_OF(name='neighbour-info-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA = SEQ_OF(name='neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication = ENUM(name='deactivation-indication', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication._cont = ASN1Dict([('deactivated', 0)])
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication._ext = []
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id),
        ('criticality', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_._ext = None
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions._cont = __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_ToModify_E_UTRA_Item._cont = ASN1Dict([
        ('old-ECGI', _ServedCells_ToModify_E_UTRA_Item_old_ECGI),
        ('served-cell-info-E-UTRA', _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA),
        ('neighbour-info-NR', _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR),
        ('neighbour-info-E-UTRA', _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA),
        ('deactivation-indication', _ServedCells_ToModify_E_UTRA_Item_deactivation_indication),
        ('iE-Extensions', _ServedCells_ToModify_E_UTRA_Item_iE_Extensions),
        ])
    ServedCells_ToModify_E_UTRA_Item._ext = []
    
    #-----< Served-cells-ToModify-E-UTRA-Item-ExtIEs >-----#
    Served_cells_ToModify_E_UTRA_Item_ExtIEs = CLASS(name='Served-cells-ToModify-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Served_cells_ToModify_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-NR >-----#
    ServedCellInformation_NR = SEQ(name='ServedCellInformation-NR', mode=MODE_TYPE)
    _ServedCellInformation_NR_nrPCI = INT(name='nrPCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _ServedCellInformation_NR_cellID = SEQ(name='cellID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellInformation_NR_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServedCellInformation_NR_ranac = INT(name='ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _ServedCellInformation_NR_broadcastPLMN = SEQ_OF(name='broadcastPLMN', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNs')))
    _ServedCellInformation_NR_nrModeInfo = CHOICE(name='nrModeInfo', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfo')))
    _ServedCellInformation_NR_measurementTimingConfiguration = OCT_STR(name='measurementTimingConfiguration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ServedCellInformation_NR_connectivitySupport = SEQ(name='connectivitySupport', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Connectivity-Support')))
    _ServedCellInformation_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellInformation_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ConfiguredTACIndication')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_2 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SSB-PositionsInBurst')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_3 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCellPRACHConfig')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_4 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_5 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CSI-RSTransmissionIndication')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_6 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SFN-Offset')))
    ____ServedCellInformation_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 129), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 233), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 203), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 204), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 220), ('criticality', 'reject'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')]), dict([('id', 228), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_5), ('presence', 'optional')]), dict([('id', 242), ('criticality', 'ignore'), ('Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_6), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellInformation_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellInformation_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellInformation_NR_iE_Extensions__item__id),
        ('criticality', ___ServedCellInformation_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellInformation_NR_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_NR_iE_Extensions__item_._ext = None
    _ServedCellInformation_NR_iE_Extensions._cont = __ServedCellInformation_NR_iE_Extensions__item_
    _ServedCellInformation_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_NR._cont = ASN1Dict([
        ('nrPCI', _ServedCellInformation_NR_nrPCI),
        ('cellID', _ServedCellInformation_NR_cellID),
        ('tac', _ServedCellInformation_NR_tac),
        ('ranac', _ServedCellInformation_NR_ranac),
        ('broadcastPLMN', _ServedCellInformation_NR_broadcastPLMN),
        ('nrModeInfo', _ServedCellInformation_NR_nrModeInfo),
        ('measurementTimingConfiguration', _ServedCellInformation_NR_measurementTimingConfiguration),
        ('connectivitySupport', _ServedCellInformation_NR_connectivitySupport),
        ('iE-Extensions', _ServedCellInformation_NR_iE_Extensions),
        ])
    ServedCellInformation_NR._ext = []
    
    #-----< ServedCellInformation-NR-ExtIEs >-----#
    ServedCellInformation_NR_ExtIEs = CLASS(name='ServedCellInformation-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ConfiguredTACIndication')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_2 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SSB-PositionsInBurst')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_3 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCellPRACHConfig')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_4 = CHOICE(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NPN-Broadcast-Information')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_5 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CSI-RSTransmissionIndication')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_6 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SFN-Offset')))
    ServedCellInformation_NR_ExtIEs._val = ASN1Set(rv=[dict([('id', 129), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 233), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 203), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 204), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 220), ('criticality', 'reject'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_4), ('presence', 'optional')]), dict([('id', 228), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_5), ('presence', 'optional')]), dict([('id', 242), ('criticality', 'ignore'), ('Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_6), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SFN-Offset >-----#
    SFN_Offset = SEQ(name='SFN-Offset', mode=MODE_TYPE)
    _SFN_Offset_sFN_Time_Offset = BIT_STR(name='sFN-Time-Offset', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SFN_Offset_sFN_Time_Offset._const_sz = ASN1Set(rv=[24], rr=[], ev=None, er=[])
    _SFN_Offset_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SFN_Offset_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SFN_Offset_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SFN_Offset_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SFN_Offset_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SFN_Offset_iE_Extensions__item__id._const_tab = ____SFN_Offset_iE_Extensions__item__id_tab
    ___SFN_Offset_iE_Extensions__item__id._const_tab_at = None
    ___SFN_Offset_iE_Extensions__item__id._const_tab_id = 'id'
    ___SFN_Offset_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SFN_Offset_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SFN_Offset_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SFN_Offset_iE_Extensions__item__criticality._const_tab = ____SFN_Offset_iE_Extensions__item__criticality_tab
    ___SFN_Offset_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SFN_Offset_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SFN_Offset_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SFN_Offset_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SFN_Offset_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SFN_Offset_iE_Extensions__item__extensionValue._const_tab = ____SFN_Offset_iE_Extensions__item__extensionValue_tab
    ___SFN_Offset_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SFN_Offset_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SFN_Offset_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SFN_Offset_iE_Extensions__item__id),
        ('criticality', ___SFN_Offset_iE_Extensions__item__criticality),
        ('extensionValue', ___SFN_Offset_iE_Extensions__item__extensionValue),
        ])
    __SFN_Offset_iE_Extensions__item_._ext = None
    _SFN_Offset_iE_Extensions._cont = __SFN_Offset_iE_Extensions__item_
    _SFN_Offset_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SFN_Offset._cont = ASN1Dict([
        ('sFN-Time-Offset', _SFN_Offset_sFN_Time_Offset),
        ('iE-Extensions', _SFN_Offset_iE_Extensions),
        ])
    SFN_Offset._ext = []
    
    #-----< SFN-Offset-ExtIEs >-----#
    SFN_Offset_ExtIEs = CLASS(name='SFN-Offset-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SFN_Offset_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-NR >-----#
    ServedCells_NR = SEQ_OF(name='ServedCells-NR', mode=MODE_TYPE)
    _ServedCells_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR-Item')))
    ServedCells_NR._cont = _ServedCells_NR__item_
    ServedCells_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-NR-Item >-----#
    ServedCells_NR_Item = SEQ(name='ServedCells-NR-Item', mode=MODE_TYPE)
    _ServedCells_NR_Item_served_cell_info_NR = SEQ(name='served-cell-info-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-NR')))
    _ServedCells_NR_Item_neighbour_info_NR = SEQ_OF(name='neighbour-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_NR_Item_neighbour_info_E_UTRA = SEQ_OF(name='neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_NR_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_NR_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCells_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__id_tab
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCells_NR_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCells_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCells_NR_Item_iE_Extensions__item__id),
        ('criticality', ___ServedCells_NR_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCells_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_NR_Item_iE_Extensions__item_._ext = None
    _ServedCells_NR_Item_iE_Extensions._cont = __ServedCells_NR_Item_iE_Extensions__item_
    _ServedCells_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_NR_Item._cont = ASN1Dict([
        ('served-cell-info-NR', _ServedCells_NR_Item_served_cell_info_NR),
        ('neighbour-info-NR', _ServedCells_NR_Item_neighbour_info_NR),
        ('neighbour-info-E-UTRA', _ServedCells_NR_Item_neighbour_info_E_UTRA),
        ('iE-Extensions', _ServedCells_NR_Item_iE_Extensions),
        ])
    ServedCells_NR_Item._ext = []
    
    #-----< ServedCells-NR-Item-ExtIEs >-----#
    ServedCells_NR_Item_ExtIEs = CLASS(name='ServedCells-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCells_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-ToModify-NR >-----#
    ServedCells_ToModify_NR = SEQ_OF(name='ServedCells-ToModify-NR', mode=MODE_TYPE)
    _ServedCells_ToModify_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-NR-Item')))
    ServedCells_ToModify_NR._cont = _ServedCells_ToModify_NR__item_
    ServedCells_ToModify_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-ToModify-NR-Item >-----#
    ServedCells_ToModify_NR_Item = SEQ(name='ServedCells-ToModify-NR-Item', mode=MODE_TYPE)
    _ServedCells_ToModify_NR_Item_old_NR_CGI = SEQ(name='old-NR-CGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCells_ToModify_NR_Item_served_cell_info_NR = SEQ(name='served-cell-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-NR')))
    _ServedCells_ToModify_NR_Item_neighbour_info_NR = SEQ_OF(name='neighbour-info-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA = SEQ_OF(name='neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_ToModify_NR_Item_deactivation_indication = ENUM(name='deactivation-indication', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCells_ToModify_NR_Item_deactivation_indication._cont = ASN1Dict([('deactivated', 0)])
    _ServedCells_ToModify_NR_Item_deactivation_indication._ext = []
    _ServedCells_ToModify_NR_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id),
        ('criticality', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_._ext = None
    _ServedCells_ToModify_NR_Item_iE_Extensions._cont = __ServedCells_ToModify_NR_Item_iE_Extensions__item_
    _ServedCells_ToModify_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_ToModify_NR_Item._cont = ASN1Dict([
        ('old-NR-CGI', _ServedCells_ToModify_NR_Item_old_NR_CGI),
        ('served-cell-info-NR', _ServedCells_ToModify_NR_Item_served_cell_info_NR),
        ('neighbour-info-NR', _ServedCells_ToModify_NR_Item_neighbour_info_NR),
        ('neighbour-info-E-UTRA', _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA),
        ('deactivation-indication', _ServedCells_ToModify_NR_Item_deactivation_indication),
        ('iE-Extensions', _ServedCells_ToModify_NR_Item_iE_Extensions),
        ])
    ServedCells_ToModify_NR_Item._ext = []
    
    #-----< Served-cells-ToModify-NR-Item-ExtIEs >-----#
    Served_cells_ToModify_NR_Item_ExtIEs = CLASS(name='Served-cells-ToModify-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Served_cells_ToModify_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToUpdate-NR >-----#
    ServedCellsToUpdate_NR = SEQ(name='ServedCellsToUpdate-NR', mode=MODE_TYPE)
    _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR = SEQ_OF(name='served-Cells-ToAdd-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')), opt=True)
    _ServedCellsToUpdate_NR_served_Cells_ToModify_NR = SEQ_OF(name='served-Cells-ToModify-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-NR')), opt=True)
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR = SEQ_OF(name='served-Cells-ToDelete-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR._cont = __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToUpdate_NR_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellsToUpdate_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab_id = 'id'
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ServedCellsToUpdate_NR_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ServedCellsToUpdate_NR_iE_Extensions__item__id),
        ('criticality', ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality),
        ('extensionValue', ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue),
        ])
    __ServedCellsToUpdate_NR_iE_Extensions__item_._ext = None
    _ServedCellsToUpdate_NR_iE_Extensions._cont = __ServedCellsToUpdate_NR_iE_Extensions__item_
    _ServedCellsToUpdate_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellsToUpdate_NR._cont = ASN1Dict([
        ('served-Cells-ToAdd-NR', _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR),
        ('served-Cells-ToModify-NR', _ServedCellsToUpdate_NR_served_Cells_ToModify_NR),
        ('served-Cells-ToDelete-NR', _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR),
        ('iE-Extensions', _ServedCellsToUpdate_NR_iE_Extensions),
        ])
    ServedCellsToUpdate_NR._ext = []
    
    #-----< ServedCellsToUpdate-NR-ExtIEs >-----#
    ServedCellsToUpdate_NR_ExtIEs = CLASS(name='ServedCellsToUpdate-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellsToUpdate_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType >-----#
    SharedResourceType = CHOICE(name='SharedResourceType', mode=MODE_TYPE)
    _SharedResourceType_ul_onlySharing = SEQ(name='ul-onlySharing', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-UL-OnlySharing')))
    _SharedResourceType_ul_and_dl_Sharing = CHOICE(name='ul-and-dl-Sharing', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing')))
    _SharedResourceType_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SharedResourceType_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_id._const_tab = ___SharedResourceType_choice_extension_id_tab
    __SharedResourceType_choice_extension_id._const_tab_at = None
    __SharedResourceType_choice_extension_id._const_tab_id = 'id'
    __SharedResourceType_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SharedResourceType_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_criticality._const_tab = ___SharedResourceType_choice_extension_criticality_tab
    __SharedResourceType_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SharedResourceType_choice_extension_criticality._const_tab_id = 'criticality'
    __SharedResourceType_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SharedResourceType_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_value._const_tab = ___SharedResourceType_choice_extension_value_tab
    __SharedResourceType_choice_extension_value._const_tab_at = ('..', 'id')
    __SharedResourceType_choice_extension_value._const_tab_id = 'Value'
    _SharedResourceType_choice_extension._cont = ASN1Dict([
        ('id', __SharedResourceType_choice_extension_id),
        ('criticality', __SharedResourceType_choice_extension_criticality),
        ('value', __SharedResourceType_choice_extension_value),
        ])
    _SharedResourceType_choice_extension._ext = None
    SharedResourceType._cont = ASN1Dict([
        ('ul-onlySharing', _SharedResourceType_ul_onlySharing),
        ('ul-and-dl-Sharing', _SharedResourceType_ul_and_dl_Sharing),
        ('choice-extension', _SharedResourceType_choice_extension),
        ])
    SharedResourceType._ext = None
    
    #-----< SharedResourceType-ExtIEs >-----#
    SharedResourceType_ExtIEs = CLASS(name='SharedResourceType-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-UL-OnlySharing >-----#
    SharedResourceType_UL_OnlySharing = SEQ(name='SharedResourceType-UL-OnlySharing', mode=MODE_TYPE)
    _SharedResourceType_UL_OnlySharing_ul_resourceBitmap = BIT_STR(name='ul-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_UL_OnlySharing_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab_id = 'id'
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id),
        ('criticality', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality),
        ('extensionValue', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_._ext = None
    _SharedResourceType_UL_OnlySharing_iE_Extensions._cont = __SharedResourceType_UL_OnlySharing_iE_Extensions__item_
    _SharedResourceType_UL_OnlySharing_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_UL_OnlySharing._cont = ASN1Dict([
        ('ul-resourceBitmap', _SharedResourceType_UL_OnlySharing_ul_resourceBitmap),
        ('iE-Extensions', _SharedResourceType_UL_OnlySharing_iE_Extensions),
        ])
    SharedResourceType_UL_OnlySharing._ext = []
    
    #-----< SharedResourceType-UL-OnlySharing-ExtIEs >-----#
    SharedResourceType_UL_OnlySharing_ExtIEs = CLASS(name='SharedResourceType-UL-OnlySharing-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_UL_OnlySharing_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing >-----#
    SharedResourceType_ULDL_Sharing = CHOICE(name='SharedResourceType-ULDL-Sharing', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_ul_resources = CHOICE(name='ul-resources', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-UL-Resources')))
    _SharedResourceType_ULDL_Sharing_dl_resources = CHOICE(name='dl-resources', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-DL-Resources')))
    _SharedResourceType_ULDL_Sharing_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab_id = 'id'
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab_id = 'criticality'
    __SharedResourceType_ULDL_Sharing_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab_id = 'Value'
    _SharedResourceType_ULDL_Sharing_choice_extension._cont = ASN1Dict([
        ('id', __SharedResourceType_ULDL_Sharing_choice_extension_id),
        ('criticality', __SharedResourceType_ULDL_Sharing_choice_extension_criticality),
        ('value', __SharedResourceType_ULDL_Sharing_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing._cont = ASN1Dict([
        ('ul-resources', _SharedResourceType_ULDL_Sharing_ul_resources),
        ('dl-resources', _SharedResourceType_ULDL_Sharing_dl_resources),
        ('choice-extension', _SharedResourceType_ULDL_Sharing_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_ExtIEs = CLASS(name='SharedResourceType-ULDL-Sharing-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-UL-Resources >-----#
    SharedResourceType_ULDL_Sharing_UL_Resources = CHOICE(name='SharedResourceType-ULDL-Sharing-UL-Resources', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged = NULL(name='unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SharedResourceType_ULDL_Sharing_UL_Resources_changed = SEQ(name='changed', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged')))
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab_id = 'id'
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab_id = 'criticality'
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab_id = 'Value'
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension._cont = ASN1Dict([
        ('id', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id),
        ('criticality', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality),
        ('value', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing_UL_Resources._cont = ASN1Dict([
        ('unchanged', _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged),
        ('changed', _SharedResourceType_ULDL_Sharing_UL_Resources_changed),
        ('choice-extension', _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing_UL_Resources._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs = CLASS(name='SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-UL-ResourcesChanged >-----#
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged = SEQ(name='SharedResourceType-ULDL-Sharing-UL-ResourcesChanged', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap = BIT_STR(name='ul-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab_id = 'id'
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id),
        ('criticality', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality),
        ('extensionValue', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_._ext = None
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions._cont = __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged._cont = ASN1Dict([
        ('ul-resourceBitmap', _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap),
        ('iE-Extensions', _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions),
        ])
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged._ext = []
    
    #-----< SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs = CLASS(name='SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-DL-Resources >-----#
    SharedResourceType_ULDL_Sharing_DL_Resources = CHOICE(name='SharedResourceType-ULDL-Sharing-DL-Resources', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged = NULL(name='unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SharedResourceType_ULDL_Sharing_DL_Resources_changed = SEQ(name='changed', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged')))
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab_id = 'id'
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab_id = 'criticality'
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab_at = ('..', 'id')
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab_id = 'Value'
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension._cont = ASN1Dict([
        ('id', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id),
        ('criticality', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality),
        ('value', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing_DL_Resources._cont = ASN1Dict([
        ('unchanged', _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged),
        ('changed', _SharedResourceType_ULDL_Sharing_DL_Resources_changed),
        ('choice-extension', _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing_DL_Resources._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs = CLASS(name='SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-DL-ResourcesChanged >-----#
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged = SEQ(name='SharedResourceType-ULDL-Sharing-DL-ResourcesChanged', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap = BIT_STR(name='dl-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab_id = 'id'
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id),
        ('criticality', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality),
        ('extensionValue', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_._ext = None
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions._cont = __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged._cont = ASN1Dict([
        ('dl-resourceBitmap', _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap),
        ('iE-Extensions', _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions),
        ])
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged._ext = []
    
    #-----< SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs = CLASS(name='SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SliceAvailableCapacity >-----#
    SliceAvailableCapacity = SEQ_OF(name='SliceAvailableCapacity', mode=MODE_TYPE)
    _SliceAvailableCapacity__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SliceAvailableCapacity-Item')))
    SliceAvailableCapacity._cont = _SliceAvailableCapacity__item_
    SliceAvailableCapacity._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< SliceAvailableCapacity-Item >-----#
    SliceAvailableCapacity_Item = SEQ(name='SliceAvailableCapacity-Item', mode=MODE_TYPE)
    _SliceAvailableCapacity_Item_pLMNIdentity = OCT_STR(name='pLMNIdentity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SliceAvailableCapacity_Item_sNSSAIAvailableCapacity_List = SEQ_OF(name='sNSSAIAvailableCapacity-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SNSSAIAvailableCapacity-List')))
    _SliceAvailableCapacity_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SliceAvailableCapacity_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SliceAvailableCapacity_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceAvailableCapacity_Item_iE_Extensions__item__id._const_tab = ____SliceAvailableCapacity_Item_iE_Extensions__item__id_tab
    ___SliceAvailableCapacity_Item_iE_Extensions__item__id._const_tab_at = None
    ___SliceAvailableCapacity_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab = ____SliceAvailableCapacity_Item_iE_Extensions__item__criticality_tab
    ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab = ____SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab
    ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SliceAvailableCapacity_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SliceAvailableCapacity_Item_iE_Extensions__item__id),
        ('criticality', ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue),
        ])
    __SliceAvailableCapacity_Item_iE_Extensions__item_._ext = None
    _SliceAvailableCapacity_Item_iE_Extensions._cont = __SliceAvailableCapacity_Item_iE_Extensions__item_
    _SliceAvailableCapacity_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SliceAvailableCapacity_Item._cont = ASN1Dict([
        ('pLMNIdentity', _SliceAvailableCapacity_Item_pLMNIdentity),
        ('sNSSAIAvailableCapacity-List', _SliceAvailableCapacity_Item_sNSSAIAvailableCapacity_List),
        ('iE-Extensions', _SliceAvailableCapacity_Item_iE_Extensions),
        ])
    SliceAvailableCapacity_Item._ext = []
    
    #-----< SliceAvailableCapacity-Item-ExtIEs >-----#
    SliceAvailableCapacity_Item_ExtIEs = CLASS(name='SliceAvailableCapacity-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SliceAvailableCapacity_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNSSAIAvailableCapacity-List >-----#
    SNSSAIAvailableCapacity_List = SEQ_OF(name='SNSSAIAvailableCapacity-List', mode=MODE_TYPE)
    _SNSSAIAvailableCapacity_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SNSSAIAvailableCapacity-Item')))
    SNSSAIAvailableCapacity_List._cont = _SNSSAIAvailableCapacity_List__item_
    SNSSAIAvailableCapacity_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< SNSSAIAvailableCapacity-Item >-----#
    SNSSAIAvailableCapacity_Item = SEQ(name='SNSSAIAvailableCapacity-Item', mode=MODE_TYPE)
    _SNSSAIAvailableCapacity_Item_sNSSAI = SEQ(name='sNSSAI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueDownlink = INT(name='sliceAvailableCapacityValueDownlink', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueDownlink._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueUplink = INT(name='sliceAvailableCapacityValueUplink', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueUplink._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    _SNSSAIAvailableCapacity_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SNSSAIAvailableCapacity_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id._const_tab = ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__id_tab
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id._const_tab_at = None
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab = ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality_tab
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab = ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SNSSAIAvailableCapacity_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id),
        ('criticality', ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue),
        ])
    __SNSSAIAvailableCapacity_Item_iE_Extensions__item_._ext = None
    _SNSSAIAvailableCapacity_Item_iE_Extensions._cont = __SNSSAIAvailableCapacity_Item_iE_Extensions__item_
    _SNSSAIAvailableCapacity_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SNSSAIAvailableCapacity_Item._cont = ASN1Dict([
        ('sNSSAI', _SNSSAIAvailableCapacity_Item_sNSSAI),
        ('sliceAvailableCapacityValueDownlink', _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueDownlink),
        ('sliceAvailableCapacityValueUplink', _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueUplink),
        ('iE-Extensions', _SNSSAIAvailableCapacity_Item_iE_Extensions),
        ])
    SNSSAIAvailableCapacity_Item._ext = None
    
    #-----< SNSSAIAvailableCapacity-Item-ExtIEs >-----#
    SNSSAIAvailableCapacity_Item_ExtIEs = CLASS(name='SNSSAIAvailableCapacity-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SNSSAIAvailableCapacity_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SliceSupport-List >-----#
    SliceSupport_List = SEQ_OF(name='SliceSupport-List', mode=MODE_TYPE)
    _SliceSupport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    SliceSupport_List._cont = _SliceSupport_List__item_
    SliceSupport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< SliceToReport-List >-----#
    SliceToReport_List = SEQ_OF(name='SliceToReport-List', mode=MODE_TYPE)
    _SliceToReport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SliceToReport-List-Item')))
    SliceToReport_List._cont = _SliceToReport_List__item_
    SliceToReport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< SliceToReport-List-Item >-----#
    SliceToReport_List_Item = SEQ(name='SliceToReport-List-Item', mode=MODE_TYPE)
    _SliceToReport_List_Item_pLMNIdentity = OCT_STR(name='pLMNIdentity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SliceToReport_List_Item_sNSSAIlist = SEQ_OF(name='sNSSAIlist', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SNSSAI-list')))
    _SliceToReport_List_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SliceToReport_List_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SliceToReport_List_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SliceToReport_List_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceToReport_List_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceToReport_List_Item_iE_Extensions__item__id._const_tab = ____SliceToReport_List_Item_iE_Extensions__item__id_tab
    ___SliceToReport_List_Item_iE_Extensions__item__id._const_tab_at = None
    ___SliceToReport_List_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SliceToReport_List_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SliceToReport_List_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceToReport_List_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceToReport_List_Item_iE_Extensions__item__criticality._const_tab = ____SliceToReport_List_Item_iE_Extensions__item__criticality_tab
    ___SliceToReport_List_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SliceToReport_List_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SliceToReport_List_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SliceToReport_List_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SliceToReport_List_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SliceToReport_List_Item_iE_Extensions__item__extensionValue._const_tab = ____SliceToReport_List_Item_iE_Extensions__item__extensionValue_tab
    ___SliceToReport_List_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SliceToReport_List_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SliceToReport_List_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SliceToReport_List_Item_iE_Extensions__item__id),
        ('criticality', ___SliceToReport_List_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SliceToReport_List_Item_iE_Extensions__item__extensionValue),
        ])
    __SliceToReport_List_Item_iE_Extensions__item_._ext = None
    _SliceToReport_List_Item_iE_Extensions._cont = __SliceToReport_List_Item_iE_Extensions__item_
    _SliceToReport_List_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SliceToReport_List_Item._cont = ASN1Dict([
        ('pLMNIdentity', _SliceToReport_List_Item_pLMNIdentity),
        ('sNSSAIlist', _SliceToReport_List_Item_sNSSAIlist),
        ('iE-Extensions', _SliceToReport_List_Item_iE_Extensions),
        ])
    SliceToReport_List_Item._ext = []
    
    #-----< SliceToReport-List-Item-ExtIEs >-----#
    SliceToReport_List_Item_ExtIEs = CLASS(name='SliceToReport-List-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SliceToReport_List_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNSSAI-list >-----#
    SNSSAI_list = SEQ_OF(name='SNSSAI-list', mode=MODE_TYPE)
    _SNSSAI_list__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SNSSAI-Item')))
    SNSSAI_list._cont = _SNSSAI_list__item_
    SNSSAI_list._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< SNSSAI-Item >-----#
    SNSSAI_Item = SEQ(name='SNSSAI-Item', mode=MODE_TYPE)
    _SNSSAI_Item_sNSSAI = SEQ(name='sNSSAI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _SNSSAI_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SNSSAI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SNSSAI_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SNSSAI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_Item_iE_Extensions__item__id._const_tab = ____SNSSAI_Item_iE_Extensions__item__id_tab
    ___SNSSAI_Item_iE_Extensions__item__id._const_tab_at = None
    ___SNSSAI_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SNSSAI_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SNSSAI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_Item_iE_Extensions__item__criticality._const_tab = ____SNSSAI_Item_iE_Extensions__item__criticality_tab
    ___SNSSAI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SNSSAI_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SNSSAI_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SNSSAI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SNSSAI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_Item_iE_Extensions__item__extensionValue._const_tab = ____SNSSAI_Item_iE_Extensions__item__extensionValue_tab
    ___SNSSAI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SNSSAI_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SNSSAI_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SNSSAI_Item_iE_Extensions__item__id),
        ('criticality', ___SNSSAI_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SNSSAI_Item_iE_Extensions__item__extensionValue),
        ])
    __SNSSAI_Item_iE_Extensions__item_._ext = None
    _SNSSAI_Item_iE_Extensions._cont = __SNSSAI_Item_iE_Extensions__item_
    _SNSSAI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SNSSAI_Item._cont = ASN1Dict([
        ('sNSSAI', _SNSSAI_Item_sNSSAI),
        ('iE-Extensions', _SNSSAI_Item_iE_Extensions),
        ])
    SNSSAI_Item._ext = None
    
    #-----< SNSSAI-Item-ExtIEs >-----#
    SNSSAI_Item_ExtIEs = CLASS(name='SNSSAI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SNSSAI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SlotConfiguration-List >-----#
    SlotConfiguration_List = SEQ_OF(name='SlotConfiguration-List', mode=MODE_TYPE)
    _SlotConfiguration_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SlotConfiguration-List-Item')))
    SlotConfiguration_List._cont = _SlotConfiguration_List__item_
    SlotConfiguration_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=5120)], ev=None, er=[])
    
    #-----< SlotConfiguration-List-Item >-----#
    SlotConfiguration_List_Item = SEQ(name='SlotConfiguration-List-Item', mode=MODE_TYPE)
    _SlotConfiguration_List_Item_slotIndex = INT(name='slotIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SlotConfiguration_List_Item_slotIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=5119)], ev=None, er=[])
    _SlotConfiguration_List_Item_symbolAllocation_in_Slot = CHOICE(name='symbolAllocation-in-Slot', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SymbolAllocation-in-Slot')))
    _SlotConfiguration_List_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SlotConfiguration_List_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SlotConfiguration_List_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SlotConfiguration_List_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SlotConfiguration_List_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SlotConfiguration_List_Item_iE_Extensions__item__id._const_tab = ____SlotConfiguration_List_Item_iE_Extensions__item__id_tab
    ___SlotConfiguration_List_Item_iE_Extensions__item__id._const_tab_at = None
    ___SlotConfiguration_List_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SlotConfiguration_List_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SlotConfiguration_List_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SlotConfiguration_List_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SlotConfiguration_List_Item_iE_Extensions__item__criticality._const_tab = ____SlotConfiguration_List_Item_iE_Extensions__item__criticality_tab
    ___SlotConfiguration_List_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SlotConfiguration_List_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SlotConfiguration_List_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SlotConfiguration_List_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue._const_tab = ____SlotConfiguration_List_Item_iE_Extensions__item__extensionValue_tab
    ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SlotConfiguration_List_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SlotConfiguration_List_Item_iE_Extensions__item__id),
        ('criticality', ___SlotConfiguration_List_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue),
        ])
    __SlotConfiguration_List_Item_iE_Extensions__item_._ext = None
    _SlotConfiguration_List_Item_iE_Extensions._cont = __SlotConfiguration_List_Item_iE_Extensions__item_
    _SlotConfiguration_List_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SlotConfiguration_List_Item._cont = ASN1Dict([
        ('slotIndex', _SlotConfiguration_List_Item_slotIndex),
        ('symbolAllocation-in-Slot', _SlotConfiguration_List_Item_symbolAllocation_in_Slot),
        ('iE-Extensions', _SlotConfiguration_List_Item_iE_Extensions),
        ])
    SlotConfiguration_List_Item._ext = []
    
    #-----< SlotConfiguration-List-Item-ExtIEs >-----#
    SlotConfiguration_List_Item_ExtIEs = CLASS(name='SlotConfiguration-List-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SlotConfiguration_List_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< S-NG-RANnode-SecurityKey >-----#
    S_NG_RANnode_SecurityKey = BIT_STR(name='S-NG-RANnode-SecurityKey', mode=MODE_TYPE)
    S_NG_RANnode_SecurityKey._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    
    #-----< S-NG-RANnode-Addition-Trigger-Ind >-----#
    S_NG_RANnode_Addition_Trigger_Ind = ENUM(name='S-NG-RANnode-Addition-Trigger-Ind', mode=MODE_TYPE)
    S_NG_RANnode_Addition_Trigger_Ind._cont = ASN1Dict([('sn-change', 0), ('inter-MN-HO', 1), ('intra-MN-HO', 2)])
    S_NG_RANnode_Addition_Trigger_Ind._ext = []
    
    #-----< S-NSSAI >-----#
    S_NSSAI = SEQ(name='S-NSSAI', mode=MODE_TYPE)
    _S_NSSAI_sst = OCT_STR(name='sst', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _S_NSSAI_sst._const_sz = ASN1Set(rv=[1], rr=[], ev=None, er=[])
    _S_NSSAI_sd = OCT_STR(name='sd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _S_NSSAI_sd._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    _S_NSSAI_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __S_NSSAI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___S_NSSAI_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____S_NSSAI_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__id._const_tab = ____S_NSSAI_iE_Extensions__item__id_tab
    ___S_NSSAI_iE_Extensions__item__id._const_tab_at = None
    ___S_NSSAI_iE_Extensions__item__id._const_tab_id = 'id'
    ___S_NSSAI_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____S_NSSAI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab = ____S_NSSAI_iE_Extensions__item__criticality_tab
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___S_NSSAI_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____S_NSSAI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab = ____S_NSSAI_iE_Extensions__item__extensionValue_tab
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __S_NSSAI_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___S_NSSAI_iE_Extensions__item__id),
        ('criticality', ___S_NSSAI_iE_Extensions__item__criticality),
        ('extensionValue', ___S_NSSAI_iE_Extensions__item__extensionValue),
        ])
    __S_NSSAI_iE_Extensions__item_._ext = None
    _S_NSSAI_iE_Extensions._cont = __S_NSSAI_iE_Extensions__item_
    _S_NSSAI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    S_NSSAI._cont = ASN1Dict([
        ('sst', _S_NSSAI_sst),
        ('sd', _S_NSSAI_sd),
        ('iE-Extensions', _S_NSSAI_iE_Extensions),
        ])
    S_NSSAI._ext = []
    
    #-----< S-NSSAI-ExtIEs >-----#
    S_NSSAI_ExtIEs = CLASS(name='S-NSSAI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    S_NSSAI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNTriggered >-----#
    SNTriggered = ENUM(name='SNTriggered', mode=MODE_TYPE)
    SNTriggered._cont = ASN1Dict([('true', 0)])
    SNTriggered._ext = []
    
    #-----< SpecialSubframeInfo-E-UTRA >-----#
    SpecialSubframeInfo_E_UTRA = SEQ(name='SpecialSubframeInfo-E-UTRA', mode=MODE_TYPE)
    _SpecialSubframeInfo_E_UTRA_specialSubframePattern = ENUM(name='specialSubframePattern', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpecialSubframePatterns-E-UTRA')))
    _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL = ENUM(name='cyclicPrefixDL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CyclicPrefix-E-UTRA-DL')))
    _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL = ENUM(name='cyclicPrefixUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CyclicPrefix-E-UTRA-UL')))
    _SpecialSubframeInfo_E_UTRA_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab_id = 'id'
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id),
        ('criticality', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality),
        ('extensionValue', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_._ext = None
    _SpecialSubframeInfo_E_UTRA_iE_Extensions._cont = __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_
    _SpecialSubframeInfo_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SpecialSubframeInfo_E_UTRA._cont = ASN1Dict([
        ('specialSubframePattern', _SpecialSubframeInfo_E_UTRA_specialSubframePattern),
        ('cyclicPrefixDL', _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL),
        ('cyclicPrefixUL', _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL),
        ('iE-Extensions', _SpecialSubframeInfo_E_UTRA_iE_Extensions),
        ])
    SpecialSubframeInfo_E_UTRA._ext = []
    
    #-----< SpecialSubframeInfo-E-UTRA-ExtIEs >-----#
    SpecialSubframeInfo_E_UTRA_ExtIEs = CLASS(name='SpecialSubframeInfo-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SpecialSubframeInfo_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SpecialSubframePatterns-E-UTRA >-----#
    SpecialSubframePatterns_E_UTRA = ENUM(name='SpecialSubframePatterns-E-UTRA', mode=MODE_TYPE)
    SpecialSubframePatterns_E_UTRA._cont = ASN1Dict([('ssp0', 0), ('ssp1', 1), ('ssp2', 2), ('ssp3', 3), ('ssp4', 4), ('ssp5', 5), ('ssp6', 6), ('ssp7', 7), ('ssp8', 8), ('ssp9', 9), ('ssp10', 10)])
    SpecialSubframePatterns_E_UTRA._ext = []
    
    #-----< SpectrumSharingGroupID >-----#
    SpectrumSharingGroupID = INT(name='SpectrumSharingGroupID', mode=MODE_TYPE)
    SpectrumSharingGroupID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< SplitSessionIndicator >-----#
    SplitSessionIndicator = ENUM(name='SplitSessionIndicator', mode=MODE_TYPE)
    SplitSessionIndicator._cont = ASN1Dict([('split', 0)])
    SplitSessionIndicator._ext = []
    
    #-----< SplitSRBsTypes >-----#
    SplitSRBsTypes = ENUM(name='SplitSRBsTypes', mode=MODE_TYPE)
    SplitSRBsTypes._cont = ASN1Dict([('srb1', 0), ('srb2', 1), ('srb1and2', 2)])
    SplitSRBsTypes._ext = []
    
    #-----< SSBAreaCapacityValue-List >-----#
    SSBAreaCapacityValue_List = SEQ_OF(name='SSBAreaCapacityValue-List', mode=MODE_TYPE)
    _SSBAreaCapacityValue_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SSBAreaCapacityValue-List-Item')))
    SSBAreaCapacityValue_List._cont = _SSBAreaCapacityValue_List__item_
    SSBAreaCapacityValue_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< SSBAreaCapacityValue-List-Item >-----#
    SSBAreaCapacityValue_List_Item = SEQ(name='SSBAreaCapacityValue-List-Item', mode=MODE_TYPE)
    _SSBAreaCapacityValue_List_Item_sSBIndex = INT(name='sSBIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSBAreaCapacityValue_List_Item_sSBIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    _SSBAreaCapacityValue_List_Item_ssbAreaCapacityValue = INT(name='ssbAreaCapacityValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSBAreaCapacityValue_List_Item_ssbAreaCapacityValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    _SSBAreaCapacityValue_List_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SSBAreaCapacityValue_List_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id._const_tab = ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__id_tab
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id._const_tab_at = None
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality._const_tab = ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality_tab
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue._const_tab = ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue_tab
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SSBAreaCapacityValue_List_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id),
        ('criticality', ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue),
        ])
    __SSBAreaCapacityValue_List_Item_iE_Extensions__item_._ext = None
    _SSBAreaCapacityValue_List_Item_iE_Extensions._cont = __SSBAreaCapacityValue_List_Item_iE_Extensions__item_
    _SSBAreaCapacityValue_List_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SSBAreaCapacityValue_List_Item._cont = ASN1Dict([
        ('sSBIndex', _SSBAreaCapacityValue_List_Item_sSBIndex),
        ('ssbAreaCapacityValue', _SSBAreaCapacityValue_List_Item_ssbAreaCapacityValue),
        ('iE-Extensions', _SSBAreaCapacityValue_List_Item_iE_Extensions),
        ])
    SSBAreaCapacityValue_List_Item._ext = []
    
    #-----< SSBAreaCapacityValue-List-Item-ExtIEs >-----#
    SSBAreaCapacityValue_List_Item_ExtIEs = CLASS(name='SSBAreaCapacityValue-List-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SSBAreaCapacityValue_List_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SSBAreaRadioResourceStatus-List >-----#
    SSBAreaRadioResourceStatus_List = SEQ_OF(name='SSBAreaRadioResourceStatus-List', mode=MODE_TYPE)
    _SSBAreaRadioResourceStatus_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SSBAreaRadioResourceStatus-List-Item')))
    SSBAreaRadioResourceStatus_List._cont = _SSBAreaRadioResourceStatus_List__item_
    SSBAreaRadioResourceStatus_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< SSBAreaRadioResourceStatus-List-Item >-----#
    SSBAreaRadioResourceStatus_List_Item = SEQ(name='SSBAreaRadioResourceStatus-List-Item', mode=MODE_TYPE)
    _SSBAreaRadioResourceStatus_List_Item_sSBIndex = INT(name='sSBIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSBAreaRadioResourceStatus_List_Item_sSBIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_DL_GBR_PRB_usage = INT(name='ssb-Area-DL-GBR-PRB-usage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-GBR-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_UL_GBR_PRB_usage = INT(name='ssb-Area-UL-GBR-PRB-usage', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-GBR-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_non_GBR_PRB_usage = INT(name='ssb-Area-dL-non-GBR-PRB-usage', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-non-GBR-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_non_GBR_PRB_usage = INT(name='ssb-Area-uL-non-GBR-PRB-usage', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-non-GBR-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_Total_PRB_usage = INT(name='ssb-Area-dL-Total-PRB-usage', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DL-Total-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_Total_PRB_usage = INT(name='ssb-Area-uL-Total-PRB-usage', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-Total-PRB-usage')))
    _SSBAreaRadioResourceStatus_List_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DL-scheduling-PDCCH-CCE-usage')))
    _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UL-scheduling-PDCCH-CCE-usage')))
    ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 240), ('criticality', 'ignore'), ('Extension', _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 241), ('criticality', 'ignore'), ('Extension', _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id._const_tab = ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id._const_tab_at = None
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality._const_tab = ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue._const_tab = ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id),
        ('criticality', ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue),
        ])
    __SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item_._ext = None
    _SSBAreaRadioResourceStatus_List_Item_iE_Extensions._cont = __SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item_
    _SSBAreaRadioResourceStatus_List_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SSBAreaRadioResourceStatus_List_Item._cont = ASN1Dict([
        ('sSBIndex', _SSBAreaRadioResourceStatus_List_Item_sSBIndex),
        ('ssb-Area-DL-GBR-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_DL_GBR_PRB_usage),
        ('ssb-Area-UL-GBR-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_UL_GBR_PRB_usage),
        ('ssb-Area-dL-non-GBR-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_non_GBR_PRB_usage),
        ('ssb-Area-uL-non-GBR-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_non_GBR_PRB_usage),
        ('ssb-Area-dL-Total-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_Total_PRB_usage),
        ('ssb-Area-uL-Total-PRB-usage', _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_Total_PRB_usage),
        ('iE-Extensions', _SSBAreaRadioResourceStatus_List_Item_iE_Extensions),
        ])
    SSBAreaRadioResourceStatus_List_Item._ext = []
    
    #-----< SSBAreaRadioResourceStatus-List-Item-ExtIEs >-----#
    SSBAreaRadioResourceStatus_List_Item_ExtIEs = CLASS(name='SSBAreaRadioResourceStatus-List-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_0 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DL-scheduling-PDCCH-CCE-usage')))
    _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_1 = INT(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UL-scheduling-PDCCH-CCE-usage')))
    SSBAreaRadioResourceStatus_List_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 240), ('criticality', 'ignore'), ('Extension', _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 241), ('criticality', 'ignore'), ('Extension', _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SSB-PositionsInBurst >-----#
    SSB_PositionsInBurst = CHOICE(name='SSB-PositionsInBurst', mode=MODE_TYPE)
    _SSB_PositionsInBurst_shortBitmap = BIT_STR(name='shortBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSB_PositionsInBurst_shortBitmap._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _SSB_PositionsInBurst_mediumBitmap = BIT_STR(name='mediumBitmap', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSB_PositionsInBurst_mediumBitmap._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _SSB_PositionsInBurst_longBitmap = BIT_STR(name='longBitmap', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSB_PositionsInBurst_longBitmap._const_sz = ASN1Set(rv=[64], rr=[], ev=None, er=[])
    _SSB_PositionsInBurst_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SSB_PositionsInBurst_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SSB_PositionsInBurst_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SSB_PositionsInBurst_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SSB_PositionsInBurst_choice_extension_id._const_tab = ___SSB_PositionsInBurst_choice_extension_id_tab
    __SSB_PositionsInBurst_choice_extension_id._const_tab_at = None
    __SSB_PositionsInBurst_choice_extension_id._const_tab_id = 'id'
    __SSB_PositionsInBurst_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SSB_PositionsInBurst_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SSB_PositionsInBurst_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SSB_PositionsInBurst_choice_extension_criticality._const_tab = ___SSB_PositionsInBurst_choice_extension_criticality_tab
    __SSB_PositionsInBurst_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SSB_PositionsInBurst_choice_extension_criticality._const_tab_id = 'criticality'
    __SSB_PositionsInBurst_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SSB_PositionsInBurst_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SSB_PositionsInBurst_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SSB_PositionsInBurst_choice_extension_value._const_tab = ___SSB_PositionsInBurst_choice_extension_value_tab
    __SSB_PositionsInBurst_choice_extension_value._const_tab_at = ('..', 'id')
    __SSB_PositionsInBurst_choice_extension_value._const_tab_id = 'Value'
    _SSB_PositionsInBurst_choice_extension._cont = ASN1Dict([
        ('id', __SSB_PositionsInBurst_choice_extension_id),
        ('criticality', __SSB_PositionsInBurst_choice_extension_criticality),
        ('value', __SSB_PositionsInBurst_choice_extension_value),
        ])
    _SSB_PositionsInBurst_choice_extension._ext = None
    SSB_PositionsInBurst._cont = ASN1Dict([
        ('shortBitmap', _SSB_PositionsInBurst_shortBitmap),
        ('mediumBitmap', _SSB_PositionsInBurst_mediumBitmap),
        ('longBitmap', _SSB_PositionsInBurst_longBitmap),
        ('choice-extension', _SSB_PositionsInBurst_choice_extension),
        ])
    SSB_PositionsInBurst._ext = None
    
    #-----< SSB-PositionsInBurst-ExtIEs >-----#
    SSB_PositionsInBurst_ExtIEs = CLASS(name='SSB-PositionsInBurst-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SSB_PositionsInBurst_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SSBToReport-List >-----#
    SSBToReport_List = SEQ_OF(name='SSBToReport-List', mode=MODE_TYPE)
    _SSBToReport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SSBToReport-List-Item')))
    SSBToReport_List._cont = _SSBToReport_List__item_
    SSBToReport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< SSBToReport-List-Item >-----#
    SSBToReport_List_Item = SEQ(name='SSBToReport-List-Item', mode=MODE_TYPE)
    _SSBToReport_List_Item_sSBIndex = INT(name='sSBIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SSBToReport_List_Item_sSBIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    _SSBToReport_List_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SSBToReport_List_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SSBToReport_List_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SSBToReport_List_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBToReport_List_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBToReport_List_Item_iE_Extensions__item__id._const_tab = ____SSBToReport_List_Item_iE_Extensions__item__id_tab
    ___SSBToReport_List_Item_iE_Extensions__item__id._const_tab_at = None
    ___SSBToReport_List_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___SSBToReport_List_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SSBToReport_List_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBToReport_List_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBToReport_List_Item_iE_Extensions__item__criticality._const_tab = ____SSBToReport_List_Item_iE_Extensions__item__criticality_tab
    ___SSBToReport_List_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SSBToReport_List_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SSBToReport_List_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SSBToReport_List_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SSBToReport_List_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SSBToReport_List_Item_iE_Extensions__item__extensionValue._const_tab = ____SSBToReport_List_Item_iE_Extensions__item__extensionValue_tab
    ___SSBToReport_List_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SSBToReport_List_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SSBToReport_List_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SSBToReport_List_Item_iE_Extensions__item__id),
        ('criticality', ___SSBToReport_List_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___SSBToReport_List_Item_iE_Extensions__item__extensionValue),
        ])
    __SSBToReport_List_Item_iE_Extensions__item_._ext = None
    _SSBToReport_List_Item_iE_Extensions._cont = __SSBToReport_List_Item_iE_Extensions__item_
    _SSBToReport_List_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SSBToReport_List_Item._cont = ASN1Dict([
        ('sSBIndex', _SSBToReport_List_Item_sSBIndex),
        ('iE-Extensions', _SSBToReport_List_Item_iE_Extensions),
        ])
    SSBToReport_List_Item._ext = []
    
    #-----< SSBToReport-List-Item-ExtIEs >-----#
    SSBToReport_List_Item_ExtIEs = CLASS(name='SSBToReport-List-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SSBToReport_List_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SUL-FrequencyBand >-----#
    SUL_FrequencyBand = INT(name='SUL-FrequencyBand', mode=MODE_TYPE)
    SUL_FrequencyBand._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< SUL-Information >-----#
    SUL_Information = SEQ(name='SUL-Information', mode=MODE_TYPE)
    _SUL_Information_sulFrequencyInfo = INT(name='sulFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRARFCN')))
    _SUL_Information_sulTransmissionBandwidth = SEQ(name='sulTransmissionBandwidth', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _SUL_Information_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SUL_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SUL_Information_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SUL_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FrequencyShift7p5khz')))
    ____SUL_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 200), ('criticality', 'ignore'), ('Extension', _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 202), ('criticality', 'ignore'), ('Extension', _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SUL_Information_iE_Extensions__item__id._const_tab = ____SUL_Information_iE_Extensions__item__id_tab
    ___SUL_Information_iE_Extensions__item__id._const_tab_at = None
    ___SUL_Information_iE_Extensions__item__id._const_tab_id = 'id'
    ___SUL_Information_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___SUL_Information_iE_Extensions__item__criticality._const_tab = ____SUL_Information_iE_Extensions__item__id_tab
    ___SUL_Information_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SUL_Information_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SUL_Information_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab = ____SUL_Information_iE_Extensions__item__id_tab
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SUL_Information_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SUL_Information_iE_Extensions__item__id),
        ('criticality', ___SUL_Information_iE_Extensions__item__criticality),
        ('extensionValue', ___SUL_Information_iE_Extensions__item__extensionValue),
        ])
    __SUL_Information_iE_Extensions__item_._ext = None
    _SUL_Information_iE_Extensions._cont = __SUL_Information_iE_Extensions__item_
    _SUL_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SUL_Information._cont = ASN1Dict([
        ('sulFrequencyInfo', _SUL_Information_sulFrequencyInfo),
        ('sulTransmissionBandwidth', _SUL_Information_sulTransmissionBandwidth),
        ('iE-Extensions', _SUL_Information_iE_Extensions),
        ])
    SUL_Information._ext = []
    
    #-----< SUL-Information-ExtIEs >-----#
    SUL_Information_ExtIEs = CLASS(name='SUL-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _SUL_Information_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRCarrierList')))
    _SUL_Information_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FrequencyShift7p5khz')))
    SUL_Information_ExtIEs._val = ASN1Set(rv=[dict([('id', 200), ('criticality', 'ignore'), ('Extension', _SUL_Information_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 202), ('criticality', 'ignore'), ('Extension', _SUL_Information_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SupportedSULBandList >-----#
    SupportedSULBandList = SEQ_OF(name='SupportedSULBandList', mode=MODE_TYPE)
    _SupportedSULBandList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SupportedSULBandItem')))
    SupportedSULBandList._cont = _SupportedSULBandList__item_
    SupportedSULBandList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< SupportedSULBandItem >-----#
    SupportedSULBandItem = SEQ(name='SupportedSULBandItem', mode=MODE_TYPE)
    _SupportedSULBandItem_sulBandItem = INT(name='sulBandItem', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SUL-FrequencyBand')))
    _SupportedSULBandItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SupportedSULBandItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SupportedSULBandItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SupportedSULBandItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab = ____SupportedSULBandItem_iE_Extensions__item__id_tab
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab_at = None
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___SupportedSULBandItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SupportedSULBandItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab = ____SupportedSULBandItem_iE_Extensions__item__criticality_tab
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab = ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SupportedSULBandItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SupportedSULBandItem_iE_Extensions__item__id),
        ('criticality', ___SupportedSULBandItem_iE_Extensions__item__criticality),
        ('extensionValue', ___SupportedSULBandItem_iE_Extensions__item__extensionValue),
        ])
    __SupportedSULBandItem_iE_Extensions__item_._ext = None
    _SupportedSULBandItem_iE_Extensions._cont = __SupportedSULBandItem_iE_Extensions__item_
    _SupportedSULBandItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SupportedSULBandItem._cont = ASN1Dict([
        ('sulBandItem', _SupportedSULBandItem_sulBandItem),
        ('iE-Extensions', _SupportedSULBandItem_iE_Extensions),
        ])
    SupportedSULBandItem._ext = []
    
    #-----< SupportedSULBandItem-ExtIEs >-----#
    SupportedSULBandItem_ExtIEs = CLASS(name='SupportedSULBandItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SupportedSULBandItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SymbolAllocation-in-Slot >-----#
    SymbolAllocation_in_Slot = CHOICE(name='SymbolAllocation-in-Slot', mode=MODE_TYPE)
    _SymbolAllocation_in_Slot_allDL = SEQ(name='allDL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SymbolAllocation-in-Slot-AllDL')))
    _SymbolAllocation_in_Slot_allUL = SEQ(name='allUL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SymbolAllocation-in-Slot-AllUL')))
    _SymbolAllocation_in_Slot_bothDLandUL = SEQ(name='bothDLandUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SymbolAllocation-in-Slot-BothDLandUL')))
    _SymbolAllocation_in_Slot_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SymbolAllocation_in_Slot_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___SymbolAllocation_in_Slot_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SymbolAllocation_in_Slot_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SymbolAllocation_in_Slot_choice_extension_id._const_tab = ___SymbolAllocation_in_Slot_choice_extension_id_tab
    __SymbolAllocation_in_Slot_choice_extension_id._const_tab_at = None
    __SymbolAllocation_in_Slot_choice_extension_id._const_tab_id = 'id'
    __SymbolAllocation_in_Slot_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SymbolAllocation_in_Slot_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SymbolAllocation_in_Slot_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SymbolAllocation_in_Slot_choice_extension_criticality._const_tab = ___SymbolAllocation_in_Slot_choice_extension_criticality_tab
    __SymbolAllocation_in_Slot_choice_extension_criticality._const_tab_at = ('..', 'id')
    __SymbolAllocation_in_Slot_choice_extension_criticality._const_tab_id = 'criticality'
    __SymbolAllocation_in_Slot_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SymbolAllocation_in_Slot_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SymbolAllocation_in_Slot_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SymbolAllocation_in_Slot_choice_extension_value._const_tab = ___SymbolAllocation_in_Slot_choice_extension_value_tab
    __SymbolAllocation_in_Slot_choice_extension_value._const_tab_at = ('..', 'id')
    __SymbolAllocation_in_Slot_choice_extension_value._const_tab_id = 'Value'
    _SymbolAllocation_in_Slot_choice_extension._cont = ASN1Dict([
        ('id', __SymbolAllocation_in_Slot_choice_extension_id),
        ('criticality', __SymbolAllocation_in_Slot_choice_extension_criticality),
        ('value', __SymbolAllocation_in_Slot_choice_extension_value),
        ])
    _SymbolAllocation_in_Slot_choice_extension._ext = None
    SymbolAllocation_in_Slot._cont = ASN1Dict([
        ('allDL', _SymbolAllocation_in_Slot_allDL),
        ('allUL', _SymbolAllocation_in_Slot_allUL),
        ('bothDLandUL', _SymbolAllocation_in_Slot_bothDLandUL),
        ('choice-extension', _SymbolAllocation_in_Slot_choice_extension),
        ])
    SymbolAllocation_in_Slot._ext = None
    
    #-----< SymbolAllocation-in-Slot-ExtIEs >-----#
    SymbolAllocation_in_Slot_ExtIEs = CLASS(name='SymbolAllocation-in-Slot-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SymbolAllocation_in_Slot_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SymbolAllocation-in-Slot-AllDL >-----#
    SymbolAllocation_in_Slot_AllDL = SEQ(name='SymbolAllocation-in-Slot-AllDL', mode=MODE_TYPE)
    _SymbolAllocation_in_Slot_AllDL_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SymbolAllocation_in_Slot_AllDL_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id._const_tab = ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id_tab
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id._const_tab_at = None
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id._const_tab_id = 'id'
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality._const_tab = ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality_tab
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue._const_tab = ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue_tab
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __SymbolAllocation_in_Slot_AllDL_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id),
        ('criticality', ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality),
        ('extensionValue', ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue),
        ])
    __SymbolAllocation_in_Slot_AllDL_iE_Extension__item_._ext = None
    _SymbolAllocation_in_Slot_AllDL_iE_Extension._cont = __SymbolAllocation_in_Slot_AllDL_iE_Extension__item_
    _SymbolAllocation_in_Slot_AllDL_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SymbolAllocation_in_Slot_AllDL._cont = ASN1Dict([
        ('iE-Extension', _SymbolAllocation_in_Slot_AllDL_iE_Extension),
        ])
    SymbolAllocation_in_Slot_AllDL._ext = []
    
    #-----< SymbolAllocation-in-Slot-AllDL-ExtIEs >-----#
    SymbolAllocation_in_Slot_AllDL_ExtIEs = CLASS(name='SymbolAllocation-in-Slot-AllDL-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SymbolAllocation_in_Slot_AllDL_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SymbolAllocation-in-Slot-AllUL >-----#
    SymbolAllocation_in_Slot_AllUL = SEQ(name='SymbolAllocation-in-Slot-AllUL', mode=MODE_TYPE)
    _SymbolAllocation_in_Slot_AllUL_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SymbolAllocation_in_Slot_AllUL_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id._const_tab = ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id_tab
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id._const_tab_at = None
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id._const_tab_id = 'id'
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality._const_tab = ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality_tab
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue._const_tab = ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue_tab
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __SymbolAllocation_in_Slot_AllUL_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id),
        ('criticality', ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality),
        ('extensionValue', ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue),
        ])
    __SymbolAllocation_in_Slot_AllUL_iE_Extension__item_._ext = None
    _SymbolAllocation_in_Slot_AllUL_iE_Extension._cont = __SymbolAllocation_in_Slot_AllUL_iE_Extension__item_
    _SymbolAllocation_in_Slot_AllUL_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SymbolAllocation_in_Slot_AllUL._cont = ASN1Dict([
        ('iE-Extension', _SymbolAllocation_in_Slot_AllUL_iE_Extension),
        ])
    SymbolAllocation_in_Slot_AllUL._ext = []
    
    #-----< SymbolAllocation-in-Slot-AllUL-ExtIEs >-----#
    SymbolAllocation_in_Slot_AllUL_ExtIEs = CLASS(name='SymbolAllocation-in-Slot-AllUL-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SymbolAllocation_in_Slot_AllUL_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SymbolAllocation-in-Slot-BothDLandUL >-----#
    SymbolAllocation_in_Slot_BothDLandUL = SEQ(name='SymbolAllocation-in-Slot-BothDLandUL', mode=MODE_TYPE)
    _SymbolAllocation_in_Slot_BothDLandUL_numberofDLSymbols = INT(name='numberofDLSymbols', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SymbolAllocation_in_Slot_BothDLandUL_numberofDLSymbols._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=13)], ev=None, er=[])
    _SymbolAllocation_in_Slot_BothDLandUL_numberofULSymbols = INT(name='numberofULSymbols', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SymbolAllocation_in_Slot_BothDLandUL_numberofULSymbols._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=13)], ev=None, er=[])
    _SymbolAllocation_in_Slot_BothDLandUL_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id._const_tab = ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id_tab
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id._const_tab_at = None
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id._const_tab_id = 'id'
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality._const_tab = ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality_tab
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue._const_tab = ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue_tab
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id),
        ('criticality', ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality),
        ('extensionValue', ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue),
        ])
    __SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item_._ext = None
    _SymbolAllocation_in_Slot_BothDLandUL_iE_Extension._cont = __SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item_
    _SymbolAllocation_in_Slot_BothDLandUL_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SymbolAllocation_in_Slot_BothDLandUL._cont = ASN1Dict([
        ('numberofDLSymbols', _SymbolAllocation_in_Slot_BothDLandUL_numberofDLSymbols),
        ('numberofULSymbols', _SymbolAllocation_in_Slot_BothDLandUL_numberofULSymbols),
        ('iE-Extension', _SymbolAllocation_in_Slot_BothDLandUL_iE_Extension),
        ])
    SymbolAllocation_in_Slot_BothDLandUL._ext = []
    
    #-----< SymbolAllocation-in-Slot-BothDLandUL-ExtIEs >-----#
    SymbolAllocation_in_Slot_BothDLandUL_ExtIEs = CLASS(name='SymbolAllocation-in-Slot-BothDLandUL-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SymbolAllocation_in_Slot_BothDLandUL_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TABasedMDT >-----#
    TABasedMDT = SEQ(name='TABasedMDT', mode=MODE_TYPE)
    _TABasedMDT_tAListforMDT = SEQ_OF(name='tAListforMDT', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAListforMDT')))
    _TABasedMDT_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TABasedMDT_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TABasedMDT_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TABasedMDT_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TABasedMDT_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TABasedMDT_iE_Extensions__item__id._const_tab = ____TABasedMDT_iE_Extensions__item__id_tab
    ___TABasedMDT_iE_Extensions__item__id._const_tab_at = None
    ___TABasedMDT_iE_Extensions__item__id._const_tab_id = 'id'
    ___TABasedMDT_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TABasedMDT_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TABasedMDT_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TABasedMDT_iE_Extensions__item__criticality._const_tab = ____TABasedMDT_iE_Extensions__item__criticality_tab
    ___TABasedMDT_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TABasedMDT_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TABasedMDT_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TABasedMDT_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TABasedMDT_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TABasedMDT_iE_Extensions__item__extensionValue._const_tab = ____TABasedMDT_iE_Extensions__item__extensionValue_tab
    ___TABasedMDT_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TABasedMDT_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TABasedMDT_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TABasedMDT_iE_Extensions__item__id),
        ('criticality', ___TABasedMDT_iE_Extensions__item__criticality),
        ('extensionValue', ___TABasedMDT_iE_Extensions__item__extensionValue),
        ])
    __TABasedMDT_iE_Extensions__item_._ext = None
    _TABasedMDT_iE_Extensions._cont = __TABasedMDT_iE_Extensions__item_
    _TABasedMDT_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TABasedMDT._cont = ASN1Dict([
        ('tAListforMDT', _TABasedMDT_tAListforMDT),
        ('iE-Extensions', _TABasedMDT_iE_Extensions),
        ])
    TABasedMDT._ext = []
    
    #-----< TABasedMDT-ExtIEs >-----#
    TABasedMDT_ExtIEs = CLASS(name='TABasedMDT-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TABasedMDT_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TAIBasedMDT >-----#
    TAIBasedMDT = SEQ(name='TAIBasedMDT', mode=MODE_TYPE)
    _TAIBasedMDT_tAIListforMDT = SEQ_OF(name='tAIListforMDT', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAIListforMDT')))
    _TAIBasedMDT_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAIBasedMDT_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAIBasedMDT_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TAIBasedMDT_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIBasedMDT_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIBasedMDT_iE_Extensions__item__id._const_tab = ____TAIBasedMDT_iE_Extensions__item__id_tab
    ___TAIBasedMDT_iE_Extensions__item__id._const_tab_at = None
    ___TAIBasedMDT_iE_Extensions__item__id._const_tab_id = 'id'
    ___TAIBasedMDT_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TAIBasedMDT_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIBasedMDT_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIBasedMDT_iE_Extensions__item__criticality._const_tab = ____TAIBasedMDT_iE_Extensions__item__criticality_tab
    ___TAIBasedMDT_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TAIBasedMDT_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TAIBasedMDT_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TAIBasedMDT_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIBasedMDT_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIBasedMDT_iE_Extensions__item__extensionValue._const_tab = ____TAIBasedMDT_iE_Extensions__item__extensionValue_tab
    ___TAIBasedMDT_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TAIBasedMDT_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TAIBasedMDT_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TAIBasedMDT_iE_Extensions__item__id),
        ('criticality', ___TAIBasedMDT_iE_Extensions__item__criticality),
        ('extensionValue', ___TAIBasedMDT_iE_Extensions__item__extensionValue),
        ])
    __TAIBasedMDT_iE_Extensions__item_._ext = None
    _TAIBasedMDT_iE_Extensions._cont = __TAIBasedMDT_iE_Extensions__item_
    _TAIBasedMDT_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAIBasedMDT._cont = ASN1Dict([
        ('tAIListforMDT', _TAIBasedMDT_tAIListforMDT),
        ('iE-Extensions', _TAIBasedMDT_iE_Extensions),
        ])
    TAIBasedMDT._ext = []
    
    #-----< TAIBasedMDT-ExtIEs >-----#
    TAIBasedMDT_ExtIEs = CLASS(name='TAIBasedMDT-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAIBasedMDT_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TAIListforMDT >-----#
    TAIListforMDT = SEQ_OF(name='TAIListforMDT', mode=MODE_TYPE)
    _TAIListforMDT__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAIforMDT-Item')))
    TAIListforMDT._cont = _TAIListforMDT__item_
    TAIListforMDT._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< TAIforMDT-Item >-----#
    TAIforMDT_Item = SEQ(name='TAIforMDT-Item', mode=MODE_TYPE)
    _TAIforMDT_Item_plmn_ID = OCT_STR(name='plmn-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _TAIforMDT_Item_tAC = OCT_STR(name='tAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _TAIforMDT_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAIforMDT_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAIforMDT_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TAIforMDT_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIforMDT_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIforMDT_Item_iE_Extensions__item__id._const_tab = ____TAIforMDT_Item_iE_Extensions__item__id_tab
    ___TAIforMDT_Item_iE_Extensions__item__id._const_tab_at = None
    ___TAIforMDT_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TAIforMDT_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TAIforMDT_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIforMDT_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIforMDT_Item_iE_Extensions__item__criticality._const_tab = ____TAIforMDT_Item_iE_Extensions__item__criticality_tab
    ___TAIforMDT_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TAIforMDT_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TAIforMDT_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TAIforMDT_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIforMDT_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIforMDT_Item_iE_Extensions__item__extensionValue._const_tab = ____TAIforMDT_Item_iE_Extensions__item__extensionValue_tab
    ___TAIforMDT_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TAIforMDT_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TAIforMDT_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TAIforMDT_Item_iE_Extensions__item__id),
        ('criticality', ___TAIforMDT_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TAIforMDT_Item_iE_Extensions__item__extensionValue),
        ])
    __TAIforMDT_Item_iE_Extensions__item_._ext = None
    _TAIforMDT_Item_iE_Extensions._cont = __TAIforMDT_Item_iE_Extensions__item_
    _TAIforMDT_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAIforMDT_Item._cont = ASN1Dict([
        ('plmn-ID', _TAIforMDT_Item_plmn_ID),
        ('tAC', _TAIforMDT_Item_tAC),
        ('iE-Extensions', _TAIforMDT_Item_iE_Extensions),
        ])
    TAIforMDT_Item._ext = []
    
    #-----< TAIforMDT-Item-ExtIEs >-----#
    TAIforMDT_Item_ExtIEs = CLASS(name='TAIforMDT-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAIforMDT_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TAC >-----#
    TAC = OCT_STR(name='TAC', mode=MODE_TYPE)
    TAC._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< TAISupport-List >-----#
    TAISupport_List = SEQ_OF(name='TAISupport-List', mode=MODE_TYPE)
    _TAISupport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-Item')))
    TAISupport_List._cont = _TAISupport_List__item_
    TAISupport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< TAISupport-Item >-----#
    TAISupport_Item = SEQ(name='TAISupport-Item', mode=MODE_TYPE)
    _TAISupport_Item_tac = OCT_STR(name='tac', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _TAISupport_Item_broadcastPLMNs = SEQ_OF(name='broadcastPLMNs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __TAISupport_Item_broadcastPLMNs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNinTAISupport-Item')))
    _TAISupport_Item_broadcastPLMNs._cont = __TAISupport_Item_broadcastPLMNs__item_
    _TAISupport_Item_broadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    _TAISupport_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAISupport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAISupport_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TAISupport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__id._const_tab = ____TAISupport_Item_iE_Extensions__item__id_tab
    ___TAISupport_Item_iE_Extensions__item__id._const_tab_at = None
    ___TAISupport_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TAISupport_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TAISupport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab = ____TAISupport_Item_iE_Extensions__item__criticality_tab
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TAISupport_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TAISupport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab = ____TAISupport_Item_iE_Extensions__item__extensionValue_tab
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TAISupport_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TAISupport_Item_iE_Extensions__item__id),
        ('criticality', ___TAISupport_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TAISupport_Item_iE_Extensions__item__extensionValue),
        ])
    __TAISupport_Item_iE_Extensions__item_._ext = None
    _TAISupport_Item_iE_Extensions._cont = __TAISupport_Item_iE_Extensions__item_
    _TAISupport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAISupport_Item._cont = ASN1Dict([
        ('tac', _TAISupport_Item_tac),
        ('broadcastPLMNs', _TAISupport_Item_broadcastPLMNs),
        ('iE-Extensions', _TAISupport_Item_iE_Extensions),
        ])
    TAISupport_Item._ext = []
    
    #-----< TAISupport-Item-ExtIEs >-----#
    TAISupport_Item_ExtIEs = CLASS(name='TAISupport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAISupport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TAListforMDT >-----#
    TAListforMDT = SEQ_OF(name='TAListforMDT', mode=MODE_TYPE)
    _TAListforMDT__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    TAListforMDT._cont = _TAListforMDT__item_
    TAListforMDT._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< TargetCellinEUTRAN >-----#
    TargetCellinEUTRAN = OCT_STR(name='TargetCellinEUTRAN', mode=MODE_TYPE)
    
    #-----< Target-CGI >-----#
    Target_CGI = CHOICE(name='Target-CGI', mode=MODE_TYPE)
    _Target_CGI_nr = SEQ(name='nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _Target_CGI_e_utra = SEQ(name='e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _Target_CGI_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __Target_CGI_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___Target_CGI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_id._const_tab = ___Target_CGI_choice_extension_id_tab
    __Target_CGI_choice_extension_id._const_tab_at = None
    __Target_CGI_choice_extension_id._const_tab_id = 'id'
    __Target_CGI_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___Target_CGI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_criticality._const_tab = ___Target_CGI_choice_extension_criticality_tab
    __Target_CGI_choice_extension_criticality._const_tab_at = ('..', 'id')
    __Target_CGI_choice_extension_criticality._const_tab_id = 'criticality'
    __Target_CGI_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___Target_CGI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_value._const_tab = ___Target_CGI_choice_extension_value_tab
    __Target_CGI_choice_extension_value._const_tab_at = ('..', 'id')
    __Target_CGI_choice_extension_value._const_tab_id = 'Value'
    _Target_CGI_choice_extension._cont = ASN1Dict([
        ('id', __Target_CGI_choice_extension_id),
        ('criticality', __Target_CGI_choice_extension_criticality),
        ('value', __Target_CGI_choice_extension_value),
        ])
    _Target_CGI_choice_extension._ext = None
    Target_CGI._cont = ASN1Dict([
        ('nr', _Target_CGI_nr),
        ('e-utra', _Target_CGI_e_utra),
        ('choice-extension', _Target_CGI_choice_extension),
        ])
    Target_CGI._ext = None
    
    #-----< TargetCGI-ExtIEs >-----#
    TargetCGI_ExtIEs = CLASS(name='TargetCGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    TargetCGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TDDULDLConfigurationCommonNR >-----#
    TDDULDLConfigurationCommonNR = OCT_STR(name='TDDULDLConfigurationCommonNR', mode=MODE_TYPE)
    
    #-----< TargetCellList >-----#
    TargetCellList = SEQ_OF(name='TargetCellList', mode=MODE_TYPE)
    _TargetCellList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellList-Item')))
    TargetCellList._cont = _TargetCellList__item_
    TargetCellList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< TargetCellList-Item >-----#
    TargetCellList_Item = SEQ(name='TargetCellList-Item', mode=MODE_TYPE)
    _TargetCellList_Item_target_cell = CHOICE(name='target-cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _TargetCellList_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TargetCellList_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TargetCellList_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TargetCellList_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TargetCellList_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TargetCellList_Item_iE_Extensions__item__id._const_tab = ____TargetCellList_Item_iE_Extensions__item__id_tab
    ___TargetCellList_Item_iE_Extensions__item__id._const_tab_at = None
    ___TargetCellList_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TargetCellList_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TargetCellList_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TargetCellList_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TargetCellList_Item_iE_Extensions__item__criticality._const_tab = ____TargetCellList_Item_iE_Extensions__item__criticality_tab
    ___TargetCellList_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TargetCellList_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TargetCellList_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TargetCellList_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TargetCellList_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TargetCellList_Item_iE_Extensions__item__extensionValue._const_tab = ____TargetCellList_Item_iE_Extensions__item__extensionValue_tab
    ___TargetCellList_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TargetCellList_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TargetCellList_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TargetCellList_Item_iE_Extensions__item__id),
        ('criticality', ___TargetCellList_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TargetCellList_Item_iE_Extensions__item__extensionValue),
        ])
    __TargetCellList_Item_iE_Extensions__item_._ext = None
    _TargetCellList_Item_iE_Extensions._cont = __TargetCellList_Item_iE_Extensions__item_
    _TargetCellList_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TargetCellList_Item._cont = ASN1Dict([
        ('target-cell', _TargetCellList_Item_target_cell),
        ('iE-Extensions', _TargetCellList_Item_iE_Extensions),
        ])
    TargetCellList_Item._ext = None
    
    #-----< TargetCellList-Item-ExtIEs >-----#
    TargetCellList_Item_ExtIEs = CLASS(name='TargetCellList-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TargetCellList_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Threshold-RSRQ >-----#
    Threshold_RSRQ = INT(name='Threshold-RSRQ', mode=MODE_TYPE)
    Threshold_RSRQ._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=34)], ev=None, er=[])
    
    #-----< Threshold-RSRP >-----#
    Threshold_RSRP = INT(name='Threshold-RSRP', mode=MODE_TYPE)
    Threshold_RSRP._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=97)], ev=None, er=[])
    
    #-----< Threshold-SINR >-----#
    Threshold_SINR = INT(name='Threshold-SINR', mode=MODE_TYPE)
    Threshold_SINR._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=None, er=[])
    
    #-----< TimeToTrigger >-----#
    TimeToTrigger = ENUM(name='TimeToTrigger', mode=MODE_TYPE)
    TimeToTrigger._cont = ASN1Dict([('ms0', 0), ('ms40', 1), ('ms64', 2), ('ms80', 3), ('ms100', 4), ('ms128', 5), ('ms160', 6), ('ms256', 7), ('ms320', 8), ('ms480', 9), ('ms512', 10), ('ms640', 11), ('ms1024', 12), ('ms1280', 13), ('ms2560', 14), ('ms5120', 15)])
    TimeToTrigger._ext = None
    
    #-----< TimeToWait >-----#
    TimeToWait = ENUM(name='TimeToWait', mode=MODE_TYPE)
    TimeToWait._cont = ASN1Dict([('v1s', 0), ('v2s', 1), ('v5s', 2), ('v10s', 3), ('v20s', 4), ('v60s', 5)])
    TimeToWait._ext = []
    
    #-----< TNLConfigurationInfo >-----#
    TNLConfigurationInfo = SEQ(name='TNLConfigurationInfo', mode=MODE_TYPE)
    _TNLConfigurationInfo_extendedUPTransportLayerAddressesToAdd = SEQ_OF(name='extendedUPTransportLayerAddressesToAdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExtTLAs')), opt=True)
    _TNLConfigurationInfo_extendedUPTransportLayerAddressesToRemove = SEQ_OF(name='extendedUPTransportLayerAddressesToRemove', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExtTLAs')), opt=True)
    _TNLConfigurationInfo_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLConfigurationInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLConfigurationInfo_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLConfigurationInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLConfigurationInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLConfigurationInfo_iE_Extensions__item__id._const_tab = ____TNLConfigurationInfo_iE_Extensions__item__id_tab
    ___TNLConfigurationInfo_iE_Extensions__item__id._const_tab_at = None
    ___TNLConfigurationInfo_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLConfigurationInfo_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLConfigurationInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLConfigurationInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLConfigurationInfo_iE_Extensions__item__criticality._const_tab = ____TNLConfigurationInfo_iE_Extensions__item__criticality_tab
    ___TNLConfigurationInfo_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLConfigurationInfo_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLConfigurationInfo_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLConfigurationInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLConfigurationInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLConfigurationInfo_iE_Extensions__item__extensionValue._const_tab = ____TNLConfigurationInfo_iE_Extensions__item__extensionValue_tab
    ___TNLConfigurationInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLConfigurationInfo_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLConfigurationInfo_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLConfigurationInfo_iE_Extensions__item__id),
        ('criticality', ___TNLConfigurationInfo_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLConfigurationInfo_iE_Extensions__item__extensionValue),
        ])
    __TNLConfigurationInfo_iE_Extensions__item_._ext = None
    _TNLConfigurationInfo_iE_Extensions._cont = __TNLConfigurationInfo_iE_Extensions__item_
    _TNLConfigurationInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLConfigurationInfo._cont = ASN1Dict([
        ('extendedUPTransportLayerAddressesToAdd', _TNLConfigurationInfo_extendedUPTransportLayerAddressesToAdd),
        ('extendedUPTransportLayerAddressesToRemove', _TNLConfigurationInfo_extendedUPTransportLayerAddressesToRemove),
        ('iE-Extensions', _TNLConfigurationInfo_iE_Extensions),
        ])
    TNLConfigurationInfo._ext = []
    
    #-----< TNLConfigurationInfo-ExtIEs >-----#
    TNLConfigurationInfo_ExtIEs = CLASS(name='TNLConfigurationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLConfigurationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-To-Add-List >-----#
    TNLA_To_Add_List = SEQ_OF(name='TNLA-To-Add-List', mode=MODE_TYPE)
    _TNLA_To_Add_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-Item')))
    TNLA_To_Add_List._cont = _TNLA_To_Add_List__item_
    TNLA_To_Add_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Add-Item >-----#
    TNLA_To_Add_Item = SEQ(name='TNLA-To-Add-Item', mode=MODE_TYPE)
    _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress = CHOICE(name='tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Add_Item_tNLAssociationUsage = ENUM(name='tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TNLAssociationUsage')))
    _TNLA_To_Add_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Add_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Add_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLA_To_Add_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLA_To_Add_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLA_To_Add_Item_iE_Extensions__item__id),
        ('criticality', ___TNLA_To_Add_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Add_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Add_Item_iE_Extensions._cont = __TNLA_To_Add_Item_iE_Extensions__item_
    _TNLA_To_Add_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Add_Item._cont = ASN1Dict([
        ('tNLAssociationTransportLayerAddress', _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress),
        ('tNLAssociationUsage', _TNLA_To_Add_Item_tNLAssociationUsage),
        ('iE-Extensions', _TNLA_To_Add_Item_iE_Extensions),
        ])
    TNLA_To_Add_Item._ext = None
    
    #-----< TNLA-To-Add-Item-ExtIEs >-----#
    TNLA_To_Add_Item_ExtIEs = CLASS(name='TNLA-To-Add-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Add_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-To-Update-List >-----#
    TNLA_To_Update_List = SEQ_OF(name='TNLA-To-Update-List', mode=MODE_TYPE)
    _TNLA_To_Update_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-Item')))
    TNLA_To_Update_List._cont = _TNLA_To_Update_List__item_
    TNLA_To_Update_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Update-Item >-----#
    TNLA_To_Update_Item = SEQ(name='TNLA-To-Update-Item', mode=MODE_TYPE)
    _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress = CHOICE(name='tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Update_Item_tNLAssociationUsage = ENUM(name='tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TNLAssociationUsage')), opt=True)
    _TNLA_To_Update_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Update_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Update_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLA_To_Update_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLA_To_Update_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLA_To_Update_Item_iE_Extensions__item__id),
        ('criticality', ___TNLA_To_Update_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Update_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Update_Item_iE_Extensions._cont = __TNLA_To_Update_Item_iE_Extensions__item_
    _TNLA_To_Update_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Update_Item._cont = ASN1Dict([
        ('tNLAssociationTransportLayerAddress', _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress),
        ('tNLAssociationUsage', _TNLA_To_Update_Item_tNLAssociationUsage),
        ('iE-Extensions', _TNLA_To_Update_Item_iE_Extensions),
        ])
    TNLA_To_Update_Item._ext = None
    
    #-----< TNLA-To-Update-Item-ExtIEs >-----#
    TNLA_To_Update_Item_ExtIEs = CLASS(name='TNLA-To-Update-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Update_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-To-Remove-List >-----#
    TNLA_To_Remove_List = SEQ_OF(name='TNLA-To-Remove-List', mode=MODE_TYPE)
    _TNLA_To_Remove_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-Item')))
    TNLA_To_Remove_List._cont = _TNLA_To_Remove_List__item_
    TNLA_To_Remove_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Remove-Item >-----#
    TNLA_To_Remove_Item = SEQ(name='TNLA-To-Remove-Item', mode=MODE_TYPE)
    _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress = CHOICE(name='tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Remove_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Remove_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Remove_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLA_To_Remove_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLA_To_Remove_Item_iE_Extensions__item__id),
        ('criticality', ___TNLA_To_Remove_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Remove_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Remove_Item_iE_Extensions._cont = __TNLA_To_Remove_Item_iE_Extensions__item_
    _TNLA_To_Remove_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Remove_Item._cont = ASN1Dict([
        ('tNLAssociationTransportLayerAddress', _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress),
        ('iE-Extensions', _TNLA_To_Remove_Item_iE_Extensions),
        ])
    TNLA_To_Remove_Item._ext = None
    
    #-----< TNLA-To-Remove-Item-ExtIEs >-----#
    TNLA_To_Remove_Item_ExtIEs = CLASS(name='TNLA-To-Remove-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Remove_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-Setup-List >-----#
    TNLA_Setup_List = SEQ_OF(name='TNLA-Setup-List', mode=MODE_TYPE)
    _TNLA_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-Item')))
    TNLA_Setup_List._cont = _TNLA_Setup_List__item_
    TNLA_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-Setup-Item >-----#
    TNLA_Setup_Item = SEQ(name='TNLA-Setup-Item', mode=MODE_TYPE)
    _TNLA_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name='tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_Setup_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_Setup_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLA_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__id_tab
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLA_Setup_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLA_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLA_Setup_Item_iE_Extensions__item__id),
        ('criticality', ___TNLA_Setup_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLA_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_Setup_Item_iE_Extensions__item_._ext = None
    _TNLA_Setup_Item_iE_Extensions._cont = __TNLA_Setup_Item_iE_Extensions__item_
    _TNLA_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_Setup_Item._cont = ASN1Dict([
        ('tNLAssociationTransportLayerAddress', _TNLA_Setup_Item_tNLAssociationTransportLayerAddress),
        ('iE-Extensions', _TNLA_Setup_Item_iE_Extensions),
        ])
    TNLA_Setup_Item._ext = []
    
    #-----< TNLA-Setup-Item-ExtIEs >-----#
    TNLA_Setup_Item_ExtIEs = CLASS(name='TNLA-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-Failed-To-Setup-List >-----#
    TNLA_Failed_To_Setup_List = SEQ_OF(name='TNLA-Failed-To-Setup-List', mode=MODE_TYPE)
    _TNLA_Failed_To_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-Item')))
    TNLA_Failed_To_Setup_List._cont = _TNLA_Failed_To_Setup_List__item_
    TNLA_Failed_To_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-Failed-To-Setup-Item >-----#
    TNLA_Failed_To_Setup_Item = SEQ(name='TNLA-Failed-To-Setup-Item', mode=MODE_TYPE)
    _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name='tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_Failed_To_Setup_Item_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _TNLA_Failed_To_Setup_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id),
        ('criticality', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_._ext = None
    _TNLA_Failed_To_Setup_Item_iE_Extensions._cont = __TNLA_Failed_To_Setup_Item_iE_Extensions__item_
    _TNLA_Failed_To_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_Failed_To_Setup_Item._cont = ASN1Dict([
        ('tNLAssociationTransportLayerAddress', _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress),
        ('cause', _TNLA_Failed_To_Setup_Item_cause),
        ('iE-Extensions', _TNLA_Failed_To_Setup_Item_iE_Extensions),
        ])
    TNLA_Failed_To_Setup_Item._ext = None
    
    #-----< TNLA-Failed-To-Setup-Item-ExtIEs >-----#
    TNLA_Failed_To_Setup_Item_ExtIEs = CLASS(name='TNLA-Failed-To-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_Failed_To_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLAssociationUsage >-----#
    TNLAssociationUsage = ENUM(name='TNLAssociationUsage', mode=MODE_TYPE)
    TNLAssociationUsage._cont = ASN1Dict([('ue', 0), ('non-ue', 1), ('both', 2)])
    TNLAssociationUsage._ext = []
    
    #-----< TransportLayerAddress >-----#
    TransportLayerAddress = BIT_STR(name='TransportLayerAddress', mode=MODE_TYPE)
    TransportLayerAddress._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=160)], ev=[], er=[])
    
    #-----< TraceActivation >-----#
    TraceActivation = SEQ(name='TraceActivation', mode=MODE_TYPE)
    _TraceActivation_ng_ran_TraceID = OCT_STR(name='ng-ran-TraceID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANTraceID')))
    _TraceActivation_interfaces_to_trace = BIT_STR(name='interfaces-to-trace', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _TraceActivation_interfaces_to_trace._cont = ASN1Dict([('ng-c', 0), ('x-nc', 1), ('uu', 2), ('f1-c', 3), ('e1', 4)])
    _TraceActivation_interfaces_to_trace._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _TraceActivation_trace_depth = ENUM(name='trace-depth', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Trace-Depth')))
    _TraceActivation_trace_coll_address = BIT_STR(name='trace-coll-address', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _TraceActivation_ie_Extension = SEQ_OF(name='ie-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TraceActivation_ie_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TraceActivation_ie_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TraceActivation_ie_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____TraceActivation_ie_Extension__item__id_tab_val_Extension_0 = STR_VIS(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'URIaddress')))
    _____TraceActivation_ie_Extension__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDT-Configuration')))
    ____TraceActivation_ie_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 226), ('criticality', 'ignore'), ('Extension', _____TraceActivation_ie_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 224), ('criticality', 'ignore'), ('Extension', _____TraceActivation_ie_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___TraceActivation_ie_Extension__item__id._const_tab = ____TraceActivation_ie_Extension__item__id_tab
    ___TraceActivation_ie_Extension__item__id._const_tab_at = None
    ___TraceActivation_ie_Extension__item__id._const_tab_id = 'id'
    ___TraceActivation_ie_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___TraceActivation_ie_Extension__item__criticality._const_tab = ____TraceActivation_ie_Extension__item__id_tab
    ___TraceActivation_ie_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___TraceActivation_ie_Extension__item__criticality._const_tab_id = 'criticality'
    ___TraceActivation_ie_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab = ____TraceActivation_ie_Extension__item__id_tab
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab_id = 'Extension'
    __TraceActivation_ie_Extension__item_._cont = ASN1Dict([
        ('id', ___TraceActivation_ie_Extension__item__id),
        ('criticality', ___TraceActivation_ie_Extension__item__criticality),
        ('extensionValue', ___TraceActivation_ie_Extension__item__extensionValue),
        ])
    __TraceActivation_ie_Extension__item_._ext = None
    _TraceActivation_ie_Extension._cont = __TraceActivation_ie_Extension__item_
    _TraceActivation_ie_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TraceActivation._cont = ASN1Dict([
        ('ng-ran-TraceID', _TraceActivation_ng_ran_TraceID),
        ('interfaces-to-trace', _TraceActivation_interfaces_to_trace),
        ('trace-depth', _TraceActivation_trace_depth),
        ('trace-coll-address', _TraceActivation_trace_coll_address),
        ('ie-Extension', _TraceActivation_ie_Extension),
        ])
    TraceActivation._ext = []
    
    #-----< TraceActivation-ExtIEs >-----#
    TraceActivation_ExtIEs = CLASS(name='TraceActivation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _TraceActivation_ExtIEs_val_Extension_0 = STR_VIS(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'URIaddress')))
    _TraceActivation_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDT-Configuration')))
    TraceActivation_ExtIEs._val = ASN1Set(rv=[dict([('id', 226), ('criticality', 'ignore'), ('Extension', _TraceActivation_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 224), ('criticality', 'ignore'), ('Extension', _TraceActivation_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< Trace-Depth >-----#
    Trace_Depth = ENUM(name='Trace-Depth', mode=MODE_TYPE)
    Trace_Depth._cont = ASN1Dict([('minimum', 0), ('medium', 1), ('maximum', 2), ('minimumWithoutVendorSpecificExtension', 3), ('mediumWithoutVendorSpecificExtension', 4), ('maximumWithoutVendorSpecificExtension', 5)])
    Trace_Depth._ext = []
    
    #-----< TSCTrafficCharacteristics >-----#
    TSCTrafficCharacteristics = SEQ(name='TSCTrafficCharacteristics', mode=MODE_TYPE)
    _TSCTrafficCharacteristics_tSCAssistanceInformationDownlink = SEQ(name='tSCAssistanceInformationDownlink', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TSCAssistanceInformation')), opt=True)
    _TSCTrafficCharacteristics_tSCAssistanceInformationUplink = SEQ(name='tSCAssistanceInformationUplink', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TSCAssistanceInformation')), opt=True)
    _TSCTrafficCharacteristics_ie_Extension = SEQ_OF(name='ie-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TSCTrafficCharacteristics_ie_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TSCTrafficCharacteristics_ie_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TSCTrafficCharacteristics_ie_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCTrafficCharacteristics_ie_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCTrafficCharacteristics_ie_Extension__item__id._const_tab = ____TSCTrafficCharacteristics_ie_Extension__item__id_tab
    ___TSCTrafficCharacteristics_ie_Extension__item__id._const_tab_at = None
    ___TSCTrafficCharacteristics_ie_Extension__item__id._const_tab_id = 'id'
    ___TSCTrafficCharacteristics_ie_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TSCTrafficCharacteristics_ie_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCTrafficCharacteristics_ie_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCTrafficCharacteristics_ie_Extension__item__criticality._const_tab = ____TSCTrafficCharacteristics_ie_Extension__item__criticality_tab
    ___TSCTrafficCharacteristics_ie_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___TSCTrafficCharacteristics_ie_Extension__item__criticality._const_tab_id = 'criticality'
    ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TSCTrafficCharacteristics_ie_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCTrafficCharacteristics_ie_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue._const_tab = ____TSCTrafficCharacteristics_ie_Extension__item__extensionValue_tab
    ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue._const_tab_id = 'Extension'
    __TSCTrafficCharacteristics_ie_Extension__item_._cont = ASN1Dict([
        ('id', ___TSCTrafficCharacteristics_ie_Extension__item__id),
        ('criticality', ___TSCTrafficCharacteristics_ie_Extension__item__criticality),
        ('extensionValue', ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue),
        ])
    __TSCTrafficCharacteristics_ie_Extension__item_._ext = None
    _TSCTrafficCharacteristics_ie_Extension._cont = __TSCTrafficCharacteristics_ie_Extension__item_
    _TSCTrafficCharacteristics_ie_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TSCTrafficCharacteristics._cont = ASN1Dict([
        ('tSCAssistanceInformationDownlink', _TSCTrafficCharacteristics_tSCAssistanceInformationDownlink),
        ('tSCAssistanceInformationUplink', _TSCTrafficCharacteristics_tSCAssistanceInformationUplink),
        ('ie-Extension', _TSCTrafficCharacteristics_ie_Extension),
        ])
    TSCTrafficCharacteristics._ext = []
    
    #-----< TSCTrafficCharacteristics-ExtIEs >-----#
    TSCTrafficCharacteristics_ExtIEs = CLASS(name='TSCTrafficCharacteristics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TSCTrafficCharacteristics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TSCAssistanceInformation >-----#
    TSCAssistanceInformation = SEQ(name='TSCAssistanceInformation', mode=MODE_TYPE)
    _TSCAssistanceInformation_periodicity = INT(name='periodicity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _TSCAssistanceInformation_periodicity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=640000)], ev=[], er=[])
    _TSCAssistanceInformation_burstArrivalTime = OCT_STR(name='burstArrivalTime', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _TSCAssistanceInformation_ie_Extension = SEQ_OF(name='ie-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TSCAssistanceInformation_ie_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TSCAssistanceInformation_ie_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____TSCAssistanceInformation_ie_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCAssistanceInformation_ie_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCAssistanceInformation_ie_Extension__item__id._const_tab = ____TSCAssistanceInformation_ie_Extension__item__id_tab
    ___TSCAssistanceInformation_ie_Extension__item__id._const_tab_at = None
    ___TSCAssistanceInformation_ie_Extension__item__id._const_tab_id = 'id'
    ___TSCAssistanceInformation_ie_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____TSCAssistanceInformation_ie_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCAssistanceInformation_ie_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCAssistanceInformation_ie_Extension__item__criticality._const_tab = ____TSCAssistanceInformation_ie_Extension__item__criticality_tab
    ___TSCAssistanceInformation_ie_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___TSCAssistanceInformation_ie_Extension__item__criticality._const_tab_id = 'criticality'
    ___TSCAssistanceInformation_ie_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____TSCAssistanceInformation_ie_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TSCAssistanceInformation_ie_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TSCAssistanceInformation_ie_Extension__item__extensionValue._const_tab = ____TSCAssistanceInformation_ie_Extension__item__extensionValue_tab
    ___TSCAssistanceInformation_ie_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___TSCAssistanceInformation_ie_Extension__item__extensionValue._const_tab_id = 'Extension'
    __TSCAssistanceInformation_ie_Extension__item_._cont = ASN1Dict([
        ('id', ___TSCAssistanceInformation_ie_Extension__item__id),
        ('criticality', ___TSCAssistanceInformation_ie_Extension__item__criticality),
        ('extensionValue', ___TSCAssistanceInformation_ie_Extension__item__extensionValue),
        ])
    __TSCAssistanceInformation_ie_Extension__item_._ext = None
    _TSCAssistanceInformation_ie_Extension._cont = __TSCAssistanceInformation_ie_Extension__item_
    _TSCAssistanceInformation_ie_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TSCAssistanceInformation._cont = ASN1Dict([
        ('periodicity', _TSCAssistanceInformation_periodicity),
        ('burstArrivalTime', _TSCAssistanceInformation_burstArrivalTime),
        ('ie-Extension', _TSCAssistanceInformation_ie_Extension),
        ])
    TSCAssistanceInformation._ext = []
    
    #-----< TSCAssistanceInformation-ExtIEs >-----#
    TSCAssistanceInformation_ExtIEs = CLASS(name='TSCAssistanceInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TSCAssistanceInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TypeOfError >-----#
    TypeOfError = ENUM(name='TypeOfError', mode=MODE_TYPE)
    TypeOfError._cont = ASN1Dict([('not-understood', 0), ('missing', 1)])
    TypeOfError._ext = []
    
    #-----< UEAggregateMaximumBitRate >-----#
    UEAggregateMaximumBitRate = SEQ(name='UEAggregateMaximumBitRate', mode=MODE_TYPE)
    _UEAggregateMaximumBitRate_dl_UE_AMBR = INT(name='dl-UE-AMBR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _UEAggregateMaximumBitRate_ul_UE_AMBR = INT(name='ul-UE-AMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _UEAggregateMaximumBitRate_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEAggregateMaximumBitRate_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEAggregateMaximumBitRate_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab_at = None
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab_id = 'id'
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UEAggregateMaximumBitRate_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UEAggregateMaximumBitRate_iE_Extension__item__id),
        ('criticality', ___UEAggregateMaximumBitRate_iE_Extension__item__criticality),
        ('extensionValue', ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue),
        ])
    __UEAggregateMaximumBitRate_iE_Extension__item_._ext = None
    _UEAggregateMaximumBitRate_iE_Extension._cont = __UEAggregateMaximumBitRate_iE_Extension__item_
    _UEAggregateMaximumBitRate_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEAggregateMaximumBitRate._cont = ASN1Dict([
        ('dl-UE-AMBR', _UEAggregateMaximumBitRate_dl_UE_AMBR),
        ('ul-UE-AMBR', _UEAggregateMaximumBitRate_ul_UE_AMBR),
        ('iE-Extension', _UEAggregateMaximumBitRate_iE_Extension),
        ])
    UEAggregateMaximumBitRate._ext = []
    
    #-----< UEAggregateMaximumBitRate-ExtIEs >-----#
    UEAggregateMaximumBitRate_ExtIEs = CLASS(name='UEAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextKeptIndicator >-----#
    UEContextKeptIndicator = ENUM(name='UEContextKeptIndicator', mode=MODE_TYPE)
    UEContextKeptIndicator._cont = ASN1Dict([('true', 0)])
    UEContextKeptIndicator._ext = []
    
    #-----< UEContextID >-----#
    UEContextID = CHOICE(name='UEContextID', mode=MODE_TYPE)
    _UEContextID_rRCResume = SEQ(name='rRCResume', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEContextIDforRRCResume')))
    _UEContextID_rRRCReestablishment = SEQ(name='rRRCReestablishment', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEContextIDforRRCReestablishment')))
    _UEContextID_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UEContextID_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UEContextID_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_id._const_tab = ___UEContextID_choice_extension_id_tab
    __UEContextID_choice_extension_id._const_tab_at = None
    __UEContextID_choice_extension_id._const_tab_id = 'id'
    __UEContextID_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UEContextID_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_criticality._const_tab = ___UEContextID_choice_extension_criticality_tab
    __UEContextID_choice_extension_criticality._const_tab_at = ('..', 'id')
    __UEContextID_choice_extension_criticality._const_tab_id = 'criticality'
    __UEContextID_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UEContextID_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_value._const_tab = ___UEContextID_choice_extension_value_tab
    __UEContextID_choice_extension_value._const_tab_at = ('..', 'id')
    __UEContextID_choice_extension_value._const_tab_id = 'Value'
    _UEContextID_choice_extension._cont = ASN1Dict([
        ('id', __UEContextID_choice_extension_id),
        ('criticality', __UEContextID_choice_extension_criticality),
        ('value', __UEContextID_choice_extension_value),
        ])
    _UEContextID_choice_extension._ext = None
    UEContextID._cont = ASN1Dict([
        ('rRCResume', _UEContextID_rRCResume),
        ('rRRCReestablishment', _UEContextID_rRRCReestablishment),
        ('choice-extension', _UEContextID_choice_extension),
        ])
    UEContextID._ext = None
    
    #-----< UEContextID-ExtIEs >-----#
    UEContextID_ExtIEs = CLASS(name='UEContextID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UEContextID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextIDforRRCResume >-----#
    UEContextIDforRRCResume = SEQ(name='UEContextIDforRRCResume', mode=MODE_TYPE)
    _UEContextIDforRRCResume_i_rnti = CHOICE(name='i-rnti', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'I-RNTI')))
    _UEContextIDforRRCResume_allocated_c_rnti = BIT_STR(name='allocated-c-rnti', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _UEContextIDforRRCResume_accessPCI = CHOICE(name='accessPCI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-CellPCI')))
    _UEContextIDforRRCResume_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextIDforRRCResume_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextIDforRRCResume_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextIDforRRCResume_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__id_tab
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab_at = None
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab_id = 'id'
    ___UEContextIDforRRCResume_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UEContextIDforRRCResume_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UEContextIDforRRCResume_iE_Extension__item__id),
        ('criticality', ___UEContextIDforRRCResume_iE_Extension__item__criticality),
        ('extensionValue', ___UEContextIDforRRCResume_iE_Extension__item__extensionValue),
        ])
    __UEContextIDforRRCResume_iE_Extension__item_._ext = None
    _UEContextIDforRRCResume_iE_Extension._cont = __UEContextIDforRRCResume_iE_Extension__item_
    _UEContextIDforRRCResume_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextIDforRRCResume._cont = ASN1Dict([
        ('i-rnti', _UEContextIDforRRCResume_i_rnti),
        ('allocated-c-rnti', _UEContextIDforRRCResume_allocated_c_rnti),
        ('accessPCI', _UEContextIDforRRCResume_accessPCI),
        ('iE-Extension', _UEContextIDforRRCResume_iE_Extension),
        ])
    UEContextIDforRRCResume._ext = []
    
    #-----< UEContextIDforRRCResume-ExtIEs >-----#
    UEContextIDforRRCResume_ExtIEs = CLASS(name='UEContextIDforRRCResume-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextIDforRRCResume_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextIDforRRCReestablishment >-----#
    UEContextIDforRRCReestablishment = SEQ(name='UEContextIDforRRCReestablishment', mode=MODE_TYPE)
    _UEContextIDforRRCReestablishment_c_rnti = BIT_STR(name='c-rnti', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _UEContextIDforRRCReestablishment_failureCellPCI = CHOICE(name='failureCellPCI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-CellPCI')))
    _UEContextIDforRRCReestablishment_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextIDforRRCReestablishment_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab_at = None
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab_id = 'id'
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UEContextIDforRRCReestablishment_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UEContextIDforRRCReestablishment_iE_Extension__item__id),
        ('criticality', ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality),
        ('extensionValue', ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue),
        ])
    __UEContextIDforRRCReestablishment_iE_Extension__item_._ext = None
    _UEContextIDforRRCReestablishment_iE_Extension._cont = __UEContextIDforRRCReestablishment_iE_Extension__item_
    _UEContextIDforRRCReestablishment_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextIDforRRCReestablishment._cont = ASN1Dict([
        ('c-rnti', _UEContextIDforRRCReestablishment_c_rnti),
        ('failureCellPCI', _UEContextIDforRRCReestablishment_failureCellPCI),
        ('iE-Extension', _UEContextIDforRRCReestablishment_iE_Extension),
        ])
    UEContextIDforRRCReestablishment._ext = []
    
    #-----< UEContextIDforRRCReestablishment-ExtIEs >-----#
    UEContextIDforRRCReestablishment_ExtIEs = CLASS(name='UEContextIDforRRCReestablishment-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextIDforRRCReestablishment_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextInfoRetrUECtxtResp >-----#
    UEContextInfoRetrUECtxtResp = SEQ(name='UEContextInfoRetrUECtxtResp', mode=MODE_TYPE)
    _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref = INT(name='ng-c-UE-signalling-ref', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AMF-UE-NGAP-ID')))
    _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source = CHOICE(name='signalling-TNL-at-source', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities = SEQ(name='ueSecurityCapabilities', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _UEContextInfoRetrUECtxtResp_securityInformation = SEQ(name='securityInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AS-SecurityInformation')))
    _UEContextInfoRetrUECtxtResp_ue_AMBR = SEQ(name='ue-AMBR', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List = SEQ_OF(name='pduSessionResourcesToBeSetup-List', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-List')))
    _UEContextInfoRetrUECtxtResp_rrc_Context = OCT_STR(name='rrc-Context', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEContextInfoRetrUECtxtResp_mobilityRestrictionList = SEQ(name='mobilityRestrictionList', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')), opt=True)
    _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority = INT(name='indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfoRetrUECtxtResp_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FiveGCMobilityRestrictionListContainer')))
    _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRUESidelinkAggregateMaximumBitRate')))
    _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEUESidelinkAggregateMaximumBitRate')))
    _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_3 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 155), ('criticality', 'ignore'), ('Extension', _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 172), ('criticality', 'ignore'), ('Extension', _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 171), ('criticality', 'ignore'), ('Extension', _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Extension', _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab_at = None
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab_id = 'id'
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id),
        ('criticality', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality),
        ('extensionValue', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue),
        ])
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_._ext = None
    _UEContextInfoRetrUECtxtResp_iE_Extension._cont = __UEContextInfoRetrUECtxtResp_iE_Extension__item_
    _UEContextInfoRetrUECtxtResp_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfoRetrUECtxtResp._cont = ASN1Dict([
        ('ng-c-UE-signalling-ref', _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref),
        ('signalling-TNL-at-source', _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source),
        ('ueSecurityCapabilities', _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities),
        ('securityInformation', _UEContextInfoRetrUECtxtResp_securityInformation),
        ('ue-AMBR', _UEContextInfoRetrUECtxtResp_ue_AMBR),
        ('pduSessionResourcesToBeSetup-List', _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List),
        ('rrc-Context', _UEContextInfoRetrUECtxtResp_rrc_Context),
        ('mobilityRestrictionList', _UEContextInfoRetrUECtxtResp_mobilityRestrictionList),
        ('indexToRatFrequencySelectionPriority', _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority),
        ('iE-Extension', _UEContextInfoRetrUECtxtResp_iE_Extension),
        ])
    UEContextInfoRetrUECtxtResp._ext = []
    
    #-----< UEContextInfoRetrUECtxtResp-ExtIEs >-----#
    UEContextInfoRetrUECtxtResp_ExtIEs = CLASS(name='UEContextInfoRetrUECtxtResp-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FiveGCMobilityRestrictionListContainer')))
    _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRUESidelinkAggregateMaximumBitRate')))
    _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEUESidelinkAggregateMaximumBitRate')))
    _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_3 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    UEContextInfoRetrUECtxtResp_ExtIEs._val = ASN1Set(rv=[dict([('id', 155), ('criticality', 'ignore'), ('Extension', _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 172), ('criticality', 'ignore'), ('Extension', _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 171), ('criticality', 'ignore'), ('Extension', _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Extension', _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEHistoryInformation >-----#
    UEHistoryInformation = SEQ_OF(name='UEHistoryInformation', mode=MODE_TYPE)
    _UEHistoryInformation__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedCell-Item')))
    UEHistoryInformation._cont = _UEHistoryInformation__item_
    UEHistoryInformation._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< UEHistoryInformationFromTheUE >-----#
    UEHistoryInformationFromTheUE = CHOICE(name='UEHistoryInformationFromTheUE', mode=MODE_TYPE)
    _UEHistoryInformationFromTheUE_nR = OCT_STR(name='nR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRMobilityHistoryReport')))
    _UEHistoryInformationFromTheUE_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UEHistoryInformationFromTheUE_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UEHistoryInformationFromTheUE_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEHistoryInformationFromTheUE_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEHistoryInformationFromTheUE_choice_extension_id._const_tab = ___UEHistoryInformationFromTheUE_choice_extension_id_tab
    __UEHistoryInformationFromTheUE_choice_extension_id._const_tab_at = None
    __UEHistoryInformationFromTheUE_choice_extension_id._const_tab_id = 'id'
    __UEHistoryInformationFromTheUE_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UEHistoryInformationFromTheUE_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEHistoryInformationFromTheUE_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEHistoryInformationFromTheUE_choice_extension_criticality._const_tab = ___UEHistoryInformationFromTheUE_choice_extension_criticality_tab
    __UEHistoryInformationFromTheUE_choice_extension_criticality._const_tab_at = ('..', 'id')
    __UEHistoryInformationFromTheUE_choice_extension_criticality._const_tab_id = 'criticality'
    __UEHistoryInformationFromTheUE_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UEHistoryInformationFromTheUE_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEHistoryInformationFromTheUE_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEHistoryInformationFromTheUE_choice_extension_value._const_tab = ___UEHistoryInformationFromTheUE_choice_extension_value_tab
    __UEHistoryInformationFromTheUE_choice_extension_value._const_tab_at = ('..', 'id')
    __UEHistoryInformationFromTheUE_choice_extension_value._const_tab_id = 'Value'
    _UEHistoryInformationFromTheUE_choice_extension._cont = ASN1Dict([
        ('id', __UEHistoryInformationFromTheUE_choice_extension_id),
        ('criticality', __UEHistoryInformationFromTheUE_choice_extension_criticality),
        ('value', __UEHistoryInformationFromTheUE_choice_extension_value),
        ])
    _UEHistoryInformationFromTheUE_choice_extension._ext = None
    UEHistoryInformationFromTheUE._cont = ASN1Dict([
        ('nR', _UEHistoryInformationFromTheUE_nR),
        ('choice-extension', _UEHistoryInformationFromTheUE_choice_extension),
        ])
    UEHistoryInformationFromTheUE._ext = None
    
    #-----< UEHistoryInformationFromTheUE-ExtIEs >-----#
    UEHistoryInformationFromTheUE_ExtIEs = CLASS(name='UEHistoryInformationFromTheUE-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UEHistoryInformationFromTheUE_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEIdentityIndexValue >-----#
    UEIdentityIndexValue = CHOICE(name='UEIdentityIndexValue', mode=MODE_TYPE)
    _UEIdentityIndexValue_indexLength10 = BIT_STR(name='indexLength10', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEIdentityIndexValue_indexLength10._const_sz = ASN1Set(rv=[10], rr=[], ev=None, er=[])
    _UEIdentityIndexValue_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UEIdentityIndexValue_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UEIdentityIndexValue_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_id._const_tab = ___UEIdentityIndexValue_choice_extension_id_tab
    __UEIdentityIndexValue_choice_extension_id._const_tab_at = None
    __UEIdentityIndexValue_choice_extension_id._const_tab_id = 'id'
    __UEIdentityIndexValue_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UEIdentityIndexValue_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_criticality._const_tab = ___UEIdentityIndexValue_choice_extension_criticality_tab
    __UEIdentityIndexValue_choice_extension_criticality._const_tab_at = ('..', 'id')
    __UEIdentityIndexValue_choice_extension_criticality._const_tab_id = 'criticality'
    __UEIdentityIndexValue_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UEIdentityIndexValue_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_value._const_tab = ___UEIdentityIndexValue_choice_extension_value_tab
    __UEIdentityIndexValue_choice_extension_value._const_tab_at = ('..', 'id')
    __UEIdentityIndexValue_choice_extension_value._const_tab_id = 'Value'
    _UEIdentityIndexValue_choice_extension._cont = ASN1Dict([
        ('id', __UEIdentityIndexValue_choice_extension_id),
        ('criticality', __UEIdentityIndexValue_choice_extension_criticality),
        ('value', __UEIdentityIndexValue_choice_extension_value),
        ])
    _UEIdentityIndexValue_choice_extension._ext = None
    UEIdentityIndexValue._cont = ASN1Dict([
        ('indexLength10', _UEIdentityIndexValue_indexLength10),
        ('choice-extension', _UEIdentityIndexValue_choice_extension),
        ])
    UEIdentityIndexValue._ext = None
    
    #-----< UEIdentityIndexValue-ExtIEs >-----#
    UEIdentityIndexValue_ExtIEs = CLASS(name='UEIdentityIndexValue-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UEIdentityIndexValue_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERadioCapabilityForPaging >-----#
    UERadioCapabilityForPaging = SEQ(name='UERadioCapabilityForPaging', mode=MODE_TYPE)
    _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR = OCT_STR(name='uERadioCapabilityForPagingOfNR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPagingOfNR')), opt=True)
    _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA = OCT_STR(name='uERadioCapabilityForPagingOfEUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPagingOfEUTRA')), opt=True)
    _UERadioCapabilityForPaging_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UERadioCapabilityForPaging_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UERadioCapabilityForPaging_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab_at = None
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab_id = 'id'
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __UERadioCapabilityForPaging_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___UERadioCapabilityForPaging_iE_Extensions__item__id),
        ('criticality', ___UERadioCapabilityForPaging_iE_Extensions__item__criticality),
        ('extensionValue', ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue),
        ])
    __UERadioCapabilityForPaging_iE_Extensions__item_._ext = None
    _UERadioCapabilityForPaging_iE_Extensions._cont = __UERadioCapabilityForPaging_iE_Extensions__item_
    _UERadioCapabilityForPaging_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UERadioCapabilityForPaging._cont = ASN1Dict([
        ('uERadioCapabilityForPagingOfNR', _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR),
        ('uERadioCapabilityForPagingOfEUTRA', _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA),
        ('iE-Extensions', _UERadioCapabilityForPaging_iE_Extensions),
        ])
    UERadioCapabilityForPaging._ext = []
    
    #-----< UERadioCapabilityForPaging-ExtIEs >-----#
    UERadioCapabilityForPaging_ExtIEs = CLASS(name='UERadioCapabilityForPaging-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UERadioCapabilityForPaging_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERadioCapabilityForPagingOfNR >-----#
    UERadioCapabilityForPagingOfNR = OCT_STR(name='UERadioCapabilityForPagingOfNR', mode=MODE_TYPE)
    
    #-----< UERadioCapabilityForPagingOfEUTRA >-----#
    UERadioCapabilityForPagingOfEUTRA = OCT_STR(name='UERadioCapabilityForPagingOfEUTRA', mode=MODE_TYPE)
    
    #-----< UERadioCapabilityID >-----#
    UERadioCapabilityID = OCT_STR(name='UERadioCapabilityID', mode=MODE_TYPE)
    
    #-----< UERANPagingIdentity >-----#
    UERANPagingIdentity = CHOICE(name='UERANPagingIdentity', mode=MODE_TYPE)
    _UERANPagingIdentity_i_RNTI_full = BIT_STR(name='i-RNTI-full', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UERANPagingIdentity_i_RNTI_full._const_sz = ASN1Set(rv=[40], rr=[], ev=None, er=[])
    _UERANPagingIdentity_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UERANPagingIdentity_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UERANPagingIdentity_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_id._const_tab = ___UERANPagingIdentity_choice_extension_id_tab
    __UERANPagingIdentity_choice_extension_id._const_tab_at = None
    __UERANPagingIdentity_choice_extension_id._const_tab_id = 'id'
    __UERANPagingIdentity_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UERANPagingIdentity_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_criticality._const_tab = ___UERANPagingIdentity_choice_extension_criticality_tab
    __UERANPagingIdentity_choice_extension_criticality._const_tab_at = ('..', 'id')
    __UERANPagingIdentity_choice_extension_criticality._const_tab_id = 'criticality'
    __UERANPagingIdentity_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UERANPagingIdentity_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_value._const_tab = ___UERANPagingIdentity_choice_extension_value_tab
    __UERANPagingIdentity_choice_extension_value._const_tab_at = ('..', 'id')
    __UERANPagingIdentity_choice_extension_value._const_tab_id = 'Value'
    _UERANPagingIdentity_choice_extension._cont = ASN1Dict([
        ('id', __UERANPagingIdentity_choice_extension_id),
        ('criticality', __UERANPagingIdentity_choice_extension_criticality),
        ('value', __UERANPagingIdentity_choice_extension_value),
        ])
    _UERANPagingIdentity_choice_extension._ext = None
    UERANPagingIdentity._cont = ASN1Dict([
        ('i-RNTI-full', _UERANPagingIdentity_i_RNTI_full),
        ('choice-extension', _UERANPagingIdentity_choice_extension),
        ])
    UERANPagingIdentity._ext = None
    
    #-----< UERANPagingIdentity-ExtIEs >-----#
    UERANPagingIdentity_ExtIEs = CLASS(name='UERANPagingIdentity-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UERANPagingIdentity_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERLFReportContainer >-----#
    UERLFReportContainer = CHOICE(name='UERLFReportContainer', mode=MODE_TYPE)
    _UERLFReportContainer_nR_UERLFReportContainer = OCT_STR(name='nR-UERLFReportContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainerNR')))
    _UERLFReportContainer_lTE_UERLFReportContainer = OCT_STR(name='lTE-UERLFReportContainer', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainerLTE')))
    _UERLFReportContainer_choice_Extension = SEQ(name='choice-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UERLFReportContainer_choice_Extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UERLFReportContainer_choice_Extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERLFReportContainer_choice_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERLFReportContainer_choice_Extension_id._const_tab = ___UERLFReportContainer_choice_Extension_id_tab
    __UERLFReportContainer_choice_Extension_id._const_tab_at = None
    __UERLFReportContainer_choice_Extension_id._const_tab_id = 'id'
    __UERLFReportContainer_choice_Extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UERLFReportContainer_choice_Extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERLFReportContainer_choice_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERLFReportContainer_choice_Extension_criticality._const_tab = ___UERLFReportContainer_choice_Extension_criticality_tab
    __UERLFReportContainer_choice_Extension_criticality._const_tab_at = ('..', 'id')
    __UERLFReportContainer_choice_Extension_criticality._const_tab_id = 'criticality'
    __UERLFReportContainer_choice_Extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UERLFReportContainer_choice_Extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERLFReportContainer_choice_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERLFReportContainer_choice_Extension_value._const_tab = ___UERLFReportContainer_choice_Extension_value_tab
    __UERLFReportContainer_choice_Extension_value._const_tab_at = ('..', 'id')
    __UERLFReportContainer_choice_Extension_value._const_tab_id = 'Value'
    _UERLFReportContainer_choice_Extension._cont = ASN1Dict([
        ('id', __UERLFReportContainer_choice_Extension_id),
        ('criticality', __UERLFReportContainer_choice_Extension_criticality),
        ('value', __UERLFReportContainer_choice_Extension_value),
        ])
    _UERLFReportContainer_choice_Extension._ext = None
    UERLFReportContainer._cont = ASN1Dict([
        ('nR-UERLFReportContainer', _UERLFReportContainer_nR_UERLFReportContainer),
        ('lTE-UERLFReportContainer', _UERLFReportContainer_lTE_UERLFReportContainer),
        ('choice-Extension', _UERLFReportContainer_choice_Extension),
        ])
    UERLFReportContainer._ext = None
    
    #-----< UERLFReportContainer-ExtIEs >-----#
    UERLFReportContainer_ExtIEs = CLASS(name='UERLFReportContainer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UERLFReportContainer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERLFReportContainerLTE >-----#
    UERLFReportContainerLTE = OCT_STR(name='UERLFReportContainerLTE', mode=MODE_TYPE)
    
    #-----< UERLFReportContainerNR >-----#
    UERLFReportContainerNR = OCT_STR(name='UERLFReportContainerNR', mode=MODE_TYPE)
    
    #-----< UESecurityCapabilities >-----#
    UESecurityCapabilities = SEQ(name='UESecurityCapabilities', mode=MODE_TYPE)
    _UESecurityCapabilities_nr_EncyptionAlgorithms = BIT_STR(name='nr-EncyptionAlgorithms', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_nr_EncyptionAlgorithms._cont = ASN1Dict([('nea1-128', 1), ('nea2-128', 2), ('nea3-128', 3)])
    _UESecurityCapabilities_nr_EncyptionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms = BIT_STR(name='nr-IntegrityProtectionAlgorithms', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms._cont = ASN1Dict([('nia1-128', 1), ('nia2-128', 2), ('nia3-128', 3)])
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms = BIT_STR(name='e-utra-EncyptionAlgorithms', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms._cont = ASN1Dict([('eea1-128', 1), ('eea2-128', 2), ('eea3-128', 3)])
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms = BIT_STR(name='e-utra-IntegrityProtectionAlgorithms', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms._cont = ASN1Dict([('eia1-128', 1), ('eia2-128', 2), ('eia3-128', 3)])
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UESecurityCapabilities_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UESecurityCapabilities_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UESecurityCapabilities_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab = ____UESecurityCapabilities_iE_Extension__item__id_tab
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab_at = None
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab_id = 'id'
    ___UESecurityCapabilities_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UESecurityCapabilities_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab = ____UESecurityCapabilities_iE_Extension__item__criticality_tab
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UESecurityCapabilities_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab = ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UESecurityCapabilities_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UESecurityCapabilities_iE_Extension__item__id),
        ('criticality', ___UESecurityCapabilities_iE_Extension__item__criticality),
        ('extensionValue', ___UESecurityCapabilities_iE_Extension__item__extensionValue),
        ])
    __UESecurityCapabilities_iE_Extension__item_._ext = None
    _UESecurityCapabilities_iE_Extension._cont = __UESecurityCapabilities_iE_Extension__item_
    _UESecurityCapabilities_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UESecurityCapabilities._cont = ASN1Dict([
        ('nr-EncyptionAlgorithms', _UESecurityCapabilities_nr_EncyptionAlgorithms),
        ('nr-IntegrityProtectionAlgorithms', _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms),
        ('e-utra-EncyptionAlgorithms', _UESecurityCapabilities_e_utra_EncyptionAlgorithms),
        ('e-utra-IntegrityProtectionAlgorithms', _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms),
        ('iE-Extension', _UESecurityCapabilities_iE_Extension),
        ])
    UESecurityCapabilities._ext = []
    
    #-----< UESecurityCapabilities-ExtIEs >-----#
    UESecurityCapabilities_ExtIEs = CLASS(name='UESecurityCapabilities-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UESecurityCapabilities_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UESpecificDRX >-----#
    UESpecificDRX = ENUM(name='UESpecificDRX', mode=MODE_TYPE)
    UESpecificDRX._cont = ASN1Dict([('v32', 0), ('v64', 1), ('v128', 2), ('v256', 3)])
    UESpecificDRX._ext = []
    
    #-----< ULConfiguration >-----#
    ULConfiguration = SEQ(name='ULConfiguration', mode=MODE_TYPE)
    _ULConfiguration_uL_PDCP = ENUM(name='uL-PDCP', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-UE-Configuration')))
    _ULConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ULConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ULConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ULConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__id._const_tab = ____ULConfiguration_iE_Extensions__item__id_tab
    ___ULConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___ULConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___ULConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ULConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab = ____ULConfiguration_iE_Extensions__item__criticality_tab
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ULConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ULConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab = ____ULConfiguration_iE_Extensions__item__extensionValue_tab
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ULConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ULConfiguration_iE_Extensions__item__id),
        ('criticality', ___ULConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___ULConfiguration_iE_Extensions__item__extensionValue),
        ])
    __ULConfiguration_iE_Extensions__item_._ext = None
    _ULConfiguration_iE_Extensions._cont = __ULConfiguration_iE_Extensions__item_
    _ULConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ULConfiguration._cont = ASN1Dict([
        ('uL-PDCP', _ULConfiguration_uL_PDCP),
        ('iE-Extensions', _ULConfiguration_iE_Extensions),
        ])
    ULConfiguration._ext = []
    
    #-----< ULConfiguration-ExtIEs >-----#
    ULConfiguration_ExtIEs = CLASS(name='ULConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ULConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UL-UE-Configuration >-----#
    UL_UE_Configuration = ENUM(name='UL-UE-Configuration', mode=MODE_TYPE)
    UL_UE_Configuration._cont = ASN1Dict([('no-data', 0), ('shared', 1), ('only', 2)])
    UL_UE_Configuration._ext = []
    
    #-----< ULForwarding >-----#
    ULForwarding = ENUM(name='ULForwarding', mode=MODE_TYPE)
    ULForwarding._cont = ASN1Dict([('ul-forwarding-proposed', 0)])
    ULForwarding._ext = []
    
    #-----< ULForwardingProposal >-----#
    ULForwardingProposal = ENUM(name='ULForwardingProposal', mode=MODE_TYPE)
    ULForwardingProposal._cont = ASN1Dict([('ul-forwarding-proposed', 0)])
    ULForwardingProposal._ext = []
    
    #-----< UL-GBR-PRB-usage >-----#
    UL_GBR_PRB_usage = INT(name='UL-GBR-PRB-usage', mode=MODE_TYPE)
    UL_GBR_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< UL-non-GBR-PRB-usage >-----#
    UL_non_GBR_PRB_usage = INT(name='UL-non-GBR-PRB-usage', mode=MODE_TYPE)
    UL_non_GBR_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< UL-Total-PRB-usage >-----#
    UL_Total_PRB_usage = INT(name='UL-Total-PRB-usage', mode=MODE_TYPE)
    UL_Total_PRB_usage._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    
    #-----< UPTransportLayerInformation >-----#
    UPTransportLayerInformation = CHOICE(name='UPTransportLayerInformation', mode=MODE_TYPE)
    _UPTransportLayerInformation_gtpTunnel = SEQ(name='gtpTunnel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GTPtunnelTransportLayerInformation')))
    _UPTransportLayerInformation_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UPTransportLayerInformation_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___UPTransportLayerInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_id._const_tab = ___UPTransportLayerInformation_choice_extension_id_tab
    __UPTransportLayerInformation_choice_extension_id._const_tab_at = None
    __UPTransportLayerInformation_choice_extension_id._const_tab_id = 'id'
    __UPTransportLayerInformation_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UPTransportLayerInformation_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_criticality._const_tab = ___UPTransportLayerInformation_choice_extension_criticality_tab
    __UPTransportLayerInformation_choice_extension_criticality._const_tab_at = ('..', 'id')
    __UPTransportLayerInformation_choice_extension_criticality._const_tab_id = 'criticality'
    __UPTransportLayerInformation_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UPTransportLayerInformation_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_value._const_tab = ___UPTransportLayerInformation_choice_extension_value_tab
    __UPTransportLayerInformation_choice_extension_value._const_tab_at = ('..', 'id')
    __UPTransportLayerInformation_choice_extension_value._const_tab_id = 'Value'
    _UPTransportLayerInformation_choice_extension._cont = ASN1Dict([
        ('id', __UPTransportLayerInformation_choice_extension_id),
        ('criticality', __UPTransportLayerInformation_choice_extension_criticality),
        ('value', __UPTransportLayerInformation_choice_extension_value),
        ])
    _UPTransportLayerInformation_choice_extension._ext = None
    UPTransportLayerInformation._cont = ASN1Dict([
        ('gtpTunnel', _UPTransportLayerInformation_gtpTunnel),
        ('choice-extension', _UPTransportLayerInformation_choice_extension),
        ])
    UPTransportLayerInformation._ext = None
    
    #-----< UPTransportLayerInformation-ExtIEs >-----#
    UPTransportLayerInformation_ExtIEs = CLASS(name='UPTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UPTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UPTransportParameters >-----#
    UPTransportParameters = SEQ_OF(name='UPTransportParameters', mode=MODE_TYPE)
    _UPTransportParameters__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParametersItem')))
    UPTransportParameters._cont = _UPTransportParameters__item_
    UPTransportParameters._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4)], ev=None, er=[])
    
    #-----< UPTransportParametersItem >-----#
    UPTransportParametersItem = SEQ(name='UPTransportParametersItem', mode=MODE_TYPE)
    _UPTransportParametersItem_upTNLInfo = CHOICE(name='upTNLInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _UPTransportParametersItem_cellGroupID = INT(name='cellGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellGroupID')))
    _UPTransportParametersItem_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UPTransportParametersItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UPTransportParametersItem_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UPTransportParametersItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____UPTransportParametersItem_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoS-Mapping-Information')))
    ____UPTransportParametersItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 250), ('criticality', 'reject'), ('Extension', _____UPTransportParametersItem_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab = ____UPTransportParametersItem_iE_Extension__item__id_tab
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab_at = None
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab_id = 'id'
    ___UPTransportParametersItem_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab = ____UPTransportParametersItem_iE_Extension__item__id_tab
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UPTransportParametersItem_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab = ____UPTransportParametersItem_iE_Extension__item__id_tab
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UPTransportParametersItem_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UPTransportParametersItem_iE_Extension__item__id),
        ('criticality', ___UPTransportParametersItem_iE_Extension__item__criticality),
        ('extensionValue', ___UPTransportParametersItem_iE_Extension__item__extensionValue),
        ])
    __UPTransportParametersItem_iE_Extension__item_._ext = None
    _UPTransportParametersItem_iE_Extension._cont = __UPTransportParametersItem_iE_Extension__item_
    _UPTransportParametersItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UPTransportParametersItem._cont = ASN1Dict([
        ('upTNLInfo', _UPTransportParametersItem_upTNLInfo),
        ('cellGroupID', _UPTransportParametersItem_cellGroupID),
        ('iE-Extension', _UPTransportParametersItem_iE_Extension),
        ])
    UPTransportParametersItem._ext = []
    
    #-----< UPTransportParametersItem-ExtIEs >-----#
    UPTransportParametersItem_ExtIEs = CLASS(name='UPTransportParametersItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _UPTransportParametersItem_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoS-Mapping-Information')))
    UPTransportParametersItem_ExtIEs._val = ASN1Set(rv=[dict([('id', 250), ('criticality', 'reject'), ('Extension', _UPTransportParametersItem_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< UserPlaneTrafficActivityReport >-----#
    UserPlaneTrafficActivityReport = ENUM(name='UserPlaneTrafficActivityReport', mode=MODE_TYPE)
    UserPlaneTrafficActivityReport._cont = ASN1Dict([('inactive', 0), ('re-activated', 1)])
    UserPlaneTrafficActivityReport._ext = []
    
    #-----< URIaddress >-----#
    URIaddress = STR_VIS(name='URIaddress', mode=MODE_TYPE)
    
    #-----< VehicleUE >-----#
    VehicleUE = ENUM(name='VehicleUE', mode=MODE_TYPE)
    VehicleUE._cont = ASN1Dict([('authorized', 0), ('not-authorized', 1)])
    VehicleUE._ext = []
    
    #-----< VolumeTimedReportList >-----#
    VolumeTimedReportList = SEQ_OF(name='VolumeTimedReportList', mode=MODE_TYPE)
    _VolumeTimedReportList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReport-Item')))
    VolumeTimedReportList._cont = _VolumeTimedReportList__item_
    VolumeTimedReportList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    
    #-----< VolumeTimedReport-Item >-----#
    VolumeTimedReport_Item = SEQ(name='VolumeTimedReport-Item', mode=MODE_TYPE)
    _VolumeTimedReport_Item_startTimeStamp = OCT_STR(name='startTimeStamp', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_startTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _VolumeTimedReport_Item_endTimeStamp = OCT_STR(name='endTimeStamp', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_endTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _VolumeTimedReport_Item_usageCountUL = INT(name='usageCountUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_usageCountUL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _VolumeTimedReport_Item_usageCountDL = INT(name='usageCountDL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_usageCountDL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _VolumeTimedReport_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __VolumeTimedReport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___VolumeTimedReport_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____VolumeTimedReport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__id_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab_at = None
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __VolumeTimedReport_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___VolumeTimedReport_Item_iE_Extensions__item__id),
        ('criticality', ___VolumeTimedReport_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue),
        ])
    __VolumeTimedReport_Item_iE_Extensions__item_._ext = None
    _VolumeTimedReport_Item_iE_Extensions._cont = __VolumeTimedReport_Item_iE_Extensions__item_
    _VolumeTimedReport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    VolumeTimedReport_Item._cont = ASN1Dict([
        ('startTimeStamp', _VolumeTimedReport_Item_startTimeStamp),
        ('endTimeStamp', _VolumeTimedReport_Item_endTimeStamp),
        ('usageCountUL', _VolumeTimedReport_Item_usageCountUL),
        ('usageCountDL', _VolumeTimedReport_Item_usageCountDL),
        ('iE-Extensions', _VolumeTimedReport_Item_iE_Extensions),
        ])
    VolumeTimedReport_Item._ext = []
    
    #-----< VolumeTimedReport-Item-ExtIEs >-----#
    VolumeTimedReport_Item_ExtIEs = CLASS(name='VolumeTimedReport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    VolumeTimedReport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< WLANMeasurementConfiguration >-----#
    WLANMeasurementConfiguration = SEQ(name='WLANMeasurementConfiguration', mode=MODE_TYPE)
    _WLANMeasurementConfiguration_wlanMeasConfig = ENUM(name='wlanMeasConfig', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'WLANMeasConfig')))
    _WLANMeasurementConfiguration_wlanMeasConfigNameList = SEQ_OF(name='wlanMeasConfigNameList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'WLANMeasConfigNameList')), opt=True)
    _WLANMeasurementConfiguration_wlan_rssi = ENUM(name='wlan-rssi', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _WLANMeasurementConfiguration_wlan_rssi._cont = ASN1Dict([('true', 0)])
    _WLANMeasurementConfiguration_wlan_rssi._ext = []
    _WLANMeasurementConfiguration_wlan_rtt = ENUM(name='wlan-rtt', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _WLANMeasurementConfiguration_wlan_rtt._cont = ASN1Dict([('true', 0)])
    _WLANMeasurementConfiguration_wlan_rtt._ext = []
    _WLANMeasurementConfiguration_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __WLANMeasurementConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___WLANMeasurementConfiguration_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____WLANMeasurementConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____WLANMeasurementConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementConfiguration_iE_Extensions__item__id._const_tab = ____WLANMeasurementConfiguration_iE_Extensions__item__id_tab
    ___WLANMeasurementConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___WLANMeasurementConfiguration_iE_Extensions__item__id._const_tab_id = 'id'
    ___WLANMeasurementConfiguration_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____WLANMeasurementConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____WLANMeasurementConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementConfiguration_iE_Extensions__item__criticality._const_tab = ____WLANMeasurementConfiguration_iE_Extensions__item__criticality_tab
    ___WLANMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___WLANMeasurementConfiguration_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____WLANMeasurementConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____WLANMeasurementConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab = ____WLANMeasurementConfiguration_iE_Extensions__item__extensionValue_tab
    ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __WLANMeasurementConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___WLANMeasurementConfiguration_iE_Extensions__item__id),
        ('criticality', ___WLANMeasurementConfiguration_iE_Extensions__item__criticality),
        ('extensionValue', ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue),
        ])
    __WLANMeasurementConfiguration_iE_Extensions__item_._ext = None
    _WLANMeasurementConfiguration_iE_Extensions._cont = __WLANMeasurementConfiguration_iE_Extensions__item_
    _WLANMeasurementConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    WLANMeasurementConfiguration._cont = ASN1Dict([
        ('wlanMeasConfig', _WLANMeasurementConfiguration_wlanMeasConfig),
        ('wlanMeasConfigNameList', _WLANMeasurementConfiguration_wlanMeasConfigNameList),
        ('wlan-rssi', _WLANMeasurementConfiguration_wlan_rssi),
        ('wlan-rtt', _WLANMeasurementConfiguration_wlan_rtt),
        ('iE-Extensions', _WLANMeasurementConfiguration_iE_Extensions),
        ])
    WLANMeasurementConfiguration._ext = []
    
    #-----< WLANMeasurementConfiguration-ExtIEs >-----#
    WLANMeasurementConfiguration_ExtIEs = CLASS(name='WLANMeasurementConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    WLANMeasurementConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< WLANMeasConfigNameList >-----#
    WLANMeasConfigNameList = SEQ_OF(name='WLANMeasConfigNameList', mode=MODE_TYPE)
    _WLANMeasConfigNameList__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'WLANName')))
    WLANMeasConfigNameList._cont = _WLANMeasConfigNameList__item_
    WLANMeasConfigNameList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4)], ev=None, er=[])
    
    #-----< WLANMeasConfig >-----#
    WLANMeasConfig = ENUM(name='WLANMeasConfig', mode=MODE_TYPE)
    WLANMeasConfig._cont = ASN1Dict([('setup', 0)])
    WLANMeasConfig._ext = []
    
    #-----< WLANName >-----#
    WLANName = OCT_STR(name='WLANName', mode=MODE_TYPE)
    WLANName._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< XnBenefitValue >-----#
    XnBenefitValue = INT(name='XnBenefitValue', mode=MODE_TYPE)
    XnBenefitValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=[], er=[])
    
    _all_ = [
        AdditionLocationInformation,
        _Additional_PDCP_Duplication_TNL_List__item_,
        Additional_PDCP_Duplication_TNL_List,
        _Additional_PDCP_Duplication_TNL_Item_additional_PDCP_Duplication_UP_TNL_Information,
        ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id_tab,
        ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__id,
        ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality_tab,
        ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__criticality,
        ____Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue_tab,
        ___Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item__extensionValue,
        __Additional_PDCP_Duplication_TNL_Item_iE_Extensions__item_,
        _Additional_PDCP_Duplication_TNL_Item_iE_Extensions,
        Additional_PDCP_Duplication_TNL_Item,
        Additional_PDCP_Duplication_TNL_ExtIEs,
        _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF,
        ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab,
        _____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue,
        __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_,
        _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions,
        Additional_UL_NG_U_TNLatUPF_Item,
        Additional_UL_NG_U_TNLatUPF_Item_ExtIEs,
        _Additional_UL_NG_U_TNLatUPF_Item_ExtIEs_val_Extension_0,
        _Additional_UL_NG_U_TNLatUPF_List__item_,
        Additional_UL_NG_U_TNLatUPF_List,
        ActivationIDforCellActivation,
        _AllocationandRetentionPriority_priorityLevel,
        _AllocationandRetentionPriority_pre_emption_capability,
        _AllocationandRetentionPriority_pre_emption_vulnerability,
        ____AllocationandRetentionPriority_iE_Extensions__item__id_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__id,
        ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__criticality,
        ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue,
        __AllocationandRetentionPriority_iE_Extensions__item_,
        _AllocationandRetentionPriority_iE_Extensions,
        AllocationandRetentionPriority,
        AllocationandRetentionPriority_ExtIEs,
        ActivationSFN,
        _AllowedCAG_ID_List_perPLMN__item_,
        AllowedCAG_ID_List_perPLMN,
        _AllowedPNI_NPN_ID_List__item_,
        AllowedPNI_NPN_ID_List,
        _AllowedPNI_NPN_ID_Item_plmn_id,
        _AllowedPNI_NPN_ID_Item_pni_npn_restricted_information,
        _AllowedPNI_NPN_ID_Item_allowed_CAG_id_list_per_plmn,
        ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__id_tab,
        ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__id,
        ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality_tab,
        ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__criticality,
        ____AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue_tab,
        ___AllowedPNI_NPN_ID_Item_iE_Extensions__item__extensionValue,
        __AllowedPNI_NPN_ID_Item_iE_Extensions__item_,
        _AllowedPNI_NPN_ID_Item_iE_Extensions,
        AllowedPNI_NPN_ID_Item,
        AllowedPNI_NPN_ID_Item_ExtIEs,
        _AlternativeQoSParaSetList__item_,
        AlternativeQoSParaSetList,
        _AlternativeQoSParaSetItem_alternativeQoSParaSetIndex,
        _AlternativeQoSParaSetItem_guaranteedFlowBitRateDL,
        _AlternativeQoSParaSetItem_guaranteedFlowBitRateUL,
        _AlternativeQoSParaSetItem_packetDelayBudget,
        _AlternativeQoSParaSetItem_packetErrorRate,
        ____AlternativeQoSParaSetItem_iE_Extensions__item__id_tab,
        ___AlternativeQoSParaSetItem_iE_Extensions__item__id,
        ____AlternativeQoSParaSetItem_iE_Extensions__item__criticality_tab,
        ___AlternativeQoSParaSetItem_iE_Extensions__item__criticality,
        ____AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue_tab,
        ___AlternativeQoSParaSetItem_iE_Extensions__item__extensionValue,
        __AlternativeQoSParaSetItem_iE_Extensions__item_,
        _AlternativeQoSParaSetItem_iE_Extensions,
        AlternativeQoSParaSetItem,
        AlternativeQoSParaSetItem_ExtIEs,
        _AMF_Region_Information__item_,
        AMF_Region_Information,
        _GlobalAMF_Region_Information_plmn_ID,
        _GlobalAMF_Region_Information_amf_region_id,
        ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__id,
        ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__criticality,
        ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue,
        __GlobalAMF_Region_Information_iE_Extensions__item_,
        _GlobalAMF_Region_Information_iE_Extensions,
        GlobalAMF_Region_Information,
        GlobalAMF_Region_Information_ExtIEs,
        AMF_UE_NGAP_ID,
        _AreaOfInterestInformation__item_,
        AreaOfInterestInformation,
        _AreaOfInterest_Item_listOfTAIsinAoI,
        _AreaOfInterest_Item_listOfCellsinAoI,
        _AreaOfInterest_Item_listOfRANNodesinAoI,
        _AreaOfInterest_Item_requestReferenceID,
        ____AreaOfInterest_Item_iE_Extensions__item__id_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__id,
        ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__criticality,
        ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__extensionValue,
        __AreaOfInterest_Item_iE_Extensions__item_,
        _AreaOfInterest_Item_iE_Extensions,
        AreaOfInterest_Item,
        AreaOfInterest_Item_ExtIEs,
        _AreaScopeOfMDT_NR_cellBased,
        _AreaScopeOfMDT_NR_tABased,
        _AreaScopeOfMDT_NR_tAIBased,
        AreaScopeOfMDT_NR,
        _AreaScopeOfMDT_EUTRA_cellBased,
        _AreaScopeOfMDT_EUTRA_tABased,
        _AreaScopeOfMDT_EUTRA_tAIBased,
        AreaScopeOfMDT_EUTRA,
        _AreaScopeOfNeighCellsList__item_,
        AreaScopeOfNeighCellsList,
        _AreaScopeOfNeighCellsItem_nrFrequencyInfo,
        _AreaScopeOfNeighCellsItem_pciListForMDT,
        ____AreaScopeOfNeighCellsItem_iE_Extensions__item__id_tab,
        ___AreaScopeOfNeighCellsItem_iE_Extensions__item__id,
        ____AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality_tab,
        ___AreaScopeOfNeighCellsItem_iE_Extensions__item__criticality,
        ____AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue_tab,
        ___AreaScopeOfNeighCellsItem_iE_Extensions__item__extensionValue,
        __AreaScopeOfNeighCellsItem_iE_Extensions__item_,
        _AreaScopeOfNeighCellsItem_iE_Extensions,
        AreaScopeOfNeighCellsItem,
        AreaScopeOfNeighCellsItem_ExtIEs,
        _AS_SecurityInformation_key_NG_RAN_Star,
        _AS_SecurityInformation_ncc,
        ____AS_SecurityInformation_iE_Extensions__item__id_tab,
        ___AS_SecurityInformation_iE_Extensions__item__id,
        ____AS_SecurityInformation_iE_Extensions__item__criticality_tab,
        ___AS_SecurityInformation_iE_Extensions__item__criticality,
        ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab,
        ___AS_SecurityInformation_iE_Extensions__item__extensionValue,
        __AS_SecurityInformation_iE_Extensions__item_,
        _AS_SecurityInformation_iE_Extensions,
        AS_SecurityInformation,
        AS_SecurityInformation_ExtIEs,
        _AssistanceDataForRANPaging_ran_paging_attempt_info,
        ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab,
        _____AssistanceDataForRANPaging_iE_Extensions__item__id_tab_val_Extension_0,
        ___AssistanceDataForRANPaging_iE_Extensions__item__id,
        ___AssistanceDataForRANPaging_iE_Extensions__item__criticality,
        ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue,
        __AssistanceDataForRANPaging_iE_Extensions__item_,
        _AssistanceDataForRANPaging_iE_Extensions,
        AssistanceDataForRANPaging,
        AssistanceDataForRANPaging_ExtIEs,
        _AssistanceDataForRANPaging_ExtIEs_val_Extension_0,
        AvailableCapacity,
        AvailableRRCConnectionCapacityValue,
        AveragingWindow,
        _BluetoothMeasurementConfiguration_bluetoothMeasConfig,
        _BluetoothMeasurementConfiguration_bluetoothMeasConfigNameList,
        _BluetoothMeasurementConfiguration_bt_rssi,
        ____BluetoothMeasurementConfiguration_iE_Extensions__item__id_tab,
        ___BluetoothMeasurementConfiguration_iE_Extensions__item__id,
        ____BluetoothMeasurementConfiguration_iE_Extensions__item__criticality_tab,
        ___BluetoothMeasurementConfiguration_iE_Extensions__item__criticality,
        ____BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue_tab,
        ___BluetoothMeasurementConfiguration_iE_Extensions__item__extensionValue,
        __BluetoothMeasurementConfiguration_iE_Extensions__item_,
        _BluetoothMeasurementConfiguration_iE_Extensions,
        BluetoothMeasurementConfiguration,
        BluetoothMeasurementConfiguration_ExtIEs,
        _BluetoothMeasConfigNameList__item_,
        BluetoothMeasConfigNameList,
        BluetoothMeasConfig,
        BluetoothName,
        _BPLMN_ID_Info_EUTRA__item_,
        BPLMN_ID_Info_EUTRA,
        _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs,
        _BPLMN_ID_Info_EUTRA_Item_tac,
        _BPLMN_ID_Info_EUTRA_Item_e_utraCI,
        _BPLMN_ID_Info_EUTRA_Item_ranac,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue,
        __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_,
        _BPLMN_ID_Info_EUTRA_Item_iE_Extension,
        BPLMN_ID_Info_EUTRA_Item,
        BPLMN_ID_Info_EUTRA_Item_ExtIEs,
        _BPLMN_ID_Info_NR__item_,
        BPLMN_ID_Info_NR,
        _BPLMN_ID_Info_NR_Item_broadcastPLMNs,
        _BPLMN_ID_Info_NR_Item_tac,
        _BPLMN_ID_Info_NR_Item_nr_CI,
        _BPLMN_ID_Info_NR_Item_ranac,
        ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab,
        _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab_val_Extension_1,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue,
        __BPLMN_ID_Info_NR_Item_iE_Extension__item_,
        _BPLMN_ID_Info_NR_Item_iE_Extension,
        BPLMN_ID_Info_NR_Item,
        BPLMN_ID_Info_NR_Item_ExtIEs,
        _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_0,
        _BPLMN_ID_Info_NR_Item_ExtIEs_val_Extension_1,
        BitRate,
        _BroadcastCAG_Identifier_List__item_,
        BroadcastCAG_Identifier_List,
        _BroadcastCAG_Identifier_Item_cag_Identifier,
        ____BroadcastCAG_Identifier_Item_iE_Extension__item__id_tab,
        ___BroadcastCAG_Identifier_Item_iE_Extension__item__id,
        ____BroadcastCAG_Identifier_Item_iE_Extension__item__criticality_tab,
        ___BroadcastCAG_Identifier_Item_iE_Extension__item__criticality,
        ____BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue_tab,
        ___BroadcastCAG_Identifier_Item_iE_Extension__item__extensionValue,
        __BroadcastCAG_Identifier_Item_iE_Extension__item_,
        _BroadcastCAG_Identifier_Item_iE_Extension,
        BroadcastCAG_Identifier_Item,
        BroadcastCAG_Identifier_Item_ExtIEs,
        _BroadcastNID_List__item_,
        BroadcastNID_List,
        _BroadcastNID_Item_nid,
        ____BroadcastNID_Item_iE_Extension__item__id_tab,
        ___BroadcastNID_Item_iE_Extension__item__id,
        ____BroadcastNID_Item_iE_Extension__item__criticality_tab,
        ___BroadcastNID_Item_iE_Extension__item__criticality,
        ____BroadcastNID_Item_iE_Extension__item__extensionValue_tab,
        ___BroadcastNID_Item_iE_Extension__item__extensionValue,
        __BroadcastNID_Item_iE_Extension__item_,
        _BroadcastNID_Item_iE_Extension,
        BroadcastNID_Item,
        BroadcastNID_Item_ExtIEs,
        _BroadcastPLMNs__item_,
        BroadcastPLMNs,
        _BroadcastEUTRAPLMNs__item_,
        BroadcastEUTRAPLMNs,
        _BroadcastPLMNinTAISupport_Item_plmn_id,
        _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List,
        ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab,
        _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab_val_Extension_1,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue,
        __BroadcastPLMNinTAISupport_Item_iE_Extension__item_,
        _BroadcastPLMNinTAISupport_Item_iE_Extension,
        BroadcastPLMNinTAISupport_Item,
        BroadcastPLMNinTAISupport_Item_ExtIEs,
        _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_0,
        _BroadcastPLMNinTAISupport_Item_ExtIEs_val_Extension_1,
        _BroadcastPNI_NPN_ID_Information__item_,
        BroadcastPNI_NPN_ID_Information,
        _BroadcastPNI_NPN_ID_Information_Item_plmn_id,
        _BroadcastPNI_NPN_ID_Information_Item_broadcastCAG_Identifier_List,
        ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id_tab,
        ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__id,
        ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality_tab,
        ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__criticality,
        ____BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue_tab,
        ___BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item__extensionValue,
        __BroadcastPNI_NPN_ID_Information_Item_iE_Extension__item_,
        _BroadcastPNI_NPN_ID_Information_Item_iE_Extension,
        BroadcastPNI_NPN_ID_Information_Item,
        BroadcastPNI_NPN_ID_Information_Item_ExtIEs,
        _BroadcastSNPNID_List__item_,
        BroadcastSNPNID_List,
        _BroadcastSNPNID_plmn_id,
        _BroadcastSNPNID_broadcastNID_List,
        ____BroadcastSNPNID_iE_Extension__item__id_tab,
        ___BroadcastSNPNID_iE_Extension__item__id,
        ____BroadcastSNPNID_iE_Extension__item__criticality_tab,
        ___BroadcastSNPNID_iE_Extension__item__criticality,
        ____BroadcastSNPNID_iE_Extension__item__extensionValue_tab,
        ___BroadcastSNPNID_iE_Extension__item__extensionValue,
        __BroadcastSNPNID_iE_Extension__item_,
        _BroadcastSNPNID_iE_Extension,
        BroadcastSNPNID,
        BroadcastSNPNID_ExtIEs,
        CAG_Identifier,
        CapacityValue,
        _CapacityValueInfo_capacityValue,
        _CapacityValueInfo_ssbAreaCapacityValueList,
        ____CapacityValueInfo_iE_Extension__item__id_tab,
        ___CapacityValueInfo_iE_Extension__item__id,
        ____CapacityValueInfo_iE_Extension__item__criticality_tab,
        ___CapacityValueInfo_iE_Extension__item__criticality,
        ____CapacityValueInfo_iE_Extension__item__extensionValue_tab,
        ___CapacityValueInfo_iE_Extension__item__extensionValue,
        __CapacityValueInfo_iE_Extension__item_,
        _CapacityValueInfo_iE_Extension,
        CapacityValueInfo,
        CapacityValueInfo_ExtIEs,
        _Cause_radioNetwork,
        _Cause_transport,
        _Cause_protocol,
        _Cause_misc,
        ___Cause_choice_extension_id_tab,
        __Cause_choice_extension_id,
        ___Cause_choice_extension_criticality_tab,
        __Cause_choice_extension_criticality,
        ___Cause_choice_extension_value_tab,
        __Cause_choice_extension_value,
        _Cause_choice_extension,
        Cause,
        Cause_ExtIEs,
        CauseRadioNetworkLayer,
        CauseTransportLayer,
        CauseProtocol,
        CauseMisc,
        __CellAssistanceInfo_NR_limitedNR_List__item_,
        _CellAssistanceInfo_NR_limitedNR_List,
        _CellAssistanceInfo_NR_full_List,
        ___CellAssistanceInfo_NR_choice_extension_id_tab,
        __CellAssistanceInfo_NR_choice_extension_id,
        ___CellAssistanceInfo_NR_choice_extension_criticality_tab,
        __CellAssistanceInfo_NR_choice_extension_criticality,
        ___CellAssistanceInfo_NR_choice_extension_value_tab,
        __CellAssistanceInfo_NR_choice_extension_value,
        _CellAssistanceInfo_NR_choice_extension,
        CellAssistanceInfo_NR,
        CellAssistanceInfo_NR_ExtIEs,
        _CellAndCapacityAssistanceInfo_NR_maximumCellListSize,
        _CellAndCapacityAssistanceInfo_NR_cellAssistanceInfo_NR,
        ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id_tab,
        ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__id,
        ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality_tab,
        ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__criticality,
        ____CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue_tab,
        ___CellAndCapacityAssistanceInfo_NR_iE_Extensions__item__extensionValue,
        __CellAndCapacityAssistanceInfo_NR_iE_Extensions__item_,
        _CellAndCapacityAssistanceInfo_NR_iE_Extensions,
        CellAndCapacityAssistanceInfo_NR,
        CellAndCapacityAssistanceInfo_NR_ExtIEs,
        _CellAndCapacityAssistanceInfo_EUTRA_maximumCellListSize,
        _CellAndCapacityAssistanceInfo_EUTRA_cellAssistanceInfo_EUTRA,
        ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id_tab,
        ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__id,
        ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality_tab,
        ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__criticality,
        ____CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item__extensionValue,
        __CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions__item_,
        _CellAndCapacityAssistanceInfo_EUTRA_iE_Extensions,
        CellAndCapacityAssistanceInfo_EUTRA,
        CellAndCapacityAssistanceInfo_EUTRA_ExtIEs,
        __CellAssistanceInfo_EUTRA_limitedEUTRA_List__item_,
        _CellAssistanceInfo_EUTRA_limitedEUTRA_List,
        _CellAssistanceInfo_EUTRA_full_List,
        ___CellAssistanceInfo_EUTRA_choice_extension_id_tab,
        __CellAssistanceInfo_EUTRA_choice_extension_id,
        ___CellAssistanceInfo_EUTRA_choice_extension_criticality_tab,
        __CellAssistanceInfo_EUTRA_choice_extension_criticality,
        ___CellAssistanceInfo_EUTRA_choice_extension_value_tab,
        __CellAssistanceInfo_EUTRA_choice_extension_value,
        _CellAssistanceInfo_EUTRA_choice_extension,
        CellAssistanceInfo_EUTRA,
        CellAssistanceInfo_EUTRA_ExtIEs,
        _CellBasedMDT_NR_cellIdListforMDT_NR,
        ____CellBasedMDT_NR_iE_Extensions__item__id_tab,
        ___CellBasedMDT_NR_iE_Extensions__item__id,
        ____CellBasedMDT_NR_iE_Extensions__item__criticality_tab,
        ___CellBasedMDT_NR_iE_Extensions__item__criticality,
        ____CellBasedMDT_NR_iE_Extensions__item__extensionValue_tab,
        ___CellBasedMDT_NR_iE_Extensions__item__extensionValue,
        __CellBasedMDT_NR_iE_Extensions__item_,
        _CellBasedMDT_NR_iE_Extensions,
        CellBasedMDT_NR,
        CellBasedMDT_NR_ExtIEs,
        _CellIdListforMDT_NR__item_,
        CellIdListforMDT_NR,
        _CellBasedMDT_EUTRA_cellIdListforMDT_EUTRA,
        ____CellBasedMDT_EUTRA_iE_Extensions__item__id_tab,
        ___CellBasedMDT_EUTRA_iE_Extensions__item__id,
        ____CellBasedMDT_EUTRA_iE_Extensions__item__criticality_tab,
        ___CellBasedMDT_EUTRA_iE_Extensions__item__criticality,
        ____CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___CellBasedMDT_EUTRA_iE_Extensions__item__extensionValue,
        __CellBasedMDT_EUTRA_iE_Extensions__item_,
        _CellBasedMDT_EUTRA_iE_Extensions,
        CellBasedMDT_EUTRA,
        CellBasedMDT_EUTRA_ExtIEs,
        _CellIdListforMDT_EUTRA__item_,
        CellIdListforMDT_EUTRA,
        CellCapacityClassValue,
        CellGroupID,
        _CellMeasurementResult__item_,
        CellMeasurementResult,
        _CellMeasurementResult_Item_cell_ID,
        _CellMeasurementResult_Item_radioResourceStatus,
        _CellMeasurementResult_Item_tNLCapacityIndicator,
        _CellMeasurementResult_Item_compositeAvailableCapacityGroup,
        _CellMeasurementResult_Item_sliceAvailableCapacity,
        _CellMeasurementResult_Item_numberofActiveUEs,
        _CellMeasurementResult_Item_rRCConnections,
        ____CellMeasurementResult_Item_iE_Extensions__item__id_tab,
        ___CellMeasurementResult_Item_iE_Extensions__item__id,
        ____CellMeasurementResult_Item_iE_Extensions__item__criticality_tab,
        ___CellMeasurementResult_Item_iE_Extensions__item__criticality,
        ____CellMeasurementResult_Item_iE_Extensions__item__extensionValue_tab,
        ___CellMeasurementResult_Item_iE_Extensions__item__extensionValue,
        __CellMeasurementResult_Item_iE_Extensions__item_,
        _CellMeasurementResult_Item_iE_Extensions,
        CellMeasurementResult_Item,
        CellMeasurementResult_Item_ExtIEs,
        _CellToReport__item_,
        CellToReport,
        _CellToReport_Item_cell_ID,
        _CellToReport_Item_sSBToReport_List,
        _CellToReport_Item_sliceToReport_List,
        ____CellToReport_Item_iE_Extensions__item__id_tab,
        ___CellToReport_Item_iE_Extensions__item__id,
        ____CellToReport_Item_iE_Extensions__item__criticality_tab,
        ___CellToReport_Item_iE_Extensions__item__criticality,
        ____CellToReport_Item_iE_Extensions__item__extensionValue_tab,
        ___CellToReport_Item_iE_Extensions__item__extensionValue,
        __CellToReport_Item_iE_Extensions__item_,
        _CellToReport_Item_iE_Extensions,
        CellToReport_Item,
        CellToReport_Item_ExtIEs,
        _Cell_Type_Choice_ng_ran_e_utra,
        _Cell_Type_Choice_ng_ran_nr,
        _Cell_Type_Choice_e_utran,
        ___Cell_Type_Choice_choice_extension_id_tab,
        __Cell_Type_Choice_choice_extension_id,
        ___Cell_Type_Choice_choice_extension_criticality_tab,
        __Cell_Type_Choice_choice_extension_criticality,
        ___Cell_Type_Choice_choice_extension_value_tab,
        __Cell_Type_Choice_choice_extension_value,
        _Cell_Type_Choice_choice_extension,
        Cell_Type_Choice,
        Cell_Type_Choice_ExtIEs,
        _CompositeAvailableCapacityGroup_compositeAvailableCapacityDownlink,
        _CompositeAvailableCapacityGroup_compositeAvailableCapacityUplink,
        ____CompositeAvailableCapacityGroup_iE_Extensions__item__id_tab,
        ___CompositeAvailableCapacityGroup_iE_Extensions__item__id,
        ____CompositeAvailableCapacityGroup_iE_Extensions__item__criticality_tab,
        ___CompositeAvailableCapacityGroup_iE_Extensions__item__criticality,
        ____CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue_tab,
        ___CompositeAvailableCapacityGroup_iE_Extensions__item__extensionValue,
        __CompositeAvailableCapacityGroup_iE_Extensions__item_,
        _CompositeAvailableCapacityGroup_iE_Extensions,
        CompositeAvailableCapacityGroup,
        CompositeAvailableCapacityGroup_ExtIEs,
        _CompositeAvailableCapacity_cellCapacityClassValue,
        _CompositeAvailableCapacity_capacityValueInfo,
        ____CompositeAvailableCapacity_iE_Extensions__item__id_tab,
        ___CompositeAvailableCapacity_iE_Extensions__item__id,
        ____CompositeAvailableCapacity_iE_Extensions__item__criticality_tab,
        ___CompositeAvailableCapacity_iE_Extensions__item__criticality,
        ____CompositeAvailableCapacity_iE_Extensions__item__extensionValue_tab,
        ___CompositeAvailableCapacity_iE_Extensions__item__extensionValue,
        __CompositeAvailableCapacity_iE_Extensions__item_,
        _CompositeAvailableCapacity_iE_Extensions,
        CompositeAvailableCapacity,
        CompositeAvailableCapacity_ExtIEs,
        CHO_MRDC_EarlyDataForwarding,
        CHO_MRDC_Indicator,
        CHOtrigger,
        _CHOinformation_Req_cho_trigger,
        _CHOinformation_Req_targetNG_RANnodeUEXnAPID,
        _CHOinformation_Req_cHO_EstimatedArrivalProbability,
        ____CHOinformation_Req_iE_Extensions__item__id_tab,
        ___CHOinformation_Req_iE_Extensions__item__id,
        ____CHOinformation_Req_iE_Extensions__item__criticality_tab,
        ___CHOinformation_Req_iE_Extensions__item__criticality,
        ____CHOinformation_Req_iE_Extensions__item__extensionValue_tab,
        ___CHOinformation_Req_iE_Extensions__item__extensionValue,
        __CHOinformation_Req_iE_Extensions__item_,
        _CHOinformation_Req_iE_Extensions,
        CHOinformation_Req,
        CHOinformation_Req_ExtIEs,
        _CHOinformation_Ack_requestedTargetCellGlobalID,
        _CHOinformation_Ack_maxCHOoperations,
        ____CHOinformation_Ack_iE_Extensions__item__id_tab,
        ___CHOinformation_Ack_iE_Extensions__item__id,
        ____CHOinformation_Ack_iE_Extensions__item__criticality_tab,
        ___CHOinformation_Ack_iE_Extensions__item__criticality,
        ____CHOinformation_Ack_iE_Extensions__item__extensionValue_tab,
        ___CHOinformation_Ack_iE_Extensions__item__extensionValue,
        __CHOinformation_Ack_iE_Extensions__item_,
        _CHOinformation_Ack_iE_Extensions,
        CHOinformation_Ack,
        CHOinformation_Ack_ExtIEs,
        CHO_Probability,
        ConfiguredTACIndication,
        _Connectivity_Support_eNDC_Support,
        ____Connectivity_Support_iE_Extensions__item__id_tab,
        ___Connectivity_Support_iE_Extensions__item__id,
        ____Connectivity_Support_iE_Extensions__item__criticality_tab,
        ___Connectivity_Support_iE_Extensions__item__criticality,
        ____Connectivity_Support_iE_Extensions__item__extensionValue_tab,
        ___Connectivity_Support_iE_Extensions__item__extensionValue,
        __Connectivity_Support_iE_Extensions__item_,
        _Connectivity_Support_iE_Extensions,
        Connectivity_Support,
        Connectivity_Support_ExtIEs,
        _COUNT_PDCP_SN12_pdcp_SN12,
        _COUNT_PDCP_SN12_hfn_PDCP_SN12,
        ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__id,
        ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__criticality,
        ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue,
        __COUNT_PDCP_SN12_iE_Extensions__item_,
        _COUNT_PDCP_SN12_iE_Extensions,
        COUNT_PDCP_SN12,
        COUNT_PDCP_SN12_ExtIEs,
        _COUNT_PDCP_SN18_pdcp_SN18,
        _COUNT_PDCP_SN18_hfn_PDCP_SN18,
        ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__id,
        ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__criticality,
        ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue,
        __COUNT_PDCP_SN18_iE_Extensions__item_,
        _COUNT_PDCP_SN18_iE_Extensions,
        COUNT_PDCP_SN18,
        COUNT_PDCP_SN18_ExtIEs,
        _CPTransportLayerInformation_endpointIPAddress,
        ___CPTransportLayerInformation_choice_extension_id_tab,
        ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0,
        __CPTransportLayerInformation_choice_extension_id,
        __CPTransportLayerInformation_choice_extension_criticality,
        __CPTransportLayerInformation_choice_extension_value,
        _CPTransportLayerInformation_choice_extension,
        CPTransportLayerInformation,
        CPTransportLayerInformation_ExtIEs,
        _CPTransportLayerInformation_ExtIEs_val_Value_0,
        _CriticalityDiagnostics_procedureCode,
        _CriticalityDiagnostics_triggeringMessage,
        _CriticalityDiagnostics_procedureCriticality,
        _CriticalityDiagnostics_iEsCriticalityDiagnostics,
        ____CriticalityDiagnostics_iE_Extensions__item__id_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__id,
        ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__criticality,
        ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__extensionValue,
        __CriticalityDiagnostics_iE_Extensions__item_,
        _CriticalityDiagnostics_iE_Extensions,
        CriticalityDiagnostics,
        CriticalityDiagnostics_ExtIEs,
        __CriticalityDiagnostics_IE_List__item__iECriticality,
        __CriticalityDiagnostics_IE_List__item__iE_ID,
        __CriticalityDiagnostics_IE_List__item__typeOfError,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue,
        ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_,
        __CriticalityDiagnostics_IE_List__item__iE_Extensions,
        _CriticalityDiagnostics_IE_List__item_,
        CriticalityDiagnostics_IE_List,
        CriticalityDiagnostics_IE_List_ExtIEs,
        C_RNTI,
        CyclicPrefix_E_UTRA_DL,
        CyclicPrefix_E_UTRA_UL,
        CSI_RSTransmissionIndication,
        _XnUAddressInfoperPDUSession_List__item_,
        XnUAddressInfoperPDUSession_List,
        _XnUAddressInfoperPDUSession_Item_pduSession_ID,
        _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode,
        _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm,
        ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab,
        _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1,
        _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_2,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue,
        __XnUAddressInfoperPDUSession_Item_iE_Extension__item_,
        _XnUAddressInfoperPDUSession_Item_iE_Extension,
        XnUAddressInfoperPDUSession_Item,
        XnUAddressInfoperPDUSession_Item_ExtIEs,
        _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0,
        _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1,
        _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_2,
        DataForwardingAccepted,
        _DataForwardingInfoFromTargetE_UTRANnode_dataForwardingInfoFromTargetE_UTRANnode_List,
        ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__id,
        ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__criticality,
        ____DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item__extensionValue,
        __DataForwardingInfoFromTargetE_UTRANnode_iE_Extension__item_,
        _DataForwardingInfoFromTargetE_UTRANnode_iE_Extension,
        DataForwardingInfoFromTargetE_UTRANnode,
        DataForwardingInfoFromTargetE_UTRANnode_ExtIEs,
        _DataForwardingInfoFromTargetE_UTRANnode_List__item_,
        DataForwardingInfoFromTargetE_UTRANnode_List,
        _DataForwardingInfoFromTargetE_UTRANnode_Item_dlForwardingUPTNLInformation,
        _DataForwardingInfoFromTargetE_UTRANnode_Item_qosFlowsToBeForwarded_List,
        ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__id,
        ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__criticality,
        ____DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue_tab,
        ___DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item__extensionValue,
        __DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension__item_,
        _DataForwardingInfoFromTargetE_UTRANnode_Item_iE_Extension,
        DataForwardingInfoFromTargetE_UTRANnode_Item,
        DataForwardingInfoFromTargetE_UTRANnode_Item_ExtIEs,
        _QoSFlowsToBeForwarded_List__item_,
        QoSFlowsToBeForwarded_List,
        _QoSFlowsToBeForwarded_Item_qosFlowIdentifier,
        ____QoSFlowsToBeForwarded_Item_iE_Extension__item__id_tab,
        ___QoSFlowsToBeForwarded_Item_iE_Extension__item__id,
        ____QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality_tab,
        ___QoSFlowsToBeForwarded_Item_iE_Extension__item__criticality,
        ____QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlowsToBeForwarded_Item_iE_Extension__item__extensionValue,
        __QoSFlowsToBeForwarded_Item_iE_Extension__item_,
        _QoSFlowsToBeForwarded_Item_iE_Extension,
        QoSFlowsToBeForwarded_Item,
        QoSFlowsToBeForwarded_Item_ExtIEs,
        _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List,
        _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo,
        _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo,
        _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue,
        __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_,
        _DataForwardingInfoFromTargetNGRANnode_iE_Extension,
        DataForwardingInfoFromTargetNGRANnode,
        DataForwardingInfoFromTargetNGRANnode_ExtIEs,
        _QoSFLowsAcceptedToBeForwarded_List__item_,
        QoSFLowsAcceptedToBeForwarded_List,
        _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue,
        __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_,
        _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension,
        QoSFLowsAcceptedToBeForwarded_Item,
        QoSFLowsAcceptedToBeForwarded_Item_ExtIEs,
        _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded,
        _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue,
        __DataforwardingandOffloadingInfofromSource_iE_Extension__item_,
        _DataforwardingandOffloadingInfofromSource_iE_Extension,
        DataforwardingandOffloadingInfofromSource,
        DataforwardingandOffloadingInfofromSource_ExtIEs,
        _QoSFLowsToBeForwarded_List__item_,
        QoSFLowsToBeForwarded_List,
        _QoSFLowsToBeForwarded_Item_qosFlowIdentifier,
        _QoSFLowsToBeForwarded_Item_dl_dataforwarding,
        _QoSFLowsToBeForwarded_Item_ul_dataforwarding,
        ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab,
        _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_1,
        _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_2,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue,
        __QoSFLowsToBeForwarded_Item_iE_Extension__item_,
        _QoSFLowsToBeForwarded_Item_iE_Extension,
        QoSFLowsToBeForwarded_Item,
        QoSFLowsToBeForwarded_Item_ExtIEs,
        _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0,
        _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_1,
        _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_2,
        _DataForwardingResponseDRBItemList__item_,
        DataForwardingResponseDRBItemList,
        _DataForwardingResponseDRBItem_drb_ID,
        _DataForwardingResponseDRBItem_dlForwardingUPTNL,
        _DataForwardingResponseDRBItem_ulForwardingUPTNL,
        ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__id,
        ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__criticality,
        ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue,
        __DataForwardingResponseDRBItem_iE_Extension__item_,
        _DataForwardingResponseDRBItem_iE_Extension,
        DataForwardingResponseDRBItem,
        DataForwardingResponseDRBItem_ExtIEs,
        DataTrafficResources,
        _DataTrafficResourceIndication_activationSFN,
        _DataTrafficResourceIndication_sharedResourceType,
        _DataTrafficResourceIndication_reservedSubframePattern,
        ____DataTrafficResourceIndication_iE_Extension__item__id_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__id,
        ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__criticality,
        ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__extensionValue,
        __DataTrafficResourceIndication_iE_Extension__item_,
        _DataTrafficResourceIndication_iE_Extension,
        DataTrafficResourceIndication,
        DataTrafficResourceIndication_ExtIEs,
        _DAPSRequestInfo_dapsIndicator,
        ____DAPSRequestInfo_iE_Extensions__item__id_tab,
        ___DAPSRequestInfo_iE_Extensions__item__id,
        ____DAPSRequestInfo_iE_Extensions__item__criticality_tab,
        ___DAPSRequestInfo_iE_Extensions__item__criticality,
        ____DAPSRequestInfo_iE_Extensions__item__extensionValue_tab,
        ___DAPSRequestInfo_iE_Extensions__item__extensionValue,
        __DAPSRequestInfo_iE_Extensions__item_,
        _DAPSRequestInfo_iE_Extensions,
        DAPSRequestInfo,
        DAPSRequestInfo_ExtIEs,
        _DAPSResponseInfo_List__item_,
        DAPSResponseInfo_List,
        _DAPSResponseInfo_Item_drbID,
        _DAPSResponseInfo_Item_dapsResponseIndicator,
        ____DAPSResponseInfo_Item_iE_Extensions__item__id_tab,
        ___DAPSResponseInfo_Item_iE_Extensions__item__id,
        ____DAPSResponseInfo_Item_iE_Extensions__item__criticality_tab,
        ___DAPSResponseInfo_Item_iE_Extensions__item__criticality,
        ____DAPSResponseInfo_Item_iE_Extensions__item__extensionValue_tab,
        ___DAPSResponseInfo_Item_iE_Extensions__item__extensionValue,
        __DAPSResponseInfo_Item_iE_Extensions__item_,
        _DAPSResponseInfo_Item_iE_Extensions,
        DAPSResponseInfo_Item,
        DAPSResponseInfo_Item_ExtIEs,
        DeliveryStatus,
        DesiredActNotificationLevel,
        DefaultDRB_Allowed,
        DirectForwardingPathAvailability,
        _DLCountChoice_count12bits,
        _DLCountChoice_count18bits,
        ___DLCountChoice_choice_extension_id_tab,
        __DLCountChoice_choice_extension_id,
        ___DLCountChoice_choice_extension_criticality_tab,
        __DLCountChoice_choice_extension_criticality,
        ___DLCountChoice_choice_extension_value_tab,
        __DLCountChoice_choice_extension_value,
        _DLCountChoice_choice_extension,
        DLCountChoice,
        DLCountChoice_ExtIEs,
        DLForwarding,
        DL_GBR_PRB_usage,
        DL_non_GBR_PRB_usage,
        DL_Total_PRB_usage,
        DRB_ID,
        _DRB_List__item_,
        DRB_List,
        _DRB_List_withCause__item_,
        DRB_List_withCause,
        _DRB_List_withCause_Item_drb_id,
        _DRB_List_withCause_Item_cause,
        _DRB_List_withCause_Item_rLC_Mode,
        ____DRB_List_withCause_Item_iE_Extension__item__id_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__id,
        ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__criticality,
        ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__extensionValue,
        __DRB_List_withCause_Item_iE_Extension__item_,
        _DRB_List_withCause_Item_iE_Extension,
        DRB_List_withCause_Item,
        DRB_List_withCause_Item_ExtIEs,
        DRB_Number,
        _DRBsSubjectToDLDiscarding_List__item_,
        DRBsSubjectToDLDiscarding_List,
        _DRBsSubjectToDLDiscarding_Item_drbID,
        _DRBsSubjectToDLDiscarding_Item_dlCount,
        ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id_tab,
        ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__id,
        ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality_tab,
        ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__criticality,
        ____DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue_tab,
        ___DRBsSubjectToDLDiscarding_Item_iE_Extension__item__extensionValue,
        __DRBsSubjectToDLDiscarding_Item_iE_Extension__item_,
        _DRBsSubjectToDLDiscarding_Item_iE_Extension,
        DRBsSubjectToDLDiscarding_Item,
        DRBsSubjectToDLDiscarding_Item_ExtIEs,
        _DRBsSubjectToEarlyStatusTransfer_List__item_,
        DRBsSubjectToEarlyStatusTransfer_List,
        _DRBsSubjectToEarlyStatusTransfer_Item_drbID,
        _DRBsSubjectToEarlyStatusTransfer_Item_dlCount,
        ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id_tab,
        ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__id,
        ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality_tab,
        ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__criticality,
        ____DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue_tab,
        ___DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item__extensionValue,
        __DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension__item_,
        _DRBsSubjectToEarlyStatusTransfer_Item_iE_Extension,
        DRBsSubjectToEarlyStatusTransfer_Item,
        DRBsSubjectToEarlyStatusTransfer_Item_ExtIEs,
        _DRBsSubjectToStatusTransfer_List__item_,
        DRBsSubjectToStatusTransfer_List,
        _DRBsSubjectToStatusTransfer_Item_drbID,
        _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL,
        _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL,
        ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab,
        _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue,
        __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_,
        _DRBsSubjectToStatusTransfer_Item_iE_Extension,
        DRBsSubjectToStatusTransfer_Item,
        DRBsSubjectToStatusTransfer_Item_ExtIEs,
        _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0,
        _DRBBStatusTransferChoice_pdcp_sn_12bits,
        _DRBBStatusTransferChoice_pdcp_sn_18bits,
        ___DRBBStatusTransferChoice_choice_extension_id_tab,
        __DRBBStatusTransferChoice_choice_extension_id,
        ___DRBBStatusTransferChoice_choice_extension_criticality_tab,
        __DRBBStatusTransferChoice_choice_extension_criticality,
        ___DRBBStatusTransferChoice_choice_extension_value_tab,
        __DRBBStatusTransferChoice_choice_extension_value,
        _DRBBStatusTransferChoice_choice_extension,
        DRBBStatusTransferChoice,
        DRBBStatusTransferChoice_ExtIEs,
        _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU,
        _DRBBStatusTransfer12bitsSN_cOUNTValue,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue,
        __DRBBStatusTransfer12bitsSN_iE_Extension__item_,
        _DRBBStatusTransfer12bitsSN_iE_Extension,
        DRBBStatusTransfer12bitsSN,
        DRBBStatusTransfer12bitsSN_ExtIEs,
        _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU,
        _DRBBStatusTransfer18bitsSN_cOUNTValue,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue,
        __DRBBStatusTransfer18bitsSN_iE_Extension__item_,
        _DRBBStatusTransfer18bitsSN_iE_Extension,
        DRBBStatusTransfer18bitsSN,
        DRBBStatusTransfer18bitsSN_ExtIEs,
        _DRBToQoSFlowMapping_List__item_,
        DRBToQoSFlowMapping_List,
        _DRBToQoSFlowMapping_Item_drb_ID,
        _DRBToQoSFlowMapping_Item_qosFlows_List,
        _DRBToQoSFlowMapping_Item_rLC_Mode,
        ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab,
        _____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__id,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue,
        __DRBToQoSFlowMapping_Item_iE_Extension__item_,
        _DRBToQoSFlowMapping_Item_iE_Extension,
        DRBToQoSFlowMapping_Item,
        DRBToQoSFlowMapping_Item_ExtIEs,
        _DRBToQoSFlowMapping_Item_ExtIEs_val_Extension_0,
        DuplicationActivation,
        _Dynamic5QIDescriptor_priorityLevelQoS,
        _Dynamic5QIDescriptor_packetDelayBudget,
        _Dynamic5QIDescriptor_packetErrorRate,
        _Dynamic5QIDescriptor_fiveQI,
        _Dynamic5QIDescriptor_delayCritical,
        _Dynamic5QIDescriptor_averagingWindow,
        _Dynamic5QIDescriptor_maximumDataBurstVolume,
        ____Dynamic5QIDescriptor_iE_Extension__item__id_tab,
        _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0,
        _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1,
        _____Dynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_2,
        ___Dynamic5QIDescriptor_iE_Extension__item__id,
        ___Dynamic5QIDescriptor_iE_Extension__item__criticality,
        ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue,
        __Dynamic5QIDescriptor_iE_Extension__item_,
        _Dynamic5QIDescriptor_iE_Extension,
        Dynamic5QIDescriptor,
        Dynamic5QIDescriptor_ExtIEs,
        _Dynamic5QIDescriptor_ExtIEs_val_Extension_0,
        _Dynamic5QIDescriptor_ExtIEs_val_Extension_1,
        _Dynamic5QIDescriptor_ExtIEs_val_Extension_2,
        E_RAB_ID,
        E_UTRAARFCN,
        E_UTRA_Cell_Identity,
        _E_UTRA_CGI_plmn_id,
        _E_UTRA_CGI_e_utra_CI,
        ____E_UTRA_CGI_iE_Extension__item__id_tab,
        ___E_UTRA_CGI_iE_Extension__item__id,
        ____E_UTRA_CGI_iE_Extension__item__criticality_tab,
        ___E_UTRA_CGI_iE_Extension__item__criticality,
        ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab,
        ___E_UTRA_CGI_iE_Extension__item__extensionValue,
        __E_UTRA_CGI_iE_Extension__item_,
        _E_UTRA_CGI_iE_Extension,
        E_UTRA_CGI,
        E_UTRA_CGI_ExtIEs,
        E_UTRAFrequencyBandIndicator,
        _E_UTRAMultibandInfoList__item_,
        E_UTRAMultibandInfoList,
        E_UTRAPCI,
        _E_UTRAPRACHConfiguration_rootSequenceIndex,
        _E_UTRAPRACHConfiguration_zeroCorrelationIndex,
        _E_UTRAPRACHConfiguration_highSpeedFlag,
        _E_UTRAPRACHConfiguration_prach_FreqOffset,
        _E_UTRAPRACHConfiguration_prach_ConfigIndex,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__id,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue,
        __E_UTRAPRACHConfiguration_iE_Extensions__item_,
        _E_UTRAPRACHConfiguration_iE_Extensions,
        E_UTRAPRACHConfiguration,
        E_UTRAPRACHConfiguration_ExtIEs,
        E_UTRATransmissionBandwidth,
        _EndpointIPAddressAndPort_endpointIPAddress,
        _EndpointIPAddressAndPort_portNumber,
        ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__id,
        ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__criticality,
        ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue,
        __EndpointIPAddressAndPort_iE_Extensions__item_,
        _EndpointIPAddressAndPort_iE_Extensions,
        EndpointIPAddressAndPort,
        EndpointIPAddressAndPort_ExtIEs,
        _EventTriggered_loggedEventTriggeredConfig,
        ____EventTriggered_iE_Extensions__item__id_tab,
        ___EventTriggered_iE_Extensions__item__id,
        ____EventTriggered_iE_Extensions__item__criticality_tab,
        ___EventTriggered_iE_Extensions__item__criticality,
        ____EventTriggered_iE_Extensions__item__extensionValue_tab,
        ___EventTriggered_iE_Extensions__item__extensionValue,
        __EventTriggered_iE_Extensions__item_,
        _EventTriggered_iE_Extensions,
        EventTriggered,
        EventTriggered_ExtIEs,
        EventType,
        _EventTypeTrigger_outOfCoverage,
        _EventTypeTrigger_eventL1,
        ___EventTypeTrigger_choice_Extensions_id_tab,
        __EventTypeTrigger_choice_Extensions_id,
        ___EventTypeTrigger_choice_Extensions_criticality_tab,
        __EventTypeTrigger_choice_Extensions_criticality,
        ___EventTypeTrigger_choice_Extensions_value_tab,
        __EventTypeTrigger_choice_Extensions_value,
        _EventTypeTrigger_choice_Extensions,
        EventTypeTrigger,
        EventTypeTrigger_ExtIEs,
        _EventL1_l1Threshold,
        _EventL1_hysteresis,
        _EventL1_timeToTrigger,
        ____EventL1_iE_Extensions__item__id_tab,
        ___EventL1_iE_Extensions__item__id,
        ____EventL1_iE_Extensions__item__criticality_tab,
        ___EventL1_iE_Extensions__item__criticality,
        ____EventL1_iE_Extensions__item__extensionValue_tab,
        ___EventL1_iE_Extensions__item__extensionValue,
        __EventL1_iE_Extensions__item_,
        _EventL1_iE_Extensions,
        EventL1,
        EventL1_ExtIEs,
        _MeasurementThresholdL1LoggedMDT_threshold_RSRP,
        _MeasurementThresholdL1LoggedMDT_threshold_RSRQ,
        MeasurementThresholdL1LoggedMDT,
        ExpectedActivityPeriod,
        ExpectedHOInterval,
        ExpectedIdlePeriod,
        _ExpectedUEActivityBehaviour_expectedActivityPeriod,
        _ExpectedUEActivityBehaviour_expectedIdlePeriod,
        _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__id,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue,
        __ExpectedUEActivityBehaviour_iE_Extensions__item_,
        _ExpectedUEActivityBehaviour_iE_Extensions,
        ExpectedUEActivityBehaviour,
        ExpectedUEActivityBehaviour_ExtIEs,
        _ExpectedUEBehaviour_expectedUEActivityBehaviour,
        _ExpectedUEBehaviour_expectedHOInterval,
        _ExpectedUEBehaviour_expectedUEMobility,
        _ExpectedUEBehaviour_expectedUEMovingTrajectory,
        ____ExpectedUEBehaviour_iE_Extensions__item__id_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__id,
        ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__criticality,
        ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue,
        __ExpectedUEBehaviour_iE_Extensions__item_,
        _ExpectedUEBehaviour_iE_Extensions,
        ExpectedUEBehaviour,
        ExpectedUEBehaviour_ExtIEs,
        ExpectedUEMobility,
        _ExpectedUEMovingTrajectory__item_,
        ExpectedUEMovingTrajectory,
        _ExpectedUEMovingTrajectoryItem_nGRAN_CGI,
        _ExpectedUEMovingTrajectoryItem_timeStayedInCell,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue,
        __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_,
        _ExpectedUEMovingTrajectoryItem_iE_Extensions,
        ExpectedUEMovingTrajectoryItem,
        ExpectedUEMovingTrajectoryItem_ExtIEs,
        SourceOfUEActivityBehaviourInformation,
        _ExtendedRATRestrictionInformation_primaryRATRestriction,
        _ExtendedRATRestrictionInformation_secondaryRATRestriction,
        ____ExtendedRATRestrictionInformation_iE_Extensions__item__id_tab,
        ___ExtendedRATRestrictionInformation_iE_Extensions__item__id,
        ____ExtendedRATRestrictionInformation_iE_Extensions__item__criticality_tab,
        ___ExtendedRATRestrictionInformation_iE_Extensions__item__criticality,
        ____ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue_tab,
        ___ExtendedRATRestrictionInformation_iE_Extensions__item__extensionValue,
        __ExtendedRATRestrictionInformation_iE_Extensions__item_,
        _ExtendedRATRestrictionInformation_iE_Extensions,
        ExtendedRATRestrictionInformation,
        ExtendedRATRestrictionInformation_ExtIEs,
        ExtendedPacketDelayBudget,
        _ExtendedSliceSupportList__item_,
        ExtendedSliceSupportList,
        ExtendedUEIdentityIndexValue,
        _ExtTLAs__item_,
        ExtTLAs,
        _ExtTLA_Item_iPsecTLA,
        _ExtTLA_Item_gTPTransportLayerAddresses,
        ____ExtTLA_Item_iE_Extensions__item__id_tab,
        ___ExtTLA_Item_iE_Extensions__item__id,
        ____ExtTLA_Item_iE_Extensions__item__criticality_tab,
        ___ExtTLA_Item_iE_Extensions__item__criticality,
        ____ExtTLA_Item_iE_Extensions__item__extensionValue_tab,
        ___ExtTLA_Item_iE_Extensions__item__extensionValue,
        __ExtTLA_Item_iE_Extensions__item_,
        _ExtTLA_Item_iE_Extensions,
        ExtTLA_Item,
        ExtTLA_Item_ExtIEs,
        _GTPTLAs__item_,
        GTPTLAs,
        _GTPTLA_Item_gTPTransportLayerAddresses,
        ____GTPTLA_Item_iE_Extensions__item__id_tab,
        ___GTPTLA_Item_iE_Extensions__item__id,
        ____GTPTLA_Item_iE_Extensions__item__criticality_tab,
        ___GTPTLA_Item_iE_Extensions__item__criticality,
        ____GTPTLA_Item_iE_Extensions__item__extensionValue_tab,
        ___GTPTLA_Item_iE_Extensions__item__extensionValue,
        __GTPTLA_Item_iE_Extensions__item_,
        _GTPTLA_Item_iE_Extensions,
        GTPTLA_Item,
        GTPTLA_Item_ExtIEs,
        FiveGCMobilityRestrictionListContainer,
        FiveQI,
        FrequencyShift7p5khz,
        _GBRQoSFlowInfo_maxFlowBitRateDL,
        _GBRQoSFlowInfo_maxFlowBitRateUL,
        _GBRQoSFlowInfo_guaranteedFlowBitRateDL,
        _GBRQoSFlowInfo_guaranteedFlowBitRateUL,
        _GBRQoSFlowInfo_notificationControl,
        _GBRQoSFlowInfo_maxPacketLossRateDL,
        _GBRQoSFlowInfo_maxPacketLossRateUL,
        ____GBRQoSFlowInfo_iE_Extensions__item__id_tab,
        _____GBRQoSFlowInfo_iE_Extensions__item__id_tab_val_Extension_0,
        ___GBRQoSFlowInfo_iE_Extensions__item__id,
        ___GBRQoSFlowInfo_iE_Extensions__item__criticality,
        ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue,
        __GBRQoSFlowInfo_iE_Extensions__item_,
        _GBRQoSFlowInfo_iE_Extensions,
        GBRQoSFlowInfo,
        GBRQoSFlowInfo_ExtIEs,
        _GBRQoSFlowInfo_ExtIEs_val_Extension_0,
        _GlobalgNB_ID_plmn_id,
        _GlobalgNB_ID_gnb_id,
        ____GlobalgNB_ID_iE_Extensions__item__id_tab,
        ___GlobalgNB_ID_iE_Extensions__item__id,
        ____GlobalgNB_ID_iE_Extensions__item__criticality_tab,
        ___GlobalgNB_ID_iE_Extensions__item__criticality,
        ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalgNB_ID_iE_Extensions__item__extensionValue,
        __GlobalgNB_ID_iE_Extensions__item_,
        _GlobalgNB_ID_iE_Extensions,
        GlobalgNB_ID,
        GlobalgNB_ID_ExtIEs,
        _GNB_ID_Choice_gnb_ID,
        ___GNB_ID_Choice_choice_extension_id_tab,
        __GNB_ID_Choice_choice_extension_id,
        ___GNB_ID_Choice_choice_extension_criticality_tab,
        __GNB_ID_Choice_choice_extension_criticality,
        ___GNB_ID_Choice_choice_extension_value_tab,
        __GNB_ID_Choice_choice_extension_value,
        _GNB_ID_Choice_choice_extension,
        GNB_ID_Choice,
        GNB_ID_Choice_ExtIEs,
        _GNB_RadioResourceStatus_ssbAreaRadioResourceStatus_List,
        ____GNB_RadioResourceStatus_iE_Extensions__item__id_tab,
        ___GNB_RadioResourceStatus_iE_Extensions__item__id,
        ____GNB_RadioResourceStatus_iE_Extensions__item__criticality_tab,
        ___GNB_RadioResourceStatus_iE_Extensions__item__criticality,
        ____GNB_RadioResourceStatus_iE_Extensions__item__extensionValue_tab,
        ___GNB_RadioResourceStatus_iE_Extensions__item__extensionValue,
        __GNB_RadioResourceStatus_iE_Extensions__item_,
        _GNB_RadioResourceStatus_iE_Extensions,
        GNB_RadioResourceStatus,
        GNB_RadioResourceStatus_ExtIEs,
        _GlobalCell_ID_plmn_id,
        _GlobalCell_ID_cell_type,
        ____GlobalCell_ID_iE_Extensions__item__id_tab,
        ___GlobalCell_ID_iE_Extensions__item__id,
        ____GlobalCell_ID_iE_Extensions__item__criticality_tab,
        ___GlobalCell_ID_iE_Extensions__item__criticality,
        ____GlobalCell_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalCell_ID_iE_Extensions__item__extensionValue,
        __GlobalCell_ID_iE_Extensions__item_,
        _GlobalCell_ID_iE_Extensions,
        GlobalCell_ID,
        GlobalCell_ID_ExtIEs,
        _GlobalngeNB_ID_plmn_id,
        _GlobalngeNB_ID_enb_id,
        ____GlobalngeNB_ID_iE_Extensions__item__id_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__id,
        ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__criticality,
        ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__extensionValue,
        __GlobalngeNB_ID_iE_Extensions__item_,
        _GlobalngeNB_ID_iE_Extensions,
        GlobalngeNB_ID,
        GlobaleNB_ID_ExtIEs,
        _ENB_ID_Choice_enb_ID_macro,
        _ENB_ID_Choice_enb_ID_shortmacro,
        _ENB_ID_Choice_enb_ID_longmacro,
        ___ENB_ID_Choice_choice_extension_id_tab,
        __ENB_ID_Choice_choice_extension_id,
        ___ENB_ID_Choice_choice_extension_criticality_tab,
        __ENB_ID_Choice_choice_extension_criticality,
        ___ENB_ID_Choice_choice_extension_value_tab,
        __ENB_ID_Choice_choice_extension_value,
        _ENB_ID_Choice_choice_extension,
        ENB_ID_Choice,
        ENB_ID_Choice_ExtIEs,
        _GlobalNG_RANCell_ID_plmn_id,
        _GlobalNG_RANCell_ID_ng_RAN_Cell_id,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__id,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue,
        __GlobalNG_RANCell_ID_iE_Extensions__item_,
        _GlobalNG_RANCell_ID_iE_Extensions,
        GlobalNG_RANCell_ID,
        GlobalNG_RANCell_ID_ExtIEs,
        _GlobalNG_RANNode_ID_gNB,
        _GlobalNG_RANNode_ID_ng_eNB,
        ___GlobalNG_RANNode_ID_choice_extension_id_tab,
        __GlobalNG_RANNode_ID_choice_extension_id,
        ___GlobalNG_RANNode_ID_choice_extension_criticality_tab,
        __GlobalNG_RANNode_ID_choice_extension_criticality,
        ___GlobalNG_RANNode_ID_choice_extension_value_tab,
        __GlobalNG_RANNode_ID_choice_extension_value,
        _GlobalNG_RANNode_ID_choice_extension,
        GlobalNG_RANNode_ID,
        GlobalNG_RANNode_ID_ExtIEs,
        GTP_TEID,
        _GTPtunnelTransportLayerInformation_tnl_address,
        _GTPtunnelTransportLayerInformation_gtp_teid,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue,
        __GTPtunnelTransportLayerInformation_iE_Extensions__item_,
        _GTPtunnelTransportLayerInformation_iE_Extensions,
        GTPtunnelTransportLayerInformation,
        GTPtunnelTransportLayerInformation_ExtIEs,
        _GUAMI_plmn_ID,
        _GUAMI_amf_region_id,
        _GUAMI_amf_set_id,
        _GUAMI_amf_pointer,
        ____GUAMI_iE_Extensions__item__id_tab,
        ___GUAMI_iE_Extensions__item__id,
        ____GUAMI_iE_Extensions__item__criticality_tab,
        ___GUAMI_iE_Extensions__item__criticality,
        ____GUAMI_iE_Extensions__item__extensionValue_tab,
        ___GUAMI_iE_Extensions__item__extensionValue,
        __GUAMI_iE_Extensions__item_,
        _GUAMI_iE_Extensions,
        GUAMI,
        GUAMI_ExtIEs,
        HandoverReportType,
        Hysteresis,
        IABNodeIndication,
        ImmediateMDT_EUTRA,
        _ImmediateMDT_NR_measurementsToActivate,
        _ImmediateMDT_NR_m1Configuration,
        _ImmediateMDT_NR_m4Configuration,
        _ImmediateMDT_NR_m5Configuration,
        _ImmediateMDT_NR_mDT_Location_Info,
        _ImmediateMDT_NR_m6Configuration,
        _ImmediateMDT_NR_m7Configuration,
        _ImmediateMDT_NR_bluetoothMeasurementConfiguration,
        _ImmediateMDT_NR_wLANMeasurementConfiguration,
        _ImmediateMDT_NR_sensorMeasurementConfiguration,
        ____ImmediateMDT_NR_iE_Extensions__item__id_tab,
        ___ImmediateMDT_NR_iE_Extensions__item__id,
        ____ImmediateMDT_NR_iE_Extensions__item__criticality_tab,
        ___ImmediateMDT_NR_iE_Extensions__item__criticality,
        ____ImmediateMDT_NR_iE_Extensions__item__extensionValue_tab,
        ___ImmediateMDT_NR_iE_Extensions__item__extensionValue,
        __ImmediateMDT_NR_iE_Extensions__item_,
        _ImmediateMDT_NR_iE_Extensions,
        ImmediateMDT_NR,
        ImmediateMDT_NR_ExtIEs,
        _InitiatingCondition_FailureIndication_rRCReestab,
        _InitiatingCondition_FailureIndication_rRCSetup,
        ___InitiatingCondition_FailureIndication_choice_extension_id_tab,
        __InitiatingCondition_FailureIndication_choice_extension_id,
        ___InitiatingCondition_FailureIndication_choice_extension_criticality_tab,
        __InitiatingCondition_FailureIndication_choice_extension_criticality,
        ___InitiatingCondition_FailureIndication_choice_extension_value_tab,
        __InitiatingCondition_FailureIndication_choice_extension_value,
        _InitiatingCondition_FailureIndication_choice_extension,
        InitiatingCondition_FailureIndication,
        InitiatingCondition_FailureIndication_ExtIEs,
        _IntendedTDD_DL_ULConfiguration_NR_nrscs,
        _IntendedTDD_DL_ULConfiguration_NR_nrCyclicPrefix,
        _IntendedTDD_DL_ULConfiguration_NR_nrDL_ULTransmissionPeriodicity,
        _IntendedTDD_DL_ULConfiguration_NR_slotConfiguration_List,
        ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id_tab,
        ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__id,
        ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality_tab,
        ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__criticality,
        ____IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue_tab,
        ___IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item__extensionValue,
        __IntendedTDD_DL_ULConfiguration_NR_iE_Extensions__item_,
        _IntendedTDD_DL_ULConfiguration_NR_iE_Extensions,
        IntendedTDD_DL_ULConfiguration_NR,
        IntendedTDD_DL_ULConfiguration_NR_ExtIEs,
        InterfaceInstanceIndication,
        InterfacesToTrace,
        _I_RNTI_i_RNTI_full,
        _I_RNTI_i_RNTI_short,
        ___I_RNTI_choice_extension_id_tab,
        __I_RNTI_choice_extension_id,
        ___I_RNTI_choice_extension_criticality_tab,
        __I_RNTI_choice_extension_criticality,
        ___I_RNTI_choice_extension_value_tab,
        __I_RNTI_choice_extension_value,
        _I_RNTI_choice_extension,
        I_RNTI,
        I_RNTI_ExtIEs,
        _LastVisitedCell_Item_nG_RAN_Cell,
        _LastVisitedCell_Item_e_UTRAN_Cell,
        _LastVisitedCell_Item_uTRAN_Cell,
        _LastVisitedCell_Item_gERAN_Cell,
        ___LastVisitedCell_Item_choice_extension_id_tab,
        __LastVisitedCell_Item_choice_extension_id,
        ___LastVisitedCell_Item_choice_extension_criticality_tab,
        __LastVisitedCell_Item_choice_extension_criticality,
        ___LastVisitedCell_Item_choice_extension_value_tab,
        __LastVisitedCell_Item_choice_extension_value,
        _LastVisitedCell_Item_choice_extension,
        LastVisitedCell_Item,
        LastVisitedCell_Item_ExtIEs,
        LastVisitedEUTRANCellInformation,
        LastVisitedGERANCellInformation,
        LastVisitedNGRANCellInformation,
        LastVisitedUTRANCellInformation,
        LCID,
        Links_to_log,
        _ListOfCells__item_,
        ListOfCells,
        _CellsinAoI_Item_pLMN_Identity,
        _CellsinAoI_Item_ng_ran_cell_id,
        ____CellsinAoI_Item_iE_Extensions__item__id_tab,
        ___CellsinAoI_Item_iE_Extensions__item__id,
        ____CellsinAoI_Item_iE_Extensions__item__criticality_tab,
        ___CellsinAoI_Item_iE_Extensions__item__criticality,
        ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___CellsinAoI_Item_iE_Extensions__item__extensionValue,
        __CellsinAoI_Item_iE_Extensions__item_,
        _CellsinAoI_Item_iE_Extensions,
        CellsinAoI_Item,
        CellsinAoI_Item_ExtIEs,
        _ListOfRANNodesinAoI__item_,
        ListOfRANNodesinAoI,
        _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue,
        __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_,
        _GlobalNG_RANNodesinAoI_Item_iE_Extensions,
        GlobalNG_RANNodesinAoI_Item,
        GlobalNG_RANNodesinAoI_Item_ExtIEs,
        _ListOfTAIsinAoI__item_,
        ListOfTAIsinAoI,
        _TAIsinAoI_Item_pLMN_Identity,
        _TAIsinAoI_Item_tAC,
        ____TAIsinAoI_Item_iE_Extensions__item__id_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__id,
        ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__criticality,
        ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__extensionValue,
        __TAIsinAoI_Item_iE_Extensions__item_,
        _TAIsinAoI_Item_iE_Extensions,
        TAIsinAoI_Item,
        TAIsinAoI_Item_ExtIEs,
        LocationInformationSNReporting,
        _LocationReportingInformation_eventType,
        _LocationReportingInformation_reportArea,
        _LocationReportingInformation_areaOfInterest,
        ____LocationReportingInformation_iE_Extensions__item__id_tab,
        _____LocationReportingInformation_iE_Extensions__item__id_tab_val_Extension_0,
        ___LocationReportingInformation_iE_Extensions__item__id,
        ___LocationReportingInformation_iE_Extensions__item__criticality,
        ___LocationReportingInformation_iE_Extensions__item__extensionValue,
        __LocationReportingInformation_iE_Extensions__item_,
        _LocationReportingInformation_iE_Extensions,
        LocationReportingInformation,
        LocationReportingInformation_ExtIEs,
        _LocationReportingInformation_ExtIEs_val_Extension_0,
        _LoggedMDT_EUTRA_loggingInterval,
        _LoggedMDT_EUTRA_loggingDuration,
        _LoggedMDT_EUTRA_bluetoothMeasurementConfiguration,
        _LoggedMDT_EUTRA_wLANMeasurementConfiguration,
        ____LoggedMDT_EUTRA_iE_Extensions__item__id_tab,
        ___LoggedMDT_EUTRA_iE_Extensions__item__id,
        ____LoggedMDT_EUTRA_iE_Extensions__item__criticality_tab,
        ___LoggedMDT_EUTRA_iE_Extensions__item__criticality,
        ____LoggedMDT_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___LoggedMDT_EUTRA_iE_Extensions__item__extensionValue,
        __LoggedMDT_EUTRA_iE_Extensions__item_,
        _LoggedMDT_EUTRA_iE_Extensions,
        LoggedMDT_EUTRA,
        LoggedMDT_EUTRA_ExtIEs,
        _LoggedEventTriggeredConfig_eventTypeTrigger,
        ____LoggedEventTriggeredConfig_iE_Extensions__item__id_tab,
        ___LoggedEventTriggeredConfig_iE_Extensions__item__id,
        ____LoggedEventTriggeredConfig_iE_Extensions__item__criticality_tab,
        ___LoggedEventTriggeredConfig_iE_Extensions__item__criticality,
        ____LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue_tab,
        ___LoggedEventTriggeredConfig_iE_Extensions__item__extensionValue,
        __LoggedEventTriggeredConfig_iE_Extensions__item_,
        _LoggedEventTriggeredConfig_iE_Extensions,
        LoggedEventTriggeredConfig,
        LoggedEventTriggeredConfig_ExtIEs,
        _LoggedMDT_NR_loggingInterval,
        _LoggedMDT_NR_loggingDuration,
        _LoggedMDT_NR_reportType,
        _LoggedMDT_NR_bluetoothMeasurementConfiguration,
        _LoggedMDT_NR_wLANMeasurementConfiguration,
        _LoggedMDT_NR_sensorMeasurementConfiguration,
        _LoggedMDT_NR_areaScopeOfNeighCellsList,
        ____LoggedMDT_NR_iE_Extensions__item__id_tab,
        ___LoggedMDT_NR_iE_Extensions__item__id,
        ____LoggedMDT_NR_iE_Extensions__item__criticality_tab,
        ___LoggedMDT_NR_iE_Extensions__item__criticality,
        ____LoggedMDT_NR_iE_Extensions__item__extensionValue_tab,
        ___LoggedMDT_NR_iE_Extensions__item__extensionValue,
        __LoggedMDT_NR_iE_Extensions__item_,
        _LoggedMDT_NR_iE_Extensions,
        LoggedMDT_NR,
        LoggedMDT_NR_ExtIEs,
        LoggingInterval,
        LoggingDuration,
        LowerLayerPresenceStatusChange,
        _LTEV2XServicesAuthorized_vehicleUE,
        _LTEV2XServicesAuthorized_pedestrianUE,
        ____LTEV2XServicesAuthorized_iE_Extensions__item__id_tab,
        ___LTEV2XServicesAuthorized_iE_Extensions__item__id,
        ____LTEV2XServicesAuthorized_iE_Extensions__item__criticality_tab,
        ___LTEV2XServicesAuthorized_iE_Extensions__item__criticality,
        ____LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab,
        ___LTEV2XServicesAuthorized_iE_Extensions__item__extensionValue,
        __LTEV2XServicesAuthorized_iE_Extensions__item_,
        _LTEV2XServicesAuthorized_iE_Extensions,
        LTEV2XServicesAuthorized,
        LTEV2XServicesAuthorized_ExtIEs,
        _LTEUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate,
        ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab,
        ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id,
        ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab,
        ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality,
        ____LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab,
        ___LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue,
        __LTEUESidelinkAggregateMaximumBitRate_iE_Extensions__item_,
        _LTEUESidelinkAggregateMaximumBitRate_iE_Extensions,
        LTEUESidelinkAggregateMaximumBitRate,
        LTEUESidelinkAggregateMaximumBitRate_ExtIEs,
        _M1Configuration_m1reportingTrigger,
        _M1Configuration_m1thresholdeventA2,
        _M1Configuration_m1periodicReporting,
        ____M1Configuration_iE_Extensions__item__id_tab,
        ___M1Configuration_iE_Extensions__item__id,
        ____M1Configuration_iE_Extensions__item__criticality_tab,
        ___M1Configuration_iE_Extensions__item__criticality,
        ____M1Configuration_iE_Extensions__item__extensionValue_tab,
        ___M1Configuration_iE_Extensions__item__extensionValue,
        __M1Configuration_iE_Extensions__item_,
        _M1Configuration_iE_Extensions,
        M1Configuration,
        M1Configuration_ExtIEs,
        _M1PeriodicReporting_reportInterval,
        _M1PeriodicReporting_reportAmount,
        ____M1PeriodicReporting_iE_Extensions__item__id_tab,
        _____M1PeriodicReporting_iE_Extensions__item__id_tab_val_Extension_0,
        ___M1PeriodicReporting_iE_Extensions__item__id,
        ___M1PeriodicReporting_iE_Extensions__item__criticality,
        ___M1PeriodicReporting_iE_Extensions__item__extensionValue,
        __M1PeriodicReporting_iE_Extensions__item_,
        _M1PeriodicReporting_iE_Extensions,
        M1PeriodicReporting,
        M1PeriodicReporting_ExtIEs,
        _M1PeriodicReporting_ExtIEs_val_Extension_0,
        M1ReportingTrigger,
        _M1ThresholdEventA2_measurementThreshold,
        ____M1ThresholdEventA2_iE_Extensions__item__id_tab,
        ___M1ThresholdEventA2_iE_Extensions__item__id,
        ____M1ThresholdEventA2_iE_Extensions__item__criticality_tab,
        ___M1ThresholdEventA2_iE_Extensions__item__criticality,
        ____M1ThresholdEventA2_iE_Extensions__item__extensionValue_tab,
        ___M1ThresholdEventA2_iE_Extensions__item__extensionValue,
        __M1ThresholdEventA2_iE_Extensions__item_,
        _M1ThresholdEventA2_iE_Extensions,
        M1ThresholdEventA2,
        M1ThresholdEventA2_ExtIEs,
        _M4Configuration_m4period,
        _M4Configuration_m4_links_to_log,
        ____M4Configuration_iE_Extensions__item__id_tab,
        ___M4Configuration_iE_Extensions__item__id,
        ____M4Configuration_iE_Extensions__item__criticality_tab,
        ___M4Configuration_iE_Extensions__item__criticality,
        ____M4Configuration_iE_Extensions__item__extensionValue_tab,
        ___M4Configuration_iE_Extensions__item__extensionValue,
        __M4Configuration_iE_Extensions__item_,
        _M4Configuration_iE_Extensions,
        M4Configuration,
        M4Configuration_ExtIEs,
        M4period,
        _M5Configuration_m5period,
        _M5Configuration_m5_links_to_log,
        ____M5Configuration_iE_Extensions__item__id_tab,
        ___M5Configuration_iE_Extensions__item__id,
        ____M5Configuration_iE_Extensions__item__criticality_tab,
        ___M5Configuration_iE_Extensions__item__criticality,
        ____M5Configuration_iE_Extensions__item__extensionValue_tab,
        ___M5Configuration_iE_Extensions__item__extensionValue,
        __M5Configuration_iE_Extensions__item_,
        _M5Configuration_iE_Extensions,
        M5Configuration,
        M5Configuration_ExtIEs,
        M5period,
        _M6Configuration_m6report_Interval,
        _M6Configuration_m6_links_to_log,
        ____M6Configuration_iE_Extensions__item__id_tab,
        ___M6Configuration_iE_Extensions__item__id,
        ____M6Configuration_iE_Extensions__item__criticality_tab,
        ___M6Configuration_iE_Extensions__item__criticality,
        ____M6Configuration_iE_Extensions__item__extensionValue_tab,
        ___M6Configuration_iE_Extensions__item__extensionValue,
        __M6Configuration_iE_Extensions__item_,
        _M6Configuration_iE_Extensions,
        M6Configuration,
        M6Configuration_ExtIEs,
        M6report_Interval,
        _M7Configuration_m7period,
        _M7Configuration_m7_links_to_log,
        ____M7Configuration_iE_Extensions__item__id_tab,
        ___M7Configuration_iE_Extensions__item__id,
        ____M7Configuration_iE_Extensions__item__criticality_tab,
        ___M7Configuration_iE_Extensions__item__criticality,
        ____M7Configuration_iE_Extensions__item__extensionValue_tab,
        ___M7Configuration_iE_Extensions__item__extensionValue,
        __M7Configuration_iE_Extensions__item_,
        _M7Configuration_iE_Extensions,
        M7Configuration,
        M7Configuration_ExtIEs,
        M7period,
        MAC_I,
        MaskedIMEISV,
        MaxCHOpreparations,
        MaximumDataBurstVolume,
        _MaximumIPdatarate_maxIPrate_UL,
        ____MaximumIPdatarate_iE_Extensions__item__id_tab,
        _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0,
        ___MaximumIPdatarate_iE_Extensions__item__id,
        ___MaximumIPdatarate_iE_Extensions__item__criticality,
        ___MaximumIPdatarate_iE_Extensions__item__extensionValue,
        __MaximumIPdatarate_iE_Extensions__item_,
        _MaximumIPdatarate_iE_Extensions,
        MaximumIPdatarate,
        MaximumIPdatarate_ExtIEs,
        _MaximumIPdatarate_ExtIEs_val_Extension_0,
        MaxIPrate,
        MBSFNControlRegionLength,
        _MBSFNSubframeAllocation_E_UTRA_oneframe,
        _MBSFNSubframeAllocation_E_UTRA_fourframes,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_id,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_value,
        _MBSFNSubframeAllocation_E_UTRA_choice_extension,
        MBSFNSubframeAllocation_E_UTRA,
        MBSFNSubframeAllocation_E_UTRA_ExtIEs,
        _MBSFNSubframeInfo_E_UTRA__item_,
        MBSFNSubframeInfo_E_UTRA,
        _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod,
        _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset,
        _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_,
        _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions,
        MBSFNSubframeInfo_E_UTRA_Item,
        MBSFNSubframeInfo_E_UTRA_Item_ExtIEs,
        MDT_Activation,
        _MDT_Configuration_mDT_Configuration_NR,
        _MDT_Configuration_mDT_Configuration_EUTRA,
        ____MDT_Configuration_iE_Extensions__item__id_tab,
        ___MDT_Configuration_iE_Extensions__item__id,
        ____MDT_Configuration_iE_Extensions__item__criticality_tab,
        ___MDT_Configuration_iE_Extensions__item__criticality,
        ____MDT_Configuration_iE_Extensions__item__extensionValue_tab,
        ___MDT_Configuration_iE_Extensions__item__extensionValue,
        __MDT_Configuration_iE_Extensions__item_,
        _MDT_Configuration_iE_Extensions,
        MDT_Configuration,
        MDT_Configuration_ExtIEs,
        _MDT_Configuration_NR_mdt_Activation,
        _MDT_Configuration_NR_areaScopeOfMDT_NR,
        _MDT_Configuration_NR_mDTMode_NR,
        _MDT_Configuration_NR_signallingBasedMDTPLMNList,
        ____MDT_Configuration_NR_iE_Extensions__item__id_tab,
        ___MDT_Configuration_NR_iE_Extensions__item__id,
        ____MDT_Configuration_NR_iE_Extensions__item__criticality_tab,
        ___MDT_Configuration_NR_iE_Extensions__item__criticality,
        ____MDT_Configuration_NR_iE_Extensions__item__extensionValue_tab,
        ___MDT_Configuration_NR_iE_Extensions__item__extensionValue,
        __MDT_Configuration_NR_iE_Extensions__item_,
        _MDT_Configuration_NR_iE_Extensions,
        MDT_Configuration_NR,
        MDT_Configuration_NR_ExtIEs,
        _MDT_Configuration_EUTRA_mdt_Activation,
        _MDT_Configuration_EUTRA_areaScopeOfMDT_EUTRA,
        _MDT_Configuration_EUTRA_mDTMode_EUTRA,
        _MDT_Configuration_EUTRA_signallingBasedMDTPLMNList,
        ____MDT_Configuration_EUTRA_iE_Extensions__item__id_tab,
        ___MDT_Configuration_EUTRA_iE_Extensions__item__id,
        ____MDT_Configuration_EUTRA_iE_Extensions__item__criticality_tab,
        ___MDT_Configuration_EUTRA_iE_Extensions__item__criticality,
        ____MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___MDT_Configuration_EUTRA_iE_Extensions__item__extensionValue,
        __MDT_Configuration_EUTRA_iE_Extensions__item_,
        _MDT_Configuration_EUTRA_iE_Extensions,
        MDT_Configuration_EUTRA,
        MDT_Configuration_EUTRA_ExtIEs,
        MDT_Location_Info,
        _MDTPLMNList__item_,
        MDTPLMNList,
        _MDTMode_NR_immediateMDT,
        _MDTMode_NR_loggedMDT,
        _MDTMode_NR_mDTMode_NR_Extension,
        MDTMode_NR,
        __MDTMode_NR_Extension_id_tab,
        _MDTMode_NR_Extension_id,
        __MDTMode_NR_Extension_criticality_tab,
        _MDTMode_NR_Extension_criticality,
        __MDTMode_NR_Extension_value_tab,
        _MDTMode_NR_Extension_value,
        MDTMode_NR_Extension,
        MDTMode_NR_ExtensionIE,
        _MDTMode_EUTRA_immediateMDT,
        _MDTMode_EUTRA_loggedMDT,
        _MDTMode_EUTRA_mDTMode_EUTRA_Extension,
        MDTMode_EUTRA,
        __MDTMode_EUTRA_Extension_id_tab,
        _MDTMode_EUTRA_Extension_id,
        __MDTMode_EUTRA_Extension_criticality_tab,
        _MDTMode_EUTRA_Extension_criticality,
        __MDTMode_EUTRA_Extension_value_tab,
        _MDTMode_EUTRA_Extension_value,
        MDTMode_EUTRA_Extension,
        MDTMode_EUTRA_ExtensionIE,
        MeasurementsToActivate,
        _MeasurementThresholdA2_threshold_RSRP,
        _MeasurementThresholdA2_threshold_RSRQ,
        _MeasurementThresholdA2_threshold_SINR,
        ___MeasurementThresholdA2_choice_extension_id_tab,
        __MeasurementThresholdA2_choice_extension_id,
        ___MeasurementThresholdA2_choice_extension_criticality_tab,
        __MeasurementThresholdA2_choice_extension_criticality,
        ___MeasurementThresholdA2_choice_extension_value_tab,
        __MeasurementThresholdA2_choice_extension_value,
        _MeasurementThresholdA2_choice_extension,
        MeasurementThresholdA2,
        MeasurementThresholdA2_ExtIEs,
        Measurement_ID,
        MobilityInformation,
        _MobilityParametersModificationRange_handoverTriggerChangeLowerLimit,
        _MobilityParametersModificationRange_handoverTriggerChangeUpperLimit,
        MobilityParametersModificationRange,
        _MobilityParametersInformation_handoverTriggerChange,
        MobilityParametersInformation,
        _MobilityRestrictionList_serving_PLMN,
        __MobilityRestrictionList_equivalent_PLMNs__item_,
        _MobilityRestrictionList_equivalent_PLMNs,
        _MobilityRestrictionList_rat_Restrictions,
        _MobilityRestrictionList_forbiddenAreaInformation,
        _MobilityRestrictionList_serviceAreaInformation,
        ____MobilityRestrictionList_iE_Extensions__item__id_tab,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_3,
        ___MobilityRestrictionList_iE_Extensions__item__id,
        ___MobilityRestrictionList_iE_Extensions__item__criticality,
        ___MobilityRestrictionList_iE_Extensions__item__extensionValue,
        __MobilityRestrictionList_iE_Extensions__item_,
        _MobilityRestrictionList_iE_Extensions,
        MobilityRestrictionList,
        MobilityRestrictionList_ExtIEs,
        _MobilityRestrictionList_ExtIEs_val_Extension_0,
        _MobilityRestrictionList_ExtIEs_val_Extension_1,
        _MobilityRestrictionList_ExtIEs_val_Extension_2,
        _MobilityRestrictionList_ExtIEs_val_Extension_3,
        _CNTypeRestrictionsForEquivalent__item_,
        CNTypeRestrictionsForEquivalent,
        _CNTypeRestrictionsForEquivalentItem_plmn_Identity,
        _CNTypeRestrictionsForEquivalentItem_cn_Type,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue,
        __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_,
        _CNTypeRestrictionsForEquivalentItem_iE_Extensions,
        CNTypeRestrictionsForEquivalentItem,
        CNTypeRestrictionsForEquivalentItem_ExtIEs,
        CNTypeRestrictionsForServing,
        _RAT_RestrictionsList__item_,
        RAT_RestrictionsList,
        _RAT_RestrictionsItem_plmn_Identity,
        _RAT_RestrictionsItem_rat_RestrictionInformation,
        ____RAT_RestrictionsItem_iE_Extensions__item__id_tab,
        _____RAT_RestrictionsItem_iE_Extensions__item__id_tab_val_Extension_0,
        ___RAT_RestrictionsItem_iE_Extensions__item__id,
        ___RAT_RestrictionsItem_iE_Extensions__item__criticality,
        ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue,
        __RAT_RestrictionsItem_iE_Extensions__item_,
        _RAT_RestrictionsItem_iE_Extensions,
        RAT_RestrictionsItem,
        RAT_RestrictionsItem_ExtIEs,
        _RAT_RestrictionsItem_ExtIEs_val_Extension_0,
        RAT_RestrictionInformation,
        _ForbiddenAreaList__item_,
        ForbiddenAreaList,
        _ForbiddenAreaItem_plmn_Identity,
        __ForbiddenAreaItem_forbidden_TACs__item_,
        _ForbiddenAreaItem_forbidden_TACs,
        ____ForbiddenAreaItem_iE_Extensions__item__id_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__id,
        ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__criticality,
        ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__extensionValue,
        __ForbiddenAreaItem_iE_Extensions__item_,
        _ForbiddenAreaItem_iE_Extensions,
        ForbiddenAreaItem,
        ForbiddenAreaItem_ExtIEs,
        _ServiceAreaList__item_,
        ServiceAreaList,
        _ServiceAreaItem_plmn_Identity,
        __ServiceAreaItem_allowed_TACs_ServiceArea__item_,
        _ServiceAreaItem_allowed_TACs_ServiceArea,
        __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_,
        _ServiceAreaItem_not_allowed_TACs_ServiceArea,
        ____ServiceAreaItem_iE_Extensions__item__id_tab,
        ___ServiceAreaItem_iE_Extensions__item__id,
        ____ServiceAreaItem_iE_Extensions__item__criticality_tab,
        ___ServiceAreaItem_iE_Extensions__item__criticality,
        ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab,
        ___ServiceAreaItem_iE_Extensions__item__extensionValue,
        __ServiceAreaItem_iE_Extensions__item_,
        _ServiceAreaItem_iE_Extensions,
        ServiceAreaItem,
        ServiceAreaItem_ExtIEs,
        _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __MR_DC_ResourceCoordinationInfo_iE_Extension__item_,
        _MR_DC_ResourceCoordinationInfo_iE_Extension,
        MR_DC_ResourceCoordinationInfo,
        MR_DC_ResourceCoordinationInfo_ExtIEs,
        _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info,
        _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info,
        NG_RAN_Node_ResourceCoordinationInfo,
        _E_UTRA_ResourceCoordinationInfo_e_utra_cell,
        _E_UTRA_ResourceCoordinationInfo_ul_coordination_info,
        _E_UTRA_ResourceCoordinationInfo_dl_coordination_info,
        _E_UTRA_ResourceCoordinationInfo_nr_cell,
        _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_,
        _E_UTRA_ResourceCoordinationInfo_iE_Extension,
        E_UTRA_ResourceCoordinationInfo,
        E_UTRA_ResourceCoordinationInfo_ExtIEs,
        E_UTRA_CoordinationAssistanceInfo,
        _NR_ResourceCoordinationInfo_nr_cell,
        _NR_ResourceCoordinationInfo_ul_coordination_info,
        _NR_ResourceCoordinationInfo_dl_coordination_info,
        _NR_ResourceCoordinationInfo_e_utra_cell,
        _NR_ResourceCoordinationInfo_nr_coordination_assistance_info,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__id,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __NR_ResourceCoordinationInfo_iE_Extension__item_,
        _NR_ResourceCoordinationInfo_iE_Extension,
        NR_ResourceCoordinationInfo,
        NR_ResourceCoordinationInfo_ExtIEs,
        NR_CoordinationAssistanceInfo,
        _MessageOversizeNotification_maximumCellListSize,
        ____MessageOversizeNotification_iE_Extension__item__id_tab,
        ___MessageOversizeNotification_iE_Extension__item__id,
        ____MessageOversizeNotification_iE_Extension__item__criticality_tab,
        ___MessageOversizeNotification_iE_Extension__item__criticality,
        ____MessageOversizeNotification_iE_Extension__item__extensionValue_tab,
        ___MessageOversizeNotification_iE_Extension__item__extensionValue,
        __MessageOversizeNotification_iE_Extension__item_,
        _MessageOversizeNotification_iE_Extension,
        MessageOversizeNotification,
        MessageOversizeNotification_ExtIEs,
        MaximumCellListSize,
        NBIoT_UL_DL_AlignmentOffset,
        _NE_DC_TDM_Pattern_subframeAssignment,
        _NE_DC_TDM_Pattern_harqOffset,
        ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__id,
        ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__criticality,
        ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue,
        __NE_DC_TDM_Pattern_iE_Extension__item_,
        _NE_DC_TDM_Pattern_iE_Extension,
        NE_DC_TDM_Pattern,
        NE_DC_TDM_Pattern_ExtIEs,
        _NeighbourInformation_E_UTRA__item_,
        NeighbourInformation_E_UTRA,
        _NeighbourInformation_E_UTRA_Item_e_utra_PCI,
        _NeighbourInformation_E_UTRA_Item_e_utra_cgi,
        _NeighbourInformation_E_UTRA_Item_earfcn,
        _NeighbourInformation_E_UTRA_Item_tac,
        _NeighbourInformation_E_UTRA_Item_ranac,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_,
        _NeighbourInformation_E_UTRA_Item_iE_Extensions,
        NeighbourInformation_E_UTRA_Item,
        NeighbourInformation_E_UTRA_Item_ExtIEs,
        _NeighbourInformation_NR__item_,
        NeighbourInformation_NR,
        _NeighbourInformation_NR_Item_nr_PCI,
        _NeighbourInformation_NR_Item_nr_cgi,
        _NeighbourInformation_NR_Item_tac,
        _NeighbourInformation_NR_Item_ranac,
        _NeighbourInformation_NR_Item_nr_mode_info,
        _NeighbourInformation_NR_Item_connectivitySupport,
        _NeighbourInformation_NR_Item_measurementTimingConfiguration,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__id,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue,
        __NeighbourInformation_NR_Item_iE_Extensions__item_,
        _NeighbourInformation_NR_Item_iE_Extensions,
        NeighbourInformation_NR_Item,
        NeighbourInformation_NR_Item_ExtIEs,
        _NeighbourInformation_NR_ModeInfo_fdd_info,
        _NeighbourInformation_NR_ModeInfo_tdd_info,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_id,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_criticality,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_value,
        _NeighbourInformation_NR_ModeInfo_choice_extension,
        NeighbourInformation_NR_ModeInfo,
        NeighbourInformation_NR_ModeInfo_ExtIEs,
        _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo,
        _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue,
        __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_,
        _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions,
        NeighbourInformation_NR_ModeFDDInfo,
        NeighbourInformation_NR_ModeFDDInfo_ExtIEs,
        _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue,
        __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_,
        _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions,
        NeighbourInformation_NR_ModeTDDInfo,
        NeighbourInformation_NR_ModeTDDInfo_ExtIEs,
        NID,
        _NRCarrierList__item_,
        NRCarrierList,
        _NRCarrierItem_carrierSCS,
        _NRCarrierItem_offsetToCarrier,
        _NRCarrierItem_carrierBandwidth,
        ____NRCarrierItem_iE_Extension__item__id_tab,
        ___NRCarrierItem_iE_Extension__item__id,
        ____NRCarrierItem_iE_Extension__item__criticality_tab,
        ___NRCarrierItem_iE_Extension__item__criticality,
        ____NRCarrierItem_iE_Extension__item__extensionValue_tab,
        ___NRCarrierItem_iE_Extension__item__extensionValue,
        __NRCarrierItem_iE_Extension__item_,
        _NRCarrierItem_iE_Extension,
        NRCarrierItem,
        NRCarrierItem_ExtIEs,
        NRCellPRACHConfig,
        _NG_RAN_Cell_Identity_nr,
        _NG_RAN_Cell_Identity_e_utra,
        ___NG_RAN_Cell_Identity_choice_extension_id_tab,
        __NG_RAN_Cell_Identity_choice_extension_id,
        ___NG_RAN_Cell_Identity_choice_extension_criticality_tab,
        __NG_RAN_Cell_Identity_choice_extension_criticality,
        ___NG_RAN_Cell_Identity_choice_extension_value_tab,
        __NG_RAN_Cell_Identity_choice_extension_value,
        _NG_RAN_Cell_Identity_choice_extension,
        NG_RAN_Cell_Identity,
        NG_RAN_Cell_Identity_ExtIEs,
        _NG_RAN_CellPCI_nr,
        _NG_RAN_CellPCI_e_utra,
        ___NG_RAN_CellPCI_choice_extension_id_tab,
        __NG_RAN_CellPCI_choice_extension_id,
        ___NG_RAN_CellPCI_choice_extension_criticality_tab,
        __NG_RAN_CellPCI_choice_extension_criticality,
        ___NG_RAN_CellPCI_choice_extension_value_tab,
        __NG_RAN_CellPCI_choice_extension_value,
        _NG_RAN_CellPCI_choice_extension,
        NG_RAN_CellPCI,
        NG_RAN_CellPCI_ExtIEs,
        NG_RANnodeUEXnAPID,
        NumberofActiveUEs,
        NoofRRCConnections,
        _NonDynamic5QIDescriptor_fiveQI,
        _NonDynamic5QIDescriptor_priorityLevelQoS,
        _NonDynamic5QIDescriptor_averagingWindow,
        _NonDynamic5QIDescriptor_maximumDataBurstVolume,
        ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab,
        _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_0,
        _____NonDynamic5QIDescriptor_iE_Extension__item__id_tab_val_Extension_1,
        ___NonDynamic5QIDescriptor_iE_Extension__item__id,
        ___NonDynamic5QIDescriptor_iE_Extension__item__criticality,
        ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue,
        __NonDynamic5QIDescriptor_iE_Extension__item_,
        _NonDynamic5QIDescriptor_iE_Extension,
        NonDynamic5QIDescriptor,
        NonDynamic5QIDescriptor_ExtIEs,
        _NonDynamic5QIDescriptor_ExtIEs_val_Extension_0,
        _NonDynamic5QIDescriptor_ExtIEs_val_Extension_1,
        NRARFCN,
        _NG_eNB_RadioResourceStatus_dL_GBR_PRB_usage,
        _NG_eNB_RadioResourceStatus_uL_GBR_PRB_usage,
        _NG_eNB_RadioResourceStatus_dL_non_GBR_PRB_usage,
        _NG_eNB_RadioResourceStatus_uL_non_GBR_PRB_usage,
        _NG_eNB_RadioResourceStatus_dL_Total_PRB_usage,
        _NG_eNB_RadioResourceStatus_uL_Total_PRB_usage,
        ____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab,
        _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_0,
        _____NG_eNB_RadioResourceStatus_iE_Extensions__item__id_tab_val_Extension_1,
        ___NG_eNB_RadioResourceStatus_iE_Extensions__item__id,
        ___NG_eNB_RadioResourceStatus_iE_Extensions__item__criticality,
        ___NG_eNB_RadioResourceStatus_iE_Extensions__item__extensionValue,
        __NG_eNB_RadioResourceStatus_iE_Extensions__item_,
        _NG_eNB_RadioResourceStatus_iE_Extensions,
        NG_eNB_RadioResourceStatus,
        NG_eNB_RadioResourceStatus_ExtIEs,
        _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_0,
        _NG_eNB_RadioResourceStatus_ExtIEs_val_Extension_1,
        DL_scheduling_PDCCH_CCE_usage,
        UL_scheduling_PDCCH_CCE_usage,
        _TNLCapacityIndicator_dLTNLOfferedCapacity,
        _TNLCapacityIndicator_dLTNLAvailableCapacity,
        _TNLCapacityIndicator_uLTNLOfferedCapacity,
        _TNLCapacityIndicator_uLTNLAvailableCapacity,
        ____TNLCapacityIndicator_iE_Extensions__item__id_tab,
        ___TNLCapacityIndicator_iE_Extensions__item__id,
        ____TNLCapacityIndicator_iE_Extensions__item__criticality_tab,
        ___TNLCapacityIndicator_iE_Extensions__item__criticality,
        ____TNLCapacityIndicator_iE_Extensions__item__extensionValue_tab,
        ___TNLCapacityIndicator_iE_Extensions__item__extensionValue,
        __TNLCapacityIndicator_iE_Extensions__item_,
        _TNLCapacityIndicator_iE_Extensions,
        TNLCapacityIndicator,
        TNLCapacityIndicator_ExtIEs,
        _NPN_Broadcast_Information_snpn_Information,
        _NPN_Broadcast_Information_pni_npn_Information,
        ___NPN_Broadcast_Information_choice_extension_id_tab,
        __NPN_Broadcast_Information_choice_extension_id,
        ___NPN_Broadcast_Information_choice_extension_criticality_tab,
        __NPN_Broadcast_Information_choice_extension_criticality,
        ___NPN_Broadcast_Information_choice_extension_value_tab,
        __NPN_Broadcast_Information_choice_extension_value,
        _NPN_Broadcast_Information_choice_extension,
        NPN_Broadcast_Information,
        NPN_Broadcast_Information_ExtIEs,
        _NPN_Broadcast_Information_SNPN_broadcastSNPNID_List,
        ____NPN_Broadcast_Information_SNPN_iE_Extension__item__id_tab,
        ___NPN_Broadcast_Information_SNPN_iE_Extension__item__id,
        ____NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality_tab,
        ___NPN_Broadcast_Information_SNPN_iE_Extension__item__criticality,
        ____NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue_tab,
        ___NPN_Broadcast_Information_SNPN_iE_Extension__item__extensionValue,
        __NPN_Broadcast_Information_SNPN_iE_Extension__item_,
        _NPN_Broadcast_Information_SNPN_iE_Extension,
        NPN_Broadcast_Information_SNPN,
        NPN_Broadcast_Information_SNPN_ExtIEs,
        _NPN_Broadcast_Information_PNI_NPN_broadcastPNI_NPN_ID_Information,
        ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id_tab,
        ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__id,
        ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality_tab,
        ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__criticality,
        ____NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue_tab,
        ___NPN_Broadcast_Information_PNI_NPN_iE_Extension__item__extensionValue,
        __NPN_Broadcast_Information_PNI_NPN_iE_Extension__item_,
        _NPN_Broadcast_Information_PNI_NPN_iE_Extension,
        NPN_Broadcast_Information_PNI_NPN,
        NPN_Broadcast_Information_PNI_NPN_ExtIEs,
        _NPNMobilityInformation_snpn_mobility_information,
        _NPNMobilityInformation_pni_npn_mobility_information,
        ___NPNMobilityInformation_choice_extension_id_tab,
        __NPNMobilityInformation_choice_extension_id,
        ___NPNMobilityInformation_choice_extension_criticality_tab,
        __NPNMobilityInformation_choice_extension_criticality,
        ___NPNMobilityInformation_choice_extension_value_tab,
        __NPNMobilityInformation_choice_extension_value,
        _NPNMobilityInformation_choice_extension,
        NPNMobilityInformation,
        NPNMobilityInformation_ExtIEs,
        _NPNMobilityInformation_SNPN_serving_NID,
        ____NPNMobilityInformation_SNPN_iE_Extension__item__id_tab,
        ___NPNMobilityInformation_SNPN_iE_Extension__item__id,
        ____NPNMobilityInformation_SNPN_iE_Extension__item__criticality_tab,
        ___NPNMobilityInformation_SNPN_iE_Extension__item__criticality,
        ____NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue_tab,
        ___NPNMobilityInformation_SNPN_iE_Extension__item__extensionValue,
        __NPNMobilityInformation_SNPN_iE_Extension__item_,
        _NPNMobilityInformation_SNPN_iE_Extension,
        NPNMobilityInformation_SNPN,
        NPNMobilityInformation_SNPN_ExtIEs,
        _NPNMobilityInformation_PNI_NPN_allowedPNI_NPN_ID_List,
        ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__id_tab,
        ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__id,
        ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality_tab,
        ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__criticality,
        ____NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue_tab,
        ___NPNMobilityInformation_PNI_NPN_iE_Extension__item__extensionValue,
        __NPNMobilityInformation_PNI_NPN_iE_Extension__item_,
        _NPNMobilityInformation_PNI_NPN_iE_Extension,
        NPNMobilityInformation_PNI_NPN,
        NPNMobilityInformation_PNI_NPN_ExtIEs,
        _NPNPagingAssistanceInformation_pni_npn_Information,
        ___NPNPagingAssistanceInformation_choice_extension_id_tab,
        __NPNPagingAssistanceInformation_choice_extension_id,
        ___NPNPagingAssistanceInformation_choice_extension_criticality_tab,
        __NPNPagingAssistanceInformation_choice_extension_criticality,
        ___NPNPagingAssistanceInformation_choice_extension_value_tab,
        __NPNPagingAssistanceInformation_choice_extension_value,
        _NPNPagingAssistanceInformation_choice_extension,
        NPNPagingAssistanceInformation,
        NPNPagingAssistanceInformation_ExtIEs,
        _NPNPagingAssistanceInformation_PNI_NPN_allowedPNI_NPN_ID_List,
        ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id_tab,
        ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__id,
        ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality_tab,
        ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__criticality,
        ____NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue_tab,
        ___NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item__extensionValue,
        __NPNPagingAssistanceInformation_PNI_NPN_iE_Extension__item_,
        _NPNPagingAssistanceInformation_PNI_NPN_iE_Extension,
        NPNPagingAssistanceInformation_PNI_NPN,
        NPNPagingAssistanceInformation_PNI_NPN_ExtIEs,
        _NPN_Support_sNPN,
        ___NPN_Support_choice_Extensions_id_tab,
        __NPN_Support_choice_Extensions_id,
        ___NPN_Support_choice_Extensions_criticality_tab,
        __NPN_Support_choice_Extensions_criticality,
        ___NPN_Support_choice_Extensions_value_tab,
        __NPN_Support_choice_Extensions_value,
        _NPN_Support_choice_Extensions,
        NPN_Support,
        NPN_Support_ExtIEs,
        _NPN_Support_SNPN_nid,
        ____NPN_Support_SNPN_ie_Extension__item__id_tab,
        ___NPN_Support_SNPN_ie_Extension__item__id,
        ____NPN_Support_SNPN_ie_Extension__item__criticality_tab,
        ___NPN_Support_SNPN_ie_Extension__item__criticality,
        ____NPN_Support_SNPN_ie_Extension__item__extensionValue_tab,
        ___NPN_Support_SNPN_ie_Extension__item__extensionValue,
        __NPN_Support_SNPN_ie_Extension__item_,
        _NPN_Support_SNPN_ie_Extension,
        NPN_Support_SNPN,
        NPN_Support_SNPN_ExtIEs,
        __NPRACHConfiguration_fdd_or_tdd_fdd,
        __NPRACHConfiguration_fdd_or_tdd_tdd,
        ____NPRACHConfiguration_fdd_or_tdd_choice_extension_id_tab,
        ___NPRACHConfiguration_fdd_or_tdd_choice_extension_id,
        ____NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality_tab,
        ___NPRACHConfiguration_fdd_or_tdd_choice_extension_criticality,
        ____NPRACHConfiguration_fdd_or_tdd_choice_extension_value_tab,
        ___NPRACHConfiguration_fdd_or_tdd_choice_extension_value,
        __NPRACHConfiguration_fdd_or_tdd_choice_extension,
        _NPRACHConfiguration_fdd_or_tdd,
        ____NPRACHConfiguration_iE_Extensions__item__id_tab,
        ___NPRACHConfiguration_iE_Extensions__item__id,
        ____NPRACHConfiguration_iE_Extensions__item__criticality_tab,
        ___NPRACHConfiguration_iE_Extensions__item__criticality,
        ____NPRACHConfiguration_iE_Extensions__item__extensionValue_tab,
        ___NPRACHConfiguration_iE_Extensions__item__extensionValue,
        __NPRACHConfiguration_iE_Extensions__item_,
        _NPRACHConfiguration_iE_Extensions,
        NPRACHConfiguration,
        NPRACHConfiguration_ExtIEs,
        FDD_or_TDD_in_NPRACHConfiguration_Choice_ExtIEs,
        _NPRACHConfiguration_FDD_nprach_CP_length,
        _NPRACHConfiguration_FDD_anchorCarrier_NPRACHConfig,
        _NPRACHConfiguration_FDD_anchorCarrier_EDT_NPRACHConfig,
        _NPRACHConfiguration_FDD_anchorCarrier_Format2_NPRACHConfig,
        _NPRACHConfiguration_FDD_anchorCarrier_Format2_EDT_NPRACHConfig,
        _NPRACHConfiguration_FDD_non_anchorCarrier_NPRACHConfig,
        _NPRACHConfiguration_FDD_non_anchorCarrier_Format2_NPRACHConfig,
        ____NPRACHConfiguration_FDD_iE_Extensions__item__id_tab,
        ___NPRACHConfiguration_FDD_iE_Extensions__item__id,
        ____NPRACHConfiguration_FDD_iE_Extensions__item__criticality_tab,
        ___NPRACHConfiguration_FDD_iE_Extensions__item__criticality,
        ____NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue_tab,
        ___NPRACHConfiguration_FDD_iE_Extensions__item__extensionValue,
        __NPRACHConfiguration_FDD_iE_Extensions__item_,
        _NPRACHConfiguration_FDD_iE_Extensions,
        NPRACHConfiguration_FDD,
        NPRACHConfiguration_FDD_ExtIEs,
        _NPRACHConfiguration_TDD_nprach_preambleFormat,
        _NPRACHConfiguration_TDD_anchorCarrier_NPRACHConfigTDD,
        _NPRACHConfiguration_TDD_non_anchorCarrierFequencyConfiglist,
        _NPRACHConfiguration_TDD_non_anchorCarrier_NPRACHConfigTDD,
        ____NPRACHConfiguration_TDD_iE_Extensions__item__id_tab,
        ___NPRACHConfiguration_TDD_iE_Extensions__item__id,
        ____NPRACHConfiguration_TDD_iE_Extensions__item__criticality_tab,
        ___NPRACHConfiguration_TDD_iE_Extensions__item__criticality,
        ____NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue_tab,
        ___NPRACHConfiguration_TDD_iE_Extensions__item__extensionValue,
        __NPRACHConfiguration_TDD_iE_Extensions__item_,
        _NPRACHConfiguration_TDD_iE_Extensions,
        NPRACHConfiguration_TDD,
        NPRACHConfiguration_TDD_ExtIEs,
        NPRACH_CP_Length,
        NPRACH_preambleFormat,
        __Non_AnchorCarrierFrequencylist__item__non_anchorCarrierFrquency,
        _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id_tab,
        ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__id,
        _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality_tab,
        ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__criticality,
        _____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue_tab,
        ____Non_AnchorCarrierFrequencylist__item__iE_Extensions__item__extensionValue,
        ___Non_AnchorCarrierFrequencylist__item__iE_Extensions__item_,
        __Non_AnchorCarrierFrequencylist__item__iE_Extensions,
        _Non_AnchorCarrierFrequencylist__item_,
        Non_AnchorCarrierFrequencylist,
        Non_AnchorCarrierFrequencylist_ExtIEs,
        NR_Cell_Identity,
        _NG_RAN_Cell_Identity_ListinRANPagingArea__item_,
        NG_RAN_Cell_Identity_ListinRANPagingArea,
        _NR_CGI_plmn_id,
        _NR_CGI_nr_CI,
        ____NR_CGI_iE_Extension__item__id_tab,
        ___NR_CGI_iE_Extension__item__id,
        ____NR_CGI_iE_Extension__item__criticality_tab,
        ___NR_CGI_iE_Extension__item__criticality,
        ____NR_CGI_iE_Extension__item__extensionValue_tab,
        ___NR_CGI_iE_Extension__item__extensionValue,
        __NR_CGI_iE_Extension__item_,
        _NR_CGI_iE_Extension,
        NR_CGI,
        NR_CGI_ExtIEs,
        NRCyclicPrefix,
        NRDL_ULTransmissionPeriodicity,
        NRFrequencyBand,
        _NRFrequencyBand_List__item_,
        NRFrequencyBand_List,
        _NRFrequencyBandItem_nr_frequency_band,
        _NRFrequencyBandItem_supported_SUL_Band_List,
        ____NRFrequencyBandItem_iE_Extension__item__id_tab,
        ___NRFrequencyBandItem_iE_Extension__item__id,
        ____NRFrequencyBandItem_iE_Extension__item__criticality_tab,
        ___NRFrequencyBandItem_iE_Extension__item__criticality,
        ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab,
        ___NRFrequencyBandItem_iE_Extension__item__extensionValue,
        __NRFrequencyBandItem_iE_Extension__item_,
        _NRFrequencyBandItem_iE_Extension,
        NRFrequencyBandItem,
        NRFrequencyBandItem_ExtIEs,
        _NRFrequencyInfo_nrARFCN,
        _NRFrequencyInfo_sul_information,
        _NRFrequencyInfo_frequencyBand_List,
        ____NRFrequencyInfo_iE_Extension__item__id_tab,
        _____NRFrequencyInfo_iE_Extension__item__id_tab_val_Extension_0,
        ___NRFrequencyInfo_iE_Extension__item__id,
        ___NRFrequencyInfo_iE_Extension__item__criticality,
        ___NRFrequencyInfo_iE_Extension__item__extensionValue,
        __NRFrequencyInfo_iE_Extension__item_,
        _NRFrequencyInfo_iE_Extension,
        NRFrequencyInfo,
        NRFrequencyInfo_ExtIEs,
        _NRFrequencyInfo_ExtIEs_val_Extension_0,
        NRMobilityHistoryReport,
        _NRModeInfo_fdd,
        _NRModeInfo_tdd,
        ___NRModeInfo_choice_extension_id_tab,
        __NRModeInfo_choice_extension_id,
        ___NRModeInfo_choice_extension_criticality_tab,
        __NRModeInfo_choice_extension_criticality,
        ___NRModeInfo_choice_extension_value_tab,
        __NRModeInfo_choice_extension_value,
        _NRModeInfo_choice_extension,
        NRModeInfo,
        NRModeInfo_ExtIEs,
        _NRModeInfoFDD_ulNRFrequencyInfo,
        _NRModeInfoFDD_dlNRFrequencyInfo,
        _NRModeInfoFDD_ulNRTransmissonBandwidth,
        _NRModeInfoFDD_dlNRTransmissonBandwidth,
        ____NRModeInfoFDD_iE_Extension__item__id_tab,
        _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_0,
        _____NRModeInfoFDD_iE_Extension__item__id_tab_val_Extension_1,
        ___NRModeInfoFDD_iE_Extension__item__id,
        ___NRModeInfoFDD_iE_Extension__item__criticality,
        ___NRModeInfoFDD_iE_Extension__item__extensionValue,
        __NRModeInfoFDD_iE_Extension__item_,
        _NRModeInfoFDD_iE_Extension,
        NRModeInfoFDD,
        NRModeInfoFDD_ExtIEs,
        _NRModeInfoFDD_ExtIEs_val_Extension_0,
        _NRModeInfoFDD_ExtIEs_val_Extension_1,
        _NRModeInfoTDD_nrFrequencyInfo,
        _NRModeInfoTDD_nrTransmissonBandwidth,
        ____NRModeInfoTDD_iE_Extension__item__id_tab,
        _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_0,
        _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_1,
        _____NRModeInfoTDD_iE_Extension__item__id_tab_val_Extension_2,
        ___NRModeInfoTDD_iE_Extension__item__id,
        ___NRModeInfoTDD_iE_Extension__item__criticality,
        ___NRModeInfoTDD_iE_Extension__item__extensionValue,
        __NRModeInfoTDD_iE_Extension__item_,
        _NRModeInfoTDD_iE_Extension,
        NRModeInfoTDD,
        NRModeInfoTDD_ExtIEs,
        _NRModeInfoTDD_ExtIEs_val_Extension_0,
        _NRModeInfoTDD_ExtIEs_val_Extension_1,
        _NRModeInfoTDD_ExtIEs_val_Extension_2,
        NRNRB,
        NRPCI,
        NRSCS,
        _NRTransmissionBandwidth_nRSCS,
        _NRTransmissionBandwidth_nRNRB,
        ____NRTransmissionBandwidth_iE_Extensions__item__id_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__id,
        ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__criticality,
        ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue,
        __NRTransmissionBandwidth_iE_Extensions__item_,
        _NRTransmissionBandwidth_iE_Extensions,
        NRTransmissionBandwidth,
        NRTransmissionBandwidth_ExtIEs,
        NumberOfAntennaPorts_E_UTRA,
        NG_RANTraceID,
        NonGBRResources_Offered,
        _NRV2XServicesAuthorized_vehicleUE,
        _NRV2XServicesAuthorized_pedestrianUE,
        ____NRV2XServicesAuthorized_iE_Extensions__item__id_tab,
        ___NRV2XServicesAuthorized_iE_Extensions__item__id,
        ____NRV2XServicesAuthorized_iE_Extensions__item__criticality_tab,
        ___NRV2XServicesAuthorized_iE_Extensions__item__criticality,
        ____NRV2XServicesAuthorized_iE_Extensions__item__extensionValue_tab,
        ___NRV2XServicesAuthorized_iE_Extensions__item__extensionValue,
        __NRV2XServicesAuthorized_iE_Extensions__item_,
        _NRV2XServicesAuthorized_iE_Extensions,
        NRV2XServicesAuthorized,
        NRV2XServicesAuthorized_ExtIEs,
        _NRUESidelinkAggregateMaximumBitRate_uESidelinkAggregateMaximumBitRate,
        ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id_tab,
        ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__id,
        ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality_tab,
        ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__criticality,
        ____NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab,
        ___NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item__extensionValue,
        __NRUESidelinkAggregateMaximumBitRate_iE_Extensions__item_,
        _NRUESidelinkAggregateMaximumBitRate_iE_Extensions,
        NRUESidelinkAggregateMaximumBitRate,
        NRUESidelinkAggregateMaximumBitRate_ExtIEs,
        OfferedCapacity,
        OffsetOfNbiotChannelNumberToEARFCN,
        PacketDelayBudget,
        _PacketErrorRate_pER_Scalar,
        _PacketErrorRate_pER_Exponent,
        ____PacketErrorRate_iE_Extensions__item__id_tab,
        ___PacketErrorRate_iE_Extensions__item__id,
        ____PacketErrorRate_iE_Extensions__item__criticality_tab,
        ___PacketErrorRate_iE_Extensions__item__criticality,
        ____PacketErrorRate_iE_Extensions__item__extensionValue_tab,
        ___PacketErrorRate_iE_Extensions__item__extensionValue,
        __PacketErrorRate_iE_Extensions__item_,
        _PacketErrorRate_iE_Extensions,
        PacketErrorRate,
        PacketErrorRate_ExtIEs,
        PedestrianUE,
        PER_Scalar,
        PER_Exponent,
        PacketLossRate,
        PagingDRX,
        _PagingeDRXInformation_paging_eDRX_Cycle,
        _PagingeDRXInformation_paging_Time_Window,
        ____PagingeDRXInformation_iE_Extensions__item__id_tab,
        ___PagingeDRXInformation_iE_Extensions__item__id,
        ____PagingeDRXInformation_iE_Extensions__item__criticality_tab,
        ___PagingeDRXInformation_iE_Extensions__item__criticality,
        ____PagingeDRXInformation_iE_Extensions__item__extensionValue_tab,
        ___PagingeDRXInformation_iE_Extensions__item__extensionValue,
        __PagingeDRXInformation_iE_Extensions__item_,
        _PagingeDRXInformation_iE_Extensions,
        PagingeDRXInformation,
        PagingeDRXInformation_ExtIEs,
        Paging_eDRX_Cycle,
        Paging_Time_Window,
        PagingPriority,
        PartialListIndicator,
        _PC5QoSParameters_pc5QoSFlowList,
        _PC5QoSParameters_pc5LinkAggregateBitRates,
        ____PC5QoSParameters_iE_Extensions__item__id_tab,
        ___PC5QoSParameters_iE_Extensions__item__id,
        ____PC5QoSParameters_iE_Extensions__item__criticality_tab,
        ___PC5QoSParameters_iE_Extensions__item__criticality,
        ____PC5QoSParameters_iE_Extensions__item__extensionValue_tab,
        ___PC5QoSParameters_iE_Extensions__item__extensionValue,
        __PC5QoSParameters_iE_Extensions__item_,
        _PC5QoSParameters_iE_Extensions,
        PC5QoSParameters,
        PC5QoSParameters_ExtIEs,
        _PC5QoSFlowList__item_,
        PC5QoSFlowList,
        _PC5QoSFlowItem_pQI,
        _PC5QoSFlowItem_pc5FlowBitRates,
        _PC5QoSFlowItem_range,
        ____PC5QoSFlowItem_iE_Extensions__item__id_tab,
        ___PC5QoSFlowItem_iE_Extensions__item__id,
        ____PC5QoSFlowItem_iE_Extensions__item__criticality_tab,
        ___PC5QoSFlowItem_iE_Extensions__item__criticality,
        ____PC5QoSFlowItem_iE_Extensions__item__extensionValue_tab,
        ___PC5QoSFlowItem_iE_Extensions__item__extensionValue,
        __PC5QoSFlowItem_iE_Extensions__item_,
        _PC5QoSFlowItem_iE_Extensions,
        PC5QoSFlowItem,
        PC5QoSFlowItem_ExtIEs,
        _PC5FlowBitRates_guaranteedFlowBitRate,
        _PC5FlowBitRates_maximumFlowBitRate,
        ____PC5FlowBitRates_iE_Extensions__item__id_tab,
        ___PC5FlowBitRates_iE_Extensions__item__id,
        ____PC5FlowBitRates_iE_Extensions__item__criticality_tab,
        ___PC5FlowBitRates_iE_Extensions__item__criticality,
        ____PC5FlowBitRates_iE_Extensions__item__extensionValue_tab,
        ___PC5FlowBitRates_iE_Extensions__item__extensionValue,
        __PC5FlowBitRates_iE_Extensions__item_,
        _PC5FlowBitRates_iE_Extensions,
        PC5FlowBitRates,
        PC5FlowBitRates_ExtIEs,
        _PDCPChangeIndication_from_S_NG_RAN_node,
        _PDCPChangeIndication_from_M_NG_RAN_node,
        ___PDCPChangeIndication_choice_extension_id_tab,
        __PDCPChangeIndication_choice_extension_id,
        ___PDCPChangeIndication_choice_extension_criticality_tab,
        __PDCPChangeIndication_choice_extension_criticality,
        ___PDCPChangeIndication_choice_extension_value_tab,
        __PDCPChangeIndication_choice_extension_value,
        _PDCPChangeIndication_choice_extension,
        PDCPChangeIndication,
        PDCPChangeIndication_ExtIEs,
        PDCPDuplicationConfiguration,
        _PDCPSNLength_ulPDCPSNLength,
        _PDCPSNLength_dlPDCPSNLength,
        ____PDCPSNLength_iE_Extension__item__id_tab,
        ___PDCPSNLength_iE_Extension__item__id,
        ____PDCPSNLength_iE_Extension__item__criticality_tab,
        ___PDCPSNLength_iE_Extension__item__criticality,
        ____PDCPSNLength_iE_Extension__item__extensionValue_tab,
        ___PDCPSNLength_iE_Extension__item__extensionValue,
        __PDCPSNLength_iE_Extension__item_,
        _PDCPSNLength_iE_Extension,
        PDCPSNLength,
        PDCPSNLength_ExtIEs,
        _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR,
        _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue,
        __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_,
        _PDUSessionAggregateMaximumBitRate_iE_Extensions,
        PDUSessionAggregateMaximumBitRate,
        PDUSessionAggregateMaximumBitRate_ExtIEs,
        _PDUSession_List__item_,
        PDUSession_List,
        _PDUSession_List_withCause__item_,
        PDUSession_List_withCause,
        _PDUSession_List_withCause_Item_pduSessionId,
        _PDUSession_List_withCause_Item_cause,
        ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__id,
        ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__criticality,
        ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withCause_Item_iE_Extension__item_,
        _PDUSession_List_withCause_Item_iE_Extension,
        PDUSession_List_withCause_Item,
        PDUSession_List_withCause_Item_ExtIEs,
        _PDUSession_List_withDataForwardingFromTarget__item_,
        PDUSession_List_withDataForwardingFromTarget,
        _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId,
        _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget,
        ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab,
        _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_,
        _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension,
        PDUSession_List_withDataForwardingFromTarget_Item,
        PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs,
        _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0,
        _PDUSession_List_withDataForwardingRequest__item_,
        PDUSession_List_withDataForwardingRequest,
        _PDUSession_List_withDataForwardingRequest_Item_pduSessionId,
        _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource,
        _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList,
        ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab,
        _____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_,
        _PDUSession_List_withDataForwardingRequest_Item_iE_Extension,
        PDUSession_List_withDataForwardingRequest_Item,
        PDUSession_List_withDataForwardingRequest_Item_ExtIEs,
        _PDUSession_List_withDataForwardingRequest_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourcesAdmitted_List__item_,
        PDUSessionResourcesAdmitted_List,
        _PDUSessionResourcesAdmitted_Item_pduSessionId,
        _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_,
        _PDUSessionResourcesAdmitted_Item_iE_Extensions,
        PDUSessionResourcesAdmitted_Item,
        PDUSessionResourcesAdmitted_Item_ExtIEs,
        _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged,
        _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List,
        _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List,
        _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget,
        ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab,
        _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue,
        __PDUSessionResourceAdmittedInfo_iE_Extensions__item_,
        _PDUSessionResourceAdmittedInfo_iE_Extensions,
        PDUSessionResourceAdmittedInfo,
        PDUSessionResourceAdmittedInfo_ExtIEs,
        _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0,
        _PDUSessionResourcesNotAdmitted_List__item_,
        PDUSessionResourcesNotAdmitted_List,
        _PDUSessionResourcesNotAdmitted_Item_pduSessionId,
        _PDUSessionResourcesNotAdmitted_Item_cause,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue,
        __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_,
        _PDUSessionResourcesNotAdmitted_Item_iE_Extension,
        PDUSessionResourcesNotAdmitted_Item,
        PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs,
        _PDUSessionResourcesToBeSetup_List__item_,
        PDUSessionResourcesToBeSetup_List,
        _PDUSessionResourcesToBeSetup_Item_pduSessionId,
        _PDUSessionResourcesToBeSetup_Item_s_NSSAI,
        _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR,
        _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF,
        _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information,
        _PDUSessionResourcesToBeSetup_Item_securityIndication,
        _PDUSessionResourcesToBeSetup_Item_pduSessionType,
        _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance,
        _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List,
        _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource,
        ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_2,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_3,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_4,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_5,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_,
        _PDUSessionResourcesToBeSetup_Item_iE_Extensions,
        PDUSessionResourcesToBeSetup_Item,
        PDUSessionResourcesToBeSetup_Item_ExtIEs,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_2,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_3,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_4,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_5,
        _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceSetupInfo_SNterminated_pduSessionType,
        _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance,
        _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List,
        _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceSetupInfo_SNterminated_securityIndication,
        ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_6,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_7,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions,
        PDUSessionResourceSetupInfo_SNterminated,
        PDUSessionResourceSetupInfo_SNterminated_ExtIEs,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_4,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_5,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_6,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_7,
        _QoSFlowsToBeSetup_List_Setup_SNterminated__item_,
        QoSFlowsToBeSetup_List_Setup_SNterminated,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo,
        ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab,
        _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions,
        QoSFlowsToBeSetup_List_Setup_SNterminated_Item,
        QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_0,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget,
        _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList,
        _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult,
        ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions,
        PDUSessionResourceSetupResponseInfo_SNterminated,
        PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs,
        _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs_val_Extension_2,
        _DRBsToBeSetupList_SetupResponse_SNterminated__item_,
        DRBsToBeSetupList_SetupResponse_SNterminated,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_SetupResponse_SNterminated_Item,
        DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_0,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupInfo_MNterminated_pduSessionType,
        _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions,
        PDUSessionResourceSetupInfo_MNterminated,
        PDUSessionResourceSetupInfo_MNterminated_ExtIEs,
        _DRBsToBeSetupList_Setup_MNterminated__item_,
        DRBsToBeSetupList_Setup_MNterminated,
        _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID,
        _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode,
        _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration,
        _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS,
        _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation,
        _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated,
        ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_Setup_MNterminated_Item,
        DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs,
        _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs_val_Extension_1,
        _QoSFlowsMappedtoDRB_Setup_MNterminated__item_,
        QoSFlowsMappedtoDRB_Setup_MNterminated,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab,
        _____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions,
        QoSFlowsMappedtoDRB_Setup_MNterminated_Item,
        QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList,
        ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions,
        PDUSessionResourceSetupResponseInfo_MNterminated,
        PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs,
        _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_SetupResponse_MNterminated__item_,
        DRBsAdmittedList_SetupResponse_MNterminated,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID,
        ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions,
        DRBsAdmittedList_SetupResponse_MNterminated_Item,
        DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs_val_Extension_1,
        _QoSFlowsMappedtoDRB_SetupResponse_MNterminated__item_,
        QoSFlowsMappedtoDRB_SetupResponse_MNterminated,
        _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_currentQoSParaSetIndex,
        ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions__item_,
        _QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_iE_Extensions,
        QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item,
        QoSFlowsMappedtoDRB_SetupResponse_MNterminated_Item_ExtIEs,
        _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance,
        _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List,
        _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List,
        _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List,
        _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList,
        _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_4,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_5,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModificationInfo_SNterminated,
        PDUSessionResourceModificationInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_2,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_3,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_4,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_5,
        _QoSFlowsToBeSetup_List_Modified_SNterminated__item_,
        QoSFlowsToBeSetup_List_Modified_SNterminated,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab,
        _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions,
        QoSFlowsToBeSetup_List_Modified_SNterminated_Item,
        QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs_val_Extension_1,
        _DRBsToBeModified_List_Modified_SNterminated__item_,
        DRBsToBeModified_List_Modified_SNterminated,
        _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID,
        _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_Modified_SNterminated_Item_lCID,
        _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status,
        ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_Modified_SNterminated_Item,
        DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded,
        _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased,
        ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModificationResponseInfo_SNterminated,
        PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_1,
        _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_2,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_,
        DRBsToBeModifiedList_ModificationResponse_SNterminated,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_2,
        _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_3,
        _____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_4,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions,
        DRBsToBeModifiedList_ModificationResponse_SNterminated_Item,
        DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_1,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_2,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_3,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs_val_Extension_4,
        _PDUSessionResourceModificationInfo_MNterminated_pduSessionType,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModificationInfo_MNterminated,
        PDUSessionResourceModificationInfo_MNterminated_ExtIEs,
        _DRBsToBeModifiedList_Modification_MNterminated__item_,
        DRBsToBeModifiedList_Modification_MNterminated,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated,
        ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions,
        DRBsToBeModifiedList_Modification_MNterminated_Item,
        DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModificationResponseInfo_MNterminated,
        PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs,
        _DRBsAdmittedList_ModificationResponse_MNterminated__item_,
        DRBsAdmittedList_ModificationResponse_MNterminated,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID,
        ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions,
        DRBsAdmittedList_ModificationResponse_MNterminated_Item,
        DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions,
        PDUSessionResourceChangeRequiredInfo_SNterminated,
        PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget,
        ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions,
        PDUSessionResourceChangeConfirmInfo_SNterminated,
        PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions,
        PDUSessionResourceChangeRequiredInfo_MNterminated,
        PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions,
        PDUSessionResourceChangeConfirmInfo_MNterminated,
        PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs,
        _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List,
        _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList,
        _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList,
        _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModRqdInfo_SNterminated,
        PDUSessionResourceModRqdInfo_SNterminated_ExtIEs,
        _DRBsToBeSetup_List_ModRqd_SNterminated__item_,
        DRBsToBeSetup_List_ModRqd_SNterminated,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode,
        ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions,
        DRBsToBeSetup_List_ModRqd_SNterminated_Item,
        DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_ModRqd_SNterminated__item_,
        DRBsToBeModified_List_ModRqd_SNterminated,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated,
        ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_ModRqd_SNterminated_Item,
        DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_0,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs_val_Extension_1,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs,
        _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList,
        _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList,
        _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget,
        ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModConfirmInfo_SNterminated,
        PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_ModConfirm_SNterminated__item_,
        DRBsAdmittedList_ModConfirm_SNterminated,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID,
        ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions,
        DRBsAdmittedList_ModConfirm_SNterminated_Item,
        DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified,
        _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModRqdInfo_MNterminated,
        PDUSessionResourceModRqdInfo_MNterminated_ExtIEs,
        _DRBsToBeModified_List_ModRqd_MNterminated__item_,
        DRBsToBeModified_List_ModRqd_MNterminated,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status,
        ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_ModRqd_MNterminated_Item,
        DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs_val_Extension_0,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModConfirmInfo_MNterminated,
        PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs,
        __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_,
        _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions,
        PDUSessionResourceBearerSetupCompleteInfo_SNterminated,
        PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM,
        ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item,
        DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourceSecondaryRATUsageList__item_,
        PDUSessionResourceSecondaryRATUsageList,
        _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID,
        _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_,
        _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions,
        PDUSessionResourceSecondaryRATUsageItem,
        PDUSessionResourceSecondaryRATUsageItem_ExtIEs,
        _PDUSessionUsageReport_rATType,
        _PDUSessionUsageReport_pDUSessionTimedReportList,
        ____PDUSessionUsageReport_iE_Extensions__item__id_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__id,
        ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__criticality,
        ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__extensionValue,
        __PDUSessionUsageReport_iE_Extensions__item_,
        _PDUSessionUsageReport_iE_Extensions,
        PDUSessionUsageReport,
        PDUSessionUsageReport_ExtIEs,
        PDUSessionType,
        PDUSession_ID,
        PDUSessionNetworkInstance,
        PDUSessionCommonNetworkInstance,
        ____Periodical_iE_Extensions__item__id_tab,
        ___Periodical_iE_Extensions__item__id,
        ____Periodical_iE_Extensions__item__criticality_tab,
        ___Periodical_iE_Extensions__item__criticality,
        ____Periodical_iE_Extensions__item__extensionValue_tab,
        ___Periodical_iE_Extensions__item__extensionValue,
        __Periodical_iE_Extensions__item_,
        _Periodical_iE_Extensions,
        Periodical,
        Periodical_ExtIEs,
        PLMN_Identity,
        _PCIListForMDT__item_,
        PCIListForMDT,
        PNI_NPN_Restricted_Information,
        PortNumber,
        PriorityLevelQoS,
        _ProtectedE_UTRAResourceIndication_activationSFN,
        _ProtectedE_UTRAResourceIndication_protectedResourceList,
        _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength,
        _ProtectedE_UTRAResourceIndication_pDCCHRegionLength,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAResourceIndication_iE_Extensions__item_,
        _ProtectedE_UTRAResourceIndication_iE_Extensions,
        ProtectedE_UTRAResourceIndication,
        ProtectedE_UTRAResourceIndication_ExtIEs,
        _ProtectedE_UTRAResourceList__item_,
        ProtectedE_UTRAResourceList,
        _ProtectedE_UTRAResource_Item_resourceType,
        _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint,
        _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern,
        _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAResource_Item_iE_Extensions__item_,
        _ProtectedE_UTRAResource_Item_iE_Extensions,
        ProtectedE_UTRAResource_Item,
        ProtectedE_UTRAResource_Item_ExtIEs,
        _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity,
        _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_,
        _ProtectedE_UTRAFootprintTimePattern_iE_Extensions,
        ProtectedE_UTRAFootprintTimePattern,
        ProtectedE_UTRAFootprintTimePattern_ExtIEs,
        _QoSCharacteristics_non_dynamic,
        _QoSCharacteristics_dynamic,
        ___QoSCharacteristics_choice_extension_id_tab,
        __QoSCharacteristics_choice_extension_id,
        ___QoSCharacteristics_choice_extension_criticality_tab,
        __QoSCharacteristics_choice_extension_criticality,
        ___QoSCharacteristics_choice_extension_value_tab,
        __QoSCharacteristics_choice_extension_value,
        _QoSCharacteristics_choice_extension,
        QoSCharacteristics,
        QoSCharacteristics_ExtIEs,
        QoSFlowIdentifier,
        _QoSFlowLevelQoSParameters_qos_characteristics,
        _QoSFlowLevelQoSParameters_allocationAndRetentionPrio,
        _QoSFlowLevelQoSParameters_gBRQoSFlowInfo,
        _QoSFlowLevelQoSParameters_relectiveQoS,
        _QoSFlowLevelQoSParameters_additionalQoSflowInfo,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab,
        _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_0,
        _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_1,
        _____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab_val_Extension_2,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__id,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue,
        __QoSFlowLevelQoSParameters_iE_Extensions__item_,
        _QoSFlowLevelQoSParameters_iE_Extensions,
        QoSFlowLevelQoSParameters,
        QoSFlowLevelQoSParameters_ExtIEs,
        _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_0,
        _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_1,
        _QoSFlowLevelQoSParameters_ExtIEs_val_Extension_2,
        QoSFlowMappingIndication,
        _QoSFlowNotificationControlIndicationInfo__item_,
        QoSFlowNotificationControlIndicationInfo,
        _QoSFlowNotify_Item_qosFlowIdentifier,
        _QoSFlowNotify_Item_notificationInformation,
        ____QoSFlowNotify_Item_iE_Extensions__item__id_tab,
        _____QoSFlowNotify_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___QoSFlowNotify_Item_iE_Extensions__item__id,
        ___QoSFlowNotify_Item_iE_Extensions__item__criticality,
        ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue,
        __QoSFlowNotify_Item_iE_Extensions__item_,
        _QoSFlowNotify_Item_iE_Extensions,
        QoSFlowNotify_Item,
        QoSFlowNotificationControlIndicationInfo_ExtIEs,
        _QoSFlowNotificationControlIndicationInfo_ExtIEs_val_Extension_0,
        _QoSFlows_List__item_,
        QoSFlows_List,
        _QoSFlow_Item_qfi,
        _QoSFlow_Item_qosFlowMappingIndication,
        ____QoSFlow_Item_iE_Extension__item__id_tab,
        ___QoSFlow_Item_iE_Extension__item__id,
        ____QoSFlow_Item_iE_Extension__item__criticality_tab,
        ___QoSFlow_Item_iE_Extension__item__criticality,
        ____QoSFlow_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlow_Item_iE_Extension__item__extensionValue,
        __QoSFlow_Item_iE_Extension__item_,
        _QoSFlow_Item_iE_Extension,
        QoSFlow_Item,
        QoSFlow_Item_ExtIEs,
        _QoSFlows_List_withCause__item_,
        QoSFlows_List_withCause,
        _QoSFlowwithCause_Item_qfi,
        _QoSFlowwithCause_Item_cause,
        ____QoSFlowwithCause_Item_iE_Extension__item__id_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__id,
        ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__criticality,
        ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue,
        __QoSFlowwithCause_Item_iE_Extension__item_,
        _QoSFlowwithCause_Item_iE_Extension,
        QoSFlowwithCause_Item,
        QoSFlowwithCause_Item_ExtIEs,
        _QoS_Mapping_Information_dscp,
        _QoS_Mapping_Information_flow_label,
        ____QoS_Mapping_Information_iE_Extensions__item__id_tab,
        ___QoS_Mapping_Information_iE_Extensions__item__id,
        ____QoS_Mapping_Information_iE_Extensions__item__criticality_tab,
        ___QoS_Mapping_Information_iE_Extensions__item__criticality,
        ____QoS_Mapping_Information_iE_Extensions__item__extensionValue_tab,
        ___QoS_Mapping_Information_iE_Extensions__item__extensionValue,
        __QoS_Mapping_Information_iE_Extensions__item_,
        _QoS_Mapping_Information_iE_Extensions,
        QoS_Mapping_Information,
        QoS_Mapping_Information_ExtIEs,
        QoSParaSetIndex,
        QoSParaSetNotifyIndex,
        _QoSFlowsAdmitted_List__item_,
        QoSFlowsAdmitted_List,
        _QoSFlowsAdmitted_Item_qfi,
        ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab,
        _____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__id,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue,
        __QoSFlowsAdmitted_Item_iE_Extension__item_,
        _QoSFlowsAdmitted_Item_iE_Extension,
        QoSFlowsAdmitted_Item,
        QoSFlowsAdmitted_Item_ExtIEs,
        _QoSFlowsAdmitted_Item_ExtIEs_val_Extension_0,
        _QoSFlowsToBeSetup_List__item_,
        QoSFlowsToBeSetup_List,
        _QoSFlowsToBeSetup_Item_qfi,
        _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_Item_e_RAB_ID,
        ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab,
        _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab_val_Extension_1,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__id,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue,
        __QoSFlowsToBeSetup_Item_iE_Extension__item_,
        _QoSFlowsToBeSetup_Item_iE_Extension,
        QoSFlowsToBeSetup_Item,
        QoSFlowsToBeSetup_Item_ExtIEs,
        _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_0,
        _QoSFlowsToBeSetup_Item_ExtIEs_val_Extension_1,
        _QoSFlowsUsageReportList__item_,
        QoSFlowsUsageReportList,
        _QoSFlowsUsageReport_Item_qosFlowIdentifier,
        _QoSFlowsUsageReport_Item_rATType,
        _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__id,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsUsageReport_Item_iE_Extensions__item_,
        _QoSFlowsUsageReport_Item_iE_Extensions,
        QoSFlowsUsageReport_Item,
        QoSFlowsUsageReport_Item_ExtIEs,
        QosMonitoringRequest,
        QoSMonitoringDisabled,
        QosMonitoringReportingFrequency,
        _RACHReportInformation__item_,
        RACHReportInformation,
        _RACHReportList_Item_rACHReport,
        ____RACHReportList_Item_iE_Extensions__item__id_tab,
        ___RACHReportList_Item_iE_Extensions__item__id,
        ____RACHReportList_Item_iE_Extensions__item__criticality_tab,
        ___RACHReportList_Item_iE_Extensions__item__criticality,
        ____RACHReportList_Item_iE_Extensions__item__extensionValue_tab,
        ___RACHReportList_Item_iE_Extensions__item__extensionValue,
        __RACHReportList_Item_iE_Extensions__item_,
        _RACHReportList_Item_iE_Extensions,
        RACHReportList_Item,
        RACHReportList_Item_ExtIEs,
        RACHReportContainer,
        _RadioResourceStatus_ng_eNB_RadioResourceStatus,
        _RadioResourceStatus_gNB_RadioResourceStatus,
        ___RadioResourceStatus_choice_extension_id_tab,
        __RadioResourceStatus_choice_extension_id,
        ___RadioResourceStatus_choice_extension_criticality_tab,
        __RadioResourceStatus_choice_extension_criticality,
        ___RadioResourceStatus_choice_extension_value_tab,
        __RadioResourceStatus_choice_extension_value,
        _RadioResourceStatus_choice_extension,
        RadioResourceStatus,
        RadioResourceStatus_ExtIEs,
        RANAC,
        _RANAreaID_tAC,
        _RANAreaID_rANAC,
        ____RANAreaID_iE_Extensions__item__id_tab,
        ___RANAreaID_iE_Extensions__item__id,
        ____RANAreaID_iE_Extensions__item__criticality_tab,
        ___RANAreaID_iE_Extensions__item__criticality,
        ____RANAreaID_iE_Extensions__item__extensionValue_tab,
        ___RANAreaID_iE_Extensions__item__extensionValue,
        __RANAreaID_iE_Extensions__item_,
        _RANAreaID_iE_Extensions,
        RANAreaID,
        RANAreaID_ExtIEs,
        _RANAreaID_List__item_,
        RANAreaID_List,
        Range,
        _RANPagingArea_pLMN_Identity,
        _RANPagingArea_rANPagingAreaChoice,
        ____RANPagingArea_iE_Extensions__item__id_tab,
        ___RANPagingArea_iE_Extensions__item__id,
        ____RANPagingArea_iE_Extensions__item__criticality_tab,
        ___RANPagingArea_iE_Extensions__item__criticality,
        ____RANPagingArea_iE_Extensions__item__extensionValue_tab,
        ___RANPagingArea_iE_Extensions__item__extensionValue,
        __RANPagingArea_iE_Extensions__item_,
        _RANPagingArea_iE_Extensions,
        RANPagingArea,
        RANPagingArea_ExtIEs,
        _RANPagingAreaChoice_cell_List,
        _RANPagingAreaChoice_rANAreaID_List,
        ___RANPagingAreaChoice_choice_extension_id_tab,
        __RANPagingAreaChoice_choice_extension_id,
        ___RANPagingAreaChoice_choice_extension_criticality_tab,
        __RANPagingAreaChoice_choice_extension_criticality,
        ___RANPagingAreaChoice_choice_extension_value_tab,
        __RANPagingAreaChoice_choice_extension_value,
        _RANPagingAreaChoice_choice_extension,
        RANPagingAreaChoice,
        RANPagingAreaChoice_ExtIEs,
        _RANPagingAttemptInfo_pagingAttemptCount,
        _RANPagingAttemptInfo_intendedNumberOfPagingAttempts,
        _RANPagingAttemptInfo_nextPagingAreaScope,
        ____RANPagingAttemptInfo_iE_Extensions__item__id_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__id,
        ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__criticality,
        ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue,
        __RANPagingAttemptInfo_iE_Extensions__item_,
        _RANPagingAttemptInfo_iE_Extensions,
        RANPagingAttemptInfo,
        RANPagingAttemptInfo_ExtIEs,
        RANPagingFailure,
        RedundantQoSFlowIndicator,
        _RedundantPDUSessionInformation_rSN,
        ____RedundantPDUSessionInformation_iE_Extensions__item__id_tab,
        ___RedundantPDUSessionInformation_iE_Extensions__item__id,
        ____RedundantPDUSessionInformation_iE_Extensions__item__criticality_tab,
        ___RedundantPDUSessionInformation_iE_Extensions__item__criticality,
        ____RedundantPDUSessionInformation_iE_Extensions__item__extensionValue_tab,
        ___RedundantPDUSessionInformation_iE_Extensions__item__extensionValue,
        __RedundantPDUSessionInformation_iE_Extensions__item_,
        _RedundantPDUSessionInformation_iE_Extensions,
        RedundantPDUSessionInformation,
        RedundantPDUSessionInformation_ExtIEs,
        RSN,
        ReferenceID,
        ReflectiveQoSAttribute,
        ReportAmountMDT,
        ReportArea,
        ReportIntervalMDT,
        _ReportType_periodical,
        _ReportType_eventTriggered,
        ReportType,
        ExtendedReportIntervalMDT,
        ReportCharacteristics,
        ReportingPeriodicity,
        RegistrationRequest,
        RequestReferenceID,
        _ReservedSubframePattern_subframeType,
        _ReservedSubframePattern_reservedSubframePattern,
        _ReservedSubframePattern_mbsfnControlRegionLength,
        ____ReservedSubframePattern_iE_Extension__item__id_tab,
        ___ReservedSubframePattern_iE_Extension__item__id,
        ____ReservedSubframePattern_iE_Extension__item__criticality_tab,
        ___ReservedSubframePattern_iE_Extension__item__criticality,
        ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab,
        ___ReservedSubframePattern_iE_Extension__item__extensionValue,
        __ReservedSubframePattern_iE_Extension__item_,
        _ReservedSubframePattern_iE_Extension,
        ReservedSubframePattern,
        ReservedSubframePattern_ExtIEs,
        _ResetRequestTypeInfo_fullReset,
        _ResetRequestTypeInfo_partialReset,
        ___ResetRequestTypeInfo_choice_extension_id_tab,
        __ResetRequestTypeInfo_choice_extension_id,
        ___ResetRequestTypeInfo_choice_extension_criticality_tab,
        __ResetRequestTypeInfo_choice_extension_criticality,
        ___ResetRequestTypeInfo_choice_extension_value_tab,
        __ResetRequestTypeInfo_choice_extension_value,
        _ResetRequestTypeInfo_choice_extension,
        ResetRequestTypeInfo,
        ResetRequestTypeInfo_ExtIEs,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__id,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue,
        __ResetRequestTypeInfo_Full_iE_Extension__item_,
        _ResetRequestTypeInfo_Full_iE_Extension,
        ResetRequestTypeInfo_Full,
        ResetRequestTypeInfo_Full_ExtIEs,
        _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__id,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue,
        __ResetRequestTypeInfo_Partial_iE_Extension__item_,
        _ResetRequestTypeInfo_Partial_iE_Extension,
        ResetRequestTypeInfo_Partial,
        ResetRequestTypeInfo_Partial_ExtIEs,
        _ResetRequestPartialReleaseList__item_,
        ResetRequestPartialReleaseList,
        _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID,
        _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__id,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue,
        __ResetRequestPartialReleaseItem_iE_Extensions__item_,
        _ResetRequestPartialReleaseItem_iE_Extensions,
        ResetRequestPartialReleaseItem,
        ResetRequestPartialReleaseItem_ExtIEs,
        _ResetResponseTypeInfo_fullReset,
        _ResetResponseTypeInfo_partialReset,
        ___ResetResponseTypeInfo_choice_extension_id_tab,
        __ResetResponseTypeInfo_choice_extension_id,
        ___ResetResponseTypeInfo_choice_extension_criticality_tab,
        __ResetResponseTypeInfo_choice_extension_criticality,
        ___ResetResponseTypeInfo_choice_extension_value_tab,
        __ResetResponseTypeInfo_choice_extension_value,
        _ResetResponseTypeInfo_choice_extension,
        ResetResponseTypeInfo,
        ResetResponseTypeInfo_ExtIEs,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__id,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue,
        __ResetResponseTypeInfo_Full_iE_Extension__item_,
        _ResetResponseTypeInfo_Full_iE_Extension,
        ResetResponseTypeInfo_Full,
        ResetResponseTypeInfo_Full_ExtIEs,
        _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__id,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue,
        __ResetResponseTypeInfo_Partial_iE_Extension__item_,
        _ResetResponseTypeInfo_Partial_iE_Extension,
        ResetResponseTypeInfo_Partial,
        ResetResponseTypeInfo_Partial_ExtIEs,
        _ResetResponsePartialReleaseList__item_,
        ResetResponsePartialReleaseList,
        _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID,
        _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__id,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue,
        __ResetResponsePartialReleaseItem_iE_Extensions__item_,
        _ResetResponsePartialReleaseItem_iE_Extensions,
        ResetResponsePartialReleaseItem,
        ResetResponsePartialReleaseItem_ExtIEs,
        RLCMode,
        _RLC_Status_reestablishment_Indication,
        ____RLC_Status_iE_Extensions__item__id_tab,
        ___RLC_Status_iE_Extensions__item__id,
        ____RLC_Status_iE_Extensions__item__criticality_tab,
        ___RLC_Status_iE_Extensions__item__criticality,
        ____RLC_Status_iE_Extensions__item__extensionValue_tab,
        ___RLC_Status_iE_Extensions__item__extensionValue,
        __RLC_Status_iE_Extensions__item_,
        _RLC_Status_iE_Extensions,
        RLC_Status,
        RLC_Status_ExtIEs,
        _RLCDuplicationInformation_rLCDuplicationStateList,
        _RLCDuplicationInformation_rLC_PrimaryIndicator,
        ____RLCDuplicationInformation_iE_Extensions__item__id_tab,
        ___RLCDuplicationInformation_iE_Extensions__item__id,
        ____RLCDuplicationInformation_iE_Extensions__item__criticality_tab,
        ___RLCDuplicationInformation_iE_Extensions__item__criticality,
        ____RLCDuplicationInformation_iE_Extensions__item__extensionValue_tab,
        ___RLCDuplicationInformation_iE_Extensions__item__extensionValue,
        __RLCDuplicationInformation_iE_Extensions__item_,
        _RLCDuplicationInformation_iE_Extensions,
        RLCDuplicationInformation,
        RLCDuplicationInformation_ItemExtIEs,
        _RLCDuplicationStateList__item_,
        RLCDuplicationStateList,
        _RLCDuplicationState_Item_duplicationState,
        ____RLCDuplicationState_Item_iE_Extensions__item__id_tab,
        ___RLCDuplicationState_Item_iE_Extensions__item__id,
        ____RLCDuplicationState_Item_iE_Extensions__item__criticality_tab,
        ___RLCDuplicationState_Item_iE_Extensions__item__criticality,
        ____RLCDuplicationState_Item_iE_Extensions__item__extensionValue_tab,
        ___RLCDuplicationState_Item_iE_Extensions__item__extensionValue,
        __RLCDuplicationState_Item_iE_Extensions__item_,
        _RLCDuplicationState_Item_iE_Extensions,
        RLCDuplicationState_Item,
        RLCDuplicationState_ItemExtIEs,
        Reestablishment_Indication,
        RFSP_Index,
        RRCConfigIndication,
        _RRCConnections_noofRRCConnections,
        _RRCConnections_availableRRCConnectionCapacityValue,
        ____RRCConnections_iE_Extensions__item__id_tab,
        ___RRCConnections_iE_Extensions__item__id,
        ____RRCConnections_iE_Extensions__item__criticality_tab,
        ___RRCConnections_iE_Extensions__item__criticality,
        ____RRCConnections_iE_Extensions__item__extensionValue_tab,
        ___RRCConnections_iE_Extensions__item__extensionValue,
        __RRCConnections_iE_Extensions__item_,
        _RRCConnections_iE_Extensions,
        RRCConnections,
        RRCConnections_ExtIEs,
        RRCConnReestab_Indicator,
        _RRCReestab_initiated_rRRCReestab_initiated_reporting,
        ____RRCReestab_initiated_iE_Extensions__item__id_tab,
        ___RRCReestab_initiated_iE_Extensions__item__id,
        ____RRCReestab_initiated_iE_Extensions__item__criticality_tab,
        ___RRCReestab_initiated_iE_Extensions__item__criticality,
        ____RRCReestab_initiated_iE_Extensions__item__extensionValue_tab,
        ___RRCReestab_initiated_iE_Extensions__item__extensionValue,
        __RRCReestab_initiated_iE_Extensions__item_,
        _RRCReestab_initiated_iE_Extensions,
        RRCReestab_initiated,
        RRCReestab_initiated_ExtIEs,
        _RRCReestab_Initiated_Reporting_rRCReestab_reporting_wo_UERLFReport,
        _RRCReestab_Initiated_Reporting_rRCReestab_reporting_with_UERLFReport,
        ___RRCReestab_Initiated_Reporting_choice_extension_id_tab,
        __RRCReestab_Initiated_Reporting_choice_extension_id,
        ___RRCReestab_Initiated_Reporting_choice_extension_criticality_tab,
        __RRCReestab_Initiated_Reporting_choice_extension_criticality,
        ___RRCReestab_Initiated_Reporting_choice_extension_value_tab,
        __RRCReestab_Initiated_Reporting_choice_extension_value,
        _RRCReestab_Initiated_Reporting_choice_extension,
        RRCReestab_Initiated_Reporting,
        RRCReestab_Initiated_Reporting_ExtIEs,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_failureCellPCI,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_reestabCellCGI,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_c_RNTI,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_shortMAC_I,
        ____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab,
        _____RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id_tab_val_Extension_0,
        ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__id,
        ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__criticality,
        ___RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item__extensionValue,
        __RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions__item_,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_iE_Extensions,
        RRCReestab_Initiated_Reporting_wo_UERLFReport,
        RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs,
        _RRCReestab_Initiated_Reporting_wo_UERLFReport_ExtIEs_val_Extension_0,
        _RRCReestab_Initiated_Reporting_with_UERLFReport_uERLFReportContainer,
        ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab,
        ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id,
        ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab,
        ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality,
        ____RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab,
        ___RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue,
        __RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_,
        _RRCReestab_Initiated_Reporting_with_UERLFReport_iE_Extensions,
        RRCReestab_Initiated_Reporting_with_UERLFReport,
        RRCReestab_Initiated_Reporting_with_UERLFReport_ExtIEs,
        _RRCSetup_initiated_rRRCSetup_Initiated_Reporting,
        _RRCSetup_initiated_uERLFReportContainer,
        ____RRCSetup_initiated_iE_Extensions__item__id_tab,
        ___RRCSetup_initiated_iE_Extensions__item__id,
        ____RRCSetup_initiated_iE_Extensions__item__criticality_tab,
        ___RRCSetup_initiated_iE_Extensions__item__criticality,
        ____RRCSetup_initiated_iE_Extensions__item__extensionValue_tab,
        ___RRCSetup_initiated_iE_Extensions__item__extensionValue,
        __RRCSetup_initiated_iE_Extensions__item_,
        _RRCSetup_initiated_iE_Extensions,
        RRCSetup_initiated,
        RRCSetup_initiated_ExtIEs,
        _RRCSetup_Initiated_Reporting_rRCSetup_reporting_with_UERLFReport,
        ___RRCSetup_Initiated_Reporting_choice_extension_id_tab,
        __RRCSetup_Initiated_Reporting_choice_extension_id,
        ___RRCSetup_Initiated_Reporting_choice_extension_criticality_tab,
        __RRCSetup_Initiated_Reporting_choice_extension_criticality,
        ___RRCSetup_Initiated_Reporting_choice_extension_value_tab,
        __RRCSetup_Initiated_Reporting_choice_extension_value,
        _RRCSetup_Initiated_Reporting_choice_extension,
        RRCSetup_Initiated_Reporting,
        RRCSetup_Initiated_Reporting_ExtIEs,
        _RRCSetup_Initiated_Reporting_with_UERLFReport_uERLFReportContainer,
        ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id_tab,
        ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__id,
        ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality_tab,
        ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__criticality,
        ____RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue_tab,
        ___RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item__extensionValue,
        __RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions__item_,
        _RRCSetup_Initiated_Reporting_with_UERLFReport_iE_Extensions,
        RRCSetup_Initiated_Reporting_with_UERLFReport,
        RRCSetup_Initiated_Reporting_with_UERLFReport_ExtIEs,
        RRCResumeCause,
        _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue,
        __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_,
        _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions,
        SecondarydataForwardingInfoFromTarget_Item,
        SecondarydataForwardingInfoFromTarget_Item_ExtIEs,
        _SecondarydataForwardingInfoFromTarget_List__item_,
        SecondarydataForwardingInfoFromTarget_List,
        SCGConfigurationQuery,
        SCGIndicator,
        _SecondaryRATUsageInformation_pDUSessionUsageReport,
        _SecondaryRATUsageInformation_qosFlowsUsageReportList,
        ____SecondaryRATUsageInformation_iE_Extension__item__id_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__id,
        ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__criticality,
        ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue,
        __SecondaryRATUsageInformation_iE_Extension__item_,
        _SecondaryRATUsageInformation_iE_Extension,
        SecondaryRATUsageInformation,
        SecondaryRATUsageInformation_ExtIEs,
        _SecurityIndication_integrityProtectionIndication,
        _SecurityIndication_confidentialityProtectionIndication,
        _SecurityIndication_maximumIPdatarate,
        ____SecurityIndication_iE_Extensions__item__id_tab,
        ___SecurityIndication_iE_Extensions__item__id,
        ____SecurityIndication_iE_Extensions__item__criticality_tab,
        ___SecurityIndication_iE_Extensions__item__criticality,
        ____SecurityIndication_iE_Extensions__item__extensionValue_tab,
        ___SecurityIndication_iE_Extensions__item__extensionValue,
        __SecurityIndication_iE_Extensions__item_,
        _SecurityIndication_iE_Extensions,
        SecurityIndication,
        SecurityIndication_ExtIEs,
        _SecurityResult_integrityProtectionResult,
        _SecurityResult_confidentialityProtectionResult,
        ____SecurityResult_iE_Extensions__item__id_tab,
        ___SecurityResult_iE_Extensions__item__id,
        ____SecurityResult_iE_Extensions__item__criticality_tab,
        ___SecurityResult_iE_Extensions__item__criticality,
        ____SecurityResult_iE_Extensions__item__extensionValue_tab,
        ___SecurityResult_iE_Extensions__item__extensionValue,
        __SecurityResult_iE_Extensions__item_,
        _SecurityResult_iE_Extensions,
        SecurityResult,
        SecurityResult_ExtIEs,
        _SensorMeasurementConfiguration_sensorMeasConfig,
        _SensorMeasurementConfiguration_sensorMeasConfigNameList,
        ____SensorMeasurementConfiguration_iE_Extensions__item__id_tab,
        ___SensorMeasurementConfiguration_iE_Extensions__item__id,
        ____SensorMeasurementConfiguration_iE_Extensions__item__criticality_tab,
        ___SensorMeasurementConfiguration_iE_Extensions__item__criticality,
        ____SensorMeasurementConfiguration_iE_Extensions__item__extensionValue_tab,
        ___SensorMeasurementConfiguration_iE_Extensions__item__extensionValue,
        __SensorMeasurementConfiguration_iE_Extensions__item_,
        _SensorMeasurementConfiguration_iE_Extensions,
        SensorMeasurementConfiguration,
        SensorMeasurementConfiguration_ExtIEs,
        _SensorMeasConfigNameList__item_,
        SensorMeasConfigNameList,
        SensorMeasConfig,
        _SensorName_uncompensatedBarometricConfig,
        _SensorName_ueSpeedConfig,
        _SensorName_ueOrientationConfig,
        ____SensorName_iE_Extensions__item__id_tab,
        ___SensorName_iE_Extensions__item__id,
        ____SensorName_iE_Extensions__item__criticality_tab,
        ___SensorName_iE_Extensions__item__criticality,
        ____SensorName_iE_Extensions__item__extensionValue_tab,
        ___SensorName_iE_Extensions__item__extensionValue,
        __SensorName_iE_Extensions__item_,
        _SensorName_iE_Extensions,
        SensorName,
        SensorNameConfig_ExtIEs,
        _ServedCellInformation_E_UTRA_e_utra_pci,
        _ServedCellInformation_E_UTRA_e_utra_cgi,
        _ServedCellInformation_E_UTRA_tac,
        _ServedCellInformation_E_UTRA_ranac,
        __ServedCellInformation_E_UTRA_broadcastPLMNs__item_,
        _ServedCellInformation_E_UTRA_broadcastPLMNs,
        _ServedCellInformation_E_UTRA_e_utra_mode_info,
        _ServedCellInformation_E_UTRA_numberofAntennaPorts,
        _ServedCellInformation_E_UTRA_prach_configuration,
        _ServedCellInformation_E_UTRA_mBSFNsubframeInfo,
        _ServedCellInformation_E_UTRA_multibandInfo,
        _ServedCellInformation_E_UTRA_freqBandIndicatorPriority,
        _ServedCellInformation_E_UTRA_bandwidthReducedSI,
        _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication,
        ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab,
        _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0,
        _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_1,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__id,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_iE_Extensions,
        ServedCellInformation_E_UTRA,
        ServedCellInformation_E_UTRA_ExtIEs,
        _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0,
        _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_1,
        _ServedCellInformation_E_UTRA_perBPLMN_plmn_id,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions,
        ServedCellInformation_E_UTRA_perBPLMN,
        ServedCellInformation_E_UTRA_perBPLMN_ExtIEs,
        _ServedCellInformation_E_UTRA_ModeInfo_fdd,
        _ServedCellInformation_E_UTRA_ModeInfo_tdd,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value,
        _ServedCellInformation_E_UTRA_ModeInfo_choice_extension,
        ServedCellInformation_E_UTRA_ModeInfo,
        ServedCellInformation_E_UTRA_ModeInfo_ExtIEs,
        _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn,
        _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn,
        _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW,
        _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW,
        ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab,
        _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_0,
        _____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab_val_Extension_1,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions,
        ServedCellInformation_E_UTRA_FDDInfo,
        ServedCellInformation_E_UTRA_FDDInfo_ExtIEs,
        _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_0,
        _ServedCellInformation_E_UTRA_FDDInfo_ExtIEs_val_Extension_1,
        _ServedCellInformation_E_UTRA_TDDInfo_earfcn,
        _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW,
        _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet,
        _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo,
        ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab,
        _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_0,
        _____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab_val_Extension_1,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions,
        ServedCellInformation_E_UTRA_TDDInfo,
        ServedCellInformation_E_UTRA_TDDInfo_ExtIEs,
        _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_0,
        _ServedCellInformation_E_UTRA_TDDInfo_ExtIEs_val_Extension_1,
        _ServedCells_E_UTRA__item_,
        ServedCells_E_UTRA,
        _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA,
        _ServedCells_E_UTRA_Item_neighbour_info_NR,
        _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA,
        ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab,
        _____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__id,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __ServedCells_E_UTRA_Item_iE_Extensions__item_,
        _ServedCells_E_UTRA_Item_iE_Extensions,
        ServedCells_E_UTRA_Item,
        ServedCells_E_UTRA_Item_ExtIEs,
        _ServedCells_E_UTRA_Item_ExtIEs_val_Extension_0,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA,
        __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue,
        __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_,
        _ServedCellsToUpdate_E_UTRA_iE_Extensions,
        ServedCellsToUpdate_E_UTRA,
        ServedCellsToUpdate_E_UTRA_ExtIEs,
        _ServedCells_ToModify_E_UTRA__item_,
        ServedCells_ToModify_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_old_ECGI,
        _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR,
        _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_deactivation_indication,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_,
        _ServedCells_ToModify_E_UTRA_Item_iE_Extensions,
        ServedCells_ToModify_E_UTRA_Item,
        Served_cells_ToModify_E_UTRA_Item_ExtIEs,
        _ServedCellInformation_NR_nrPCI,
        _ServedCellInformation_NR_cellID,
        _ServedCellInformation_NR_tac,
        _ServedCellInformation_NR_ranac,
        _ServedCellInformation_NR_broadcastPLMN,
        _ServedCellInformation_NR_nrModeInfo,
        _ServedCellInformation_NR_measurementTimingConfiguration,
        _ServedCellInformation_NR_connectivitySupport,
        ____ServedCellInformation_NR_iE_Extensions__item__id_tab,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_1,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_2,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_3,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_4,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_5,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_6,
        ___ServedCellInformation_NR_iE_Extensions__item__id,
        ___ServedCellInformation_NR_iE_Extensions__item__criticality,
        ___ServedCellInformation_NR_iE_Extensions__item__extensionValue,
        __ServedCellInformation_NR_iE_Extensions__item_,
        _ServedCellInformation_NR_iE_Extensions,
        ServedCellInformation_NR,
        ServedCellInformation_NR_ExtIEs,
        _ServedCellInformation_NR_ExtIEs_val_Extension_0,
        _ServedCellInformation_NR_ExtIEs_val_Extension_1,
        _ServedCellInformation_NR_ExtIEs_val_Extension_2,
        _ServedCellInformation_NR_ExtIEs_val_Extension_3,
        _ServedCellInformation_NR_ExtIEs_val_Extension_4,
        _ServedCellInformation_NR_ExtIEs_val_Extension_5,
        _ServedCellInformation_NR_ExtIEs_val_Extension_6,
        _SFN_Offset_sFN_Time_Offset,
        ____SFN_Offset_iE_Extensions__item__id_tab,
        ___SFN_Offset_iE_Extensions__item__id,
        ____SFN_Offset_iE_Extensions__item__criticality_tab,
        ___SFN_Offset_iE_Extensions__item__criticality,
        ____SFN_Offset_iE_Extensions__item__extensionValue_tab,
        ___SFN_Offset_iE_Extensions__item__extensionValue,
        __SFN_Offset_iE_Extensions__item_,
        _SFN_Offset_iE_Extensions,
        SFN_Offset,
        SFN_Offset_ExtIEs,
        _ServedCells_NR__item_,
        ServedCells_NR,
        _ServedCells_NR_Item_served_cell_info_NR,
        _ServedCells_NR_Item_neighbour_info_NR,
        _ServedCells_NR_Item_neighbour_info_E_UTRA,
        ____ServedCells_NR_Item_iE_Extensions__item__id_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__id,
        ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__criticality,
        ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__extensionValue,
        __ServedCells_NR_Item_iE_Extensions__item_,
        _ServedCells_NR_Item_iE_Extensions,
        ServedCells_NR_Item,
        ServedCells_NR_Item_ExtIEs,
        _ServedCells_ToModify_NR__item_,
        ServedCells_ToModify_NR,
        _ServedCells_ToModify_NR_Item_old_NR_CGI,
        _ServedCells_ToModify_NR_Item_served_cell_info_NR,
        _ServedCells_ToModify_NR_Item_neighbour_info_NR,
        _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA,
        _ServedCells_ToModify_NR_Item_deactivation_indication,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue,
        __ServedCells_ToModify_NR_Item_iE_Extensions__item_,
        _ServedCells_ToModify_NR_Item_iE_Extensions,
        ServedCells_ToModify_NR_Item,
        Served_cells_ToModify_NR_Item_ExtIEs,
        _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR,
        _ServedCellsToUpdate_NR_served_Cells_ToModify_NR,
        __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_,
        _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__id,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue,
        __ServedCellsToUpdate_NR_iE_Extensions__item_,
        _ServedCellsToUpdate_NR_iE_Extensions,
        ServedCellsToUpdate_NR,
        ServedCellsToUpdate_NR_ExtIEs,
        _SharedResourceType_ul_onlySharing,
        _SharedResourceType_ul_and_dl_Sharing,
        ___SharedResourceType_choice_extension_id_tab,
        __SharedResourceType_choice_extension_id,
        ___SharedResourceType_choice_extension_criticality_tab,
        __SharedResourceType_choice_extension_criticality,
        ___SharedResourceType_choice_extension_value_tab,
        __SharedResourceType_choice_extension_value,
        _SharedResourceType_choice_extension,
        SharedResourceType,
        SharedResourceType_ExtIEs,
        _SharedResourceType_UL_OnlySharing_ul_resourceBitmap,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue,
        __SharedResourceType_UL_OnlySharing_iE_Extensions__item_,
        _SharedResourceType_UL_OnlySharing_iE_Extensions,
        SharedResourceType_UL_OnlySharing,
        SharedResourceType_UL_OnlySharing_ExtIEs,
        _SharedResourceType_ULDL_Sharing_ul_resources,
        _SharedResourceType_ULDL_Sharing_dl_resources,
        ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_choice_extension,
        SharedResourceType_ULDL_Sharing,
        SharedResourceType_ULDL_Sharing_ExtIEs,
        _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged,
        _SharedResourceType_ULDL_Sharing_UL_Resources_changed,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension,
        SharedResourceType_ULDL_Sharing_UL_Resources,
        SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs,
        _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue,
        __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_,
        _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions,
        SharedResourceType_ULDL_Sharing_UL_ResourcesChanged,
        SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs,
        _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged,
        _SharedResourceType_ULDL_Sharing_DL_Resources_changed,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension,
        SharedResourceType_ULDL_Sharing_DL_Resources,
        SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs,
        _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue,
        __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_,
        _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions,
        SharedResourceType_ULDL_Sharing_DL_ResourcesChanged,
        SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs,
        _SliceAvailableCapacity__item_,
        SliceAvailableCapacity,
        _SliceAvailableCapacity_Item_pLMNIdentity,
        _SliceAvailableCapacity_Item_sNSSAIAvailableCapacity_List,
        ____SliceAvailableCapacity_Item_iE_Extensions__item__id_tab,
        ___SliceAvailableCapacity_Item_iE_Extensions__item__id,
        ____SliceAvailableCapacity_Item_iE_Extensions__item__criticality_tab,
        ___SliceAvailableCapacity_Item_iE_Extensions__item__criticality,
        ____SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab,
        ___SliceAvailableCapacity_Item_iE_Extensions__item__extensionValue,
        __SliceAvailableCapacity_Item_iE_Extensions__item_,
        _SliceAvailableCapacity_Item_iE_Extensions,
        SliceAvailableCapacity_Item,
        SliceAvailableCapacity_Item_ExtIEs,
        _SNSSAIAvailableCapacity_List__item_,
        SNSSAIAvailableCapacity_List,
        _SNSSAIAvailableCapacity_Item_sNSSAI,
        _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueDownlink,
        _SNSSAIAvailableCapacity_Item_sliceAvailableCapacityValueUplink,
        ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__id_tab,
        ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__id,
        ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality_tab,
        ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__criticality,
        ____SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue_tab,
        ___SNSSAIAvailableCapacity_Item_iE_Extensions__item__extensionValue,
        __SNSSAIAvailableCapacity_Item_iE_Extensions__item_,
        _SNSSAIAvailableCapacity_Item_iE_Extensions,
        SNSSAIAvailableCapacity_Item,
        SNSSAIAvailableCapacity_Item_ExtIEs,
        _SliceSupport_List__item_,
        SliceSupport_List,
        _SliceToReport_List__item_,
        SliceToReport_List,
        _SliceToReport_List_Item_pLMNIdentity,
        _SliceToReport_List_Item_sNSSAIlist,
        ____SliceToReport_List_Item_iE_Extensions__item__id_tab,
        ___SliceToReport_List_Item_iE_Extensions__item__id,
        ____SliceToReport_List_Item_iE_Extensions__item__criticality_tab,
        ___SliceToReport_List_Item_iE_Extensions__item__criticality,
        ____SliceToReport_List_Item_iE_Extensions__item__extensionValue_tab,
        ___SliceToReport_List_Item_iE_Extensions__item__extensionValue,
        __SliceToReport_List_Item_iE_Extensions__item_,
        _SliceToReport_List_Item_iE_Extensions,
        SliceToReport_List_Item,
        SliceToReport_List_Item_ExtIEs,
        _SNSSAI_list__item_,
        SNSSAI_list,
        _SNSSAI_Item_sNSSAI,
        ____SNSSAI_Item_iE_Extensions__item__id_tab,
        ___SNSSAI_Item_iE_Extensions__item__id,
        ____SNSSAI_Item_iE_Extensions__item__criticality_tab,
        ___SNSSAI_Item_iE_Extensions__item__criticality,
        ____SNSSAI_Item_iE_Extensions__item__extensionValue_tab,
        ___SNSSAI_Item_iE_Extensions__item__extensionValue,
        __SNSSAI_Item_iE_Extensions__item_,
        _SNSSAI_Item_iE_Extensions,
        SNSSAI_Item,
        SNSSAI_Item_ExtIEs,
        _SlotConfiguration_List__item_,
        SlotConfiguration_List,
        _SlotConfiguration_List_Item_slotIndex,
        _SlotConfiguration_List_Item_symbolAllocation_in_Slot,
        ____SlotConfiguration_List_Item_iE_Extensions__item__id_tab,
        ___SlotConfiguration_List_Item_iE_Extensions__item__id,
        ____SlotConfiguration_List_Item_iE_Extensions__item__criticality_tab,
        ___SlotConfiguration_List_Item_iE_Extensions__item__criticality,
        ____SlotConfiguration_List_Item_iE_Extensions__item__extensionValue_tab,
        ___SlotConfiguration_List_Item_iE_Extensions__item__extensionValue,
        __SlotConfiguration_List_Item_iE_Extensions__item_,
        _SlotConfiguration_List_Item_iE_Extensions,
        SlotConfiguration_List_Item,
        SlotConfiguration_List_Item_ExtIEs,
        S_NG_RANnode_SecurityKey,
        S_NG_RANnode_Addition_Trigger_Ind,
        _S_NSSAI_sst,
        _S_NSSAI_sd,
        ____S_NSSAI_iE_Extensions__item__id_tab,
        ___S_NSSAI_iE_Extensions__item__id,
        ____S_NSSAI_iE_Extensions__item__criticality_tab,
        ___S_NSSAI_iE_Extensions__item__criticality,
        ____S_NSSAI_iE_Extensions__item__extensionValue_tab,
        ___S_NSSAI_iE_Extensions__item__extensionValue,
        __S_NSSAI_iE_Extensions__item_,
        _S_NSSAI_iE_Extensions,
        S_NSSAI,
        S_NSSAI_ExtIEs,
        SNTriggered,
        _SpecialSubframeInfo_E_UTRA_specialSubframePattern,
        _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL,
        _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue,
        __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_,
        _SpecialSubframeInfo_E_UTRA_iE_Extensions,
        SpecialSubframeInfo_E_UTRA,
        SpecialSubframeInfo_E_UTRA_ExtIEs,
        SpecialSubframePatterns_E_UTRA,
        SpectrumSharingGroupID,
        SplitSessionIndicator,
        SplitSRBsTypes,
        _SSBAreaCapacityValue_List__item_,
        SSBAreaCapacityValue_List,
        _SSBAreaCapacityValue_List_Item_sSBIndex,
        _SSBAreaCapacityValue_List_Item_ssbAreaCapacityValue,
        ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__id_tab,
        ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__id,
        ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality_tab,
        ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__criticality,
        ____SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue_tab,
        ___SSBAreaCapacityValue_List_Item_iE_Extensions__item__extensionValue,
        __SSBAreaCapacityValue_List_Item_iE_Extensions__item_,
        _SSBAreaCapacityValue_List_Item_iE_Extensions,
        SSBAreaCapacityValue_List_Item,
        SSBAreaCapacityValue_List_Item_ExtIEs,
        _SSBAreaRadioResourceStatus_List__item_,
        SSBAreaRadioResourceStatus_List,
        _SSBAreaRadioResourceStatus_List_Item_sSBIndex,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_DL_GBR_PRB_usage,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_UL_GBR_PRB_usage,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_non_GBR_PRB_usage,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_non_GBR_PRB_usage,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_dL_Total_PRB_usage,
        _SSBAreaRadioResourceStatus_List_Item_ssb_Area_uL_Total_PRB_usage,
        ____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab,
        _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__id,
        ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__criticality,
        ___SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item__extensionValue,
        __SSBAreaRadioResourceStatus_List_Item_iE_Extensions__item_,
        _SSBAreaRadioResourceStatus_List_Item_iE_Extensions,
        SSBAreaRadioResourceStatus_List_Item,
        SSBAreaRadioResourceStatus_List_Item_ExtIEs,
        _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_0,
        _SSBAreaRadioResourceStatus_List_Item_ExtIEs_val_Extension_1,
        _SSB_PositionsInBurst_shortBitmap,
        _SSB_PositionsInBurst_mediumBitmap,
        _SSB_PositionsInBurst_longBitmap,
        ___SSB_PositionsInBurst_choice_extension_id_tab,
        __SSB_PositionsInBurst_choice_extension_id,
        ___SSB_PositionsInBurst_choice_extension_criticality_tab,
        __SSB_PositionsInBurst_choice_extension_criticality,
        ___SSB_PositionsInBurst_choice_extension_value_tab,
        __SSB_PositionsInBurst_choice_extension_value,
        _SSB_PositionsInBurst_choice_extension,
        SSB_PositionsInBurst,
        SSB_PositionsInBurst_ExtIEs,
        _SSBToReport_List__item_,
        SSBToReport_List,
        _SSBToReport_List_Item_sSBIndex,
        ____SSBToReport_List_Item_iE_Extensions__item__id_tab,
        ___SSBToReport_List_Item_iE_Extensions__item__id,
        ____SSBToReport_List_Item_iE_Extensions__item__criticality_tab,
        ___SSBToReport_List_Item_iE_Extensions__item__criticality,
        ____SSBToReport_List_Item_iE_Extensions__item__extensionValue_tab,
        ___SSBToReport_List_Item_iE_Extensions__item__extensionValue,
        __SSBToReport_List_Item_iE_Extensions__item_,
        _SSBToReport_List_Item_iE_Extensions,
        SSBToReport_List_Item,
        SSBToReport_List_Item_ExtIEs,
        SUL_FrequencyBand,
        _SUL_Information_sulFrequencyInfo,
        _SUL_Information_sulTransmissionBandwidth,
        ____SUL_Information_iE_Extensions__item__id_tab,
        _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_0,
        _____SUL_Information_iE_Extensions__item__id_tab_val_Extension_1,
        ___SUL_Information_iE_Extensions__item__id,
        ___SUL_Information_iE_Extensions__item__criticality,
        ___SUL_Information_iE_Extensions__item__extensionValue,
        __SUL_Information_iE_Extensions__item_,
        _SUL_Information_iE_Extensions,
        SUL_Information,
        SUL_Information_ExtIEs,
        _SUL_Information_ExtIEs_val_Extension_0,
        _SUL_Information_ExtIEs_val_Extension_1,
        _SupportedSULBandList__item_,
        SupportedSULBandList,
        _SupportedSULBandItem_sulBandItem,
        ____SupportedSULBandItem_iE_Extensions__item__id_tab,
        ___SupportedSULBandItem_iE_Extensions__item__id,
        ____SupportedSULBandItem_iE_Extensions__item__criticality_tab,
        ___SupportedSULBandItem_iE_Extensions__item__criticality,
        ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab,
        ___SupportedSULBandItem_iE_Extensions__item__extensionValue,
        __SupportedSULBandItem_iE_Extensions__item_,
        _SupportedSULBandItem_iE_Extensions,
        SupportedSULBandItem,
        SupportedSULBandItem_ExtIEs,
        _SymbolAllocation_in_Slot_allDL,
        _SymbolAllocation_in_Slot_allUL,
        _SymbolAllocation_in_Slot_bothDLandUL,
        ___SymbolAllocation_in_Slot_choice_extension_id_tab,
        __SymbolAllocation_in_Slot_choice_extension_id,
        ___SymbolAllocation_in_Slot_choice_extension_criticality_tab,
        __SymbolAllocation_in_Slot_choice_extension_criticality,
        ___SymbolAllocation_in_Slot_choice_extension_value_tab,
        __SymbolAllocation_in_Slot_choice_extension_value,
        _SymbolAllocation_in_Slot_choice_extension,
        SymbolAllocation_in_Slot,
        SymbolAllocation_in_Slot_ExtIEs,
        ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id_tab,
        ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__id,
        ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality_tab,
        ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__criticality,
        ____SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue_tab,
        ___SymbolAllocation_in_Slot_AllDL_iE_Extension__item__extensionValue,
        __SymbolAllocation_in_Slot_AllDL_iE_Extension__item_,
        _SymbolAllocation_in_Slot_AllDL_iE_Extension,
        SymbolAllocation_in_Slot_AllDL,
        SymbolAllocation_in_Slot_AllDL_ExtIEs,
        ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id_tab,
        ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__id,
        ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality_tab,
        ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__criticality,
        ____SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue_tab,
        ___SymbolAllocation_in_Slot_AllUL_iE_Extension__item__extensionValue,
        __SymbolAllocation_in_Slot_AllUL_iE_Extension__item_,
        _SymbolAllocation_in_Slot_AllUL_iE_Extension,
        SymbolAllocation_in_Slot_AllUL,
        SymbolAllocation_in_Slot_AllUL_ExtIEs,
        _SymbolAllocation_in_Slot_BothDLandUL_numberofDLSymbols,
        _SymbolAllocation_in_Slot_BothDLandUL_numberofULSymbols,
        ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id_tab,
        ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__id,
        ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality_tab,
        ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__criticality,
        ____SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue_tab,
        ___SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item__extensionValue,
        __SymbolAllocation_in_Slot_BothDLandUL_iE_Extension__item_,
        _SymbolAllocation_in_Slot_BothDLandUL_iE_Extension,
        SymbolAllocation_in_Slot_BothDLandUL,
        SymbolAllocation_in_Slot_BothDLandUL_ExtIEs,
        _TABasedMDT_tAListforMDT,
        ____TABasedMDT_iE_Extensions__item__id_tab,
        ___TABasedMDT_iE_Extensions__item__id,
        ____TABasedMDT_iE_Extensions__item__criticality_tab,
        ___TABasedMDT_iE_Extensions__item__criticality,
        ____TABasedMDT_iE_Extensions__item__extensionValue_tab,
        ___TABasedMDT_iE_Extensions__item__extensionValue,
        __TABasedMDT_iE_Extensions__item_,
        _TABasedMDT_iE_Extensions,
        TABasedMDT,
        TABasedMDT_ExtIEs,
        _TAIBasedMDT_tAIListforMDT,
        ____TAIBasedMDT_iE_Extensions__item__id_tab,
        ___TAIBasedMDT_iE_Extensions__item__id,
        ____TAIBasedMDT_iE_Extensions__item__criticality_tab,
        ___TAIBasedMDT_iE_Extensions__item__criticality,
        ____TAIBasedMDT_iE_Extensions__item__extensionValue_tab,
        ___TAIBasedMDT_iE_Extensions__item__extensionValue,
        __TAIBasedMDT_iE_Extensions__item_,
        _TAIBasedMDT_iE_Extensions,
        TAIBasedMDT,
        TAIBasedMDT_ExtIEs,
        _TAIListforMDT__item_,
        TAIListforMDT,
        _TAIforMDT_Item_plmn_ID,
        _TAIforMDT_Item_tAC,
        ____TAIforMDT_Item_iE_Extensions__item__id_tab,
        ___TAIforMDT_Item_iE_Extensions__item__id,
        ____TAIforMDT_Item_iE_Extensions__item__criticality_tab,
        ___TAIforMDT_Item_iE_Extensions__item__criticality,
        ____TAIforMDT_Item_iE_Extensions__item__extensionValue_tab,
        ___TAIforMDT_Item_iE_Extensions__item__extensionValue,
        __TAIforMDT_Item_iE_Extensions__item_,
        _TAIforMDT_Item_iE_Extensions,
        TAIforMDT_Item,
        TAIforMDT_Item_ExtIEs,
        TAC,
        _TAISupport_List__item_,
        TAISupport_List,
        _TAISupport_Item_tac,
        __TAISupport_Item_broadcastPLMNs__item_,
        _TAISupport_Item_broadcastPLMNs,
        ____TAISupport_Item_iE_Extensions__item__id_tab,
        ___TAISupport_Item_iE_Extensions__item__id,
        ____TAISupport_Item_iE_Extensions__item__criticality_tab,
        ___TAISupport_Item_iE_Extensions__item__criticality,
        ____TAISupport_Item_iE_Extensions__item__extensionValue_tab,
        ___TAISupport_Item_iE_Extensions__item__extensionValue,
        __TAISupport_Item_iE_Extensions__item_,
        _TAISupport_Item_iE_Extensions,
        TAISupport_Item,
        TAISupport_Item_ExtIEs,
        _TAListforMDT__item_,
        TAListforMDT,
        TargetCellinEUTRAN,
        _Target_CGI_nr,
        _Target_CGI_e_utra,
        ___Target_CGI_choice_extension_id_tab,
        __Target_CGI_choice_extension_id,
        ___Target_CGI_choice_extension_criticality_tab,
        __Target_CGI_choice_extension_criticality,
        ___Target_CGI_choice_extension_value_tab,
        __Target_CGI_choice_extension_value,
        _Target_CGI_choice_extension,
        Target_CGI,
        TargetCGI_ExtIEs,
        TDDULDLConfigurationCommonNR,
        _TargetCellList__item_,
        TargetCellList,
        _TargetCellList_Item_target_cell,
        ____TargetCellList_Item_iE_Extensions__item__id_tab,
        ___TargetCellList_Item_iE_Extensions__item__id,
        ____TargetCellList_Item_iE_Extensions__item__criticality_tab,
        ___TargetCellList_Item_iE_Extensions__item__criticality,
        ____TargetCellList_Item_iE_Extensions__item__extensionValue_tab,
        ___TargetCellList_Item_iE_Extensions__item__extensionValue,
        __TargetCellList_Item_iE_Extensions__item_,
        _TargetCellList_Item_iE_Extensions,
        TargetCellList_Item,
        TargetCellList_Item_ExtIEs,
        Threshold_RSRQ,
        Threshold_RSRP,
        Threshold_SINR,
        TimeToTrigger,
        TimeToWait,
        _TNLConfigurationInfo_extendedUPTransportLayerAddressesToAdd,
        _TNLConfigurationInfo_extendedUPTransportLayerAddressesToRemove,
        ____TNLConfigurationInfo_iE_Extensions__item__id_tab,
        ___TNLConfigurationInfo_iE_Extensions__item__id,
        ____TNLConfigurationInfo_iE_Extensions__item__criticality_tab,
        ___TNLConfigurationInfo_iE_Extensions__item__criticality,
        ____TNLConfigurationInfo_iE_Extensions__item__extensionValue_tab,
        ___TNLConfigurationInfo_iE_Extensions__item__extensionValue,
        __TNLConfigurationInfo_iE_Extensions__item_,
        _TNLConfigurationInfo_iE_Extensions,
        TNLConfigurationInfo,
        TNLConfigurationInfo_ExtIEs,
        _TNLA_To_Add_List__item_,
        TNLA_To_Add_List,
        _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress,
        _TNLA_To_Add_Item_tNLAssociationUsage,
        ____TNLA_To_Add_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__id,
        ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Add_Item_iE_Extensions__item_,
        _TNLA_To_Add_Item_iE_Extensions,
        TNLA_To_Add_Item,
        TNLA_To_Add_Item_ExtIEs,
        _TNLA_To_Update_List__item_,
        TNLA_To_Update_List,
        _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress,
        _TNLA_To_Update_Item_tNLAssociationUsage,
        ____TNLA_To_Update_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__id,
        ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Update_Item_iE_Extensions__item_,
        _TNLA_To_Update_Item_iE_Extensions,
        TNLA_To_Update_Item,
        TNLA_To_Update_Item_ExtIEs,
        _TNLA_To_Remove_List__item_,
        TNLA_To_Remove_List,
        _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress,
        ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__id,
        ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Remove_Item_iE_Extensions__item_,
        _TNLA_To_Remove_Item_iE_Extensions,
        TNLA_To_Remove_Item,
        TNLA_To_Remove_Item_ExtIEs,
        _TNLA_Setup_List__item_,
        TNLA_Setup_List,
        _TNLA_Setup_Item_tNLAssociationTransportLayerAddress,
        ____TNLA_Setup_Item_iE_Extensions__item__id_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__id,
        ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__criticality,
        ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__extensionValue,
        __TNLA_Setup_Item_iE_Extensions__item_,
        _TNLA_Setup_Item_iE_Extensions,
        TNLA_Setup_Item,
        TNLA_Setup_Item_ExtIEs,
        _TNLA_Failed_To_Setup_List__item_,
        TNLA_Failed_To_Setup_List,
        _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress,
        _TNLA_Failed_To_Setup_Item_cause,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue,
        __TNLA_Failed_To_Setup_Item_iE_Extensions__item_,
        _TNLA_Failed_To_Setup_Item_iE_Extensions,
        TNLA_Failed_To_Setup_Item,
        TNLA_Failed_To_Setup_Item_ExtIEs,
        TNLAssociationUsage,
        TransportLayerAddress,
        _TraceActivation_ng_ran_TraceID,
        _TraceActivation_interfaces_to_trace,
        _TraceActivation_trace_depth,
        _TraceActivation_trace_coll_address,
        ____TraceActivation_ie_Extension__item__id_tab,
        _____TraceActivation_ie_Extension__item__id_tab_val_Extension_0,
        _____TraceActivation_ie_Extension__item__id_tab_val_Extension_1,
        ___TraceActivation_ie_Extension__item__id,
        ___TraceActivation_ie_Extension__item__criticality,
        ___TraceActivation_ie_Extension__item__extensionValue,
        __TraceActivation_ie_Extension__item_,
        _TraceActivation_ie_Extension,
        TraceActivation,
        TraceActivation_ExtIEs,
        _TraceActivation_ExtIEs_val_Extension_0,
        _TraceActivation_ExtIEs_val_Extension_1,
        Trace_Depth,
        _TSCTrafficCharacteristics_tSCAssistanceInformationDownlink,
        _TSCTrafficCharacteristics_tSCAssistanceInformationUplink,
        ____TSCTrafficCharacteristics_ie_Extension__item__id_tab,
        ___TSCTrafficCharacteristics_ie_Extension__item__id,
        ____TSCTrafficCharacteristics_ie_Extension__item__criticality_tab,
        ___TSCTrafficCharacteristics_ie_Extension__item__criticality,
        ____TSCTrafficCharacteristics_ie_Extension__item__extensionValue_tab,
        ___TSCTrafficCharacteristics_ie_Extension__item__extensionValue,
        __TSCTrafficCharacteristics_ie_Extension__item_,
        _TSCTrafficCharacteristics_ie_Extension,
        TSCTrafficCharacteristics,
        TSCTrafficCharacteristics_ExtIEs,
        _TSCAssistanceInformation_periodicity,
        _TSCAssistanceInformation_burstArrivalTime,
        ____TSCAssistanceInformation_ie_Extension__item__id_tab,
        ___TSCAssistanceInformation_ie_Extension__item__id,
        ____TSCAssistanceInformation_ie_Extension__item__criticality_tab,
        ___TSCAssistanceInformation_ie_Extension__item__criticality,
        ____TSCAssistanceInformation_ie_Extension__item__extensionValue_tab,
        ___TSCAssistanceInformation_ie_Extension__item__extensionValue,
        __TSCAssistanceInformation_ie_Extension__item_,
        _TSCAssistanceInformation_ie_Extension,
        TSCAssistanceInformation,
        TSCAssistanceInformation_ExtIEs,
        TypeOfError,
        _UEAggregateMaximumBitRate_dl_UE_AMBR,
        _UEAggregateMaximumBitRate_ul_UE_AMBR,
        ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__id,
        ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__criticality,
        ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue,
        __UEAggregateMaximumBitRate_iE_Extension__item_,
        _UEAggregateMaximumBitRate_iE_Extension,
        UEAggregateMaximumBitRate,
        UEAggregateMaximumBitRate_ExtIEs,
        UEContextKeptIndicator,
        _UEContextID_rRCResume,
        _UEContextID_rRRCReestablishment,
        ___UEContextID_choice_extension_id_tab,
        __UEContextID_choice_extension_id,
        ___UEContextID_choice_extension_criticality_tab,
        __UEContextID_choice_extension_criticality,
        ___UEContextID_choice_extension_value_tab,
        __UEContextID_choice_extension_value,
        _UEContextID_choice_extension,
        UEContextID,
        UEContextID_ExtIEs,
        _UEContextIDforRRCResume_i_rnti,
        _UEContextIDforRRCResume_allocated_c_rnti,
        _UEContextIDforRRCResume_accessPCI,
        ____UEContextIDforRRCResume_iE_Extension__item__id_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__id,
        ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__criticality,
        ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__extensionValue,
        __UEContextIDforRRCResume_iE_Extension__item_,
        _UEContextIDforRRCResume_iE_Extension,
        UEContextIDforRRCResume,
        UEContextIDforRRCResume_ExtIEs,
        _UEContextIDforRRCReestablishment_c_rnti,
        _UEContextIDforRRCReestablishment_failureCellPCI,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__id,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue,
        __UEContextIDforRRCReestablishment_iE_Extension__item_,
        _UEContextIDforRRCReestablishment_iE_Extension,
        UEContextIDforRRCReestablishment,
        UEContextIDforRRCReestablishment_ExtIEs,
        _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref,
        _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source,
        _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities,
        _UEContextInfoRetrUECtxtResp_securityInformation,
        _UEContextInfoRetrUECtxtResp_ue_AMBR,
        _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List,
        _UEContextInfoRetrUECtxtResp_rrc_Context,
        _UEContextInfoRetrUECtxtResp_mobilityRestrictionList,
        _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority,
        ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab,
        _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_0,
        _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_1,
        _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_2,
        _____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab_val_Extension_3,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue,
        __UEContextInfoRetrUECtxtResp_iE_Extension__item_,
        _UEContextInfoRetrUECtxtResp_iE_Extension,
        UEContextInfoRetrUECtxtResp,
        UEContextInfoRetrUECtxtResp_ExtIEs,
        _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_0,
        _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_1,
        _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_2,
        _UEContextInfoRetrUECtxtResp_ExtIEs_val_Extension_3,
        _UEHistoryInformation__item_,
        UEHistoryInformation,
        _UEHistoryInformationFromTheUE_nR,
        ___UEHistoryInformationFromTheUE_choice_extension_id_tab,
        __UEHistoryInformationFromTheUE_choice_extension_id,
        ___UEHistoryInformationFromTheUE_choice_extension_criticality_tab,
        __UEHistoryInformationFromTheUE_choice_extension_criticality,
        ___UEHistoryInformationFromTheUE_choice_extension_value_tab,
        __UEHistoryInformationFromTheUE_choice_extension_value,
        _UEHistoryInformationFromTheUE_choice_extension,
        UEHistoryInformationFromTheUE,
        UEHistoryInformationFromTheUE_ExtIEs,
        _UEIdentityIndexValue_indexLength10,
        ___UEIdentityIndexValue_choice_extension_id_tab,
        __UEIdentityIndexValue_choice_extension_id,
        ___UEIdentityIndexValue_choice_extension_criticality_tab,
        __UEIdentityIndexValue_choice_extension_criticality,
        ___UEIdentityIndexValue_choice_extension_value_tab,
        __UEIdentityIndexValue_choice_extension_value,
        _UEIdentityIndexValue_choice_extension,
        UEIdentityIndexValue,
        UEIdentityIndexValue_ExtIEs,
        _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR,
        _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA,
        ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__id,
        ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__criticality,
        ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue,
        __UERadioCapabilityForPaging_iE_Extensions__item_,
        _UERadioCapabilityForPaging_iE_Extensions,
        UERadioCapabilityForPaging,
        UERadioCapabilityForPaging_ExtIEs,
        UERadioCapabilityForPagingOfNR,
        UERadioCapabilityForPagingOfEUTRA,
        UERadioCapabilityID,
        _UERANPagingIdentity_i_RNTI_full,
        ___UERANPagingIdentity_choice_extension_id_tab,
        __UERANPagingIdentity_choice_extension_id,
        ___UERANPagingIdentity_choice_extension_criticality_tab,
        __UERANPagingIdentity_choice_extension_criticality,
        ___UERANPagingIdentity_choice_extension_value_tab,
        __UERANPagingIdentity_choice_extension_value,
        _UERANPagingIdentity_choice_extension,
        UERANPagingIdentity,
        UERANPagingIdentity_ExtIEs,
        _UERLFReportContainer_nR_UERLFReportContainer,
        _UERLFReportContainer_lTE_UERLFReportContainer,
        ___UERLFReportContainer_choice_Extension_id_tab,
        __UERLFReportContainer_choice_Extension_id,
        ___UERLFReportContainer_choice_Extension_criticality_tab,
        __UERLFReportContainer_choice_Extension_criticality,
        ___UERLFReportContainer_choice_Extension_value_tab,
        __UERLFReportContainer_choice_Extension_value,
        _UERLFReportContainer_choice_Extension,
        UERLFReportContainer,
        UERLFReportContainer_ExtIEs,
        UERLFReportContainerLTE,
        UERLFReportContainerNR,
        _UESecurityCapabilities_nr_EncyptionAlgorithms,
        _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms,
        _UESecurityCapabilities_e_utra_EncyptionAlgorithms,
        _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms,
        ____UESecurityCapabilities_iE_Extension__item__id_tab,
        ___UESecurityCapabilities_iE_Extension__item__id,
        ____UESecurityCapabilities_iE_Extension__item__criticality_tab,
        ___UESecurityCapabilities_iE_Extension__item__criticality,
        ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab,
        ___UESecurityCapabilities_iE_Extension__item__extensionValue,
        __UESecurityCapabilities_iE_Extension__item_,
        _UESecurityCapabilities_iE_Extension,
        UESecurityCapabilities,
        UESecurityCapabilities_ExtIEs,
        UESpecificDRX,
        _ULConfiguration_uL_PDCP,
        ____ULConfiguration_iE_Extensions__item__id_tab,
        ___ULConfiguration_iE_Extensions__item__id,
        ____ULConfiguration_iE_Extensions__item__criticality_tab,
        ___ULConfiguration_iE_Extensions__item__criticality,
        ____ULConfiguration_iE_Extensions__item__extensionValue_tab,
        ___ULConfiguration_iE_Extensions__item__extensionValue,
        __ULConfiguration_iE_Extensions__item_,
        _ULConfiguration_iE_Extensions,
        ULConfiguration,
        ULConfiguration_ExtIEs,
        UL_UE_Configuration,
        ULForwarding,
        ULForwardingProposal,
        UL_GBR_PRB_usage,
        UL_non_GBR_PRB_usage,
        UL_Total_PRB_usage,
        _UPTransportLayerInformation_gtpTunnel,
        ___UPTransportLayerInformation_choice_extension_id_tab,
        __UPTransportLayerInformation_choice_extension_id,
        ___UPTransportLayerInformation_choice_extension_criticality_tab,
        __UPTransportLayerInformation_choice_extension_criticality,
        ___UPTransportLayerInformation_choice_extension_value_tab,
        __UPTransportLayerInformation_choice_extension_value,
        _UPTransportLayerInformation_choice_extension,
        UPTransportLayerInformation,
        UPTransportLayerInformation_ExtIEs,
        _UPTransportParameters__item_,
        UPTransportParameters,
        _UPTransportParametersItem_upTNLInfo,
        _UPTransportParametersItem_cellGroupID,
        ____UPTransportParametersItem_iE_Extension__item__id_tab,
        _____UPTransportParametersItem_iE_Extension__item__id_tab_val_Extension_0,
        ___UPTransportParametersItem_iE_Extension__item__id,
        ___UPTransportParametersItem_iE_Extension__item__criticality,
        ___UPTransportParametersItem_iE_Extension__item__extensionValue,
        __UPTransportParametersItem_iE_Extension__item_,
        _UPTransportParametersItem_iE_Extension,
        UPTransportParametersItem,
        UPTransportParametersItem_ExtIEs,
        _UPTransportParametersItem_ExtIEs_val_Extension_0,
        UserPlaneTrafficActivityReport,
        URIaddress,
        VehicleUE,
        _VolumeTimedReportList__item_,
        VolumeTimedReportList,
        _VolumeTimedReport_Item_startTimeStamp,
        _VolumeTimedReport_Item_endTimeStamp,
        _VolumeTimedReport_Item_usageCountUL,
        _VolumeTimedReport_Item_usageCountDL,
        ____VolumeTimedReport_Item_iE_Extensions__item__id_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__id,
        ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__criticality,
        ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue,
        __VolumeTimedReport_Item_iE_Extensions__item_,
        _VolumeTimedReport_Item_iE_Extensions,
        VolumeTimedReport_Item,
        VolumeTimedReport_Item_ExtIEs,
        _WLANMeasurementConfiguration_wlanMeasConfig,
        _WLANMeasurementConfiguration_wlanMeasConfigNameList,
        _WLANMeasurementConfiguration_wlan_rssi,
        _WLANMeasurementConfiguration_wlan_rtt,
        ____WLANMeasurementConfiguration_iE_Extensions__item__id_tab,
        ___WLANMeasurementConfiguration_iE_Extensions__item__id,
        ____WLANMeasurementConfiguration_iE_Extensions__item__criticality_tab,
        ___WLANMeasurementConfiguration_iE_Extensions__item__criticality,
        ____WLANMeasurementConfiguration_iE_Extensions__item__extensionValue_tab,
        ___WLANMeasurementConfiguration_iE_Extensions__item__extensionValue,
        __WLANMeasurementConfiguration_iE_Extensions__item_,
        _WLANMeasurementConfiguration_iE_Extensions,
        WLANMeasurementConfiguration,
        WLANMeasurementConfiguration_ExtIEs,
        _WLANMeasConfigNameList__item_,
        WLANMeasConfigNameList,
        WLANMeasConfig,
        WLANName,
        XnBenefitValue,
    ]

class XnAP_PDU_Contents:

    _name_  = 'XnAP-PDU-Contents'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 1]
    
    _obj_ = [
        'HandoverRequest',
        'HandoverRequest-IEs',
        'UEContextInfoHORequest',
        'UEContextInfoHORequest-ExtIEs',
        'UEContextRefAtSN-HORequest',
        'UEContextRefAtSN-HORequest-ExtIEs',
        'HandoverRequestAcknowledge',
        'HandoverRequestAcknowledge-IEs',
        'HandoverPreparationFailure',
        'HandoverPreparationFailure-IEs',
        'SNStatusTransfer',
        'SNStatusTransfer-IEs',
        'UEContextRelease',
        'UEContextRelease-IEs',
        'HandoverCancel',
        'HandoverCancel-IEs',
        'HandoverSuccess',
        'HandoverSuccess-IEs',
        'ConditionalHandoverCancel',
        'ConditionalHandoverCancel-IEs',
        'EarlyStatusTransfer',
        'EarlyStatusTransfer-IEs',
        'ProcedureStageChoice',
        'ProcedureStageChoice-ExtIEs',
        'FirstDLCount',
        'FirstDLCount-ExtIEs',
        'DLDiscarding',
        'DLDiscarding-ExtIEs',
        'RANPaging',
        'RANPaging-IEs',
        'RetrieveUEContextRequest',
        'RetrieveUEContextRequest-IEs',
        'RetrieveUEContextResponse',
        'RetrieveUEContextResponse-IEs',
        'RetrieveUEContextFailure',
        'RetrieveUEContextFailure-IEs',
        'XnUAddressIndication',
        'XnUAddressIndication-IEs',
        'SNodeAdditionRequest',
        'SNodeAdditionRequest-IEs',
        'PDUSessionToBeAddedAddReq',
        'PDUSessionToBeAddedAddReq-Item',
        'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        'RequestedFastMCGRecoveryViaSRB3',
        'SNodeAdditionRequestAcknowledge',
        'SNodeAdditionRequestAcknowledge-IEs',
        'PDUSessionAdmittedAddedAddReqAck',
        'PDUSessionAdmittedAddedAddReqAck-Item',
        'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        'PDUSessionNotAdmittedAddReqAck',
        'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        'AvailableFastMCGRecoveryViaSRB3',
        'SNodeAdditionRequestReject',
        'SNodeAdditionRequestReject-IEs',
        'SNodeReconfigurationComplete',
        'SNodeReconfigurationComplete-IEs',
        'ResponseInfo-ReconfCompl',
        'ResponseInfo-ReconfCompl-ExtIEs',
        'ResponseType-ReconfComplete',
        'ResponseType-ReconfComplete-ExtIEs',
        'Configuration-successfully-applied',
        'Configuration-successfully-applied-ExtIEs',
        'Configuration-rejected-by-M-NG-RANNode',
        'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        'SNodeModificationRequest',
        'SNodeModificationRequest-IEs',
        'UEContextInfo-SNModRequest',
        'UEContextInfo-SNModRequest-ExtIEs',
        'PDUSessionsToBeAdded-SNModRequest-List',
        'PDUSessionsToBeAdded-SNModRequest-Item',
        'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeModified-SNModRequest-List',
        'PDUSessionsToBeModified-SNModRequest-Item',
        'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeReleased-SNModRequest-List',
        'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        'RequestedFastMCGRecoveryViaSRB3Release',
        'SNodeModificationRequestAcknowledge',
        'SNodeModificationRequestAcknowledge-IEs',
        'PDUSessionAdmitted-SNModResponse',
        'PDUSessionAdmitted-SNModResponse-ExtIEs',
        'PDUSessionAdmittedToBeAddedSNModResponse',
        'PDUSessionAdmittedToBeAddedSNModResponse-Item',
        'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeModifiedSNModResponse',
        'PDUSessionAdmittedToBeModifiedSNModResponse-Item',
        'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeReleasedSNModResponse',
        'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        'PDUSessionNotAdmitted-SNModResponse',
        'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        'PDUSessionDataForwarding-SNModResponse',
        'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        'ReleaseFastMCGRecoveryViaSRB3',
        'SNodeModificationRequestReject',
        'SNodeModificationRequestReject-IEs',
        'SNodeModificationRequired',
        'SNodeModificationRequired-IEs',
        'PDUSessionToBeModifiedSNModRequired',
        'PDUSessionToBeModifiedSNModRequired-Item',
        'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        'PDUSessionToBeReleasedSNModRequired',
        'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        'SNodeModificationConfirm',
        'SNodeModificationConfirm-IEs',
        'PDUSessionAdmittedModSNModConfirm',
        'PDUSessionAdmittedModSNModConfirm-Item',
        'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        'PDUSessionReleasedSNModConfirm',
        'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        'SNodeModificationRefuse',
        'SNodeModificationRefuse-IEs',
        'SNodeReleaseRequest',
        'SNodeReleaseRequest-IEs',
        'SNodeReleaseRequestAcknowledge',
        'SNodeReleaseRequestAcknowledge-IEs',
        'PDUSessionToBeReleasedList-RelReqAck',
        'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        'SNodeReleaseReject',
        'SNodeReleaseReject-IEs',
        'SNodeReleaseRequired',
        'SNodeReleaseRequired-IEs',
        'PDUSessionToBeReleasedList-RelRqd',
        'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        'SNodeReleaseConfirm',
        'SNodeReleaseConfirm-IEs',
        'PDUSessionReleasedList-RelConf',
        'PDUSessionReleasedList-RelConf-ExtIEs',
        'SNodeCounterCheckRequest',
        'SNodeCounterCheckRequest-IEs',
        'BearersSubjectToCounterCheck-List',
        'BearersSubjectToCounterCheck-Item',
        'BearersSubjectToCounterCheck-Item-ExtIEs',
        'SNodeChangeRequired',
        'SNodeChangeRequired-IEs',
        'PDUSession-SNChangeRequired-List',
        'PDUSession-SNChangeRequired-Item',
        'PDUSession-SNChangeRequired-Item-ExtIEs',
        'SNodeChangeConfirm',
        'SNodeChangeConfirm-IEs',
        'PDUSession-SNChangeConfirm-List',
        'PDUSession-SNChangeConfirm-Item',
        'PDUSession-SNChangeConfirm-Item-ExtIEs',
        'SNodeChangeRefuse',
        'SNodeChangeRefuse-IEs',
        'RRCTransfer',
        'RRCTransfer-IEs',
        'SplitSRB-RRCTransfer',
        'SplitSRB-RRCTransfer-ExtIEs',
        'UEReportRRCTransfer',
        'UEReportRRCTransfer-ExtIEs',
        'FastMCGRecoveryRRCTransfer',
        'FastMCGRecoveryRRCTransfer-ExtIEs',
        'NotificationControlIndication',
        'NotificationControlIndication-IEs',
        'PDUSessionResourcesNotifyList',
        'PDUSessionResourcesNotify-Item',
        'PDUSessionResourcesNotify-Item-ExtIEs',
        'ActivityNotification',
        'ActivityNotification-IEs',
        'PDUSessionResourcesActivityNotifyList',
        'PDUSessionResourcesActivityNotify-Item',
        'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        'QoSFlowsActivityNotifyList',
        'QoSFlowsActivityNotifyItem',
        'QoSFlowsActivityNotifyItem-ExtIEs',
        'XnSetupRequest',
        'XnSetupRequest-IEs',
        'XnSetupResponse',
        'XnSetupResponse-IEs',
        'XnSetupFailure',
        'XnSetupFailure-IEs',
        'NGRANNodeConfigurationUpdate',
        'NGRANNodeConfigurationUpdate-IEs',
        'ConfigurationUpdateInitiatingNodeChoice',
        'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        'ConfigurationUpdate-gNB',
        'ConfigurationUpdate-ng-eNB',
        'NGRANNodeConfigurationUpdateAcknowledge',
        'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        'RespondingNodeTypeConfigUpdateAck',
        'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-ng-eNB',
        'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-gNB',
        'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        'NGRANNodeConfigurationUpdateFailure',
        'NGRANNodeConfigurationUpdateFailure-IEs',
        'E-UTRA-NR-CellResourceCoordinationRequest',
        'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        'InitiatingNodeType-ResourceCoordRequest',
        'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        'ResourceCoordRequest-ng-eNB-initiated',
        'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        'ResourceCoordRequest-gNB-initiated',
        'ResourceCoordRequest-gNB-initiated-ExtIEs',
        'E-UTRA-NR-CellResourceCoordinationResponse',
        'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        'RespondingNodeType-ResourceCoordResponse',
        'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        'ResourceCoordResponse-ng-eNB-initiated',
        'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        'ResourceCoordResponse-gNB-initiated',
        'ResourceCoordResponse-gNB-initiated-ExtIEs',
        'SecondaryRATDataUsageReport',
        'SecondaryRATDataUsageReport-IEs',
        'XnRemovalRequest',
        'XnRemovalRequest-IEs',
        'XnRemovalResponse',
        'XnRemovalResponse-IEs',
        'XnRemovalFailure',
        'XnRemovalFailure-IEs',
        'CellActivationRequest',
        'CellActivationRequest-IEs',
        'ServedCellsToActivate',
        'ServedCellsToActivate-ExtIEs',
        'CellActivationResponse',
        'CellActivationResponse-IEs',
        'ActivatedServedCells',
        'ActivatedServedCells-ExtIEs',
        'CellActivationFailure',
        'CellActivationFailure-IEs',
        'ResetRequest',
        'ResetRequest-IEs',
        'ResetResponse',
        'ResetResponse-IEs',
        'ErrorIndication',
        'ErrorIndication-IEs',
        'PrivateMessage',
        'PrivateMessage-IEs',
        'TraceStart',
        'TraceStartIEs',
        'DeactivateTrace',
        'DeactivateTraceIEs',
        'FailureIndication',
        'FailureIndication-IEs',
        'HandoverReport',
        'HandoverReport-IEs',
        'ResourceStatusRequest',
        'ResourceStatusRequest-IEs',
        'ResourceStatusResponse',
        'ResourceStatusResponse-IEs',
        'ResourceStatusFailure',
        'ResourceStatusFailure-IEs',
        'ResourceStatusUpdate',
        'ResourceStatusUpdate-IEs',
        'MobilityChangeRequest',
        'MobilityChangeRequest-IEs',
        'MobilityChangeAcknowledge',
        'MobilityChangeAcknowledge-IEs',
        'MobilityChangeFailure',
        'MobilityChangeFailure-IEs',
        'AccessAndMobilityIndication',
        'AccessAndMobilityIndication-IEs',
        ]
    _type_ = [
        'HandoverRequest',
        'UEContextInfoHORequest',
        'UEContextRefAtSN-HORequest',
        'HandoverRequestAcknowledge',
        'HandoverPreparationFailure',
        'SNStatusTransfer',
        'UEContextRelease',
        'HandoverCancel',
        'HandoverSuccess',
        'ConditionalHandoverCancel',
        'EarlyStatusTransfer',
        'ProcedureStageChoice',
        'FirstDLCount',
        'DLDiscarding',
        'RANPaging',
        'RetrieveUEContextRequest',
        'RetrieveUEContextResponse',
        'RetrieveUEContextFailure',
        'XnUAddressIndication',
        'SNodeAdditionRequest',
        'PDUSessionToBeAddedAddReq',
        'PDUSessionToBeAddedAddReq-Item',
        'RequestedFastMCGRecoveryViaSRB3',
        'SNodeAdditionRequestAcknowledge',
        'PDUSessionAdmittedAddedAddReqAck',
        'PDUSessionAdmittedAddedAddReqAck-Item',
        'PDUSessionNotAdmittedAddReqAck',
        'AvailableFastMCGRecoveryViaSRB3',
        'SNodeAdditionRequestReject',
        'SNodeReconfigurationComplete',
        'ResponseInfo-ReconfCompl',
        'ResponseType-ReconfComplete',
        'Configuration-successfully-applied',
        'Configuration-rejected-by-M-NG-RANNode',
        'SNodeModificationRequest',
        'UEContextInfo-SNModRequest',
        'PDUSessionsToBeAdded-SNModRequest-List',
        'PDUSessionsToBeAdded-SNModRequest-Item',
        'PDUSessionsToBeModified-SNModRequest-List',
        'PDUSessionsToBeModified-SNModRequest-Item',
        'PDUSessionsToBeReleased-SNModRequest-List',
        'RequestedFastMCGRecoveryViaSRB3Release',
        'SNodeModificationRequestAcknowledge',
        'PDUSessionAdmitted-SNModResponse',
        'PDUSessionAdmittedToBeAddedSNModResponse',
        'PDUSessionAdmittedToBeAddedSNModResponse-Item',
        'PDUSessionAdmittedToBeModifiedSNModResponse',
        'PDUSessionAdmittedToBeModifiedSNModResponse-Item',
        'PDUSessionAdmittedToBeReleasedSNModResponse',
        'PDUSessionNotAdmitted-SNModResponse',
        'PDUSessionDataForwarding-SNModResponse',
        'ReleaseFastMCGRecoveryViaSRB3',
        'SNodeModificationRequestReject',
        'SNodeModificationRequired',
        'PDUSessionToBeModifiedSNModRequired',
        'PDUSessionToBeModifiedSNModRequired-Item',
        'PDUSessionToBeReleasedSNModRequired',
        'SNodeModificationConfirm',
        'PDUSessionAdmittedModSNModConfirm',
        'PDUSessionAdmittedModSNModConfirm-Item',
        'PDUSessionReleasedSNModConfirm',
        'SNodeModificationRefuse',
        'SNodeReleaseRequest',
        'SNodeReleaseRequestAcknowledge',
        'PDUSessionToBeReleasedList-RelReqAck',
        'SNodeReleaseReject',
        'SNodeReleaseRequired',
        'PDUSessionToBeReleasedList-RelRqd',
        'SNodeReleaseConfirm',
        'PDUSessionReleasedList-RelConf',
        'SNodeCounterCheckRequest',
        'BearersSubjectToCounterCheck-List',
        'BearersSubjectToCounterCheck-Item',
        'SNodeChangeRequired',
        'PDUSession-SNChangeRequired-List',
        'PDUSession-SNChangeRequired-Item',
        'SNodeChangeConfirm',
        'PDUSession-SNChangeConfirm-List',
        'PDUSession-SNChangeConfirm-Item',
        'SNodeChangeRefuse',
        'RRCTransfer',
        'SplitSRB-RRCTransfer',
        'UEReportRRCTransfer',
        'FastMCGRecoveryRRCTransfer',
        'NotificationControlIndication',
        'PDUSessionResourcesNotifyList',
        'PDUSessionResourcesNotify-Item',
        'ActivityNotification',
        'PDUSessionResourcesActivityNotifyList',
        'PDUSessionResourcesActivityNotify-Item',
        'QoSFlowsActivityNotifyList',
        'QoSFlowsActivityNotifyItem',
        'XnSetupRequest',
        'XnSetupResponse',
        'XnSetupFailure',
        'NGRANNodeConfigurationUpdate',
        'ConfigurationUpdateInitiatingNodeChoice',
        'NGRANNodeConfigurationUpdateAcknowledge',
        'RespondingNodeTypeConfigUpdateAck',
        'RespondingNodeTypeConfigUpdateAck-ng-eNB',
        'RespondingNodeTypeConfigUpdateAck-gNB',
        'NGRANNodeConfigurationUpdateFailure',
        'E-UTRA-NR-CellResourceCoordinationRequest',
        'InitiatingNodeType-ResourceCoordRequest',
        'ResourceCoordRequest-ng-eNB-initiated',
        'ResourceCoordRequest-gNB-initiated',
        'E-UTRA-NR-CellResourceCoordinationResponse',
        'RespondingNodeType-ResourceCoordResponse',
        'ResourceCoordResponse-ng-eNB-initiated',
        'ResourceCoordResponse-gNB-initiated',
        'SecondaryRATDataUsageReport',
        'XnRemovalRequest',
        'XnRemovalResponse',
        'XnRemovalFailure',
        'CellActivationRequest',
        'ServedCellsToActivate',
        'CellActivationResponse',
        'ActivatedServedCells',
        'CellActivationFailure',
        'ResetRequest',
        'ResetResponse',
        'ErrorIndication',
        'PrivateMessage',
        'TraceStart',
        'DeactivateTrace',
        'FailureIndication',
        'HandoverReport',
        'ResourceStatusRequest',
        'ResourceStatusResponse',
        'ResourceStatusFailure',
        'ResourceStatusUpdate',
        'MobilityChangeRequest',
        'MobilityChangeAcknowledge',
        'MobilityChangeFailure',
        'AccessAndMobilityIndication',
        ]
    _set_ = [
        'HandoverRequest-IEs',
        'UEContextInfoHORequest-ExtIEs',
        'UEContextRefAtSN-HORequest-ExtIEs',
        'HandoverRequestAcknowledge-IEs',
        'HandoverPreparationFailure-IEs',
        'SNStatusTransfer-IEs',
        'UEContextRelease-IEs',
        'HandoverCancel-IEs',
        'HandoverSuccess-IEs',
        'ConditionalHandoverCancel-IEs',
        'EarlyStatusTransfer-IEs',
        'ProcedureStageChoice-ExtIEs',
        'FirstDLCount-ExtIEs',
        'DLDiscarding-ExtIEs',
        'RANPaging-IEs',
        'RetrieveUEContextRequest-IEs',
        'RetrieveUEContextResponse-IEs',
        'RetrieveUEContextFailure-IEs',
        'XnUAddressIndication-IEs',
        'SNodeAdditionRequest-IEs',
        'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        'SNodeAdditionRequestAcknowledge-IEs',
        'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        'SNodeAdditionRequestReject-IEs',
        'SNodeReconfigurationComplete-IEs',
        'ResponseInfo-ReconfCompl-ExtIEs',
        'ResponseType-ReconfComplete-ExtIEs',
        'Configuration-successfully-applied-ExtIEs',
        'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        'SNodeModificationRequest-IEs',
        'UEContextInfo-SNModRequest-ExtIEs',
        'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        'SNodeModificationRequestAcknowledge-IEs',
        'PDUSessionAdmitted-SNModResponse-ExtIEs',
        'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        'SNodeModificationRequestReject-IEs',
        'SNodeModificationRequired-IEs',
        'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        'SNodeModificationConfirm-IEs',
        'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        'SNodeModificationRefuse-IEs',
        'SNodeReleaseRequest-IEs',
        'SNodeReleaseRequestAcknowledge-IEs',
        'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        'SNodeReleaseReject-IEs',
        'SNodeReleaseRequired-IEs',
        'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        'SNodeReleaseConfirm-IEs',
        'PDUSessionReleasedList-RelConf-ExtIEs',
        'SNodeCounterCheckRequest-IEs',
        'BearersSubjectToCounterCheck-Item-ExtIEs',
        'SNodeChangeRequired-IEs',
        'PDUSession-SNChangeRequired-Item-ExtIEs',
        'SNodeChangeConfirm-IEs',
        'PDUSession-SNChangeConfirm-Item-ExtIEs',
        'SNodeChangeRefuse-IEs',
        'RRCTransfer-IEs',
        'SplitSRB-RRCTransfer-ExtIEs',
        'UEReportRRCTransfer-ExtIEs',
        'FastMCGRecoveryRRCTransfer-ExtIEs',
        'NotificationControlIndication-IEs',
        'PDUSessionResourcesNotify-Item-ExtIEs',
        'ActivityNotification-IEs',
        'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        'QoSFlowsActivityNotifyItem-ExtIEs',
        'XnSetupRequest-IEs',
        'XnSetupResponse-IEs',
        'XnSetupFailure-IEs',
        'NGRANNodeConfigurationUpdate-IEs',
        'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        'ConfigurationUpdate-gNB',
        'ConfigurationUpdate-ng-eNB',
        'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        'NGRANNodeConfigurationUpdateFailure-IEs',
        'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        'ResourceCoordRequest-gNB-initiated-ExtIEs',
        'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        'ResourceCoordResponse-gNB-initiated-ExtIEs',
        'SecondaryRATDataUsageReport-IEs',
        'XnRemovalRequest-IEs',
        'XnRemovalResponse-IEs',
        'XnRemovalFailure-IEs',
        'CellActivationRequest-IEs',
        'ServedCellsToActivate-ExtIEs',
        'CellActivationResponse-IEs',
        'ActivatedServedCells-ExtIEs',
        'CellActivationFailure-IEs',
        'ResetRequest-IEs',
        'ResetResponse-IEs',
        'ErrorIndication-IEs',
        'PrivateMessage-IEs',
        'TraceStartIEs',
        'DeactivateTraceIEs',
        'FailureIndication-IEs',
        'HandoverReport-IEs',
        'ResourceStatusRequest-IEs',
        'ResourceStatusResponse-IEs',
        'ResourceStatusFailure-IEs',
        'ResourceStatusUpdate-IEs',
        'MobilityChangeRequest-IEs',
        'MobilityChangeAcknowledge-IEs',
        'MobilityChangeFailure-IEs',
        'AccessAndMobilityIndication-IEs',
        ]
    _val_ = [
        ]
    _class_ = [
        'HandoverRequest-IEs',
        'UEContextInfoHORequest-ExtIEs',
        'UEContextRefAtSN-HORequest-ExtIEs',
        'HandoverRequestAcknowledge-IEs',
        'HandoverPreparationFailure-IEs',
        'SNStatusTransfer-IEs',
        'UEContextRelease-IEs',
        'HandoverCancel-IEs',
        'HandoverSuccess-IEs',
        'ConditionalHandoverCancel-IEs',
        'EarlyStatusTransfer-IEs',
        'ProcedureStageChoice-ExtIEs',
        'FirstDLCount-ExtIEs',
        'DLDiscarding-ExtIEs',
        'RANPaging-IEs',
        'RetrieveUEContextRequest-IEs',
        'RetrieveUEContextResponse-IEs',
        'RetrieveUEContextFailure-IEs',
        'XnUAddressIndication-IEs',
        'SNodeAdditionRequest-IEs',
        'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        'SNodeAdditionRequestAcknowledge-IEs',
        'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        'SNodeAdditionRequestReject-IEs',
        'SNodeReconfigurationComplete-IEs',
        'ResponseInfo-ReconfCompl-ExtIEs',
        'ResponseType-ReconfComplete-ExtIEs',
        'Configuration-successfully-applied-ExtIEs',
        'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        'SNodeModificationRequest-IEs',
        'UEContextInfo-SNModRequest-ExtIEs',
        'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        'SNodeModificationRequestAcknowledge-IEs',
        'PDUSessionAdmitted-SNModResponse-ExtIEs',
        'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        'SNodeModificationRequestReject-IEs',
        'SNodeModificationRequired-IEs',
        'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        'SNodeModificationConfirm-IEs',
        'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        'SNodeModificationRefuse-IEs',
        'SNodeReleaseRequest-IEs',
        'SNodeReleaseRequestAcknowledge-IEs',
        'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        'SNodeReleaseReject-IEs',
        'SNodeReleaseRequired-IEs',
        'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        'SNodeReleaseConfirm-IEs',
        'PDUSessionReleasedList-RelConf-ExtIEs',
        'SNodeCounterCheckRequest-IEs',
        'BearersSubjectToCounterCheck-Item-ExtIEs',
        'SNodeChangeRequired-IEs',
        'PDUSession-SNChangeRequired-Item-ExtIEs',
        'SNodeChangeConfirm-IEs',
        'PDUSession-SNChangeConfirm-Item-ExtIEs',
        'SNodeChangeRefuse-IEs',
        'RRCTransfer-IEs',
        'SplitSRB-RRCTransfer-ExtIEs',
        'UEReportRRCTransfer-ExtIEs',
        'FastMCGRecoveryRRCTransfer-ExtIEs',
        'NotificationControlIndication-IEs',
        'PDUSessionResourcesNotify-Item-ExtIEs',
        'ActivityNotification-IEs',
        'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        'QoSFlowsActivityNotifyItem-ExtIEs',
        'XnSetupRequest-IEs',
        'XnSetupResponse-IEs',
        'XnSetupFailure-IEs',
        'NGRANNodeConfigurationUpdate-IEs',
        'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        'ConfigurationUpdate-gNB',
        'ConfigurationUpdate-ng-eNB',
        'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        'NGRANNodeConfigurationUpdateFailure-IEs',
        'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        'ResourceCoordRequest-gNB-initiated-ExtIEs',
        'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        'ResourceCoordResponse-gNB-initiated-ExtIEs',
        'SecondaryRATDataUsageReport-IEs',
        'XnRemovalRequest-IEs',
        'XnRemovalResponse-IEs',
        'XnRemovalFailure-IEs',
        'CellActivationRequest-IEs',
        'ServedCellsToActivate-ExtIEs',
        'CellActivationResponse-IEs',
        'ActivatedServedCells-ExtIEs',
        'CellActivationFailure-IEs',
        'ResetRequest-IEs',
        'ResetResponse-IEs',
        'ErrorIndication-IEs',
        'PrivateMessage-IEs',
        'TraceStartIEs',
        'DeactivateTraceIEs',
        'FailureIndication-IEs',
        'HandoverReport-IEs',
        'ResourceStatusRequest-IEs',
        'ResourceStatusResponse-IEs',
        'ResourceStatusFailure-IEs',
        'ResourceStatusUpdate-IEs',
        'MobilityChangeRequest-IEs',
        'MobilityChangeAcknowledge-IEs',
        'MobilityChangeFailure-IEs',
        'AccessAndMobilityIndication-IEs',
        ]
    _param_ = [
        ]
    
    #-----< HandoverRequest >-----#
    HandoverRequest = SEQ(name='HandoverRequest', mode=MODE_TYPE)
    _HandoverRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfoHORequest')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRefAtSN-HORequest')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHOinformation-Req')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRV2XServicesAuthorized')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_11 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEV2XServicesAuthorized')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_12 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSParameters')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_13 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityInformation')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_14 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformationFromTheUE')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_15 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'IABNodeIndication')))
    ____HandoverRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 78), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 15), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 83), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 88), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7), ('presence', 'mandatory')]), dict([('id', 87), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 158), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 170), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 169), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 173), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 176), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')]), dict([('id', 178), ('criticality', 'ignore'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_14), ('presence', 'optional')]), dict([('id', 206), ('criticality', 'reject'), ('Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_15), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___HandoverRequest_protocolIEs__item__id._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__id._const_tab_at = None
    ___HandoverRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverRequest_protocolIEs__item__criticality._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverRequest_protocolIEs__item__value._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverRequest_protocolIEs__item__id),
        ('criticality', ___HandoverRequest_protocolIEs__item__criticality),
        ('value', ___HandoverRequest_protocolIEs__item__value),
        ])
    __HandoverRequest_protocolIEs__item_._ext = None
    _HandoverRequest_protocolIEs._cont = __HandoverRequest_protocolIEs__item_
    _HandoverRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverRequest._cont = ASN1Dict([
        ('protocolIEs', _HandoverRequest_protocolIEs),
        ])
    HandoverRequest._ext = []
    
    #-----< HandoverRequest-IEs >-----#
    HandoverRequest_IEs = CLASS(name='HandoverRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequest_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverRequest_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _HandoverRequest_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _HandoverRequest_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfoHORequest')))
    _HandoverRequest_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _HandoverRequest_IEs_val_Value_6 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _HandoverRequest_IEs_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _HandoverRequest_IEs_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRefAtSN-HORequest')))
    _HandoverRequest_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHOinformation-Req')))
    _HandoverRequest_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRV2XServicesAuthorized')))
    _HandoverRequest_IEs_val_Value_11 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEV2XServicesAuthorized')))
    _HandoverRequest_IEs_val_Value_12 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSParameters')))
    _HandoverRequest_IEs_val_Value_13 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityInformation')))
    _HandoverRequest_IEs_val_Value_14 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformationFromTheUE')))
    _HandoverRequest_IEs_val_Value_15 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'IABNodeIndication')))
    HandoverRequest_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 78), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 15), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 83), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_4), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 88), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_7), ('presence', 'mandatory')]), dict([('id', 87), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 158), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 170), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 169), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 173), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 176), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_13), ('presence', 'optional')]), dict([('id', 178), ('criticality', 'ignore'), ('Value', _HandoverRequest_IEs_val_Value_14), ('presence', 'optional')]), dict([('id', 206), ('criticality', 'reject'), ('Value', _HandoverRequest_IEs_val_Value_15), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEContextInfoHORequest >-----#
    UEContextInfoHORequest = SEQ(name='UEContextInfoHORequest', mode=MODE_TYPE)
    _UEContextInfoHORequest_ng_c_UE_reference = INT(name='ng-c-UE-reference', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AMF-UE-NGAP-ID')))
    _UEContextInfoHORequest_cp_TNL_info_source = CHOICE(name='cp-TNL-info-source', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _UEContextInfoHORequest_ueSecurityCapabilities = SEQ(name='ueSecurityCapabilities', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _UEContextInfoHORequest_securityInformation = SEQ(name='securityInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AS-SecurityInformation')))
    _UEContextInfoHORequest_indexToRatFrequencySelectionPriority = INT(name='indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfoHORequest_ue_AMBR = SEQ(name='ue-AMBR', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List = SEQ_OF(name='pduSessionResourcesToBeSetup-List', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-List')))
    _UEContextInfoHORequest_rrc_Context = OCT_STR(name='rrc-Context', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEContextInfoHORequest_locationReportingInformation = SEQ(name='locationReportingInformation', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')), opt=True)
    _UEContextInfoHORequest_mrl = SEQ(name='mrl', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')), opt=True)
    _UEContextInfoHORequest_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfoHORequest_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfoHORequest_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextInfoHORequest_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FiveGCMobilityRestrictionListContainer')))
    _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRUESidelinkAggregateMaximumBitRate')))
    _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEUESidelinkAggregateMaximumBitRate')))
    _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_3 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    ____UEContextInfoHORequest_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([('id', 155), ('criticality', 'ignore'), ('Extension', _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 172), ('criticality', 'ignore'), ('Extension', _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 171), ('criticality', 'ignore'), ('Extension', _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_2), ('presence', 'optional')]), dict([('id', 225), ('criticality', 'ignore'), ('Extension', _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_3), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Extension', _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__id_tab
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab_at = None
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab_id = 'id'
    ___UEContextInfoHORequest_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__id_tab
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__id_tab
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __UEContextInfoHORequest_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___UEContextInfoHORequest_iE_Extensions__item__id),
        ('criticality', ___UEContextInfoHORequest_iE_Extensions__item__criticality),
        ('extensionValue', ___UEContextInfoHORequest_iE_Extensions__item__extensionValue),
        ])
    __UEContextInfoHORequest_iE_Extensions__item_._ext = None
    _UEContextInfoHORequest_iE_Extensions._cont = __UEContextInfoHORequest_iE_Extensions__item_
    _UEContextInfoHORequest_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfoHORequest._cont = ASN1Dict([
        ('ng-c-UE-reference', _UEContextInfoHORequest_ng_c_UE_reference),
        ('cp-TNL-info-source', _UEContextInfoHORequest_cp_TNL_info_source),
        ('ueSecurityCapabilities', _UEContextInfoHORequest_ueSecurityCapabilities),
        ('securityInformation', _UEContextInfoHORequest_securityInformation),
        ('indexToRatFrequencySelectionPriority', _UEContextInfoHORequest_indexToRatFrequencySelectionPriority),
        ('ue-AMBR', _UEContextInfoHORequest_ue_AMBR),
        ('pduSessionResourcesToBeSetup-List', _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List),
        ('rrc-Context', _UEContextInfoHORequest_rrc_Context),
        ('locationReportingInformation', _UEContextInfoHORequest_locationReportingInformation),
        ('mrl', _UEContextInfoHORequest_mrl),
        ('iE-Extensions', _UEContextInfoHORequest_iE_Extensions),
        ])
    UEContextInfoHORequest._ext = []
    
    #-----< UEContextInfoHORequest-ExtIEs >-----#
    UEContextInfoHORequest_ExtIEs = CLASS(name='UEContextInfoHORequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _UEContextInfoHORequest_ExtIEs_val_Extension_0 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'FiveGCMobilityRestrictionListContainer')))
    _UEContextInfoHORequest_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRUESidelinkAggregateMaximumBitRate')))
    _UEContextInfoHORequest_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEUESidelinkAggregateMaximumBitRate')))
    _UEContextInfoHORequest_ExtIEs_val_Extension_3 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    _UEContextInfoHORequest_ExtIEs_val_Extension_4 = OCT_STR(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    UEContextInfoHORequest_ExtIEs._val = ASN1Set(rv=[dict([('id', 155), ('criticality', 'ignore'), ('Extension', _UEContextInfoHORequest_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 172), ('criticality', 'ignore'), ('Extension', _UEContextInfoHORequest_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 171), ('criticality', 'ignore'), ('Extension', _UEContextInfoHORequest_ExtIEs_val_Extension_2), ('presence', 'optional')]), dict([('id', 225), ('criticality', 'ignore'), ('Extension', _UEContextInfoHORequest_ExtIEs_val_Extension_3), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Extension', _UEContextInfoHORequest_ExtIEs_val_Extension_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEContextRefAtSN-HORequest >-----#
    UEContextRefAtSN_HORequest = SEQ(name='UEContextRefAtSN-HORequest', mode=MODE_TYPE)
    _UEContextRefAtSN_HORequest_globalNG_RANNode_ID = CHOICE(name='globalNG-RANNode-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID = INT(name='sN-NG-RANnodeUEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _UEContextRefAtSN_HORequest_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextRefAtSN_HORequest_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab_at = None
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab_id = 'id'
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __UEContextRefAtSN_HORequest_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___UEContextRefAtSN_HORequest_iE_Extensions__item__id),
        ('criticality', ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality),
        ('extensionValue', ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue),
        ])
    __UEContextRefAtSN_HORequest_iE_Extensions__item_._ext = None
    _UEContextRefAtSN_HORequest_iE_Extensions._cont = __UEContextRefAtSN_HORequest_iE_Extensions__item_
    _UEContextRefAtSN_HORequest_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextRefAtSN_HORequest._cont = ASN1Dict([
        ('globalNG-RANNode-ID', _UEContextRefAtSN_HORequest_globalNG_RANNode_ID),
        ('sN-NG-RANnodeUEXnAPID', _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID),
        ('iE-Extensions', _UEContextRefAtSN_HORequest_iE_Extensions),
        ])
    UEContextRefAtSN_HORequest._ext = []
    
    #-----< UEContextRefAtSN-HORequest-ExtIEs >-----#
    UEContextRefAtSN_HORequest_ExtIEs = CLASS(name='UEContextRefAtSN-HORequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextRefAtSN_HORequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< HandoverRequestAcknowledge >-----#
    HandoverRequestAcknowledge = SEQ(name='HandoverRequestAcknowledge', mode=MODE_TYPE)
    _HandoverRequestAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverRequestAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DAPSResponseInfo-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHOinformation-Ack')))
    ____HandoverRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 42), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 43), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 77), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), ('presence', 'mandatory')]), dict([('id', 86), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 137), ('criticality', 'ignore'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 164), ('criticality', 'reject'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 159), ('criticality', 'reject'), ('Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverRequestAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverRequestAcknowledge_protocolIEs__item__id),
        ('criticality', ___HandoverRequestAcknowledge_protocolIEs__item__criticality),
        ('value', ___HandoverRequestAcknowledge_protocolIEs__item__value),
        ])
    __HandoverRequestAcknowledge_protocolIEs__item_._ext = None
    _HandoverRequestAcknowledge_protocolIEs._cont = __HandoverRequestAcknowledge_protocolIEs__item_
    _HandoverRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverRequestAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _HandoverRequestAcknowledge_protocolIEs),
        ])
    HandoverRequestAcknowledge._ext = []
    
    #-----< HandoverRequestAcknowledge-IEs >-----#
    HandoverRequestAcknowledge_IEs = CLASS(name='HandoverRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverRequestAcknowledge_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequestAcknowledge_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequestAcknowledge_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _HandoverRequestAcknowledge_IEs_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _HandoverRequestAcknowledge_IEs_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _HandoverRequestAcknowledge_IEs_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_8 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DAPSResponseInfo-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHOinformation-Ack')))
    HandoverRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 42), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 43), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 77), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_4), ('presence', 'mandatory')]), dict([('id', 86), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 137), ('criticality', 'ignore'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 164), ('criticality', 'reject'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 159), ('criticality', 'reject'), ('Value', _HandoverRequestAcknowledge_IEs_val_Value_9), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< HandoverPreparationFailure >-----#
    HandoverPreparationFailure = SEQ(name='HandoverPreparationFailure', mode=MODE_TYPE)
    _HandoverPreparationFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverPreparationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverPreparationFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverPreparationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    ____HandoverPreparationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'ignore'), ('Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 161), ('criticality', 'reject'), ('Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab_at = None
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverPreparationFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverPreparationFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverPreparationFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverPreparationFailure_protocolIEs__item__id),
        ('criticality', ___HandoverPreparationFailure_protocolIEs__item__criticality),
        ('value', ___HandoverPreparationFailure_protocolIEs__item__value),
        ])
    __HandoverPreparationFailure_protocolIEs__item_._ext = None
    _HandoverPreparationFailure_protocolIEs._cont = __HandoverPreparationFailure_protocolIEs__item_
    _HandoverPreparationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverPreparationFailure._cont = ASN1Dict([
        ('protocolIEs', _HandoverPreparationFailure_protocolIEs),
        ])
    HandoverPreparationFailure._ext = []
    
    #-----< HandoverPreparationFailure-IEs >-----#
    HandoverPreparationFailure_IEs = CLASS(name='HandoverPreparationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverPreparationFailure_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverPreparationFailure_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverPreparationFailure_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _HandoverPreparationFailure_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    HandoverPreparationFailure_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'ignore'), ('Value', _HandoverPreparationFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _HandoverPreparationFailure_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _HandoverPreparationFailure_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 161), ('criticality', 'reject'), ('Value', _HandoverPreparationFailure_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNStatusTransfer >-----#
    SNStatusTransfer = SEQ(name='SNStatusTransfer', mode=MODE_TYPE)
    _SNStatusTransfer_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNStatusTransfer_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNStatusTransfer_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNStatusTransfer_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-List')))
    ____SNStatusTransfer_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 12), ('criticality', 'ignore'), ('Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___SNStatusTransfer_protocolIEs__item__id._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__id._const_tab_at = None
    ___SNStatusTransfer_protocolIEs__item__id._const_tab_id = 'id'
    ___SNStatusTransfer_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNStatusTransfer_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNStatusTransfer_protocolIEs__item__value._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNStatusTransfer_protocolIEs__item__value._const_tab_id = 'Value'
    __SNStatusTransfer_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNStatusTransfer_protocolIEs__item__id),
        ('criticality', ___SNStatusTransfer_protocolIEs__item__criticality),
        ('value', ___SNStatusTransfer_protocolIEs__item__value),
        ])
    __SNStatusTransfer_protocolIEs__item_._ext = None
    _SNStatusTransfer_protocolIEs._cont = __SNStatusTransfer_protocolIEs__item_
    _SNStatusTransfer_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNStatusTransfer._cont = ASN1Dict([
        ('protocolIEs', _SNStatusTransfer_protocolIEs),
        ])
    SNStatusTransfer._ext = []
    
    #-----< SNStatusTransfer-IEs >-----#
    SNStatusTransfer_IEs = CLASS(name='SNStatusTransfer-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNStatusTransfer_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNStatusTransfer_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNStatusTransfer_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-List')))
    SNStatusTransfer_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _SNStatusTransfer_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _SNStatusTransfer_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 12), ('criticality', 'ignore'), ('Value', _SNStatusTransfer_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< UEContextRelease >-----#
    UEContextRelease = SEQ(name='UEContextRelease', mode=MODE_TYPE)
    _UEContextRelease_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __UEContextRelease_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___UEContextRelease_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____UEContextRelease_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    ____UEContextRelease_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___UEContextRelease_protocolIEs__item__id._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__id._const_tab_at = None
    ___UEContextRelease_protocolIEs__item__id._const_tab_id = 'id'
    ___UEContextRelease_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___UEContextRelease_protocolIEs__item__criticality._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextRelease_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___UEContextRelease_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___UEContextRelease_protocolIEs__item__value._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___UEContextRelease_protocolIEs__item__value._const_tab_id = 'Value'
    __UEContextRelease_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___UEContextRelease_protocolIEs__item__id),
        ('criticality', ___UEContextRelease_protocolIEs__item__criticality),
        ('value', ___UEContextRelease_protocolIEs__item__value),
        ])
    __UEContextRelease_protocolIEs__item_._ext = None
    _UEContextRelease_protocolIEs._cont = __UEContextRelease_protocolIEs__item_
    _UEContextRelease_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    UEContextRelease._cont = ASN1Dict([
        ('protocolIEs', _UEContextRelease_protocolIEs),
        ])
    UEContextRelease._ext = []
    
    #-----< UEContextRelease-IEs >-----#
    UEContextRelease_IEs = CLASS(name='UEContextRelease-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _UEContextRelease_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _UEContextRelease_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    UEContextRelease_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _UEContextRelease_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _UEContextRelease_IEs_val_Value_1), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< HandoverCancel >-----#
    HandoverCancel = SEQ(name='HandoverCancel', mode=MODE_TYPE)
    _HandoverCancel_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverCancel_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverCancel_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverCancel_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellList')))
    ____HandoverCancel_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'ignore'), ('Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 160), ('criticality', 'reject'), ('Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___HandoverCancel_protocolIEs__item__id._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__id._const_tab_at = None
    ___HandoverCancel_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverCancel_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverCancel_protocolIEs__item__criticality._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverCancel_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverCancel_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverCancel_protocolIEs__item__value._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverCancel_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverCancel_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverCancel_protocolIEs__item__id),
        ('criticality', ___HandoverCancel_protocolIEs__item__criticality),
        ('value', ___HandoverCancel_protocolIEs__item__value),
        ])
    __HandoverCancel_protocolIEs__item_._ext = None
    _HandoverCancel_protocolIEs._cont = __HandoverCancel_protocolIEs__item_
    _HandoverCancel_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverCancel._cont = ASN1Dict([
        ('protocolIEs', _HandoverCancel_protocolIEs),
        ])
    HandoverCancel._ext = []
    
    #-----< HandoverCancel-IEs >-----#
    HandoverCancel_IEs = CLASS(name='HandoverCancel-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverCancel_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverCancel_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverCancel_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverCancel_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellList')))
    HandoverCancel_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _HandoverCancel_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'ignore'), ('Value', _HandoverCancel_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _HandoverCancel_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 160), ('criticality', 'reject'), ('Value', _HandoverCancel_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< HandoverSuccess >-----#
    HandoverSuccess = SEQ(name='HandoverSuccess', mode=MODE_TYPE)
    _HandoverSuccess_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverSuccess_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverSuccess_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverSuccess_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    ____HandoverSuccess_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 161), ('criticality', 'reject'), ('Value', _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___HandoverSuccess_protocolIEs__item__id._const_tab = ____HandoverSuccess_protocolIEs__item__id_tab
    ___HandoverSuccess_protocolIEs__item__id._const_tab_at = None
    ___HandoverSuccess_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverSuccess_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverSuccess_protocolIEs__item__criticality._const_tab = ____HandoverSuccess_protocolIEs__item__id_tab
    ___HandoverSuccess_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverSuccess_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverSuccess_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverSuccess_protocolIEs__item__value._const_tab = ____HandoverSuccess_protocolIEs__item__id_tab
    ___HandoverSuccess_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverSuccess_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverSuccess_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverSuccess_protocolIEs__item__id),
        ('criticality', ___HandoverSuccess_protocolIEs__item__criticality),
        ('value', ___HandoverSuccess_protocolIEs__item__value),
        ])
    __HandoverSuccess_protocolIEs__item_._ext = None
    _HandoverSuccess_protocolIEs._cont = __HandoverSuccess_protocolIEs__item_
    _HandoverSuccess_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverSuccess._cont = ASN1Dict([
        ('protocolIEs', _HandoverSuccess_protocolIEs),
        ])
    HandoverSuccess._ext = []
    
    #-----< HandoverSuccess-IEs >-----#
    HandoverSuccess_IEs = CLASS(name='HandoverSuccess-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverSuccess_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverSuccess_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverSuccess_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    HandoverSuccess_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _HandoverSuccess_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _HandoverSuccess_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 161), ('criticality', 'reject'), ('Value', _HandoverSuccess_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ConditionalHandoverCancel >-----#
    ConditionalHandoverCancel = SEQ(name='ConditionalHandoverCancel', mode=MODE_TYPE)
    _ConditionalHandoverCancel_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ConditionalHandoverCancel_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ConditionalHandoverCancel_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ConditionalHandoverCancel_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellList')))
    ____ConditionalHandoverCancel_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 160), ('criticality', 'reject'), ('Value', _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ConditionalHandoverCancel_protocolIEs__item__id._const_tab = ____ConditionalHandoverCancel_protocolIEs__item__id_tab
    ___ConditionalHandoverCancel_protocolIEs__item__id._const_tab_at = None
    ___ConditionalHandoverCancel_protocolIEs__item__id._const_tab_id = 'id'
    ___ConditionalHandoverCancel_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ConditionalHandoverCancel_protocolIEs__item__criticality._const_tab = ____ConditionalHandoverCancel_protocolIEs__item__id_tab
    ___ConditionalHandoverCancel_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ConditionalHandoverCancel_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ConditionalHandoverCancel_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ConditionalHandoverCancel_protocolIEs__item__value._const_tab = ____ConditionalHandoverCancel_protocolIEs__item__id_tab
    ___ConditionalHandoverCancel_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ConditionalHandoverCancel_protocolIEs__item__value._const_tab_id = 'Value'
    __ConditionalHandoverCancel_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ConditionalHandoverCancel_protocolIEs__item__id),
        ('criticality', ___ConditionalHandoverCancel_protocolIEs__item__criticality),
        ('value', ___ConditionalHandoverCancel_protocolIEs__item__value),
        ])
    __ConditionalHandoverCancel_protocolIEs__item_._ext = None
    _ConditionalHandoverCancel_protocolIEs._cont = __ConditionalHandoverCancel_protocolIEs__item_
    _ConditionalHandoverCancel_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ConditionalHandoverCancel._cont = ASN1Dict([
        ('protocolIEs', _ConditionalHandoverCancel_protocolIEs),
        ])
    ConditionalHandoverCancel._ext = []
    
    #-----< ConditionalHandoverCancel-IEs >-----#
    ConditionalHandoverCancel_IEs = CLASS(name='ConditionalHandoverCancel-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ConditionalHandoverCancel_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ConditionalHandoverCancel_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ConditionalHandoverCancel_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ConditionalHandoverCancel_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellList')))
    ConditionalHandoverCancel_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _ConditionalHandoverCancel_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _ConditionalHandoverCancel_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _ConditionalHandoverCancel_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 160), ('criticality', 'reject'), ('Value', _ConditionalHandoverCancel_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< EarlyStatusTransfer >-----#
    EarlyStatusTransfer = SEQ(name='EarlyStatusTransfer', mode=MODE_TYPE)
    _EarlyStatusTransfer_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __EarlyStatusTransfer_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___EarlyStatusTransfer_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____EarlyStatusTransfer_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ProcedureStageChoice')))
    ____EarlyStatusTransfer_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 162), ('criticality', 'reject'), ('Value', _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___EarlyStatusTransfer_protocolIEs__item__id._const_tab = ____EarlyStatusTransfer_protocolIEs__item__id_tab
    ___EarlyStatusTransfer_protocolIEs__item__id._const_tab_at = None
    ___EarlyStatusTransfer_protocolIEs__item__id._const_tab_id = 'id'
    ___EarlyStatusTransfer_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___EarlyStatusTransfer_protocolIEs__item__criticality._const_tab = ____EarlyStatusTransfer_protocolIEs__item__id_tab
    ___EarlyStatusTransfer_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___EarlyStatusTransfer_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___EarlyStatusTransfer_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___EarlyStatusTransfer_protocolIEs__item__value._const_tab = ____EarlyStatusTransfer_protocolIEs__item__id_tab
    ___EarlyStatusTransfer_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___EarlyStatusTransfer_protocolIEs__item__value._const_tab_id = 'Value'
    __EarlyStatusTransfer_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___EarlyStatusTransfer_protocolIEs__item__id),
        ('criticality', ___EarlyStatusTransfer_protocolIEs__item__criticality),
        ('value', ___EarlyStatusTransfer_protocolIEs__item__value),
        ])
    __EarlyStatusTransfer_protocolIEs__item_._ext = None
    _EarlyStatusTransfer_protocolIEs._cont = __EarlyStatusTransfer_protocolIEs__item_
    _EarlyStatusTransfer_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    EarlyStatusTransfer._cont = ASN1Dict([
        ('protocolIEs', _EarlyStatusTransfer_protocolIEs),
        ])
    EarlyStatusTransfer._ext = []
    
    #-----< EarlyStatusTransfer-IEs >-----#
    EarlyStatusTransfer_IEs = CLASS(name='EarlyStatusTransfer-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _EarlyStatusTransfer_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _EarlyStatusTransfer_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _EarlyStatusTransfer_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ProcedureStageChoice')))
    EarlyStatusTransfer_IEs._val = ASN1Set(rv=[dict([('id', 73), ('criticality', 'reject'), ('Value', _EarlyStatusTransfer_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 79), ('criticality', 'reject'), ('Value', _EarlyStatusTransfer_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 162), ('criticality', 'reject'), ('Value', _EarlyStatusTransfer_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ProcedureStageChoice >-----#
    ProcedureStageChoice = CHOICE(name='ProcedureStageChoice', mode=MODE_TYPE)
    _ProcedureStageChoice_first_dl_count = SEQ(name='first-dl-count', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'FirstDLCount')))
    _ProcedureStageChoice_dl_discarding = SEQ(name='dl-discarding', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'DLDiscarding')))
    _ProcedureStageChoice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ProcedureStageChoice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ProcedureStageChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ProcedureStageChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ProcedureStageChoice_choice_extension_id._const_tab = ___ProcedureStageChoice_choice_extension_id_tab
    __ProcedureStageChoice_choice_extension_id._const_tab_at = None
    __ProcedureStageChoice_choice_extension_id._const_tab_id = 'id'
    __ProcedureStageChoice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ProcedureStageChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ProcedureStageChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ProcedureStageChoice_choice_extension_criticality._const_tab = ___ProcedureStageChoice_choice_extension_criticality_tab
    __ProcedureStageChoice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ProcedureStageChoice_choice_extension_criticality._const_tab_id = 'criticality'
    __ProcedureStageChoice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ProcedureStageChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ProcedureStageChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ProcedureStageChoice_choice_extension_value._const_tab = ___ProcedureStageChoice_choice_extension_value_tab
    __ProcedureStageChoice_choice_extension_value._const_tab_at = ('..', 'id')
    __ProcedureStageChoice_choice_extension_value._const_tab_id = 'Value'
    _ProcedureStageChoice_choice_extension._cont = ASN1Dict([
        ('id', __ProcedureStageChoice_choice_extension_id),
        ('criticality', __ProcedureStageChoice_choice_extension_criticality),
        ('value', __ProcedureStageChoice_choice_extension_value),
        ])
    _ProcedureStageChoice_choice_extension._ext = None
    ProcedureStageChoice._cont = ASN1Dict([
        ('first-dl-count', _ProcedureStageChoice_first_dl_count),
        ('dl-discarding', _ProcedureStageChoice_dl_discarding),
        ('choice-extension', _ProcedureStageChoice_choice_extension),
        ])
    ProcedureStageChoice._ext = None
    
    #-----< ProcedureStageChoice-ExtIEs >-----#
    ProcedureStageChoice_ExtIEs = CLASS(name='ProcedureStageChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ProcedureStageChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< FirstDLCount >-----#
    FirstDLCount = SEQ(name='FirstDLCount', mode=MODE_TYPE)
    _FirstDLCount_dRBsSubjectToEarlyStatusTransfer = SEQ_OF(name='dRBsSubjectToEarlyStatusTransfer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToEarlyStatusTransfer-List')))
    _FirstDLCount_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __FirstDLCount_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___FirstDLCount_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____FirstDLCount_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FirstDLCount_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FirstDLCount_iE_Extension__item__id._const_tab = ____FirstDLCount_iE_Extension__item__id_tab
    ___FirstDLCount_iE_Extension__item__id._const_tab_at = None
    ___FirstDLCount_iE_Extension__item__id._const_tab_id = 'id'
    ___FirstDLCount_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____FirstDLCount_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FirstDLCount_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FirstDLCount_iE_Extension__item__criticality._const_tab = ____FirstDLCount_iE_Extension__item__criticality_tab
    ___FirstDLCount_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___FirstDLCount_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___FirstDLCount_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____FirstDLCount_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FirstDLCount_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FirstDLCount_iE_Extension__item__extensionValue._const_tab = ____FirstDLCount_iE_Extension__item__extensionValue_tab
    ___FirstDLCount_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___FirstDLCount_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __FirstDLCount_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___FirstDLCount_iE_Extension__item__id),
        ('criticality', ___FirstDLCount_iE_Extension__item__criticality),
        ('extensionValue', ___FirstDLCount_iE_Extension__item__extensionValue),
        ])
    __FirstDLCount_iE_Extension__item_._ext = None
    _FirstDLCount_iE_Extension._cont = __FirstDLCount_iE_Extension__item_
    _FirstDLCount_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    FirstDLCount._cont = ASN1Dict([
        ('dRBsSubjectToEarlyStatusTransfer', _FirstDLCount_dRBsSubjectToEarlyStatusTransfer),
        ('iE-Extension', _FirstDLCount_iE_Extension),
        ])
    FirstDLCount._ext = []
    
    #-----< FirstDLCount-ExtIEs >-----#
    FirstDLCount_ExtIEs = CLASS(name='FirstDLCount-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    FirstDLCount_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DLDiscarding >-----#
    DLDiscarding = SEQ(name='DLDiscarding', mode=MODE_TYPE)
    _DLDiscarding_dRBsSubjectToDLDiscarding = SEQ_OF(name='dRBsSubjectToDLDiscarding', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToDLDiscarding-List')))
    _DLDiscarding_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DLDiscarding_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DLDiscarding_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____DLDiscarding_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DLDiscarding_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DLDiscarding_iE_Extension__item__id._const_tab = ____DLDiscarding_iE_Extension__item__id_tab
    ___DLDiscarding_iE_Extension__item__id._const_tab_at = None
    ___DLDiscarding_iE_Extension__item__id._const_tab_id = 'id'
    ___DLDiscarding_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____DLDiscarding_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DLDiscarding_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DLDiscarding_iE_Extension__item__criticality._const_tab = ____DLDiscarding_iE_Extension__item__criticality_tab
    ___DLDiscarding_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___DLDiscarding_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___DLDiscarding_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____DLDiscarding_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DLDiscarding_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DLDiscarding_iE_Extension__item__extensionValue._const_tab = ____DLDiscarding_iE_Extension__item__extensionValue_tab
    ___DLDiscarding_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___DLDiscarding_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __DLDiscarding_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___DLDiscarding_iE_Extension__item__id),
        ('criticality', ___DLDiscarding_iE_Extension__item__criticality),
        ('extensionValue', ___DLDiscarding_iE_Extension__item__extensionValue),
        ])
    __DLDiscarding_iE_Extension__item_._ext = None
    _DLDiscarding_iE_Extension._cont = __DLDiscarding_iE_Extension__item_
    _DLDiscarding_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DLDiscarding._cont = ASN1Dict([
        ('dRBsSubjectToDLDiscarding', _DLDiscarding_dRBsSubjectToDLDiscarding),
        ('iE-Extension', _DLDiscarding_iE_Extension),
        ])
    DLDiscarding._ext = []
    
    #-----< DLDiscarding-ExtIEs >-----#
    DLDiscarding_ExtIEs = CLASS(name='DLDiscarding-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DLDiscarding_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPaging >-----#
    RANPaging = SEQ(name='RANPaging', mode=MODE_TYPE)
    _RANPaging_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RANPaging_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RANPaging_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____RANPaging_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEIdentityIndexValue')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERANPagingIdentity')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingDRX')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingArea')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingPriority')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AssistanceDataForRANPaging')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPaging')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_7 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedUEIdentityIndexValue')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingeDRXInformation')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESpecificDRX')))
    ____RANPaging_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 89), ('criticality', 'reject'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 90), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 31), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 52), ('criticality', 'reject'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 53), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 5), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 122), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 244), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 245), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 248), ('criticality', 'ignore'), ('Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RANPaging_protocolIEs__item__id._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__id._const_tab_at = None
    ___RANPaging_protocolIEs__item__id._const_tab_id = 'id'
    ___RANPaging_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RANPaging_protocolIEs__item__criticality._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___RANPaging_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___RANPaging_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RANPaging_protocolIEs__item__value._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___RANPaging_protocolIEs__item__value._const_tab_id = 'Value'
    __RANPaging_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___RANPaging_protocolIEs__item__id),
        ('criticality', ___RANPaging_protocolIEs__item__criticality),
        ('value', ___RANPaging_protocolIEs__item__value),
        ])
    __RANPaging_protocolIEs__item_._ext = None
    _RANPaging_protocolIEs._cont = __RANPaging_protocolIEs__item_
    _RANPaging_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RANPaging._cont = ASN1Dict([
        ('protocolIEs', _RANPaging_protocolIEs),
        ])
    RANPaging._ext = []
    
    #-----< RANPaging-IEs >-----#
    RANPaging_IEs = CLASS(name='RANPaging-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RANPaging_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEIdentityIndexValue')))
    _RANPaging_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERANPagingIdentity')))
    _RANPaging_IEs_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingDRX')))
    _RANPaging_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingArea')))
    _RANPaging_IEs_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingPriority')))
    _RANPaging_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AssistanceDataForRANPaging')))
    _RANPaging_IEs_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPaging')))
    _RANPaging_IEs_val_Value_7 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExtendedUEIdentityIndexValue')))
    _RANPaging_IEs_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingeDRXInformation')))
    _RANPaging_IEs_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESpecificDRX')))
    RANPaging_IEs._val = ASN1Set(rv=[dict([('id', 89), ('criticality', 'reject'), ('Value', _RANPaging_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 90), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 31), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 52), ('criticality', 'reject'), ('Value', _RANPaging_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 53), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 5), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 122), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 244), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 245), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 248), ('criticality', 'ignore'), ('Value', _RANPaging_IEs_val_Value_9), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextRequest >-----#
    RetrieveUEContextRequest = SEQ(name='RetrieveUEContextRequest', mode=MODE_TYPE)
    _RetrieveUEContextRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____RetrieveUEContextRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextID')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MAC-I')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCResumeCause')))
    ____RetrieveUEContextRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'reject'), ('Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 82), ('criticality', 'reject'), ('Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 21), ('criticality', 'reject'), ('Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 26), ('criticality', 'reject'), ('Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 62), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___RetrieveUEContextRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___RetrieveUEContextRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __RetrieveUEContextRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___RetrieveUEContextRequest_protocolIEs__item__id),
        ('criticality', ___RetrieveUEContextRequest_protocolIEs__item__criticality),
        ('value', ___RetrieveUEContextRequest_protocolIEs__item__value),
        ])
    __RetrieveUEContextRequest_protocolIEs__item_._ext = None
    _RetrieveUEContextRequest_protocolIEs._cont = __RetrieveUEContextRequest_protocolIEs__item_
    _RetrieveUEContextRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextRequest._cont = ASN1Dict([
        ('protocolIEs', _RetrieveUEContextRequest_protocolIEs),
        ])
    RetrieveUEContextRequest._ext = []
    
    #-----< RetrieveUEContextRequest-IEs >-----#
    RetrieveUEContextRequest_IEs = CLASS(name='RetrieveUEContextRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextRequest_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextID')))
    _RetrieveUEContextRequest_IEs_val_Value_2 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MAC-I')))
    _RetrieveUEContextRequest_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _RetrieveUEContextRequest_IEs_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCResumeCause')))
    RetrieveUEContextRequest_IEs._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'reject'), ('Value', _RetrieveUEContextRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 82), ('criticality', 'reject'), ('Value', _RetrieveUEContextRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 21), ('criticality', 'reject'), ('Value', _RetrieveUEContextRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 26), ('criticality', 'reject'), ('Value', _RetrieveUEContextRequest_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 62), ('criticality', 'ignore'), ('Value', _RetrieveUEContextRequest_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextResponse >-----#
    RetrieveUEContextResponse = SEQ(name='RetrieveUEContextResponse', mode=MODE_TYPE)
    _RetrieveUEContextResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____RetrieveUEContextResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextInfoRetrUECtxtResp')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRV2XServicesAuthorized')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEV2XServicesAuthorized')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSParameters')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_11 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_12 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformationFromTheUE')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_13 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    ____RetrieveUEContextResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 29), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 15), ('criticality', 'reject'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 84), ('criticality', 'reject'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 20), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 170), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 169), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 173), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 88), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 178), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 225), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___RetrieveUEContextResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___RetrieveUEContextResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __RetrieveUEContextResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___RetrieveUEContextResponse_protocolIEs__item__id),
        ('criticality', ___RetrieveUEContextResponse_protocolIEs__item__criticality),
        ('value', ___RetrieveUEContextResponse_protocolIEs__item__value),
        ])
    __RetrieveUEContextResponse_protocolIEs__item_._ext = None
    _RetrieveUEContextResponse_protocolIEs._cont = __RetrieveUEContextResponse_protocolIEs__item_
    _RetrieveUEContextResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextResponse._cont = ASN1Dict([
        ('protocolIEs', _RetrieveUEContextResponse_protocolIEs),
        ])
    RetrieveUEContextResponse._ext = []
    
    #-----< RetrieveUEContextResponse-IEs >-----#
    RetrieveUEContextResponse_IEs = CLASS(name='RetrieveUEContextResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextResponse_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextResponse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextResponse_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _RetrieveUEContextResponse_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextInfoRetrUECtxtResp')))
    _RetrieveUEContextResponse_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _RetrieveUEContextResponse_IEs_val_Value_5 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _RetrieveUEContextResponse_IEs_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')))
    _RetrieveUEContextResponse_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _RetrieveUEContextResponse_IEs_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRV2XServicesAuthorized')))
    _RetrieveUEContextResponse_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LTEV2XServicesAuthorized')))
    _RetrieveUEContextResponse_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PC5QoSParameters')))
    _RetrieveUEContextResponse_IEs_val_Value_11 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _RetrieveUEContextResponse_IEs_val_Value_12 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformationFromTheUE')))
    _RetrieveUEContextResponse_IEs_val_Value_13 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MDTPLMNList')))
    RetrieveUEContextResponse_IEs._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 29), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 15), ('criticality', 'reject'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 84), ('criticality', 'reject'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 20), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 170), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 169), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 173), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 88), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 178), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 225), ('criticality', 'ignore'), ('Value', _RetrieveUEContextResponse_IEs_val_Value_13), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextFailure >-----#
    RetrieveUEContextFailure = SEQ(name='RetrieveUEContextFailure', mode=MODE_TYPE)
    _RetrieveUEContextFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____RetrieveUEContextFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____RetrieveUEContextFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 30), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___RetrieveUEContextFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___RetrieveUEContextFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __RetrieveUEContextFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___RetrieveUEContextFailure_protocolIEs__item__id),
        ('criticality', ___RetrieveUEContextFailure_protocolIEs__item__criticality),
        ('value', ___RetrieveUEContextFailure_protocolIEs__item__value),
        ])
    __RetrieveUEContextFailure_protocolIEs__item_._ext = None
    _RetrieveUEContextFailure_protocolIEs._cont = __RetrieveUEContextFailure_protocolIEs__item_
    _RetrieveUEContextFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextFailure._cont = ASN1Dict([
        ('protocolIEs', _RetrieveUEContextFailure_protocolIEs),
        ])
    RetrieveUEContextFailure._ext = []
    
    #-----< RetrieveUEContextFailure-IEs >-----#
    RetrieveUEContextFailure_IEs = CLASS(name='RetrieveUEContextFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextFailure_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextFailure_IEs_val_Value_1 = OCT_STR(name='Value', mode=MODE_TYPE)
    _RetrieveUEContextFailure_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _RetrieveUEContextFailure_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    RetrieveUEContextFailure_IEs._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _RetrieveUEContextFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 30), ('criticality', 'ignore'), ('Value', _RetrieveUEContextFailure_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _RetrieveUEContextFailure_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _RetrieveUEContextFailure_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnUAddressIndication >-----#
    XnUAddressIndication = SEQ(name='XnUAddressIndication', mode=MODE_TYPE)
    _XnUAddressIndication_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnUAddressIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnUAddressIndication_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnUAddressIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-List')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_3 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHO-MRDC-Indicator')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHO-MRDC-EarlyDataForwarding')))
    ____XnUAddressIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 29), ('criticality', 'ignore'), ('Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 11), ('criticality', 'reject'), ('Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 165), ('criticality', 'reject'), ('Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 246), ('criticality', 'ignore'), ('Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnUAddressIndication_protocolIEs__item__id._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__id._const_tab_at = None
    ___XnUAddressIndication_protocolIEs__item__id._const_tab_id = 'id'
    ___XnUAddressIndication_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnUAddressIndication_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnUAddressIndication_protocolIEs__item__value._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnUAddressIndication_protocolIEs__item__value._const_tab_id = 'Value'
    __XnUAddressIndication_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnUAddressIndication_protocolIEs__item__id),
        ('criticality', ___XnUAddressIndication_protocolIEs__item__criticality),
        ('value', ___XnUAddressIndication_protocolIEs__item__value),
        ])
    __XnUAddressIndication_protocolIEs__item_._ext = None
    _XnUAddressIndication_protocolIEs._cont = __XnUAddressIndication_protocolIEs__item_
    _XnUAddressIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnUAddressIndication._cont = ASN1Dict([
        ('protocolIEs', _XnUAddressIndication_protocolIEs),
        ])
    XnUAddressIndication._ext = []
    
    #-----< XnUAddressIndication-IEs >-----#
    XnUAddressIndication_IEs = CLASS(name='XnUAddressIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnUAddressIndication_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _XnUAddressIndication_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _XnUAddressIndication_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-List')))
    _XnUAddressIndication_IEs_val_Value_3 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHO-MRDC-Indicator')))
    _XnUAddressIndication_IEs_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CHO-MRDC-EarlyDataForwarding')))
    XnUAddressIndication_IEs._val = ASN1Set(rv=[dict([('id', 27), ('criticality', 'ignore'), ('Value', _XnUAddressIndication_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 29), ('criticality', 'ignore'), ('Value', _XnUAddressIndication_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 11), ('criticality', 'reject'), ('Value', _XnUAddressIndication_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 165), ('criticality', 'reject'), ('Value', _XnUAddressIndication_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 246), ('criticality', 'ignore'), ('Value', _XnUAddressIndication_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeAdditionRequest >-----#
    SNodeAdditionRequest = SEQ(name='SNodeAdditionRequest', mode=MODE_TYPE)
    _SNodeAdditionRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeAdditionRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEBehaviour')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-Addition-Trigger-Ind')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_22 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_23 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_24 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_25 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    ____SNodeAdditionRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 91), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 69), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 70), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 64), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 25), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 16), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 47), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7), ('presence', 'mandatory')]), dict([('id', 24), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 13), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 54), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 32), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 94), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')]), dict([('id', 95), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14), ('presence', 'conditional')]), dict([('id', 105), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15), ('presence', 'optional')]), dict([('id', 113), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16), ('presence', 'optional')]), dict([('id', 110), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19), ('presence', 'optional')]), dict([('id', 126), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20), ('presence', 'optional')]), dict([('id', 131), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21), ('presence', 'optional')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_22), ('presence', 'optional')]), dict([('id', 148), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_23), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_24), ('presence', 'optional')]), dict([('id', 254), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_25), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeAdditionRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeAdditionRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeAdditionRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeAdditionRequest_protocolIEs__item__id),
        ('criticality', ___SNodeAdditionRequest_protocolIEs__item__criticality),
        ('value', ___SNodeAdditionRequest_protocolIEs__item__value),
        ])
    __SNodeAdditionRequest_protocolIEs__item_._ext = None
    _SNodeAdditionRequest_protocolIEs._cont = __SNodeAdditionRequest_protocolIEs__item_
    _SNodeAdditionRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequest._cont = ASN1Dict([
        ('protocolIEs', _SNodeAdditionRequest_protocolIEs),
        ])
    SNodeAdditionRequest._ext = []
    
    #-----< SNodeAdditionRequest-IEs >-----#
    SNodeAdditionRequest_IEs = CLASS(name='SNodeAdditionRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequest_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _SNodeAdditionRequest_IEs_val_Value_2 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')))
    _SNodeAdditionRequest_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _SNodeAdditionRequest_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SNodeAdditionRequest_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _SNodeAdditionRequest_IEs_val_Value_6 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')))
    _SNodeAdditionRequest_IEs_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq')))
    _SNodeAdditionRequest_IEs_val_Value_8 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeAdditionRequest_IEs_val_Value_9 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequest_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEBehaviour')))
    _SNodeAdditionRequest_IEs_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeAdditionRequest_IEs_val_Value_12 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _SNodeAdditionRequest_IEs_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _SNodeAdditionRequest_IEs_val_Value_14 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeAdditionRequest_IEs_val_Value_15 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeAdditionRequest_IEs_val_Value_16 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeAdditionRequest_IEs_val_Value_17 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _SNodeAdditionRequest_IEs_val_Value_18 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeAdditionRequest_IEs_val_Value_19 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _SNodeAdditionRequest_IEs_val_Value_20 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _SNodeAdditionRequest_IEs_val_Value_21 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-Addition-Trigger-Ind')))
    _SNodeAdditionRequest_IEs_val_Value_22 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _SNodeAdditionRequest_IEs_val_Value_23 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3')))
    _SNodeAdditionRequest_IEs_val_Value_24 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityID')))
    _SNodeAdditionRequest_IEs_val_Value_25 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    SNodeAdditionRequest_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 91), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 69), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 70), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 64), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 25), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 16), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 47), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_7), ('presence', 'mandatory')]), dict([('id', 24), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_8), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 13), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 54), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 32), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 94), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_13), ('presence', 'optional')]), dict([('id', 95), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_14), ('presence', 'conditional')]), dict([('id', 105), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_15), ('presence', 'optional')]), dict([('id', 113), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_16), ('presence', 'optional')]), dict([('id', 110), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_17), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_18), ('presence', 'optional')]), dict([('id', 22), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_19), ('presence', 'optional')]), dict([('id', 126), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_20), ('presence', 'optional')]), dict([('id', 131), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_21), ('presence', 'optional')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_22), ('presence', 'optional')]), dict([('id', 148), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_23), ('presence', 'optional')]), dict([('id', 227), ('criticality', 'reject'), ('Value', _SNodeAdditionRequest_IEs_val_Value_24), ('presence', 'optional')]), dict([('id', 254), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequest_IEs_val_Value_25), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeAddedAddReq >-----#
    PDUSessionToBeAddedAddReq = SEQ_OF(name='PDUSessionToBeAddedAddReq', mode=MODE_TYPE)
    _PDUSessionToBeAddedAddReq__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq-Item')))
    PDUSessionToBeAddedAddReq._cont = _PDUSessionToBeAddedAddReq__item_
    PDUSessionToBeAddedAddReq._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionToBeAddedAddReq-Item >-----#
    PDUSessionToBeAddedAddReq_Item = SEQ(name='PDUSessionToBeAddedAddReq-Item', mode=MODE_TYPE)
    _PDUSessionToBeAddedAddReq_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionToBeAddedAddReq_Item_s_NSSAI = SEQ(name='s-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR = SEQ(name='sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-SNterminated')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-MNterminated')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_._ext = None
    _PDUSessionToBeAddedAddReq_Item_iE_Extension._cont = __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_
    _PDUSessionToBeAddedAddReq_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeAddedAddReq_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionToBeAddedAddReq_Item_pduSessionId),
        ('s-NSSAI', _PDUSessionToBeAddedAddReq_Item_s_NSSAI),
        ('sN-PDUSessionAMBR', _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR),
        ('sn-terminated', _PDUSessionToBeAddedAddReq_Item_sn_terminated),
        ('mn-terminated', _PDUSessionToBeAddedAddReq_Item_mn_terminated),
        ('iE-Extension', _PDUSessionToBeAddedAddReq_Item_iE_Extension),
        ])
    PDUSessionToBeAddedAddReq_Item._ext = []
    
    #-----< PDUSessionToBeAddedAddReq-Item-ExtIEs >-----#
    PDUSessionToBeAddedAddReq_Item_ExtIEs = CLASS(name='PDUSessionToBeAddedAddReq-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeAddedAddReq_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RequestedFastMCGRecoveryViaSRB3 >-----#
    RequestedFastMCGRecoveryViaSRB3 = ENUM(name='RequestedFastMCGRecoveryViaSRB3', mode=MODE_TYPE)
    RequestedFastMCGRecoveryViaSRB3._cont = ASN1Dict([('true', 0)])
    RequestedFastMCGRecoveryViaSRB3._ext = []
    
    #-----< SNodeAdditionRequestAcknowledge >-----#
    SNodeAdditionRequestAcknowledge = SEQ(name='SNodeAdditionRequestAcknowledge', mode=MODE_TYPE)
    _SNodeAdditionRequestAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmittedAddReqAck')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DirectForwardingPathAvailability')))
    ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 34), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 37), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), ('presence', 'mandatory')]), dict([('id', 2), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 253), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id),
        ('criticality', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality),
        ('value', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeAdditionRequestAcknowledge_protocolIEs._cont = __SNodeAdditionRequestAcknowledge_protocolIEs__item_
    _SNodeAdditionRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequestAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _SNodeAdditionRequestAcknowledge_protocolIEs),
        ])
    SNodeAdditionRequestAcknowledge._ext = []
    
    #-----< SNodeAdditionRequestAcknowledge-IEs >-----#
    SNodeAdditionRequestAcknowledge_IEs = CLASS(name='SNodeAdditionRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmittedAddReqAck')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DirectForwardingPathAvailability')))
    SNodeAdditionRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 34), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 37), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_4), ('presence', 'mandatory')]), dict([('id', 2), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 253), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_11), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedAddedAddReqAck >-----#
    PDUSessionAdmittedAddedAddReqAck = SEQ_OF(name='PDUSessionAdmittedAddedAddReqAck', mode=MODE_TYPE)
    _PDUSessionAdmittedAddedAddReqAck__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck-Item')))
    PDUSessionAdmittedAddedAddReqAck._cont = _PDUSessionAdmittedAddedAddReqAck__item_
    PDUSessionAdmittedAddedAddReqAck._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedAddedAddReqAck-Item >-----#
    PDUSessionAdmittedAddedAddReqAck_Item = SEQ(name='PDUSessionAdmittedAddedAddReqAck-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension._cont = __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedAddedAddReqAck_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId),
        ('sn-terminated', _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated),
        ('mn-terminated', _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated),
        ('iE-Extension', _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension),
        ])
    PDUSessionAdmittedAddedAddReqAck_Item._ext = []
    
    #-----< PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs >-----#
    PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs = CLASS(name='PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionNotAdmittedAddReqAck >-----#
    PDUSessionNotAdmittedAddReqAck = SEQ(name='PDUSessionNotAdmittedAddReqAck', mode=MODE_TYPE)
    _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated = SEQ_OF(name='pduSessionResourcesNotAdmitted-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')), opt=True)
    _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated = SEQ_OF(name='pduSessionResourcesNotAdmitted-MNterminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')), opt=True)
    _PDUSessionNotAdmittedAddReqAck_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id),
        ('criticality', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue),
        ])
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_._ext = None
    _PDUSessionNotAdmittedAddReqAck_iE_Extension._cont = __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_
    _PDUSessionNotAdmittedAddReqAck_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionNotAdmittedAddReqAck._cont = ASN1Dict([
        ('pduSessionResourcesNotAdmitted-SNterminated', _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated),
        ('pduSessionResourcesNotAdmitted-MNterminated', _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated),
        ('iE-Extension', _PDUSessionNotAdmittedAddReqAck_iE_Extension),
        ])
    PDUSessionNotAdmittedAddReqAck._ext = []
    
    #-----< PDUSessionNotAdmittedAddReqAck-ExtIEs >-----#
    PDUSessionNotAdmittedAddReqAck_ExtIEs = CLASS(name='PDUSessionNotAdmittedAddReqAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionNotAdmittedAddReqAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AvailableFastMCGRecoveryViaSRB3 >-----#
    AvailableFastMCGRecoveryViaSRB3 = ENUM(name='AvailableFastMCGRecoveryViaSRB3', mode=MODE_TYPE)
    AvailableFastMCGRecoveryViaSRB3._cont = ASN1Dict([('true', 0)])
    AvailableFastMCGRecoveryViaSRB3._ext = []
    
    #-----< SNodeAdditionRequestReject >-----#
    SNodeAdditionRequestReject = SEQ(name='SNodeAdditionRequestReject', mode=MODE_TYPE)
    _SNodeAdditionRequestReject_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequestReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequestReject_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeAdditionRequestReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeAdditionRequestReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeAdditionRequestReject_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeAdditionRequestReject_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeAdditionRequestReject_protocolIEs__item__id),
        ('criticality', ___SNodeAdditionRequestReject_protocolIEs__item__criticality),
        ('value', ___SNodeAdditionRequestReject_protocolIEs__item__value),
        ])
    __SNodeAdditionRequestReject_protocolIEs__item_._ext = None
    _SNodeAdditionRequestReject_protocolIEs._cont = __SNodeAdditionRequestReject_protocolIEs__item_
    _SNodeAdditionRequestReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequestReject._cont = ASN1Dict([
        ('protocolIEs', _SNodeAdditionRequestReject_protocolIEs),
        ])
    SNodeAdditionRequestReject._ext = []
    
    #-----< SNodeAdditionRequestReject-IEs >-----#
    SNodeAdditionRequestReject_IEs = CLASS(name='SNodeAdditionRequestReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequestReject_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestReject_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestReject_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeAdditionRequestReject_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeAdditionRequestReject_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestReject_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeAdditionRequestReject_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestReject_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeAdditionRequestReject_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReconfigurationComplete >-----#
    SNodeReconfigurationComplete = SEQ(name='SNodeReconfigurationComplete', mode=MODE_TYPE)
    _SNodeReconfigurationComplete_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReconfigurationComplete_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReconfigurationComplete_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReconfigurationComplete_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseInfo-ReconfCompl')))
    ____SNodeReconfigurationComplete_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 60), ('criticality', 'ignore'), ('Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab_at = None
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReconfigurationComplete_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReconfigurationComplete_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReconfigurationComplete_protocolIEs__item__id),
        ('criticality', ___SNodeReconfigurationComplete_protocolIEs__item__criticality),
        ('value', ___SNodeReconfigurationComplete_protocolIEs__item__value),
        ])
    __SNodeReconfigurationComplete_protocolIEs__item_._ext = None
    _SNodeReconfigurationComplete_protocolIEs._cont = __SNodeReconfigurationComplete_protocolIEs__item_
    _SNodeReconfigurationComplete_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReconfigurationComplete._cont = ASN1Dict([
        ('protocolIEs', _SNodeReconfigurationComplete_protocolIEs),
        ])
    SNodeReconfigurationComplete._ext = []
    
    #-----< SNodeReconfigurationComplete-IEs >-----#
    SNodeReconfigurationComplete_IEs = CLASS(name='SNodeReconfigurationComplete-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReconfigurationComplete_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReconfigurationComplete_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReconfigurationComplete_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseInfo-ReconfCompl')))
    SNodeReconfigurationComplete_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeReconfigurationComplete_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeReconfigurationComplete_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 60), ('criticality', 'ignore'), ('Value', _SNodeReconfigurationComplete_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ResponseInfo-ReconfCompl >-----#
    ResponseInfo_ReconfCompl = SEQ(name='ResponseInfo-ReconfCompl', mode=MODE_TYPE)
    _ResponseInfo_ReconfCompl_responseType_ReconfComplete = CHOICE(name='responseType-ReconfComplete', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseType-ReconfComplete')))
    _ResponseInfo_ReconfCompl_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResponseInfo_ReconfCompl_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab_at = None
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResponseInfo_ReconfCompl_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResponseInfo_ReconfCompl_iE_Extensions__item__id),
        ('criticality', ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality),
        ('extensionValue', ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue),
        ])
    __ResponseInfo_ReconfCompl_iE_Extensions__item_._ext = None
    _ResponseInfo_ReconfCompl_iE_Extensions._cont = __ResponseInfo_ReconfCompl_iE_Extensions__item_
    _ResponseInfo_ReconfCompl_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResponseInfo_ReconfCompl._cont = ASN1Dict([
        ('responseType-ReconfComplete', _ResponseInfo_ReconfCompl_responseType_ReconfComplete),
        ('iE-Extensions', _ResponseInfo_ReconfCompl_iE_Extensions),
        ])
    ResponseInfo_ReconfCompl._ext = []
    
    #-----< ResponseInfo-ReconfCompl-ExtIEs >-----#
    ResponseInfo_ReconfCompl_ExtIEs = CLASS(name='ResponseInfo-ReconfCompl-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResponseInfo_ReconfCompl_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResponseType-ReconfComplete >-----#
    ResponseType_ReconfComplete = CHOICE(name='ResponseType-ReconfComplete', mode=MODE_TYPE)
    _ResponseType_ReconfComplete_configuration_successfully_applied = SEQ(name='configuration-successfully-applied', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'Configuration-successfully-applied')))
    _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode = SEQ(name='configuration-rejected-by-M-NG-RANNode', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'Configuration-rejected-by-M-NG-RANNode')))
    _ResponseType_ReconfComplete_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResponseType_ReconfComplete_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ResponseType_ReconfComplete_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_id._const_tab = ___ResponseType_ReconfComplete_choice_extension_id_tab
    __ResponseType_ReconfComplete_choice_extension_id._const_tab_at = None
    __ResponseType_ReconfComplete_choice_extension_id._const_tab_id = 'id'
    __ResponseType_ReconfComplete_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResponseType_ReconfComplete_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab = ___ResponseType_ReconfComplete_choice_extension_criticality_tab
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab_id = 'criticality'
    __ResponseType_ReconfComplete_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResponseType_ReconfComplete_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_value._const_tab = ___ResponseType_ReconfComplete_choice_extension_value_tab
    __ResponseType_ReconfComplete_choice_extension_value._const_tab_at = ('..', 'id')
    __ResponseType_ReconfComplete_choice_extension_value._const_tab_id = 'Value'
    _ResponseType_ReconfComplete_choice_extension._cont = ASN1Dict([
        ('id', __ResponseType_ReconfComplete_choice_extension_id),
        ('criticality', __ResponseType_ReconfComplete_choice_extension_criticality),
        ('value', __ResponseType_ReconfComplete_choice_extension_value),
        ])
    _ResponseType_ReconfComplete_choice_extension._ext = None
    ResponseType_ReconfComplete._cont = ASN1Dict([
        ('configuration-successfully-applied', _ResponseType_ReconfComplete_configuration_successfully_applied),
        ('configuration-rejected-by-M-NG-RANNode', _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode),
        ('choice-extension', _ResponseType_ReconfComplete_choice_extension),
        ])
    ResponseType_ReconfComplete._ext = None
    
    #-----< ResponseType-ReconfComplete-ExtIEs >-----#
    ResponseType_ReconfComplete_ExtIEs = CLASS(name='ResponseType-ReconfComplete-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResponseType_ReconfComplete_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Configuration-successfully-applied >-----#
    Configuration_successfully_applied = SEQ(name='Configuration-successfully-applied', mode=MODE_TYPE)
    _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container = OCT_STR(name='m-NG-RANNode-to-S-NG-RANNode-Container', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Configuration_successfully_applied_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Configuration_successfully_applied_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Configuration_successfully_applied_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Configuration_successfully_applied_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__id_tab
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab_at = None
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab_id = 'id'
    ___Configuration_successfully_applied_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Configuration_successfully_applied_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Configuration_successfully_applied_iE_Extensions__item__id),
        ('criticality', ___Configuration_successfully_applied_iE_Extensions__item__criticality),
        ('extensionValue', ___Configuration_successfully_applied_iE_Extensions__item__extensionValue),
        ])
    __Configuration_successfully_applied_iE_Extensions__item_._ext = None
    _Configuration_successfully_applied_iE_Extensions._cont = __Configuration_successfully_applied_iE_Extensions__item_
    _Configuration_successfully_applied_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Configuration_successfully_applied._cont = ASN1Dict([
        ('m-NG-RANNode-to-S-NG-RANNode-Container', _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container),
        ('iE-Extensions', _Configuration_successfully_applied_iE_Extensions),
        ])
    Configuration_successfully_applied._ext = []
    
    #-----< Configuration-successfully-applied-ExtIEs >-----#
    Configuration_successfully_applied_ExtIEs = CLASS(name='Configuration-successfully-applied-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Configuration_successfully_applied_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Configuration-rejected-by-M-NG-RANNode >-----#
    Configuration_rejected_by_M_NG_RANNode = SEQ(name='Configuration-rejected-by-M-NG-RANNode', mode=MODE_TYPE)
    _Configuration_rejected_by_M_NG_RANNode_cause = CHOICE(name='cause', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container = OCT_STR(name='m-NG-RANNode-to-S-NG-RANNode-Container', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab_at = None
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab_id = 'id'
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id),
        ('criticality', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality),
        ('extensionValue', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue),
        ])
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_._ext = None
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions._cont = __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Configuration_rejected_by_M_NG_RANNode._cont = ASN1Dict([
        ('cause', _Configuration_rejected_by_M_NG_RANNode_cause),
        ('m-NG-RANNode-to-S-NG-RANNode-Container', _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container),
        ('iE-Extensions', _Configuration_rejected_by_M_NG_RANNode_iE_Extensions),
        ])
    Configuration_rejected_by_M_NG_RANNode._ext = []
    
    #-----< Configuration-rejected-by-M-NG-RANNode-ExtIEs >-----#
    Configuration_rejected_by_M_NG_RANNode_ExtIEs = CLASS(name='Configuration-rejected-by-M-NG-RANNode-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Configuration_rejected_by_M_NG_RANNode_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequest >-----#
    SNodeModificationRequest = SEQ(name='SNodeModificationRequest', mode=MODE_TYPE)
    _SNodeModificationRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGConfigurationQuery')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfo-SNModRequest')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_19 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_20 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3Release')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_21 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SNTriggered')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_22 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    ____SNodeModificationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 33), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 64), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 25), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 63), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 85), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 54), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 55), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 94), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 96), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 105), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')]), dict([('id', 113), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14), ('presence', 'optional')]), dict([('id', 110), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16), ('presence', 'optional')]), dict([('id', 32), ('criticality', 'reject'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17), ('presence', 'optional')]), dict([('id', 126), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18), ('presence', 'optional')]), dict([('id', 148), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_19), ('presence', 'optional')]), dict([('id', 150), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_20), ('presence', 'optional')]), dict([('id', 229), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_21), ('presence', 'optional')]), dict([('id', 260), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_22), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationRequest_protocolIEs__item__id),
        ('criticality', ___SNodeModificationRequest_protocolIEs__item__criticality),
        ('value', ___SNodeModificationRequest_protocolIEs__item__value),
        ])
    __SNodeModificationRequest_protocolIEs__item_._ext = None
    _SNodeModificationRequest_protocolIEs._cont = __SNodeModificationRequest_protocolIEs__item_
    _SNodeModificationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequest._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationRequest_protocolIEs),
        ])
    SNodeModificationRequest._ext = []
    
    #-----< SNodeModificationRequest-IEs >-----#
    SNodeModificationRequest_IEs = CLASS(name='SNodeModificationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequest_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequest_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _SNodeModificationRequest_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SNodeModificationRequest_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _SNodeModificationRequest_IEs_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGConfigurationQuery')))
    _SNodeModificationRequest_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfo-SNModRequest')))
    _SNodeModificationRequest_IEs_val_Value_8 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeModificationRequest_IEs_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequest_IEs_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequest_IEs_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _SNodeModificationRequest_IEs_val_Value_12 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationRequest_IEs_val_Value_13 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeModificationRequest_IEs_val_Value_14 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeModificationRequest_IEs_val_Value_15 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _SNodeModificationRequest_IEs_val_Value_16 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequest_IEs_val_Value_17 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _SNodeModificationRequest_IEs_val_Value_18 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _SNodeModificationRequest_IEs_val_Value_19 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3')))
    _SNodeModificationRequest_IEs_val_Value_20 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RequestedFastMCGRecoveryViaSRB3Release')))
    _SNodeModificationRequest_IEs_val_Value_21 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SNTriggered')))
    _SNodeModificationRequest_IEs_val_Value_22 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    SNodeModificationRequest_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 33), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 64), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 25), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 63), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 85), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 54), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 55), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 94), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 96), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 105), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_13), ('presence', 'optional')]), dict([('id', 113), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_14), ('presence', 'optional')]), dict([('id', 110), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_15), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_16), ('presence', 'optional')]), dict([('id', 32), ('criticality', 'reject'), ('Value', _SNodeModificationRequest_IEs_val_Value_17), ('presence', 'optional')]), dict([('id', 126), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_18), ('presence', 'optional')]), dict([('id', 148), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_19), ('presence', 'optional')]), dict([('id', 150), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_20), ('presence', 'optional')]), dict([('id', 229), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_21), ('presence', 'optional')]), dict([('id', 260), ('criticality', 'ignore'), ('Value', _SNodeModificationRequest_IEs_val_Value_22), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEContextInfo-SNModRequest >-----#
    UEContextInfo_SNModRequest = SEQ(name='UEContextInfo-SNModRequest', mode=MODE_TYPE)
    _UEContextInfo_SNModRequest_ueSecurityCapabilities = SEQ(name='ueSecurityCapabilities', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')), opt=True)
    _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey = BIT_STR(name='s-ng-RANnode-SecurityKey', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')), opt=True)
    _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR = SEQ(name='s-ng-RANnodeUE-AMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')), opt=True)
    _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority = INT(name='indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange = ENUM(name='lowerLayerPresenceStatusChange', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LowerLayerPresenceStatusChange')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded = SEQ_OF(name='pduSessionResourceToBeAdded', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeAdded-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeModified = SEQ_OF(name='pduSessionResourceToBeModified', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeModified-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased = SEQ(name='pduSessionResourceToBeReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeReleased-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfo_SNModRequest_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfo_SNModRequest_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab_at = None
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab_id = 'id'
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __UEContextInfo_SNModRequest_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___UEContextInfo_SNModRequest_iE_Extension__item__id),
        ('criticality', ___UEContextInfo_SNModRequest_iE_Extension__item__criticality),
        ('extensionValue', ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue),
        ])
    __UEContextInfo_SNModRequest_iE_Extension__item_._ext = None
    _UEContextInfo_SNModRequest_iE_Extension._cont = __UEContextInfo_SNModRequest_iE_Extension__item_
    _UEContextInfo_SNModRequest_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfo_SNModRequest._cont = ASN1Dict([
        ('ueSecurityCapabilities', _UEContextInfo_SNModRequest_ueSecurityCapabilities),
        ('s-ng-RANnode-SecurityKey', _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey),
        ('s-ng-RANnodeUE-AMBR', _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR),
        ('indexToRatFrequencySelectionPriority', _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority),
        ('lowerLayerPresenceStatusChange', _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange),
        ('pduSessionResourceToBeAdded', _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded),
        ('pduSessionResourceToBeModified', _UEContextInfo_SNModRequest_pduSessionResourceToBeModified),
        ('pduSessionResourceToBeReleased', _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased),
        ('iE-Extension', _UEContextInfo_SNModRequest_iE_Extension),
        ])
    UEContextInfo_SNModRequest._ext = []
    
    #-----< UEContextInfo-SNModRequest-ExtIEs >-----#
    UEContextInfo_SNModRequest_ExtIEs = CLASS(name='UEContextInfo-SNModRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextInfo_SNModRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeAdded-SNModRequest-List >-----#
    PDUSessionsToBeAdded_SNModRequest_List = SEQ_OF(name='PDUSessionsToBeAdded-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeAdded_SNModRequest_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeAdded-SNModRequest-Item')))
    PDUSessionsToBeAdded_SNModRequest_List._cont = _PDUSessionsToBeAdded_SNModRequest_List__item_
    PDUSessionsToBeAdded_SNModRequest_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionsToBeAdded-SNModRequest-Item >-----#
    PDUSessionsToBeAdded_SNModRequest_Item = SEQ(name='PDUSessionsToBeAdded-SNModRequest-Item', mode=MODE_TYPE)
    _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI = SEQ(name='s-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR = SEQ(name='sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-SNterminated')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-MNterminated')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 249), ('criticality', 'ignore'), ('Extension', _____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_._ext = None
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension._cont = __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeAdded_SNModRequest_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId),
        ('s-NSSAI', _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI),
        ('sN-PDUSessionAMBR', _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR),
        ('sn-terminated', _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated),
        ('mn-terminated', _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated),
        ('iE-Extension', _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension),
        ])
    PDUSessionsToBeAdded_SNModRequest_Item._ext = []
    
    #-----< PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs >-----#
    PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs = CLASS(name='PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')))
    PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 249), ('criticality', 'ignore'), ('Extension', _PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs_val_Extension_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeModified-SNModRequest-List >-----#
    PDUSessionsToBeModified_SNModRequest_List = SEQ_OF(name='PDUSessionsToBeModified-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeModified_SNModRequest_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeModified-SNModRequest-Item')))
    PDUSessionsToBeModified_SNModRequest_List._cont = _PDUSessionsToBeModified_SNModRequest_List__item_
    PDUSessionsToBeModified_SNModRequest_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionsToBeModified-SNModRequest-Item >-----#
    PDUSessionsToBeModified_SNModRequest_Item = SEQ(name='PDUSessionsToBeModified-SNModRequest-Item', mode=MODE_TYPE)
    _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR = SEQ(name='sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationInfo-SNterminated')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationInfo-MNterminated')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')))
    ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 116), ('criticality', 'reject'), ('Extension', _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 249), ('criticality', 'ignore'), ('Extension', _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_._ext = None
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension._cont = __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeModified_SNModRequest_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId),
        ('sN-PDUSessionAMBR', _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR),
        ('sn-terminated', _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated),
        ('mn-terminated', _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated),
        ('iE-Extension', _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension),
        ])
    PDUSessionsToBeModified_SNModRequest_Item._ext = []
    
    #-----< PDUSessionsToBeModified-SNModRequest-Item-ExtIEs >-----#
    PDUSessionsToBeModified_SNModRequest_Item_ExtIEs = CLASS(name='PDUSessionsToBeModified-SNModRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')))
    PDUSessionsToBeModified_SNModRequest_Item_ExtIEs._val = ASN1Set(rv=[dict([('id', 116), ('criticality', 'reject'), ('Extension', _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 249), ('criticality', 'ignore'), ('Extension', _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeReleased-SNModRequest-List >-----#
    PDUSessionsToBeReleased_SNModRequest_List = SEQ(name='PDUSessionsToBeReleased-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list = SEQ_OF(name='pdu-session-list', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id),
        ('criticality', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_._ext = None
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension._cont = __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeReleased_SNModRequest_List._cont = ASN1Dict([
        ('pdu-session-list', _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list),
        ('iE-Extension', _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension),
        ])
    PDUSessionsToBeReleased_SNModRequest_List._ext = []
    
    #-----< PDUSessionsToBeReleased-SNModRequest-List-ExtIEs >-----#
    PDUSessionsToBeReleased_SNModRequest_List_ExtIEs = CLASS(name='PDUSessionsToBeReleased-SNModRequest-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionsToBeReleased_SNModRequest_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RequestedFastMCGRecoveryViaSRB3Release >-----#
    RequestedFastMCGRecoveryViaSRB3Release = ENUM(name='RequestedFastMCGRecoveryViaSRB3Release', mode=MODE_TYPE)
    RequestedFastMCGRecoveryViaSRB3Release._cont = ASN1Dict([('true', 0)])
    RequestedFastMCGRecoveryViaSRB3Release._ext = []
    
    #-----< SNodeModificationRequestAcknowledge >-----#
    SNodeModificationRequestAcknowledge = SEQ(name='SNodeModificationRequestAcknowledge', mode=MODE_TYPE)
    _SNodeModificationRequestAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmitted-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmitted-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionDataForwarding-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_12 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ReleaseFastMCGRecoveryViaSRB3')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_14 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DirectForwardingPathAvailability')))
    ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 36), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 38), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 2), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 3), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 123), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 151), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')]), dict([('id', 253), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_14), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationRequestAcknowledge_protocolIEs__item__id),
        ('criticality', ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality),
        ('value', ___SNodeModificationRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeModificationRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeModificationRequestAcknowledge_protocolIEs._cont = __SNodeModificationRequestAcknowledge_protocolIEs__item_
    _SNodeModificationRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequestAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationRequestAcknowledge_protocolIEs),
        ])
    SNodeModificationRequestAcknowledge._ext = []
    
    #-----< SNodeModificationRequestAcknowledge-IEs >-----#
    SNodeModificationRequestAcknowledge_IEs = CLASS(name='SNodeModificationRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmitted-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmitted-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeModificationRequestAcknowledge_IEs_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_6 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionDataForwarding-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_12 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ReleaseFastMCGRecoveryViaSRB3')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_14 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DirectForwardingPathAvailability')))
    SNodeModificationRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 36), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 38), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 2), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 3), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 123), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 151), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_13), ('presence', 'optional')]), dict([('id', 253), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_14), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmitted-SNModResponse >-----#
    PDUSessionAdmitted_SNModResponse = SEQ(name='PDUSessionAdmitted-SNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded = SEQ_OF(name='pduSessionResourcesAdmittedToBeAdded', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeAddedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified = SEQ_OF(name='pduSessionResourcesAdmittedToBeModified', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeModifiedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased = SEQ(name='pduSessionResourcesAdmittedToBeReleased', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeReleasedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_._ext = None
    _PDUSessionAdmitted_SNModResponse_iE_Extension._cont = __PDUSessionAdmitted_SNModResponse_iE_Extension__item_
    _PDUSessionAdmitted_SNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmitted_SNModResponse._cont = ASN1Dict([
        ('pduSessionResourcesAdmittedToBeAdded', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded),
        ('pduSessionResourcesAdmittedToBeModified', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified),
        ('pduSessionResourcesAdmittedToBeReleased', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased),
        ('iE-Extension', _PDUSessionAdmitted_SNModResponse_iE_Extension),
        ])
    PDUSessionAdmitted_SNModResponse._ext = []
    
    #-----< PDUSessionAdmitted-SNModResponse-ExtIEs >-----#
    PDUSessionAdmitted_SNModResponse_ExtIEs = CLASS(name='PDUSessionAdmitted-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmitted_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse >-----#
    PDUSessionAdmittedToBeAddedSNModResponse = SEQ_OF(name='PDUSessionAdmittedToBeAddedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeAddedSNModResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeAddedSNModResponse-Item')))
    PDUSessionAdmittedToBeAddedSNModResponse._cont = _PDUSessionAdmittedToBeAddedSNModResponse__item_
    PDUSessionAdmittedToBeAddedSNModResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse-Item >-----#
    PDUSessionAdmittedToBeAddedSNModResponse_Item = SEQ(name='PDUSessionAdmittedToBeAddedSNModResponse-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension._cont = __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeAddedSNModResponse_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId),
        ('sn-terminated', _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated),
        ('mn-terminated', _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated),
        ('iE-Extension', _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension),
        ])
    PDUSessionAdmittedToBeAddedSNModResponse_Item._ext = []
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs >-----#
    PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs = CLASS(name='PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse = SEQ_OF(name='PDUSessionAdmittedToBeModifiedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeModifiedSNModResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeModifiedSNModResponse-Item')))
    PDUSessionAdmittedToBeModifiedSNModResponse._cont = _PDUSessionAdmittedToBeModifiedSNModResponse__item_
    PDUSessionAdmittedToBeModifiedSNModResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse-Item >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse_Item = SEQ(name='PDUSessionAdmittedToBeModifiedSNModResponse-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension._cont = __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeModifiedSNModResponse_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId),
        ('sn-terminated', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated),
        ('mn-terminated', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated),
        ('iE-Extension', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension),
        ])
    PDUSessionAdmittedToBeModifiedSNModResponse_Item._ext = []
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs = CLASS(name='PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeReleasedSNModResponse >-----#
    PDUSessionAdmittedToBeReleasedSNModResponse = SEQ(name='PDUSessionAdmittedToBeReleasedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated = SEQ_OF(name='sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated = SEQ_OF(name='mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension._cont = __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeReleasedSNModResponse._cont = ASN1Dict([
        ('sn-terminated', _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated),
        ('mn-terminated', _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated),
        ('iE-Extension', _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension),
        ])
    PDUSessionAdmittedToBeReleasedSNModResponse._ext = []
    
    #-----< PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs >-----#
    PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs = CLASS(name='PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionNotAdmitted-SNModResponse >-----#
    PDUSessionNotAdmitted_SNModResponse = SEQ(name='PDUSessionNotAdmitted-SNModResponse', mode=MODE_TYPE)
    _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List = SEQ_OF(name='pdu-Session-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List')), opt=True)
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id),
        ('criticality', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_._ext = None
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension._cont = __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionNotAdmitted_SNModResponse._cont = ASN1Dict([
        ('pdu-Session-List', _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List),
        ('iE-Extension', _PDUSessionNotAdmitted_SNModResponse_iE_Extension),
        ])
    PDUSessionNotAdmitted_SNModResponse._ext = []
    
    #-----< PDUSessionNotAdmitted-SNModResponse-ExtIEs >-----#
    PDUSessionNotAdmitted_SNModResponse_ExtIEs = CLASS(name='PDUSessionNotAdmitted-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionNotAdmitted_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionDataForwarding-SNModResponse >-----#
    PDUSessionDataForwarding_SNModResponse = SEQ(name='PDUSessionDataForwarding-SNModResponse', mode=MODE_TYPE)
    _PDUSessionDataForwarding_SNModResponse_sn_terminated = SEQ_OF(name='sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')))
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id),
        ('criticality', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_._ext = None
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions._cont = __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionDataForwarding_SNModResponse._cont = ASN1Dict([
        ('sn-terminated', _PDUSessionDataForwarding_SNModResponse_sn_terminated),
        ('iE-Extensions', _PDUSessionDataForwarding_SNModResponse_iE_Extensions),
        ])
    PDUSessionDataForwarding_SNModResponse._ext = []
    
    #-----< PDUSessionDataForwarding-SNModResponse-ExtIEs >-----#
    PDUSessionDataForwarding_SNModResponse_ExtIEs = CLASS(name='PDUSessionDataForwarding-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionDataForwarding_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ReleaseFastMCGRecoveryViaSRB3 >-----#
    ReleaseFastMCGRecoveryViaSRB3 = ENUM(name='ReleaseFastMCGRecoveryViaSRB3', mode=MODE_TYPE)
    ReleaseFastMCGRecoveryViaSRB3._cont = ASN1Dict([('true', 0)])
    ReleaseFastMCGRecoveryViaSRB3._ext = []
    
    #-----< SNodeModificationRequestReject >-----#
    SNodeModificationRequestReject = SEQ(name='SNodeModificationRequestReject', mode=MODE_TYPE)
    _SNodeModificationRequestReject_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequestReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequestReject_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationRequestReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeModificationRequestReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationRequestReject_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationRequestReject_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationRequestReject_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationRequestReject_protocolIEs__item__id),
        ('criticality', ___SNodeModificationRequestReject_protocolIEs__item__criticality),
        ('value', ___SNodeModificationRequestReject_protocolIEs__item__value),
        ])
    __SNodeModificationRequestReject_protocolIEs__item_._ext = None
    _SNodeModificationRequestReject_protocolIEs._cont = __SNodeModificationRequestReject_protocolIEs__item_
    _SNodeModificationRequestReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequestReject._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationRequestReject_protocolIEs),
        ])
    SNodeModificationRequestReject._ext = []
    
    #-----< SNodeModificationRequestReject-IEs >-----#
    SNodeModificationRequestReject_IEs = CLASS(name='SNodeModificationRequestReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequestReject_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestReject_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestReject_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequestReject_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeModificationRequestReject_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestReject_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestReject_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestReject_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeModificationRequestReject_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequired >-----#
    SNodeModificationRequired = SEQ(name='SNodeModificationRequired', mode=MODE_TYPE)
    _SNodeModificationRequired_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequired_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedSNModRequired')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-Number')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_12 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ReleaseFastMCGRecoveryViaSRB3')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_14 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGIndicator')))
    ____SNodeModificationRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 33), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 48), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 51), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 97), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 98), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_12), ('presence', 'optional')]), dict([('id', 151), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_13), ('presence', 'optional')]), dict([('id', 247), ('criticality', 'ignore'), ('Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_14), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationRequired_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationRequired_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationRequired_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationRequired_protocolIEs__item__id),
        ('criticality', ___SNodeModificationRequired_protocolIEs__item__criticality),
        ('value', ___SNodeModificationRequired_protocolIEs__item__value),
        ])
    __SNodeModificationRequired_protocolIEs__item_._ext = None
    _SNodeModificationRequired_protocolIEs._cont = __SNodeModificationRequired_protocolIEs__item_
    _SNodeModificationRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequired._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationRequired_protocolIEs),
        ])
    SNodeModificationRequired._ext = []
    
    #-----< SNodeModificationRequired-IEs >-----#
    SNodeModificationRequired_IEs = CLASS(name='SNodeModificationRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequired_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequired_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequired_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequired_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _SNodeModificationRequired_IEs_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired')))
    _SNodeModificationRequired_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedSNModRequired')))
    _SNodeModificationRequired_IEs_val_Value_6 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeModificationRequired_IEs_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationRequired_IEs_val_Value_8 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-Number')))
    _SNodeModificationRequired_IEs_val_Value_9 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeModificationRequired_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequired_IEs_val_Value_11 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _SNodeModificationRequired_IEs_val_Value_12 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AvailableFastMCGRecoveryViaSRB3')))
    _SNodeModificationRequired_IEs_val_Value_13 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ReleaseFastMCGRecoveryViaSRB3')))
    _SNodeModificationRequired_IEs_val_Value_14 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGIndicator')))
    SNodeModificationRequired_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeModificationRequired_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeModificationRequired_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 33), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 48), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 51), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 97), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 98), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 111), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 61), ('criticality', 'reject'), ('Value', _SNodeModificationRequired_IEs_val_Value_11), ('presence', 'optional')]), dict([('id', 149), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_12), ('presence', 'optional')]), dict([('id', 151), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_13), ('presence', 'optional')]), dict([('id', 247), ('criticality', 'ignore'), ('Value', _SNodeModificationRequired_IEs_val_Value_14), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeModifiedSNModRequired >-----#
    PDUSessionToBeModifiedSNModRequired = SEQ_OF(name='PDUSessionToBeModifiedSNModRequired', mode=MODE_TYPE)
    _PDUSessionToBeModifiedSNModRequired__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired-Item')))
    PDUSessionToBeModifiedSNModRequired._cont = _PDUSessionToBeModifiedSNModRequired__item_
    PDUSessionToBeModifiedSNModRequired._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionToBeModifiedSNModRequired-Item >-----#
    PDUSessionToBeModifiedSNModRequired_Item = SEQ(name='PDUSessionToBeModifiedSNModRequired-Item', mode=MODE_TYPE)
    _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModRqdInfo-SNterminated')), opt=True)
    _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModRqdInfo-MNterminated')), opt=True)
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_._ext = None
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension._cont = __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeModifiedSNModRequired_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId),
        ('sn-terminated', _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated),
        ('mn-terminated', _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated),
        ('iE-Extension', _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension),
        ])
    PDUSessionToBeModifiedSNModRequired_Item._ext = []
    
    #-----< PDUSessionToBeModifiedSNModRequired-Item-ExtIEs >-----#
    PDUSessionToBeModifiedSNModRequired_Item_ExtIEs = CLASS(name='PDUSessionToBeModifiedSNModRequired-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeModifiedSNModRequired_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedSNModRequired >-----#
    PDUSessionToBeReleasedSNModRequired = SEQ(name='PDUSessionToBeReleasedSNModRequired', mode=MODE_TYPE)
    _PDUSessionToBeReleasedSNModRequired_sn_terminated = SEQ_OF(name='sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedSNModRequired_mn_terminated = SEQ_OF(name='mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionToBeReleasedSNModRequired_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id),
        ('criticality', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_._ext = None
    _PDUSessionToBeReleasedSNModRequired_iE_Extension._cont = __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_
    _PDUSessionToBeReleasedSNModRequired_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedSNModRequired._cont = ASN1Dict([
        ('sn-terminated', _PDUSessionToBeReleasedSNModRequired_sn_terminated),
        ('mn-terminated', _PDUSessionToBeReleasedSNModRequired_mn_terminated),
        ('iE-Extension', _PDUSessionToBeReleasedSNModRequired_iE_Extension),
        ])
    PDUSessionToBeReleasedSNModRequired._ext = []
    
    #-----< PDUSessionToBeReleasedSNModRequired-ExtIEs >-----#
    PDUSessionToBeReleasedSNModRequired_ExtIEs = CLASS(name='PDUSessionToBeReleasedSNModRequired-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedSNModRequired_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationConfirm >-----#
    SNodeModificationConfirm = SEQ(name='SNodeModificationConfirm', mode=MODE_TYPE)
    _SNodeModificationConfirm_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationConfirm_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedSNModConfirm')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    ____SNodeModificationConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 35), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 40), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 96), ('criticality', 'reject'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationConfirm_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationConfirm_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationConfirm_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationConfirm_protocolIEs__item__id),
        ('criticality', ___SNodeModificationConfirm_protocolIEs__item__criticality),
        ('value', ___SNodeModificationConfirm_protocolIEs__item__value),
        ])
    __SNodeModificationConfirm_protocolIEs__item_._ext = None
    _SNodeModificationConfirm_protocolIEs._cont = __SNodeModificationConfirm_protocolIEs__item_
    _SNodeModificationConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationConfirm._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationConfirm_protocolIEs),
        ])
    SNodeModificationConfirm._ext = []
    
    #-----< SNodeModificationConfirm-IEs >-----#
    SNodeModificationConfirm_IEs = CLASS(name='SNodeModificationConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationConfirm_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationConfirm_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationConfirm_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm')))
    _SNodeModificationConfirm_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedSNModConfirm')))
    _SNodeModificationConfirm_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeModificationConfirm_IEs_val_Value_5 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationConfirm_IEs_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeModificationConfirm_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    SNodeModificationConfirm_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 35), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 40), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 96), ('criticality', 'reject'), ('Value', _SNodeModificationConfirm_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 117), ('criticality', 'ignore'), ('Value', _SNodeModificationConfirm_IEs_val_Value_7), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedModSNModConfirm >-----#
    PDUSessionAdmittedModSNModConfirm = SEQ_OF(name='PDUSessionAdmittedModSNModConfirm', mode=MODE_TYPE)
    _PDUSessionAdmittedModSNModConfirm__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm-Item')))
    PDUSessionAdmittedModSNModConfirm._cont = _PDUSessionAdmittedModSNModConfirm__item_
    PDUSessionAdmittedModSNModConfirm._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedModSNModConfirm-Item >-----#
    PDUSessionAdmittedModSNModConfirm_Item = SEQ(name='PDUSessionAdmittedModSNModConfirm-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModConfirmInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModConfirmInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id),
        ('criticality', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension._cont = __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedModSNModConfirm_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId),
        ('sn-terminated', _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated),
        ('mn-terminated', _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated),
        ('iE-Extension', _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension),
        ])
    PDUSessionAdmittedModSNModConfirm_Item._ext = []
    
    #-----< PDUSessionAdmittedModSNModConfirm-Item-ExtIEs >-----#
    PDUSessionAdmittedModSNModConfirm_Item_ExtIEs = CLASS(name='PDUSessionAdmittedModSNModConfirm-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedModSNModConfirm_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionReleasedSNModConfirm >-----#
    PDUSessionReleasedSNModConfirm = SEQ(name='PDUSessionReleasedSNModConfirm', mode=MODE_TYPE)
    _PDUSessionReleasedSNModConfirm_sn_terminated = SEQ_OF(name='sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget')), opt=True)
    _PDUSessionReleasedSNModConfirm_mn_terminated = SEQ_OF(name='mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List')), opt=True)
    _PDUSessionReleasedSNModConfirm_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id),
        ('criticality', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue),
        ])
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_._ext = None
    _PDUSessionReleasedSNModConfirm_iE_Extension._cont = __PDUSessionReleasedSNModConfirm_iE_Extension__item_
    _PDUSessionReleasedSNModConfirm_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionReleasedSNModConfirm._cont = ASN1Dict([
        ('sn-terminated', _PDUSessionReleasedSNModConfirm_sn_terminated),
        ('mn-terminated', _PDUSessionReleasedSNModConfirm_mn_terminated),
        ('iE-Extension', _PDUSessionReleasedSNModConfirm_iE_Extension),
        ])
    PDUSessionReleasedSNModConfirm._ext = []
    
    #-----< PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs >-----#
    PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs = CLASS(name='PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRefuse >-----#
    SNodeModificationRefuse = SEQ(name='SNodeModificationRefuse', mode=MODE_TYPE)
    _SNodeModificationRefuse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRefuse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRefuse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeModificationRefuse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeModificationRefuse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeModificationRefuse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeModificationRefuse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeModificationRefuse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeModificationRefuse_protocolIEs__item__id),
        ('criticality', ___SNodeModificationRefuse_protocolIEs__item__criticality),
        ('value', ___SNodeModificationRefuse_protocolIEs__item__value),
        ])
    __SNodeModificationRefuse_protocolIEs__item_._ext = None
    _SNodeModificationRefuse_protocolIEs._cont = __SNodeModificationRefuse_protocolIEs__item_
    _SNodeModificationRefuse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRefuse._cont = ASN1Dict([
        ('protocolIEs', _SNodeModificationRefuse_protocolIEs),
        ])
    SNodeModificationRefuse._ext = []
    
    #-----< SNodeModificationRefuse-IEs >-----#
    SNodeModificationRefuse_IEs = CLASS(name='SNodeModificationRefuse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRefuse_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRefuse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRefuse_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRefuse_IEs_val_Value_3 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeModificationRefuse_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeModificationRefuse_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeModificationRefuse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeModificationRefuse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeModificationRefuse_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _SNodeModificationRefuse_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeModificationRefuse_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequest >-----#
    SNodeReleaseRequest = SEQ(name='SNodeReleaseRequest', mode=MODE_TYPE)
    _SNodeReleaseRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReleaseRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE)
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____SNodeReleaseRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 50), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 86), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 137), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReleaseRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReleaseRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReleaseRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReleaseRequest_protocolIEs__item__id),
        ('criticality', ___SNodeReleaseRequest_protocolIEs__item__criticality),
        ('value', ___SNodeReleaseRequest_protocolIEs__item__value),
        ])
    __SNodeReleaseRequest_protocolIEs__item_._ext = None
    _SNodeReleaseRequest_protocolIEs._cont = __SNodeReleaseRequest_protocolIEs__item_
    _SNodeReleaseRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequest._cont = ASN1Dict([
        ('protocolIEs', _SNodeReleaseRequest_protocolIEs),
        ])
    SNodeReleaseRequest._ext = []
    
    #-----< SNodeReleaseRequest-IEs >-----#
    SNodeReleaseRequest_IEs = CLASS(name='SNodeReleaseRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequest_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseRequest_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')))
    _SNodeReleaseRequest_IEs_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _SNodeReleaseRequest_IEs_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE)
    _SNodeReleaseRequest_IEs_val_Value_6 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    SNodeReleaseRequest_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeReleaseRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeReleaseRequest_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 50), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequest_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 86), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequest_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 24), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequest_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 137), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequest_IEs_val_Value_6), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequestAcknowledge >-----#
    SNodeReleaseRequestAcknowledge = SEQ(name='SNodeReleaseRequestAcknowledge', mode=MODE_TYPE)
    _SNodeReleaseRequestAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelReqAck')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 104), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id),
        ('criticality', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality),
        ('value', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeReleaseRequestAcknowledge_protocolIEs._cont = __SNodeReleaseRequestAcknowledge_protocolIEs__item_
    _SNodeReleaseRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequestAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _SNodeReleaseRequestAcknowledge_protocolIEs),
        ])
    SNodeReleaseRequestAcknowledge._ext = []
    
    #-----< SNodeReleaseRequestAcknowledge-IEs >-----#
    SNodeReleaseRequestAcknowledge_IEs = CLASS(name='SNodeReleaseRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelReqAck')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 104), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedList-RelReqAck >-----#
    PDUSessionToBeReleasedList_RelReqAck = SEQ(name='PDUSessionToBeReleasedList-RelReqAck', mode=MODE_TYPE)
    _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated = SEQ_OF(name='pduSessionsToBeReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id),
        ('criticality', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_._ext = None
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions._cont = __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedList_RelReqAck._cont = ASN1Dict([
        ('pduSessionsToBeReleasedList-SNterminated', _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated),
        ('iE-Extensions', _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions),
        ])
    PDUSessionToBeReleasedList_RelReqAck._ext = []
    
    #-----< PDUSessionToBeReleasedList-RelReqAck-ExtIEs >-----#
    PDUSessionToBeReleasedList_RelReqAck_ExtIEs = CLASS(name='PDUSessionToBeReleasedList-RelReqAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedList_RelReqAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseReject >-----#
    SNodeReleaseReject = SEQ(name='SNodeReleaseReject', mode=MODE_TYPE)
    _SNodeReleaseReject_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseReject_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReleaseReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReleaseReject_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReleaseReject_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReleaseReject_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReleaseReject_protocolIEs__item__id),
        ('criticality', ___SNodeReleaseReject_protocolIEs__item__criticality),
        ('value', ___SNodeReleaseReject_protocolIEs__item__value),
        ])
    __SNodeReleaseReject_protocolIEs__item_._ext = None
    _SNodeReleaseReject_protocolIEs._cont = __SNodeReleaseReject_protocolIEs__item_
    _SNodeReleaseReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseReject._cont = ASN1Dict([
        ('protocolIEs', _SNodeReleaseReject_protocolIEs),
        ])
    SNodeReleaseReject._ext = []
    
    #-----< SNodeReleaseReject-IEs >-----#
    SNodeReleaseReject_IEs = CLASS(name='SNodeReleaseReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseReject_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseReject_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseReject_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseReject_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseReject_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeReleaseReject_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeReleaseReject_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeReleaseReject_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeReleaseReject_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequired >-----#
    SNodeReleaseRequired = SEQ(name='SNodeReleaseRequired', mode=MODE_TYPE)
    _SNodeReleaseRequired_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequired_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReleaseRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelRqd')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    ____SNodeReleaseRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 49), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReleaseRequired_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReleaseRequired_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReleaseRequired_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReleaseRequired_protocolIEs__item__id),
        ('criticality', ___SNodeReleaseRequired_protocolIEs__item__criticality),
        ('value', ___SNodeReleaseRequired_protocolIEs__item__value),
        ])
    __SNodeReleaseRequired_protocolIEs__item_._ext = None
    _SNodeReleaseRequired_protocolIEs._cont = __SNodeReleaseRequired_protocolIEs__item_
    _SNodeReleaseRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequired._cont = ASN1Dict([
        ('protocolIEs', _SNodeReleaseRequired_protocolIEs),
        ])
    SNodeReleaseRequired._ext = []
    
    #-----< SNodeReleaseRequired-IEs >-----#
    SNodeReleaseRequired_IEs = CLASS(name='SNodeReleaseRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequired_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequired_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequired_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelRqd')))
    _SNodeReleaseRequired_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseRequired_IEs_val_Value_4 = OCT_STR(name='Value', mode=MODE_TYPE)
    SNodeReleaseRequired_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeReleaseRequired_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeReleaseRequired_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 49), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequired_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequired_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 72), ('criticality', 'ignore'), ('Value', _SNodeReleaseRequired_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedList-RelRqd >-----#
    PDUSessionToBeReleasedList_RelRqd = SEQ(name='PDUSessionToBeReleasedList-RelRqd', mode=MODE_TYPE)
    _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated = SEQ_OF(name='pduSessionsToBeReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id),
        ('criticality', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_._ext = None
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions._cont = __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedList_RelRqd._cont = ASN1Dict([
        ('pduSessionsToBeReleasedList-SNterminated', _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated),
        ('iE-Extensions', _PDUSessionToBeReleasedList_RelRqd_iE_Extensions),
        ])
    PDUSessionToBeReleasedList_RelRqd._ext = []
    
    #-----< PDUSessionToBeReleasedList-RelRqd-ExtIEs >-----#
    PDUSessionToBeReleasedList_RelRqd_ExtIEs = CLASS(name='PDUSessionToBeReleasedList-RelRqd-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedList_RelRqd_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseConfirm >-----#
    SNodeReleaseConfirm = SEQ(name='SNodeReleaseConfirm', mode=MODE_TYPE)
    _SNodeReleaseConfirm_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseConfirm_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeReleaseConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedList-RelConf')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 39), ('criticality', 'ignore'), ('Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeReleaseConfirm_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeReleaseConfirm_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeReleaseConfirm_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeReleaseConfirm_protocolIEs__item__id),
        ('criticality', ___SNodeReleaseConfirm_protocolIEs__item__criticality),
        ('value', ___SNodeReleaseConfirm_protocolIEs__item__value),
        ])
    __SNodeReleaseConfirm_protocolIEs__item_._ext = None
    _SNodeReleaseConfirm_protocolIEs._cont = __SNodeReleaseConfirm_protocolIEs__item_
    _SNodeReleaseConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseConfirm._cont = ASN1Dict([
        ('protocolIEs', _SNodeReleaseConfirm_protocolIEs),
        ])
    SNodeReleaseConfirm._ext = []
    
    #-----< SNodeReleaseConfirm-IEs >-----#
    SNodeReleaseConfirm_IEs = CLASS(name='SNodeReleaseConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseConfirm_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseConfirm_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseConfirm_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedList-RelConf')))
    _SNodeReleaseConfirm_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseConfirm_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeReleaseConfirm_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeReleaseConfirm_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 39), ('criticality', 'ignore'), ('Value', _SNodeReleaseConfirm_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeReleaseConfirm_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionReleasedList-RelConf >-----#
    PDUSessionReleasedList_RelConf = SEQ(name='PDUSessionReleasedList-RelConf', mode=MODE_TYPE)
    _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated = SEQ_OF(name='pduSessionsReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget')), opt=True)
    _PDUSessionReleasedList_RelConf_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id),
        ('criticality', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_._ext = None
    _PDUSessionReleasedList_RelConf_iE_Extensions._cont = __PDUSessionReleasedList_RelConf_iE_Extensions__item_
    _PDUSessionReleasedList_RelConf_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionReleasedList_RelConf._cont = ASN1Dict([
        ('pduSessionsReleasedList-SNterminated', _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated),
        ('iE-Extensions', _PDUSessionReleasedList_RelConf_iE_Extensions),
        ])
    PDUSessionReleasedList_RelConf._ext = []
    
    #-----< PDUSessionReleasedList-RelConf-ExtIEs >-----#
    PDUSessionReleasedList_RelConf_ExtIEs = CLASS(name='PDUSessionReleasedList-RelConf-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionReleasedList_RelConf_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeCounterCheckRequest >-----#
    SNodeCounterCheckRequest = SEQ(name='SNodeCounterCheckRequest', mode=MODE_TYPE)
    _SNodeCounterCheckRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeCounterCheckRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeCounterCheckRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeCounterCheckRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-List')))
    ____SNodeCounterCheckRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 6), ('criticality', 'ignore'), ('Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeCounterCheckRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeCounterCheckRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeCounterCheckRequest_protocolIEs__item__id),
        ('criticality', ___SNodeCounterCheckRequest_protocolIEs__item__criticality),
        ('value', ___SNodeCounterCheckRequest_protocolIEs__item__value),
        ])
    __SNodeCounterCheckRequest_protocolIEs__item_._ext = None
    _SNodeCounterCheckRequest_protocolIEs._cont = __SNodeCounterCheckRequest_protocolIEs__item_
    _SNodeCounterCheckRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeCounterCheckRequest._cont = ASN1Dict([
        ('protocolIEs', _SNodeCounterCheckRequest_protocolIEs),
        ])
    SNodeCounterCheckRequest._ext = []
    
    #-----< SNodeCounterCheckRequest-IEs >-----#
    SNodeCounterCheckRequest_IEs = CLASS(name='SNodeCounterCheckRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeCounterCheckRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeCounterCheckRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeCounterCheckRequest_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-List')))
    SNodeCounterCheckRequest_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeCounterCheckRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeCounterCheckRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 6), ('criticality', 'ignore'), ('Value', _SNodeCounterCheckRequest_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< BearersSubjectToCounterCheck-List >-----#
    BearersSubjectToCounterCheck_List = SEQ_OF(name='BearersSubjectToCounterCheck-List', mode=MODE_TYPE)
    _BearersSubjectToCounterCheck_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-Item')))
    BearersSubjectToCounterCheck_List._cont = _BearersSubjectToCounterCheck_List__item_
    BearersSubjectToCounterCheck_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< BearersSubjectToCounterCheck-Item >-----#
    BearersSubjectToCounterCheck_Item = SEQ(name='BearersSubjectToCounterCheck-Item', mode=MODE_TYPE)
    _BearersSubjectToCounterCheck_Item_drb_ID = INT(name='drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _BearersSubjectToCounterCheck_Item_ul_count = INT(name='ul-count', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _BearersSubjectToCounterCheck_Item_ul_count._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    _BearersSubjectToCounterCheck_Item_dl_count = INT(name='dl-count', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _BearersSubjectToCounterCheck_Item_dl_count._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    _BearersSubjectToCounterCheck_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab_at = None
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id),
        ('criticality', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue),
        ])
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_._ext = None
    _BearersSubjectToCounterCheck_Item_iE_Extensions._cont = __BearersSubjectToCounterCheck_Item_iE_Extensions__item_
    _BearersSubjectToCounterCheck_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BearersSubjectToCounterCheck_Item._cont = ASN1Dict([
        ('drb-ID', _BearersSubjectToCounterCheck_Item_drb_ID),
        ('ul-count', _BearersSubjectToCounterCheck_Item_ul_count),
        ('dl-count', _BearersSubjectToCounterCheck_Item_dl_count),
        ('iE-Extensions', _BearersSubjectToCounterCheck_Item_iE_Extensions),
        ])
    BearersSubjectToCounterCheck_Item._ext = []
    
    #-----< BearersSubjectToCounterCheck-Item-ExtIEs >-----#
    BearersSubjectToCounterCheck_Item_ExtIEs = CLASS(name='BearersSubjectToCounterCheck-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BearersSubjectToCounterCheck_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeRequired >-----#
    SNodeChangeRequired = SEQ(name='SNodeChangeRequired', mode=MODE_TYPE)
    _SNodeChangeRequired_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeRequired_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeChangeRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-List')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE)
    ____SNodeChangeRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 80), ('criticality', 'reject'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 46), ('criticality', 'ignore'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'reject'), ('Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeChangeRequired_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeChangeRequired_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeChangeRequired_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeChangeRequired_protocolIEs__item__id),
        ('criticality', ___SNodeChangeRequired_protocolIEs__item__criticality),
        ('value', ___SNodeChangeRequired_protocolIEs__item__value),
        ])
    __SNodeChangeRequired_protocolIEs__item_._ext = None
    _SNodeChangeRequired_protocolIEs._cont = __SNodeChangeRequired_protocolIEs__item_
    _SNodeChangeRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeRequired._cont = ASN1Dict([
        ('protocolIEs', _SNodeChangeRequired_protocolIEs),
        ])
    SNodeChangeRequired._ext = []
    
    #-----< SNodeChangeRequired-IEs >-----#
    SNodeChangeRequired_IEs = CLASS(name='SNodeChangeRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeRequired_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRequired_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRequired_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _SNodeChangeRequired_IEs_val_Value_3 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeChangeRequired_IEs_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-List')))
    _SNodeChangeRequired_IEs_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE)
    SNodeChangeRequired_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SNodeChangeRequired_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SNodeChangeRequired_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 80), ('criticality', 'reject'), ('Value', _SNodeChangeRequired_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeChangeRequired_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 46), ('criticality', 'ignore'), ('Value', _SNodeChangeRequired_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 72), ('criticality', 'reject'), ('Value', _SNodeChangeRequired_IEs_val_Value_5), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-SNChangeRequired-List >-----#
    PDUSession_SNChangeRequired_List = SEQ_OF(name='PDUSession-SNChangeRequired-List', mode=MODE_TYPE)
    _PDUSession_SNChangeRequired_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-Item')))
    PDUSession_SNChangeRequired_List._cont = _PDUSession_SNChangeRequired_List__item_
    PDUSession_SNChangeRequired_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-SNChangeRequired-Item >-----#
    PDUSession_SNChangeRequired_Item = SEQ(name='PDUSession-SNChangeRequired-Item', mode=MODE_TYPE)
    _PDUSession_SNChangeRequired_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_SNChangeRequired_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeRequiredInfo-SNterminated')), opt=True)
    _PDUSession_SNChangeRequired_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeRequiredInfo-MNterminated')), opt=True)
    _PDUSession_SNChangeRequired_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id),
        ('criticality', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_._ext = None
    _PDUSession_SNChangeRequired_Item_iE_Extension._cont = __PDUSession_SNChangeRequired_Item_iE_Extension__item_
    _PDUSession_SNChangeRequired_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_SNChangeRequired_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSession_SNChangeRequired_Item_pduSessionId),
        ('sn-terminated', _PDUSession_SNChangeRequired_Item_sn_terminated),
        ('mn-terminated', _PDUSession_SNChangeRequired_Item_mn_terminated),
        ('iE-Extension', _PDUSession_SNChangeRequired_Item_iE_Extension),
        ])
    PDUSession_SNChangeRequired_Item._ext = []
    
    #-----< PDUSession-SNChangeRequired-Item-ExtIEs >-----#
    PDUSession_SNChangeRequired_Item_ExtIEs = CLASS(name='PDUSession-SNChangeRequired-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_SNChangeRequired_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeConfirm >-----#
    SNodeChangeConfirm = SEQ(name='SNodeChangeConfirm', mode=MODE_TYPE)
    _SNodeChangeConfirm_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeConfirm_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeChangeConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-List')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeChangeConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 45), ('criticality', 'ignore'), ('Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeChangeConfirm_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeChangeConfirm_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeChangeConfirm_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeChangeConfirm_protocolIEs__item__id),
        ('criticality', ___SNodeChangeConfirm_protocolIEs__item__criticality),
        ('value', ___SNodeChangeConfirm_protocolIEs__item__value),
        ])
    __SNodeChangeConfirm_protocolIEs__item_._ext = None
    _SNodeChangeConfirm_protocolIEs._cont = __SNodeChangeConfirm_protocolIEs__item_
    _SNodeChangeConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeConfirm._cont = ASN1Dict([
        ('protocolIEs', _SNodeChangeConfirm_protocolIEs),
        ])
    SNodeChangeConfirm._ext = []
    
    #-----< SNodeChangeConfirm-IEs >-----#
    SNodeChangeConfirm_IEs = CLASS(name='SNodeChangeConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeConfirm_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeConfirm_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeConfirm_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-List')))
    _SNodeChangeConfirm_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeChangeConfirm_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeChangeConfirm_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeChangeConfirm_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 45), ('criticality', 'ignore'), ('Value', _SNodeChangeConfirm_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeChangeConfirm_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-SNChangeConfirm-List >-----#
    PDUSession_SNChangeConfirm_List = SEQ_OF(name='PDUSession-SNChangeConfirm-List', mode=MODE_TYPE)
    _PDUSession_SNChangeConfirm_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-Item')))
    PDUSession_SNChangeConfirm_List._cont = _PDUSession_SNChangeConfirm_List__item_
    PDUSession_SNChangeConfirm_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-SNChangeConfirm-Item >-----#
    PDUSession_SNChangeConfirm_Item = SEQ(name='PDUSession-SNChangeConfirm-Item', mode=MODE_TYPE)
    _PDUSession_SNChangeConfirm_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_SNChangeConfirm_Item_sn_terminated = SEQ(name='sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeConfirmInfo-SNterminated')), opt=True)
    _PDUSession_SNChangeConfirm_Item_mn_terminated = SEQ(name='mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeConfirmInfo-MNterminated')), opt=True)
    _PDUSession_SNChangeConfirm_Item_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab_id = 'id'
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id),
        ('criticality', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality),
        ('extensionValue', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_._ext = None
    _PDUSession_SNChangeConfirm_Item_iE_Extension._cont = __PDUSession_SNChangeConfirm_Item_iE_Extension__item_
    _PDUSession_SNChangeConfirm_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_SNChangeConfirm_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSession_SNChangeConfirm_Item_pduSessionId),
        ('sn-terminated', _PDUSession_SNChangeConfirm_Item_sn_terminated),
        ('mn-terminated', _PDUSession_SNChangeConfirm_Item_mn_terminated),
        ('iE-Extension', _PDUSession_SNChangeConfirm_Item_iE_Extension),
        ])
    PDUSession_SNChangeConfirm_Item._ext = []
    
    #-----< PDUSession-SNChangeConfirm-Item-ExtIEs >-----#
    PDUSession_SNChangeConfirm_Item_ExtIEs = CLASS(name='PDUSession-SNChangeConfirm-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_SNChangeConfirm_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeRefuse >-----#
    SNodeChangeRefuse = SEQ(name='SNodeChangeRefuse', mode=MODE_TYPE)
    _SNodeChangeRefuse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeRefuse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeRefuse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SNodeChangeRefuse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeChangeRefuse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab_id = 'id'
    ___SNodeChangeRefuse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SNodeChangeRefuse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab_id = 'Value'
    __SNodeChangeRefuse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SNodeChangeRefuse_protocolIEs__item__id),
        ('criticality', ___SNodeChangeRefuse_protocolIEs__item__criticality),
        ('value', ___SNodeChangeRefuse_protocolIEs__item__value),
        ])
    __SNodeChangeRefuse_protocolIEs__item_._ext = None
    _SNodeChangeRefuse_protocolIEs._cont = __SNodeChangeRefuse_protocolIEs__item_
    _SNodeChangeRefuse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeRefuse._cont = ASN1Dict([
        ('protocolIEs', _SNodeChangeRefuse_protocolIEs),
        ])
    SNodeChangeRefuse._ext = []
    
    #-----< SNodeChangeRefuse-IEs >-----#
    SNodeChangeRefuse_IEs = CLASS(name='SNodeChangeRefuse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeRefuse_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRefuse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRefuse_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeChangeRefuse_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeChangeRefuse_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _SNodeChangeRefuse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _SNodeChangeRefuse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _SNodeChangeRefuse_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _SNodeChangeRefuse_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RRCTransfer >-----#
    RRCTransfer = SEQ(name='RRCTransfer', mode=MODE_TYPE)
    _RRCTransfer_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RRCTransfer_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RRCTransfer_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____RRCTransfer_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SplitSRB-RRCTransfer')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEReportRRCTransfer')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FastMCGRecoveryRRCTransfer')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FastMCGRecoveryRRCTransfer')))
    ____RRCTransfer_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 74), ('criticality', 'reject'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 28), ('criticality', 'reject'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 147), ('criticality', 'ignore'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 152), ('criticality', 'ignore'), ('Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RRCTransfer_protocolIEs__item__id._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__id._const_tab_at = None
    ___RRCTransfer_protocolIEs__item__id._const_tab_id = 'id'
    ___RRCTransfer_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RRCTransfer_protocolIEs__item__criticality._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___RRCTransfer_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___RRCTransfer_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RRCTransfer_protocolIEs__item__value._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___RRCTransfer_protocolIEs__item__value._const_tab_id = 'Value'
    __RRCTransfer_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___RRCTransfer_protocolIEs__item__id),
        ('criticality', ___RRCTransfer_protocolIEs__item__criticality),
        ('value', ___RRCTransfer_protocolIEs__item__value),
        ])
    __RRCTransfer_protocolIEs__item_._ext = None
    _RRCTransfer_protocolIEs._cont = __RRCTransfer_protocolIEs__item_
    _RRCTransfer_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RRCTransfer._cont = ASN1Dict([
        ('protocolIEs', _RRCTransfer_protocolIEs),
        ])
    RRCTransfer._ext = []
    
    #-----< RRCTransfer-IEs >-----#
    RRCTransfer_IEs = CLASS(name='RRCTransfer-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RRCTransfer_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RRCTransfer_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RRCTransfer_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SplitSRB-RRCTransfer')))
    _RRCTransfer_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEReportRRCTransfer')))
    _RRCTransfer_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FastMCGRecoveryRRCTransfer')))
    _RRCTransfer_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FastMCGRecoveryRRCTransfer')))
    RRCTransfer_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _RRCTransfer_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _RRCTransfer_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 74), ('criticality', 'reject'), ('Value', _RRCTransfer_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 28), ('criticality', 'reject'), ('Value', _RRCTransfer_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 147), ('criticality', 'ignore'), ('Value', _RRCTransfer_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 152), ('criticality', 'ignore'), ('Value', _RRCTransfer_IEs_val_Value_5), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< SplitSRB-RRCTransfer >-----#
    SplitSRB_RRCTransfer = SEQ(name='SplitSRB-RRCTransfer', mode=MODE_TYPE)
    _SplitSRB_RRCTransfer_rrcContainer = OCT_STR(name='rrcContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SplitSRB_RRCTransfer_srbType = ENUM(name='srbType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SplitSRB_RRCTransfer_srbType._cont = ASN1Dict([('srb1', 0), ('srb2', 1)])
    _SplitSRB_RRCTransfer_srbType._ext = []
    _SplitSRB_RRCTransfer_deliveryStatus = INT(name='deliveryStatus', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DeliveryStatus')), opt=True)
    _SplitSRB_RRCTransfer_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SplitSRB_RRCTransfer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab_at = None
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab_id = 'id'
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __SplitSRB_RRCTransfer_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___SplitSRB_RRCTransfer_iE_Extensions__item__id),
        ('criticality', ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality),
        ('extensionValue', ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue),
        ])
    __SplitSRB_RRCTransfer_iE_Extensions__item_._ext = None
    _SplitSRB_RRCTransfer_iE_Extensions._cont = __SplitSRB_RRCTransfer_iE_Extensions__item_
    _SplitSRB_RRCTransfer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SplitSRB_RRCTransfer._cont = ASN1Dict([
        ('rrcContainer', _SplitSRB_RRCTransfer_rrcContainer),
        ('srbType', _SplitSRB_RRCTransfer_srbType),
        ('deliveryStatus', _SplitSRB_RRCTransfer_deliveryStatus),
        ('iE-Extensions', _SplitSRB_RRCTransfer_iE_Extensions),
        ])
    SplitSRB_RRCTransfer._ext = []
    
    #-----< SplitSRB-RRCTransfer-ExtIEs >-----#
    SplitSRB_RRCTransfer_ExtIEs = CLASS(name='SplitSRB-RRCTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SplitSRB_RRCTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEReportRRCTransfer >-----#
    UEReportRRCTransfer = SEQ(name='UEReportRRCTransfer', mode=MODE_TYPE)
    _UEReportRRCTransfer_rrcContainer = OCT_STR(name='rrcContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEReportRRCTransfer_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEReportRRCTransfer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEReportRRCTransfer_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____UEReportRRCTransfer_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__id_tab
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab_at = None
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab_id = 'id'
    ___UEReportRRCTransfer_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __UEReportRRCTransfer_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___UEReportRRCTransfer_iE_Extensions__item__id),
        ('criticality', ___UEReportRRCTransfer_iE_Extensions__item__criticality),
        ('extensionValue', ___UEReportRRCTransfer_iE_Extensions__item__extensionValue),
        ])
    __UEReportRRCTransfer_iE_Extensions__item_._ext = None
    _UEReportRRCTransfer_iE_Extensions._cont = __UEReportRRCTransfer_iE_Extensions__item_
    _UEReportRRCTransfer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEReportRRCTransfer._cont = ASN1Dict([
        ('rrcContainer', _UEReportRRCTransfer_rrcContainer),
        ('iE-Extensions', _UEReportRRCTransfer_iE_Extensions),
        ])
    UEReportRRCTransfer._ext = []
    
    #-----< UEReportRRCTransfer-ExtIEs >-----#
    UEReportRRCTransfer_ExtIEs = CLASS(name='UEReportRRCTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEReportRRCTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< FastMCGRecoveryRRCTransfer >-----#
    FastMCGRecoveryRRCTransfer = SEQ(name='FastMCGRecoveryRRCTransfer', mode=MODE_TYPE)
    _FastMCGRecoveryRRCTransfer_rrcContainer = OCT_STR(name='rrcContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _FastMCGRecoveryRRCTransfer_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __FastMCGRecoveryRRCTransfer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id._const_tab = ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__id_tab
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id._const_tab_at = None
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id._const_tab_id = 'id'
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality._const_tab = ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality_tab
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue._const_tab = ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue_tab
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __FastMCGRecoveryRRCTransfer_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id),
        ('criticality', ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality),
        ('extensionValue', ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue),
        ])
    __FastMCGRecoveryRRCTransfer_iE_Extensions__item_._ext = None
    _FastMCGRecoveryRRCTransfer_iE_Extensions._cont = __FastMCGRecoveryRRCTransfer_iE_Extensions__item_
    _FastMCGRecoveryRRCTransfer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    FastMCGRecoveryRRCTransfer._cont = ASN1Dict([
        ('rrcContainer', _FastMCGRecoveryRRCTransfer_rrcContainer),
        ('iE-Extensions', _FastMCGRecoveryRRCTransfer_iE_Extensions),
        ])
    FastMCGRecoveryRRCTransfer._ext = []
    
    #-----< FastMCGRecoveryRRCTransfer-ExtIEs >-----#
    FastMCGRecoveryRRCTransfer_ExtIEs = CLASS(name='FastMCGRecoveryRRCTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    FastMCGRecoveryRRCTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NotificationControlIndication >-----#
    NotificationControlIndication = SEQ(name='NotificationControlIndication', mode=MODE_TYPE)
    _NotificationControlIndication_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NotificationControlIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NotificationControlIndication_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____NotificationControlIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotifyList')))
    ____NotificationControlIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 44), ('criticality', 'reject'), ('Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NotificationControlIndication_protocolIEs__item__id._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__id._const_tab_at = None
    ___NotificationControlIndication_protocolIEs__item__id._const_tab_id = 'id'
    ___NotificationControlIndication_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___NotificationControlIndication_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NotificationControlIndication_protocolIEs__item__value._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___NotificationControlIndication_protocolIEs__item__value._const_tab_id = 'Value'
    __NotificationControlIndication_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___NotificationControlIndication_protocolIEs__item__id),
        ('criticality', ___NotificationControlIndication_protocolIEs__item__criticality),
        ('value', ___NotificationControlIndication_protocolIEs__item__value),
        ])
    __NotificationControlIndication_protocolIEs__item_._ext = None
    _NotificationControlIndication_protocolIEs._cont = __NotificationControlIndication_protocolIEs__item_
    _NotificationControlIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NotificationControlIndication._cont = ASN1Dict([
        ('protocolIEs', _NotificationControlIndication_protocolIEs),
        ])
    NotificationControlIndication._ext = []
    
    #-----< NotificationControlIndication-IEs >-----#
    NotificationControlIndication_IEs = CLASS(name='NotificationControlIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NotificationControlIndication_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _NotificationControlIndication_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _NotificationControlIndication_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotifyList')))
    NotificationControlIndication_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _NotificationControlIndication_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _NotificationControlIndication_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 44), ('criticality', 'reject'), ('Value', _NotificationControlIndication_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesNotifyList >-----#
    PDUSessionResourcesNotifyList = SEQ_OF(name='PDUSessionResourcesNotifyList', mode=MODE_TYPE)
    _PDUSessionResourcesNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotify-Item')))
    PDUSessionResourcesNotifyList._cont = _PDUSessionResourcesNotifyList__item_
    PDUSessionResourcesNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesNotify-Item >-----#
    PDUSessionResourcesNotify_Item = SEQ(name='PDUSessionResourcesNotify-Item', mode=MODE_TYPE)
    _PDUSessionResourcesNotify_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo = SEQ_OF(name='qosFlowsNotificationContrIndInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowNotificationControlIndicationInfo')))
    _PDUSessionResourcesNotify_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesNotify_Item_iE_Extensions._cont = __PDUSessionResourcesNotify_Item_iE_Extensions__item_
    _PDUSessionResourcesNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesNotify_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionResourcesNotify_Item_pduSessionId),
        ('qosFlowsNotificationContrIndInfo', _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo),
        ('iE-Extensions', _PDUSessionResourcesNotify_Item_iE_Extensions),
        ])
    PDUSessionResourcesNotify_Item._ext = []
    
    #-----< PDUSessionResourcesNotify-Item-ExtIEs >-----#
    PDUSessionResourcesNotify_Item_ExtIEs = CLASS(name='PDUSessionResourcesNotify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesNotify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ActivityNotification >-----#
    ActivityNotification = SEQ(name='ActivityNotification', mode=MODE_TYPE)
    _ActivityNotification_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ActivityNotification_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ActivityNotification_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ActivityNotification_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotifyList')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingFailure')))
    ____ActivityNotification_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 92), ('criticality', 'ignore'), ('Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 41), ('criticality', 'ignore'), ('Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 121), ('criticality', 'ignore'), ('Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ActivityNotification_protocolIEs__item__id._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__id._const_tab_at = None
    ___ActivityNotification_protocolIEs__item__id._const_tab_id = 'id'
    ___ActivityNotification_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ActivityNotification_protocolIEs__item__criticality._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ActivityNotification_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ActivityNotification_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ActivityNotification_protocolIEs__item__value._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ActivityNotification_protocolIEs__item__value._const_tab_id = 'Value'
    __ActivityNotification_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ActivityNotification_protocolIEs__item__id),
        ('criticality', ___ActivityNotification_protocolIEs__item__criticality),
        ('value', ___ActivityNotification_protocolIEs__item__value),
        ])
    __ActivityNotification_protocolIEs__item_._ext = None
    _ActivityNotification_protocolIEs._cont = __ActivityNotification_protocolIEs__item_
    _ActivityNotification_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ActivityNotification._cont = ASN1Dict([
        ('protocolIEs', _ActivityNotification_protocolIEs),
        ])
    ActivityNotification._ext = []
    
    #-----< ActivityNotification-IEs >-----#
    ActivityNotification_IEs = CLASS(name='ActivityNotification-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ActivityNotification_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ActivityNotification_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ActivityNotification_IEs_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _ActivityNotification_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotifyList')))
    _ActivityNotification_IEs_val_Value_4 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingFailure')))
    ActivityNotification_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'ignore'), ('Value', _ActivityNotification_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'ignore'), ('Value', _ActivityNotification_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 92), ('criticality', 'ignore'), ('Value', _ActivityNotification_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 41), ('criticality', 'ignore'), ('Value', _ActivityNotification_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 121), ('criticality', 'ignore'), ('Value', _ActivityNotification_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesActivityNotifyList >-----#
    PDUSessionResourcesActivityNotifyList = SEQ_OF(name='PDUSessionResourcesActivityNotifyList', mode=MODE_TYPE)
    _PDUSessionResourcesActivityNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotify-Item')))
    PDUSessionResourcesActivityNotifyList._cont = _PDUSessionResourcesActivityNotifyList__item_
    PDUSessionResourcesActivityNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesActivityNotify-Item >-----#
    PDUSessionResourcesActivityNotify_Item = SEQ(name='PDUSessionResourcesActivityNotify-Item', mode=MODE_TYPE)
    _PDUSessionResourcesActivityNotify_Item_pduSessionId = INT(name='pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport = ENUM(name='pduSessionLevelUPactivityreport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')), opt=True)
    _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList = SEQ_OF(name='qosFlowsActivityNotifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'QoSFlowsActivityNotifyList')), opt=True)
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab_id = 'id'
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id),
        ('criticality', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality),
        ('extensionValue', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions._cont = __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesActivityNotify_Item._cont = ASN1Dict([
        ('pduSessionId', _PDUSessionResourcesActivityNotify_Item_pduSessionId),
        ('pduSessionLevelUPactivityreport', _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport),
        ('qosFlowsActivityNotifyList', _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList),
        ('iE-Extensions', _PDUSessionResourcesActivityNotify_Item_iE_Extensions),
        ])
    PDUSessionResourcesActivityNotify_Item._ext = []
    
    #-----< PDUSessionResourcesActivityNotify-Item-ExtIEs >-----#
    PDUSessionResourcesActivityNotify_Item_ExtIEs = CLASS(name='PDUSessionResourcesActivityNotify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesActivityNotify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsActivityNotifyList >-----#
    QoSFlowsActivityNotifyList = SEQ_OF(name='QoSFlowsActivityNotifyList', mode=MODE_TYPE)
    _QoSFlowsActivityNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'QoSFlowsActivityNotifyItem')))
    QoSFlowsActivityNotifyList._cont = _QoSFlowsActivityNotifyList__item_
    QoSFlowsActivityNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsActivityNotifyItem >-----#
    QoSFlowsActivityNotifyItem = SEQ(name='QoSFlowsActivityNotifyItem', mode=MODE_TYPE)
    _QoSFlowsActivityNotifyItem_qosFlowIdentifier = INT(name='qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport = ENUM(name='pduSessionLevelUPactivityreport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _QoSFlowsActivityNotifyItem_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab_id = 'id'
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id),
        ('criticality', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality),
        ('extensionValue', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_._ext = None
    _QoSFlowsActivityNotifyItem_iE_Extensions._cont = __QoSFlowsActivityNotifyItem_iE_Extensions__item_
    _QoSFlowsActivityNotifyItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsActivityNotifyItem._cont = ASN1Dict([
        ('qosFlowIdentifier', _QoSFlowsActivityNotifyItem_qosFlowIdentifier),
        ('pduSessionLevelUPactivityreport', _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport),
        ('iE-Extensions', _QoSFlowsActivityNotifyItem_iE_Extensions),
        ])
    QoSFlowsActivityNotifyItem._ext = []
    
    #-----< QoSFlowsActivityNotifyItem-ExtIEs >-----#
    QoSFlowsActivityNotifyItem_ExtIEs = CLASS(name='QoSFlowsActivityNotifyItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsActivityNotifyItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< XnSetupRequest >-----#
    XnSetupRequest = SEQ(name='XnSetupRequest', mode=MODE_TYPE)
    _XnSetupRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnSetupRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_7 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    ____XnSetupRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 75), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 4), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 19), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 18), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 142), ('criticality', 'ignore'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnSetupRequest_protocolIEs__item__id._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__id._const_tab_at = None
    ___XnSetupRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___XnSetupRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnSetupRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnSetupRequest_protocolIEs__item__value._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnSetupRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __XnSetupRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnSetupRequest_protocolIEs__item__id),
        ('criticality', ___XnSetupRequest_protocolIEs__item__criticality),
        ('value', ___XnSetupRequest_protocolIEs__item__value),
        ])
    __XnSetupRequest_protocolIEs__item_._ext = None
    _XnSetupRequest_protocolIEs._cont = __XnSetupRequest_protocolIEs__item_
    _XnSetupRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupRequest._cont = ASN1Dict([
        ('protocolIEs', _XnSetupRequest_protocolIEs),
        ])
    XnSetupRequest._ext = []
    
    #-----< XnSetupRequest-IEs >-----#
    XnSetupRequest_IEs = CLASS(name='XnSetupRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupRequest_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnSetupRequest_IEs_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _XnSetupRequest_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _XnSetupRequest_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _XnSetupRequest_IEs_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _XnSetupRequest_IEs_val_Value_5 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _XnSetupRequest_IEs_val_Value_6 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    _XnSetupRequest_IEs_val_Value_7 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _XnSetupRequest_IEs_val_Value_8 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    _XnSetupRequest_IEs_val_Value_9 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _XnSetupRequest_IEs_val_Value_10 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    XnSetupRequest_IEs._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 75), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 4), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 19), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 18), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnSetupRequest_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _XnSetupRequest_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 142), ('criticality', 'ignore'), ('Value', _XnSetupRequest_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Value', _XnSetupRequest_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Value', _XnSetupRequest_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Value', _XnSetupRequest_IEs_val_Value_10), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnSetupResponse >-----#
    XnSetupResponse = SEQ(name='XnSetupResponse', mode=MODE_TYPE)
    _XnSetupResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnSetupResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_8 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_11 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    ____XnSetupResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 75), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 19), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 18), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 4), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 142), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_10), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_11), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnSetupResponse_protocolIEs__item__id._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__id._const_tab_at = None
    ___XnSetupResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___XnSetupResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnSetupResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnSetupResponse_protocolIEs__item__value._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnSetupResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __XnSetupResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnSetupResponse_protocolIEs__item__id),
        ('criticality', ___XnSetupResponse_protocolIEs__item__criticality),
        ('value', ___XnSetupResponse_protocolIEs__item__value),
        ])
    __XnSetupResponse_protocolIEs__item_._ext = None
    _XnSetupResponse_protocolIEs._cont = __XnSetupResponse_protocolIEs__item_
    _XnSetupResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupResponse._cont = ASN1Dict([
        ('protocolIEs', _XnSetupResponse_protocolIEs),
        ])
    XnSetupResponse._ext = []
    
    #-----< XnSetupResponse-IEs >-----#
    XnSetupResponse_IEs = CLASS(name='XnSetupResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupResponse_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnSetupResponse_IEs_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _XnSetupResponse_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _XnSetupResponse_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _XnSetupResponse_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnSetupResponse_IEs_val_Value_5 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _XnSetupResponse_IEs_val_Value_6 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _XnSetupResponse_IEs_val_Value_7 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    _XnSetupResponse_IEs_val_Value_8 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _XnSetupResponse_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    _XnSetupResponse_IEs_val_Value_10 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _XnSetupResponse_IEs_val_Value_11 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    XnSetupResponse_IEs._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 75), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 19), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 18), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 4), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnSetupResponse_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 142), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_9), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_10), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Value', _XnSetupResponse_IEs_val_Value_11), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnSetupFailure >-----#
    XnSetupFailure = SEQ(name='XnSetupFailure', mode=MODE_TYPE)
    _XnSetupFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnSetupFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MessageOversizeNotification')))
    ____XnSetupFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 76), ('criticality', 'ignore'), ('Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 143), ('criticality', 'ignore'), ('Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnSetupFailure_protocolIEs__item__id._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__id._const_tab_at = None
    ___XnSetupFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___XnSetupFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnSetupFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnSetupFailure_protocolIEs__item__value._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnSetupFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __XnSetupFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnSetupFailure_protocolIEs__item__id),
        ('criticality', ___XnSetupFailure_protocolIEs__item__criticality),
        ('value', ___XnSetupFailure_protocolIEs__item__value),
        ])
    __XnSetupFailure_protocolIEs__item_._ext = None
    _XnSetupFailure_protocolIEs._cont = __XnSetupFailure_protocolIEs__item_
    _XnSetupFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupFailure._cont = ASN1Dict([
        ('protocolIEs', _XnSetupFailure_protocolIEs),
        ])
    XnSetupFailure._ext = []
    
    #-----< XnSetupFailure-IEs >-----#
    XnSetupFailure_IEs = CLASS(name='XnSetupFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupFailure_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _XnSetupFailure_IEs_val_Value_1 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _XnSetupFailure_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnSetupFailure_IEs_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _XnSetupFailure_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MessageOversizeNotification')))
    XnSetupFailure_IEs._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _XnSetupFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 76), ('criticality', 'ignore'), ('Value', _XnSetupFailure_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _XnSetupFailure_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnSetupFailure_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 143), ('criticality', 'ignore'), ('Value', _XnSetupFailure_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdate >-----#
    NGRANNodeConfigurationUpdate = SEQ(name='NGRANNodeConfigurationUpdate', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdate_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdate_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConfigurationUpdateInitiatingNodeChoice')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 75), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0), ('presence', 'optional')]), dict([('id', 9), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 99), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 101), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 100), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 14), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')]), dict([('id', 118), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 119), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_9), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab_id = 'id'
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab_id = 'Value'
    __NGRANNodeConfigurationUpdate_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___NGRANNodeConfigurationUpdate_protocolIEs__item__id),
        ('criticality', ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality),
        ('value', ___NGRANNodeConfigurationUpdate_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdate_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdate_protocolIEs._cont = __NGRANNodeConfigurationUpdate_protocolIEs__item_
    _NGRANNodeConfigurationUpdate_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdate._cont = ASN1Dict([
        ('protocolIEs', _NGRANNodeConfigurationUpdate_protocolIEs),
        ])
    NGRANNodeConfigurationUpdate._ext = []
    
    #-----< NGRANNodeConfigurationUpdate-IEs >-----#
    NGRANNodeConfigurationUpdate_IEs = CLASS(name='NGRANNodeConfigurationUpdate-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_0 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConfigurationUpdateInitiatingNodeChoice')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_3 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_5 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_6 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_7 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_8 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_9 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    NGRANNodeConfigurationUpdate_IEs._val = ASN1Set(rv=[dict([('id', 75), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_0), ('presence', 'optional')]), dict([('id', 9), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 99), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 101), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 100), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 14), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_5), ('presence', 'optional')]), dict([('id', 118), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 119), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_8), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_9), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdateInitiatingNodeChoice >-----#
    ConfigurationUpdateInitiatingNodeChoice = CHOICE(name='ConfigurationUpdateInitiatingNodeChoice', mode=MODE_TYPE)
    _ConfigurationUpdateInitiatingNodeChoice_gNB = SEQ_OF(name='gNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-NR')))
    _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-EUTRA')))
    ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab._val = ASN1Set(rv=[dict([('id', 68), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0), ('presence', 'optional')]), dict([('id', 8), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 232), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab_at = None
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab_id = 'id'
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab_at = ('..', 'id')
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab_id = 'criticality'
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab_at = ('..', 'id')
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab_id = 'Value'
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_._cont = ASN1Dict([
        ('id', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id),
        ('criticality', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality),
        ('value', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value),
        ])
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_._ext = None
    _ConfigurationUpdateInitiatingNodeChoice_gNB._cont = __ConfigurationUpdateInitiatingNodeChoice_gNB__item_
    _ConfigurationUpdateInitiatingNodeChoice_gNB._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB = SEQ_OF(name='ng-eNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-E-UTRA')))
    _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-EUTRA')))
    ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab._val = ASN1Set(rv=[dict([('id', 66), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0), ('presence', 'optional')]), dict([('id', 8), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 232), ('criticality', 'ignore'), ('Value', _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab_at = None
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab_id = 'id'
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab_at = ('..', 'id')
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab_id = 'criticality'
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab_at = ('..', 'id')
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab_id = 'Value'
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_._cont = ASN1Dict([
        ('id', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id),
        ('criticality', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality),
        ('value', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value),
        ])
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_._ext = None
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB._cont = __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab_at = None
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab_id = 'id'
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab_id = 'criticality'
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab_at = ('..', 'id')
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab_id = 'Value'
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension._cont = ASN1Dict([
        ('id', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id),
        ('criticality', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality),
        ('value', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value),
        ])
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension._ext = None
    ConfigurationUpdateInitiatingNodeChoice._cont = ASN1Dict([
        ('gNB', _ConfigurationUpdateInitiatingNodeChoice_gNB),
        ('ng-eNB', _ConfigurationUpdateInitiatingNodeChoice_ng_eNB),
        ('choice-extension', _ConfigurationUpdateInitiatingNodeChoice_choice_extension),
        ])
    ConfigurationUpdateInitiatingNodeChoice._ext = None
    
    #-----< ServedCellsToUpdateInitiatingNodeChoice-ExtIEs >-----#
    ServedCellsToUpdateInitiatingNodeChoice_ExtIEs = CLASS(name='ServedCellsToUpdateInitiatingNodeChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellsToUpdateInitiatingNodeChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdate-gNB >-----#
    ConfigurationUpdate_gNB = CLASS(name='ConfigurationUpdate-gNB', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ConfigurationUpdate_gNB_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-NR')))
    _ConfigurationUpdate_gNB_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    _ConfigurationUpdate_gNB_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-EUTRA')))
    ConfigurationUpdate_gNB._val = ASN1Set(rv=[dict([('id', 68), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_gNB_val_Value_0), ('presence', 'optional')]), dict([('id', 8), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_gNB_val_Value_1), ('presence', 'optional')]), dict([('id', 232), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_gNB_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdate-ng-eNB >-----#
    ConfigurationUpdate_ng_eNB = CLASS(name='ConfigurationUpdate-ng-eNB', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ConfigurationUpdate_ng_eNB_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-E-UTRA')))
    _ConfigurationUpdate_ng_eNB_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    _ConfigurationUpdate_ng_eNB_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-EUTRA')))
    ConfigurationUpdate_ng_eNB._val = ASN1Set(rv=[dict([('id', 66), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_ng_eNB_val_Value_0), ('presence', 'optional')]), dict([('id', 8), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_ng_eNB_val_Value_1), ('presence', 'optional')]), dict([('id', 232), ('criticality', 'ignore'), ('Value', _ConfigurationUpdate_ng_eNB_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdateAcknowledge >-----#
    NGRANNodeConfigurationUpdateAcknowledge = SEQ(name='NGRANNodeConfigurationUpdateAcknowledge', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-List')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-List')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 58), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 102), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 103), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id),
        ('criticality', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality),
        ('value', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs._cont = __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdateAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs),
        ])
    NGRANNodeConfigurationUpdateAcknowledge._ext = []
    
    #-----< NGRANNodeConfigurationUpdateAcknowledge-IEs >-----#
    NGRANNodeConfigurationUpdateAcknowledge_IEs = CLASS(name='NGRANNodeConfigurationUpdateAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-List')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-List')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_5 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLConfigurationInfo')))
    NGRANNodeConfigurationUpdateAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 58), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 102), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 103), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 141), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_5), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck >-----#
    RespondingNodeTypeConfigUpdateAck = CHOICE(name='RespondingNodeTypeConfigUpdateAck', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_ng_eNB = SEQ(name='ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck-ng-eNB')))
    _RespondingNodeTypeConfigUpdateAck_gNB = SEQ(name='gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck-gNB')))
    _RespondingNodeTypeConfigUpdateAck_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab_at = None
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab_id = 'id'
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab_id = 'criticality'
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab_at = ('..', 'id')
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab_id = 'Value'
    _RespondingNodeTypeConfigUpdateAck_choice_extension._cont = ASN1Dict([
        ('id', __RespondingNodeTypeConfigUpdateAck_choice_extension_id),
        ('criticality', __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality),
        ('value', __RespondingNodeTypeConfigUpdateAck_choice_extension_value),
        ])
    _RespondingNodeTypeConfigUpdateAck_choice_extension._ext = None
    RespondingNodeTypeConfigUpdateAck._cont = ASN1Dict([
        ('ng-eNB', _RespondingNodeTypeConfigUpdateAck_ng_eNB),
        ('gNB', _RespondingNodeTypeConfigUpdateAck_gNB),
        ('choice-extension', _RespondingNodeTypeConfigUpdateAck_choice_extension),
        ])
    RespondingNodeTypeConfigUpdateAck._ext = None
    
    #-----< RespondingNodeTypeConfigUpdateAck-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_ExtIEs = CLASS(name='RespondingNodeTypeConfigUpdateAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RespondingNodeTypeConfigUpdateAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck-ng-eNB >-----#
    RespondingNodeTypeConfigUpdateAck_ng_eNB = SEQ(name='RespondingNodeTypeConfigUpdateAck-ng-eNB', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 18), ('criticality', 'ignore'), ('Extension', _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Extension', _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Extension', _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab_at = None
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab_id = 'id'
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id),
        ('criticality', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality),
        ('extensionValue', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue),
        ])
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_._ext = None
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension._cont = __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RespondingNodeTypeConfigUpdateAck_ng_eNB._cont = ASN1Dict([
        ('iE-Extension', _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension),
        ])
    RespondingNodeTypeConfigUpdateAck_ng_eNB._ext = []
    
    #-----< RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs = CLASS(name='RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_0 = SEQ_OF(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_1 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_2 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-EUTRA')))
    RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs._val = ASN1Set(rv=[dict([('id', 18), ('criticality', 'ignore'), ('Extension', _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 156), ('criticality', 'ignore'), ('Extension', _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_1), ('presence', 'optional')]), dict([('id', 157), ('criticality', 'ignore'), ('Extension', _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck-gNB >-----#
    RespondingNodeTypeConfigUpdateAck_gNB = SEQ(name='RespondingNodeTypeConfigUpdateAck-gNB', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells = SEQ_OF(name='served-NR-Cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')), opt=True)
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension = SEQ_OF(name='iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([('id', 142), ('criticality', 'ignore'), ('Extension', _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_0), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Extension', _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab_at = None
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab_id = 'id'
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab_at = ('..', 'id')
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab_id = 'criticality'
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab_at = ('..', 'id')
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab_id = 'Extension'
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_._cont = ASN1Dict([
        ('id', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id),
        ('criticality', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality),
        ('extensionValue', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue),
        ])
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_._ext = None
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension._cont = __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RespondingNodeTypeConfigUpdateAck_gNB._cont = ASN1Dict([
        ('served-NR-Cells', _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells),
        ('iE-Extension', _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension),
        ])
    RespondingNodeTypeConfigUpdateAck_gNB._ext = []
    
    #-----< RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs = CLASS(name='RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_0 = ENUM(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PartialListIndicator')))
    _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_1 = SEQ(name='Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAndCapacityAssistanceInfo-NR')))
    RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs._val = ASN1Set(rv=[dict([('id', 142), ('criticality', 'ignore'), ('Extension', _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_0), ('presence', 'optional')]), dict([('id', 144), ('criticality', 'ignore'), ('Extension', _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdateFailure >-----#
    NGRANNodeConfigurationUpdateFailure = SEQ(name='NGRANNodeConfigurationUpdateFailure', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdateFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 76), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id),
        ('criticality', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality),
        ('value', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdateFailure_protocolIEs._cont = __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_
    _NGRANNodeConfigurationUpdateFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdateFailure._cont = ASN1Dict([
        ('protocolIEs', _NGRANNodeConfigurationUpdateFailure_protocolIEs),
        ])
    NGRANNodeConfigurationUpdateFailure._ext = []
    
    #-----< NGRANNodeConfigurationUpdateFailure-IEs >-----#
    NGRANNodeConfigurationUpdateFailure_IEs = CLASS(name='NGRANNodeConfigurationUpdateFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    NGRANNodeConfigurationUpdateFailure_IEs._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 76), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-NR-CellResourceCoordinationRequest >-----#
    E_UTRA_NR_CellResourceCoordinationRequest = SEQ(name='E-UTRA-NR-CellResourceCoordinationRequest', mode=MODE_TYPE)
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'InitiatingNodeType-ResourceCoordRequest')))
    _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 17), ('criticality', 'reject'), ('Value', _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab_at = None
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id),
        ('criticality', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality),
        ('value', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value),
        ])
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_._ext = None
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs._cont = __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_UTRA_NR_CellResourceCoordinationRequest._cont = ASN1Dict([
        ('protocolIEs', _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs),
        ])
    E_UTRA_NR_CellResourceCoordinationRequest._ext = []
    
    #-----< E-UTRA-NR-CellResourceCoordinationRequest-IEs >-----#
    E_UTRA_NR_CellResourceCoordinationRequest_IEs = CLASS(name='E-UTRA-NR-CellResourceCoordinationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'InitiatingNodeType-ResourceCoordRequest')))
    _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    E_UTRA_NR_CellResourceCoordinationRequest_IEs._val = ASN1Set(rv=[dict([('id', 17), ('criticality', 'reject'), ('Value', _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< InitiatingNodeType-ResourceCoordRequest >-----#
    InitiatingNodeType_ResourceCoordRequest = CHOICE(name='InitiatingNodeType-ResourceCoordRequest', mode=MODE_TYPE)
    _InitiatingNodeType_ResourceCoordRequest_ng_eNB = SEQ(name='ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordRequest-ng-eNB-initiated')))
    _InitiatingNodeType_ResourceCoordRequest_gNB = SEQ(name='gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordRequest-gNB-initiated')))
    _InitiatingNodeType_ResourceCoordRequest_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab_at = None
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab_id = 'id'
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab_at = ('..', 'id')
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab_id = 'criticality'
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab_at = ('..', 'id')
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab_id = 'Value'
    _InitiatingNodeType_ResourceCoordRequest_choice_extension._cont = ASN1Dict([
        ('id', __InitiatingNodeType_ResourceCoordRequest_choice_extension_id),
        ('criticality', __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality),
        ('value', __InitiatingNodeType_ResourceCoordRequest_choice_extension_value),
        ])
    _InitiatingNodeType_ResourceCoordRequest_choice_extension._ext = None
    InitiatingNodeType_ResourceCoordRequest._cont = ASN1Dict([
        ('ng-eNB', _InitiatingNodeType_ResourceCoordRequest_ng_eNB),
        ('gNB', _InitiatingNodeType_ResourceCoordRequest_gNB),
        ('choice-extension', _InitiatingNodeType_ResourceCoordRequest_choice_extension),
        ])
    InitiatingNodeType_ResourceCoordRequest._ext = None
    
    #-----< InitiatingNodeType-ResourceCoordRequest-ExtIEs >-----#
    InitiatingNodeType_ResourceCoordRequest_ExtIEs = CLASS(name='InitiatingNodeType-ResourceCoordRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    InitiatingNodeType_ResourceCoordRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordRequest-ng-eNB-initiated >-----#
    ResourceCoordRequest_ng_eNB_initiated = SEQ(name='ResourceCoordRequest-ng-eNB-initiated', mode=MODE_TYPE)
    _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication = SEQ(name='dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID = INT(name='spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells = SEQ_OF(name='listofE-UTRACells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells._cont = __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id),
        ('criticality', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions._cont = __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordRequest_ng_eNB_initiated._cont = ASN1Dict([
        ('dataTrafficResourceIndication', _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication),
        ('spectrumSharingGroupID', _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID),
        ('listofE-UTRACells', _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells),
        ('iE-Extensions', _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions),
        ])
    ResourceCoordRequest_ng_eNB_initiated._ext = []
    
    #-----< ResourceCoordRequest-ng-eNB-initiated-ExtIEs >-----#
    ResourceCoordRequest_ng_eNB_initiated_ExtIEs = CLASS(name='ResourceCoordRequest-ng-eNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordRequest_ng_eNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordRequest-gNB-initiated >-----#
    ResourceCoordRequest_gNB_initiated = SEQ(name='ResourceCoordRequest-gNB-initiated', mode=MODE_TYPE)
    _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication = SEQ(name='dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells = SEQ_OF(name='listofE-UTRACells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells._cont = __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID = INT(name='spectrumSharingGroupID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordRequest_gNB_initiated_listofNRCells = SEQ_OF(name='listofNRCells', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_gNB_initiated_listofNRCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ResourceCoordRequest_gNB_initiated_listofNRCells._cont = __ResourceCoordRequest_gNB_initiated_listofNRCells__item_
    _ResourceCoordRequest_gNB_initiated_listofNRCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_gNB_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id),
        ('criticality', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordRequest_gNB_initiated_iE_Extensions._cont = __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_
    _ResourceCoordRequest_gNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordRequest_gNB_initiated._cont = ASN1Dict([
        ('dataTrafficResourceIndication', _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication),
        ('listofE-UTRACells', _ResourceCoordRequest_gNB_initiated_listofE_UTRACells),
        ('spectrumSharingGroupID', _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID),
        ('listofNRCells', _ResourceCoordRequest_gNB_initiated_listofNRCells),
        ('iE-Extensions', _ResourceCoordRequest_gNB_initiated_iE_Extensions),
        ])
    ResourceCoordRequest_gNB_initiated._ext = []
    
    #-----< ResourceCoordRequest-gNB-initiated-ExtIEs >-----#
    ResourceCoordRequest_gNB_initiated_ExtIEs = CLASS(name='ResourceCoordRequest-gNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordRequest_gNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-NR-CellResourceCoordinationResponse >-----#
    E_UTRA_NR_CellResourceCoordinationResponse = SEQ(name='E-UTRA-NR-CellResourceCoordinationResponse', mode=MODE_TYPE)
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeType-ResourceCoordResponse')))
    _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 59), ('criticality', 'reject'), ('Value', _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab_at = None
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id),
        ('criticality', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality),
        ('value', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value),
        ])
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_._ext = None
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs._cont = __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_UTRA_NR_CellResourceCoordinationResponse._cont = ASN1Dict([
        ('protocolIEs', _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs),
        ])
    E_UTRA_NR_CellResourceCoordinationResponse._ext = []
    
    #-----< E-UTRA-NR-CellResourceCoordinationResponse-IEs >-----#
    E_UTRA_NR_CellResourceCoordinationResponse_IEs = CLASS(name='E-UTRA-NR-CellResourceCoordinationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeType-ResourceCoordResponse')))
    _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    E_UTRA_NR_CellResourceCoordinationResponse_IEs._val = ASN1Set(rv=[dict([('id', 59), ('criticality', 'reject'), ('Value', _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeType-ResourceCoordResponse >-----#
    RespondingNodeType_ResourceCoordResponse = CHOICE(name='RespondingNodeType-ResourceCoordResponse', mode=MODE_TYPE)
    _RespondingNodeType_ResourceCoordResponse_ng_eNB = SEQ(name='ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordResponse-ng-eNB-initiated')))
    _RespondingNodeType_ResourceCoordResponse_gNB = SEQ(name='gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordResponse-gNB-initiated')))
    _RespondingNodeType_ResourceCoordResponse_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab_at = None
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab_id = 'id'
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab_at = ('..', 'id')
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab_id = 'criticality'
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab_at = ('..', 'id')
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab_id = 'Value'
    _RespondingNodeType_ResourceCoordResponse_choice_extension._cont = ASN1Dict([
        ('id', __RespondingNodeType_ResourceCoordResponse_choice_extension_id),
        ('criticality', __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality),
        ('value', __RespondingNodeType_ResourceCoordResponse_choice_extension_value),
        ])
    _RespondingNodeType_ResourceCoordResponse_choice_extension._ext = None
    RespondingNodeType_ResourceCoordResponse._cont = ASN1Dict([
        ('ng-eNB', _RespondingNodeType_ResourceCoordResponse_ng_eNB),
        ('gNB', _RespondingNodeType_ResourceCoordResponse_gNB),
        ('choice-extension', _RespondingNodeType_ResourceCoordResponse_choice_extension),
        ])
    RespondingNodeType_ResourceCoordResponse._ext = None
    
    #-----< RespondingNodeType-ResourceCoordResponse-ExtIEs >-----#
    RespondingNodeType_ResourceCoordResponse_ExtIEs = CLASS(name='RespondingNodeType-ResourceCoordResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RespondingNodeType_ResourceCoordResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordResponse-ng-eNB-initiated >-----#
    ResourceCoordResponse_ng_eNB_initiated = SEQ(name='ResourceCoordResponse-ng-eNB-initiated', mode=MODE_TYPE)
    _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication = SEQ(name='dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID = INT(name='spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells = SEQ_OF(name='listofE-UTRACells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells._cont = __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id),
        ('criticality', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions._cont = __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordResponse_ng_eNB_initiated._cont = ASN1Dict([
        ('dataTrafficResourceIndication', _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication),
        ('spectrumSharingGroupID', _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID),
        ('listofE-UTRACells', _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells),
        ('iE-Extensions', _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions),
        ])
    ResourceCoordResponse_ng_eNB_initiated._ext = []
    
    #-----< ResourceCoordResponse-ng-eNB-initiated-ExtIEs >-----#
    ResourceCoordResponse_ng_eNB_initiated_ExtIEs = CLASS(name='ResourceCoordResponse-ng-eNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordResponse_ng_eNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordResponse-gNB-initiated >-----#
    ResourceCoordResponse_gNB_initiated = SEQ(name='ResourceCoordResponse-gNB-initiated', mode=MODE_TYPE)
    _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication = SEQ(name='dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID = INT(name='spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordResponse_gNB_initiated_listofNRCells = SEQ_OF(name='listofNRCells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordResponse_gNB_initiated_listofNRCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ResourceCoordResponse_gNB_initiated_listofNRCells._cont = __ResourceCoordResponse_gNB_initiated_listofNRCells__item_
    _ResourceCoordResponse_gNB_initiated_listofNRCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordResponse_gNB_initiated_iE_Extensions = SEQ_OF(name='iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['id']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab_id = 'id'
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['criticality']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab_id = 'criticality'
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue = OPEN(name='extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), ['Extension']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', 'id')
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = 'Extension'
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        ('id', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id),
        ('criticality', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality),
        ('extensionValue', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordResponse_gNB_initiated_iE_Extensions._cont = __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_
    _ResourceCoordResponse_gNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordResponse_gNB_initiated._cont = ASN1Dict([
        ('dataTrafficResourceIndication', _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication),
        ('spectrumSharingGroupID', _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID),
        ('listofNRCells', _ResourceCoordResponse_gNB_initiated_listofNRCells),
        ('iE-Extensions', _ResourceCoordResponse_gNB_initiated_iE_Extensions),
        ])
    ResourceCoordResponse_gNB_initiated._ext = []
    
    #-----< ResourceCoordResponse-gNB-initiated-ExtIEs >-----#
    ResourceCoordResponse_gNB_initiated_ExtIEs = CLASS(name='ResourceCoordResponse-gNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordResponse_gNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecondaryRATDataUsageReport >-----#
    SecondaryRATDataUsageReport = SEQ(name='SecondaryRATDataUsageReport', mode=MODE_TYPE)
    _SecondaryRATDataUsageReport_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SecondaryRATDataUsageReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SecondaryRATDataUsageReport_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageList')))
    ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 107), ('criticality', 'reject'), ('Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab_at = None
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab_id = 'id'
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___SecondaryRATDataUsageReport_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab_id = 'Value'
    __SecondaryRATDataUsageReport_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___SecondaryRATDataUsageReport_protocolIEs__item__id),
        ('criticality', ___SecondaryRATDataUsageReport_protocolIEs__item__criticality),
        ('value', ___SecondaryRATDataUsageReport_protocolIEs__item__value),
        ])
    __SecondaryRATDataUsageReport_protocolIEs__item_._ext = None
    _SecondaryRATDataUsageReport_protocolIEs._cont = __SecondaryRATDataUsageReport_protocolIEs__item_
    _SecondaryRATDataUsageReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SecondaryRATDataUsageReport._cont = ASN1Dict([
        ('protocolIEs', _SecondaryRATDataUsageReport_protocolIEs),
        ])
    SecondaryRATDataUsageReport._ext = []
    
    #-----< SecondaryRATDataUsageReport-IEs >-----#
    SecondaryRATDataUsageReport_IEs = CLASS(name='SecondaryRATDataUsageReport-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SecondaryRATDataUsageReport_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SecondaryRATDataUsageReport_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SecondaryRATDataUsageReport_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageList')))
    SecondaryRATDataUsageReport_IEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _SecondaryRATDataUsageReport_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _SecondaryRATDataUsageReport_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 107), ('criticality', 'reject'), ('Value', _SecondaryRATDataUsageReport_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalRequest >-----#
    XnRemovalRequest = SEQ(name='XnRemovalRequest', mode=MODE_TYPE)
    _XnRemovalRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnRemovalRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnBenefitValue')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 93), ('criticality', 'reject'), ('Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalRequest_protocolIEs__item__id._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___XnRemovalRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnRemovalRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnRemovalRequest_protocolIEs__item__value._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnRemovalRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __XnRemovalRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnRemovalRequest_protocolIEs__item__id),
        ('criticality', ___XnRemovalRequest_protocolIEs__item__criticality),
        ('value', ___XnRemovalRequest_protocolIEs__item__value),
        ])
    __XnRemovalRequest_protocolIEs__item_._ext = None
    _XnRemovalRequest_protocolIEs._cont = __XnRemovalRequest_protocolIEs__item_
    _XnRemovalRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalRequest._cont = ASN1Dict([
        ('protocolIEs', _XnRemovalRequest_protocolIEs),
        ])
    XnRemovalRequest._ext = []
    
    #-----< XnRemovalRequest-IEs >-----#
    XnRemovalRequest_IEs = CLASS(name='XnRemovalRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalRequest_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnRemovalRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnBenefitValue')))
    _XnRemovalRequest_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalRequest_IEs._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _XnRemovalRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 93), ('criticality', 'reject'), ('Value', _XnRemovalRequest_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnRemovalRequest_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalResponse >-----#
    XnRemovalResponse = SEQ(name='XnRemovalResponse', mode=MODE_TYPE)
    _XnRemovalResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnRemovalResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalResponse_protocolIEs__item__id._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___XnRemovalResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnRemovalResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnRemovalResponse_protocolIEs__item__value._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnRemovalResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __XnRemovalResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnRemovalResponse_protocolIEs__item__id),
        ('criticality', ___XnRemovalResponse_protocolIEs__item__criticality),
        ('value', ___XnRemovalResponse_protocolIEs__item__value),
        ])
    __XnRemovalResponse_protocolIEs__item_._ext = None
    _XnRemovalResponse_protocolIEs._cont = __XnRemovalResponse_protocolIEs__item_
    _XnRemovalResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalResponse._cont = ASN1Dict([
        ('protocolIEs', _XnRemovalResponse_protocolIEs),
        ])
    XnRemovalResponse._ext = []
    
    #-----< XnRemovalResponse-IEs >-----#
    XnRemovalResponse_IEs = CLASS(name='XnRemovalResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalResponse_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnRemovalResponse_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnRemovalResponse_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalResponse_IEs._val = ASN1Set(rv=[dict([('id', 14), ('criticality', 'reject'), ('Value', _XnRemovalResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _XnRemovalResponse_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnRemovalResponse_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalFailure >-----#
    XnRemovalFailure = SEQ(name='XnRemovalFailure', mode=MODE_TYPE)
    _XnRemovalFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____XnRemovalFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalFailure_protocolIEs__item__id._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___XnRemovalFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___XnRemovalFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___XnRemovalFailure_protocolIEs__item__value._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___XnRemovalFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __XnRemovalFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___XnRemovalFailure_protocolIEs__item__id),
        ('criticality', ___XnRemovalFailure_protocolIEs__item__criticality),
        ('value', ___XnRemovalFailure_protocolIEs__item__value),
        ])
    __XnRemovalFailure_protocolIEs__item_._ext = None
    _XnRemovalFailure_protocolIEs._cont = __XnRemovalFailure_protocolIEs__item_
    _XnRemovalFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalFailure._cont = ASN1Dict([
        ('protocolIEs', _XnRemovalFailure_protocolIEs),
        ])
    XnRemovalFailure._ext = []
    
    #-----< XnRemovalFailure-IEs >-----#
    XnRemovalFailure_IEs = CLASS(name='XnRemovalFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalFailure_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _XnRemovalFailure_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnRemovalFailure_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalFailure_IEs._val = ASN1Set(rv=[dict([('id', 7), ('criticality', 'ignore'), ('Value', _XnRemovalFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _XnRemovalFailure_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _XnRemovalFailure_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< CellActivationRequest >-----#
    CellActivationRequest = SEQ(name='CellActivationRequest', mode=MODE_TYPE)
    _CellActivationRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____CellActivationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ServedCellsToActivate')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 65), ('criticality', 'reject'), ('Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 1), ('criticality', 'reject'), ('Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___CellActivationRequest_protocolIEs__item__id._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__id._const_tab_at = None
    ___CellActivationRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___CellActivationRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___CellActivationRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___CellActivationRequest_protocolIEs__item__value._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___CellActivationRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __CellActivationRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___CellActivationRequest_protocolIEs__item__id),
        ('criticality', ___CellActivationRequest_protocolIEs__item__criticality),
        ('value', ___CellActivationRequest_protocolIEs__item__value),
        ])
    __CellActivationRequest_protocolIEs__item_._ext = None
    _CellActivationRequest_protocolIEs._cont = __CellActivationRequest_protocolIEs__item_
    _CellActivationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationRequest._cont = ASN1Dict([
        ('protocolIEs', _CellActivationRequest_protocolIEs),
        ])
    CellActivationRequest._ext = []
    
    #-----< CellActivationRequest-IEs >-----#
    CellActivationRequest_IEs = CLASS(name='CellActivationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationRequest_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ServedCellsToActivate')))
    _CellActivationRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationRequest_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationRequest_IEs._val = ASN1Set(rv=[dict([('id', 65), ('criticality', 'reject'), ('Value', _CellActivationRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 1), ('criticality', 'reject'), ('Value', _CellActivationRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _CellActivationRequest_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToActivate >-----#
    ServedCellsToActivate = CHOICE(name='ServedCellsToActivate', mode=MODE_TYPE)
    _ServedCellsToActivate_nr_cells = SEQ_OF(name='nr-cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellsToActivate_nr_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellsToActivate_nr_cells._cont = __ServedCellsToActivate_nr_cells__item_
    _ServedCellsToActivate_nr_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToActivate_e_utra_cells = SEQ_OF(name='e-utra-cells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellsToActivate_e_utra_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellsToActivate_e_utra_cells._cont = __ServedCellsToActivate_e_utra_cells__item_
    _ServedCellsToActivate_e_utra_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToActivate_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ServedCellsToActivate_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ServedCellsToActivate_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_id._const_tab = ___ServedCellsToActivate_choice_extension_id_tab
    __ServedCellsToActivate_choice_extension_id._const_tab_at = None
    __ServedCellsToActivate_choice_extension_id._const_tab_id = 'id'
    __ServedCellsToActivate_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ServedCellsToActivate_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_criticality._const_tab = ___ServedCellsToActivate_choice_extension_criticality_tab
    __ServedCellsToActivate_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ServedCellsToActivate_choice_extension_criticality._const_tab_id = 'criticality'
    __ServedCellsToActivate_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ServedCellsToActivate_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_value._const_tab = ___ServedCellsToActivate_choice_extension_value_tab
    __ServedCellsToActivate_choice_extension_value._const_tab_at = ('..', 'id')
    __ServedCellsToActivate_choice_extension_value._const_tab_id = 'Value'
    _ServedCellsToActivate_choice_extension._cont = ASN1Dict([
        ('id', __ServedCellsToActivate_choice_extension_id),
        ('criticality', __ServedCellsToActivate_choice_extension_criticality),
        ('value', __ServedCellsToActivate_choice_extension_value),
        ])
    _ServedCellsToActivate_choice_extension._ext = None
    ServedCellsToActivate._cont = ASN1Dict([
        ('nr-cells', _ServedCellsToActivate_nr_cells),
        ('e-utra-cells', _ServedCellsToActivate_e_utra_cells),
        ('choice-extension', _ServedCellsToActivate_choice_extension),
        ])
    ServedCellsToActivate._ext = None
    
    #-----< ServedCellsToActivate-ExtIEs >-----#
    ServedCellsToActivate_ExtIEs = CLASS(name='ServedCellsToActivate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellsToActivate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellActivationResponse >-----#
    CellActivationResponse = SEQ(name='CellActivationResponse', mode=MODE_TYPE)
    _CellActivationResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____CellActivationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivatedServedCells')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 0), ('criticality', 'reject'), ('Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 1), ('criticality', 'reject'), ('Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___CellActivationResponse_protocolIEs__item__id._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__id._const_tab_at = None
    ___CellActivationResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___CellActivationResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___CellActivationResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___CellActivationResponse_protocolIEs__item__value._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___CellActivationResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __CellActivationResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___CellActivationResponse_protocolIEs__item__id),
        ('criticality', ___CellActivationResponse_protocolIEs__item__criticality),
        ('value', ___CellActivationResponse_protocolIEs__item__value),
        ])
    __CellActivationResponse_protocolIEs__item_._ext = None
    _CellActivationResponse_protocolIEs._cont = __CellActivationResponse_protocolIEs__item_
    _CellActivationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationResponse._cont = ASN1Dict([
        ('protocolIEs', _CellActivationResponse_protocolIEs),
        ])
    CellActivationResponse._ext = []
    
    #-----< CellActivationResponse-IEs >-----#
    CellActivationResponse_IEs = CLASS(name='CellActivationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationResponse_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivatedServedCells')))
    _CellActivationResponse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationResponse_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _CellActivationResponse_IEs_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationResponse_IEs._val = ASN1Set(rv=[dict([('id', 0), ('criticality', 'reject'), ('Value', _CellActivationResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 1), ('criticality', 'reject'), ('Value', _CellActivationResponse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _CellActivationResponse_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _CellActivationResponse_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ActivatedServedCells >-----#
    ActivatedServedCells = CHOICE(name='ActivatedServedCells', mode=MODE_TYPE)
    _ActivatedServedCells_nr_cells = SEQ_OF(name='nr-cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ActivatedServedCells_nr_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ActivatedServedCells_nr_cells._cont = __ActivatedServedCells_nr_cells__item_
    _ActivatedServedCells_nr_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ActivatedServedCells_e_utra_cells = SEQ_OF(name='e-utra-cells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ActivatedServedCells_e_utra_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ActivatedServedCells_e_utra_cells._cont = __ActivatedServedCells_e_utra_cells__item_
    _ActivatedServedCells_e_utra_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ActivatedServedCells_choice_extension = SEQ(name='choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ActivatedServedCells_choice_extension_id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ___ActivatedServedCells_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_id._const_tab = ___ActivatedServedCells_choice_extension_id_tab
    __ActivatedServedCells_choice_extension_id._const_tab_at = None
    __ActivatedServedCells_choice_extension_id._const_tab_id = 'id'
    __ActivatedServedCells_choice_extension_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ActivatedServedCells_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_criticality._const_tab = ___ActivatedServedCells_choice_extension_criticality_tab
    __ActivatedServedCells_choice_extension_criticality._const_tab_at = ('..', 'id')
    __ActivatedServedCells_choice_extension_criticality._const_tab_id = 'criticality'
    __ActivatedServedCells_choice_extension_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ActivatedServedCells_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_value._const_tab = ___ActivatedServedCells_choice_extension_value_tab
    __ActivatedServedCells_choice_extension_value._const_tab_at = ('..', 'id')
    __ActivatedServedCells_choice_extension_value._const_tab_id = 'Value'
    _ActivatedServedCells_choice_extension._cont = ASN1Dict([
        ('id', __ActivatedServedCells_choice_extension_id),
        ('criticality', __ActivatedServedCells_choice_extension_criticality),
        ('value', __ActivatedServedCells_choice_extension_value),
        ])
    _ActivatedServedCells_choice_extension._ext = None
    ActivatedServedCells._cont = ASN1Dict([
        ('nr-cells', _ActivatedServedCells_nr_cells),
        ('e-utra-cells', _ActivatedServedCells_e_utra_cells),
        ('choice-extension', _ActivatedServedCells_choice_extension),
        ])
    ActivatedServedCells._ext = None
    
    #-----< ActivatedServedCells-ExtIEs >-----#
    ActivatedServedCells_ExtIEs = CLASS(name='ActivatedServedCells-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ActivatedServedCells_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellActivationFailure >-----#
    CellActivationFailure = SEQ(name='CellActivationFailure', mode=MODE_TYPE)
    _CellActivationFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____CellActivationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 1), ('criticality', 'reject'), ('Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___CellActivationFailure_protocolIEs__item__id._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__id._const_tab_at = None
    ___CellActivationFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___CellActivationFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___CellActivationFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___CellActivationFailure_protocolIEs__item__value._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___CellActivationFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __CellActivationFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___CellActivationFailure_protocolIEs__item__id),
        ('criticality', ___CellActivationFailure_protocolIEs__item__criticality),
        ('value', ___CellActivationFailure_protocolIEs__item__value),
        ])
    __CellActivationFailure_protocolIEs__item_._ext = None
    _CellActivationFailure_protocolIEs._cont = __CellActivationFailure_protocolIEs__item_
    _CellActivationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationFailure._cont = ASN1Dict([
        ('protocolIEs', _CellActivationFailure_protocolIEs),
        ])
    CellActivationFailure._ext = []
    
    #-----< CellActivationFailure-IEs >-----#
    CellActivationFailure_IEs = CLASS(name='CellActivationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationFailure_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationFailure_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _CellActivationFailure_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _CellActivationFailure_IEs_val_Value_3 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationFailure_IEs._val = ASN1Set(rv=[dict([('id', 1), ('criticality', 'reject'), ('Value', _CellActivationFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _CellActivationFailure_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _CellActivationFailure_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _CellActivationFailure_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResetRequest >-----#
    ResetRequest = SEQ(name='ResetRequest', mode=MODE_TYPE)
    _ResetRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResetRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResetRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResetRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ResetRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 56), ('criticality', 'reject'), ('Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ResetRequest_protocolIEs__item__id._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__id._const_tab_at = None
    ___ResetRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___ResetRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResetRequest_protocolIEs__item__criticality._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResetRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResetRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResetRequest_protocolIEs__item__value._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResetRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __ResetRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResetRequest_protocolIEs__item__id),
        ('criticality', ___ResetRequest_protocolIEs__item__criticality),
        ('value', ___ResetRequest_protocolIEs__item__value),
        ])
    __ResetRequest_protocolIEs__item_._ext = None
    _ResetRequest_protocolIEs._cont = __ResetRequest_protocolIEs__item_
    _ResetRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResetRequest._cont = ASN1Dict([
        ('protocolIEs', _ResetRequest_protocolIEs),
        ])
    ResetRequest._ext = []
    
    #-----< ResetRequest-IEs >-----#
    ResetRequest_IEs = CLASS(name='ResetRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResetRequest_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo')))
    _ResetRequest_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ResetRequest_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ResetRequest_IEs._val = ASN1Set(rv=[dict([('id', 56), ('criticality', 'reject'), ('Value', _ResetRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _ResetRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _ResetRequest_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResetResponse >-----#
    ResetResponse = SEQ(name='ResetResponse', mode=MODE_TYPE)
    _ResetResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResetResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResetResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResetResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ResetResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 57), ('criticality', 'reject'), ('Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ResetResponse_protocolIEs__item__id._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__id._const_tab_at = None
    ___ResetResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___ResetResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResetResponse_protocolIEs__item__criticality._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResetResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResetResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResetResponse_protocolIEs__item__value._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResetResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __ResetResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResetResponse_protocolIEs__item__id),
        ('criticality', ___ResetResponse_protocolIEs__item__criticality),
        ('value', ___ResetResponse_protocolIEs__item__value),
        ])
    __ResetResponse_protocolIEs__item_._ext = None
    _ResetResponse_protocolIEs._cont = __ResetResponse_protocolIEs__item_
    _ResetResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResetResponse._cont = ASN1Dict([
        ('protocolIEs', _ResetResponse_protocolIEs),
        ])
    ResetResponse._ext = []
    
    #-----< ResetResponse-IEs >-----#
    ResetResponse_IEs = CLASS(name='ResetResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResetResponse_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo')))
    _ResetResponse_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _ResetResponse_IEs_val_Value_2 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ResetResponse_IEs._val = ASN1Set(rv=[dict([('id', 57), ('criticality', 'reject'), ('Value', _ResetResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _ResetResponse_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _ResetResponse_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ErrorIndication >-----#
    ErrorIndication = SEQ(name='ErrorIndication', mode=MODE_TYPE)
    _ErrorIndication_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ErrorIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ErrorIndication_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ErrorIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ErrorIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 29), ('criticality', 'ignore'), ('Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0), ('presence', 'optional')]), dict([('id', 27), ('criticality', 'ignore'), ('Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ErrorIndication_protocolIEs__item__id._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__id._const_tab_at = None
    ___ErrorIndication_protocolIEs__item__id._const_tab_id = 'id'
    ___ErrorIndication_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ErrorIndication_protocolIEs__item__criticality._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ErrorIndication_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ErrorIndication_protocolIEs__item__value._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ErrorIndication_protocolIEs__item__value._const_tab_id = 'Value'
    __ErrorIndication_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ErrorIndication_protocolIEs__item__id),
        ('criticality', ___ErrorIndication_protocolIEs__item__criticality),
        ('value', ___ErrorIndication_protocolIEs__item__value),
        ])
    __ErrorIndication_protocolIEs__item_._ext = None
    _ErrorIndication_protocolIEs._cont = __ErrorIndication_protocolIEs__item_
    _ErrorIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ErrorIndication._cont = ASN1Dict([
        ('protocolIEs', _ErrorIndication_protocolIEs),
        ])
    ErrorIndication._ext = []
    
    #-----< ErrorIndication-IEs >-----#
    ErrorIndication_IEs = CLASS(name='ErrorIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ErrorIndication_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ErrorIndication_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ErrorIndication_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ErrorIndication_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _ErrorIndication_IEs_val_Value_4 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ErrorIndication_IEs._val = ASN1Set(rv=[dict([('id', 29), ('criticality', 'ignore'), ('Value', _ErrorIndication_IEs_val_Value_0), ('presence', 'optional')]), dict([('id', 27), ('criticality', 'ignore'), ('Value', _ErrorIndication_IEs_val_Value_1), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _ErrorIndication_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _ErrorIndication_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 130), ('criticality', 'reject'), ('Value', _ErrorIndication_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< PrivateMessage >-----#
    PrivateMessage = SEQ(name='PrivateMessage', mode=MODE_TYPE)
    _PrivateMessage_privateIEs = SEQ_OF(name='privateIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'PrivateIE-Container')))
    __PrivateMessage_privateIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'PrivateIE-Field')))
    ___PrivateMessage_privateIEs__item__id = CHOICE(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), ['id']))
    ____PrivateMessage_privateIEs__item__id_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__id._const_tab = ____PrivateMessage_privateIEs__item__id_tab
    ___PrivateMessage_privateIEs__item__id._const_tab_at = None
    ___PrivateMessage_privateIEs__item__id._const_tab_id = 'id'
    ___PrivateMessage_privateIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), ['criticality']))
    ____PrivateMessage_privateIEs__item__criticality_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__criticality._const_tab = ____PrivateMessage_privateIEs__item__criticality_tab
    ___PrivateMessage_privateIEs__item__criticality._const_tab_at = ('..', 'id')
    ___PrivateMessage_privateIEs__item__criticality._const_tab_id = 'criticality'
    ___PrivateMessage_privateIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), ['Value']))
    ____PrivateMessage_privateIEs__item__value_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__value._const_tab = ____PrivateMessage_privateIEs__item__value_tab
    ___PrivateMessage_privateIEs__item__value._const_tab_at = ('..', 'id')
    ___PrivateMessage_privateIEs__item__value._const_tab_id = 'Value'
    __PrivateMessage_privateIEs__item_._cont = ASN1Dict([
        ('id', ___PrivateMessage_privateIEs__item__id),
        ('criticality', ___PrivateMessage_privateIEs__item__criticality),
        ('value', ___PrivateMessage_privateIEs__item__value),
        ])
    __PrivateMessage_privateIEs__item_._ext = None
    _PrivateMessage_privateIEs._cont = __PrivateMessage_privateIEs__item_
    _PrivateMessage_privateIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PrivateMessage._cont = ASN1Dict([
        ('privateIEs', _PrivateMessage_privateIEs),
        ])
    PrivateMessage._ext = []
    
    #-----< PrivateMessage-IEs >-----#
    PrivateMessage_IEs = CLASS(name='PrivateMessage-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    PrivateMessage_IEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TraceStart >-----#
    TraceStart = SEQ(name='TraceStart', mode=MODE_TYPE)
    _TraceStart_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __TraceStart_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___TraceStart_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____TraceStart_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____TraceStart_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____TraceStart_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____TraceStart_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    ____TraceStart_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____TraceStart_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____TraceStart_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _____TraceStart_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___TraceStart_protocolIEs__item__id._const_tab = ____TraceStart_protocolIEs__item__id_tab
    ___TraceStart_protocolIEs__item__id._const_tab_at = None
    ___TraceStart_protocolIEs__item__id._const_tab_id = 'id'
    ___TraceStart_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___TraceStart_protocolIEs__item__criticality._const_tab = ____TraceStart_protocolIEs__item__id_tab
    ___TraceStart_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___TraceStart_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___TraceStart_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___TraceStart_protocolIEs__item__value._const_tab = ____TraceStart_protocolIEs__item__id_tab
    ___TraceStart_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___TraceStart_protocolIEs__item__value._const_tab_id = 'Value'
    __TraceStart_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___TraceStart_protocolIEs__item__id),
        ('criticality', ___TraceStart_protocolIEs__item__criticality),
        ('value', ___TraceStart_protocolIEs__item__value),
        ])
    __TraceStart_protocolIEs__item_._ext = None
    _TraceStart_protocolIEs._cont = __TraceStart_protocolIEs__item_
    _TraceStart_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    TraceStart._cont = ASN1Dict([
        ('protocolIEs', _TraceStart_protocolIEs),
        ])
    TraceStart._ext = []
    
    #-----< TraceStartIEs >-----#
    TraceStartIEs = CLASS(name='TraceStartIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _TraceStartIEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _TraceStartIEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _TraceStartIEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    TraceStartIEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _TraceStartIEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _TraceStartIEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 81), ('criticality', 'ignore'), ('Value', _TraceStartIEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< DeactivateTrace >-----#
    DeactivateTrace = SEQ(name='DeactivateTrace', mode=MODE_TYPE)
    _DeactivateTrace_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __DeactivateTrace_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___DeactivateTrace_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____DeactivateTrace_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_2 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANTraceID')))
    ____DeactivateTrace_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 145), ('criticality', 'ignore'), ('Value', _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___DeactivateTrace_protocolIEs__item__id._const_tab = ____DeactivateTrace_protocolIEs__item__id_tab
    ___DeactivateTrace_protocolIEs__item__id._const_tab_at = None
    ___DeactivateTrace_protocolIEs__item__id._const_tab_id = 'id'
    ___DeactivateTrace_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___DeactivateTrace_protocolIEs__item__criticality._const_tab = ____DeactivateTrace_protocolIEs__item__id_tab
    ___DeactivateTrace_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___DeactivateTrace_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___DeactivateTrace_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___DeactivateTrace_protocolIEs__item__value._const_tab = ____DeactivateTrace_protocolIEs__item__id_tab
    ___DeactivateTrace_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___DeactivateTrace_protocolIEs__item__value._const_tab_id = 'Value'
    __DeactivateTrace_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___DeactivateTrace_protocolIEs__item__id),
        ('criticality', ___DeactivateTrace_protocolIEs__item__criticality),
        ('value', ___DeactivateTrace_protocolIEs__item__value),
        ])
    __DeactivateTrace_protocolIEs__item_._ext = None
    _DeactivateTrace_protocolIEs._cont = __DeactivateTrace_protocolIEs__item_
    _DeactivateTrace_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    DeactivateTrace._cont = ASN1Dict([
        ('protocolIEs', _DeactivateTrace_protocolIEs),
        ])
    DeactivateTrace._ext = []
    
    #-----< DeactivateTraceIEs >-----#
    DeactivateTraceIEs = CLASS(name='DeactivateTraceIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _DeactivateTraceIEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _DeactivateTraceIEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _DeactivateTraceIEs_val_Value_2 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANTraceID')))
    DeactivateTraceIEs._val = ASN1Set(rv=[dict([('id', 23), ('criticality', 'reject'), ('Value', _DeactivateTraceIEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 71), ('criticality', 'reject'), ('Value', _DeactivateTraceIEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 145), ('criticality', 'ignore'), ('Value', _DeactivateTraceIEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< FailureIndication >-----#
    FailureIndication = SEQ(name='FailureIndication', mode=MODE_TYPE)
    _FailureIndication_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __FailureIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___FailureIndication_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____FailureIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____FailureIndication_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InitiatingCondition-FailureIndication')))
    ____FailureIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 177), ('criticality', 'reject'), ('Value', _____FailureIndication_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___FailureIndication_protocolIEs__item__id._const_tab = ____FailureIndication_protocolIEs__item__id_tab
    ___FailureIndication_protocolIEs__item__id._const_tab_at = None
    ___FailureIndication_protocolIEs__item__id._const_tab_id = 'id'
    ___FailureIndication_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___FailureIndication_protocolIEs__item__criticality._const_tab = ____FailureIndication_protocolIEs__item__id_tab
    ___FailureIndication_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___FailureIndication_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___FailureIndication_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___FailureIndication_protocolIEs__item__value._const_tab = ____FailureIndication_protocolIEs__item__id_tab
    ___FailureIndication_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___FailureIndication_protocolIEs__item__value._const_tab_id = 'Value'
    __FailureIndication_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___FailureIndication_protocolIEs__item__id),
        ('criticality', ___FailureIndication_protocolIEs__item__criticality),
        ('value', ___FailureIndication_protocolIEs__item__value),
        ])
    __FailureIndication_protocolIEs__item_._ext = None
    _FailureIndication_protocolIEs._cont = __FailureIndication_protocolIEs__item_
    _FailureIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    FailureIndication._cont = ASN1Dict([
        ('protocolIEs', _FailureIndication_protocolIEs),
        ])
    FailureIndication._ext = []
    
    #-----< FailureIndication-IEs >-----#
    FailureIndication_IEs = CLASS(name='FailureIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _FailureIndication_IEs_val_Value_0 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InitiatingCondition-FailureIndication')))
    FailureIndication_IEs._val = ASN1Set(rv=[dict([('id', 177), ('criticality', 'reject'), ('Value', _FailureIndication_IEs_val_Value_0), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< HandoverReport >-----#
    HandoverReport = SEQ(name='HandoverReport', mode=MODE_TYPE)
    _HandoverReport_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverReport_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____HandoverReport_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_0 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'HandoverReportType')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalCell-ID')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellinEUTRAN')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_6 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_7 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityInformation')))
    _____HandoverReport_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainer')))
    ____HandoverReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 179), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 180), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 181), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 182), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_3), ('presence', 'mandatory')]), dict([('id', 183), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_4), ('presence', 'conditional')]), dict([('id', 184), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_5), ('presence', 'conditional')]), dict([('id', 185), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_6), ('presence', 'optional')]), dict([('id', 176), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_7), ('presence', 'optional')]), dict([('id', 186), ('criticality', 'ignore'), ('Value', _____HandoverReport_protocolIEs__item__id_tab_val_Value_8), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___HandoverReport_protocolIEs__item__id._const_tab = ____HandoverReport_protocolIEs__item__id_tab
    ___HandoverReport_protocolIEs__item__id._const_tab_at = None
    ___HandoverReport_protocolIEs__item__id._const_tab_id = 'id'
    ___HandoverReport_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___HandoverReport_protocolIEs__item__criticality._const_tab = ____HandoverReport_protocolIEs__item__id_tab
    ___HandoverReport_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___HandoverReport_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___HandoverReport_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___HandoverReport_protocolIEs__item__value._const_tab = ____HandoverReport_protocolIEs__item__id_tab
    ___HandoverReport_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___HandoverReport_protocolIEs__item__value._const_tab_id = 'Value'
    __HandoverReport_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___HandoverReport_protocolIEs__item__id),
        ('criticality', ___HandoverReport_protocolIEs__item__criticality),
        ('value', ___HandoverReport_protocolIEs__item__value),
        ])
    __HandoverReport_protocolIEs__item_._ext = None
    _HandoverReport_protocolIEs._cont = __HandoverReport_protocolIEs__item_
    _HandoverReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverReport._cont = ASN1Dict([
        ('protocolIEs', _HandoverReport_protocolIEs),
        ])
    HandoverReport._ext = []
    
    #-----< HandoverReport-IEs >-----#
    HandoverReport_IEs = CLASS(name='HandoverReport-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverReport_IEs_val_Value_0 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'HandoverReportType')))
    _HandoverReport_IEs_val_Value_1 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverReport_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _HandoverReport_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _HandoverReport_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalCell-ID')))
    _HandoverReport_IEs_val_Value_5 = OCT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TargetCellinEUTRAN')))
    _HandoverReport_IEs_val_Value_6 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _HandoverReport_IEs_val_Value_7 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityInformation')))
    _HandoverReport_IEs_val_Value_8 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERLFReportContainer')))
    HandoverReport_IEs._val = ASN1Set(rv=[dict([('id', 179), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 180), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 181), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 182), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_3), ('presence', 'mandatory')]), dict([('id', 183), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_4), ('presence', 'conditional')]), dict([('id', 184), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_5), ('presence', 'conditional')]), dict([('id', 185), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_6), ('presence', 'optional')]), dict([('id', 176), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_7), ('presence', 'optional')]), dict([('id', 186), ('criticality', 'ignore'), ('Value', _HandoverReport_IEs_val_Value_8), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResourceStatusRequest >-----#
    ResourceStatusRequest = SEQ(name='ResourceStatusRequest', mode=MODE_TYPE)
    _ResourceStatusRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResourceStatusRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResourceStatusRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResourceStatusRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RegistrationRequest')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_3 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ReportCharacteristics')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellToReport')))
    _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ReportingPeriodicity')))
    ____ResourceStatusRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'ignore'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'conditional')]), dict([('id', 189), ('criticality', 'reject'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 190), ('criticality', 'reject'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'conditional')]), dict([('id', 191), ('criticality', 'ignore'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')]), dict([('id', 192), ('criticality', 'ignore'), ('Value', _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_5), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ResourceStatusRequest_protocolIEs__item__id._const_tab = ____ResourceStatusRequest_protocolIEs__item__id_tab
    ___ResourceStatusRequest_protocolIEs__item__id._const_tab_at = None
    ___ResourceStatusRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___ResourceStatusRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResourceStatusRequest_protocolIEs__item__criticality._const_tab = ____ResourceStatusRequest_protocolIEs__item__id_tab
    ___ResourceStatusRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceStatusRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResourceStatusRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResourceStatusRequest_protocolIEs__item__value._const_tab = ____ResourceStatusRequest_protocolIEs__item__id_tab
    ___ResourceStatusRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResourceStatusRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __ResourceStatusRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResourceStatusRequest_protocolIEs__item__id),
        ('criticality', ___ResourceStatusRequest_protocolIEs__item__criticality),
        ('value', ___ResourceStatusRequest_protocolIEs__item__value),
        ])
    __ResourceStatusRequest_protocolIEs__item_._ext = None
    _ResourceStatusRequest_protocolIEs._cont = __ResourceStatusRequest_protocolIEs__item_
    _ResourceStatusRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResourceStatusRequest._cont = ASN1Dict([
        ('protocolIEs', _ResourceStatusRequest_protocolIEs),
        ])
    ResourceStatusRequest._ext = []
    
    #-----< ResourceStatusRequest-IEs >-----#
    ResourceStatusRequest_IEs = CLASS(name='ResourceStatusRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResourceStatusRequest_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusRequest_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusRequest_IEs_val_Value_2 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RegistrationRequest')))
    _ResourceStatusRequest_IEs_val_Value_3 = BIT_STR(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ReportCharacteristics')))
    _ResourceStatusRequest_IEs_val_Value_4 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellToReport')))
    _ResourceStatusRequest_IEs_val_Value_5 = ENUM(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ReportingPeriodicity')))
    ResourceStatusRequest_IEs._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _ResourceStatusRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'ignore'), ('Value', _ResourceStatusRequest_IEs_val_Value_1), ('presence', 'conditional')]), dict([('id', 189), ('criticality', 'reject'), ('Value', _ResourceStatusRequest_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 190), ('criticality', 'reject'), ('Value', _ResourceStatusRequest_IEs_val_Value_3), ('presence', 'conditional')]), dict([('id', 191), ('criticality', 'ignore'), ('Value', _ResourceStatusRequest_IEs_val_Value_4), ('presence', 'optional')]), dict([('id', 192), ('criticality', 'ignore'), ('Value', _ResourceStatusRequest_IEs_val_Value_5), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResourceStatusResponse >-----#
    ResourceStatusResponse = SEQ(name='ResourceStatusResponse', mode=MODE_TYPE)
    _ResourceStatusResponse_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResourceStatusResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResourceStatusResponse_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResourceStatusResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____ResourceStatusResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ResourceStatusResponse_protocolIEs__item__id._const_tab = ____ResourceStatusResponse_protocolIEs__item__id_tab
    ___ResourceStatusResponse_protocolIEs__item__id._const_tab_at = None
    ___ResourceStatusResponse_protocolIEs__item__id._const_tab_id = 'id'
    ___ResourceStatusResponse_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResourceStatusResponse_protocolIEs__item__criticality._const_tab = ____ResourceStatusResponse_protocolIEs__item__id_tab
    ___ResourceStatusResponse_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceStatusResponse_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResourceStatusResponse_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResourceStatusResponse_protocolIEs__item__value._const_tab = ____ResourceStatusResponse_protocolIEs__item__id_tab
    ___ResourceStatusResponse_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResourceStatusResponse_protocolIEs__item__value._const_tab_id = 'Value'
    __ResourceStatusResponse_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResourceStatusResponse_protocolIEs__item__id),
        ('criticality', ___ResourceStatusResponse_protocolIEs__item__criticality),
        ('value', ___ResourceStatusResponse_protocolIEs__item__value),
        ])
    __ResourceStatusResponse_protocolIEs__item_._ext = None
    _ResourceStatusResponse_protocolIEs._cont = __ResourceStatusResponse_protocolIEs__item_
    _ResourceStatusResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResourceStatusResponse._cont = ASN1Dict([
        ('protocolIEs', _ResourceStatusResponse_protocolIEs),
        ])
    ResourceStatusResponse._ext = []
    
    #-----< ResourceStatusResponse-IEs >-----#
    ResourceStatusResponse_IEs = CLASS(name='ResourceStatusResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResourceStatusResponse_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusResponse_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusResponse_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ResourceStatusResponse_IEs._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _ResourceStatusResponse_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _ResourceStatusResponse_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _ResourceStatusResponse_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResourceStatusFailure >-----#
    ResourceStatusFailure = SEQ(name='ResourceStatusFailure', mode=MODE_TYPE)
    _ResourceStatusFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResourceStatusFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResourceStatusFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResourceStatusFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____ResourceStatusFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___ResourceStatusFailure_protocolIEs__item__id._const_tab = ____ResourceStatusFailure_protocolIEs__item__id_tab
    ___ResourceStatusFailure_protocolIEs__item__id._const_tab_at = None
    ___ResourceStatusFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___ResourceStatusFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResourceStatusFailure_protocolIEs__item__criticality._const_tab = ____ResourceStatusFailure_protocolIEs__item__id_tab
    ___ResourceStatusFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceStatusFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResourceStatusFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResourceStatusFailure_protocolIEs__item__value._const_tab = ____ResourceStatusFailure_protocolIEs__item__id_tab
    ___ResourceStatusFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResourceStatusFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __ResourceStatusFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResourceStatusFailure_protocolIEs__item__id),
        ('criticality', ___ResourceStatusFailure_protocolIEs__item__criticality),
        ('value', ___ResourceStatusFailure_protocolIEs__item__value),
        ])
    __ResourceStatusFailure_protocolIEs__item_._ext = None
    _ResourceStatusFailure_protocolIEs._cont = __ResourceStatusFailure_protocolIEs__item_
    _ResourceStatusFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResourceStatusFailure._cont = ASN1Dict([
        ('protocolIEs', _ResourceStatusFailure_protocolIEs),
        ])
    ResourceStatusFailure._ext = []
    
    #-----< ResourceStatusFailure-IEs >-----#
    ResourceStatusFailure_IEs = CLASS(name='ResourceStatusFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResourceStatusFailure_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusFailure_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusFailure_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ResourceStatusFailure_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ResourceStatusFailure_IEs._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _ResourceStatusFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _ResourceStatusFailure_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _ResourceStatusFailure_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _ResourceStatusFailure_IEs_val_Value_3), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResourceStatusUpdate >-----#
    ResourceStatusUpdate = SEQ(name='ResourceStatusUpdate', mode=MODE_TYPE)
    _ResourceStatusUpdate_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResourceStatusUpdate_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResourceStatusUpdate_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____ResourceStatusUpdate_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellMeasurementResult')))
    ____ResourceStatusUpdate_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 193), ('criticality', 'ignore'), ('Value', _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___ResourceStatusUpdate_protocolIEs__item__id._const_tab = ____ResourceStatusUpdate_protocolIEs__item__id_tab
    ___ResourceStatusUpdate_protocolIEs__item__id._const_tab_at = None
    ___ResourceStatusUpdate_protocolIEs__item__id._const_tab_id = 'id'
    ___ResourceStatusUpdate_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___ResourceStatusUpdate_protocolIEs__item__criticality._const_tab = ____ResourceStatusUpdate_protocolIEs__item__id_tab
    ___ResourceStatusUpdate_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___ResourceStatusUpdate_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___ResourceStatusUpdate_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___ResourceStatusUpdate_protocolIEs__item__value._const_tab = ____ResourceStatusUpdate_protocolIEs__item__id_tab
    ___ResourceStatusUpdate_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___ResourceStatusUpdate_protocolIEs__item__value._const_tab_id = 'Value'
    __ResourceStatusUpdate_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___ResourceStatusUpdate_protocolIEs__item__id),
        ('criticality', ___ResourceStatusUpdate_protocolIEs__item__criticality),
        ('value', ___ResourceStatusUpdate_protocolIEs__item__value),
        ])
    __ResourceStatusUpdate_protocolIEs__item_._ext = None
    _ResourceStatusUpdate_protocolIEs._cont = __ResourceStatusUpdate_protocolIEs__item_
    _ResourceStatusUpdate_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResourceStatusUpdate._cont = ASN1Dict([
        ('protocolIEs', _ResourceStatusUpdate_protocolIEs),
        ])
    ResourceStatusUpdate._ext = []
    
    #-----< ResourceStatusUpdate-IEs >-----#
    ResourceStatusUpdate_IEs = CLASS(name='ResourceStatusUpdate-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResourceStatusUpdate_IEs_val_Value_0 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusUpdate_IEs_val_Value_1 = INT(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Measurement-ID')))
    _ResourceStatusUpdate_IEs_val_Value_2 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellMeasurementResult')))
    ResourceStatusUpdate_IEs._val = ASN1Set(rv=[dict([('id', 187), ('criticality', 'reject'), ('Value', _ResourceStatusUpdate_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 188), ('criticality', 'reject'), ('Value', _ResourceStatusUpdate_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 193), ('criticality', 'ignore'), ('Value', _ResourceStatusUpdate_IEs_val_Value_2), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< MobilityChangeRequest >-----#
    MobilityChangeRequest = SEQ(name='MobilityChangeRequest', mode=MODE_TYPE)
    _MobilityChangeRequest_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __MobilityChangeRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___MobilityChangeRequest_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____MobilityChangeRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersInformation')))
    _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersInformation')))
    _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_4 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    ____MobilityChangeRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 196), ('criticality', 'reject'), ('Value', _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')]), dict([('id', 197), ('criticality', 'reject'), ('Value', _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_4), ('presence', 'mandatory')])], rr=[], ev=None, er=[])
    ___MobilityChangeRequest_protocolIEs__item__id._const_tab = ____MobilityChangeRequest_protocolIEs__item__id_tab
    ___MobilityChangeRequest_protocolIEs__item__id._const_tab_at = None
    ___MobilityChangeRequest_protocolIEs__item__id._const_tab_id = 'id'
    ___MobilityChangeRequest_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___MobilityChangeRequest_protocolIEs__item__criticality._const_tab = ____MobilityChangeRequest_protocolIEs__item__id_tab
    ___MobilityChangeRequest_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___MobilityChangeRequest_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___MobilityChangeRequest_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___MobilityChangeRequest_protocolIEs__item__value._const_tab = ____MobilityChangeRequest_protocolIEs__item__id_tab
    ___MobilityChangeRequest_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___MobilityChangeRequest_protocolIEs__item__value._const_tab_id = 'Value'
    __MobilityChangeRequest_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___MobilityChangeRequest_protocolIEs__item__id),
        ('criticality', ___MobilityChangeRequest_protocolIEs__item__criticality),
        ('value', ___MobilityChangeRequest_protocolIEs__item__value),
        ])
    __MobilityChangeRequest_protocolIEs__item_._ext = None
    _MobilityChangeRequest_protocolIEs._cont = __MobilityChangeRequest_protocolIEs__item_
    _MobilityChangeRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    MobilityChangeRequest._cont = ASN1Dict([
        ('protocolIEs', _MobilityChangeRequest_protocolIEs),
        ])
    MobilityChangeRequest._ext = []
    
    #-----< MobilityChangeRequest-IEs >-----#
    MobilityChangeRequest_IEs = CLASS(name='MobilityChangeRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _MobilityChangeRequest_IEs_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeRequest_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeRequest_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersInformation')))
    _MobilityChangeRequest_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersInformation')))
    _MobilityChangeRequest_IEs_val_Value_4 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    MobilityChangeRequest_IEs._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _MobilityChangeRequest_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _MobilityChangeRequest_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 196), ('criticality', 'reject'), ('Value', _MobilityChangeRequest_IEs_val_Value_2), ('presence', 'optional')]), dict([('id', 197), ('criticality', 'reject'), ('Value', _MobilityChangeRequest_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _MobilityChangeRequest_IEs_val_Value_4), ('presence', 'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< MobilityChangeAcknowledge >-----#
    MobilityChangeAcknowledge = SEQ(name='MobilityChangeAcknowledge', mode=MODE_TYPE)
    _MobilityChangeAcknowledge_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __MobilityChangeAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___MobilityChangeAcknowledge_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____MobilityChangeAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____MobilityChangeAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_2), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___MobilityChangeAcknowledge_protocolIEs__item__id._const_tab = ____MobilityChangeAcknowledge_protocolIEs__item__id_tab
    ___MobilityChangeAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___MobilityChangeAcknowledge_protocolIEs__item__id._const_tab_id = 'id'
    ___MobilityChangeAcknowledge_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___MobilityChangeAcknowledge_protocolIEs__item__criticality._const_tab = ____MobilityChangeAcknowledge_protocolIEs__item__id_tab
    ___MobilityChangeAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___MobilityChangeAcknowledge_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___MobilityChangeAcknowledge_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___MobilityChangeAcknowledge_protocolIEs__item__value._const_tab = ____MobilityChangeAcknowledge_protocolIEs__item__id_tab
    ___MobilityChangeAcknowledge_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___MobilityChangeAcknowledge_protocolIEs__item__value._const_tab_id = 'Value'
    __MobilityChangeAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___MobilityChangeAcknowledge_protocolIEs__item__id),
        ('criticality', ___MobilityChangeAcknowledge_protocolIEs__item__criticality),
        ('value', ___MobilityChangeAcknowledge_protocolIEs__item__value),
        ])
    __MobilityChangeAcknowledge_protocolIEs__item_._ext = None
    _MobilityChangeAcknowledge_protocolIEs._cont = __MobilityChangeAcknowledge_protocolIEs__item_
    _MobilityChangeAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    MobilityChangeAcknowledge._cont = ASN1Dict([
        ('protocolIEs', _MobilityChangeAcknowledge_protocolIEs),
        ])
    MobilityChangeAcknowledge._ext = []
    
    #-----< MobilityChangeAcknowledge-IEs >-----#
    MobilityChangeAcknowledge_IEs = CLASS(name='MobilityChangeAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _MobilityChangeAcknowledge_IEs_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeAcknowledge_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeAcknowledge_IEs_val_Value_2 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    MobilityChangeAcknowledge_IEs._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _MobilityChangeAcknowledge_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _MobilityChangeAcknowledge_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _MobilityChangeAcknowledge_IEs_val_Value_2), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< MobilityChangeFailure >-----#
    MobilityChangeFailure = SEQ(name='MobilityChangeFailure', mode=MODE_TYPE)
    _MobilityChangeFailure_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __MobilityChangeFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___MobilityChangeFailure_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____MobilityChangeFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersModificationRange')))
    _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____MobilityChangeFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_2), ('presence', 'mandatory')]), dict([('id', 198), ('criticality', 'reject'), ('Value', _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_4), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___MobilityChangeFailure_protocolIEs__item__id._const_tab = ____MobilityChangeFailure_protocolIEs__item__id_tab
    ___MobilityChangeFailure_protocolIEs__item__id._const_tab_at = None
    ___MobilityChangeFailure_protocolIEs__item__id._const_tab_id = 'id'
    ___MobilityChangeFailure_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___MobilityChangeFailure_protocolIEs__item__criticality._const_tab = ____MobilityChangeFailure_protocolIEs__item__id_tab
    ___MobilityChangeFailure_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___MobilityChangeFailure_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___MobilityChangeFailure_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___MobilityChangeFailure_protocolIEs__item__value._const_tab = ____MobilityChangeFailure_protocolIEs__item__id_tab
    ___MobilityChangeFailure_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___MobilityChangeFailure_protocolIEs__item__value._const_tab_id = 'Value'
    __MobilityChangeFailure_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___MobilityChangeFailure_protocolIEs__item__id),
        ('criticality', ___MobilityChangeFailure_protocolIEs__item__criticality),
        ('value', ___MobilityChangeFailure_protocolIEs__item__value),
        ])
    __MobilityChangeFailure_protocolIEs__item_._ext = None
    _MobilityChangeFailure_protocolIEs._cont = __MobilityChangeFailure_protocolIEs__item_
    _MobilityChangeFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    MobilityChangeFailure._cont = ASN1Dict([
        ('protocolIEs', _MobilityChangeFailure_protocolIEs),
        ])
    MobilityChangeFailure._ext = []
    
    #-----< MobilityChangeFailure-IEs >-----#
    MobilityChangeFailure_IEs = CLASS(name='MobilityChangeFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _MobilityChangeFailure_IEs_val_Value_0 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeFailure_IEs_val_Value_1 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _MobilityChangeFailure_IEs_val_Value_2 = CHOICE(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _MobilityChangeFailure_IEs_val_Value_3 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityParametersModificationRange')))
    _MobilityChangeFailure_IEs_val_Value_4 = SEQ(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    MobilityChangeFailure_IEs._val = ASN1Set(rv=[dict([('id', 194), ('criticality', 'reject'), ('Value', _MobilityChangeFailure_IEs_val_Value_0), ('presence', 'mandatory')]), dict([('id', 195), ('criticality', 'reject'), ('Value', _MobilityChangeFailure_IEs_val_Value_1), ('presence', 'mandatory')]), dict([('id', 7), ('criticality', 'ignore'), ('Value', _MobilityChangeFailure_IEs_val_Value_2), ('presence', 'mandatory')]), dict([('id', 198), ('criticality', 'reject'), ('Value', _MobilityChangeFailure_IEs_val_Value_3), ('presence', 'optional')]), dict([('id', 10), ('criticality', 'ignore'), ('Value', _MobilityChangeFailure_IEs_val_Value_4), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    #-----< AccessAndMobilityIndication >-----#
    AccessAndMobilityIndication = SEQ(name='AccessAndMobilityIndication', mode=MODE_TYPE)
    _AccessAndMobilityIndication_protocolIEs = SEQ_OF(name='protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __AccessAndMobilityIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___AccessAndMobilityIndication_protocolIEs__item__id = INT(name='id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['id']))
    ____AccessAndMobilityIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____AccessAndMobilityIndication_protocolIEs__item__id_tab_val_Value_0 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RACHReportInformation')))
    ____AccessAndMobilityIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([('id', 205), ('criticality', 'ignore'), ('Value', _____AccessAndMobilityIndication_protocolIEs__item__id_tab_val_Value_0), ('presence', 'optional')])], rr=[], ev=None, er=[])
    ___AccessAndMobilityIndication_protocolIEs__item__id._const_tab = ____AccessAndMobilityIndication_protocolIEs__item__id_tab
    ___AccessAndMobilityIndication_protocolIEs__item__id._const_tab_at = None
    ___AccessAndMobilityIndication_protocolIEs__item__id._const_tab_id = 'id'
    ___AccessAndMobilityIndication_protocolIEs__item__criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['criticality']))
    ___AccessAndMobilityIndication_protocolIEs__item__criticality._const_tab = ____AccessAndMobilityIndication_protocolIEs__item__id_tab
    ___AccessAndMobilityIndication_protocolIEs__item__criticality._const_tab_at = ('..', 'id')
    ___AccessAndMobilityIndication_protocolIEs__item__criticality._const_tab_id = 'criticality'
    ___AccessAndMobilityIndication_protocolIEs__item__value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), ['Value']))
    ___AccessAndMobilityIndication_protocolIEs__item__value._const_tab = ____AccessAndMobilityIndication_protocolIEs__item__id_tab
    ___AccessAndMobilityIndication_protocolIEs__item__value._const_tab_at = ('..', 'id')
    ___AccessAndMobilityIndication_protocolIEs__item__value._const_tab_id = 'Value'
    __AccessAndMobilityIndication_protocolIEs__item_._cont = ASN1Dict([
        ('id', ___AccessAndMobilityIndication_protocolIEs__item__id),
        ('criticality', ___AccessAndMobilityIndication_protocolIEs__item__criticality),
        ('value', ___AccessAndMobilityIndication_protocolIEs__item__value),
        ])
    __AccessAndMobilityIndication_protocolIEs__item_._ext = None
    _AccessAndMobilityIndication_protocolIEs._cont = __AccessAndMobilityIndication_protocolIEs__item_
    _AccessAndMobilityIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    AccessAndMobilityIndication._cont = ASN1Dict([
        ('protocolIEs', _AccessAndMobilityIndication_protocolIEs),
        ])
    AccessAndMobilityIndication._ext = []
    
    #-----< AccessAndMobilityIndication-IEs >-----#
    AccessAndMobilityIndication_IEs = CLASS(name='AccessAndMobilityIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _AccessAndMobilityIndication_IEs_val_Value_0 = SEQ_OF(name='Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RACHReportInformation')))
    AccessAndMobilityIndication_IEs._val = ASN1Set(rv=[dict([('id', 205), ('criticality', 'ignore'), ('Value', _AccessAndMobilityIndication_IEs_val_Value_0), ('presence', 'optional')])], rr=[], ev=[], er=[])
    
    _all_ = [
        ____HandoverRequest_protocolIEs__item__id_tab,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_9,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_10,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_11,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_12,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_13,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_14,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_15,
        ___HandoverRequest_protocolIEs__item__id,
        ___HandoverRequest_protocolIEs__item__criticality,
        ___HandoverRequest_protocolIEs__item__value,
        __HandoverRequest_protocolIEs__item_,
        _HandoverRequest_protocolIEs,
        HandoverRequest,
        HandoverRequest_IEs,
        _HandoverRequest_IEs_val_Value_0,
        _HandoverRequest_IEs_val_Value_1,
        _HandoverRequest_IEs_val_Value_2,
        _HandoverRequest_IEs_val_Value_3,
        _HandoverRequest_IEs_val_Value_4,
        _HandoverRequest_IEs_val_Value_5,
        _HandoverRequest_IEs_val_Value_6,
        _HandoverRequest_IEs_val_Value_7,
        _HandoverRequest_IEs_val_Value_8,
        _HandoverRequest_IEs_val_Value_9,
        _HandoverRequest_IEs_val_Value_10,
        _HandoverRequest_IEs_val_Value_11,
        _HandoverRequest_IEs_val_Value_12,
        _HandoverRequest_IEs_val_Value_13,
        _HandoverRequest_IEs_val_Value_14,
        _HandoverRequest_IEs_val_Value_15,
        _UEContextInfoHORequest_ng_c_UE_reference,
        _UEContextInfoHORequest_cp_TNL_info_source,
        _UEContextInfoHORequest_ueSecurityCapabilities,
        _UEContextInfoHORequest_securityInformation,
        _UEContextInfoHORequest_indexToRatFrequencySelectionPriority,
        _UEContextInfoHORequest_ue_AMBR,
        _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List,
        _UEContextInfoHORequest_rrc_Context,
        _UEContextInfoHORequest_locationReportingInformation,
        _UEContextInfoHORequest_mrl,
        ____UEContextInfoHORequest_iE_Extensions__item__id_tab,
        _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_0,
        _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_1,
        _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_2,
        _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_3,
        _____UEContextInfoHORequest_iE_Extensions__item__id_tab_val_Extension_4,
        ___UEContextInfoHORequest_iE_Extensions__item__id,
        ___UEContextInfoHORequest_iE_Extensions__item__criticality,
        ___UEContextInfoHORequest_iE_Extensions__item__extensionValue,
        __UEContextInfoHORequest_iE_Extensions__item_,
        _UEContextInfoHORequest_iE_Extensions,
        UEContextInfoHORequest,
        UEContextInfoHORequest_ExtIEs,
        _UEContextInfoHORequest_ExtIEs_val_Extension_0,
        _UEContextInfoHORequest_ExtIEs_val_Extension_1,
        _UEContextInfoHORequest_ExtIEs_val_Extension_2,
        _UEContextInfoHORequest_ExtIEs_val_Extension_3,
        _UEContextInfoHORequest_ExtIEs_val_Extension_4,
        _UEContextRefAtSN_HORequest_globalNG_RANNode_ID,
        _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__id,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue,
        __UEContextRefAtSN_HORequest_iE_Extensions__item_,
        _UEContextRefAtSN_HORequest_iE_Extensions,
        UEContextRefAtSN_HORequest,
        UEContextRefAtSN_HORequest_ExtIEs,
        ____HandoverRequestAcknowledge_protocolIEs__item__id_tab,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9,
        ___HandoverRequestAcknowledge_protocolIEs__item__id,
        ___HandoverRequestAcknowledge_protocolIEs__item__criticality,
        ___HandoverRequestAcknowledge_protocolIEs__item__value,
        __HandoverRequestAcknowledge_protocolIEs__item_,
        _HandoverRequestAcknowledge_protocolIEs,
        HandoverRequestAcknowledge,
        HandoverRequestAcknowledge_IEs,
        _HandoverRequestAcknowledge_IEs_val_Value_0,
        _HandoverRequestAcknowledge_IEs_val_Value_1,
        _HandoverRequestAcknowledge_IEs_val_Value_2,
        _HandoverRequestAcknowledge_IEs_val_Value_3,
        _HandoverRequestAcknowledge_IEs_val_Value_4,
        _HandoverRequestAcknowledge_IEs_val_Value_5,
        _HandoverRequestAcknowledge_IEs_val_Value_6,
        _HandoverRequestAcknowledge_IEs_val_Value_7,
        _HandoverRequestAcknowledge_IEs_val_Value_8,
        _HandoverRequestAcknowledge_IEs_val_Value_9,
        ____HandoverPreparationFailure_protocolIEs__item__id_tab,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_3,
        ___HandoverPreparationFailure_protocolIEs__item__id,
        ___HandoverPreparationFailure_protocolIEs__item__criticality,
        ___HandoverPreparationFailure_protocolIEs__item__value,
        __HandoverPreparationFailure_protocolIEs__item_,
        _HandoverPreparationFailure_protocolIEs,
        HandoverPreparationFailure,
        HandoverPreparationFailure_IEs,
        _HandoverPreparationFailure_IEs_val_Value_0,
        _HandoverPreparationFailure_IEs_val_Value_1,
        _HandoverPreparationFailure_IEs_val_Value_2,
        _HandoverPreparationFailure_IEs_val_Value_3,
        ____SNStatusTransfer_protocolIEs__item__id_tab,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2,
        ___SNStatusTransfer_protocolIEs__item__id,
        ___SNStatusTransfer_protocolIEs__item__criticality,
        ___SNStatusTransfer_protocolIEs__item__value,
        __SNStatusTransfer_protocolIEs__item_,
        _SNStatusTransfer_protocolIEs,
        SNStatusTransfer,
        SNStatusTransfer_IEs,
        _SNStatusTransfer_IEs_val_Value_0,
        _SNStatusTransfer_IEs_val_Value_1,
        _SNStatusTransfer_IEs_val_Value_2,
        ____UEContextRelease_protocolIEs__item__id_tab,
        _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0,
        _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1,
        ___UEContextRelease_protocolIEs__item__id,
        ___UEContextRelease_protocolIEs__item__criticality,
        ___UEContextRelease_protocolIEs__item__value,
        __UEContextRelease_protocolIEs__item_,
        _UEContextRelease_protocolIEs,
        UEContextRelease,
        UEContextRelease_IEs,
        _UEContextRelease_IEs_val_Value_0,
        _UEContextRelease_IEs_val_Value_1,
        ____HandoverCancel_protocolIEs__item__id_tab,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_3,
        ___HandoverCancel_protocolIEs__item__id,
        ___HandoverCancel_protocolIEs__item__criticality,
        ___HandoverCancel_protocolIEs__item__value,
        __HandoverCancel_protocolIEs__item_,
        _HandoverCancel_protocolIEs,
        HandoverCancel,
        HandoverCancel_IEs,
        _HandoverCancel_IEs_val_Value_0,
        _HandoverCancel_IEs_val_Value_1,
        _HandoverCancel_IEs_val_Value_2,
        _HandoverCancel_IEs_val_Value_3,
        ____HandoverSuccess_protocolIEs__item__id_tab,
        _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverSuccess_protocolIEs__item__id_tab_val_Value_2,
        ___HandoverSuccess_protocolIEs__item__id,
        ___HandoverSuccess_protocolIEs__item__criticality,
        ___HandoverSuccess_protocolIEs__item__value,
        __HandoverSuccess_protocolIEs__item_,
        _HandoverSuccess_protocolIEs,
        HandoverSuccess,
        HandoverSuccess_IEs,
        _HandoverSuccess_IEs_val_Value_0,
        _HandoverSuccess_IEs_val_Value_1,
        _HandoverSuccess_IEs_val_Value_2,
        ____ConditionalHandoverCancel_protocolIEs__item__id_tab,
        _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_0,
        _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_1,
        _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_2,
        _____ConditionalHandoverCancel_protocolIEs__item__id_tab_val_Value_3,
        ___ConditionalHandoverCancel_protocolIEs__item__id,
        ___ConditionalHandoverCancel_protocolIEs__item__criticality,
        ___ConditionalHandoverCancel_protocolIEs__item__value,
        __ConditionalHandoverCancel_protocolIEs__item_,
        _ConditionalHandoverCancel_protocolIEs,
        ConditionalHandoverCancel,
        ConditionalHandoverCancel_IEs,
        _ConditionalHandoverCancel_IEs_val_Value_0,
        _ConditionalHandoverCancel_IEs_val_Value_1,
        _ConditionalHandoverCancel_IEs_val_Value_2,
        _ConditionalHandoverCancel_IEs_val_Value_3,
        ____EarlyStatusTransfer_protocolIEs__item__id_tab,
        _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_0,
        _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_1,
        _____EarlyStatusTransfer_protocolIEs__item__id_tab_val_Value_2,
        ___EarlyStatusTransfer_protocolIEs__item__id,
        ___EarlyStatusTransfer_protocolIEs__item__criticality,
        ___EarlyStatusTransfer_protocolIEs__item__value,
        __EarlyStatusTransfer_protocolIEs__item_,
        _EarlyStatusTransfer_protocolIEs,
        EarlyStatusTransfer,
        EarlyStatusTransfer_IEs,
        _EarlyStatusTransfer_IEs_val_Value_0,
        _EarlyStatusTransfer_IEs_val_Value_1,
        _EarlyStatusTransfer_IEs_val_Value_2,
        _ProcedureStageChoice_first_dl_count,
        _ProcedureStageChoice_dl_discarding,
        ___ProcedureStageChoice_choice_extension_id_tab,
        __ProcedureStageChoice_choice_extension_id,
        ___ProcedureStageChoice_choice_extension_criticality_tab,
        __ProcedureStageChoice_choice_extension_criticality,
        ___ProcedureStageChoice_choice_extension_value_tab,
        __ProcedureStageChoice_choice_extension_value,
        _ProcedureStageChoice_choice_extension,
        ProcedureStageChoice,
        ProcedureStageChoice_ExtIEs,
        _FirstDLCount_dRBsSubjectToEarlyStatusTransfer,
        ____FirstDLCount_iE_Extension__item__id_tab,
        ___FirstDLCount_iE_Extension__item__id,
        ____FirstDLCount_iE_Extension__item__criticality_tab,
        ___FirstDLCount_iE_Extension__item__criticality,
        ____FirstDLCount_iE_Extension__item__extensionValue_tab,
        ___FirstDLCount_iE_Extension__item__extensionValue,
        __FirstDLCount_iE_Extension__item_,
        _FirstDLCount_iE_Extension,
        FirstDLCount,
        FirstDLCount_ExtIEs,
        _DLDiscarding_dRBsSubjectToDLDiscarding,
        ____DLDiscarding_iE_Extension__item__id_tab,
        ___DLDiscarding_iE_Extension__item__id,
        ____DLDiscarding_iE_Extension__item__criticality_tab,
        ___DLDiscarding_iE_Extension__item__criticality,
        ____DLDiscarding_iE_Extension__item__extensionValue_tab,
        ___DLDiscarding_iE_Extension__item__extensionValue,
        __DLDiscarding_iE_Extension__item_,
        _DLDiscarding_iE_Extension,
        DLDiscarding,
        DLDiscarding_ExtIEs,
        ____RANPaging_protocolIEs__item__id_tab,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_0,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_1,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_2,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_3,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_4,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_5,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_6,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_7,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_8,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_9,
        ___RANPaging_protocolIEs__item__id,
        ___RANPaging_protocolIEs__item__criticality,
        ___RANPaging_protocolIEs__item__value,
        __RANPaging_protocolIEs__item_,
        _RANPaging_protocolIEs,
        RANPaging,
        RANPaging_IEs,
        _RANPaging_IEs_val_Value_0,
        _RANPaging_IEs_val_Value_1,
        _RANPaging_IEs_val_Value_2,
        _RANPaging_IEs_val_Value_3,
        _RANPaging_IEs_val_Value_4,
        _RANPaging_IEs_val_Value_5,
        _RANPaging_IEs_val_Value_6,
        _RANPaging_IEs_val_Value_7,
        _RANPaging_IEs_val_Value_8,
        _RANPaging_IEs_val_Value_9,
        ____RetrieveUEContextRequest_protocolIEs__item__id_tab,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4,
        ___RetrieveUEContextRequest_protocolIEs__item__id,
        ___RetrieveUEContextRequest_protocolIEs__item__criticality,
        ___RetrieveUEContextRequest_protocolIEs__item__value,
        __RetrieveUEContextRequest_protocolIEs__item_,
        _RetrieveUEContextRequest_protocolIEs,
        RetrieveUEContextRequest,
        RetrieveUEContextRequest_IEs,
        _RetrieveUEContextRequest_IEs_val_Value_0,
        _RetrieveUEContextRequest_IEs_val_Value_1,
        _RetrieveUEContextRequest_IEs_val_Value_2,
        _RetrieveUEContextRequest_IEs_val_Value_3,
        _RetrieveUEContextRequest_IEs_val_Value_4,
        ____RetrieveUEContextResponse_protocolIEs__item__id_tab,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_8,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_9,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_10,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_11,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_12,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_13,
        ___RetrieveUEContextResponse_protocolIEs__item__id,
        ___RetrieveUEContextResponse_protocolIEs__item__criticality,
        ___RetrieveUEContextResponse_protocolIEs__item__value,
        __RetrieveUEContextResponse_protocolIEs__item_,
        _RetrieveUEContextResponse_protocolIEs,
        RetrieveUEContextResponse,
        RetrieveUEContextResponse_IEs,
        _RetrieveUEContextResponse_IEs_val_Value_0,
        _RetrieveUEContextResponse_IEs_val_Value_1,
        _RetrieveUEContextResponse_IEs_val_Value_2,
        _RetrieveUEContextResponse_IEs_val_Value_3,
        _RetrieveUEContextResponse_IEs_val_Value_4,
        _RetrieveUEContextResponse_IEs_val_Value_5,
        _RetrieveUEContextResponse_IEs_val_Value_6,
        _RetrieveUEContextResponse_IEs_val_Value_7,
        _RetrieveUEContextResponse_IEs_val_Value_8,
        _RetrieveUEContextResponse_IEs_val_Value_9,
        _RetrieveUEContextResponse_IEs_val_Value_10,
        _RetrieveUEContextResponse_IEs_val_Value_11,
        _RetrieveUEContextResponse_IEs_val_Value_12,
        _RetrieveUEContextResponse_IEs_val_Value_13,
        ____RetrieveUEContextFailure_protocolIEs__item__id_tab,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3,
        ___RetrieveUEContextFailure_protocolIEs__item__id,
        ___RetrieveUEContextFailure_protocolIEs__item__criticality,
        ___RetrieveUEContextFailure_protocolIEs__item__value,
        __RetrieveUEContextFailure_protocolIEs__item_,
        _RetrieveUEContextFailure_protocolIEs,
        RetrieveUEContextFailure,
        RetrieveUEContextFailure_IEs,
        _RetrieveUEContextFailure_IEs_val_Value_0,
        _RetrieveUEContextFailure_IEs_val_Value_1,
        _RetrieveUEContextFailure_IEs_val_Value_2,
        _RetrieveUEContextFailure_IEs_val_Value_3,
        ____XnUAddressIndication_protocolIEs__item__id_tab,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_3,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_4,
        ___XnUAddressIndication_protocolIEs__item__id,
        ___XnUAddressIndication_protocolIEs__item__criticality,
        ___XnUAddressIndication_protocolIEs__item__value,
        __XnUAddressIndication_protocolIEs__item_,
        _XnUAddressIndication_protocolIEs,
        XnUAddressIndication,
        XnUAddressIndication_IEs,
        _XnUAddressIndication_IEs_val_Value_0,
        _XnUAddressIndication_IEs_val_Value_1,
        _XnUAddressIndication_IEs_val_Value_2,
        _XnUAddressIndication_IEs_val_Value_3,
        _XnUAddressIndication_IEs_val_Value_4,
        ____SNodeAdditionRequest_protocolIEs__item__id_tab,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_22,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_23,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_24,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_25,
        ___SNodeAdditionRequest_protocolIEs__item__id,
        ___SNodeAdditionRequest_protocolIEs__item__criticality,
        ___SNodeAdditionRequest_protocolIEs__item__value,
        __SNodeAdditionRequest_protocolIEs__item_,
        _SNodeAdditionRequest_protocolIEs,
        SNodeAdditionRequest,
        SNodeAdditionRequest_IEs,
        _SNodeAdditionRequest_IEs_val_Value_0,
        _SNodeAdditionRequest_IEs_val_Value_1,
        _SNodeAdditionRequest_IEs_val_Value_2,
        _SNodeAdditionRequest_IEs_val_Value_3,
        _SNodeAdditionRequest_IEs_val_Value_4,
        _SNodeAdditionRequest_IEs_val_Value_5,
        _SNodeAdditionRequest_IEs_val_Value_6,
        _SNodeAdditionRequest_IEs_val_Value_7,
        _SNodeAdditionRequest_IEs_val_Value_8,
        _SNodeAdditionRequest_IEs_val_Value_9,
        _SNodeAdditionRequest_IEs_val_Value_10,
        _SNodeAdditionRequest_IEs_val_Value_11,
        _SNodeAdditionRequest_IEs_val_Value_12,
        _SNodeAdditionRequest_IEs_val_Value_13,
        _SNodeAdditionRequest_IEs_val_Value_14,
        _SNodeAdditionRequest_IEs_val_Value_15,
        _SNodeAdditionRequest_IEs_val_Value_16,
        _SNodeAdditionRequest_IEs_val_Value_17,
        _SNodeAdditionRequest_IEs_val_Value_18,
        _SNodeAdditionRequest_IEs_val_Value_19,
        _SNodeAdditionRequest_IEs_val_Value_20,
        _SNodeAdditionRequest_IEs_val_Value_21,
        _SNodeAdditionRequest_IEs_val_Value_22,
        _SNodeAdditionRequest_IEs_val_Value_23,
        _SNodeAdditionRequest_IEs_val_Value_24,
        _SNodeAdditionRequest_IEs_val_Value_25,
        _PDUSessionToBeAddedAddReq__item_,
        PDUSessionToBeAddedAddReq,
        _PDUSessionToBeAddedAddReq_Item_pduSessionId,
        _PDUSessionToBeAddedAddReq_Item_s_NSSAI,
        _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR,
        _PDUSessionToBeAddedAddReq_Item_sn_terminated,
        _PDUSessionToBeAddedAddReq_Item_mn_terminated,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue,
        __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_,
        _PDUSessionToBeAddedAddReq_Item_iE_Extension,
        PDUSessionToBeAddedAddReq_Item,
        PDUSessionToBeAddedAddReq_Item_ExtIEs,
        RequestedFastMCGRecoveryViaSRB3,
        ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value,
        __SNodeAdditionRequestAcknowledge_protocolIEs__item_,
        _SNodeAdditionRequestAcknowledge_protocolIEs,
        SNodeAdditionRequestAcknowledge,
        SNodeAdditionRequestAcknowledge_IEs,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_0,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_1,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_2,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_3,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_4,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_5,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_6,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_7,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_8,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_9,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_10,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_11,
        _PDUSessionAdmittedAddedAddReqAck__item_,
        PDUSessionAdmittedAddedAddReqAck,
        _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId,
        _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated,
        _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_,
        _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension,
        PDUSessionAdmittedAddedAddReqAck_Item,
        PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs,
        _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated,
        _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue,
        __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_,
        _PDUSessionNotAdmittedAddReqAck_iE_Extension,
        PDUSessionNotAdmittedAddReqAck,
        PDUSessionNotAdmittedAddReqAck_ExtIEs,
        AvailableFastMCGRecoveryViaSRB3,
        ____SNodeAdditionRequestReject_protocolIEs__item__id_tab,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeAdditionRequestReject_protocolIEs__item__id,
        ___SNodeAdditionRequestReject_protocolIEs__item__criticality,
        ___SNodeAdditionRequestReject_protocolIEs__item__value,
        __SNodeAdditionRequestReject_protocolIEs__item_,
        _SNodeAdditionRequestReject_protocolIEs,
        SNodeAdditionRequestReject,
        SNodeAdditionRequestReject_IEs,
        _SNodeAdditionRequestReject_IEs_val_Value_0,
        _SNodeAdditionRequestReject_IEs_val_Value_1,
        _SNodeAdditionRequestReject_IEs_val_Value_2,
        _SNodeAdditionRequestReject_IEs_val_Value_3,
        ____SNodeReconfigurationComplete_protocolIEs__item__id_tab,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2,
        ___SNodeReconfigurationComplete_protocolIEs__item__id,
        ___SNodeReconfigurationComplete_protocolIEs__item__criticality,
        ___SNodeReconfigurationComplete_protocolIEs__item__value,
        __SNodeReconfigurationComplete_protocolIEs__item_,
        _SNodeReconfigurationComplete_protocolIEs,
        SNodeReconfigurationComplete,
        SNodeReconfigurationComplete_IEs,
        _SNodeReconfigurationComplete_IEs_val_Value_0,
        _SNodeReconfigurationComplete_IEs_val_Value_1,
        _SNodeReconfigurationComplete_IEs_val_Value_2,
        _ResponseInfo_ReconfCompl_responseType_ReconfComplete,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__id,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue,
        __ResponseInfo_ReconfCompl_iE_Extensions__item_,
        _ResponseInfo_ReconfCompl_iE_Extensions,
        ResponseInfo_ReconfCompl,
        ResponseInfo_ReconfCompl_ExtIEs,
        _ResponseType_ReconfComplete_configuration_successfully_applied,
        _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode,
        ___ResponseType_ReconfComplete_choice_extension_id_tab,
        __ResponseType_ReconfComplete_choice_extension_id,
        ___ResponseType_ReconfComplete_choice_extension_criticality_tab,
        __ResponseType_ReconfComplete_choice_extension_criticality,
        ___ResponseType_ReconfComplete_choice_extension_value_tab,
        __ResponseType_ReconfComplete_choice_extension_value,
        _ResponseType_ReconfComplete_choice_extension,
        ResponseType_ReconfComplete,
        ResponseType_ReconfComplete_ExtIEs,
        _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container,
        ____Configuration_successfully_applied_iE_Extensions__item__id_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__id,
        ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__criticality,
        ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__extensionValue,
        __Configuration_successfully_applied_iE_Extensions__item_,
        _Configuration_successfully_applied_iE_Extensions,
        Configuration_successfully_applied,
        Configuration_successfully_applied_ExtIEs,
        _Configuration_rejected_by_M_NG_RANNode_cause,
        _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue,
        __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_,
        _Configuration_rejected_by_M_NG_RANNode_iE_Extensions,
        Configuration_rejected_by_M_NG_RANNode,
        Configuration_rejected_by_M_NG_RANNode_ExtIEs,
        ____SNodeModificationRequest_protocolIEs__item__id_tab,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_19,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_20,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_21,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_22,
        ___SNodeModificationRequest_protocolIEs__item__id,
        ___SNodeModificationRequest_protocolIEs__item__criticality,
        ___SNodeModificationRequest_protocolIEs__item__value,
        __SNodeModificationRequest_protocolIEs__item_,
        _SNodeModificationRequest_protocolIEs,
        SNodeModificationRequest,
        SNodeModificationRequest_IEs,
        _SNodeModificationRequest_IEs_val_Value_0,
        _SNodeModificationRequest_IEs_val_Value_1,
        _SNodeModificationRequest_IEs_val_Value_2,
        _SNodeModificationRequest_IEs_val_Value_3,
        _SNodeModificationRequest_IEs_val_Value_4,
        _SNodeModificationRequest_IEs_val_Value_5,
        _SNodeModificationRequest_IEs_val_Value_6,
        _SNodeModificationRequest_IEs_val_Value_7,
        _SNodeModificationRequest_IEs_val_Value_8,
        _SNodeModificationRequest_IEs_val_Value_9,
        _SNodeModificationRequest_IEs_val_Value_10,
        _SNodeModificationRequest_IEs_val_Value_11,
        _SNodeModificationRequest_IEs_val_Value_12,
        _SNodeModificationRequest_IEs_val_Value_13,
        _SNodeModificationRequest_IEs_val_Value_14,
        _SNodeModificationRequest_IEs_val_Value_15,
        _SNodeModificationRequest_IEs_val_Value_16,
        _SNodeModificationRequest_IEs_val_Value_17,
        _SNodeModificationRequest_IEs_val_Value_18,
        _SNodeModificationRequest_IEs_val_Value_19,
        _SNodeModificationRequest_IEs_val_Value_20,
        _SNodeModificationRequest_IEs_val_Value_21,
        _SNodeModificationRequest_IEs_val_Value_22,
        _UEContextInfo_SNModRequest_ueSecurityCapabilities,
        _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey,
        _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR,
        _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority,
        _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeModified,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased,
        ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__id,
        ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__criticality,
        ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue,
        __UEContextInfo_SNModRequest_iE_Extension__item_,
        _UEContextInfo_SNModRequest_iE_Extension,
        UEContextInfo_SNModRequest,
        UEContextInfo_SNModRequest_ExtIEs,
        _PDUSessionsToBeAdded_SNModRequest_List__item_,
        PDUSessionsToBeAdded_SNModRequest_List,
        _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId,
        _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI,
        _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR,
        _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated,
        _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated,
        ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab,
        _____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue,
        __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_,
        _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension,
        PDUSessionsToBeAdded_SNModRequest_Item,
        PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs,
        _PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs_val_Extension_0,
        _PDUSessionsToBeModified_SNModRequest_List__item_,
        PDUSessionsToBeModified_SNModRequest_List,
        _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId,
        _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR,
        _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated,
        _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated,
        ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab,
        _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_1,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue,
        __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_,
        _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension,
        PDUSessionsToBeModified_SNModRequest_Item,
        PDUSessionsToBeModified_SNModRequest_Item_ExtIEs,
        _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0,
        _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_1,
        _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue,
        __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_,
        _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension,
        PDUSessionsToBeReleased_SNModRequest_List,
        PDUSessionsToBeReleased_SNModRequest_List_ExtIEs,
        RequestedFastMCGRecoveryViaSRB3Release,
        ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_14,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__id,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__value,
        __SNodeModificationRequestAcknowledge_protocolIEs__item_,
        _SNodeModificationRequestAcknowledge_protocolIEs,
        SNodeModificationRequestAcknowledge,
        SNodeModificationRequestAcknowledge_IEs,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_0,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_1,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_2,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_3,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_4,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_5,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_6,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_7,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_8,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_9,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_10,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_11,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_12,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_13,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_14,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionAdmitted_SNModResponse_iE_Extension__item_,
        _PDUSessionAdmitted_SNModResponse_iE_Extension,
        PDUSessionAdmitted_SNModResponse,
        PDUSessionAdmitted_SNModResponse_ExtIEs,
        _PDUSessionAdmittedToBeAddedSNModResponse__item_,
        PDUSessionAdmittedToBeAddedSNModResponse,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension,
        PDUSessionAdmittedToBeAddedSNModResponse_Item,
        PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs,
        _PDUSessionAdmittedToBeModifiedSNModResponse__item_,
        PDUSessionAdmittedToBeModifiedSNModResponse,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension,
        PDUSessionAdmittedToBeModifiedSNModResponse_Item,
        PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs,
        _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated,
        _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_,
        _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension,
        PDUSessionAdmittedToBeReleasedSNModResponse,
        PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs,
        _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_,
        _PDUSessionNotAdmitted_SNModResponse_iE_Extension,
        PDUSessionNotAdmitted_SNModResponse,
        PDUSessionNotAdmitted_SNModResponse_ExtIEs,
        _PDUSessionDataForwarding_SNModResponse_sn_terminated,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue,
        __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_,
        _PDUSessionDataForwarding_SNModResponse_iE_Extensions,
        PDUSessionDataForwarding_SNModResponse,
        PDUSessionDataForwarding_SNModResponse_ExtIEs,
        ReleaseFastMCGRecoveryViaSRB3,
        ____SNodeModificationRequestReject_protocolIEs__item__id_tab,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeModificationRequestReject_protocolIEs__item__id,
        ___SNodeModificationRequestReject_protocolIEs__item__criticality,
        ___SNodeModificationRequestReject_protocolIEs__item__value,
        __SNodeModificationRequestReject_protocolIEs__item_,
        _SNodeModificationRequestReject_protocolIEs,
        SNodeModificationRequestReject,
        SNodeModificationRequestReject_IEs,
        _SNodeModificationRequestReject_IEs_val_Value_0,
        _SNodeModificationRequestReject_IEs_val_Value_1,
        _SNodeModificationRequestReject_IEs_val_Value_2,
        _SNodeModificationRequestReject_IEs_val_Value_3,
        ____SNodeModificationRequired_protocolIEs__item__id_tab,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_14,
        ___SNodeModificationRequired_protocolIEs__item__id,
        ___SNodeModificationRequired_protocolIEs__item__criticality,
        ___SNodeModificationRequired_protocolIEs__item__value,
        __SNodeModificationRequired_protocolIEs__item_,
        _SNodeModificationRequired_protocolIEs,
        SNodeModificationRequired,
        SNodeModificationRequired_IEs,
        _SNodeModificationRequired_IEs_val_Value_0,
        _SNodeModificationRequired_IEs_val_Value_1,
        _SNodeModificationRequired_IEs_val_Value_2,
        _SNodeModificationRequired_IEs_val_Value_3,
        _SNodeModificationRequired_IEs_val_Value_4,
        _SNodeModificationRequired_IEs_val_Value_5,
        _SNodeModificationRequired_IEs_val_Value_6,
        _SNodeModificationRequired_IEs_val_Value_7,
        _SNodeModificationRequired_IEs_val_Value_8,
        _SNodeModificationRequired_IEs_val_Value_9,
        _SNodeModificationRequired_IEs_val_Value_10,
        _SNodeModificationRequired_IEs_val_Value_11,
        _SNodeModificationRequired_IEs_val_Value_12,
        _SNodeModificationRequired_IEs_val_Value_13,
        _SNodeModificationRequired_IEs_val_Value_14,
        _PDUSessionToBeModifiedSNModRequired__item_,
        PDUSessionToBeModifiedSNModRequired,
        _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId,
        _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated,
        _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue,
        __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_,
        _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension,
        PDUSessionToBeModifiedSNModRequired_Item,
        PDUSessionToBeModifiedSNModRequired_Item_ExtIEs,
        _PDUSessionToBeReleasedSNModRequired_sn_terminated,
        _PDUSessionToBeReleasedSNModRequired_mn_terminated,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue,
        __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_,
        _PDUSessionToBeReleasedSNModRequired_iE_Extension,
        PDUSessionToBeReleasedSNModRequired,
        PDUSessionToBeReleasedSNModRequired_ExtIEs,
        ____SNodeModificationConfirm_protocolIEs__item__id_tab,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7,
        ___SNodeModificationConfirm_protocolIEs__item__id,
        ___SNodeModificationConfirm_protocolIEs__item__criticality,
        ___SNodeModificationConfirm_protocolIEs__item__value,
        __SNodeModificationConfirm_protocolIEs__item_,
        _SNodeModificationConfirm_protocolIEs,
        SNodeModificationConfirm,
        SNodeModificationConfirm_IEs,
        _SNodeModificationConfirm_IEs_val_Value_0,
        _SNodeModificationConfirm_IEs_val_Value_1,
        _SNodeModificationConfirm_IEs_val_Value_2,
        _SNodeModificationConfirm_IEs_val_Value_3,
        _SNodeModificationConfirm_IEs_val_Value_4,
        _SNodeModificationConfirm_IEs_val_Value_5,
        _SNodeModificationConfirm_IEs_val_Value_6,
        _SNodeModificationConfirm_IEs_val_Value_7,
        _PDUSessionAdmittedModSNModConfirm__item_,
        PDUSessionAdmittedModSNModConfirm,
        _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId,
        _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated,
        _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_,
        _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension,
        PDUSessionAdmittedModSNModConfirm_Item,
        PDUSessionAdmittedModSNModConfirm_Item_ExtIEs,
        _PDUSessionReleasedSNModConfirm_sn_terminated,
        _PDUSessionReleasedSNModConfirm_mn_terminated,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue,
        __PDUSessionReleasedSNModConfirm_iE_Extension__item_,
        _PDUSessionReleasedSNModConfirm_iE_Extension,
        PDUSessionReleasedSNModConfirm,
        PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs,
        ____SNodeModificationRefuse_protocolIEs__item__id_tab,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4,
        ___SNodeModificationRefuse_protocolIEs__item__id,
        ___SNodeModificationRefuse_protocolIEs__item__criticality,
        ___SNodeModificationRefuse_protocolIEs__item__value,
        __SNodeModificationRefuse_protocolIEs__item_,
        _SNodeModificationRefuse_protocolIEs,
        SNodeModificationRefuse,
        SNodeModificationRefuse_IEs,
        _SNodeModificationRefuse_IEs_val_Value_0,
        _SNodeModificationRefuse_IEs_val_Value_1,
        _SNodeModificationRefuse_IEs_val_Value_2,
        _SNodeModificationRefuse_IEs_val_Value_3,
        _SNodeModificationRefuse_IEs_val_Value_4,
        ____SNodeReleaseRequest_protocolIEs__item__id_tab,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6,
        ___SNodeReleaseRequest_protocolIEs__item__id,
        ___SNodeReleaseRequest_protocolIEs__item__criticality,
        ___SNodeReleaseRequest_protocolIEs__item__value,
        __SNodeReleaseRequest_protocolIEs__item_,
        _SNodeReleaseRequest_protocolIEs,
        SNodeReleaseRequest,
        SNodeReleaseRequest_IEs,
        _SNodeReleaseRequest_IEs_val_Value_0,
        _SNodeReleaseRequest_IEs_val_Value_1,
        _SNodeReleaseRequest_IEs_val_Value_2,
        _SNodeReleaseRequest_IEs_val_Value_3,
        _SNodeReleaseRequest_IEs_val_Value_4,
        _SNodeReleaseRequest_IEs_val_Value_5,
        _SNodeReleaseRequest_IEs_val_Value_6,
        ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value,
        __SNodeReleaseRequestAcknowledge_protocolIEs__item_,
        _SNodeReleaseRequestAcknowledge_protocolIEs,
        SNodeReleaseRequestAcknowledge,
        SNodeReleaseRequestAcknowledge_IEs,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_0,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_1,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_2,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_3,
        _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue,
        __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_,
        _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions,
        PDUSessionToBeReleasedList_RelReqAck,
        PDUSessionToBeReleasedList_RelReqAck_ExtIEs,
        ____SNodeReleaseReject_protocolIEs__item__id_tab,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseReject_protocolIEs__item__id,
        ___SNodeReleaseReject_protocolIEs__item__criticality,
        ___SNodeReleaseReject_protocolIEs__item__value,
        __SNodeReleaseReject_protocolIEs__item_,
        _SNodeReleaseReject_protocolIEs,
        SNodeReleaseReject,
        SNodeReleaseReject_IEs,
        _SNodeReleaseReject_IEs_val_Value_0,
        _SNodeReleaseReject_IEs_val_Value_1,
        _SNodeReleaseReject_IEs_val_Value_2,
        _SNodeReleaseReject_IEs_val_Value_3,
        ____SNodeReleaseRequired_protocolIEs__item__id_tab,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4,
        ___SNodeReleaseRequired_protocolIEs__item__id,
        ___SNodeReleaseRequired_protocolIEs__item__criticality,
        ___SNodeReleaseRequired_protocolIEs__item__value,
        __SNodeReleaseRequired_protocolIEs__item_,
        _SNodeReleaseRequired_protocolIEs,
        SNodeReleaseRequired,
        SNodeReleaseRequired_IEs,
        _SNodeReleaseRequired_IEs_val_Value_0,
        _SNodeReleaseRequired_IEs_val_Value_1,
        _SNodeReleaseRequired_IEs_val_Value_2,
        _SNodeReleaseRequired_IEs_val_Value_3,
        _SNodeReleaseRequired_IEs_val_Value_4,
        _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue,
        __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_,
        _PDUSessionToBeReleasedList_RelRqd_iE_Extensions,
        PDUSessionToBeReleasedList_RelRqd,
        PDUSessionToBeReleasedList_RelRqd_ExtIEs,
        ____SNodeReleaseConfirm_protocolIEs__item__id_tab,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseConfirm_protocolIEs__item__id,
        ___SNodeReleaseConfirm_protocolIEs__item__criticality,
        ___SNodeReleaseConfirm_protocolIEs__item__value,
        __SNodeReleaseConfirm_protocolIEs__item_,
        _SNodeReleaseConfirm_protocolIEs,
        SNodeReleaseConfirm,
        SNodeReleaseConfirm_IEs,
        _SNodeReleaseConfirm_IEs_val_Value_0,
        _SNodeReleaseConfirm_IEs_val_Value_1,
        _SNodeReleaseConfirm_IEs_val_Value_2,
        _SNodeReleaseConfirm_IEs_val_Value_3,
        _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue,
        __PDUSessionReleasedList_RelConf_iE_Extensions__item_,
        _PDUSessionReleasedList_RelConf_iE_Extensions,
        PDUSessionReleasedList_RelConf,
        PDUSessionReleasedList_RelConf_ExtIEs,
        ____SNodeCounterCheckRequest_protocolIEs__item__id_tab,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2,
        ___SNodeCounterCheckRequest_protocolIEs__item__id,
        ___SNodeCounterCheckRequest_protocolIEs__item__criticality,
        ___SNodeCounterCheckRequest_protocolIEs__item__value,
        __SNodeCounterCheckRequest_protocolIEs__item_,
        _SNodeCounterCheckRequest_protocolIEs,
        SNodeCounterCheckRequest,
        SNodeCounterCheckRequest_IEs,
        _SNodeCounterCheckRequest_IEs_val_Value_0,
        _SNodeCounterCheckRequest_IEs_val_Value_1,
        _SNodeCounterCheckRequest_IEs_val_Value_2,
        _BearersSubjectToCounterCheck_List__item_,
        BearersSubjectToCounterCheck_List,
        _BearersSubjectToCounterCheck_Item_drb_ID,
        _BearersSubjectToCounterCheck_Item_ul_count,
        _BearersSubjectToCounterCheck_Item_dl_count,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue,
        __BearersSubjectToCounterCheck_Item_iE_Extensions__item_,
        _BearersSubjectToCounterCheck_Item_iE_Extensions,
        BearersSubjectToCounterCheck_Item,
        BearersSubjectToCounterCheck_Item_ExtIEs,
        ____SNodeChangeRequired_protocolIEs__item__id_tab,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5,
        ___SNodeChangeRequired_protocolIEs__item__id,
        ___SNodeChangeRequired_protocolIEs__item__criticality,
        ___SNodeChangeRequired_protocolIEs__item__value,
        __SNodeChangeRequired_protocolIEs__item_,
        _SNodeChangeRequired_protocolIEs,
        SNodeChangeRequired,
        SNodeChangeRequired_IEs,
        _SNodeChangeRequired_IEs_val_Value_0,
        _SNodeChangeRequired_IEs_val_Value_1,
        _SNodeChangeRequired_IEs_val_Value_2,
        _SNodeChangeRequired_IEs_val_Value_3,
        _SNodeChangeRequired_IEs_val_Value_4,
        _SNodeChangeRequired_IEs_val_Value_5,
        _PDUSession_SNChangeRequired_List__item_,
        PDUSession_SNChangeRequired_List,
        _PDUSession_SNChangeRequired_Item_pduSessionId,
        _PDUSession_SNChangeRequired_Item_sn_terminated,
        _PDUSession_SNChangeRequired_Item_mn_terminated,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue,
        __PDUSession_SNChangeRequired_Item_iE_Extension__item_,
        _PDUSession_SNChangeRequired_Item_iE_Extension,
        PDUSession_SNChangeRequired_Item,
        PDUSession_SNChangeRequired_Item_ExtIEs,
        ____SNodeChangeConfirm_protocolIEs__item__id_tab,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeChangeConfirm_protocolIEs__item__id,
        ___SNodeChangeConfirm_protocolIEs__item__criticality,
        ___SNodeChangeConfirm_protocolIEs__item__value,
        __SNodeChangeConfirm_protocolIEs__item_,
        _SNodeChangeConfirm_protocolIEs,
        SNodeChangeConfirm,
        SNodeChangeConfirm_IEs,
        _SNodeChangeConfirm_IEs_val_Value_0,
        _SNodeChangeConfirm_IEs_val_Value_1,
        _SNodeChangeConfirm_IEs_val_Value_2,
        _SNodeChangeConfirm_IEs_val_Value_3,
        _PDUSession_SNChangeConfirm_List__item_,
        PDUSession_SNChangeConfirm_List,
        _PDUSession_SNChangeConfirm_Item_pduSessionId,
        _PDUSession_SNChangeConfirm_Item_sn_terminated,
        _PDUSession_SNChangeConfirm_Item_mn_terminated,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue,
        __PDUSession_SNChangeConfirm_Item_iE_Extension__item_,
        _PDUSession_SNChangeConfirm_Item_iE_Extension,
        PDUSession_SNChangeConfirm_Item,
        PDUSession_SNChangeConfirm_Item_ExtIEs,
        ____SNodeChangeRefuse_protocolIEs__item__id_tab,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeChangeRefuse_protocolIEs__item__id,
        ___SNodeChangeRefuse_protocolIEs__item__criticality,
        ___SNodeChangeRefuse_protocolIEs__item__value,
        __SNodeChangeRefuse_protocolIEs__item_,
        _SNodeChangeRefuse_protocolIEs,
        SNodeChangeRefuse,
        SNodeChangeRefuse_IEs,
        _SNodeChangeRefuse_IEs_val_Value_0,
        _SNodeChangeRefuse_IEs_val_Value_1,
        _SNodeChangeRefuse_IEs_val_Value_2,
        _SNodeChangeRefuse_IEs_val_Value_3,
        ____RRCTransfer_protocolIEs__item__id_tab,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_4,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_5,
        ___RRCTransfer_protocolIEs__item__id,
        ___RRCTransfer_protocolIEs__item__criticality,
        ___RRCTransfer_protocolIEs__item__value,
        __RRCTransfer_protocolIEs__item_,
        _RRCTransfer_protocolIEs,
        RRCTransfer,
        RRCTransfer_IEs,
        _RRCTransfer_IEs_val_Value_0,
        _RRCTransfer_IEs_val_Value_1,
        _RRCTransfer_IEs_val_Value_2,
        _RRCTransfer_IEs_val_Value_3,
        _RRCTransfer_IEs_val_Value_4,
        _RRCTransfer_IEs_val_Value_5,
        _SplitSRB_RRCTransfer_rrcContainer,
        _SplitSRB_RRCTransfer_srbType,
        _SplitSRB_RRCTransfer_deliveryStatus,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__id,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue,
        __SplitSRB_RRCTransfer_iE_Extensions__item_,
        _SplitSRB_RRCTransfer_iE_Extensions,
        SplitSRB_RRCTransfer,
        SplitSRB_RRCTransfer_ExtIEs,
        _UEReportRRCTransfer_rrcContainer,
        ____UEReportRRCTransfer_iE_Extensions__item__id_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__id,
        ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__criticality,
        ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__extensionValue,
        __UEReportRRCTransfer_iE_Extensions__item_,
        _UEReportRRCTransfer_iE_Extensions,
        UEReportRRCTransfer,
        UEReportRRCTransfer_ExtIEs,
        _FastMCGRecoveryRRCTransfer_rrcContainer,
        ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__id_tab,
        ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__id,
        ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality_tab,
        ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__criticality,
        ____FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue_tab,
        ___FastMCGRecoveryRRCTransfer_iE_Extensions__item__extensionValue,
        __FastMCGRecoveryRRCTransfer_iE_Extensions__item_,
        _FastMCGRecoveryRRCTransfer_iE_Extensions,
        FastMCGRecoveryRRCTransfer,
        FastMCGRecoveryRRCTransfer_ExtIEs,
        ____NotificationControlIndication_protocolIEs__item__id_tab,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2,
        ___NotificationControlIndication_protocolIEs__item__id,
        ___NotificationControlIndication_protocolIEs__item__criticality,
        ___NotificationControlIndication_protocolIEs__item__value,
        __NotificationControlIndication_protocolIEs__item_,
        _NotificationControlIndication_protocolIEs,
        NotificationControlIndication,
        NotificationControlIndication_IEs,
        _NotificationControlIndication_IEs_val_Value_0,
        _NotificationControlIndication_IEs_val_Value_1,
        _NotificationControlIndication_IEs_val_Value_2,
        _PDUSessionResourcesNotifyList__item_,
        PDUSessionResourcesNotifyList,
        _PDUSessionResourcesNotify_Item_pduSessionId,
        _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesNotify_Item_iE_Extensions__item_,
        _PDUSessionResourcesNotify_Item_iE_Extensions,
        PDUSessionResourcesNotify_Item,
        PDUSessionResourcesNotify_Item_ExtIEs,
        ____ActivityNotification_protocolIEs__item__id_tab,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4,
        ___ActivityNotification_protocolIEs__item__id,
        ___ActivityNotification_protocolIEs__item__criticality,
        ___ActivityNotification_protocolIEs__item__value,
        __ActivityNotification_protocolIEs__item_,
        _ActivityNotification_protocolIEs,
        ActivityNotification,
        ActivityNotification_IEs,
        _ActivityNotification_IEs_val_Value_0,
        _ActivityNotification_IEs_val_Value_1,
        _ActivityNotification_IEs_val_Value_2,
        _ActivityNotification_IEs_val_Value_3,
        _ActivityNotification_IEs_val_Value_4,
        _PDUSessionResourcesActivityNotifyList__item_,
        PDUSessionResourcesActivityNotifyList,
        _PDUSessionResourcesActivityNotify_Item_pduSessionId,
        _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport,
        _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_,
        _PDUSessionResourcesActivityNotify_Item_iE_Extensions,
        PDUSessionResourcesActivityNotify_Item,
        PDUSessionResourcesActivityNotify_Item_ExtIEs,
        _QoSFlowsActivityNotifyList__item_,
        QoSFlowsActivityNotifyList,
        _QoSFlowsActivityNotifyItem_qosFlowIdentifier,
        _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue,
        __QoSFlowsActivityNotifyItem_iE_Extensions__item_,
        _QoSFlowsActivityNotifyItem_iE_Extensions,
        QoSFlowsActivityNotifyItem,
        QoSFlowsActivityNotifyItem_ExtIEs,
        ____XnSetupRequest_protocolIEs__item__id_tab,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_6,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_7,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_8,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_9,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_10,
        ___XnSetupRequest_protocolIEs__item__id,
        ___XnSetupRequest_protocolIEs__item__criticality,
        ___XnSetupRequest_protocolIEs__item__value,
        __XnSetupRequest_protocolIEs__item_,
        _XnSetupRequest_protocolIEs,
        XnSetupRequest,
        XnSetupRequest_IEs,
        _XnSetupRequest_IEs_val_Value_0,
        _XnSetupRequest_IEs_val_Value_1,
        _XnSetupRequest_IEs_val_Value_2,
        _XnSetupRequest_IEs_val_Value_3,
        _XnSetupRequest_IEs_val_Value_4,
        _XnSetupRequest_IEs_val_Value_5,
        _XnSetupRequest_IEs_val_Value_6,
        _XnSetupRequest_IEs_val_Value_7,
        _XnSetupRequest_IEs_val_Value_8,
        _XnSetupRequest_IEs_val_Value_9,
        _XnSetupRequest_IEs_val_Value_10,
        ____XnSetupResponse_protocolIEs__item__id_tab,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_7,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_8,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_9,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_10,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_11,
        ___XnSetupResponse_protocolIEs__item__id,
        ___XnSetupResponse_protocolIEs__item__criticality,
        ___XnSetupResponse_protocolIEs__item__value,
        __XnSetupResponse_protocolIEs__item_,
        _XnSetupResponse_protocolIEs,
        XnSetupResponse,
        XnSetupResponse_IEs,
        _XnSetupResponse_IEs_val_Value_0,
        _XnSetupResponse_IEs_val_Value_1,
        _XnSetupResponse_IEs_val_Value_2,
        _XnSetupResponse_IEs_val_Value_3,
        _XnSetupResponse_IEs_val_Value_4,
        _XnSetupResponse_IEs_val_Value_5,
        _XnSetupResponse_IEs_val_Value_6,
        _XnSetupResponse_IEs_val_Value_7,
        _XnSetupResponse_IEs_val_Value_8,
        _XnSetupResponse_IEs_val_Value_9,
        _XnSetupResponse_IEs_val_Value_10,
        _XnSetupResponse_IEs_val_Value_11,
        ____XnSetupFailure_protocolIEs__item__id_tab,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_4,
        ___XnSetupFailure_protocolIEs__item__id,
        ___XnSetupFailure_protocolIEs__item__criticality,
        ___XnSetupFailure_protocolIEs__item__value,
        __XnSetupFailure_protocolIEs__item_,
        _XnSetupFailure_protocolIEs,
        XnSetupFailure,
        XnSetupFailure_IEs,
        _XnSetupFailure_IEs_val_Value_0,
        _XnSetupFailure_IEs_val_Value_1,
        _XnSetupFailure_IEs_val_Value_2,
        _XnSetupFailure_IEs_val_Value_3,
        _XnSetupFailure_IEs_val_Value_4,
        ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_9,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdate_protocolIEs__item_,
        _NGRANNodeConfigurationUpdate_protocolIEs,
        NGRANNodeConfigurationUpdate,
        NGRANNodeConfigurationUpdate_IEs,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_3,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_4,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_5,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_6,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_7,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_8,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_9,
        ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab,
        _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0,
        _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1,
        _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_2,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value,
        __ConfigurationUpdateInitiatingNodeChoice_gNB__item_,
        _ConfigurationUpdateInitiatingNodeChoice_gNB,
        ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab,
        _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0,
        _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1,
        _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_2,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value,
        __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_,
        _ConfigurationUpdateInitiatingNodeChoice_ng_eNB,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value,
        _ConfigurationUpdateInitiatingNodeChoice_choice_extension,
        ConfigurationUpdateInitiatingNodeChoice,
        ServedCellsToUpdateInitiatingNodeChoice_ExtIEs,
        ConfigurationUpdate_gNB,
        _ConfigurationUpdate_gNB_val_Value_0,
        _ConfigurationUpdate_gNB_val_Value_1,
        _ConfigurationUpdate_gNB_val_Value_2,
        ConfigurationUpdate_ng_eNB,
        _ConfigurationUpdate_ng_eNB_val_Value_0,
        _ConfigurationUpdate_ng_eNB_val_Value_1,
        _ConfigurationUpdate_ng_eNB_val_Value_2,
        ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_,
        _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs,
        NGRANNodeConfigurationUpdateAcknowledge,
        NGRANNodeConfigurationUpdateAcknowledge_IEs,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_5,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB,
        _RespondingNodeTypeConfigUpdateAck_gNB,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_id,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_value,
        _RespondingNodeTypeConfigUpdateAck_choice_extension,
        RespondingNodeTypeConfigUpdateAck,
        RespondingNodeTypeConfigUpdateAck_ExtIEs,
        ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab,
        _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_0,
        _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_1,
        _____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab_val_Extension_2,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue,
        __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension,
        RespondingNodeTypeConfigUpdateAck_ng_eNB,
        RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_0,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_1,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs_val_Extension_2,
        _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells,
        ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab,
        _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_0,
        _____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab_val_Extension_1,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue,
        __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_,
        _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension,
        RespondingNodeTypeConfigUpdateAck_gNB,
        RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs,
        _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_0,
        _RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs_val_Extension_1,
        ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_,
        _NGRANNodeConfigurationUpdateFailure_protocolIEs,
        NGRANNodeConfigurationUpdateFailure,
        NGRANNodeConfigurationUpdateFailure_IEs,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3,
        ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab,
        _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value,
        __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_,
        _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs,
        E_UTRA_NR_CellResourceCoordinationRequest,
        E_UTRA_NR_CellResourceCoordinationRequest_IEs,
        _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0,
        _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1,
        _InitiatingNodeType_ResourceCoordRequest_ng_eNB,
        _InitiatingNodeType_ResourceCoordRequest_gNB,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_id,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_value,
        _InitiatingNodeType_ResourceCoordRequest_choice_extension,
        InitiatingNodeType_ResourceCoordRequest,
        InitiatingNodeType_ResourceCoordRequest_ExtIEs,
        _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID,
        __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_,
        _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions,
        ResourceCoordRequest_ng_eNB_initiated,
        ResourceCoordRequest_ng_eNB_initiated_ExtIEs,
        _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication,
        __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordRequest_gNB_initiated_listofE_UTRACells,
        _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID,
        __ResourceCoordRequest_gNB_initiated_listofNRCells__item_,
        _ResourceCoordRequest_gNB_initiated_listofNRCells,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_,
        _ResourceCoordRequest_gNB_initiated_iE_Extensions,
        ResourceCoordRequest_gNB_initiated,
        ResourceCoordRequest_gNB_initiated_ExtIEs,
        ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab,
        _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value,
        __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_,
        _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs,
        E_UTRA_NR_CellResourceCoordinationResponse,
        E_UTRA_NR_CellResourceCoordinationResponse_IEs,
        _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0,
        _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1,
        _RespondingNodeType_ResourceCoordResponse_ng_eNB,
        _RespondingNodeType_ResourceCoordResponse_gNB,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_id,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_value,
        _RespondingNodeType_ResourceCoordResponse_choice_extension,
        RespondingNodeType_ResourceCoordResponse,
        RespondingNodeType_ResourceCoordResponse_ExtIEs,
        _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID,
        __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_,
        _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions,
        ResourceCoordResponse_ng_eNB_initiated,
        ResourceCoordResponse_ng_eNB_initiated_ExtIEs,
        _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID,
        __ResourceCoordResponse_gNB_initiated_listofNRCells__item_,
        _ResourceCoordResponse_gNB_initiated_listofNRCells,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_,
        _ResourceCoordResponse_gNB_initiated_iE_Extensions,
        ResourceCoordResponse_gNB_initiated,
        ResourceCoordResponse_gNB_initiated_ExtIEs,
        ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2,
        ___SecondaryRATDataUsageReport_protocolIEs__item__id,
        ___SecondaryRATDataUsageReport_protocolIEs__item__criticality,
        ___SecondaryRATDataUsageReport_protocolIEs__item__value,
        __SecondaryRATDataUsageReport_protocolIEs__item_,
        _SecondaryRATDataUsageReport_protocolIEs,
        SecondaryRATDataUsageReport,
        SecondaryRATDataUsageReport_IEs,
        _SecondaryRATDataUsageReport_IEs_val_Value_0,
        _SecondaryRATDataUsageReport_IEs_val_Value_1,
        _SecondaryRATDataUsageReport_IEs_val_Value_2,
        ____XnRemovalRequest_protocolIEs__item__id_tab,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalRequest_protocolIEs__item__id,
        ___XnRemovalRequest_protocolIEs__item__criticality,
        ___XnRemovalRequest_protocolIEs__item__value,
        __XnRemovalRequest_protocolIEs__item_,
        _XnRemovalRequest_protocolIEs,
        XnRemovalRequest,
        XnRemovalRequest_IEs,
        _XnRemovalRequest_IEs_val_Value_0,
        _XnRemovalRequest_IEs_val_Value_1,
        _XnRemovalRequest_IEs_val_Value_2,
        ____XnRemovalResponse_protocolIEs__item__id_tab,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalResponse_protocolIEs__item__id,
        ___XnRemovalResponse_protocolIEs__item__criticality,
        ___XnRemovalResponse_protocolIEs__item__value,
        __XnRemovalResponse_protocolIEs__item_,
        _XnRemovalResponse_protocolIEs,
        XnRemovalResponse,
        XnRemovalResponse_IEs,
        _XnRemovalResponse_IEs_val_Value_0,
        _XnRemovalResponse_IEs_val_Value_1,
        _XnRemovalResponse_IEs_val_Value_2,
        ____XnRemovalFailure_protocolIEs__item__id_tab,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalFailure_protocolIEs__item__id,
        ___XnRemovalFailure_protocolIEs__item__criticality,
        ___XnRemovalFailure_protocolIEs__item__value,
        __XnRemovalFailure_protocolIEs__item_,
        _XnRemovalFailure_protocolIEs,
        XnRemovalFailure,
        XnRemovalFailure_IEs,
        _XnRemovalFailure_IEs_val_Value_0,
        _XnRemovalFailure_IEs_val_Value_1,
        _XnRemovalFailure_IEs_val_Value_2,
        ____CellActivationRequest_protocolIEs__item__id_tab,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2,
        ___CellActivationRequest_protocolIEs__item__id,
        ___CellActivationRequest_protocolIEs__item__criticality,
        ___CellActivationRequest_protocolIEs__item__value,
        __CellActivationRequest_protocolIEs__item_,
        _CellActivationRequest_protocolIEs,
        CellActivationRequest,
        CellActivationRequest_IEs,
        _CellActivationRequest_IEs_val_Value_0,
        _CellActivationRequest_IEs_val_Value_1,
        _CellActivationRequest_IEs_val_Value_2,
        __ServedCellsToActivate_nr_cells__item_,
        _ServedCellsToActivate_nr_cells,
        __ServedCellsToActivate_e_utra_cells__item_,
        _ServedCellsToActivate_e_utra_cells,
        ___ServedCellsToActivate_choice_extension_id_tab,
        __ServedCellsToActivate_choice_extension_id,
        ___ServedCellsToActivate_choice_extension_criticality_tab,
        __ServedCellsToActivate_choice_extension_criticality,
        ___ServedCellsToActivate_choice_extension_value_tab,
        __ServedCellsToActivate_choice_extension_value,
        _ServedCellsToActivate_choice_extension,
        ServedCellsToActivate,
        ServedCellsToActivate_ExtIEs,
        ____CellActivationResponse_protocolIEs__item__id_tab,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3,
        ___CellActivationResponse_protocolIEs__item__id,
        ___CellActivationResponse_protocolIEs__item__criticality,
        ___CellActivationResponse_protocolIEs__item__value,
        __CellActivationResponse_protocolIEs__item_,
        _CellActivationResponse_protocolIEs,
        CellActivationResponse,
        CellActivationResponse_IEs,
        _CellActivationResponse_IEs_val_Value_0,
        _CellActivationResponse_IEs_val_Value_1,
        _CellActivationResponse_IEs_val_Value_2,
        _CellActivationResponse_IEs_val_Value_3,
        __ActivatedServedCells_nr_cells__item_,
        _ActivatedServedCells_nr_cells,
        __ActivatedServedCells_e_utra_cells__item_,
        _ActivatedServedCells_e_utra_cells,
        ___ActivatedServedCells_choice_extension_id_tab,
        __ActivatedServedCells_choice_extension_id,
        ___ActivatedServedCells_choice_extension_criticality_tab,
        __ActivatedServedCells_choice_extension_criticality,
        ___ActivatedServedCells_choice_extension_value_tab,
        __ActivatedServedCells_choice_extension_value,
        _ActivatedServedCells_choice_extension,
        ActivatedServedCells,
        ActivatedServedCells_ExtIEs,
        ____CellActivationFailure_protocolIEs__item__id_tab,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3,
        ___CellActivationFailure_protocolIEs__item__id,
        ___CellActivationFailure_protocolIEs__item__criticality,
        ___CellActivationFailure_protocolIEs__item__value,
        __CellActivationFailure_protocolIEs__item_,
        _CellActivationFailure_protocolIEs,
        CellActivationFailure,
        CellActivationFailure_IEs,
        _CellActivationFailure_IEs_val_Value_0,
        _CellActivationFailure_IEs_val_Value_1,
        _CellActivationFailure_IEs_val_Value_2,
        _CellActivationFailure_IEs_val_Value_3,
        ____ResetRequest_protocolIEs__item__id_tab,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_0,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_1,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_2,
        ___ResetRequest_protocolIEs__item__id,
        ___ResetRequest_protocolIEs__item__criticality,
        ___ResetRequest_protocolIEs__item__value,
        __ResetRequest_protocolIEs__item_,
        _ResetRequest_protocolIEs,
        ResetRequest,
        ResetRequest_IEs,
        _ResetRequest_IEs_val_Value_0,
        _ResetRequest_IEs_val_Value_1,
        _ResetRequest_IEs_val_Value_2,
        ____ResetResponse_protocolIEs__item__id_tab,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_0,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_1,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_2,
        ___ResetResponse_protocolIEs__item__id,
        ___ResetResponse_protocolIEs__item__criticality,
        ___ResetResponse_protocolIEs__item__value,
        __ResetResponse_protocolIEs__item_,
        _ResetResponse_protocolIEs,
        ResetResponse,
        ResetResponse_IEs,
        _ResetResponse_IEs_val_Value_0,
        _ResetResponse_IEs_val_Value_1,
        _ResetResponse_IEs_val_Value_2,
        ____ErrorIndication_protocolIEs__item__id_tab,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4,
        ___ErrorIndication_protocolIEs__item__id,
        ___ErrorIndication_protocolIEs__item__criticality,
        ___ErrorIndication_protocolIEs__item__value,
        __ErrorIndication_protocolIEs__item_,
        _ErrorIndication_protocolIEs,
        ErrorIndication,
        ErrorIndication_IEs,
        _ErrorIndication_IEs_val_Value_0,
        _ErrorIndication_IEs_val_Value_1,
        _ErrorIndication_IEs_val_Value_2,
        _ErrorIndication_IEs_val_Value_3,
        _ErrorIndication_IEs_val_Value_4,
        ____PrivateMessage_privateIEs__item__id_tab,
        ___PrivateMessage_privateIEs__item__id,
        ____PrivateMessage_privateIEs__item__criticality_tab,
        ___PrivateMessage_privateIEs__item__criticality,
        ____PrivateMessage_privateIEs__item__value_tab,
        ___PrivateMessage_privateIEs__item__value,
        __PrivateMessage_privateIEs__item_,
        _PrivateMessage_privateIEs,
        PrivateMessage,
        PrivateMessage_IEs,
        ____TraceStart_protocolIEs__item__id_tab,
        _____TraceStart_protocolIEs__item__id_tab_val_Value_0,
        _____TraceStart_protocolIEs__item__id_tab_val_Value_1,
        _____TraceStart_protocolIEs__item__id_tab_val_Value_2,
        ___TraceStart_protocolIEs__item__id,
        ___TraceStart_protocolIEs__item__criticality,
        ___TraceStart_protocolIEs__item__value,
        __TraceStart_protocolIEs__item_,
        _TraceStart_protocolIEs,
        TraceStart,
        TraceStartIEs,
        _TraceStartIEs_val_Value_0,
        _TraceStartIEs_val_Value_1,
        _TraceStartIEs_val_Value_2,
        ____DeactivateTrace_protocolIEs__item__id_tab,
        _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_0,
        _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_1,
        _____DeactivateTrace_protocolIEs__item__id_tab_val_Value_2,
        ___DeactivateTrace_protocolIEs__item__id,
        ___DeactivateTrace_protocolIEs__item__criticality,
        ___DeactivateTrace_protocolIEs__item__value,
        __DeactivateTrace_protocolIEs__item_,
        _DeactivateTrace_protocolIEs,
        DeactivateTrace,
        DeactivateTraceIEs,
        _DeactivateTraceIEs_val_Value_0,
        _DeactivateTraceIEs_val_Value_1,
        _DeactivateTraceIEs_val_Value_2,
        ____FailureIndication_protocolIEs__item__id_tab,
        _____FailureIndication_protocolIEs__item__id_tab_val_Value_0,
        ___FailureIndication_protocolIEs__item__id,
        ___FailureIndication_protocolIEs__item__criticality,
        ___FailureIndication_protocolIEs__item__value,
        __FailureIndication_protocolIEs__item_,
        _FailureIndication_protocolIEs,
        FailureIndication,
        FailureIndication_IEs,
        _FailureIndication_IEs_val_Value_0,
        ____HandoverReport_protocolIEs__item__id_tab,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_3,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_4,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_5,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_6,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_7,
        _____HandoverReport_protocolIEs__item__id_tab_val_Value_8,
        ___HandoverReport_protocolIEs__item__id,
        ___HandoverReport_protocolIEs__item__criticality,
        ___HandoverReport_protocolIEs__item__value,
        __HandoverReport_protocolIEs__item_,
        _HandoverReport_protocolIEs,
        HandoverReport,
        HandoverReport_IEs,
        _HandoverReport_IEs_val_Value_0,
        _HandoverReport_IEs_val_Value_1,
        _HandoverReport_IEs_val_Value_2,
        _HandoverReport_IEs_val_Value_3,
        _HandoverReport_IEs_val_Value_4,
        _HandoverReport_IEs_val_Value_5,
        _HandoverReport_IEs_val_Value_6,
        _HandoverReport_IEs_val_Value_7,
        _HandoverReport_IEs_val_Value_8,
        ____ResourceStatusRequest_protocolIEs__item__id_tab,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_0,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_1,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_2,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_3,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_4,
        _____ResourceStatusRequest_protocolIEs__item__id_tab_val_Value_5,
        ___ResourceStatusRequest_protocolIEs__item__id,
        ___ResourceStatusRequest_protocolIEs__item__criticality,
        ___ResourceStatusRequest_protocolIEs__item__value,
        __ResourceStatusRequest_protocolIEs__item_,
        _ResourceStatusRequest_protocolIEs,
        ResourceStatusRequest,
        ResourceStatusRequest_IEs,
        _ResourceStatusRequest_IEs_val_Value_0,
        _ResourceStatusRequest_IEs_val_Value_1,
        _ResourceStatusRequest_IEs_val_Value_2,
        _ResourceStatusRequest_IEs_val_Value_3,
        _ResourceStatusRequest_IEs_val_Value_4,
        _ResourceStatusRequest_IEs_val_Value_5,
        ____ResourceStatusResponse_protocolIEs__item__id_tab,
        _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_0,
        _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_1,
        _____ResourceStatusResponse_protocolIEs__item__id_tab_val_Value_2,
        ___ResourceStatusResponse_protocolIEs__item__id,
        ___ResourceStatusResponse_protocolIEs__item__criticality,
        ___ResourceStatusResponse_protocolIEs__item__value,
        __ResourceStatusResponse_protocolIEs__item_,
        _ResourceStatusResponse_protocolIEs,
        ResourceStatusResponse,
        ResourceStatusResponse_IEs,
        _ResourceStatusResponse_IEs_val_Value_0,
        _ResourceStatusResponse_IEs_val_Value_1,
        _ResourceStatusResponse_IEs_val_Value_2,
        ____ResourceStatusFailure_protocolIEs__item__id_tab,
        _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_0,
        _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_1,
        _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_2,
        _____ResourceStatusFailure_protocolIEs__item__id_tab_val_Value_3,
        ___ResourceStatusFailure_protocolIEs__item__id,
        ___ResourceStatusFailure_protocolIEs__item__criticality,
        ___ResourceStatusFailure_protocolIEs__item__value,
        __ResourceStatusFailure_protocolIEs__item_,
        _ResourceStatusFailure_protocolIEs,
        ResourceStatusFailure,
        ResourceStatusFailure_IEs,
        _ResourceStatusFailure_IEs_val_Value_0,
        _ResourceStatusFailure_IEs_val_Value_1,
        _ResourceStatusFailure_IEs_val_Value_2,
        _ResourceStatusFailure_IEs_val_Value_3,
        ____ResourceStatusUpdate_protocolIEs__item__id_tab,
        _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_0,
        _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_1,
        _____ResourceStatusUpdate_protocolIEs__item__id_tab_val_Value_2,
        ___ResourceStatusUpdate_protocolIEs__item__id,
        ___ResourceStatusUpdate_protocolIEs__item__criticality,
        ___ResourceStatusUpdate_protocolIEs__item__value,
        __ResourceStatusUpdate_protocolIEs__item_,
        _ResourceStatusUpdate_protocolIEs,
        ResourceStatusUpdate,
        ResourceStatusUpdate_IEs,
        _ResourceStatusUpdate_IEs_val_Value_0,
        _ResourceStatusUpdate_IEs_val_Value_1,
        _ResourceStatusUpdate_IEs_val_Value_2,
        ____MobilityChangeRequest_protocolIEs__item__id_tab,
        _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_0,
        _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_1,
        _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_2,
        _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_3,
        _____MobilityChangeRequest_protocolIEs__item__id_tab_val_Value_4,
        ___MobilityChangeRequest_protocolIEs__item__id,
        ___MobilityChangeRequest_protocolIEs__item__criticality,
        ___MobilityChangeRequest_protocolIEs__item__value,
        __MobilityChangeRequest_protocolIEs__item_,
        _MobilityChangeRequest_protocolIEs,
        MobilityChangeRequest,
        MobilityChangeRequest_IEs,
        _MobilityChangeRequest_IEs_val_Value_0,
        _MobilityChangeRequest_IEs_val_Value_1,
        _MobilityChangeRequest_IEs_val_Value_2,
        _MobilityChangeRequest_IEs_val_Value_3,
        _MobilityChangeRequest_IEs_val_Value_4,
        ____MobilityChangeAcknowledge_protocolIEs__item__id_tab,
        _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____MobilityChangeAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        ___MobilityChangeAcknowledge_protocolIEs__item__id,
        ___MobilityChangeAcknowledge_protocolIEs__item__criticality,
        ___MobilityChangeAcknowledge_protocolIEs__item__value,
        __MobilityChangeAcknowledge_protocolIEs__item_,
        _MobilityChangeAcknowledge_protocolIEs,
        MobilityChangeAcknowledge,
        MobilityChangeAcknowledge_IEs,
        _MobilityChangeAcknowledge_IEs_val_Value_0,
        _MobilityChangeAcknowledge_IEs_val_Value_1,
        _MobilityChangeAcknowledge_IEs_val_Value_2,
        ____MobilityChangeFailure_protocolIEs__item__id_tab,
        _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_0,
        _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_1,
        _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_2,
        _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_3,
        _____MobilityChangeFailure_protocolIEs__item__id_tab_val_Value_4,
        ___MobilityChangeFailure_protocolIEs__item__id,
        ___MobilityChangeFailure_protocolIEs__item__criticality,
        ___MobilityChangeFailure_protocolIEs__item__value,
        __MobilityChangeFailure_protocolIEs__item_,
        _MobilityChangeFailure_protocolIEs,
        MobilityChangeFailure,
        MobilityChangeFailure_IEs,
        _MobilityChangeFailure_IEs_val_Value_0,
        _MobilityChangeFailure_IEs_val_Value_1,
        _MobilityChangeFailure_IEs_val_Value_2,
        _MobilityChangeFailure_IEs_val_Value_3,
        _MobilityChangeFailure_IEs_val_Value_4,
        ____AccessAndMobilityIndication_protocolIEs__item__id_tab,
        _____AccessAndMobilityIndication_protocolIEs__item__id_tab_val_Value_0,
        ___AccessAndMobilityIndication_protocolIEs__item__id,
        ___AccessAndMobilityIndication_protocolIEs__item__criticality,
        ___AccessAndMobilityIndication_protocolIEs__item__value,
        __AccessAndMobilityIndication_protocolIEs__item_,
        _AccessAndMobilityIndication_protocolIEs,
        AccessAndMobilityIndication,
        AccessAndMobilityIndication_IEs,
        _AccessAndMobilityIndication_IEs_val_Value_0,
    ]

class XnAP_PDU_Descriptions:

    _name_  = 'XnAP-PDU-Descriptions'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 0]
    
    _obj_ = [
        'XNAP-ELEMENTARY-PROCEDURE',
        'XnAP-PDU',
        'InitiatingMessage',
        'SuccessfulOutcome',
        'UnsuccessfulOutcome',
        'XNAP-ELEMENTARY-PROCEDURES',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        'handoverPreparation',
        'sNStatusTransfer',
        'handoverCancel',
        'retrieveUEContext',
        'rANPaging',
        'xnUAddressIndication',
        'uEContextRelease',
        'sNGRANnodeAdditionPreparation',
        'sNGRANnodeReconfigurationCompletion',
        'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'mNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeCounterCheck',
        'sNGRANnodeChange',
        'rRCTransfer',
        'xnRemoval',
        'xnSetup',
        'nGRANnodeConfigurationUpdate',
        'e-UTRA-NR-CellResourceCoordination',
        'cellActivation',
        'reset',
        'errorIndication',
        'notificationControl',
        'activityNotification',
        'privateMessage',
        'secondaryRATDataUsageReport',
        'deactivateTrace',
        'traceStart',
        'handoverSuccess',
        'conditionalHandoverCancel',
        'earlyStatusTransfer',
        'failureIndication',
        'handoverReport',
        'resourceStatusReportingInitiation',
        'resourceStatusReporting',
        'mobilitySettingsChange',
        'accessAndMobilityIndication',
        ]
    _type_ = [
        'XNAP-ELEMENTARY-PROCEDURE',
        'XnAP-PDU',
        'InitiatingMessage',
        'SuccessfulOutcome',
        'UnsuccessfulOutcome',
        ]
    _set_ = [
        'XNAP-ELEMENTARY-PROCEDURES',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        ]
    _val_ = [
        'handoverPreparation',
        'sNStatusTransfer',
        'handoverCancel',
        'retrieveUEContext',
        'rANPaging',
        'xnUAddressIndication',
        'uEContextRelease',
        'sNGRANnodeAdditionPreparation',
        'sNGRANnodeReconfigurationCompletion',
        'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'mNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeCounterCheck',
        'sNGRANnodeChange',
        'rRCTransfer',
        'xnRemoval',
        'xnSetup',
        'nGRANnodeConfigurationUpdate',
        'e-UTRA-NR-CellResourceCoordination',
        'cellActivation',
        'reset',
        'errorIndication',
        'notificationControl',
        'activityNotification',
        'privateMessage',
        'secondaryRATDataUsageReport',
        'deactivateTrace',
        'traceStart',
        'handoverSuccess',
        'conditionalHandoverCancel',
        'earlyStatusTransfer',
        'failureIndication',
        'handoverReport',
        'resourceStatusReportingInitiation',
        'resourceStatusReporting',
        'mobilitySettingsChange',
        'accessAndMobilityIndication',
        ]
    _class_ = [
        'XNAP-ELEMENTARY-PROCEDURE',
        'XNAP-ELEMENTARY-PROCEDURES',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        'handoverPreparation',
        'sNStatusTransfer',
        'handoverCancel',
        'retrieveUEContext',
        'rANPaging',
        'xnUAddressIndication',
        'uEContextRelease',
        'sNGRANnodeAdditionPreparation',
        'sNGRANnodeReconfigurationCompletion',
        'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        'mNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeinitiatedSNGRANnodeRelease',
        'sNGRANnodeCounterCheck',
        'sNGRANnodeChange',
        'rRCTransfer',
        'xnRemoval',
        'xnSetup',
        'nGRANnodeConfigurationUpdate',
        'e-UTRA-NR-CellResourceCoordination',
        'cellActivation',
        'reset',
        'errorIndication',
        'notificationControl',
        'activityNotification',
        'privateMessage',
        'secondaryRATDataUsageReport',
        'deactivateTrace',
        'traceStart',
        'handoverSuccess',
        'conditionalHandoverCancel',
        'earlyStatusTransfer',
        'failureIndication',
        'handoverReport',
        'resourceStatusReportingInitiation',
        'resourceStatusReporting',
        'mobilitySettingsChange',
        'accessAndMobilityIndication',
        ]
    _param_ = [
        ]
    
    #-----< XNAP-ELEMENTARY-PROCEDURE >-----#
    XNAP_ELEMENTARY_PROCEDURE = CLASS(name='XNAP-ELEMENTARY-PROCEDURE', mode=MODE_TYPE)
    _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage = OPEN(name='InitiatingMessage', mode=MODE_TYPE)
    _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome = OPEN(name='SuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome = OPEN(name='UnsuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _XNAP_ELEMENTARY_PROCEDURE_procedureCode = INT(name='procedureCode', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')), uniq=True)
    _XNAP_ELEMENTARY_PROCEDURE_criticality = ENUM(name='criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')), default='ignore')
    XNAP_ELEMENTARY_PROCEDURE._cont = ASN1Dict([
        ('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage),
        ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome),
        ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome),
        ('procedureCode', _XNAP_ELEMENTARY_PROCEDURE_procedureCode),
        ('criticality', _XNAP_ELEMENTARY_PROCEDURE_criticality),
        ])
    
    #-----< XnAP-PDU >-----#
    XnAP_PDU = CHOICE(name='XnAP-PDU', mode=MODE_TYPE)
    _XnAP_PDU_initiatingMessage = SEQ(name='initiatingMessage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'InitiatingMessage')))
    _XnAP_PDU_successfulOutcome = SEQ(name='successfulOutcome', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'SuccessfulOutcome')))
    _XnAP_PDU_unsuccessfulOutcome = SEQ(name='unsuccessfulOutcome', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'UnsuccessfulOutcome')))
    XnAP_PDU._cont = ASN1Dict([
        ('initiatingMessage', _XnAP_PDU_initiatingMessage),
        ('successfulOutcome', _XnAP_PDU_successfulOutcome),
        ('unsuccessfulOutcome', _XnAP_PDU_unsuccessfulOutcome),
        ])
    XnAP_PDU._ext = []
    
    #-----< InitiatingMessage >-----#
    InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE)
    _InitiatingMessage_procedureCode = INT(name='procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['procedureCode']))
    __InitiatingMessage_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_14 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_14 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_15 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_15 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_27 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_28 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_29 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_30 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_31 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_32 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_33 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_34 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_35 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_36 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_37 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    __InitiatingMessage_procedureCode_tab._val = ASN1Set(rv=[dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0), ('procedureCode', 0), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1), ('procedureCode', 3), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2), ('procedureCode', 7), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3), ('procedureCode', 9), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4), ('procedureCode', 10), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5), ('procedureCode', 11), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6), ('procedureCode', 12), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7), ('procedureCode', 14), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8), ('procedureCode', 16), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9), ('procedureCode', 17), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10), ('procedureCode', 18), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11), ('procedureCode', 25), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12), ('procedureCode', 19), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13), ('procedureCode', 20), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_14), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_14), ('procedureCode', 34), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15), ('SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_15), ('UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_15), ('procedureCode', 36), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16), ('procedureCode', 1), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17), ('procedureCode', 2), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18), ('procedureCode', 4), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19), ('procedureCode', 5), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20), ('procedureCode', 6), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21), ('procedureCode', 8), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22), ('procedureCode', 13), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23), ('procedureCode', 15), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24), ('procedureCode', 21), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25), ('procedureCode', 22), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26), ('procedureCode', 23), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_27), ('procedureCode', 24), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_28), ('procedureCode', 26), ('criticality', 'reject')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_29), ('procedureCode', 27), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_30), ('procedureCode', 28), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_31), ('procedureCode', 29), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_32), ('procedureCode', 30), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_33), ('procedureCode', 31), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_34), ('procedureCode', 32), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_35), ('procedureCode', 33), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_36), ('procedureCode', 35), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_37), ('procedureCode', 37), ('criticality', 'ignore')])], rr=[], ev=None, er=[])
    _InitiatingMessage_procedureCode._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_procedureCode._const_tab_at = None
    _InitiatingMessage_procedureCode._const_tab_id = 'procedureCode'
    _InitiatingMessage_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['criticality']))
    _InitiatingMessage_criticality._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_criticality._const_tab_at = ('..', 'procedureCode')
    _InitiatingMessage_criticality._const_tab_id = 'criticality'
    _InitiatingMessage_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['InitiatingMessage']))
    _InitiatingMessage_value._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_value._const_tab_at = ('..', 'procedureCode')
    _InitiatingMessage_value._const_tab_id = 'InitiatingMessage'
    InitiatingMessage._cont = ASN1Dict([
        ('procedureCode', _InitiatingMessage_procedureCode),
        ('criticality', _InitiatingMessage_criticality),
        ('value', _InitiatingMessage_value),
        ])
    InitiatingMessage._ext = None
    
    #-----< SuccessfulOutcome >-----#
    SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE)
    _SuccessfulOutcome_procedureCode = INT(name='procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['procedureCode']))
    __SuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    __SuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), ('procedureCode', 0), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), ('procedureCode', 3), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), ('procedureCode', 7), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), ('procedureCode', 9), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), ('procedureCode', 10), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5), ('procedureCode', 11), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), ('procedureCode', 12), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), ('procedureCode', 14), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8), ('procedureCode', 16), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9), ('procedureCode', 17), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10), ('procedureCode', 18), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11), ('procedureCode', 25), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12), ('procedureCode', 19), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13), ('procedureCode', 20), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14), ('procedureCode', 34), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), ('SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15), ('UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15), ('procedureCode', 36), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), ('procedureCode', 1), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), ('procedureCode', 2), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), ('procedureCode', 4), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), ('procedureCode', 5), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20), ('procedureCode', 6), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21), ('procedureCode', 8), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22), ('procedureCode', 13), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23), ('procedureCode', 15), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24), ('procedureCode', 21), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25), ('procedureCode', 22), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26), ('procedureCode', 23), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27), ('procedureCode', 24), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28), ('procedureCode', 26), ('criticality', 'reject')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29), ('procedureCode', 27), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30), ('procedureCode', 28), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31), ('procedureCode', 29), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32), ('procedureCode', 30), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33), ('procedureCode', 31), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34), ('procedureCode', 32), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35), ('procedureCode', 33), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36), ('procedureCode', 35), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37), ('procedureCode', 37), ('criticality', 'ignore')])], rr=[], ev=None, er=[])
    _SuccessfulOutcome_procedureCode._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_procedureCode._const_tab_at = None
    _SuccessfulOutcome_procedureCode._const_tab_id = 'procedureCode'
    _SuccessfulOutcome_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['criticality']))
    _SuccessfulOutcome_criticality._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_criticality._const_tab_at = ('..', 'procedureCode')
    _SuccessfulOutcome_criticality._const_tab_id = 'criticality'
    _SuccessfulOutcome_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['SuccessfulOutcome']))
    _SuccessfulOutcome_value._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_value._const_tab_at = ('..', 'procedureCode')
    _SuccessfulOutcome_value._const_tab_id = 'SuccessfulOutcome'
    SuccessfulOutcome._cont = ASN1Dict([
        ('procedureCode', _SuccessfulOutcome_procedureCode),
        ('criticality', _SuccessfulOutcome_criticality),
        ('value', _SuccessfulOutcome_value),
        ])
    SuccessfulOutcome._ext = None
    
    #-----< UnsuccessfulOutcome >-----#
    UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE)
    _UnsuccessfulOutcome_procedureCode = INT(name='procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['procedureCode']))
    __UnsuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    __UnsuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), ('procedureCode', 0), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), ('procedureCode', 3), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), ('procedureCode', 7), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), ('procedureCode', 9), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), ('procedureCode', 10), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5), ('procedureCode', 11), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), ('procedureCode', 12), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), ('procedureCode', 14), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8), ('procedureCode', 16), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9), ('procedureCode', 17), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10), ('procedureCode', 18), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11), ('procedureCode', 25), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12), ('procedureCode', 19), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13), ('procedureCode', 20), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14), ('procedureCode', 34), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), ('SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15), ('UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15), ('procedureCode', 36), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), ('procedureCode', 1), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), ('procedureCode', 2), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), ('procedureCode', 4), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), ('procedureCode', 5), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20), ('procedureCode', 6), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21), ('procedureCode', 8), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22), ('procedureCode', 13), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23), ('procedureCode', 15), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24), ('procedureCode', 21), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25), ('procedureCode', 22), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26), ('procedureCode', 23), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27), ('procedureCode', 24), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28), ('procedureCode', 26), ('criticality', 'reject')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29), ('procedureCode', 27), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30), ('procedureCode', 28), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31), ('procedureCode', 29), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32), ('procedureCode', 30), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33), ('procedureCode', 31), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34), ('procedureCode', 32), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35), ('procedureCode', 33), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36), ('procedureCode', 35), ('criticality', 'ignore')]), dict([('InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37), ('procedureCode', 37), ('criticality', 'ignore')])], rr=[], ev=None, er=[])
    _UnsuccessfulOutcome_procedureCode._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_procedureCode._const_tab_at = None
    _UnsuccessfulOutcome_procedureCode._const_tab_id = 'procedureCode'
    _UnsuccessfulOutcome_criticality = ENUM(name='criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['criticality']))
    _UnsuccessfulOutcome_criticality._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_criticality._const_tab_at = ('..', 'procedureCode')
    _UnsuccessfulOutcome_criticality._const_tab_id = 'criticality'
    _UnsuccessfulOutcome_value = OPEN(name='value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), ['UnsuccessfulOutcome']))
    _UnsuccessfulOutcome_value._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_value._const_tab_at = ('..', 'procedureCode')
    _UnsuccessfulOutcome_value._const_tab_id = 'UnsuccessfulOutcome'
    UnsuccessfulOutcome._cont = ASN1Dict([
        ('procedureCode', _UnsuccessfulOutcome_procedureCode),
        ('criticality', _UnsuccessfulOutcome_criticality),
        ('value', _UnsuccessfulOutcome_value),
        ])
    UnsuccessfulOutcome._ext = None
    
    #-----< XNAP-ELEMENTARY-PROCEDURES >-----#
    XNAP_ELEMENTARY_PROCEDURES = CLASS(name='XNAP-ELEMENTARY-PROCEDURES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_14 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_14 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_15 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_15 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_27 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_28 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_29 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_30 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_31 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_32 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_33 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_34 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_35 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_36 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_37 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    XNAP_ELEMENTARY_PROCEDURES._val = ASN1Set(rv=[dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0), ('procedureCode', 0), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1), ('procedureCode', 3), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2), ('procedureCode', 7), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3), ('procedureCode', 9), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4), ('procedureCode', 10), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5), ('procedureCode', 11), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6), ('procedureCode', 12), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7), ('procedureCode', 14), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8), ('procedureCode', 16), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9), ('procedureCode', 17), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10), ('procedureCode', 18), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11), ('procedureCode', 25), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12), ('procedureCode', 19), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13), ('procedureCode', 20), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_14), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_14), ('procedureCode', 34), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_15), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_15), ('procedureCode', 36), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16), ('procedureCode', 1), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17), ('procedureCode', 2), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18), ('procedureCode', 4), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19), ('procedureCode', 5), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20), ('procedureCode', 6), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21), ('procedureCode', 8), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22), ('procedureCode', 13), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23), ('procedureCode', 15), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24), ('procedureCode', 21), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25), ('procedureCode', 22), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26), ('procedureCode', 23), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_27), ('procedureCode', 24), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_28), ('procedureCode', 26), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_29), ('procedureCode', 27), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_30), ('procedureCode', 28), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_31), ('procedureCode', 29), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_32), ('procedureCode', 30), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_33), ('procedureCode', 31), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_34), ('procedureCode', 32), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_35), ('procedureCode', 33), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_36), ('procedureCode', 35), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_37), ('procedureCode', 37), ('criticality', 'ignore')])], rr=[], ev=[], er=[])
    
    #-----< XNAP-ELEMENTARY-PROCEDURES-CLASS-1 >-----#
    XNAP_ELEMENTARY_PROCEDURES_CLASS_1 = CLASS(name='XNAP-ELEMENTARY-PROCEDURES-CLASS-1', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_14 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_14 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_15 = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_15 = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    XNAP_ELEMENTARY_PROCEDURES_CLASS_1._val = ASN1Set(rv=[dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0), ('procedureCode', 0), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1), ('procedureCode', 3), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2), ('procedureCode', 7), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3), ('procedureCode', 9), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4), ('procedureCode', 10), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5), ('procedureCode', 11), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6), ('procedureCode', 12), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7), ('procedureCode', 14), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8), ('procedureCode', 16), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9), ('procedureCode', 17), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10), ('procedureCode', 18), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11), ('procedureCode', 25), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12), ('procedureCode', 19), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13), ('procedureCode', 20), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_14), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_14), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_14), ('procedureCode', 34), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_15), ('SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_15), ('UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_15), ('procedureCode', 36), ('criticality', 'reject')])], rr=[], ev=[], er=[])
    
    #-----< XNAP-ELEMENTARY-PROCEDURES-CLASS-2 >-----#
    XNAP_ELEMENTARY_PROCEDURES_CLASS_2 = CLASS(name='XNAP-ELEMENTARY-PROCEDURES-CLASS-2', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_13 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_14 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_15 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_16 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_17 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_18 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_19 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_20 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_21 = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    XNAP_ELEMENTARY_PROCEDURES_CLASS_2._val = ASN1Set(rv=[dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0), ('procedureCode', 1), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1), ('procedureCode', 2), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2), ('procedureCode', 4), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3), ('procedureCode', 5), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4), ('procedureCode', 6), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5), ('procedureCode', 8), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6), ('procedureCode', 13), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7), ('procedureCode', 15), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8), ('procedureCode', 21), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9), ('procedureCode', 22), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10), ('procedureCode', 23), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11), ('procedureCode', 24), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12), ('procedureCode', 26), ('criticality', 'reject')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_13), ('procedureCode', 27), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_14), ('procedureCode', 28), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_15), ('procedureCode', 29), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_16), ('procedureCode', 30), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_17), ('procedureCode', 31), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_18), ('procedureCode', 32), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_19), ('procedureCode', 33), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_20), ('procedureCode', 35), ('criticality', 'ignore')]), dict([('InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_21), ('procedureCode', 37), ('criticality', 'ignore')])], rr=[], ev=[], er=[])
    
    #-----< handoverPreparation >-----#
    handoverPreparation = CLASS(name='handoverPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverPreparation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _handoverPreparation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _handoverPreparation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    handoverPreparation._val = dict([('InitiatingMessage', _handoverPreparation_val_InitiatingMessage), ('SuccessfulOutcome', _handoverPreparation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _handoverPreparation_val_UnsuccessfulOutcome), ('procedureCode', 0), ('criticality', 'reject')])
    
    #-----< sNStatusTransfer >-----#
    sNStatusTransfer = CLASS(name='sNStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNStatusTransfer_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    sNStatusTransfer._val = dict([('InitiatingMessage', _sNStatusTransfer_val_InitiatingMessage), ('procedureCode', 1), ('criticality', 'ignore')])
    
    #-----< handoverCancel >-----#
    handoverCancel = CLASS(name='handoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverCancel_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    handoverCancel._val = dict([('InitiatingMessage', _handoverCancel_val_InitiatingMessage), ('procedureCode', 2), ('criticality', 'ignore')])
    
    #-----< retrieveUEContext >-----#
    retrieveUEContext = CLASS(name='retrieveUEContext', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _retrieveUEContext_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _retrieveUEContext_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _retrieveUEContext_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    retrieveUEContext._val = dict([('InitiatingMessage', _retrieveUEContext_val_InitiatingMessage), ('SuccessfulOutcome', _retrieveUEContext_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _retrieveUEContext_val_UnsuccessfulOutcome), ('procedureCode', 3), ('criticality', 'reject')])
    
    #-----< rANPaging >-----#
    rANPaging = CLASS(name='rANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _rANPaging_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    rANPaging._val = dict([('InitiatingMessage', _rANPaging_val_InitiatingMessage), ('procedureCode', 4), ('criticality', 'reject')])
    
    #-----< xnUAddressIndication >-----#
    xnUAddressIndication = CLASS(name='xnUAddressIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnUAddressIndication_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    xnUAddressIndication._val = dict([('InitiatingMessage', _xnUAddressIndication_val_InitiatingMessage), ('procedureCode', 5), ('criticality', 'reject')])
    
    #-----< uEContextRelease >-----#
    uEContextRelease = CLASS(name='uEContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _uEContextRelease_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    uEContextRelease._val = dict([('InitiatingMessage', _uEContextRelease_val_InitiatingMessage), ('procedureCode', 6), ('criticality', 'reject')])
    
    #-----< sNGRANnodeAdditionPreparation >-----#
    sNGRANnodeAdditionPreparation = CLASS(name='sNGRANnodeAdditionPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeAdditionPreparation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    sNGRANnodeAdditionPreparation._val = dict([('InitiatingMessage', _sNGRANnodeAdditionPreparation_val_InitiatingMessage), ('SuccessfulOutcome', _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome), ('procedureCode', 7), ('criticality', 'reject')])
    
    #-----< sNGRANnodeReconfigurationCompletion >-----#
    sNGRANnodeReconfigurationCompletion = CLASS(name='sNGRANnodeReconfigurationCompletion', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    sNGRANnodeReconfigurationCompletion._val = dict([('InitiatingMessage', _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage), ('procedureCode', 8), ('criticality', 'reject')])
    
    #-----< mNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    mNGRANnodeinitiatedSNGRANnodeModificationPreparation = CLASS(name='mNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    mNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = dict([('InitiatingMessage', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage), ('SuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome), ('procedureCode', 9), ('criticality', 'reject')])
    
    #-----< sNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    sNGRANnodeinitiatedSNGRANnodeModificationPreparation = CLASS(name='sNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    sNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = dict([('InitiatingMessage', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage), ('SuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome), ('procedureCode', 10), ('criticality', 'reject')])
    
    #-----< mNGRANnodeinitiatedSNGRANnodeRelease >-----#
    mNGRANnodeinitiatedSNGRANnodeRelease = CLASS(name='mNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    mNGRANnodeinitiatedSNGRANnodeRelease._val = dict([('InitiatingMessage', _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage), ('SuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome), ('procedureCode', 11), ('criticality', 'reject')])
    
    #-----< sNGRANnodeinitiatedSNGRANnodeRelease >-----#
    sNGRANnodeinitiatedSNGRANnodeRelease = CLASS(name='sNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    sNGRANnodeinitiatedSNGRANnodeRelease._val = dict([('InitiatingMessage', _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage), ('SuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome), ('procedureCode', 12), ('criticality', 'reject')])
    
    #-----< sNGRANnodeCounterCheck >-----#
    sNGRANnodeCounterCheck = CLASS(name='sNGRANnodeCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeCounterCheck_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    sNGRANnodeCounterCheck._val = dict([('InitiatingMessage', _sNGRANnodeCounterCheck_val_InitiatingMessage), ('procedureCode', 13), ('criticality', 'reject')])
    
    #-----< sNGRANnodeChange >-----#
    sNGRANnodeChange = CLASS(name='sNGRANnodeChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeChange_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _sNGRANnodeChange_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _sNGRANnodeChange_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    sNGRANnodeChange._val = dict([('InitiatingMessage', _sNGRANnodeChange_val_InitiatingMessage), ('SuccessfulOutcome', _sNGRANnodeChange_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _sNGRANnodeChange_val_UnsuccessfulOutcome), ('procedureCode', 14), ('criticality', 'reject')])
    
    #-----< rRCTransfer >-----#
    rRCTransfer = CLASS(name='rRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _rRCTransfer_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    rRCTransfer._val = dict([('InitiatingMessage', _rRCTransfer_val_InitiatingMessage), ('procedureCode', 15), ('criticality', 'reject')])
    
    #-----< xnRemoval >-----#
    xnRemoval = CLASS(name='xnRemoval', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnRemoval_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _xnRemoval_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _xnRemoval_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    xnRemoval._val = dict([('InitiatingMessage', _xnRemoval_val_InitiatingMessage), ('SuccessfulOutcome', _xnRemoval_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _xnRemoval_val_UnsuccessfulOutcome), ('procedureCode', 16), ('criticality', 'reject')])
    
    #-----< xnSetup >-----#
    xnSetup = CLASS(name='xnSetup', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnSetup_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _xnSetup_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _xnSetup_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    xnSetup._val = dict([('InitiatingMessage', _xnSetup_val_InitiatingMessage), ('SuccessfulOutcome', _xnSetup_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _xnSetup_val_UnsuccessfulOutcome), ('procedureCode', 17), ('criticality', 'reject')])
    
    #-----< nGRANnodeConfigurationUpdate >-----#
    nGRANnodeConfigurationUpdate = CLASS(name='nGRANnodeConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _nGRANnodeConfigurationUpdate_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    nGRANnodeConfigurationUpdate._val = dict([('InitiatingMessage', _nGRANnodeConfigurationUpdate_val_InitiatingMessage), ('SuccessfulOutcome', _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome), ('procedureCode', 18), ('criticality', 'reject')])
    
    #-----< e-UTRA-NR-CellResourceCoordination >-----#
    e_UTRA_NR_CellResourceCoordination = CLASS(name='e-UTRA-NR-CellResourceCoordination', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    e_UTRA_NR_CellResourceCoordination._val = dict([('InitiatingMessage', _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage), ('SuccessfulOutcome', _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome), ('procedureCode', 25), ('criticality', 'reject')])
    
    #-----< cellActivation >-----#
    cellActivation = CLASS(name='cellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _cellActivation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _cellActivation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _cellActivation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    cellActivation._val = dict([('InitiatingMessage', _cellActivation_val_InitiatingMessage), ('SuccessfulOutcome', _cellActivation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _cellActivation_val_UnsuccessfulOutcome), ('procedureCode', 19), ('criticality', 'reject')])
    
    #-----< reset >-----#
    reset = CLASS(name='reset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _reset_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _reset_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    reset._val = dict([('InitiatingMessage', _reset_val_InitiatingMessage), ('SuccessfulOutcome', _reset_val_SuccessfulOutcome), ('procedureCode', 20), ('criticality', 'reject')])
    
    #-----< errorIndication >-----#
    errorIndication = CLASS(name='errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _errorIndication_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    errorIndication._val = dict([('InitiatingMessage', _errorIndication_val_InitiatingMessage), ('procedureCode', 21), ('criticality', 'ignore')])
    
    #-----< notificationControl >-----#
    notificationControl = CLASS(name='notificationControl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _notificationControl_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    notificationControl._val = dict([('InitiatingMessage', _notificationControl_val_InitiatingMessage), ('procedureCode', 23), ('criticality', 'ignore')])
    
    #-----< activityNotification >-----#
    activityNotification = CLASS(name='activityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _activityNotification_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    activityNotification._val = dict([('InitiatingMessage', _activityNotification_val_InitiatingMessage), ('procedureCode', 24), ('criticality', 'ignore')])
    
    #-----< privateMessage >-----#
    privateMessage = CLASS(name='privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _privateMessage_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    privateMessage._val = dict([('InitiatingMessage', _privateMessage_val_InitiatingMessage), ('procedureCode', 22), ('criticality', 'ignore')])
    
    #-----< secondaryRATDataUsageReport >-----#
    secondaryRATDataUsageReport = CLASS(name='secondaryRATDataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _secondaryRATDataUsageReport_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    secondaryRATDataUsageReport._val = dict([('InitiatingMessage', _secondaryRATDataUsageReport_val_InitiatingMessage), ('procedureCode', 26), ('criticality', 'reject')])
    
    #-----< deactivateTrace >-----#
    deactivateTrace = CLASS(name='deactivateTrace', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _deactivateTrace_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'DeactivateTrace')))
    deactivateTrace._val = dict([('InitiatingMessage', _deactivateTrace_val_InitiatingMessage), ('procedureCode', 27), ('criticality', 'ignore')])
    
    #-----< traceStart >-----#
    traceStart = CLASS(name='traceStart', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _traceStart_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'TraceStart')))
    traceStart._val = dict([('InitiatingMessage', _traceStart_val_InitiatingMessage), ('procedureCode', 28), ('criticality', 'ignore')])
    
    #-----< handoverSuccess >-----#
    handoverSuccess = CLASS(name='handoverSuccess', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverSuccess_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverSuccess')))
    handoverSuccess._val = dict([('InitiatingMessage', _handoverSuccess_val_InitiatingMessage), ('procedureCode', 29), ('criticality', 'ignore')])
    
    #-----< conditionalHandoverCancel >-----#
    conditionalHandoverCancel = CLASS(name='conditionalHandoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _conditionalHandoverCancel_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConditionalHandoverCancel')))
    conditionalHandoverCancel._val = dict([('InitiatingMessage', _conditionalHandoverCancel_val_InitiatingMessage), ('procedureCode', 30), ('criticality', 'ignore')])
    
    #-----< earlyStatusTransfer >-----#
    earlyStatusTransfer = CLASS(name='earlyStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _earlyStatusTransfer_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'EarlyStatusTransfer')))
    earlyStatusTransfer._val = dict([('InitiatingMessage', _earlyStatusTransfer_val_InitiatingMessage), ('procedureCode', 31), ('criticality', 'ignore')])
    
    #-----< failureIndication >-----#
    failureIndication = CLASS(name='failureIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _failureIndication_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'FailureIndication')))
    failureIndication._val = dict([('InitiatingMessage', _failureIndication_val_InitiatingMessage), ('procedureCode', 32), ('criticality', 'ignore')])
    
    #-----< handoverReport >-----#
    handoverReport = CLASS(name='handoverReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverReport_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverReport')))
    handoverReport._val = dict([('InitiatingMessage', _handoverReport_val_InitiatingMessage), ('procedureCode', 33), ('criticality', 'ignore')])
    
    #-----< resourceStatusReportingInitiation >-----#
    resourceStatusReportingInitiation = CLASS(name='resourceStatusReportingInitiation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _resourceStatusReportingInitiation_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusRequest')))
    _resourceStatusReportingInitiation_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusResponse')))
    _resourceStatusReportingInitiation_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusFailure')))
    resourceStatusReportingInitiation._val = dict([('InitiatingMessage', _resourceStatusReportingInitiation_val_InitiatingMessage), ('SuccessfulOutcome', _resourceStatusReportingInitiation_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _resourceStatusReportingInitiation_val_UnsuccessfulOutcome), ('procedureCode', 34), ('criticality', 'reject')])
    
    #-----< resourceStatusReporting >-----#
    resourceStatusReporting = CLASS(name='resourceStatusReporting', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _resourceStatusReporting_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceStatusUpdate')))
    resourceStatusReporting._val = dict([('InitiatingMessage', _resourceStatusReporting_val_InitiatingMessage), ('procedureCode', 35), ('criticality', 'ignore')])
    
    #-----< mobilitySettingsChange >-----#
    mobilitySettingsChange = CLASS(name='mobilitySettingsChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _mobilitySettingsChange_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeRequest')))
    _mobilitySettingsChange_val_SuccessfulOutcome = SEQ(name='SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeAcknowledge')))
    _mobilitySettingsChange_val_UnsuccessfulOutcome = SEQ(name='UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'MobilityChangeFailure')))
    mobilitySettingsChange._val = dict([('InitiatingMessage', _mobilitySettingsChange_val_InitiatingMessage), ('SuccessfulOutcome', _mobilitySettingsChange_val_SuccessfulOutcome), ('UnsuccessfulOutcome', _mobilitySettingsChange_val_UnsuccessfulOutcome), ('procedureCode', 36), ('criticality', 'reject')])
    
    #-----< accessAndMobilityIndication >-----#
    accessAndMobilityIndication = CLASS(name='accessAndMobilityIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _accessAndMobilityIndication_val_InitiatingMessage = SEQ(name='InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'AccessAndMobilityIndication')))
    accessAndMobilityIndication._val = dict([('InitiatingMessage', _accessAndMobilityIndication_val_InitiatingMessage), ('procedureCode', 37), ('criticality', 'ignore')])
    
    _all_ = [
        _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage,
        _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome,
        _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome,
        _XNAP_ELEMENTARY_PROCEDURE_procedureCode,
        _XNAP_ELEMENTARY_PROCEDURE_criticality,
        XNAP_ELEMENTARY_PROCEDURE,
        _XnAP_PDU_initiatingMessage,
        _XnAP_PDU_successfulOutcome,
        _XnAP_PDU_unsuccessfulOutcome,
        XnAP_PDU,
        __InitiatingMessage_procedureCode_tab,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_14,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_14,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_15,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_15,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_27,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_28,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_29,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_30,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_31,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_32,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_33,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_34,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_35,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_36,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_37,
        _InitiatingMessage_procedureCode,
        _InitiatingMessage_criticality,
        _InitiatingMessage_value,
        InitiatingMessage,
        __SuccessfulOutcome_procedureCode_tab,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37,
        _SuccessfulOutcome_procedureCode,
        _SuccessfulOutcome_criticality,
        _SuccessfulOutcome_value,
        SuccessfulOutcome,
        __UnsuccessfulOutcome_procedureCode_tab,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_14,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_14,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_15,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_15,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_27,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_28,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_29,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_30,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_31,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_32,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_33,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_34,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_35,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_36,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_37,
        _UnsuccessfulOutcome_procedureCode,
        _UnsuccessfulOutcome_criticality,
        _UnsuccessfulOutcome_value,
        UnsuccessfulOutcome,
        XNAP_ELEMENTARY_PROCEDURES,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_14,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_14,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_15,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_15,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_27,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_28,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_29,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_30,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_31,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_32,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_33,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_34,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_35,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_36,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_37,
        XNAP_ELEMENTARY_PROCEDURES_CLASS_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_14,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_14,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_14,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_15,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_15,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_15,
        XNAP_ELEMENTARY_PROCEDURES_CLASS_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_13,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_14,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_15,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_16,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_17,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_18,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_19,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_20,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_21,
        handoverPreparation,
        _handoverPreparation_val_InitiatingMessage,
        _handoverPreparation_val_SuccessfulOutcome,
        _handoverPreparation_val_UnsuccessfulOutcome,
        sNStatusTransfer,
        _sNStatusTransfer_val_InitiatingMessage,
        handoverCancel,
        _handoverCancel_val_InitiatingMessage,
        retrieveUEContext,
        _retrieveUEContext_val_InitiatingMessage,
        _retrieveUEContext_val_SuccessfulOutcome,
        _retrieveUEContext_val_UnsuccessfulOutcome,
        rANPaging,
        _rANPaging_val_InitiatingMessage,
        xnUAddressIndication,
        _xnUAddressIndication_val_InitiatingMessage,
        uEContextRelease,
        _uEContextRelease_val_InitiatingMessage,
        sNGRANnodeAdditionPreparation,
        _sNGRANnodeAdditionPreparation_val_InitiatingMessage,
        _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome,
        _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome,
        sNGRANnodeReconfigurationCompletion,
        _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage,
        mNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome,
        sNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome,
        mNGRANnodeinitiatedSNGRANnodeRelease,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome,
        sNGRANnodeinitiatedSNGRANnodeRelease,
        _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage,
        _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome,
        sNGRANnodeCounterCheck,
        _sNGRANnodeCounterCheck_val_InitiatingMessage,
        sNGRANnodeChange,
        _sNGRANnodeChange_val_InitiatingMessage,
        _sNGRANnodeChange_val_SuccessfulOutcome,
        _sNGRANnodeChange_val_UnsuccessfulOutcome,
        rRCTransfer,
        _rRCTransfer_val_InitiatingMessage,
        xnRemoval,
        _xnRemoval_val_InitiatingMessage,
        _xnRemoval_val_SuccessfulOutcome,
        _xnRemoval_val_UnsuccessfulOutcome,
        xnSetup,
        _xnSetup_val_InitiatingMessage,
        _xnSetup_val_SuccessfulOutcome,
        _xnSetup_val_UnsuccessfulOutcome,
        nGRANnodeConfigurationUpdate,
        _nGRANnodeConfigurationUpdate_val_InitiatingMessage,
        _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome,
        _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome,
        e_UTRA_NR_CellResourceCoordination,
        _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage,
        _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome,
        cellActivation,
        _cellActivation_val_InitiatingMessage,
        _cellActivation_val_SuccessfulOutcome,
        _cellActivation_val_UnsuccessfulOutcome,
        reset,
        _reset_val_InitiatingMessage,
        _reset_val_SuccessfulOutcome,
        errorIndication,
        _errorIndication_val_InitiatingMessage,
        notificationControl,
        _notificationControl_val_InitiatingMessage,
        activityNotification,
        _activityNotification_val_InitiatingMessage,
        privateMessage,
        _privateMessage_val_InitiatingMessage,
        secondaryRATDataUsageReport,
        _secondaryRATDataUsageReport_val_InitiatingMessage,
        deactivateTrace,
        _deactivateTrace_val_InitiatingMessage,
        traceStart,
        _traceStart_val_InitiatingMessage,
        handoverSuccess,
        _handoverSuccess_val_InitiatingMessage,
        conditionalHandoverCancel,
        _conditionalHandoverCancel_val_InitiatingMessage,
        earlyStatusTransfer,
        _earlyStatusTransfer_val_InitiatingMessage,
        failureIndication,
        _failureIndication_val_InitiatingMessage,
        handoverReport,
        _handoverReport_val_InitiatingMessage,
        resourceStatusReportingInitiation,
        _resourceStatusReportingInitiation_val_InitiatingMessage,
        _resourceStatusReportingInitiation_val_SuccessfulOutcome,
        _resourceStatusReportingInitiation_val_UnsuccessfulOutcome,
        resourceStatusReporting,
        _resourceStatusReporting_val_InitiatingMessage,
        mobilitySettingsChange,
        _mobilitySettingsChange_val_InitiatingMessage,
        _mobilitySettingsChange_val_SuccessfulOutcome,
        _mobilitySettingsChange_val_UnsuccessfulOutcome,
        accessAndMobilityIndication,
        _accessAndMobilityIndication_val_InitiatingMessage,
    ]

init_modules(XnAP_CommonDataTypes, XnAP_Constants, XnAP_Containers, XnAP_IEs, XnAP_PDU_Contents, XnAP_PDU_Descriptions)
